var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-341605ED-A152-43B2-AF96-3A6E329DA085\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Link_Constraint - superclass: Matrix3Controller</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Link_Constraint - superclass: Matrix3Controller; super-superclass:MAXWrapper - 2:1 - classID: #(-2025855132, -1430354431) </code></pre><p>A Link constraint is used to animate an object linking from one target object to another.</p>\n\
<p>The Link constraint causes an object to inherit the position, rotation, and scale of its target object.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Link_Constraint...      \n\
Link ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Link_Constraint&gt;.key_mode Integer default: 0 -- integer; Link_KeyMode </code></pre><p>You can choose between three different Key Modes that will determine how keyframes are written on the linked objects as part of the link constraint. These options will provide the following:</p>\n\
<p><strong>0:</strong> No Key Mode: No keys are created in any of the objects involved.</p>\n\
<p><strong>1:</strong> Key Nodes: Sets keys for some of the objects.</p>\n\
<p><strong>2:</strong> Child: Applied keys to the child object only.</p>\n\
<p><strong>3:</strong> Parents: Applies keys to both parents and the child object.</p>\n\
<p><strong>4:</strong> Key Entire Hierarchy: This applies keyframes to the chosen nodes and their entire hierarchies.</p>\n\
<p><strong>5:</strong> Child: Keys the chosen object and the nodes in its hierarchy up to the world.</p>\n\
<p><strong>6:</strong> Parents: Keys both parents and the child and all three hierarchies up to the world.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Link_Constraint&gt;.link_params SubAnim default: SubAnim:Link_Params -- transform </code></pre><p>Contains the Link Params Transforms sub-anim, which in turn has three properties - <code>.Position</code> , <code>.Rotation</code> , and <code>.Scale</code> . It contains the offset transform in parent space. This controller will contain keys depending on the <code>.key_mode</code> settings described above.</p>\n\
<p><strong>Link_Constraint interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: constraints </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;&lt;Link_Constraint&gt;.getNode &lt;index&gt;nodeNumber </code></pre><p>Returns the indexed target.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Link_Constraint&gt;.getFrameNo &lt;index&gt;targetNumber </code></pre><p>Returns the linking start frame number of the indexed target.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Link_Constraint&gt;.setFrameNo &lt;index&gt;targetNumber &lt;integer&gt;frameNo </code></pre><p>Sets the linking start frame number of the indexed target. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Link_Constraint&gt;.getNumTargets()</code></pre><p>Returns the number of targets.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Link_Constraint&gt;.addTarget &lt;node&gt;target &lt;integer&gt;frameNo </code></pre><p>Appends the specified node to the target list at the specified frame. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Link_Constraint&gt;.DeleteTarget &lt;integer&gt;targetNumber </code></pre><p>Deletes the indexed node from the target list. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Link_Constraint&gt;.addWorld frameNo:&lt;integer&gt; </code></pre><p><code>frameNo</code> default value: -99999.</p>\n\
<p>This method sets &quot;World&quot; as a target at the specified frame.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   s = sphere() --create a sphere\n\
   at time 100 with animate on s.pos = [200,0,0] --animate sphere 200 units along X over 100 frames\n\
   b = box() --create a box\n\
   at time 100 with animate on b.pos = [0,500,0] --animate box 500 units along Y over 100 frames\n\
   t = teapot() --create a teapot\n\
   lc = link_constraint() --create a Link Constraint instance\n\
   t.transform.controller = lc --assign the constraint to the transform controller of the teapot\n\
   lc.key_mode = 0 --set the key mode to 0 (it is the default anyway)\n\
   lc.addWorld frameNo:29 --add a World key on frame 29\n\
   lc.addTarget s 30 --add the sphere as link target on frame 30\n\
   lc.addWorld frameNo:60 --add a World key on frame 60\n\
   lc.addTarget b 70 --add the box as link target on frame 70\n\
   lc.addWorld frameNo:80 --add a World key on frame 80\n\
   lc.setFrameNo 5 90 --changed my mind, move the last (fifth) world key to frame 90!\n\
\n\
   for i = 1 to lc.getNumTargets() do --print all keys&apos; index, time and target\n\
       format &quot;%: Frame:% - Target:% \\n&quot; i (lc.getFrameNo i) (lc.getNode  i) \n\
</code></pre><p>   <strong>OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $Sphere:Sphere001 @ [0.000000,0.000000,0.000000]\n\
   [200,0,0]\n\
   $Box:Box001 @ [0.000000,0.000000,0.000000]\n\
   [0,500,0]\n\
   $Teapot:Teapot001 @ [0.000000,0.000000,0.000000]\n\
   Controller:Link_Constraint\n\
   Controller:Link_Constraint\n\
   0\n\
   1\n\
   true\n\
   1\n\
   true\n\
   1\n\
   true\n\
   1: Frame:29 - Target:undefined \n\
   2: Frame:30 - Target:$Sphere:Sphere001 @ [0.000000,0.000000,0.000000] \n\
   3: Frame:60 - Target:undefined \n\
   4: Frame:70 - Target:$Box:Box001 @ [0.000000,0.000000,0.000000] \n\
   5: Frame:90 - Target:undefined \n\
   OK</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Constraints.html\">Constraints</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Link_Constraint-link_params.html\">Link_Constraint.link_params - superclass: MAXObject</a></li>\n\
          <li><a class=\"link\" href=\"LookAt_Constraint-superclass.html\">LookAt_Constraint - superclass: RotationController</a></li>\n\
          <li><a class=\"link\" href=\"Path_Constraint-superclass.html\">Path_Constraint - superclass: PositionController</a></li>\n\
          <li><a class=\"link\" href=\"Position_Constraint-superclass.html\">Position_Constraint - superclass: PositionController</a></li>\n\
          <li><a class=\"link\" href=\"Orientation_Constraint.html\">Orientation_Constraint - superclass: RotationController</a></li>\n\
          <li><a class=\"link\" href=\"Controller-Functions-for-use.html\">Controller Functions for use with Constraint Assignments</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";