var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5ACA7739-C848-40F4-BFCD-D0863BA300F4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>LookAt_Constraint - superclass: RotationController</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">LookAt_Constraint - superclass: RotationController; super-superclass:MAXWrapper - 11:0 - classID: #(8225, 0) </code></pre><p>The <strong>LookAt Constraint</strong> constrains an object&apos;s orientation so that it&apos;s always looking at another object.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The old Look At Controller, which is a full transform controller, will be invisible to the user unless an old file is loaded. The new LookAt Constraint Controller is a rotation controller and NOT a TM controller which the old LookAt was. The old LookAt will be phased out.</p>\n\
<p>At this time, old <strong>LookAt.IsPublic</strong> returns zero, so that the users won&apos;t see the old LookAt. However, the old MAX files will still load the old LookAt and the camera and the light will continue to use the old LookAt.</p>\n\
<p>Also, assigning a node to the <strong>.lookat</strong> property of another node will create an old-style transform Look At Controller and not a LookAt Constraint.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">LookAt_Constraint ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LookAt_Constraint&gt;.relative Boolean default: false -- boolean </code></pre><p>Get/set the state of the &quot;Keep Initial Offset&quot; checkbox. When set to <code>true</code> , the original rotation of the object will be kept and the look at effect will be applied relatively to it. When set to <code>false</code> (default), the specified axis will be rotated absolutely to look at the target(s).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LookAt_Constraint&gt;.lookat_vector_length Float default: 0.0 -- animatable; float; Vector_Length </code></pre><p>Get/set the length of the lookat vector in the viewport either in generic units (when <code>.viewline_length_abs</code> is set to <code>true</code>,) or as percentage of the distance from the object to the target point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LookAt_Constraint&gt;.viewline_length_abs Boolean default: false -- boolean; Viewline_Abs </code></pre><p>Get/set the state of the Viewline Length Absolute checkbox. When set to <code>true</code>, the lookat line in the viewport will have a length in absolute generic units. When set to <code>false</code> (the default), the length will be relative to the distance from the object to the target. See <code>.lookat_vector_length</code> description above.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LookAt_Constraint&gt;.set_orientation Boolean default: false -- boolean </code></pre><p>Get/set the state of the Set Orientation checkbutton. When set to <code>true</code> , the Set Orientation checkbutton will be pressed and will allow the interactive adjustment of the initial rotation, provided the <code>.relative</code> property is set to false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LookAt_Constraint&gt;.target_axis Integer default: 0-- integer </code></pre><p>Get/set the state of theLookAt Axis radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - X axis</p>\n\
<p>1 - Y axis</p>\n\
<p>2 - Z axis</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LookAt_Constraint&gt;.target_axisFlip Boolean default: false -- boolean </code></pre><p>Get/set the state of theLookAt Axis &gt;Flip checkbox. When set to <code>true</code> , the axis defined by <code>.target_axis</code> will be taken with negative sign: -X, -Y or -Z.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LookAt_Constraint&gt;.pickUpNode UndefinedClass default: undefined -- node; Pick_Upnode </code></pre><p>Get/set the Upnode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LookAt_Constraint&gt;.upnode_world Boolean default: true -- boolean </code></pre><p>Get/set the state of the World checkbox in the Select Upnode group of controls. When set to <code>true</code> (default), the World Up Axis will be used. When set to <code>false</code> , the Upnode local axis will be used (if available).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LookAt_Constraint&gt;.StoUP_axis Integer default: 0 -- integer </code></pre><p>Get/set the state of the Source/Upnode Alignment &gt; Source Axis radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - X axis</p>\n\
<p>1 - Y axis</p>\n\
<p>2 - Z axis</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LookAt_Constraint&gt;.StoUP_axisFlip Boolean default: false -- boolean </code></pre><p>Get/set the state of the Source/Upnode Alignment &gt; Source Axis &gt; Flip checkbox. When set to <code>true</code> , the axis defined by <code>.StoUP_axis</code> will be taken with negative sign: -X, -Y or -Z.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LookAt_Constraint&gt;.upnode_axis Integer default: 2 -- integer </code></pre><p>Get/set the stare of the Aligned To Upnode Axis radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - X axis</p>\n\
<p>1 - Y axis</p>\n\
<p>2 - Z axis</p>\n\
<p><strong>LookAt_Constraint interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:constraints </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getNumTargets () </code></pre><p>Returns the number of target nodes on the target list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;getNode &lt;index&gt;targetNumber </code></pre><p>Returns the indexed target node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getWeight &lt;index&gt;targetNumber </code></pre><p>Returns the weight of the indexed target if the <code>targetNumber</code> is relevant, 0.0 otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setWeight &lt;index&gt;targetNumber&lt;float&gt;weight </code></pre><p>Sets the weight of the indexed node specified by <code>targetNumber</code> . Returns <code>true</code> on success, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;appendTarget &lt;node&gt;target &lt;float&gt;weight </code></pre><p>Appends the specified node to the list and sets its weight to the specified value. Returns <code>true</code> on success, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;deleteTarget &lt;index&gt;targetNumber </code></pre><p>Deletes the indexed target. Returns <code>true</code> on success, <code>false</code> otherwise.</p>\n\
<p>See Also <code>Class IposConstPosition</code>, in the SDK Help file accompanying this product.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Constraints.html\">Constraints</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Link_Constraint-superclass.html\">Link_Constraint - superclass: Matrix3Controller</a></li>\n\
          <li><a class=\"link\" href=\"LookAt_Constraint-superclass.html\">LookAt_Constraint - superclass: RotationController</a></li>\n\
          <li><a class=\"link\" href=\"Path_Constraint-superclass.html\">Path_Constraint - superclass: PositionController</a></li>\n\
          <li><a class=\"link\" href=\"Position_Constraint-superclass.html\">Position_Constraint - superclass: PositionController</a></li>\n\
          <li><a class=\"link\" href=\"Orientation_Constraint.html\">Orientation_Constraint - superclass: RotationController</a></li>\n\
          <li><a class=\"link\" href=\"Controller-Functions-for-use.html\">Controller Functions for use with Constraint Assignments</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";