var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-397859C7-7C20-43C7-B268-2751ABF889C4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Path_Constraint - superclass: PositionController</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Path_Constraint - superclass: PositionController; super-superclass:MAXWrapper - 12:0 - classID: #(8209, 0) </code></pre><p>A <strong>PathConstraint</strong> restricts an object&#x2019;s movement along a spline or at an averaged distance between multiple splines.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Path_Constraint ... path ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Constraint&gt;.path UndefinedClass default: undefined -- node; Path_Constraint </code></pre><p>Gets/sets the first path on the list of paths to constrain to.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This property is exposed mainly for backwards compatibility with the legacy <a href=\"./../Controller-Types/Position-Controllers/Path-PositionController.html\">PathPositionController</a> available in <strong>3ds Max prior to version 4</strong> before the Path_Constraint was introduced. The old controller supported <strong>only one path</strong> that can be get/set using the <code>.path</code> property.</p>\n\
<p>The <code>.path</code> property in the Path_Constraint always returns <strong>the first object</strong> from the list of paths.</p>\n\
<p>Setting the <code>.path</code> property will always <strong>replace the top path</strong> on the list with a new one.</p>\n\
<p>If there are two or more objects on the list and the object assigned to the <code>.path</code> property is already on the list, but not the first one, the new object will replace the first entry on the list and because the path can only be on the list once, the second entry will be removed.</p>\n\
<p>To set and manage <strong>multiple paths</strong>, use the methods exposed in the <code>constraints</code> interface that is described later in this topic.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Constraint&gt;.percent Float default: 0.0 -- animatable; percentage </code></pre><p>Sets the percent that the object is positioned along the path. Corresponds to the <strong>% Along Path</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Constraint&gt;.follow Boolean default: false -- boolean </code></pre><p>Aligns one object axis to the tangent at the current position along the spline. The axis to follow with can be specified using the <code>.axis</code> and <code>.axisflip</code> properties.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Constraint&gt;.bank Boolean default: false -- boolean </code></pre><p>Allows the object to bank (roll about the follow axis) as it negotiates the curves of the spline. This property only has effect when the <code>.follow</code> property is set to <code>true</code> . The axis to roll about when banking is the same as for the follow behavior.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Constraint&gt;.bankAmount Float default: 0.5 -- animatable; float; Bank_Amount </code></pre><p>Adjusts the amount of banking to one side or the other, depending on whether the value is positive or negative.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Constraint&gt;.smoothness Float default: 0.5 -- animatable; float </code></pre><p>Controls how rapidly the roll angle changes as the object moves through bends in the trajectory. Smaller values will make the object more responsive to subtle changes in the curve, while larger values smooth out jerking. The default value is a good value for general damping along the curve. Values below two tend to make the action jerky, but values around three can be very useful for simulating a certain degree of realistic instability.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Constraint&gt;.allowUpsideDown Boolean default: false -- boolean; Allow_Upside_Down </code></pre><p>Set to <code>true</code> to avoid the situation in which an object flips when going around a vertically oriented path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Constraint&gt;.constantVel Boolean default: false -- boolean; Constant_Velocity </code></pre><p>When set to true, provides a constant velocity along the path using path length interpolation. When set to false, the velocity of the object along the path varies depending on the distance between the vertices on the path.</p>\n\
<p>See notes and examples in <a href=\"./../../Editable-Meshes-Splines-Patches/SplineShape/SplineShape-Shape.html\">SplineShape-VertexandLengthInterpolationMethods</a> for details on the two interpolation methods.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Constraint&gt;.loop Boolean default: true -- boolean </code></pre><p>If set to <code>false</code> and the constrained object reaches the end of a path, it can no longer move past the end point. When set to <code>true</code> (default) and the constrained object reaches the end of the path, it loops back to the starting point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Constraint&gt;.relative Boolean default: false -- boolean </code></pre><p>When set to <code>true</code> , the constrained object will maintain its original position. The object will follow the path(s) with an offset distance based on its original world space position. When set to <code>false</code> (default), the object will be moved to the path or the weighted position between the multiple paths.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Constraint&gt;.axis Integer default: 0 -- integer </code></pre><p>Gets/sets which axis of the object is aligned to the tangent of the path when the <code>.follow</code> property is set to <code>true</code> .</p>\n\
<p>Possible values are:</p>\n\
<p>0 - X axis</p>\n\
<p>1 - Y axis</p>\n\
<p>2 - Z axis</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Constraint&gt;.axisFlip Boolean default: false -- boolean; Axis_Flip </code></pre><p>When set to <code>false</code> , the axis specified by the .axis property will be used. When set to <code>true</code> , the axis specified by the <code>.axis</code> property will be taken with the negative sign (flipped).</p>\n\
<p><strong>Path_Constraint interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:constraints </code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getNumTargets () </code></pre><p>Returns the number of target nodes (paths) in the Target list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;getNode &lt;index&gt;targetNumber </code></pre><p>Returns the indexed node from the list of paths.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getWeight &lt;index&gt;targetNumber </code></pre><p>Gets the weight of the indexed path node from the list of Targets. Returns the target&apos;s weight value at the current time if the target Number is less then the number of targets, 0.0 otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setWeight &lt;index&gt;targetNumber&lt;float&gt;weight </code></pre><p>Sets the weight of the indexed node specified by <code>targetNumber</code> to the given value. Returns <code>true</code> on success, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;appendTarget &lt;node&gt;target&lt;float&gt;weight </code></pre><p>Appends the specified node to the list. The default weight is 50.0. Returns <code>true</code> on success, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;deleteTarget &lt;index&gt;targetNumber </code></pre><p>Deletes the indexed target. Returns <code>true</code> on success, <code>false</code> otherwise.</p>\n\
<blockquote>\n\
<p>   <strong>NOTES ON PATH TARGET OBJECTS:</strong></p>\n\
<p>   A path target can be any type of Shape. The spline curve (target) defines a path of motion for the constrained object. Targets can be animated using any of the standard translation, rotation, and scale tools.</p>\n\
<p>   Setting keys on the path&apos;s sub object level such as, vertex or segment, or deforming the path using modifiers and space warps will animate the path while affecting the constrained object.</p>\n\
<p>   If the shape contains multiple splines (for example, the Donut Shape), the first spline from the shape will be used.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   path1 = Circle()--create a circular path\n\
   --&gt; $Circle:Circle001 @ [0.000000,0.000000,0.000000]\n\
   path2 = Ellipse length:20 width:200--create another path\n\
   --&gt; $Ellipse:Ellipse001 @ [0.000000,0.000000,0.000000]\n\
   s = sphere radius:5--create a sphere\n\
   --&gt; $Sphere:Sphere001 @ [0.000000,0.000000,0.000000]\n\
   pc = path_constraint()--create a path constraint\n\
   --&gt; Controller:Path_Constraint\n\
   s.position.controller = pc--assign it to the sphere&apos;s position\n\
   --&gt; Controller:Path_Constraint\n\
   pc.path = path1--assign the first path to the path property\n\
   --&gt; $Circle:Circle001 @ [0.000000,0.000000,0.000000]\n\
   pc.path = path2--assign the second path - it replaces the first\n\
   --&gt; $Ellipse:Ellipse001 @ [0.000000,0.000000,0.000000]\n\
   pc.appendTarget path2 50--try to append the second path\n\
   --&gt; false--you cannot because it is already assigned!\n\
   pc.appendTarget path1 50--try to append the first path\n\
   --&gt; true--you can because it was not assigned to the list yet\n\
   pc.getNumTargets()--see how many paths there are on the list\n\
   --&gt; 2\n\
   pc.getWeight 1--get the weight of the first path\n\
   --&gt; 50.0\n\
   pc.getWeight 2--get the weight of the first path\n\
   --&gt; 50.0\n\
   pc.getWeight 3--get the weight of thethirdpath\n\
   --&gt; 0.0--returns zero because there is no such path!\n\
   pc.setWeight 1 100--set the weight of the first path to 100\n\
   --&gt; true--success, the sphere moves closer to the ellipse\n\
   pc.setWeight 2 0--set the weight of the second path to 0\n\
   --&gt; true--success, the sphere moves to the ellipse\n\
   pc.path = path1--try to assign the circle to the path\n\
   --At this point, the Circle replaces the Ellispe on the list,\n\
   --and the second entry which used to be the Circle is removed\n\
   --because &quot;There can be only one&quot;!\n\
   --&gt; $Circle:Circle001 @ [0.000000,0.000000,0.000000]\n\
   pc.deleteTarget 2--try to delete the second path\n\
   --&gt; false--you cannot, there is no second path anymore\n\
   pc.deleteTarget 1--try to delete the first path (the Circle)\n\
   --&gt; true\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Constraints.html\">Constraints</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Link_Constraint-superclass.html\">Link_Constraint - superclass: Matrix3Controller</a></li>\n\
          <li><a class=\"link\" href=\"LookAt_Constraint-superclass.html\">LookAt_Constraint - superclass: RotationController</a></li>\n\
          <li><a class=\"link\" href=\"Position_Constraint-superclass.html\">Position_Constraint - superclass: PositionController</a></li>\n\
          <li><a class=\"link\" href=\"Orientation_Constraint.html\">Orientation_Constraint - superclass: RotationController</a></li>\n\
          <li><a class=\"link\" href=\"Controller-Functions-for-use.html\">Controller Functions for use with Constraint Assignments</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";