var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5F41F145-0939-4DC0-B0F4-CC086B4CF866\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>DriverBlock : DriverBlockController</h1></div>\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Prior to <em>3ds Max 2022</em> this class was called <code>MasterBlock</code>.</p>\n\
\n\
</div></div>\n\
\n\
<p><strong>Constructor</strong></p>\n\
<p>The DriverBlock controller cannot be created by MAXScript. It can only be created in the Block Control node in the Global Tracks node of Track View. If multiple DriverBlocks are present, you will need to access the DriverBlocks as a subAnim of <code>trackviewnodes.global_tracks.block_control</code> . This is because all DriverBlocks have the same name (DriverBlock).</p>\n\
<p><strong>Properties</strong></p>\n\
<p>Once a DriverBlock has been created in Track View, the following DriverBlock property is available:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DriverBlock&gt;.blend Float</code></pre><p>Once a track has been added to the DriverBlock, a Block controller is added to the DriverBlock and the track&#x2019;s controller is added as an input controller to the Block controller. The name assigned to the Block controller is the name specified for the block. The Block controller is then available as a property of the DriverBlock and the track&#x2019;s controller is available as a property of the Block controller. In addition, the track&#x2019;s controller is replaced with a list controller and the track&#x2019;s original controller is placed in the list controller along with a Driven controller. This Driven controller is controlled by the Block controller. For example, if a block with the name &quot;BoxHeight&quot; is present and contains the height controller for a box object, the block and its track can be accessed as follows:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mb=trackviewnodes.global_tracks.block_control[1]\n\
   --&gt; SubAnim:DriverBlock\n\
   getpropnames mb\n\
   --&gt; #(#Blend, #height)\n\
   h=mb.height\n\
   --&gt; SubAnim:height\n\
   h.object\n\
   --&gt; Controller:Block\n\
   getpropnames h\n\
   --&gt; #(#Box01_Height)\n\
   h.box01_height\n\
   --&gt; 157.083-- the box&apos;s height\n\
   h.box01_height.controller\n\
   --&gt; Controller:Bezier_Float-- the box&apos;s height controller\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../DriverBlock-Controllers.html\">DriverBlock Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Controller-Common-Properties/Controller-Common-Properties-1.html\">Controller Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";