var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-ADB08F34-E0EE-4FDE-BEDC-B3A6CB6393C7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Atmospheric Effects Common Properties, Operators, and Methods</h1></div><p><strong>Atmospheric Effects</strong> have the following common properties and methods:</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;atmos&gt;.name String default: varies      </code></pre><p>The name as it appears in the Environment dialog list. The class name is used as the default name when no <code>name:</code> creation parameter is supplied.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;atmos&gt;.numGizmos Integer -- read-only   </code></pre><p>The number of gizmos <code>ever</code> assigned to the atmospheric. A gizmo obtained via <code>.getGizmo</code> may be undefined, meaning a gizmo was added and then deleted. The atmospheric maintains an array of gizmos, and not every slot is necessarily in use. <code>.numGizmos</code> is the size of the array, not the number of used slots.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isActive &lt;atmos&gt; </code></pre><p>Returns <code>true</code> if the atmospheric is set to active; false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getGizmo &lt;atmos&gt; &lt;index_integer&gt; </code></pre><p>Retrieves the indexed gizmo node from the atmospheric. The gizmo node will be a light or atmospheric helper. The Index is 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteGizmo &lt;atmos&gt; &lt;index_integer&gt; </code></pre><p>Deletes the indexed gizmo from the atmospheric.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">appendGizmo &lt;atmos&gt; &lt;node&gt; </code></pre><p>Appends the node to the gizmo list on the atmospheric. It must be of the right kind for the atmospheric, lights for volumeLights, helper gizmos for fire_effect, etc.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setActive &lt;atmos&gt; &lt;boolean&gt; </code></pre><p>Sets the atmospheric active or inactive. If <code>&lt;boolean&gt;</code> is <code>true</code> the atmospheric is set to active; if <code>false</code> , inactive.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   atmos = fire_effect density:20 outer_color:red\n\
   appendGizmo atmos $SphereGizmo01\n\
</code></pre></blockquote>\n\
<p><strong>Associated Methods</strong></p>\n\
<p>You can use the following functions for maintaining the list of atmospherics in the global rendering environment:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addAtmospheric &lt;atmos&gt; </code></pre><p>Appends the atmospheric to the Atmospheric Effects list</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getAtmospheric &lt;index_integer&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setAtmospheric &lt;index_integer&gt; &lt;atmos&gt; </code></pre><p>Sets the atmospheric at the indexed position in the Atmospheric Effects list to the specified atmospheric. If the Atmospheric Effects dialog is displayed when this method is called, the displayed Atmospheric Effects list is not updated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteAtmospheric &lt;index_integer&gt; </code></pre><p>Deletes the atmospheric at the indexed position in the Atmospheric Effects list. Index is 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">editAtmosphere &lt;atmos&gt; &lt;node&gt; </code></pre><p>Opens the Environment dialog, and opens the rollout for the specified atmospheric if it has been added to the Atmospheric Effects list. If the specified node is a gizmo for the atmospheric, that gizmo is selected in the atmospheric&#x2019;s gizmo list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">editAtmospheric &lt;atmos&gt; [gizmo: &lt;node&gt;] </code></pre><p>Opens the Environment dialog, and opens the rollout for the specified atmospheric if it has been added to the Atmospheric Effects list. If the optional <code>gizmo:</code> argument is specified, and the specified node is a gizmo for the atmospheric, that gizmo is selected in the atmospheric&#x2019;s gizmo list.</p>\n\
<p>In <strong>3ds Max 6 and higher,</strong> Calling <code>editAtmosphere()</code> or <code>editAtmospheric()</code> without an argument will open the Environment dialog.</p>\n\
<p><strong>System Global Variables:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">numAtmospherics </code></pre><p>This <strong>3ds Max system global variable</strong> contains the number of atmospheric effects on the Effects list in the <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\">Environment And Effects Dialog</a>. This variable is read-only.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Unlike most MAXWrapper objects, you can not copy an Atmospheric.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Atmospheric-MAXWrapper.html\">Atmospheric : MAXWrapper</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\">Environment And Effects Dialog</a></li>\n\
          <li><a class=\"link\" href=\"Atmospheric-MAXWrapper-1.html\">Atmospheric : MAXWrapper</a></li>\n\
          <li><a class=\"link\" href=\"Atmospheric-Effects-Common.html\">Atmospheric Effects Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"Atmospheric-Effect-Types/Atmospheric-Effect-Types-1.html\">Atmospheric Effect Types</a></li>\n\
          <li><a class=\"link\" href=\"Working-with-Atmospherics.html\">Working with Atmospherics</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";