var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-60B05D43-86DE-402E-B9A7-8F8E5E05A316\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Accessing the Viewport Vertex Alpha Values</h1></div><p><strong>3ds Max</strong> supports 100 map channels that can be used for storing mapping coordinates.</p>\n\
<p>Historically,</p>\n\
<p><strong>3ds Max</strong> 1.0 supported only one texture channel which is currently Channel 1.</p>\n\
<p><strong>3ds Max</strong> 2.0 added support for a second channel which could be used either for texture coordinates or for storing vertex colors. Currently it is stored as Channel 0.</p>\n\
<p><strong>3ds Max</strong> 3.0 increased the number of channels to 100. The channels are numbered from 1 to 99 plus the already mentioned Vertex Colors Channel 0.</p>\n\
<p>All these Channels can be accessed by the Unwrap_UVW, by the Maps in the Material Editor etc. The channels support map vertices and faces connecting them. For details, you can see <a href=\"Understanding-Texture.html\">Understanding Texture Coordinates</a>. For related methods, see <a href=\"Meshop-General-Mapping-Methods.html\">General Meshop Mapping Methods</a></p>\n\
<p><strong>3ds Max</strong> 4.0 added support for Alpha in the Viewports. This new internal channel has been given the index -2.</p>\n\
<p>In addition, <strong>3ds Max</strong> 4.0 introduced 100 user data channels with indices from 1 to 100. These channels can be used to store arbitrary Point3 data per vertex, for example special data for game models that can be exported to game engines. They do not have face arrays, only vertex data arrays. For related methods, see <a href=\"Meshop-Vertex-Data-Methods.html\">Meshop Vertex Data Methods</a></p>\n\
<div class=\"note warning:\"><span class=\"warningtitle\">Warning:</span> Mapping channels and Vertex Data channels are not the same thing!</div>\n\
<p>While the User Data Channel 3 is dedicated to Alpha values, it is unrelated to the Viewport Vertex Alpha channel which is the internal map channel with index -2.</p>\n\
<p>In the following example we will create a sphere with 4 segments (only 6 vertices) and access its Viewport Alpha values. You can try and increase the number of sphere segments to get more vertices anytime.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   s = sphere segs:4 -- create a sphere\n\
   convertToMesh s -- collapse to Editable Mesh\n\
   s.showVertexColors = true -- enable Vertex Colors in Viewport\n\
   s.vertexColorType = #alpha -- set Vertex Color type to Alpha\n\
</code></pre><p>   <img src=\"./images/GUID-26D57D79-C342-4716-9624-3B1144BCCCED-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Read the number of mesh vertices\n\
   mesh_verts = s.numverts\n\
   --Set the map vertices for the first and last mesh vertex to black\n\
   --Note that this access will automatically enable channel -2 and\n\
   --build its internal vertex and face arrays.\n\
   meshop.setVertAlpha s -2 #(1, mesh_verts) 0.0\n\
</code></pre><p>   <img src=\"./images/GUID-5F73F8BA-7CC0-4783-AB21-71C8ADA0FE6E-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Read the number of map vertices in Channel -2\n\
   --Since the channel -2 is now enabled, you will get a valid result.\n\
   --Evaluating this line BEFORE the previous one would lead to\n\
   --an error message telling you Channel -2 is not enabled...\n\
   map_verts = meshop.getNumMapVerts s -2\n\
   --Go through all map vertices except the first and last and change\n\
   --their Alpha value to a non-greyscale color using direct access\n\
   --to the Mapping Channel -2\n\
   for i = 2 to map_verts-1 do\n\
       meshop.setMapVert s -2 i [i*0.1,i*0.05,1.0-i*0.1]\n\
   --Update the mesh:\n\
   update s\n\
</code></pre><p>   <img src=\"./images/GUID-BF63242B-CD06-45D9-B67F-9F75F8E9A277-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Go through all map vertices and print their values by\n\
   --reading directly from Channel -2\n\
   for i = 1 to map_verts do format &quot;Map Vertex % = %\\n&quot; i (meshop.getMapVert s -2 i)\n\
</code></pre><p>   <strong>RESULTS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $Sphere:Sphere01 @ [0.000000,0.000000,0.000000]\n\
   $Editable_Mesh:Sphere01 @ [0.000000,0.000000,0.000000]\n\
   true\n\
   #Alpha\n\
   6\n\
   OK\n\
   6\n\
   OK\n\
   OK\n\
   Map Vertex 1 = [0,0,0]\n\
   Map Vertex 2 = [0.2,0.1,0.8]\n\
   Map Vertex 3 = [0.3,0.15,0.7]\n\
   Map Vertex 4 = [0.4,0.2,0.6]\n\
   Map Vertex 5 = [0.5,0.25,0.5]\n\
   Map Vertex 6 = [0,0,0]\n\
   OK\n\
   OK\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The array #(1, mesh_verts) specifies the Mesh Vertex Indices and not the Map Vertex indices! The <code>meshop.setVertAlpha</code> will find all corresponding Map Vertices in the channel and affect them all without the need to look for them!</div>\n\
<p>On the other hand, the index supplied to <code>meshop.setMapVert</code> is the Map Vertex index and not the Mesh Index as in the case of <code>meshop.setVertAlpha</code> . If there are more Map Vertices corresponding to a single Mesh Vertex, you would have to find them all and read their values separately. In this simple case though, there are 6 Mesh Vertices and corresponding 6 Map Vertices, so the indices are the same.</p>\n\
<p><code>meshop.getMapVert</code> reads the actually stored value from a specific Map Vertex which is always a Point3 value.</p>\n\
<p>As you see from the example, you can use <code>meshop.setMapVert</code> to set the value of Map Vertices in the Alpha Channel -2 to a color which will be displayed as color in the viewport! The Alpha Channel -2 is just a regular mapping channel used in a similar way to the Vertex Color Channel 0.</p>\n\
<p><code>meshop.setVertAlpha</code> lets the user set all Point3 components to single value at once for all Map Vertices related to the supplied array of Mesh Vertices. This ensures the Alpha channel contains a greyscale value and not an RGB value and shields the user from additional work to provide Point3 values and find out which Map Vertices to affect.</p>\n\
<p>The reason there is NO <code>meshop.getVertAlpha</code> counterpart is that a single Mesh Vertex could have any number of corresponding Map Vertices, all with possibly different values, and all values having 3, possible different, components. It would be difficult to return meaningful values for a group of Mesh Vertices, each with multiple results and multiple Point3 components.</p>\n\
<p>Using <code>meshop.getMapVert</code> , you will always get the exact Point3 value for the exact Map Vertex of interest, and will be able to use it the way you want.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Mesh-and-TriMesh.html\">Editable_Mesh and TriMesh</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Meshop-General-Mapping-Methods.html\">Meshop General Mapping Methods</a></li>\n\
          <li><a class=\"link\" href=\"Understanding-Texture.html\">Understanding Texture Coordinates and Vertex Colors</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";