var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-36190DD6-346C-43FE-B61B-E5AD91ADD0CA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Editable_Mesh Modify Panel Command Modes and Operations</h1></div><p>A suite of methods provide the ability for a script to invoke Editable Mesh and Edit Mesh Modify panel modes and operations, corresponding to buttons available at various mesh sub-object levels. These methods reside in the <code>meshOps</code> global structure. These methods effectively &quot;push the button&quot; in the <strong>3ds Max</strong> Modify panel. In order to use these methods, the node must be selected and the Modify panel open. In the description of these methods, the first argument <code>&lt;editable_mesh_node_or_modifier&gt;</code> should be interpreted as either an Editable Mesh node where the modifier stack level is at the base object, or an Edit Mesh modifier where the modifier stack level is at the Edit Mesh. In all cases, the following methods work at the current sub-object level, but only if that level is appropriate for the invoked operation.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p>   This page describes the meshOps structure related to controlling the Modify Panel command modes and operations.For methods directly manipulating <a href=\"Meshop-Vertex-Methods.html\">vertex</a>, <a href=\"Meshop-Edge-Methods.html\">edge</a> and <a href=\"Meshop-Face-Methods.html\">face</a> data, please see the meshOp structure and the <a href=\"Editable_Mesh-GeometryClass-and.html\">Editable_Mesh : GeometryClass and TriMesh : Value</a> topic!</p>\n\
\n\
</div></div>\n\
\n\
<p>If you have made scripted changes to the mesh you <strong>must</strong> call the <code>update()</code> method on the mesh before calling these methods. You do not need to call <code>update()</code> after just calling one of these methods, as <strong>3ds Max</strong> will take care of updating the mesh.</p>\n\
<p>The following methods invoke one of the &apos;user-interaction&apos; button operations in the Editable Mesh Modify panel, acting on the currently selected sub-objects. These methods highlight the corresponding button in the Edit Geometry rollout and start the operation, at which point the user interactively completes the operation. These methods return after starting the operation, and before the user completes the operation, so care should be taken to ensure that your script does not interfere with the operation. Invoking any of these methods is the same as clicking on the associated button in the Modify panel. Calling a method when the operation is already in effect (either due to a user action or a MAXScript command) causes the operation to be terminated and the highlight is removed from the button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.startAttach &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Enters &quot;Attach&quot; command mode - valid in Vertex, Face, Polygon, and Element Sub-Object levels, and when not in Sub-Object mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.startBevel &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Enters &quot;Bevel&quot; command mode - valid in Edge, Face, Polygon, and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.startChamfer &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Enters &quot;Chamfer&quot; command mode - valid in Vertex and Edge Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.startCreate &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Enters &quot;Create&quot; command mode, valid in Vertex, Face, Polygon, and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.startCut &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Enters &quot;Cut&quot; command mode - valid in Edge, Face, Polygon, and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.startDivide &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Divides selected edges into 2 edges, for selected face into 3 faces - valid in Edge, Face, Polygon, and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.startExtrude &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Enters &quot;Extrude&quot; command mode - valid in Face, Polygon, and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.startFlipNormalMode &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Enters &quot;Flip Normal&quot; command mode - valid in Face, Polygon, and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.startSlicePlane &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Enters &quot;Slice Plane&quot; command mode - valid in all Sub-Object levels, and when not in Sub-Object mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.startTurn &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Enters &quot;Turn&quot; command mode - valid in Edge Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.startWeldTarget &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Enters &quot;Weld Target&quot; command mode - valid in Vertex Sub-Object level.</p>\n\
<p><strong>The following methods invoke one of the &apos;instantaneous&apos; button operations in the Editable Mesh Modify panel, acting on the currently selected sub-objects:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.autoEdge &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Automatically sets the edge visibility on the selected sub-objects - valid in Edge Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.break &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Creates a new vertex for each face attached to the selected sub-objects - valid in Vertex Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.collapse &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Collapses the selected sub-objects - valid in Vertex, Edge, Face, Polygon, and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.createShapeFromEdges &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Displays Create Shape dialog allowing the user to specify an object name, shape type, and whether to ignore hidden edges. Valid in Edge Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.delete &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Deletes the selected sub-objects - valid in Vertex, Face, Polygon, and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.detach &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Displays Detach dialog allowing the user to specify an object name or to detach as element, and whether to clone the selected subobjects. Valid in Vertex, Face, Polygon, and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.explode &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Displays Explode to Objects dialog allowing the user to specify an object name.Explodes the selected faces into multiple elements or objects based on the angles of its edges. Valid in Vertex, Face, Polygon, and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.flipNormal &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Flips the normal of the selected faces - valid in Face, Polygon, and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.gridAlign &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Aligns the selected sub-objects to the construction plane - valid in Vertex, Edge, Face, Polygon, and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.hide &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Hides the selected sub-objects - valid in Vertex, Face, Polygon, and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.invisibleEdge &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Sets selected edges invisible.Valid in Vertex Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.makePlanar &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Forces all selected sub-objects to become coplanar - valid in Vertex, Edge, Face, Polygon, and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.removeIsolatedVerts &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Deletes all isolated vertices in the object regardless of the current selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.selectOpenEdges &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Selects all edges with only one face. Valid in Edge Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.slice &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Subdivides edges and faces based on Slice Plane. <code>meshOps.startSlicePlane()</code> must be called to enter the &quot;Slice Plane&quot; command mode before <code>slice</code> is valid. Valid in all Sub-Object levels, and when not in Sub-Object mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.tessellate &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Tessellates the selected sub-objects - valid in Face, Polygon, and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.unhideAll &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Unhides the hidden sub-objects at the current Sub-Object level - valid in Vertex, Face, Polygon, and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.unifyNormal &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Unifies the normals of the selected faces - valid in Face, Polygon, and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.viewAlign &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Aligns all selected sub-objects to the 0,0,0 plane of the active viewport - valid in Vertex, Edge, Face, Polygon, and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.visibleEdge &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Sets selected edges visible.Valid in Edge Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.weld &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Welds the selected vertices - valid in Vertex Sub-Object level.</p>\n\
<p>The <code>meshOps</code> methods depend on the Modify panel being open and the desired object, either an Editable Mesh base object or Edit Mesh modifier, being currently open in the panel. The <code>meshOps</code> methods do not perform any operation if these conditions aren&apos;t met. You will need to use MAXScript functions like <code>max modify mode</code> or <code>setCommandPanelTaskMode mode:#modify</code> to open the Modify panel, <code>select &lt;obj&gt;</code> to select the object, <code>subObjectLevel = &lt;n&gt;</code> to set the Sub-Object level, and <code>modPanel.setCurrentObject &lt;obj_or_modifier&gt;</code> to establish the right context for the new functions to operate. For example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.clearAllSG &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Clears all smoothing group assignments for the selected items. Valid in Face, Polygon and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.selectBySG &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Opens the &quot;Select By Smooth Groups&quot; dialog. Valid in Face, Polygon and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.selectByColor &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Selects vertices by color, which is specified in the &quot;Select Vertices By&quot; panel. Valid in Vertex Sub-Object level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.showNormal &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Toggles the &quot;Show Normals&quot; checkbox in the Selection panel. Valid for Vertex, Face, Polygon and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.autoSmooth &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Applies auto-smooth to the selected items on the mesh. Equivalent to clicking &quot;Auto Smooth&quot; under &quot;Smoothing Groups&quot;. Valid for Face, Polygon, and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.selectByID &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Selects sub-objects by material ID. This is the same as selecting &quot;Select ID&quot; under Surface Properties. If there is a selection, the material ID of the current selection is used, otherwise the default material ID of 1 is selected. Valid for Face, Polygon and Element Sub-Object levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshOps.attachList &lt;editable_mesh_node_or_modifier&gt;</code></pre><p>Opens the &quot;Attach List&quot; dialog, to perform an attach operation on a selected list of scene nodes. Only valid in Object level.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   s=sphere() -- create a sphere\n\
   ConvertToMesh s -- convert to an Editable Mesh\n\
   s.selectedfaces=#{1..112} -- select half the faces\n\
   max modify mode -- open the Modify panel\n\
   select s -- select the sphere\n\
   modPanel.setCurrentObject s -- set modifier stack to the base object\n\
   -- (not really needed in this example)\n\
   subObjectLevel = 4 -- set Sub-Object level to polygon\n\
   meshOps.startExtrude s -- start the face extrude command mode,\n\
   -- highlighting its button in the Edit\n\
   -- Geometry rollout, at which point the\n\
   -- user interactively performs the extrude.\n\
</code></pre><p>   <strong>ANOTHER EXAMPLE IS</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   meshOps.Hide (modPanel.getCurrentObject())\n\
</code></pre><p>   which would invoke the Hide button operation on the current object open in the Modify panel if it was an Edit Mesh modifier or Editable Mesh base object.</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Mesh-and-TriMesh.html\">Editable_Mesh and TriMesh</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Working-with-Editable-Meshes-1.html\">Working with Editable Meshes</a></li>\n\
          <li><a class=\"link\" href=\"Understanding-Texture.html\">Understanding Texture Coordinates and Vertex Colors</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";