var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5702AD16-5D90-4B74-A7E7-F49A8B6903C0\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Mesh Color-Per-Vertex Methods</h1></div><p>The following methods provide basic access to the Color Per Vertex channel.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> When MAXScript was first introduced in <strong>3ds Max 2</strong>, there were only two mapping channels, with Channel 0 being used to store either color information or a second texture coordinates channel.For generalized access to all map channels, you should consider using the methods described in <a href=\"Meshop-General-Mapping-Methods.html\">Meshop General Mapping Methods</a>.</div>\n\
<p><strong>For legacy methods providing access only to the Texture Channel 1, see also</strong></p>\n\
<p><a href=\"Mesh-Texture-Vertex-Methods.html\">Mesh Texture Vertex Methods</a></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getNumCPVVerts &lt;mesh&gt;</code></pre><p>Returns number of Color-Per-Vertex vertices as an integer, equivalent to using <code>&lt;node&gt;.numcpvverts</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setNumCPVVerts &lt;mesh&gt; &lt;integer&gt; [ &lt;boolean&gt; ]</code></pre><p>Sets the number of Color-Per-Vertex vertices. If the optional boolean argument is <code>true</code> , the existing topology remains intact. If it is <code>false</code> or not supplied, the topology is lost.</p>\n\
<p>When setting the number of CPV vertices using the <code>numCPTVerts</code> property or <code>setNumCPVVerts</code> method, the new verts are initialized to [0.,0.,0.]</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">buildVCFaces &lt;mesh&gt; [ &lt;boolean&gt; ]</code></pre><p>Builds the Color-Per-Vertex face array after you have set the c-p-v vertex count. If the optional boolean argument is <code>true</code> , the existing topology remains intact. If it is <code>false</code> or not supplied, the topology is lost.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">defaultVCFaces &lt;mesh&gt;</code></pre><p>Sets the number of Color-Per-Vertex vertices and Color-Per-Vertex faces to match exactly the current mesh&apos;s geometry and topology and calls <code>buildVCFaces()</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getVertColor &lt;mesh&gt; &lt;CPVvert_index_integer&gt;</code></pre><p>Returns the color of the indexed Color-Per-Vertex vertex as a color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setVertColor &lt;mesh&gt; &lt;CPVvert_index_integer&gt; &lt;color&gt;</code></pre><p>Sets the color of the indexed Color-Per-Vertex vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getVCFace &lt;mesh&gt; &lt;CPVface_index_integer&gt;</code></pre><p>Returns the topology for the indexed Color-Per-Vertex face as a point3 containing 3 Color-Per-Vertex vertex indexes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setVCFace &lt;mesh&gt; &lt;CPVface_index_integer&gt; &lt;CPVvert_indices_point3&gt;</code></pre><p>Sets the indexed Color-Per-Vertex face topology from a point3 containing 3 Color-Per-Vertex vertex indexes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setVCFace &lt;mesh&gt; &lt;CPVface_index_integer&gt; &lt;CPVvert_index_integer&gt; &lt;CPVvert_index_integer&gt; &lt;CPVvert_index_integer&gt;</code></pre><p>The Color-Per-Vertex vertex and face indexes are 1-based as with other mesh indexes in MAXScript. Remember that you need to call <code>update()</code> on the mesh after making changes to it for the changes to be reflected in the scene.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The mesh class contains a list of color vertices which are completely independent of the regular vertices in the mesh. There is no correlation between the number of vertices in a mesh and the number of color vertices. In addition to the color vertices there are also color faces. There needs to be one color face for every regular face in the mesh. For details, see <a href=\"Understanding-Texture.html\">Understanding Texture Coordinatesand Vertex Colors</a> topic.</p>\n\
<p>Each color face has three indices into the color vertex array. The coordinates of a color vertex are RGB coordinates, and are accessed as Color values.</p>\n\
<p>The techniques for building and accessing color vertices and faces is virtually identical to the techniques for building and accessing texture vertices and faces. An example script for creating planar texture mapping on an object is shown in <a href=\"Working-with-Editable-Meshes-1.html\">Working with Editable Meshes</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Mesh-and-TriMesh.html\">Editable_Mesh and TriMesh</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Meshop-General-Mapping-Methods.html\">Meshop General Mapping Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Texture-Vertex-Methods.html\">Mesh Texture Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Understanding-Texture.html\">Understanding Texture Coordinates and Vertex Colors</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";