var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2E5C8194-F165-4D09-8A19-069BFCF83104\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Mesh Texture Vertex Methods</h1></div><p>The following methods provide basic access to the legacy UVW channel.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> When MAXScript was first introduced in <strong>3ds Max 2</strong>, there were only two mapping channels, with Channel 1 being the original texture channel of <strong>3ds Max 1</strong>. For generalized access to all 100 map channels, you should consider using the methods described in <a href=\"Meshop-General-Mapping-Methods.html\">Meshop General Mapping Methods</a>.</div>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getNumTVerts &lt;mesh&gt;</code></pre><p>Returns number of texture vertices as an integer, equivalent to using <code>&lt;mesh&gt;.numtverts</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setNumTVerts &lt;mesh&gt; &lt;number&gt; [ &lt;boolean&gt; ]</code></pre><p>Sets the number of texture vertices as specified. If the optional boolean argument is <code>true</code> , the existing topology remains intact. If it is <code>false</code> or not supplied, the topology is lost.</p>\n\
<p>When setting the number of texture vertices using the <code>numTVerts</code> property or <code>setNumTVerts</code> method, the new verts are initialized to [0.,0.,0.]</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getTVert &lt;mesh&gt; &lt;tvert_index_integer&gt;</code></pre><p>Returns the UVW coordinates of the indexed texture vertex</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setTVert &lt;mesh&gt; &lt;tvert_index_integer&gt; ( &lt;point3&gt; | &lt;x&gt; &lt;y&gt; &lt;z&gt; )</code></pre><p>Sets the UVW coordinates of the indexed texture vertex as a point3 value, or 3 floats - U,V,W</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getTVFace &lt;mesh&gt; &lt;face_index_integer&gt;\n\
\n\
setTVFace &lt;mesh&gt; &lt;face_index_integer&gt; &lt;vert_indices_point3&gt;\n\
\n\
setTVFace &lt;mesh&gt; &lt;face_index_integer&gt; &lt;tvert_index_integer&gt; &lt;tvert_index_integer&gt; &lt;tvert_index_integer&gt;\n\
</code></pre><p>The <code>getTVFace()</code> and <code>setTVFace()</code> functions mirror the <code>getFace()</code> and <code>setFace()</code> functions and are used to specify texture mapping topology in terms of texture vertices. You can set up and access texture vertices with the <code>getTVert()</code> , <code>setTVert()</code> , <code>getNumTVerts()</code> , and <code>setNumTVerts()</code> functions described above.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">buildTVFaces &lt;mesh&gt; [ &lt;boolean&gt; ]</code></pre><p>The <code>buildTVFaces()</code> function only needs to be called on meshes you are adding texture vertices to yourself to create the internal texture face array. Meshes that <strong>3ds Max</strong> applies mapping coordinates to maintain the <code>TVFace</code> array automatically. This is not done automatically when you add texture vertices to meshes yourself so you need to call <code>buildTVFaces()</code> explicitly whenever you change the <code>texture vertex</code> count, and before you construct the texture faces. If the optional boolean argument is <code>true</code> , the existing texture mapping remains intact. If it is <code>false</code> or not supplied, the existing texture mapping is lost (all texture faces are rebuilt, with all three vertices of the texture face using texture vertex 1).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">numMapsUsed &lt;mesh&gt;</code></pre><p>Returns the an upper limit on the number of texture map channels used by the given node. This is at least 1+(highest channel in use). This method is used so a script that does something to all map channels doesn&apos;t always have to do it to every channel up to 99 (the highest possible texture map channel), but rather only to this value. This method is not applicable to TriMeshes.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The mesh class contains a list of texture vertices which are completely independent of the regular vertices in the mesh. There is no correlation between the number of vertices in a mesh and the number of texture vertices. In addition to the texture vertices there are also texture faces. There needs to be one texture face for every regular face in the mesh.</p>\n\
<p>Each texture face has three indices into the texture vertex array. The coordinates of a texture vertex are UVW coordinates, and are accessed as Point3 values. The 3 components are U, V, and W, and each component value is in the range of 0 to 1. An example script for creating planar texture mapping on an object is shown in <a href=\"Working-with-Editable-Meshes-1.html\">Working with Editable Meshes</a>.</p>\n\
<p>A detailed explanation of the way texture and color-per-vertex data is used can be found in the topic <a href=\"Understanding-Texture.html\">Understanding Texture Coordinates and Vertex Colors</a></p>\n\
<p>The texture vertex methods do not support multiple mapping channels. Use the respective <a href=\"Meshop-General-Mapping-Methods.html\">General Meshop Mapping Methods</a> instead.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Mesh-and-TriMesh.html\">Editable_Mesh and TriMesh</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Meshop-General-Mapping-Methods.html\">Meshop General Mapping Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Color-Per-Vertex-Methods.html\">Mesh Color-Per-Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Understanding-Texture.html\">Understanding Texture Coordinates and Vertex Colors</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";