var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-102D2769-720E-4F73-9973-13AE18A65E90\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Meshop Vertex Data Methods</h1></div><p>The following methods provide access to the Vertex Data channels.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#data-methods-general-channel-access\">Data methods - General Channel Access</a></li>\n\
<li><a href=\"#data-methods-vertex-selection-weight-channel-channel-1-\">Data methods - Vertex selection weight channel (Channel 1)</a></li>\n\
<li><a href=\"#data-methods-vertex-weight-channel-channel-2-\">Data methods - Vertex weight channel (Channel 2)</a></li>\n\
<li><a href=\"#data-methods-vertex-alpha-channel-channel-3-\">Data methods - Vertex Alpha channel (Channel 3)</a></li>\n\
<li><a href=\"#data-methods-vertex-corner-channel-channel-4-\">Data methods - Vertex corner channel (Channel 4)</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<p><strong>Methods:</strong></p>\n\
<h2 id=\"data-methods-general-channel-access\">Data methods - General Channel Access</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setNumVDataChannels &lt;Mesh mesh&gt; &lt;Integer count&gt; [keep:&lt;boolean=false&gt;]</code></pre><p>Sets the number of vertex data channels available. The number of vertex data channels can be set from 0 to 100. The first ten channels are for internal use only.</p>\n\
<p>If <code>keep:</code> is <code>fals</code> or not specified, the old channel data is discarded.</p>\n\
<p>If <code>true</code> , the old channel data is retained after the resize.</p>\n\
<p>The predefined channels are:</p>\n\
<p>channel 1: <strong>Soft Selection</strong></p>\n\
<p>channel 2 <strong>Vertex weights</strong> (for NURMS MeshSmooth)</p>\n\
<p>channel 3 <strong>Vertex Alpha values</strong></p>\n\
<p>channel 4 <strong>Cornering values for subdivision use</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getNumVDataChannels &lt;Mesh mesh&gt;</code></pre><p>Returns the number of vertex data channels available as an <code>&lt;integer&gt;</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setVDataChannelSupport &lt;Mesh mesh&gt; &lt;Integer vdChannel&gt; &lt;Boolean support&gt;</code></pre><p>Sets whether the specified vertex data channel is supported or not.</p>\n\
<p>If <code>&lt;support&gt;</code> is <code>true</code> , and the channel support state is currently <code>false</code> , a new vertex data array of the same size as the number of vertices in the mesh is allocated.</p>\n\
<p>If <code>&lt;support&gt;</code> is <code>false</code> , and the channel support state is currently <code>true</code> , the existing vertex data channel array is deallocated.</p>\n\
<p>If <code>&lt;support&gt;</code> and the current channel support state are both the same, no action is performed.</p>\n\
<p><code>setNumVDataChannels()</code> is automatically called if the specified vertex data channel is not available. <code>vdChannel</code> index values are 1-based, with channels 1 and 2 being the Vertex Soft Selection and Vertex Weight channels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getVDataChannelSupport &lt;Mesh mesh&gt; &lt;Integer vdChannel&gt;</code></pre><p>Returns whether the specified vertex data channel is supported.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getVDataValue &lt;Mesh mesh&gt; &lt;Integer vdChannel&gt; &lt;Integer vert_index&gt;</code></pre><p>Returns the floating point data value associated with vertexvert_indexin vertex data channelvdChannelas a <code>&lt;float&gt;</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setVDataValue &lt;Mesh mesh&gt; &lt;Integer vdChannel&gt; &lt;Integer vert_index&gt; &lt;Float value&gt;</code></pre><p>Sets the floating point data value associated with vertexvert_indexin vertex data channelvdChannel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.freeVData &lt;Mesh mesh&gt; &lt;Integer vdChannel&gt;</code></pre><p>Deallocates the existing vertex data channel array and turns off the vertex data channel support state.</p>\n\
<h2 id=\"data-methods-vertex-selection-weight-channel-channel-1-\">Data methods - Vertex selection weight channel (Channel 1)</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getVSelectWeight &lt;Mesh mesh&gt; &lt;int vertIndex&gt;</code></pre><p>Returns the Vertex Selection Weight data value for the specified vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setVSelectWeight &lt;Mesh mesh&gt; &lt;vertlist&gt; &lt;float weight&gt;</code></pre><p>Sets the Vertex Selection Weight data value for the specified vertex.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Setting the Vertex Selection Weight of an Editable Mesh will not have the desired effect because the mesh is owned by the Editable Mesh base object and its Soft-Selection properties control the actual Vertex Selection Weight channel&apos;s content.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.resetVSelectWeights &lt;Mesh mesh&gt;</code></pre><p>Sets the Vertex Selection Weight data value to 1.0 for all vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.supportVSelectWeights &lt;Mesh mesh&gt;</code></pre><p>Enables support of the Vertex Selection Weight channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.freeVSelectWeights &lt;Mesh mesh&gt;</code></pre><p>Deletes (deallocates) the Vertex Selection Weight data array.</p>\n\
<h2 id=\"data-methods-vertex-weight-channel-channel-2-\">Data methods - Vertex weight channel (Channel 2)</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getVertWeight &lt;Mesh mesh&gt; &lt;int vertIndex&gt;</code></pre><p>Returns the Vertex Weight data value for the specified vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setVertWeight &lt;Mesh mesh&gt; &lt;vertlist&gt; &lt;float weight&gt;</code></pre><p>Sets the Vertex Weight data value for the specified vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.resetVertWeights &lt;Mesh mesh&gt;</code></pre><p>Sets the Vertex Weight data value to 1.0 for all vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.supportVertWeights &lt;Mesh mesh&gt;</code></pre><p>Enables support of the Vertex Weight channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.freeVertWeights &lt;Mesh mesh&gt;</code></pre><p>Deletes (deallocates) the Vertex Weight data array.</p>\n\
<h2 id=\"data-methods-vertex-alpha-channel-channel-3-\">Data methods - Vertex Alpha channel (Channel 3)</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getVAlpha &lt;Mesh mesh&gt; &lt;int vertIndex&gt;</code></pre><p>Returns the Vertex Alpha data value for the specified vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setVAlpha &lt;Mesh mesh&gt; &lt;vertlist&gt; &lt;float alpha&gt;</code></pre><p>Sets the Vertex Alpha data value for the specified vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.resetVAlphas &lt;Mesh mesh&gt;</code></pre><p>Sets the Vertex Alpha data value to 1.0 for all vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.supportVAlphas &lt;Mesh mesh&gt;</code></pre><p>Enables support of the Vertex Alpha channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.freeVAlphas &lt;Mesh mesh&gt;</code></pre><p>Deletes (deallocates) the Vertex Alpha data array.</p>\n\
<h2 id=\"data-methods-vertex-corner-channel-channel-4-\">Data methods - Vertex corner channel (Channel 4)</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getVertCorner &lt;Mesh mesh&gt; &lt;int vertIndex&gt;</code></pre><p>Returns the Vertex Corner data value for the specified vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setVertCorner &lt;Mesh mesh&gt; &lt;vertlist&gt; &lt;float weight&gt;</code></pre><p>Sets the Vertex Corner data value for the specified vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.resetVertCorners &lt;Mesh mesh&gt;</code></pre><p>Sets the Vertex Corner data value to 0.0 for all vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.supportVertCorners &lt;Mesh mesh&gt;</code></pre><p>Enables support of the Vertex Corner channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.freeVertCorners &lt;Mesh mesh&gt;</code></pre><p>Deletes (deallocates) the Vertex Corner data array.</p>\n\
<p><strong>For more mesh-related methods, see</strong></p>\n\
<p><a href=\"Editable_Mesh-GeometryClass-and.html\">Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Mesh-and-TriMesh.html\">Editable_Mesh and TriMesh</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Mesh-Vertex-Methods.html\">Mesh Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Meshop-Vertex-Methods.html\">Meshop Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Texture-Vertex-Methods.html\">Mesh Texture Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Color-Per-Vertex-Methods.html\">Mesh Color-Per-Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Vertex-Methods.html\">Mesh Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Meshop-Vertex-Methods.html\">Meshop Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Texture-Vertex-Methods.html\">Mesh Texture Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Color-Per-Vertex-Methods.html\">Mesh Color-Per-Vertex Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";