var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-483BD7AC-832C-442C-8820-65EEC52815C4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Meshop Vertex Methods</h1></div><p>The following methods exposed by the <strong>meshOp Struct</strong> provide advanced access to the Mesh vertices.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#mesh-vertex-access\">Mesh Vertex Access</a></li>\n\
<li><a href=\"#vertex-color\">Vertex Color</a></li>\n\
<li><a href=\"#new-vertices-using-break-chamfer-and-clone\">New Vertices Using Break, Chamfer, and Clone</a></li>\n\
<li><a href=\"#delete-vertices\">Delete Vertices</a></li>\n\
<li><a href=\"#hidden-and-isolated-vertices\">Hidden And Isolated Vertices</a></li>\n\
<li><a href=\"#min-vertex-distance-from\">Min. Vertex Distance From</a></li>\n\
<li><a href=\"#move-mesh-vertices\">Move Mesh Vertices</a></li>\n\
<li><a href=\"#weld-mesh-vertices\">Weld Mesh Vertices</a></li>\n\
<li><a href=\"#mesh-vertex-velocity\">Mesh Vertex Velocity</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<p><strong>Methods:</strong></p>\n\
<h2 id=\"mesh-vertex-access\">Mesh Vertex Access</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getNumVerts &lt;Mesh mesh&gt;</code></pre><p>Returns the number of vertices in the mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setNumVerts &lt;Mesh mesh&gt; &lt;int&gt;</code></pre><p>Sets the number of vertices in the mesh. Any new vertices are created at [0,0,0] in the mesh&apos;s local coordinate system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getVert &lt;Mesh mesh&gt; &lt;int vertIndex&gt; node:&lt;node=unsupplied&gt;</code></pre><p>Returns the position of the specified vertex. If <code>&lt;mesh&gt;</code> is a node, or if <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is specified, the position returned is in the current coordinate system context. If <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is not specified, the return value is in the mesh&apos;s local coordinate system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3_array&gt; meshop.getVerts &lt;Mesh mesh&gt; &lt;vertlist&gt; node:&lt;node=unsupplied&gt;</code></pre><p>Available in <strong>3ds Max 2018.2 and higher</strong>: Returns an array of the positions of the specified vertices. If <code>&lt;mesh&gt;</code> is a node, or if <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is specified, the positions returned are in the current coordinate system context. If <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is not specified, the return values are in the mesh&apos;s local coordinate system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setVert &lt;Mesh mesh&gt; &lt;vertlist&gt; {&lt;point3 pos&gt; | &lt;point3 pos_array&gt;} node:&lt;node=unsupplied&gt;</code></pre><p>Moves the specified vertices to the specified position. If <code>&lt;mesh&gt;</code> is a node, or if <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is specified, the position is in the current coordinate system context. If <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is not specified, the position is in the mesh&apos;s local coordinate system.</p>\n\
<p>The positions can be optionally specified as array. In that case, the number of values in pos_array must match the number of vertices specified in vertlist.</p>\n\
<p>If executed in an animation on context or with the AutoKey button checked, animation keys will be created for the vertices of an Editable Mesh. This is not the case with the original <code>setVert()</code> vertex method available since <strong>3ds Max 2</strong>.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>It is very important to pass the <code>&lt;vertlist&gt;</code> argument as a bitArray value and not as an array. Passing the argument as an array will cause a significant performance hit (orders of magnitude).</p>\n\
<p>This applies to all methods operating on sub-object lists.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getVertexAngles &lt;Mesh mesh&gt; &lt;vertlist&gt;</code></pre><p>This method calculates for each vertex, the sum of the angles of this vertex&apos;s corner in each face it is on.</p>\n\
<p>So, for instance, a point lying in the middle of a grid will always have a vertex angle of 2*Pi (6.28319 radians, equal to 360 degrees), whereas a corner of a box will only have 3.0/2*Pi (4.71239 radians, equal to 270 degrees).</p>\n\
<p>Returns an array of size=(#vertices in <code>mesh</code>). The array element for any vertices not specified in <code>vertlist</code> will contain the value 0.</p>\n\
<h2 id=\"vertex-color\">Vertex Color</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getVertsByColor &lt;Mesh mesh&gt; &lt;color color&gt; &lt;float red_thresh&gt; &lt;float green_thresh&gt; &lt;float blue_thresh&gt; channel:&lt;int=0&gt;</code></pre><p>Returns the vertices whose vertex color is within the color range as a <code>&lt;bitarray&gt;</code>. The range values should be in the range of 0 to 255.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getVertsByColor &lt;Mesh mesh&gt; &lt;point3 uvw&gt; &lt;Float u_thresh&gt; &lt;Float v_thresh&gt; &lt;Float w_thresh&gt; channel: &lt;int=0&gt;</code></pre><p>Returns the vertices whose vertex UVW is within the UVW range as a <code>&lt;bitarray&gt;</code>. The range values should be in the range of 0 to 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setVertColor &lt;Mesh mesh&gt; &lt;int mapChannel&gt; &lt;vertlist&gt; &lt;Color color&gt;</code></pre><p>Sets the vertex color for the specified vertices in the specified <code>&lt;mapChannel&gt;</code>.</p>\n\
<h2 id=\"new-vertices-using-break-chamfer-and-clone\">New Vertices Using Break, Chamfer, and Clone</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.breakVerts &lt;Mesh mesh&gt; &lt;vertlist&gt;</code></pre><p>For each vertex in <code>&lt;vertlist&gt;</code> , N-1 new vertices are created at the same location, where N is the number of faces using that vertex. Each of these faces will use one of these vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.chamferVerts &lt;Mesh mesh&gt; &lt;vertlist&gt; &lt;float amount&gt;\n\
</code></pre><p>Chamfers the specified vertices by the specified amount.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = plane()\n\
   convertToMesh obj\n\
   max modify mode\n\
   select obj\n\
   subObjectLevel = 1\n\
   meshop.chamferVerts obj #{13} 3.5\n\
</code></pre><p>   <img src=\"./images/GUID-433C3FDB-164B-4125-8240-04B0146EAE96-low.gif\" alt> <img src=\"./images/GUID-A03E7380-3C1B-40D5-9992-EA4C9D64EB79-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.cloneVerts &lt;Mesh mesh&gt; &lt;vertlist&gt;</code></pre><p>Clones the specified vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.detachVerts &lt;Mesh mesh&gt; &lt;vertlist&gt; delete:&lt;boolean=true&gt; asMesh:&lt;boolean=false&gt;</code></pre><p>Detaches the faces used by the specified vertices.</p>\n\
<p>If <code>delete:</code> is <code>true</code> , the faces are deleted after being detached.</p>\n\
<p>If <code>delete:</code> is <code>false</code> , the faces are not deleted.</p>\n\
<p>If <code>asMesh:</code> is <code>true</code> , the faces are detached and returned as a Mesh value.</p>\n\
<p>If <code>asMesh:</code> is <code>false</code> , the faces are detached as an element in the mesh and a value of <code>OK</code> is returned.</p>\n\
<h2 id=\"delete-vertices\">Delete Vertices</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.deleteIsoVerts &lt;Mesh mesh&gt;</code></pre><p>Deletes all vertices not used by a face.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.deleteVerts &lt;Mesh mesh&gt; &lt;vertlist&gt;</code></pre><p>Deletes the specified vertices.</p>\n\
<h2 id=\"hidden-and-isolated-vertices\">Hidden And Isolated Vertices</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getHiddenVerts &lt;Mesh mesh&gt;</code></pre><p>Returns a bitarray of size=(#vertices inmesh) with bits set for all vertices that are hidden.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.setHiddenVerts &lt;Mesh mesh&gt; &lt;vertlist&gt;</code></pre><p>Sets the specified vertices as hidden, and non-specified vertices as visible.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = plane() --create a plane\n\
   convertToMesh obj --convert to Editable_Mesh\n\
   --Hide half the vertices\n\
   meshop.setHiddenVerts obj #{1..(obj.numverts/2)}\n\
   update obj --update the mesh\n\
   max modify mode --change to modify mode\n\
   select obj --select the plane\n\
   subObjectLevel = 1 --switch to vertex level to see the result\n\
</code></pre><p>   <img src=\"./images/GUID-D9D49D81-3C52-4B37-9340-D69A7773B8C4-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getIsoVerts &lt;Mesh mesh&gt;</code></pre><p>Returns a bitarray of size=(#vertices in <code>mesh</code>) with bits set for all vertices that are not used by a face.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = plane() --create a plane\n\
   --&gt; $Plane:Plane001 @ [0.000000,0.000000,0.000000]\n\
   convertToMesh obj --collapse to Editable_Mesh\n\
   --&gt; $Editable_Mesh:Plane001 @ [0.000000,0.000000,0.000000]\n\
   meshop.getIsoVerts obj --Get isolated vertices - none!\n\
   --&gt; #{}\n\
   --Delete the 8 faces in the middle of the plane,\n\
   --leaving the middle isolated vertex undeleted\n\
   meshop.deleteFaces obj #{11..14,19..22} delIsoVerts:false\n\
   --&gt; OK\n\
   update obj --update the mesh\n\
   --&gt; OK\n\
   meshop.getIsoVerts obj --check the isolated vertices - #13!\n\
   --&gt; #{13}\n\
</code></pre></blockquote>\n\
<h2 id=\"min-vertex-distance-from\">Min. Vertex Distance From</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.minVertexDistanceFrom &lt;Mesh mesh&gt; &lt;int vertIndex&gt; &lt;vertlist&gt;</code></pre><p>Returns the minimal distance from <code>&lt;vertIndex&gt;</code> to the vertices specified in <code>&lt;vertlist&gt;</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.minVertexDistancesFrom &lt;Mesh mesh&gt; &lt;vertlist&gt; &lt;int iterations&gt;</code></pre><p>This function computes distances from selected vertices (as indicated by <code>&lt;vertlist&gt;</code>) to non-selected ones along edge paths. Returns an array of size=(#vertices in <code>mesh</code>). Each element in this array is set to -1 if there is no selection. Otherwise, selected vertices have an array element value of 0; non-selected vertices that are <code>&lt;iterations&gt;</code> or fewer edges away from a selected vertex are assigned the shortest edge-path distance to a selected vertex, and non-selected vertices that are more than <code>&lt;iterations&gt;</code> edges away are set to -1. If <code>&lt;iterations&gt;</code> is 0, the distances are computed from each vertex to the nearest selected vertex, regardless of topology. This is a very expensive algorithm, which takes almost 4 times as long for twice as many vertices. If <code>&lt;iterations&gt;</code> is non-zero, it represents the number of edges one must &quot;travel&quot; in trying to find the nearest selected vertex; this means that it only takes twice as long for twice as many verts. This is like the Edge Distance parameter in EMesh&apos;s Soft Selection dialog.</p>\n\
<h2 id=\"move-mesh-vertices\">Move Mesh Vertices</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.moveVert &lt;Mesh mesh&gt; &lt;vertlist&gt; {&lt;point3 offset&gt; | &lt;point3 offset_array&gt;} node:&lt;node=unsupplied&gt; useSoftSel:&lt;boolean&gt;</code></pre><p>Moves the specified vertices by <code>&lt;offset&gt;</code> .</p>\n\
<p>If <code>&lt;mesh&gt;</code> is a node, or if <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is specified, the offset is in the current coordinate system context.</p>\n\
<p>If <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is not specified, the offset is in the mesh&apos;s local coordinate system.</p>\n\
<p>In <strong>3ds Max 2008 and higher</strong>, this method allows the position to be specified as array. In that case, the number of values in pos_array must match the number of verts specified in vertlist. This feature was previously available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<p>If <code>useSoftSel:</code> is true, and the mesh&apos;s soft selection data channel is present, the specified offsets are multiplied by the vertex&apos;s soft selection value.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>It is very important to pass the <code>&lt;vertlist&gt;</code> argument as a bitArray value and not as an array. Passing the argument as an array will cause a significant performance hit (orders of magnitude).</p>\n\
<p>This applies to all methods operating on sub-object lists.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.moveVertsToPlane &lt;Mesh mesh&gt; &lt;vertlist&gt; &lt;point3 normal&gt; &lt;float offset&gt; node:&lt;node=unsupplied&gt;</code></pre><p>Moves the specified vertices into the specified plane. The target plane is defined as all points which when DotProd&apos;d with N, return the specified offset.</p>\n\
<p>All vertices are moved along the normal vector N.</p>\n\
<p>If <code>&lt;mesh&gt;</code> is a node, or if <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is specified, the normal is in the current coordinate system context.</p>\n\
<p>If <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is not specified, the normal is in the mesh&apos;s local coordinate system.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = sphere()--create a sphere\n\
   convertToMesh obj--convert to Editable_mesh\n\
   normal = getNormal obj 10--get the normal of vertex 10\n\
   --move all vertices of the mesh to the plane defined by the normal\n\
   --vector with an offset of 0.0 (don&apos;t offset):\n\
   meshop.moveVertsToPlane obj #{1..obj.numverts} normal 0.0\n\
   update obj--update the mesh\n\
</code></pre><p>   <img src=\"./images/GUID-64EA4EE7-90F2-42BA-9EE9-DAFA3EFEC343-low.gif\" alt> <img src=\"./images/GUID-5FE145E5-78A1-46B7-A8AD-4118485B6B88-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.makeVertsPlanar &lt;Mesh mesh&gt; &lt;vertlist&gt;</code></pre><p>Moves the specified vertices, so that they are planar.</p>\n\
<h2 id=\"weld-mesh-vertices\">Weld Mesh Vertices</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.weldVertsByThreshold &lt;Mesh mesh&gt; &lt;vertlist&gt; &lt;float threshold&gt;</code></pre><p>Welds the specified vertices that are within the threshold distance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.weldVerts</code></pre><p>Renamed to <code>meshOp.weldVertSet</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.weldVertSet &lt;Mesh mesh&gt; &lt;vertlist&gt; weldpoint:&lt;point3=unsupplied&gt; node:&lt;node=unsupplied&gt;</code></pre><p>Welds the specified vertices.</p>\n\
<p>If <code>weldpoint:</code> is specified, the resulting vertex is positioned at the supplied point.</p>\n\
<p>If <code>weldpoint:</code> is not specified, the resulting vertex is positioned at the average location of the specified vertices.</p>\n\
<p>If <code>&lt;mesh&gt;</code> is a node, or if <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is specified, the position is in the current coordinate system context.</p>\n\
<p>If <code>&lt;mesh&gt;</code> is an Editable Mesh or a Mesh value and <code>node:</code> is not specified, the position is in the mesh&apos;s local coordinate system.</p>\n\
<p><a name=\"mesh-vertex-velocity\"></a></p>\n\
<h2 id=\"mesh-vertex-velocity\">Mesh Vertex Velocity</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meshop.getNumVelocity &lt;Mesh mesh&gt;</code></pre><p>Gets the number of vertices with velocity data in the velocity channel. This number should be equal to the number of vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3_array&gt;meshop.getVelocity &lt;Mesh mesh&gt; &lt;vertlist&gt;</code></pre><p>Gets an array of velocities for the vertices specified by <code>vertlist</code>.</p>\n\
<p><strong>For more mesh-related methods, see</strong></p>\n\
<p><a href=\"Editable_Mesh-GeometryClass-and.html\">Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Mesh-and-TriMesh.html\">Editable_Mesh and TriMesh</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Mesh-Vertex-Methods.html\">Mesh Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Meshop-Vertex-Data-Methods.html\">Meshop Vertex Data Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Texture-Vertex-Methods.html\">Mesh Texture Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Color-Per-Vertex-Methods.html\">Mesh Color-Per-Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Vertex-Methods.html\">Mesh Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Meshop-Vertex-Data-Methods.html\">Meshop Vertex Data Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Texture-Vertex-Methods.html\">Mesh Texture Vertex Methods</a></li>\n\
          <li><a class=\"link\" href=\"Mesh-Color-Per-Vertex-Methods.html\">Mesh Color-Per-Vertex Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";