var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CA252E0A-3EB7-4DDD-9E9A-19B95E592902\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Working with Editable Meshes</h1></div><h2 id=\"flipping-face-normals\">Flipping Face Normals</h2><p>The following function flips the face normal for all faces in the specified mesh object.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn FlipObjNormal obj =\n\
   (\n\
   for f =1 to obj.numFaces do -- for each face in the mesh\n\
   (\n\
   verts=getface obj f -- get its 3 vertices as a point3\n\
   local tmp=verts.x -- swap the first and third vertices\n\
   verts.x=verts.z -- which flips the normal\n\
   verts.z=tmp -- (right-hand rule), and\n\
   setface obj f verts -- store the new vertex order for the face\n\
   )\n\
   update obj -- update object so 3ds Max sees the changes\n\
   )\n\
</code></pre></blockquote>\n\
<h2 id=\"texture-vertices-and-faces\">Texture Vertices and Faces</h2><p>The following script is an example of working with texture vertices and faces.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- function to apply planar mapping to an object\n\
   -- direction parameter specifies the axis the mapping is\n\
   -- perpendicular to, and can have a value of #x, #y, or #z\n\
   --\n\
   fn ApplyPlanarMap obj direction =\n\
   (local oldcoordsys, normalize_pos\n\
   -- in this case, the number of texture vertices is equal to the\n\
   -- number of mesh vertices\n\
   obj.numtverts=obj.numverts\n\
   -- build the texture vertex faces\n\
   buildTVFaces obj\n\
   -- operate in objects coordinate space. Save original coord system so we\n\
   -- can restore later.\n\
   oldcoordsys=set coordsys local\n\
   -- for each vertex in mesh, get it&apos;s position and normalize the position\n\
   -- to a range of [0,0,0] to [1,1,1]. This is the planar UVW space.\n\
   for v = 1 to obj.numverts do\n\
   ( normalize_pos=((getvert obj v)-obj.min)/(obj.max-obj.min)\n\
   -- flip around position component values based on which direction the\n\
   -- planar mapping is perpendicular to\n\
   case direction of\n\
   (#x:( tmp=normalize_pos.x\n\
   normalize_pos.x=normalize_pos.y\n\
   normalize_pos.y=normalize_pos.z\n\
   normalize_pos.z=tmp\n\
   )\n\
   #y:( tmp=normalize_pos.y\n\
   normalize_pos.y=normalize_pos.z\n\
   normalize_pos.z=tmp\n\
   )\n\
   )\n\
   -- set the corresponding texture vertex &quot;position&quot;\n\
   settvert obj v normalize_pos\n\
   )\n\
   -- done &quot;positioning&quot; the texture vertices. Build the texture faces.\n\
   -- since in this case there is a 1-to-1 correspondence between mesh and\n\
   -- texture vertices, the vertex indices for a mesh face are also the\n\
   -- texture vertex indices for the texture faces.\n\
   for f = 1 to obj.numfaces do\n\
   setTVFace obj f (getface obj f)\n\
   -- all done. reset the coordinate system\n\
   set coordsys oldcoordsys\n\
   -- update the mesh so 3ds Max sees the changes\n\
\n\
   update obj\n\
   )\n\
   --\n\
   -- test bed. Create a sphere, apply a material, set the diffuse map\n\
   -- to a 2x3 tiled checker map, turn on viewport display of the\n\
   -- checker texture map, and call the ApplyPlanarMap function\n\
   --\n\
   g=geosphere()\n\
   convertToMesh g\n\
   g.material=standard()\n\
   g.material.maps[2]=checker()\n\
   g.material.maps[2].coordinates.u_tiling=2\n\
   g.material.maps[2].coordinates.v_tiling=3\n\
   showTextureMap g.material g.material.maps[2] true\n\
   ApplyPlanarMap g #x\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ApplyPlanarMap() -- output of function declaration lines 5 to 45\n\
   $GeoSphere:GeoSphere02 @ [0.0,0.0,0.0] -- output line 51\n\
   $Editable_Mesh:GeoSphere02 @ [0.0,0.0,0.0] -- output line 52\n\
   Standard:Standard -- output line 53\n\
   Checker:Checker -- output line 54\n\
   2 -- output line 55\n\
   3 -- output line 56\n\
   OK -- output line 57\n\
   OK -- output line 58\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Mesh-and-TriMesh.html\">Editable_Mesh and TriMesh</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Editable_Mesh-GeometryClass-and.html\">Editable_Mesh : GeometryClass and TriMesh : Value</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";