var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4EF4DCB1-AA96-48BF-9985-3518C53C8294\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Editable_Poly Mapping Methods</h1></div><p><strong>The following methods are specific to Editable_Poly Mapping, Vertex and Edge Data:</strong></p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#mapping-channels-methods\">Mapping Channels Methods</a></li>\n\
<li><a href=\"#vertex-colors-methods\">Vertex Colors Methods</a></li>\n\
<li><a href=\"#vdata-channels-methods\">VData Channels Methods</a></li>\n\
<li><a href=\"#edata-channels-methods\">EData Channels Methods</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<h2 id=\"mapping-channels-methods\">Mapping Channels Methods</h2>\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> All channels are <strong>0-based</strong>!</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.setNumMaps &lt;Poly poly&gt; &lt;int count&gt; keep:&lt;boolean=true&gt;</code></pre><p>Sets the number of map channels available.</p>\n\
<p>The number of map channels can be set from 0 to 100.</p>\n\
<p>Map channels 0 and 1 are the Vertex Color and default Texture Map channels.</p>\n\
<p>If <code>&lt;keep&gt;</code> is <code>false</code> , the old mapping information is discarded. If <code>true</code> , the old mapping information is retained after the resize.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getNumMaps &lt;Poly poly&gt;</code></pre><p>Returns the number of map channels available as an <code>&lt;integer&gt;</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.setMapSupport &lt;Poly poly&gt; &lt;int mapChannel&gt; &lt;Boolean support&gt;</code></pre><p>Sets whether the specified mapping channel is supported or not.</p>\n\
<p>If <code>&lt;support&gt;</code> is <code>true</code> , and the channel support state is currently <code>false</code> , a new map face array of the same size as the number of faces in the mesh is allocated, but no map vertex array is allocated.</p>\n\
<p>If <code>&lt;support&gt;</code> is <code>false</code> , and the channel support state is currently <code>true</code> , existing map channel face and vertex arrays are deallocated.</p>\n\
<p>If <code>&lt;support&gt;</code> and the current channel support state are both the same, no action is performed. <code>SetNumMaps()</code> is automatically called if the specified map channel is not available.</p>\n\
<p><code>&lt;mapChannel&gt;</code> index values are 0-based, with Map channels 0 and 1 being the Vertex Color and default Texture Map channels.</p>\n\
<p>This method was previously broken but was fixed in <strong>3ds Max 2008</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getMapSupport &lt;Poly poly&gt; &lt;int mapChannel&gt;</code></pre><p>Returns whether the specified map channel is supported.</p>\n\
<p>This signifies that a map face array is present, but not necessarily a map vertex array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.setNumMapVerts &lt;Poly poly&gt; &lt;int mapChannel&gt; &lt;int count&gt; keep:&lt;boolean=false&gt;</code></pre><p>Sets the number of vertices for the map channel, initializing the map vertex array.</p>\n\
<p>If <code>&lt;keep&gt;</code> is <code>fals</code> , the old map vertex information is discarded.</p>\n\
<p>If <code>true</code> , the old map vertex information is retained after the resize.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getNumMapVerts &lt;Poly poly&gt; &lt;int mapChannel&gt;</code></pre><p>Returns the number of vertices for the map channel as an <code>&lt;integer&gt;</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.setNumMapFaces &lt;Poly poly&gt; &lt;int mapChannel&gt; &lt;int count&gt; keep:&lt;boolean=false&gt;</code></pre><p>Sets the number of faces for the map channel.</p>\n\
<p>If <code>keep</code> is <code>false</code> , the old map face information is discarded.</p>\n\
<p>If <code>true</code> , the old map face information is retained after the resize.</p>\n\
<p>Dangerous to use with map channels 0 and 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getNumMapFaces &lt;Poly poly&gt; &lt;int mapChannel&gt;</code></pre><p>Returns the number of faces for the map channel as an <code>&lt;integer&gt;</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.setMapVert &lt;Poly poly&gt; &lt;int mapChannel&gt; &lt;int index&gt; &lt;Point3 uvw&gt;</code></pre><p>Sets the coordinates of the specified map vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getMapVert &lt;Poly poly&gt; &lt;int mapChannel&gt; &lt;int index&gt;</code></pre><p>Returns the coordinates of the specified map vertex as a <code>&lt;point3&gt;</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.setMapFace &lt;Poly poly&gt; &lt;int mapChannel&gt; &lt;int map face index&gt; &lt;map vertex array&gt;</code></pre><p>Sets the map vertices for the specified map face.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getMapFace &lt;Poly poly&gt; &lt;int mapChannel&gt; &lt;int index&gt;</code></pre><p>Returns the vertex indices of the specified map face as an array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.defaultMapFaces &lt;Poly poly&gt; &lt;int mapChannel&gt;</code></pre><p>Allocates and initializes a basic planar map, or a white map for the vertex color hannel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.applyUVWMap &lt;Poly poly&gt; \\\n\
&lt;#planar | #cylindrical | #spherical | #ball | #box&gt; | &lt;#face&gt; \\\n\
utile:&lt;float=1.0&gt; vtile:&lt;float=1.0&gt; wtile:&lt;float=1.0&gt; \\\n\
uflip:&lt;boolean=false&gt; vflip:&lt;boolean=false&gt; wflip:&lt;boolean=false&gt; \\\n\
cap:&lt;boolean=true&gt; tm:&lt;Matrix3=identity matrix&gt; channel:&lt;integer=1&gt;\n\
</code></pre><p>Applies the specified mapping type to the mapping channel.</p>\n\
<p><code>utile/vtile/wtile</code> - Number of tiles in the U/V/W directions.</p>\n\
<p><code>uflip/vflip/wflip</code> - U/V/W are mirrored if <code>true</code> .</p>\n\
<p><code>cap</code> - used with <code>#cylindrical</code> . If <code>true</code> , then any face normal that is pointing more vertically than horizontally will be mapped using planar coordinates.</p>\n\
<p><code>tm</code> - defines the mapping space. As each point is mapped, it is multiplied by this matrix, and then it is mapped.</p>\n\
<p><code>channel</code> - the mapping channel the mapping is applied to, defaults to channel 1.</p>\n\
<h2 id=\"vertex-colors-methods\">Vertex Colors Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getVertsByColor &lt;Poly poly&gt; &lt;Color color&gt;&lt;Float red_thresh&gt;\\\n\
&lt;Float green_thresh&gt;&lt;Float blue_thresh&gt;\\\n\
channel:&lt;int=0&gt;\n\
</code></pre><p>Returns the vertices whose vertex color is within the color range as a <code>&lt;bitarray&gt;</code> .</p>\n\
<p>The range values should be in the range of 0 to 255.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getVertsByColor &lt;Poly poly&gt; &lt;Point3 uvw&gt; &lt;Float u_thresh&gt; \\\n\
&lt;Float v_thresh&gt; &lt;Float w_thresh&gt; channel:&lt;int=0&gt;\n\
</code></pre><p>Returns the vertices whose UVW is within the UVW range as a <code>&lt;bitarray&gt;</code> .</p>\n\
<p>The range values should be in the range of 0 to 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.setVertColor &lt;Poly poly&gt; &lt;int mapChannel&gt; &lt;vertlist&gt; &lt;Color color&gt;</code></pre><p>Sets the vertex color for the specified vertices in the specified <code>&lt;mapChannel&gt;</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.SetFaceColor &lt;Poly poly&gt; &lt;int mapChannel&gt; &lt;facelist&gt; &lt;Color color&gt;</code></pre><p>Sets the vertex color for the vertices used by the specified faces in the specified <code>&lt;mapChannel&gt;</code> .</p>\n\
<h2 id=\"vdata-channels-methods\">VData Channels Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.setNumVDataChannels &lt;Poly poly&gt; &lt;int count&gt; keep:&lt;boolean=true&gt;\n\
</code></pre><p>Sets the number of vertex data channels available. The number of vertex data channels can be set from 0 to 100.</p>\n\
<p>If <code>&lt;keep&gt;</code> is <code>false</code> , the old channel data is discarded. If <code>true</code> , the old channel data is retained after the resize. The first ten channels for Discreet&apos;s use only.</p>\n\
<p>channel 1: Soft Selection</p>\n\
<p>channel 2: Vertex weights (for NURMS MeshSmooth)</p>\n\
<p>channel 3: Vertex Alpha values</p>\n\
<p>channel 4: Cornering values for subdivision use</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getNumVDataChannels &lt;Poly poly&gt;</code></pre><p>Returns the number of vertex data channels available as an <code>&lt;integer&gt;</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.setVDataChannelSupport &lt;Poly poly&gt; &lt;int vdChannel&gt; &lt;boolean support&gt;</code></pre><p>Sets whether the specified vertex data channel is supported or not.</p>\n\
<p><code>&lt;vdChannel&gt;</code> index values are 1-based, The first ten channels for Autodesk&apos;s use only.</p>\n\
<p>channel 1: Soft Selection</p>\n\
<p>channel 2: Vertex weights (for NURMS MeshSmooth)</p>\n\
<p>channel 3: Vertex Alpha values</p>\n\
<p>channel 4: Cornering values for subdivision use</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getVDataChannelSupport &lt;Poly poly&gt; &lt;int vdChannel&gt;</code></pre><p>Returns whether the specified vertex data channel is supported.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getVDataValue &lt;Poly poly&gt; &lt;int vdChannel&gt; &lt;int vertex_index&gt;</code></pre><p>Returns the floating point data value associated with vertex <code>vertex_index</code> in vertex data channel <code>&lt;vdChannel&gt;</code> as a <code>&lt;float&gt;</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.setVDataValue &lt;Poly poly&gt; &lt;int vdChannel&gt; &lt;vertlist&gt; &lt;float&gt;</code></pre><p>Sets the floating point data value associated with the specified vertices in vertex data channel <code>&lt;vdChannel&gt;</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.freeVData &lt;Poly poly&gt; &lt;int vdChannel&gt;\n\
\n\
polyop.resetVData &lt;Poly poly&gt; &lt;int vdChannel&gt;</code></pre><p>Deallocates the existing vertex data channel and turns off the vertex data channel support state.</p>\n\
<p>These methods do the exact same thing.</p>\n\
<h2 id=\"edata-channels-methods\">EData Channels Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.setNumEDataChannels &lt;Poly poly&gt; &lt;int count&gt; keep:&lt;boolean=true&gt;</code></pre><p>Sets the number of edge data channels available. The number of edge data channels can be set from 0 to 10.</p>\n\
<p>If <code>&lt;keep&gt;</code> is <code>false</code> , the old channel data is discarded.</p>\n\
<p>If <code>true</code> , the old channel data is retained after the resize.</p>\n\
<p>The first two channels for Autodesk&apos;s use only.</p>\n\
<p>channel 1: edge knot data</p>\n\
<p>channel 2: edge crease data</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getNumEDataChannels &lt;Poly poly&gt;</code></pre><p>Returns the number of edge data channels available as an <code>&lt;integer&gt;</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.setEDataChannelSupport &lt;Poly poly&gt;&lt;int edChannel&gt;&lt;Boolean support&gt;</code></pre><p>Sets whether the specified edge data channel is supported or not.</p>\n\
<p><code>&lt;edChannel&gt;</code> index values are 1-based, the first two channels for Autodesk&apos;s use only.</p>\n\
<p>channel 1: edge knot data</p>\n\
<p>channel 2: edge crease data</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getEDataChannelSupport &lt;Poly poly&gt; &lt;int edChannel&gt;</code></pre><p>Returns whether the specified edge data channel is supported.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getEDataValue &lt;Poly poly&gt; &lt;int edChannel&gt; &lt;int edge_index&gt;</code></pre><p>Returns the floating point data value associated with edge <code>edge_index</code> in edge data channel <code>&lt;edChannel&gt;</code> as a <code>&lt;float&gt;</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.setEDataValue &lt;Poly poly&gt; &lt;int edChannel&gt; &lt;edgelist&gt; &lt;float&gt;</code></pre><p>Sets the floating point data value associated with the specified edges in edge data channel <code>&lt;edChannel&gt;</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.freeEData &lt;Poly poly&gt; &lt;int edChannel&gt;\n\
\n\
resetEData &lt;Poly poly&gt; &lt;int edChannel&gt;\n\
</code></pre><p>Deallocates the existing edge data channel and turns off the edge data channel support state.</p>\n\
<p>These methods do the exact same thing.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Poly.html\">Editable_Poly</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Editable_Poly-Properties.html\">Editable_Poly Properties</a></li>\n\
          <li><a class=\"link\" href=\"Editable_Poly-Methods.html\">Editable_Poly Methods</a></li>\n\
          <li><a class=\"link\" href=\"Editable_Poly-Methods.html\">Editable_Poly Methods</a></li>\n\
          <li><a class=\"link\" href=\"Interface-EditablePoly.html\">Interface: EditablePoly</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";