var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-07318A19-8091-4B3E-BB46-463942B0F39B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Editable_Poly Manipulate Vertex Methods</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getVert &lt;Poly poly&gt; &lt;int vertex&gt; \\\n\
node:&lt;node=unsupplied&gt;</code></pre><p>Returns the position of the specified vertex. If <code>&lt;poly&gt;</code> is a node, or if <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is specified, the position returned is in the current coordinate system context. If <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is not specified, the return value is in the poly&apos;s local coordinate system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3_array&gt; polyop.getVerts &lt;Poly poly&gt; &lt;verlist&gt; \\\n\
node:&lt;node=unsupplied&gt;</code></pre><p><strong>Available in 3ds Max 2018.2 and higher</strong>: Returns the positions of the specified vertices as an array of point3. If <code>&lt;poly&gt;</code> is a node, or if <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is specified, the position returned is in the current coordinate system context. If <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is not specified, the return values are in the poly&apos;s local coordinate system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.setVert &lt;Poly poly&gt; &lt;vertlist&gt; {&lt;point3 pos&gt;|&lt;point3 pos_array&gt;} \\\n\
node:&lt;node=unsupplied&gt;</code></pre><p>Sets the position of the specified vertices.</p>\n\
<p>If <code>&lt;poly&gt;</code> is a node, or if <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is specified, the position is in the current coordinate system context.</p>\n\
<p>If <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is not specified, the position is in the poly&apos;s local coordinate system.</p>\n\
<p>In <strong>3ds Max 2008 and higher</strong>, this method allows the position to be specified as array. In that case, the number of values in <code>&lt;pos_array&gt;</code> must match the number of vertices specified in <code>&lt;vertlist&gt;</code>. This feature was previously part of the <a href=\"./../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.moveVert &lt;Poly poly&gt; &lt;vertlist&gt; {&lt;point3 offset&gt;|&lt;point3 offset_array&gt;} \\\n\
node:&lt;node&gt; useSoftSel:&lt;boolean&gt;</code></pre><p>Moves the specified vertices by <code>&lt;offset&gt;</code>.</p>\n\
<p>If <code>&lt;poly&gt;</code> is a node, or if <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is specified, the offset is in the current coordinate system context.</p>\n\
<p>If <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is not specified, the offset is in the poly&apos;s local coordinate system.</p>\n\
<p>In <strong>3ds Max 2008 and higher</strong>, this method allows the position to be specified as array. In that case, the number of values in <code>&lt;pos_array&gt;</code> must match the number of vertices specified in <code>&lt;vertlist&gt;</code>. This feature was previously part of the <a href=\"./../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a> .</p>\n\
<p>If <code>useSoftSel:</code> is true, and the mesh&apos;s soft selection data channel is present, the specified offsets are multiplied by the vertex&apos;s soft selection value.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> It is very important to pass the <code>&lt;vertlist&gt;</code> argument as a bitArray value and not as an array. Passing the argument as an array causes a significant performance hit (orders of magnitude). This applies to all methods operating on sub-object lists.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Poly-Methods.html\">Editable_Poly Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";