var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-964B90DC-C127-401A-AB40-F8FE23B03E34\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Render Surface Map</h1></div><p>These methods expose the functionality of the <strong>Render Surface Map</strong> dialog, which can generate various types of surface maps for Editable_Poly objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;cavityMap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;contrast &lt;int&gt;bleed\n\
&lt;boolean&gt;PolyBCavityMap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;contrast &lt;int&gt;bleed</code></pre><p>Generates a cavity map for the specified Editable_Poly <code>poly</code> object, where <code>width</code> and <code>height</code> is the size of the bitmap (in pixels), <code>mapchannel</code> is the object&apos;s map channel, <code>contrast</code> is the amount of extra contrast to apply, and <code>bleed</code> is the number of pixels to add at UVW borders as &quot;padding&quot;.</p>\n\
<p>The <code>cavityMap()</code> version returns the generated bitmap as a value, whereas the <code>PolyBCavityMap()</code> displays the generated bitmap in a virtual frame buffer window.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;densityMap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;bleed\n\
&lt;boolean&gt;PolyBDensityMap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;bleed</code></pre><p>Generates a density map for the specified Editable_Poly <code>poly</code> object, where <code>width</code> and <code>height</code> is the size of the bitmap (in pixels), <code>mapchannel</code> is the object&apos;s map channel, and <code>bleed</code> is the number of pixels to add at UVW borders as &quot;padding&quot;.</p>\n\
<p>The <code>densityMap()</code> version returns the generated bitmap as a value, whereas the <code>PolyBDensityMap()</code> displays the generated bitmap in a virtual frame buffer window.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;dustMap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;bleed\n\
&lt;boolean&gt;PolyBDustMap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;bleed</code></pre><p>Generates a dust map for the specified Editable_Poly <code>poly</code> object, where <code>width</code> and <code>height</code> is the size of the bitmap (in pixels), <code>mapchannel</code> is the object&apos;s map channel, and <code>bleed</code> is the number of pixels to add at UVW borders as &quot;padding&quot;.</p>\n\
<p>The <code>dustMap()</code> version returns the generated bitmap as a value, whereas the <code>PolyBDustMap()</code> displays the generated bitmap in a virtual frame buffer window.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;subSurfaceMap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;accuracy &lt;int&gt;bleed\n\
&lt;boolean&gt;PolyBSubSurfaceMap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;accuracy &lt;int&gt;bleed&gt;</code></pre><p>Generates a SubSurface map for the specified Editable_Poly <code>poly</code> object, where <code>width</code> and <code>height</code> is the size of the bitmap (in pixels), <code>mapchannel</code> is the object&apos;s map channel, <code>accuracy</code> is the amount of blur to apply, and <code>bleed</code> is the number of pixels to add at UVW borders as &quot;padding&quot;.</p>\n\
<p>The <code>subSurfaceMap()</code> version returns the generated bitmap as a value, whereas the <code>PolyBSubSurfaceMap()</code> displays the generated bitmap in a virtual frame buffer window.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;occlusionMap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;accuracy &lt;int&gt;bleed\n\
&lt;boolean&gt;PolyBOcclusionMap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;accuracy &lt;int&gt;bleed</code></pre><p>Generates an occlusion map for the specified Editable_Poly <code>poly</code> object, where <code>width</code> and <code>height</code> is the size of the bitmap (in pixels), <code>mapchannel</code> is the object&apos;s map channel, <code>accuracy</code> is the amount of blur to apply, and <code>bleed</code> is the number of pixels to add at UVW borders as &quot;padding&quot;.</p>\n\
<p>The <code>subSurfaceMap()</code> version returns the generated bitmap as a value, whereas the <code>PolyBSubSurfaceMap()</code> displays the generated bitmap in a virtual frame buffer window.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;selectionToBitmap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;isEP &lt;Edit_Poly&gt;EP\n\
&lt;boolean&gt;PolyBSelToBitmap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;isEP &lt;Edit_Poly&gt;EP</code></pre><p>Generates black-and-white bitmap based on the sub-object selection of the specified Editable_Poly <code>poly</code> object, where <code>width</code> and <code>height</code> is the size of the bitmap (in pixels), and <code>mapchannel</code> is the object&apos;s map channel.  If <code>isEP</code> is 0 (the default) the specified poly object is operated on; if <code>isEP</code> is 1 (true), the specified Edit_Poly <code>EP</code> object is operated on.</p>\n\
<p>The <code>selectionToBitmap()</code> version returns the generated bitmap as a value, whereas the <code>PolyBSelToBitmap()</code> displays the generated bitmap in a virtual frame buffer window.</p>\n\
<h2 id=\"example\">Example</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- create an editable_poly object\n\
t = teapot()\n\
convertto t Editable_Poly\n\
-- add a map channel\n\
addmodifier t (UVWMap())\n\
collapsestack t\n\
\n\
-- generate density map\n\
dm = densityMap t 512 512 1 3\n\
\n\
-- show bitmap:\n\
display dm caption:&quot;My Density Map&quot;\n\
-- save bitmap:\n\
dm.filename = (getDir #image) + &quot;\\\\my_density.bmp&quot;\n\
save dm quiet:false</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable-Meshes-Splines-Patches.html\">Editable Meshes, Splines, Patches, and Polys</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";