var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6FEB5CF5-2747-4EC8-9D98-872CD363C460\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Passing SplineShape Knot Selections Up The Stack</h1></div><p>When setting a Knot selection using the setKnotSelection method, you are <strong>always</strong> affecting the base object - the EditableSpline at the bottom of the stack. It is not directly possible to set the sub-object vertex selection of a specific <a href=\"./../../Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/Edit_Spline-Modifier.html\">Edit_Spline</a> modifier using this method. The selection flows up the stack through any existing Edit_Spline modifiers and changes the sub-object selections of all of them.</p>\n\
<p>In the following example, the script has to select a single vertex at the end of a SplineShape and link it to an object using a Linked XForm modifier. Then the other vertex on the other end of the SplineShape has to be linked to a different object using a second Linked XForm modifier. In result, moving either object should stretch the spline between the two objects similar to a rope.</p>\n\
<p>Obviously, trying to set the vertex selection for both ends will fail because the second selection would flow through the whole stack and overwrite the first selection, resulting in both Linked XForm modifiers affecting the same vertex.</p>\n\
<p>To avoid this, we have to do two things - we will apply the modifiers from top to bottom instead of adding them on top of each-other, and we will use a SplineSelect modifier as a &quot;selection blocker&quot; to stop the second sub-object selection from overwriting the first one.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   resetMaxFile #noPrompt\n\
   theSphere1= sphere()\n\
   theSphere1.pos = [-100,0,0]\n\
   theSphere2= sphere()\n\
   theSphere2.pos = [100,0,0]\n\
   theShape = splineShape()\n\
   addnewSpline theShape\n\
   addKnot theShape 1 #corner #line [-100,0,0]\n\
   addKnot theShape 1 #corner #line [100,0,0]\n\
   updateShape theShape\n\
   max modify mode --switch to modify panel\n\
   select theShape --select the spline \n\
   es1 = edit_spline name:&quot;First ES&quot; --create 1st Edit_Spline\n\
   addmodifier theShape es1 --add to the TOP of the stack\n\
   subobjectLevel = 1 --vertex level...\n\
   setKnotSelection theShape 1 #(1) --select first vertex in BASE OBJECT\n\
   LX1 = Linked_XForm name:&quot;First XForm&quot; --Add Linked XForm\n\
   modPanel.addModToSelection LX1 --Add to the sub-selection\n\
   LX1.Control = theSphere1--Set control\n\
   sselect = splineselect name:&quot;Blocker&quot; --Add a SplineSelect to stop the flow\n\
   addmodifier theShape sselect before:2 --Add it BEFORE the first Edit_Spline!\n\
    --Note: Since modifiers are always counted from top to bottom,\n\
    --having 2 modifiers on top will place the new modifier before them\n\
    --when using &quot;before:2&quot;\n\
   es2 = edit_spline name:&quot;Second ES&quot; --Create second Edit_Spline\n\
   addmodifier theShape es2 before:3 --Add it BEFORE the SlineSelect &quot;Blocker&quot;\n\
   modPanel.setCurrentObject es2 --Set the Modifier stack to it \n\
   subobjectLevel = 1 --vertex SO level\n\
   setKnotSelection theShape 1 #(2) --select second vertex\n\
    --Note that at this point, the selection will flow up until it\n\
    --hits the SplineSelect modifier which is set to Object Level and does\n\
    --not let the selection pass beyond that point. This preserves\n\
    --the selection of vertex 1 in the top Edit_Spline and sets the\n\
    --selection in the bottom one to vertex 2.\n\
   LX2 = Linked_XForm name:&quot;Second XForm&quot; --create new Linked XForm\n\
    modPanel.addModToSelection LX2 --Add on top of the current selection\n\
   LX2.Control = theSphere2 --set second control\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../SplineShape.html\">SplineShape</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";