var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-25211F97-E81A-4D49-AFB6-50B30894FBEB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>AnimHandle System</h1></div><p>The <strong>AnimHandle system</strong> defines a unique ID number for every entity in the scene, including nodes, modifiers, materials, controllers, etc. When an entity is deleted from memory, its number will never be reused by any entity created later, except in the case of the so-called &quot;wrap-around&quot; - an unhealthy condition possible only when four billion entities (the 32-bit limit) are created in a single <strong>3ds Max</strong> session.</p>\n\
<p>Therefore you can determine whether an object is deleted by requesting the object using its handle, and seeing if the result is undefined.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetHandleByAnim &lt;object&gt;</code></pre><p>This method returns the unique AnimHandle ID for the given scene entity.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;object&gt;GetAnimByHandle &lt;integer&gt;</code></pre><p>This method returns the scene entity corresponding to the unique AnimHandle ID, or undefined if the entity has been deleted or has not been created yet.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IntegerPtr&gt;getAnimPointer &lt;maxwrapper&gt; </code></pre><p>This method returns a pointer to the wrapped refTarg as an IntegerPtr, or 0 if the value is <code>undefined</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxwrapper&gt;getAnimByPointer &lt;IntegerPtr&gt;</code></pre><p>Returns the corresponding maxwrapper for the specified pointer address. This means: <code>(getAnimByPointer (getAnimPointer &lt;maxwrapper&gt;)) == maxwrapper</code>. This function is intended mainly for internal use and debugging.</p>\n\
<p>Available in <strong>3ds Max 2018</strong> and higher.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   x = teapot() --create a teapot\n\
   xHandle = GetHandleByAnim x --get the anim.handle\n\
   x_verify = GetAnimByHandle xhandle --get by anim.handle\n\
   x == x_verify --compare the two -returns true\n\
   delete x --delete the teapot\n\
   clearUndoBuffer() --object deleted completely from memory\n\
   x_verify = GetAnimByHandle xhandle --now returns undefined\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Identifying-and-Accessing.html\">Identifying and Accessing MAXScript Classes and Properties</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";