var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-41314BEF-A7C5-4525-AF73-B826194A4965\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>getClassInstances</h1></div><p>The <strong>getClassInstances</strong> function available in <strong>3ds Max 7 and higher</strong> returns an array of all instances of a specified class that exist in a scene.</p>\n\
<p>It was previously available through the <a href=\"./../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard</a> DLX 3rd party MAXScript extension.</p>\n\
<p>Until <strong>3ds Max 2011</strong>, the function was looking for the class instances by enumerating the animatable tree. There are many cases where the subAnims of an object are a subset of the references held by an object, so instances present in the scene were being missed.</p>\n\
<p>Starting with <strong>3ds Max 2011</strong>, <code>getClassInstances()</code> can search for class instances in a variety of ways depending on its arguments, including the two new ones: <code>processAllAnimatables:</code> and <code>processChildren:</code> .</p>\n\
<p>The syntax is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getClassInstances &lt;MAXClass&gt; processAllAnimatables:&lt;boolean&gt; target:&lt;MAXObject&gt; asTrackViewPick:&lt;boolean&gt; processChildren:&lt;boolean&gt;</code></pre><p><code>&lt;MAXClass&gt;</code> specifies the class whose instances are being searched for.</p>\n\
<h3 id=\"processallanimatables-\">processAllAnimatables:</h3><p>If <code>processAllAnimatables:true</code> is specified in <strong>3ds Max 2011 or higher</strong>, all existing objects, even those not present in the scene, are tested to see if they are instances of the specified class. These objects include, for example, objects held only by MAXscript values.</p>\n\
<p>When <code>processAllAnimatables:true</code> is specified, no other keyword parameters are applicable and are ignored.</p>\n\
<p>The default value for this parameter is <code>false</code> .</p>\n\
<h3 id=\"target-\">target:</h3><p>If <code>target</code> : is specified, only the hierarchy for that target is searched.</p>\n\
<p>If <code>target</code> : is not specified, the entire scene under the scene root is searched. The scene in this case refers not only to the node hierarchy, but also the Material Editor, Track View, and others.</p>\n\
<h3 id=\"astrackviewpick-\">asTrackViewPick:</h3><p>If <code>asTrackViewPick:true</code> is specified, each use of a class instance is returned as a <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Track-View/Track-View-Pick-Dialog.html\"\">TrackViewPick value</a>.</p>\n\
<p>If asTrackViewPick:true is specified, the hierarchy that is searched is the Animatable tree under the target. There are lots of cases where the subAnims of an object are a subset of the references held by an object, so class instances present in the scene might be missed. The Animatable tree is the tree shown in TrackView.</p>\n\
<p>If <code>asTrackViewPick:false</code> is specified or not supplied, each class instance is returned, and the hierarchy that is searched is the Reference tree under the target.</p>\n\
<p>The default value for this parameter is <code>false</code> .</p>\n\
<h3 id=\"processchildren-\">processChildren:</h3><p>If <code>processChildren:true</code> is specified in <strong>3ds Max 2011 or higher</strong>, children scene nodes are also searched as part of the Animatable or Reference hierarchy.</p>\n\
<p>The default value for this parameter is <code>false</code> unless no target is specified, the scene root node (rootNode) is specified, or the scene root (rootScene) is specified, in which case the default is <code>true</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Create two spheres, and an instance of one of the spheres:\n\
   resetMaxFile #noPrompt\n\
   s1 = sphere()\n\
   s2 = sphere pos:[100,0,0]\n\
   s3 = instance s1\n\
   s3.pos = [-100,0,0]\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   OK \n\
   $Sphere:Sphere01 @ [0.000000,0.000000,0.000000] \n\
   $Sphere:Sphere02 @ [100.000000,0.000000,0.000000] \n\
   $Sphere:Sphere03 @ [0.000000,0.000000,0.000000] [-100,0,0] \n\
</code></pre><p>   <strong>EXECUTE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   tvps=getClassInstances sphere asTrackViewPick:true\n\
   for tvp in tvps do\n\
   (\n\
   print tvp.anim\n\
   print tvp.client\n\
   print tvp.subNum\n\
   print tvp.name\n\
   print tvp.client[tvp.subNum]\n\
   )\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   #(TrackViewPick:&quot;Object (Sphere)&quot;, TrackViewPick:&quot;Object (Sphere)&quot;, TrackViewPick:&quot;Object (Sphere)&quot;)\n\
   Sphere\n\
   $Sphere:Sphere001 @ [0.000000,0.000000,0.000000]\n\
   4\n\
   &quot;Object (Sphere)&quot;\n\
   SubAnim:Object__Sphere\n\
   Sphere\n\
   $Sphere:Sphere002 @ [100.000000,0.000000,0.000000]\n\
   4\n\
   &quot;Object (Sphere)&quot;\n\
   SubAnim:Object__Sphere\n\
   Sphere\n\
   $Sphere:Sphere003 @ [-100.000000,0.000000,0.000000]\n\
   4\n\
   &quot;Object (Sphere)&quot;\n\
   SubAnim:Object__Sphere\n\
   OK\n\
</code></pre><p>   <strong>NOW EXECUTE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   objs=getClassInstances sphere\n\
   for obj in objs do print (refs.dependents obj) #nomap\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   #(Sphere, Sphere)\n\
   #($Sphere:Sphere003 @ [-100.000000,0.000000,0.000000], $Sphere:Sphere001 @ [0.000000,0.000000,0.000000], ReferenceTarget:NodeRefMgr)\n\
   #($Sphere:Sphere002 @ [100.000000,0.000000,0.000000])\n\
   OK\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>CONCLUSION:</strong></p>\n\
<p>   As one of the spheres is instanced, three TrackViewPick values are returned, but only two class instances are returned.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>EXPLORING ARGUMENT COMBINATIONS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   t1 = bitmaptex filename:&quot;t1.bmp&quot; name:#Sphere_DiffuseMap\n\
   t2 = bitmaptex filename:&quot;t2.bmp&quot; name:#Teapot_DiffuseMap\n\
   t3 = bitmaptex filename:&quot;t3.bmp&quot; name:#Displace\n\
   t4 = bitmaptex filename:&quot;t4.bmp&quot; name:#VolSelect\n\
   t5 = bitmaptex filename:&quot;t5.bmp&quot; name:#HairDens\n\
   t6 = bitmaptex filename:&quot;t6.bmp&quot; name:#NoWhere\n\
   t7 = bitmaptex filename:&quot;t7.bmp&quot; name:#MEdit\n\
   t8 = bitmaptex filename:&quot;t8.bmp&quot; name:#NodeCustAttrib\n\
   t9 = bitmaptex filename:&quot;t9.bmp&quot; name:#ObjCustAttrib\n\
   s = sphere material:(standard showInViewport:true)\n\
   t = teapot material:(standard showInViewport:true) pos:[0,50,0] parent:s\n\
   s.material.diffusemap = t1\n\
   s.material.specularmap = t1\n\
   t.material.diffusemap = mix mask:t2\n\
   addModifier s (displace map:t3 strength:10)\n\
   addModifier t (volumeSelect texture:t4)\n\
   addModifier s (HairMod())\n\
   s.modifiers[1].maps[1] = t5\n\
   s.modifiers[1].mapEnables[1] = true\n\
   meditmaterials[1] = t7\n\
   g=geosphere()\n\
   testCADef = attributes testCA\n\
   (\n\
   parameters main\n\
   (\n\
   map type:#texturemap\n\
   )\n\
   )\n\
   CustAttributes.add g testCADef BaseObject:false\n\
   CustAttributes.add g testCADef BaseObject:true\n\
   g.testCA.map = t8\n\
   g.baseobject.testCA.map = t9\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Sphere_DiffuseMap:Bitmap\n\
   Teapot_DiffuseMap:Bitmap\n\
   Displace:Bitmap\n\
   VolSelect:Bitmap\n\
   HairDens:Bitmap\n\
   NoWhere:Bitmap\n\
   medit:Bitmap\n\
   NodeCustAttrib:Bitmap\n\
   ObjCustAttrib:Bitmap\n\
   $Sphere:Sphere001 @ [0.000000,0.000000,0.000000]\n\
   $Teapot:Teapot001 @ [0.000000,50.000000,0.000000]\n\
   Sphere_DiffuseMap:Bitmap\n\
   Sphere_DiffuseMap:Bitmap\n\
   Mix:Mix\n\
   OK\n\
   OK\n\
   OK\n\
   HairDens:Bitmap\n\
   true\n\
   medit:Bitmap\n\
   $GeoSphere:GeoSphere001 @ [0.000000,0.000000,0.000000]\n\
   &lt;AttributeDef:testCA&gt;\n\
   true\n\
   true\n\
   NodeCustAttrib:Bitmap\n\
   ObjCustAttrib:Bitmap\n\
</code></pre><p>   <strong>TEST 1:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for b in getClassInstances bitmaptex do\n\
   format &quot;Name : %, Texture name : %, Affected Nodes : %\\n&quot; b.name b.filename (refs.dependentNodes b)\n\
</code></pre><p>   <strong>TEST 1 OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Name : medit, Texture --&gt; Name : t7.bmp , Affected Nodes : #()\n\
   Name : Sphere_DiffuseMap, Texture --&gt; Name : t1.bmp, Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
   Name : Teapot_DiffuseMap, Texture --&gt; Name : t2.bmp, Affected Nodes : #($Editable_Mesh:Teapot001 @ [0.000000,50.000000,0.000000])\n\
   Name : VolSelect, Texture --&gt; Name : t4.bmp, Affected Nodes : #($Editable_Mesh:Teapot001 @ [0.000000,50.000000,0.000000])\n\
   Name : Displace , Texture --&gt; Name : t3.bmp, Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
   Name : HairDens, Texture --&gt; Name : t5.bmp, Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
   Name : ObjCustAttrib, Texture name : t9.bmp, Affected Nodes : #()\n\
   Name : NodeCustAttrib, Texture name : t8.bmp, Affected Nodes : #($GeoSphere:GeoSphere001 @ [0.000000,0.000000,0.000000])\n\
</code></pre><p>   <strong>TEST 2</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for b in getClassInstances bitmaptex target:rootnode do\n\
   format &quot;Name : %, Texture name : %, Affected Nodes : %\\n&quot; b.name b.filename (refs.dependentNodes b)\n\
</code></pre><p>   <strong>TEST 2 OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Name : VolSelect, Texture --&gt; Name : t4.bmp, Affected Nodes : #($Editable_Mesh:Teapot001 @ [0.000000,50.000000,0.000000])\n\
   Name : Teapot_DiffuseMap, Texture --&gt; Name : t2.bmp, Affected Nodes : #($Editable_Mesh:Teapot001 @ [0.000000,50.000000,0.000000])\n\
   Name : Displace, Texture --&gt; Name : t3.bmp, Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
   Name : HairDens, Texture --&gt; Name : t5.bmp, Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
   Name : Sphere_DiffuseMap, Texture --&gt; Name : t1.bmp, Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
   Name : ObjCustAttrib, Texture name : t9.bmp, Affected Nodes : #()\n\
   Name : NodeCustAttrib, Texture name : t8.bmp, Affected Nodes : #($GeoSphere:GeoSphere001 @ [0.000000,0.000000,0.000000])\n\
</code></pre><p>   <strong>TEST 3</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for b in getClassInstances bitmaptex target:s do\n\
   format &quot;Name : %, Texture name : %, Affected Nodes : %\\n&quot; b.name b.filename (refs.dependentNodes b)\n\
</code></pre><p>   <strong>TEST 3 OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Name : Displace, Texture --&gt; Name : t3.bmp, Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
   Name : HairDens, Texture --&gt; Name : t5.bmp, Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
   Name : Sphere_DiffuseMap, Texture --&gt; Name : t1.bmp, Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
</code></pre><p>   <strong>TEST 4</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for b in getClassInstances bitmaptex target:s processChildren:true do\n\
   format &quot;Name : %, Texture name : %, Affected Nodes : %\\n&quot; b.name b.filename (refs.dependentNodes b)\n\
</code></pre><p>   <strong>TEST 4 OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Name : VolSelect, Texture --&gt; Name : t4.bmp, Affected Nodes : #($Editable_Mesh:Teapot001 @ [0.000000,50.000000,0.000000])\n\
   Name : Teapot_DiffuseMap, Texture --&gt; Name : t2.bmp, Affected Nodes : #($Editable_Mesh:Teapot001 @ [0.000000,50.000000,0.000000])\n\
   Name : Displace, Texture --&gt; Name : t3.bmp, Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
   Name : HairDens, Texture --&gt; Name : t5.bmp, Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
   Name : Sphere_DiffuseMap, Texture --&gt; Name : t1.bmp, Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
</code></pre><p>   <strong>TEST 5</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for b in getClassInstances bitmaptex target:g do\n\
   format &quot;Name : %, Texture name : %, Affected Nodes : %\\n&quot; b.name b.filename (refs.dependentNodes b)\n\
</code></pre><p>   <strong>TEST 5 OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Name : ObjCustAttrib, Texture name : t9.bmp, Affected Nodes : #()\n\
   Name : NodeCustAttrib, Texture name : t8.bmp, Affected Nodes : #($GeoSphere:GeoSphere001 @ [0.000000,0.000000,0.000000])\n\
</code></pre><p>   <strong>TEST 6</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for b in getClassInstances bitmaptex processAllAnimatables:true do\n\
   format &quot;Name : %, Texture name : %, Affected Nodes : %\\n&quot; b.name b.filename (refs.dependentNodes b)\n\
</code></pre><p>   <strong>TEST 6 OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Name : Sphere_DiffuseMap, Texture --&gt; Name : t1.bmp, Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
   Name : Teapot_DiffuseMap, Texture --&gt; Name : t2.bmp, Affected Nodes : #($Editable_Mesh:Teapot001 @ [0.000000,50.000000,0.000000])\n\
   Name : Displace, Texture --&gt; Name : t3.bmp, Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
   Name : VolSelect, Texture --&gt; Name : t4.bmp, Affected Nodes : #($Editable_Mesh:Teapot001 @ [0.000000,50.000000,0.000000])\n\
   Name : HairDens, Texture --&gt; Name : t5.bmp, Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
   Name : NoWhere, Texture --&gt; Name : t6.bmp, Affected Nodes : #()\n\
   Name : medit, Texture --&gt; Name : t7.bmp, Affected Nodes : #()\n\
   Name : ObjCustAttrib, Texture name : t9.bmp, Affected Nodes : #()\n\
   Name : NodeCustAttrib, Texture name : t8.bmp, Affected Nodes : #($GeoSphere:GeoSphere001 @ [0.000000,0.000000,0.000000])\n\
</code></pre><p>   <strong>TEST 7</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for b in getClassInstances bitmaptex asTrackViewPick:true do\n\
   format &quot;Name : %, Texture name : %, Client: %, subAnim: %, Affected Nodes : %&quot; b.anim.name b.anim.filename b.client b.subnum (refs.dependentNodes b.anim)\n\
</code></pre><p>   <strong>TEST 7 OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Name : Sphere_DiffuseMap, Texture name : t1.bmp, Client: ReferenceTarget:ReferenceTarget, subAnim: 4 , Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
   Name : Sphere_DiffuseMap, Texture name : t1.bmp, Client: ReferenceTarget:ReferenceTarget, subAnim: 6 , Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
   Name : Teapot_DiffuseMap, Texture name : t2.bmp, Client: Mix:Mix, subAnim: 4, Affected Nodes : #($Editable_Mesh:Teapot001 @ [0.000000,50.000000,0.000000])\n\
   Name : medit, Texture name : t7.bmp, Client: #meditMaterials(), subAnim: 1, Affected Nodes : #()\n\
   Name : Displace, Texture name : t3.bmp, Client: Displace:Displace, subAnim: 3, Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
</code></pre><p>   <strong>TEST 8</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for b in getClassInstances bitmaptex target:s asTrackViewPick:true do\n\
   format &quot;Name : %, Texture name : %, Client: %, subAnim: %, Affected Nodes : %\\n&quot; b.anim.name b.anim.filename b.client b.subnum (refs.dependentNodes b.anim)\n\
</code></pre><p>   <strong>TEST 8 OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Name : Displace, Texture name : t3.bmp, Client: Displace:Displace, subAnim: 3 , Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
   Name : Sphere_DiffuseMap, Texture name : t1.bmp, Client: ReferenceTarget:ReferenceTarget, subAnim: 4 , Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
   Name : Sphere_DiffuseMap, Texture name : t1.bmp, Client: ReferenceTarget:ReferenceTarget, subAnim: 6 , Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
</code></pre><p>   <strong>TEST 9</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for b in getClassInstances bitmaptex target:s processChildren:true asTrackViewPick:true do\n\
   format &quot;Name : %, Texture name : %, Client: %, subAnim: %, Affected Nodes : %\\n&quot; b.anim.name b.anim.filename b.client b.subnum (refs.dependentNodes b.anim)\n\
</code></pre><p>   <strong>TEST 9 OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Name : Displace, Texture name : t3.bmp, Client: Displace:Displace, subAnim: 3, Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
   Name : Sphere_DiffuseMap, Texture name : t1.bmp, Client: ReferenceTarget:ReferenceTarget, subAnim: 4, Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
   Name : Sphere_DiffuseMap, Texture name : t1.bmp, Client: ReferenceTarget:ReferenceTarget, subAnim: 6, Affected Nodes : #($Object:Sphere001 @ [0.000000,0.000000,0.000000])\n\
   Name : Teapot_DiffuseMap, Texture name : t2.bmp, Client: Mix:Mix, subAnim: 4, Affected Nodes : #($Editable_Mesh:Teapot001 @ [0.000000,50.000000,0.000000])\n\
</code></pre></blockquote>\n\
<h2 id=\"getclasscounts-\">getClassCounts()</h2><p>The <code>getClassCounts()</code> function, available in <strong>3ds Max 2018 and higher</strong>, returns array of DataPair instances, where v1 is a maxclass and v2 is the number of instances of the corresponding class that exist in the scene. The syntax is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;array of datapair(maxclass,count)&gt;getClassCounts()</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Identifying-and-Accessing.html\">Identifying and Accessing MAXScript Classes and Properties</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-InstanceMgr.html\">Interface: InstanceMgr</a></li>\n\
          <li><a class=\"link\" href=\"Class-and-Object-Inspector.html\">Class and Object Inspector Functions</a></li>\n\
          <li><a class=\"link\" href=\"../Interfaces/showInterfaces-Inspector.html\">showInterfaces Inspector Function</a></li>\n\
          <li><a class=\"link\" href=\"../Interfaces/GetInterfaces-Interface.html\">GetInterfaces Interface Inspector</a></li>\n\
          <li><a class=\"link\" href=\"../Interfaces/showInterface-Inspector-Function.html\">showInterface Inspector Function</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";