var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1D391B20-E5F9-4226-A0AB-2A72C748494B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ATF_UG_NX_importer : ImporterPlugin</h1></div><p>Exposes the Autodesk Translation Framework UG-NX Importer plugin to MAXScript. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript.</code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATF_UG_NX_importer\n\
ATF_UG_NX_Import\n\
</code></pre><p><img src=\"./images/GUID-3A305E45-C24F-4085-B88E-D44958D9F49A-low.png\" alt></p>\n\
<p><strong>ATF_UG_NX_importer interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: Import Settings</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATF_UG_NX_importer.ConvertToMesh : boolean : Read|Write</code></pre><p>Gets/sets the selection of the &quot;Convert to Mesh&quot; drop-down list.</p>\n\
<p>When set to True (default), the imported geometry will be converted to a mesh.</p>\n\
<p>When set to False, the geometry objects will be imported as Body_Object class instances.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATF_UG_NX_importer.UpAxis : enum : Read|Write\n\
UpAxis enums: {#x|#y|#z}\n\
</code></pre><p>Gets/sets the selection of the &quot;Up Axis&quot; drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li><code>#x</code>: <strong>X - Up</strong></li>\n\
<li><code>#y</code>: <strong>Y - Up</strong></li>\n\
<li><code>#z</code>: <strong>Z - Up (default)</strong></li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATF_UG_NX_importer.HierarchyMode : enum : Read|Write\n\
HierarchyMode enums: {#UsingGrouping|#UsingLayer|#Flattened}\n\
</code></pre><p>Gets/sets the selection of the &quot;Hierarchy Mode&quot; drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p><strong><code>#UsingGrouping</code></strong> (default) - uses the grouping information</p>\n\
<p><strong><code>#UsingLayer</code></strong> - uses the layer information</p>\n\
<p><strong><code>#Flattened</code></strong> - flattens the hierarchy</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATF_UG_NX_importer.MeshResolution : integer : Read|Write</code></pre><p>Gets/sets the value of the &quot;Mesh Resolution&quot; slider / value.</p>\n\
<p>Possible values range is from -10 (Less) to 10 (More).</p>\n\
<p>Default is 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATF_UG_NX_importer.KeepDummyNodes : boolean : Read|Write</code></pre><p>Gets/sets the state of the &quot;Keep Dummy Nodes&quot; checkbox.</p>\n\
<p>When set to True, dummy nodes will be preserved.</p>\n\
<p>Default is False.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATF_UG_NX_importer.ImportTextures : boolean : Read|Write</code></pre><p>Gets or sets whether to import textures.</p>\n\
<p>When set to True, textures are imported in the project&apos;s textures directory.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATF_UG_NX_importer.ImportCameras : boolean : Read|Write</code></pre><p>Gets or sets whether to import cameras.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATF_UG_NX_importer.ImportHiddenObjects : boolean : Read|Write</code></pre><p>Gets or sets whether to import hidden objects. Hidden objects remain hidden upon import.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATF_UG_NX_importer.DoubleSidedMaterials : boolean : Read|Write</code></pre><p>Gets or sets whether to apply double-sided materials to imported faces. This will make flipped faces appear normal.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ATF_UG_NX_importer.PreserveLayers : boolean : Read|Write</code></pre><p>Gets or sets whether to attempt to preserve layers. Layers can only be imported if <code>#UsingGrouping</code> or <code>#Flattened</code> is selected for the <code>.HiearchyMode</code> property.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong>\n\
<strong>Methods:</strong></p>\n\
<p>No methods exposed.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ATF_STEP_importer.ConvertToMesh = false --keep Body Objects\n\
   ATF_STEP_importer.UpAxis = #y --switch axis to Y up\n\
   ATF_STEP_importer.HierarchyMode = #Flattened --flatten hierarchy\n\
   ATF_STEP_importer.KeepDummyNodes = false --no dummies\n\
   importFile @&quot;C:\\Temp\\mytestfile.prt&quot; #noprompt --import without UI\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Import-and-Export-Filters.html\">Import and Export Filters</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"ATF_Alias_importer.html\">ATF_Alias_importer : ImporterPlugin</a></li>\n\
          <li><a class=\"link\" href=\"ATF_CATIA_V4_importer.html\">ATF_CATIA_V4_importer : ImporterPlugin</a></li>\n\
          <li><a class=\"link\" href=\"ATF_CATIA_V5_importer.html\">ATF_CATIA_V5_importer : ImporterPlugin</a></li>\n\
          <li><a class=\"link\" href=\"ATF_IGES_importer-ImporterPlugin.html\">ATF_IGES_importer : ImporterPlugin</a></li>\n\
          <li><a class=\"link\" href=\"ATF_JT_importer-ImporterPlugin.html\">ATF_JT_importer : ImporterPlugin</a></li>\n\
          <li><a class=\"link\" href=\"ATF_ProE_importer-ImporterPlugin.html\">ATF_ProE_importer : ImporterPlugin</a></li>\n\
          <li><a class=\"link\" href=\"ATF_Solidworks_importer.html\">ATF_Solidworks_importer : ImporterPlugin</a></li>\n\
          <li><a class=\"link\" href=\"ATF_STEP_importer-ImporterPlugin.html\">ATF_STEP_importer : ImporterPlugin</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";