var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D33B4031-2AB2-4A84-BA96-6BA96DD5A042\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: actionMan</h1></div><p>The <strong>actionMan Interface</strong> provides MAXScript access to the <strong>ActionTables</strong> and <strong>ActionItems</strong> that represent the actions that can be assigned to Toolbars, Menus, QuadMenus and Keyboard Shortcuts using the Customize User Interface dialog. ActionItems include MacroScripts created using the Macro Recorder or written manually by a MAXScript user. This interface provides methods for executing actions and for managing Keyboard Shortcuts files as well as access to the ActionTables and through them the ActionItems MixinInterfaces, which are documented at the end of this topic.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">actionMan.numActionTables : integer : Read</code></pre><p>Contains the number of Action Tables registered with the Action Manager. Read-only.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;actionMan.executeAction &lt;integer&gt;tableId &lt;string&gt;persistentId      </code></pre><p>Executes the action specified by the table ID and persistent ID.</p>\n\
<p>Returns True if successful, False otherwise.</p>\n\
<p>You can get an action&apos;s IDs by enabling the MacroRecorder and performing actions in the <strong>3ds Max</strong> User Interface. Actions that can be performed only using the actionMan interface will appear as <code>actionMan.executeAction()</code> calls with the corresponding IDs.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<ul>\n\
<li><p>Enable MacroRecorder.</p>\n\
</li>\n\
<li><p>Go to Main Menu &gt; Tools &gt; Selection Floater.</p>\n\
</li>\n\
<li><p>The MacroRecorder will display the code:</p>\n\
</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   actionMan.executeAction 0 &quot;40266&quot; -- Selection: Selection Floater\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;actionMan.loadKeyboardFile &lt;filename&gt;file   </code></pre><p>Loads the keyboard shortcuts settings from the specified file.</p>\n\
<p>If the keyboard shortcut file is in a legacy format (.kbdx), the file is converted and saved under User Settings in the new .hsx format.</p>\n\
<p>Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<p>For example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">actionman.loadKeyboardFile &quot;D:/my_kbdx/my_kbdx_file.kbdx&quot;\n\
--&gt; true \n\
actionman.getKeyboardFile()\n\
&quot;C:/Users/UserName/Autodesk/3ds Max 2020/User Settings/my_kbdx_file.hsx&quot;</code></pre><p>Returns True if successful and False otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;actionMan.saveKeyboardFile &lt;filename&gt;file </code></pre><p>Saves the keyboard shortcuts settings to the specified filename.</p>\n\
<p>Returns True if successful and False otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;actionMan.getKeyboardFile() </code></pre><p>Returns the filename of the current keyboard shortcuts file.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   actionMan.getKeyboardFile()\n\
   &quot;C:\\Program Files\\Autodesk\\3ds Max 2008\\UI\\MaxStartUI.kbd&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;actionMan.getActionTable &lt;index&gt;index</code></pre><p>Returns the <code>&lt;MixinInterface:ActionTable&gt;</code> of the indexed Action Table.</p>\n\
<p>The index must be in the range of 1 to <strong><code>actionMan.numActionTables</code></strong> .</p>\n\
<h2 id=\"actiontable-mixininterface\">ActionTable MixinInterface</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ActionTable&gt;.id : integer : Read</code></pre><p>Contains the ID of the ActionTable. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ActionTable&gt;.name : string : Read</code></pre><p>Contains the Name of the ActionTable. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ActionTable&gt;.contextID : integer : Read</code></pre><p>Contains the ContextID of the ActionTable. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ActionTable&gt;.contextName : string : Read</code></pre><p>Contains the Context Name of the ActionTable. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ActionTable&gt;.numActionItems : integer : Read</code></pre><p>Contains the number of ActionItems in the ActionTable. Read-only.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;&lt;ActionTable&gt;.getActionItem &lt;index&gt;index</code></pre><p>Returns the <code>&lt;MixinInterface:ActionItem&gt;</code> of the indexed Action Item.</p>\n\
<p>The index must be between 1 and <code>&lt;ActionTable&gt;.numActionItems</code>.</p>\n\
<h2 id=\"actionitem-mixininterface\">ActionItem MixinInterface</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ActionItem&gt;.id : integer : Read</code></pre><p>Contains the ID of the ActionItem.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ActionItem&gt;.isVisible : boolean : Read</code></pre><p>Contains the Visible state of the ActionItem as determined by its isVisible event handler.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ActionItem&gt;.isEnabled : boolean : Read</code></pre><p>Contains the Enabled state of the ActionItem as determined by its isEnabled event handler.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ActionItem&gt;.isChecked : boolean : Read</code></pre><p>Contains the Checked state of the ActionItem as determined by its isChecked event handler.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;ActionItem&gt;.getDescription &lt;&amp;String&gt;text\n\
\n\
text is Out parameter</code></pre><p>Sets the by-reference argument to the ActionItem&apos;s Description.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;ActionItem&gt;.getCategory &lt;&amp;String&gt;text\n\
\n\
text is Out parameter</code></pre><p>Sets the by-reference argument to the ActionItem&apos;s Category.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;ActionItem&gt;.getButtonText &lt;&amp;String&gt;text\n\
\n\
text is Out parameter</code></pre><p>Sets the by-reference argument to the text that will be displayed on a button when the ActionItem is assigned to a Toolbar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;ActionItem&gt;.getMenuText &lt;&amp;String&gt;text\n\
\n\
text is Out parameter</code></pre><p>Sets the by-reference argument to the text that will be displayed when the ActionItem is assigned to a Menu or QuadMenu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;ActionItem&gt;.hasIcon()</code></pre><p>Returns True if the ActionItem has an icon associated with it, False if the ActionItem has no icon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;ActionItem&gt;.getIconFileName &lt;&amp;String&gt;fileName\n\
\n\
fileName is Out parameter</code></pre><p>Sets the by-reference argument to the Icon file name, or to &quot;&quot; if no Icon file is associated with the ActionItem.</p>\n\
<p>Returns True on success, False if no Icon file is associated with the ActionItem.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;ActionItem&gt;.getIconIndex()</code></pre><p>Returns the index of the Action Item&apos;s Icon within the Icon file, or 0 if there is no icon associated with it (<code>&lt;ActionItem&gt;.hasIcon()</code> returns <code>false</code> ).</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for i = 1 to actionMan.numActionTables-1 do \n\
   (\n\
       atbl = actionMan.getActionTable i\n\
       format &quot;% ID:% Name:&apos;%&apos; ContextID:% ContextName:&apos;%&apos; NumActionItems:%\\n&quot; i atbl.id atbl.name atbl.contextID atbl.contextName atbl.numActionItems\n\
       for j = 1 to atbl.numActionItems do\n\
       (\n\
           aitm = atbl.getActionItem j\n\
           aitm.getDescription &amp;desc \n\
           aitm.getCategory &amp;cat\n\
           aitm.getButtonText &amp;btn\n\
           aitm.getMenuText &amp;mnu\n\
           hasicon = aitm.hasIcon()\n\
           if hasicon then\n\
           (\n\
               aitm.getIconFileName &amp;iconfile \n\
               iconfile = filenamefrompath iconfile \n\
               iconindex = aitm.getIconIndex()\n\
               format &quot;\\t% ID:% Desc:&apos;%&apos; Cat:&apos;%&apos; BtnTxt:&apos;%&apos; MnuTxt:&apos;%&apos; Icon:[%,%] \\n&quot; j aitm.id desc cat btn mnu iconfile iconindex\n\
           )\n\
           else\n\
               format &quot;\\t% ID:% Desc:&apos;%&apos; Cat:&apos;%&apos; BtnTxt:&apos;%&apos; MnuTxt:&apos;%&apos;\\n&quot; j aitm.id desc cat btn mnu \n\
       )\n\
   )\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>PARTIAL OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ...\n\
   3 ID:-1159893849 Name:&apos;Render&apos; ContextID:0 ContextName:&apos;Main UI&apos; NumActionItems:1\n\
       1 ID:36864 Desc:&apos;Render Message Window Toggle&apos; Cat:&apos;Render&apos; BtnTxt:&apos;Render Message Window...&apos; MnuTxt:&apos;Render Message Window...&apos;\n\
   4 ID:1724956863 Name:&apos;Asset Tracking System&apos; ContextID:0 ContextName:&apos;Main UI&apos; NumActionItems:2\n\
       1 ID:0 Desc:&apos;Generate Proxies&apos; Cat:&apos;Asset Tracking System&apos; BtnTxt:&apos;Generate Proxies&apos; MnuTxt:&apos;Generate Stale Proxies&apos;\n\
       2 ID:1 Desc:&apos;Set Proxy Resolution...&apos; Cat:&apos;Asset Tracking System&apos; BtnTxt:&apos;Set Proxy Resolution...&apos; MnuTxt:&apos;Set Proxy Resolution...&apos;\n\
   5 ID:161818329 Name:&apos;FixAmbientActions&apos; ContextID:2 ContextName:&apos;Material Editor&apos; NumActionItems:2\n\
       1 ID:1 Desc:&apos;Fix Ambient All&apos; Cat:&apos;Utilities&apos; BtnTxt:&apos;Fix Ambient All&apos; MnuTxt:&apos;Fix Ambient All&apos;\n\
       2 ID:2 Desc:&apos;Fix Ambient Selected&apos; Cat:&apos;Utilities&apos; BtnTxt:&apos;Fix Ambient Selected&apos; MnuTxt:&apos;Fix Ambient Selected&apos;\n\
   6 ID:132537306 Name:&apos;MMCleanActions&apos; ContextID:2 ContextName:&apos;Material Editor&apos; NumActionItems:1\n\
       1 ID:1 Desc:&apos;Clean  MultiMaterial&apos; Cat:&apos;Utilities&apos; BtnTxt:&apos;Clean  MultiMaterial&apos; MnuTxt:&apos;Clean MultiMaterial...&apos;\n\
   7 ID:4745576 Name:&apos;InstanceDuplMapActions&apos; ContextID:2 ContextName:&apos;Material Editor&apos; NumActionItems:1\n\
       1 ID:1 Desc:&apos;Instance Duplicate Map&apos; Cat:&apos;Utilities&apos; BtnTxt:&apos;Instance Duplicate Map&apos; MnuTxt:&apos;Instance Duplicate Map...&apos;\n\
   8 ID:-1682387772 Name:&apos;Scene State Manager&apos; ContextID:0 ContextName:&apos;Main UI&apos; NumActionItems:3\n\
       1 ID:4096 Desc:&apos;Save Scene State&apos; Cat:&apos;Scene State&apos; BtnTxt:&apos;Save Scene State...&apos; MnuTxt:&apos;Save Scene State...&apos;\n\
       2 ID:4112 Desc:&apos;Scene State Manager Dialog Toggle&apos; Cat:&apos;Scene State&apos; BtnTxt:&apos;Manage Scene States...&apos; MnuTxt:&apos;Manage Scene States...&apos;\n\
       3 ID:8192 Desc:&apos;Restore Scene State&apos; Cat:&apos;Scene State&apos; BtnTxt:&apos;Restore Scene State&apos; MnuTxt:&apos;Restore Scene State&apos;\n\
   9 ID:-1172021248 Name:&apos;Containers&apos; ContextID:0 ContextName:&apos;Main UI&apos; NumActionItems:17\n\
       1 ID:0 Desc:&apos;Inherit Container&apos; Cat:&apos;Containers&apos; BtnTxt:&apos;Inherit Container&apos; MnuTxt:&apos;Inherit Container&apos; Icon:[Containers,6] \n\
       2 ID:1 Desc:&apos;Create Container from Selection&apos; Cat:&apos;Containers&apos; BtnTxt:&apos;Create Container from Selection&apos; MnuTxt:&apos;Create Container from Selection&apos; Icon:[Containers,4] \n\
       3 ID:2 Desc:&apos;Add Selected to Container&apos; Cat:&apos;Containers&apos; BtnTxt:&apos;Add Selected to Container&apos; MnuTxt:&apos;Add Selected to Container&apos; Icon:[Containers,2] \n\
       4 ID:3 Desc:&apos;Remove Selected from Container&apos; Cat:&apos;Containers&apos; BtnTxt:&apos;Remove Selected from Container&apos; MnuTxt:&apos;Remove Selected from Container&apos; Icon:[Containers,12] \n\
       5 ID:4 Desc:&apos;Unload Container&apos; Cat:&apos;Containers&apos; BtnTxt:&apos;Unload Container&apos; MnuTxt:&apos;Unload Container&apos; Icon:[Containers,14] \n\
       6 ID:5 Desc:&apos;Load Container&apos; Cat:&apos;Containers&apos; BtnTxt:&apos;Load Container&apos; MnuTxt:&apos;Load Container&apos; Icon:[Containers,7] \n\
       7 ID:6 Desc:&apos;Close Container&apos; Cat:&apos;Containers&apos; BtnTxt:&apos;Close Container&apos; MnuTxt:&apos;Close Container&apos; Icon:[Containers,3] \n\
       8 ID:7 Desc:&apos;Open Container&apos; Cat:&apos;Containers&apos; BtnTxt:&apos;Open Container&apos; MnuTxt:&apos;Open Container&apos; Icon:[Containers,9] \n\
       9 ID:8 Desc:&apos;Save Container&apos; Cat:&apos;Containers&apos; BtnTxt:&apos;Save Container&apos; MnuTxt:&apos;Save Container&apos; Icon:[Containers,13] \n\
       10 ID:9 Desc:&apos;Update Container&apos; Cat:&apos;Containers&apos; BtnTxt:&apos;Update Container&apos; MnuTxt:&apos;Update Container&apos; Icon:[Containers,1] \n\
       11 ID:10 Desc:&apos;Reload Container&apos; Cat:&apos;Containers&apos; BtnTxt:&apos;Reload Container&apos; MnuTxt:&apos;Reload Container&apos; Icon:[Containers,11] \n\
       12 ID:11 Desc:&apos;Make All Content Unique&apos; Cat:&apos;Containers&apos; BtnTxt:&apos;Make All Content Unique&apos; MnuTxt:&apos;Make All Content Unique&apos; Icon:[Containers,15] \n\
       13 ID:12 Desc:&apos;Merge Container Source&apos; Cat:&apos;Containers&apos; BtnTxt:&apos;Merge Container Source&apos; MnuTxt:&apos;Merge Container Source&apos; Icon:[Containers,8] \n\
       14 ID:13 Desc:&apos;Edit Container&apos; Cat:&apos;Containers&apos; BtnTxt:&apos;Edit Container&apos; MnuTxt:&apos;Edit Container&apos; Icon:[Containers,5] \n\
       15 ID:14 Desc:&apos;Override Object Properties&apos; Cat:&apos;Containers&apos; BtnTxt:&apos;Override Object Properties&apos; MnuTxt:&apos;Override Object Properties&apos; Icon:[Containers,10] \n\
       16 ID:15 Desc:&apos;Select Content&apos;s Container&apos; Cat:&apos;Containers&apos; BtnTxt:&apos;Select Content&apos;s Container&apos; MnuTxt:&apos;Select Content&apos;s Container&apos; Icon:[Containers,16] \n\
       17 ID:16 Desc:&apos;Override All Locks&apos; Cat:&apos;Containers&apos; BtnTxt:&apos;Override All Locks&apos; MnuTxt:&apos;Override All Locks&apos; Icon:[Containers,18] \n\
   ...\n\
</code></pre></blockquote>\n\
<p>All Action Items are macro recorded when executed. This includes main menu items, CUI buttons, keyboard shortcuts, and quad menu items.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../A.html\">A</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Action-Manager-and-Shortcut/Action-Manager.html\">Action Manager</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Introduction/Accessing-MAXScript/The-MAXScript-Listener-Window.html\">The MAXScript Listener Window</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Introduction/Accessing-MAXScript/Turning-On-the-Listener-Log.html\">Turning On the Listener Log</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Introduction/Accessing-MAXScript/Listener-Commands.html\">Listener Commands</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";