var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E9D3BB95-67F8-4E02-AE00-F95CC1711C0C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: assemblyMgr</h1></div><p>Represents the interface to the Assembly Manager. Used to put objects together to Assemblies, and test and manipulate the Assemblies.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;assemblyMgr.Assemble &lt;node array&gt;nodes [ name:&lt;string&gt; ][ classDesc:&lt;class&gt; ] [ select:&lt;boolean&gt; ]      \n\
\n\
name default value: undefined      \n\
classDesc default value: undefined      \n\
select default value: true   </code></pre><p>Create a new Assembly using the nodes in the <code>&lt;node array&gt;</code>.</p>\n\
<p>A Create Assembly dialog will be displayed if either the name or the classDesc is not specified. The classDesc is passed a MAXClass, an instance of which will be used as the assembly head. This MAXClass must be for a helper object. You can create a scripted plug-in that extends helper to use as assembly head, exposing the properties you desire for the assembly head.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   object1 = Cylinder()--create a cylinder\n\
   --&gt; $Cylinder:Cylinder001 @ [0.000000,0.000000,0.000000]\n\
   object2 = Box()--create a box\n\
   --&gt; $Box:Box001 @ [0.000000,0.000000,0.000000]\n\
   object3 = OmniLight()\n\
   --&gt; $Omni_Light:Omni001 @ [0.000000,0.000000,0.000000]\n\
   obj_array = #(object1, object2, object3)\n\
   --&gt; #($Cylinder:Cylinder001 @ [0.000000,0.000000,0.000000], $Box:Box001 @ [0.000000,0.000000,0.000000], $Omni_Light:Omni001 @ [0.000000,0.000000,0.000000])\n\
\n\
   --Create a new Assembly out of the objects, name it Test001 and use\n\
   --a Dummy as the head. new_ass will contain the assembly head.\n\
   new_ass = assemblyMgr.assemble obj_array name:&quot;Test001&quot; classDesc:Dummy\n\
   --&gt; $Dummy:Test001 @ [0.000000,0.000000,-8.000000]\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;assemblyMgr.Disassemble &lt;node array&gt;nodes </code></pre><p>Disassembles the specified nodes. Returns <code>true</code> on success.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Continuing with the assembly from the above example...\n\
   obj_array\n\
   --&gt; #($Cylinder:Cylinder001 @ [0.000000,0.000000,0.000000], $Box:Box001 @ [0.000000,0.000000,0.000000], $Omni_Light:Omni001 @ [0.000000,0.000000,0.000000])\n\
   --We cannot disassemble the original array because it does not\n\
   --contain the head object!\n\
   assemblyMgr.Disassemble obj_array\n\
   --&gt; false\n\
   --Let&#x2019;s append the head to the array and try again...\n\
   append obj_array $Test001\n\
   --&gt; #($Cylinder:Cylinder001 @ [0.000000,0.000000,0.000000], $Box:Box001 @ [0.000000,0.000000,0.000000], $Omni_Light:Omni001 @ [0.000000,0.000000,0.000000], $Dummy:Test01 @ [0.000000,0.000000,-8.000000])\n\
   --Now that we supplied all objects of the assembly,\n\
   --the Disassemble method worked.\n\
   assemblyMgr.Disassemble obj_array\n\
   --&gt; true\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;assemblyMgr.Open &lt;node array&gt;nodes [clearSelection:&lt;boolean&gt;] \n\
\n\
clearSelection default value: true </code></pre><p>Opens the specified nodes. Returns <code>true</code> on success. When <code>clearSelection:</code> is supplied as <code>false</code> , the selection will not be cleared.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;assemblyMgr.Close &lt;node array&gt;nodes [select:&lt;boolean&gt;] \n\
\n\
select default value: true </code></pre><p>Closes the specified nodes. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;assemblyMgr.Explode &lt;node array&gt;nodes </code></pre><p>Explodes the specified nodes. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;assemblyMgr.Attach &lt;node array&gt;nodes [assembly:&lt;node&gt;] \n\
\n\
assembly default value: undefined </code></pre><p>Attaches the specified nodes to the assembly. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;assemblyMgr.Detach &lt;node array&gt;nodes </code></pre><p>Detaches the specified nodes from the assembly. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;assemblyMgr.CanAssemble &lt;node array&gt;nodes </code></pre><p>Returns <code>true</code> if the <code>&lt;node array&gt;</code> contains nodes that can be assembled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;assemblyMgr.CanDisassemble &lt;node array&gt;nodes </code></pre><p>Returns <code>true</code> if the <code>&lt;node array&gt;</code> contains nodes that can be disassembled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;assemblyMgr.CanExplode &lt;node array&gt;nodes </code></pre><p>Returns <code>true</code> if the <code>&lt;node array&gt;</code> contains nodes that can be exploded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;assemblyMgr.CanOpen &lt;node array&gt;nodes </code></pre><p>Returns <code>true</code> if the <code>&lt;node array&gt;</code> contains nodes that can be opened.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;assemblyMgr.CanClose &lt;node array&gt;nodes </code></pre><p>Returns <code>true</code> if the <code>&lt;node array&gt;</code> contains nodes that can be closed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;assemblyMgr.CanAttach &lt;node array&gt;nodes assembly:&lt;node&gt; \n\
\n\
assembly default value: undefined </code></pre><p>Returns <code>true</code> if the nodes in <code>&lt;node array&gt;</code> can be attached to the assembly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;assemblyMgr.CanDetach &lt;node array&gt;nodes </code></pre><p>Returns <code>true</code> if the nodes in <code>&lt;node array&gt;</code> can be detached.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;assemblyMgr.IsAssembly &lt;node array&gt;nodes </code></pre><p>Returns the Head Node of the Assembly comprised by the nodes specified by <code>&lt;node array&gt;</code> , or <code>undefined</code> if the nodes do not form an Assembly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;assemblyMgr.FilterAssembly &lt;node&gt;assemblyHead &lt;value&gt;filterSClassID &lt;&amp;node array&gt;filteredNodes \n\
\n\
filteredNodes is Out parameter </code></pre><p>Filters all nodes of the specified superclass that are contained in the assembly with the specified head and passes them out to the supplied filterNodes array. Returns <code>true</code> on success.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Assembly contains a Cylinder,a Box and a Dummy Helper as head:\n\
   test_array = #($Box001, $Cylinder001)\n\
   --&gt; #($Box:Box001 @ [0.000000,0.000000,0.000000], $Cylinder:Cylinder001 @ [0.000000,0.000000,0.000000])\n\
   --Check for assembly with the lights only\n\
   assemblyMgr.IsAssembly test_array\n\
   --&gt; undefined\n\
   --Now check with all assembly nodes including the Head\n\
   test_array = #($Box001, $Cylinder001, $Omni001, $Test001)\n\
   --&gt; #($Box:Box001 @ [0.000000,0.000000,0.000000], $Cylinder:Cylinder001 @ [0.000000,0.000000,0.000000], $Omni_Light:Omni001 @ [0.000000,0.000000,0.000000], $Dummy:Test001 @ [0.000000,0.000000,-8.000000])\n\
   a_head = assemblyMgr.IsAssembly test_array\n\
   --&gt; $Dummy:Test001 @ [0.000000,0.000000,-8.000000]\n\
   --a_head now contains the Head of the Assembly containing the above objects!\n\
\n\
   --Find all light objects in assembly a_head\n\
   AssemblyMgr.FilterAssembly a_head Light &amp;lightnodes\n\
   --&gt; true\n\
   -- lightnodes now contains all nodes corresponding to objects of superclass Light\n\
   lightnodes\n\
   --&gt; #($Omni_Light:Omni001 @ [0.000000,0.000000,0.000000])\n\
   --Find all camera objects in assembly a_head\n\
   AssemblyMgr.FilterAssembly a_head Camera &amp;camnodes\n\
   --&gt; true\n\
   --There are no cameras in the assembly!\n\
   camnodes\n\
   --&gt; #()\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../A.html\">A</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Interface-assemblyMgr.html\">Interface: assemblyMgr</a></li>\n\
          <li><a class=\"link\" href=\"../../Core-Interfaces-Documentation.html\">Core Interfaces Documentation</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";