var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B5405D51-E4D7-4448-9588-8D06B8735783\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: autosave</h1></div><p>This interface provides access to the Auto Backup functionality.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">autosave.Enable : boolean : Read|Write      </code></pre><p>Get/Set the Auto-Backup enabled state. Equivalent to the System Global variable <code>autobackup.enabled</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">autosave.NumberOfFiles : integer : Read|Write   </code></pre><p>Get/Set the number of Auto-Backup files. Possible values are between 1 and 99.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">autosave.Interval : float : Read|Write </code></pre><p>Get/Set the Auto-Backup interval in minutes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">autosave.filename : string : Read|Write </code></pre><p>Get/Set the Auto-Backup filename as a string. Default is &quot;AutoBackup&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">autosave.BailoutEnabled : boolean : Read|Write</code></pre><p>When set to false, 3ds Max cannot escape out of auto-backup.  In some cases setting this to false can significantly improve auto-backup performance.  Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;autosave.resettimer() </code></pre><p>Resets the Auto-Backup timer. After the rest, the next save will occur after the number of minutes specified by the <code>.interval</code> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;secondsUntilNextAttempt()</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022.2 Update:</strong> Returns the number of seconds until the next backup attempt.  When this decreases to 0, and <code>canProceed()</code> returns true, the backup process can proceed. When the autobackup timer is not started this function returns -1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;canProceed()</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022.2 Update:</strong>  Returns true if autobackup can proceed based on the current state.  Note that the state can change.  Autobackup proceeds if <code>secondsUntilNextAttempt()</code> returns 0, and <code>canProceed()</code> returns true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isRequired()</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022.2 Update:</strong>  Returns true if the internal &quot;autobackup required&quot; flag is set.  This is similar to the <code>getSaveRequired()</code> function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;autosave.isactive() </code></pre><p>Returns true if the Auto-Backup is currently saving, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;autobackupnow()</code></pre><p>Starts the auto-backup process. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../A.html\">A</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/Controlling-the-Auto-Backup.html\">Controlling the Auto-Backup</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";