var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-60A6F37F-D8CB-4A73-BE89-1F6A8F542CE0\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: DialogMonitorOPS</h1></div><p>The <strong>DialogMonitorOPS Core Interface</strong> provides a callback system to monitor the <strong>3ds Max</strong> User Interface. In conjunction with the <a href=\"./../U-V-W-X-Y-Z/Interface-UIAccessor.html\">Interface: UIAccessor</a> it can be used to collect data and interact with dialogs and popups, for example to press the default or specific button in a pop-up dialog when running automated tasks or log data about the <strong>3ds Max</strong> UI activities to a log file.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DialogMonitorOPS.Enabled : boolean : Read|Write      </code></pre><p>Get/Set the enabled state of the Dialog Monitor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DialogMonitorOPS.Interactive : boolean : Read|Write   </code></pre><p>Get/Set the interactive state of the Dialog Monitor.</p>\n\
<p><strong>Methods</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DialogMonitorOPS.RegisterNotification &lt;value&gt;Callback  ID:&lt;name&gt; \n\
\n\
ID defaultvalue: undefined </code></pre><p>Registers a notification callback function with an optional user-defined ID.</p>\n\
<p>The callback function can be any MAXScript function and will be called each time a dialog or menu is opened, but the best way to use this feature is to access the dialog&apos;s or menu&apos;s data using the <a href=\"./../U-V-W-X-Y-Z/Interface-UIAccessor.html\">Interface: UIAccessor</a> methods.</p>\n\
<p>The callback function MUST return a Boolean value - true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DialogMonitorOPS.UnRegisterNotification ID:&lt;name&gt; \n\
\n\
ID defaultvalue: undefined </code></pre><p>Unregisters the notification callbacks with the user-defined ID. If no ID is specified, all callbacks will be unregistered.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;DialogMonitorOPS.ShowNotification() </code></pre><p>Lists all registered notification callbacks with their ID and callback function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HWND&gt;DialogMonitorOPS.GetWindowHandle() </code></pre><p>Returns the Window Handle of the current dialog. The handle can be used as an argument in most <a href=\"./../U-V-W-X-Y-Z/Interface-UIAccessor.html\">Interface: UIAccessor</a> methods to collect details about the current dialog and manipulate it.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../C-D.html\">C,D</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../U-V-W-X-Y-Z/Interface-UIAccessor.html\">Interface: UIAccessor</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";