var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C8A52040-B24B-4C6D-B9E6-0B28AE66626E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: dxshadermanager</h1></div><p>The <strong>dxshadermanager Core Interface</strong> exposes the DirectX Shader Manager to MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: dxshadermanager</code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;dxshadermanager.getViewportManager &lt;material&gt;material   </code></pre><p>Returns the viewport manager&#x2019;s <a href=\"./../../../../Viewport-Manager/ViewportManagerCustAttrib.html\">ViewportManagerCustAttrib</a> object for the specified material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;dxshadermanager.IsVisible() </code></pre><p>Returns <code>true</code> if the manager is visible.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;dxshadermanager.SetVisible &lt;boolean&gt;show </code></pre><p>This method can be used to turn the manager on and off. It will not have an effect if the user is running in DirectX mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;dxshadermanager.addViewportManager &lt;material&gt;material </code></pre><p>Adds a new viewport manager to the specified material and returns the ViewportManagerCustAttrib object providing an interface to access its effects.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Create a new standard material\n\
   newmat = StandardMaterial()\n\
   -- Get the viewport manager from the material\n\
   manager = DXShaderManager.getViewportManager newmat\n\
   -- If there is no manager, assign a new one \n\
   if (manager==null) then manager = DXShaderManager.addViewportManager newmat\n\
   -- Get the active viewport effect\n\
   effect = manager.getactiveviewporteffect()\n\
\n\
   -- If there is no active effect, create a new one.\n\
   if (effect == null) then\n\
   effect = manager.setviewporteffect 1\n\
   -- 1 in our case is the lightmap, 0 sets it to &quot;none&quot;\n\
   -- Set the LightMap file names\n\
   effect.lightmap_filename = GetDir(#image) + &quot;\\\\testlightmap.bmp&quot;\n\
   effect.diffuse_filename = GetDir(#image) + &quot;\\\\testdiffuse.bmp&quot;\n\
\n\
   -- set the mapping channel to use\n\
   effect.lightmap_mapping = 1\n\
   effect.diffuse_mapping = 1\n\
   -- Search for the effect based on name \n\
   -- Get the total number of effects:\n\
   num = manager.getNumViewportEffects()\n\
   -- Step through all effects and check for name. If found,\n\
   -- then activate it.\n\
   for i = 1 to num do\n\
   ( \n\
   if (manager.getViewportEffectName(i) == &quot;LightMap&quot;) then effect = manager.setviewporteffect i\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../C-D.html\">C,D</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../TextureMap-Material/Hardware-Shaders/CubeMap-ReferenceTarget.html\">CubeMap : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../../../../DirectX-Shaders/LightMap-ReferenceTarget.html\">LightMap : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../../../../TextureMap-Material/Hardware-Shaders/Metal_Bump-ReferenceTarget.html\">Metal_Bump : ReferenceTarget</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";