var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DFC564A3-A5E1-4398-AF50-3B4C91BB3358\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: FileResolutionManager</h1></div><p>The <strong>FileResolutionManager Core Interface</strong> exposes the new system introduced in <strong>3ds Max 2010</strong> which is used internally by plug-ins to resolve the paths of their file assets.</p>\n\
<p>In releases prior to <strong>3ds Max 2010</strong>, the resolution of asset files was performed either locally in the plug-in code, or through one of several methods provided by <strong>3ds Max</strong>.</p>\n\
<p>Since <strong>3ds Max 2010</strong>, all resolutions of asset files must be performed through the <a href=\"./../../../../../MAXScript-Tools-and-Interaction/File-Access/Asset-Management/IObject-AssetUser.html\">AssetUser object</a> that uses the new <strong>Asset File Resolution Manager</strong>. The File Resolution Manager can also be used for resolutions of Assets. All other resolution methods have been removed, and plug-ins should not implement their rules for resolving paths to a file asset. File resolution is based on the asset file name, asset type, and the file path to a scene that depends on the asset.</p>\n\
<p>The File Resolution Manager also implements a path caching mechanism. A set of methods has been exposed to allow plug-ins and scripts to control the cache enabled/disabled state, cache duration and also to provide a way to bypass the cache when getting the resolved path.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FileResolutionManager.searchScenePath : boolean : Read|Write</code></pre><p>Available in <strong>3ds Max 2018.4 and higher</strong>: Specifies whether or not the File Resolution Manager should search the scene file path for assets. This is a performance option - when false, this avoids searching the scene file folder; relative paths are still searched relative to the scene file. If this is false, it also implies the scene path subpaths are excluded. The default is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FileResolutionManager.searchScenePathSubPaths : boolean : Read|Write</code></pre><p>Available in <strong>3ds Max 2018.4 and higher</strong>: Specifies whether or not the File Resolution Manager should search the subpaths of the scene file path for assets. This is a performance option - when false, this avoids searching of all subpaths below the scene file. Relative paths are still searched relative to the scene file, but excluding further subpaths. The default is true.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FileResolutionManager.getFullFilePath &lt;&amp;string&gt;filePath &lt;enum&gt;assetType byPassCache:&lt;boolean&gt;      \n\
\n\
filePath is In and Out parameter      \n\
assetType enums: {#Other | #Bitmap | #XRef | #Photometric | #Animation | #VideoPost | #BatchRender | #ExternalLink | #RenderOutput | #PreRenderScript | #PostRenderScript | #Sound | #Container | #MaxCreationGraph}      \n\
byPassCache default value: false</code></pre><p>Returns the full file path by modifying the first argument passed by-reference. The second argument determines the asset type the file belongs to.</p>\n\
<p>If <code>byPassCache:</code> is passed as true, the cache will not be used. If it is passed as false or not specified, the cache will be used.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theFilename = &quot;Simple_Stone_Mtl_Marble_bump.jpg&quot;\n\
   --&gt; &quot;Simple_Stone_Mtl_Marble_bump.jpg&quot;\n\
\n\
   FileResolutionManager.getFullFilePath &amp;theFilename #Bitmap\n\
   --&gt; true\n\
\n\
   theFilename\n\
   --&gt; &quot;C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\adskMtl\\Simple_Stone_Mtl_Marble_bump.jpg&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FileResolutionManager.getFullFilePath_assetID &lt;string&gt;assetID &lt;&amp;string&gt;filePath byPassCache:&lt;boolean&gt; \n\
\n\
filePath is In and Out parameter \n\
byPassCache default value: false </code></pre><p>Returns the full file path by modifying the second argument passed by-reference. The first argument defines the assetID to search for.</p>\n\
<p>If <code>byPassCache:</code> is passed as true, the cache will not be used. If it is passed as false or not specified, the cache will be used.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theID = AssetManager.GetAssetID &quot;Simple_Stone_Mtl_Marble_bump.jpg&quot; #Bitmap\n\
   --&gt; &quot;{7477A3A4-0304-47AC-8427-6B490673231A}&quot;\n\
\n\
   FileResolutionManager.getFullFilePath_assetID theID &amp;filePath\n\
   --&gt; true\n\
\n\
   filePath\n\
   --&gt; &quot;C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\adskMtl\\Simple_Stone_Mtl_Marble_bump.jpg&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FileResolutionManager.doGetUniversalFileName &lt;&amp;string&gt;aFullFilePath \n\
\n\
aFullFilePath is In and Out parameter </code></pre><p>Returns the universal file name by modifying the by-reference argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;FileResolutionManager.GetNumAssetTypes() </code></pre><p>Returns the number of asset types.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;FileResolutionManager.GetAssetTypeString &lt;enum&gt;assetType \n\
\n\
assetType enums: {#Other | #Bitmap | #XRef | #Photometric | #Animation | #VideoPost | #BatchRender | #ExternalLink | #RenderOutput | #PreRenderScript | #PostRenderScript | #Sound | #Container | #MaxCreationGraph} </code></pre><p>Returns the asset type string corresponding to the provided asset type name.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<h2 id=\"cache\">Cache</h2><p>File Resolution results are being cached, but the cached results expire after a specified maximum cache duration period.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FileResolutionManager.EnableCaching() </code></pre><p>Turns the cache on.</p>\n\
<p>The cache is on by default.</p>\n\
<p>File resolutions will be cached and the cached results returns if the same file has to be resolved again sooner than the maximum cache duration (see below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FileResolutionManager.DisableCaching() </code></pre><p>Turns the cache off.</p>\n\
<p>Files will always be resolved without using the cache at all.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FileResolutionManager.IsCachingEnabled() </code></pre><p>Returns true if the cache is on, false if it is off.</p>\n\
<p>The cache is on by default.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;FileResolutionManager.GetMaximumCacheDuration() </code></pre><p>Returns the maximum cache duration in milliseconds. Default is 1000.</p>\n\
<p>If a resolution has been cached and a new resolution of the same file is requested later than the time of the previous resolution plus the maximum cache duration, the cache result will be ignored and a new resolution will be performed.</p>\n\
<p>If the time passed since the last resolution is less than the maximum cache duration, the cached result will be returned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FileResolutionManager.SetMaximumCacheDuration &lt;integer&gt;newMaxDuration </code></pre><p>Sets the maximum cache duration.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer64&gt;FileResolutionManager.GetNumCacheHit() </code></pre><p>Returns the number of cache hits.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../E-F-G-H.html\">E,F,G,H</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/File-Access/Asset-Management/Accessing-AssetManager-AssetUser.html\">Accessing AssetManager, AssetUser and Asset Metadata in MAX Files</a></li>\n\
          <li><a class=\"link\" href=\"../A/Interface-AssetManager.html\">Interface: AssetManager</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/File-Access/Asset-Management/IObject-AssetUser.html\">IObject:AssetUser</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/MAX-File-Asset-Metadata-Stream.html\">MAX File Asset Metadata Stream Access</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";