var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C63499B1-490C-42B4-B37D-C924600CCEE6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: FlightStudio</h1></div><p>The <strong>FlightStudio Core Interface</strong> available in <strong>3ds Max 2010 and higher</strong> exposes properties and methods related to the Flight Studio extension.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><strong>Flight Studio</strong> ships with a <strong>Flight Studio Tools script</strong> located in the <em>scripts\\FlightStudio</em> folder.</p>\n\
<p>It can be used as a comprehensive example of the usage of the following properties and methods!</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FlightStudio.OverrideColors : integer : Read      </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FlightStudio.OverrideMaterials : integer : Read   </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FlightStudio.OverrideTextures : integer : Read </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FlightStudio.OverrideLineStyles : integer : Read </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FlightStudio.OverrideSounds : integer : Read </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FlightStudio.OverrideLightSources : integer : Read </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FlightStudio.OverrideLightPoints : integer : Read </code></pre><p><strong>Methods:</strong></p>\n\
<h2 id=\"browser\">Browser</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FlightStudio.Browser() </code></pre><p>Opens the Flight Studio browser. Equivalent to pressing the &quot;Modify Hierarchy/Attributes&quot; button in the Flight Studio utility.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FlightStudio.RefreshBrowser() </code></pre><p>Refreshes the browser. Equivalent to pressing the &quot;Refresh&quot; button in the Flight Studio browser.</p>\n\
<h2 id=\"level-of-detail\">Level Of Detail</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FlightStudio.LodMoreDetail() </code></pre><p>Increases the Level Of Detail. Equivalent to pressing the &quot;More Detail&quot; button in the Flight Studio utility.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FlightStudio.LodMostDetail() </code></pre><p>Increases the Level Of Detail to the maximum. Equivalent to pressing the &quot;Most Detail&quot; button in the Flight Studio utility.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FlightStudio.LodLessDetail() </code></pre><p>Decreases the Level Of Detail. Equivalent to pressing the &quot;Less Detail&quot; button in the Flight Studio utility.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FlightStudio.LodLeastDetail() </code></pre><p>Decreases the Level Of Detail to the minimum. Equivalent to pressing the &quot;Least Detail&quot; button in the Flight Studio utility.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;FlightStudio.GetLodDistance() </code></pre><p>Returns the Level Of Detail Distance value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FlightStudio.SetLodDistance &lt;float&gt;LodDistance </code></pre><p>Sets the Level Of Detail Distance value to the given floating point number.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudio.IsLodDistanceSet() </code></pre><p>Returns true if the Level Of Detail Distance has been set, false otherwise.</p>\n\
<h2 id=\"creation\">Creation</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudio.CreateGroup() </code></pre><p>Creates a Group node in the hierarchy.</p>\n\
<p>Equivalent to setting the drop-down list in the Flight Studio browser to &quot;Group&quot; and pressing the &quot;Create&quot; button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudio.CreateObject() </code></pre><p>Creates an Object node in the hierarchy.</p>\n\
<p>Equivalent to setting the drop-down list in the Flight Studio browser to &quot;Group&quot; and pressing the &quot;Create&quot; button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudio.CreateSwitch() </code></pre><p>Creates an Switch node in the hierarchy.</p>\n\
<p>Equivalent to setting the drop-down list in the Flight Studio browser to &quot;Switch&quot; and pressing the &quot;Create&quot; button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudio.CreateLOD() </code></pre><p>Creates an LOD node in the hierarchy.</p>\n\
<p>Equivalent to setting the drop-down list in the Flight Studio browser to &quot;Group&quot; and pressing the &quot;Create&quot; button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudio.CreateDOF() </code></pre><p>Creates an DOF node in the hierarchy.</p>\n\
<p>Equivalent to setting the drop-down list in the Flight Studio browser to &quot;DOF&quot; and pressing the &quot;Create&quot; button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudio.CreateBSP() </code></pre><p>Creates an BSP node in the hierarchy.</p>\n\
<p>Equivalent to setting the drop-down list in the Flight Studio browser to &quot;BSP&quot; and pressing the &quot;Create&quot; button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudio.CreateClipRegion() </code></pre><p>Creates an Clip Region node in the hierarchy.</p>\n\
<p>Equivalent to setting the drop-down list in the Flight Studio browser to &quot;Clip region&quot; and pressing the &quot;Create&quot; button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudio.CreateExternalRef() </code></pre><p>Creates an XRef node in the hierarchy.</p>\n\
<p>Equivalent to setting the drop-down list in the Flight Studio browser to &quot;XRef&quot; and pressing the &quot;Create&quot; button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudio.CreateLightPoint() </code></pre><p>Creates an Light Point node in the hierarchy.</p>\n\
<p>Equivalent to setting the drop-down list in the Flight Studio browser to &quot;Light point&quot; and pressing the &quot;Create&quot; button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<h2 id=\"comments\">Comments</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;FlightStudio.GetComment &lt;node&gt;Node </code></pre><p>Returns the comment for the given node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudio.PutComment &lt;node&gt;Node &lt;string&gt;String </code></pre><p>Sets the comment for the specified node to the given string value.</p>\n\
<h2 id=\"data-access\">Data Access</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudio.HasData &lt;node&gt;node </code></pre><p>Returns true if the specified node has data, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudio.CopyData &lt;node&gt;srcnode &lt;node&gt;dstnode </code></pre><p>Copies the data from the source node to the destination node.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudio.RemoveData &lt;node&gt;node </code></pre><p>Removes the data from the given node.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<h2 id=\"texture-attributes\">Texture Attributes</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudio.AddTextureAttr &lt;texturemap&gt;Texmap </code></pre><p>Adds the given texture as attribute.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudio.RemoveTextureAttr &lt;texturemap&gt;Texmap </code></pre><p>Removes the given texture attribute.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<h2 id=\"external-references\">External References</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;FlightStudio.GetExternalRefFilename &lt;node&gt;Node </code></pre><p>Returns the external reference file name of the given node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudio.PutExternalRefFilename &lt;node&gt;Node &lt;string&gt;String </code></pre><p>Sets the external reference file name of the given node to the specified string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;FlightStudio.GetExternalRefFlags &lt;node&gt;Node </code></pre><p>Returns the external reference flags of the given node as an integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudio.PutExternalRefFlags &lt;node&gt;Node &lt;integer&gt;Flags </code></pre><p>Sets the external reference flags of the given node to the specified integer.</p>\n\
<h2 id=\"other-methods\">Other Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;FlightStudio.GetLastImport() </code></pre><p>Returns the file name of the last imported Flight Studio FLT file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudio.IsOfType &lt;node&gt;Node &lt;string&gt;String </code></pre><p>Returns true if the given node is of the type specified by the second string argument, false if it is not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudio.SetKeepTriangles &lt;node&gt;Node &lt;boolean&gt;Flag </code></pre><p>Sets the Keep Triangles flag of the given node to the specified Boolean value.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudio.GetKeepTriangles &lt;node&gt;Node </code></pre><p>Returns the Keep Triangles flag of the given node as a Boolean value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../E-F-G-H.html\">E,F,G,H</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Interface-FlightStudioExport.html\">Interface: FlightStudioExport</a></li>\n\
          <li><a class=\"link\" href=\"Interface-FlightStudioImport.html\">Interface: FlightStudioImport</a></li>\n\
          <li><a class=\"link\" href=\"Interface-FlightStudioImage.html\">Interface: FlightStudioImage</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";