var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3328BD45-A30C-4DDA-8CFC-884097E85611\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: HelpSystem</h1></div><p>The <strong>HelpSystem Core Interface</strong> provides access to the Online and Local Help Files of <strong>3ds Max</strong>.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: HelpSystem</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">HelpSystem.productHelpLocation : enum:Read|WritehelpLocation enums: {#onlineHelp|#localHelp}</code></pre><p>Get/set the Help System mode.</p>\n\
<p>When set to <code>#onlineHelp</code> , the help will be accessed from the Autodesk Online Help servers via the Internet. This mode requires an Internet connection, but provides the latest help content available.</p>\n\
<p>When set to <code>#localHelp</code> , the help will be accessed from the local drive. This mode does not require an Internet connection, but the help content can be potentially outdated compared to the online version.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">HelpSystem.localProductHelpPath : string:Read|Write</code></pre><p>Get/set the directory where the local help is located.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">HelpSystem.defaultLocalProductHelpPath : string:Read</code></pre><p>Get the default location of the local help files. It can be used to find the shipping help files or to set the <code>HelpSystem.localProductHelpPath</code> to its default value.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;HelpSystem.ShowProductHelp &lt;integer&gt;helpContextId</code></pre><p>Opens the Online Help in the default web browser at the specified helpContextId, or, if the Id is not valid, at the index page.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;HelpSystem.SearchProductHelp &lt;string&gt;searchFor</code></pre><p>Searches the Online Help for the specified search string.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;HelpSystem.ShowMAXScriptHelp indexstring:&lt;string&gt; -- default indexstring: undefined</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt>Searches the Online MAXScript Help for the specified search string. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- Example 1:\n\
HelpSystem.ShowMAXScriptHelp()\n\
\n\
-- Example 2:\n\
HelpSystem.ShowMAXScriptHelp indexstring:&quot;HelpSystem&quot;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;HelpSystem.ShowPythonHelp indexstring:&lt;string&gt; -- default indexstring: undefined</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt>Searches the Online Python Help for the specified search string. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- Example 1:\n\
HelpSystem.ShowPythonHelp()\n\
\n\
-- Example 2:\n\
HelpSystem.ShowPythonHelp indexstring:&quot;Using PySide&quot;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;HelpSystem.OpenCHMFile &lt;filename&gt;helpfile indexstring:&lt;string&gt; -- default indexstring: undefined</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt>Searches the .CHM at the given helpfile file path for specified search string. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- Example:\n\
HelpSystem.OpenCHMFile &quot;C:\\help\\my_downloaded_help.chm&quot; indexstring:&quot;Hello World&quot;</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../E-F-G-H.html\">E,F,G,H</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";