var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D703CF91-2F15-4D69-9C0E-5A102058DC11\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: IAutoCamMax</h1></div><p>This Core Interface exposes the new viewport navigation Pivot Ball gizmo which allows the orbiting about a hit point under the mouse cursor, or about a locked point in space. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p>None</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;IAutoCamMax.ShowPivotBall &lt;HWND&gt;hwnd &lt;&amp;point2&gt;center &lt;&amp;point3&gt;mouse &lt;boolean&gt;useMousePoint\n\
       center is In and Out parameter\n\
       mouse is In and Out parameter</code></pre><p>Shows the viewport navigation Pivot Ball in the specified viewport.</p>\n\
<p>The first &#x2018;hwnd&#x2019; argument specifies the viewport by its Windows handle &#x2013; see <a href=\"./../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">viewport.getHWND()</a> for details.</p>\n\
<p>The second &#x2018;center&#x2019; by-reference argument supplies the 2D screen position of the Pivot Ball.</p>\n\
<p>The third &#x2018;mouse&#x2019; by-reference argument will contain the 3D mouse position of the Pivot Ball.</p>\n\
<p>When the fourth &#x2018;useMousePoint&#x2019; Boolean argument is set to False, the Pivot Ball will use the 2D center position. When set to True, the 3D mouse point will be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;IAutoCamMax.HidePivotBall &lt;HWND&gt;hwnd</code></pre><p>Hides the viewport navigation Pivot Ball in the specified viewport.</p>\n\
<p>The &#x2018;hwnd&#x2019; argument specifies the viewport by its Windows handle &#x2013; see <a href=\"./../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">viewport.getHWND()</a> for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;IAutoCamMax.SetHoldPivotBallPosition &lt;boolean&gt;hold</code></pre><p>Locks the viewport navigation Pivot Ball to its current 3D world position to provide a static point of interest for viewport orbit operations.</p>\n\
<p>When the argument is True, the Pivot Ball will be locked to its position and will not change the position if viewport navigation operations are performed.</p>\n\
<p>When the argument is False, the Pivot Ball will be unlocked and will update dynamically (default behavior).</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>None</p>\n\
<blockquote>\n\
<p>   <strong>Example</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   centerPoint = [0.5,0.5] --use the center of the viewport\n\
   mousePoint = [0,0,0]\n\
   --Show the Pivot Ball at the center of the active viewport:\n\
   IAutoCamMax.ShowPivotBall (viewport.getHWnd()) &amp;centerPoint &amp;mousePoint false\n\
   redrawViews()   --redraw the views to see the Pivot Ball\n\
   p = point pos:mousePoint --create a Point helper at the Pivot Ball position\n\
\n\
   IAutoCamMax.SetHoldPivotBallPosition true --lock the Pivot Ball at its current position\n\
\n\
   IAutoCamMax.HidePivotBall (viewport.getHWnd()) -- hide the Pivot Ball of the active viewport</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../I-J-K.html\">I,J,K</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";