var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CF8EC7D0-7ED9-427F-AFB6-B537465B0D3D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: IDisplayGamma</h1></div><p>The <strong>IDisplayGamma Core Interface</strong> exposes some Display Gamma settings to MAXScript.</p>\n\
<p>The interface was exposed without any properties in <strong>3ds Max 8</strong>.</p>\n\
<p>It was changed to actually expose Color Correction properties in <strong>3ds Max 2008</strong> and was extended in <strong>3ds Max 2010</strong> to affect more aspects of the UI including Material Editor and color pickers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: IDisplayGamma </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IDisplayGamma.colorCorrectionMode : enum : Read|Write   \n\
\n\
colorCorrectionMode enums: {#LUT|#gamma|#none} </code></pre><p>Get/Set the Display Color Correction mode to LUT, Gamma, or disables it.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IDisplayGamma.LUTFileName : filename : Read|Write </code></pre><p>Get/Set the LUT file name.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IDisplayGamma.gamma : float : Read|Write </code></pre><p>Get/Set the Gamma value.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>Equivalent to the System Global Variable <a href=\"Interface-IDisplayGamma.html\">displayGamma</a> available in previous releases.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   IDisplayGamma.colorCorrectionMode = #gamma --enable Gamma\n\
   IDisplayGamma.gamma = 1.8 --set the Gamma to 1.8\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IDisplayGamma.colorCorrectionPrefMode : enum : Read|Write \n\
\n\
colorCorrectionPrefMode enums: {#LUT|#gamma|#none} </code></pre><p>Get/Set the Preferred Display Color Correction mode to LUT, Gamma, or disabled.</p>\n\
<p>In versions prior to <strong>3ds Max 2010</strong>, loading a file with Display Gamma/LUT Correction enabled turned the feature on and set it to the saved settings.</p>\n\
<p>Since <strong>3ds Max 2010</strong>, loading a file with Display Gamma/LUT Correction on will only turn the feature on, but use the Preferred settings which are saved locally in an INI file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IDisplayGamma.affectColorPickers : boolean : Read|Write </code></pre><p>Get/Set whether the Gamma/LUT Correction will affect the Color Picker colors.</p>\n\
<p>Defaults to false.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IDisplayGamma.affectMEdit : boolean : Read|Write </code></pre><p>Get/Set whether the Gamma/LUT Correction will affect the colors in the Material Editor.</p>\n\
<p>Defaults to false.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../I-J-K.html\">I,J,K</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Interface-IDisplayGamma.html\">Interface: IDisplayGamma</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";