var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C0F9BB42-F3A6-48E3-BD0E-E660CB987F71\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: IViewportShadingMgr</h1></div><p>The <strong>IViewportShadingMgr Core Interface</strong> exposes some properties of the advanced hardware viewport shading (per-pixel illumination and shadow casting) to MAXScript.</p>\n\
<p>This interface is available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>Some additional properties related to viewport shading have been exposed in <strong>3ds Max 2010</strong> using a different set of interfaces <a href=\"./../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Shading-Settings.html\">documented here</a>.</p>\n\
<p><img src=\"./images/GUID-C0D9BB06-357B-4694-A942-021BCB8D8654-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: IViewportShadingMgr </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IViewportShadingMgr.     ShadingLimits : enum : Read|Write   \n\
\n\
ShadingLimits enums: { #None | #Good | #Best } </code></pre><p>Get/Set the Viewport Shading Limits:</p>\n\
<ul>\n\
<li><p><strong>None</strong> - old mode, light limit dependent on graphics driver, typically 8 lights per vertex lighting.</p>\n\
</li>\n\
<li><p><strong>Good (SM 2.0)</strong> - shadow casting is enabled. On graphics hardware that supports only the SM2.0 shader model, only the old-style per vertex lighting will be calculated.</p>\n\
</li>\n\
<li><p><strong>Best (SM 3.0)</strong> - shadow casting and per-pixel lighting are enabled, 64 lights are supported. This mode depends on the graphics hardware that must be SM 3.0 compliant.</p>\n\
</li>\n\
</ul>\n\
<p>This method is equivalent to the properties <strong>ActivateViewportShading</strong> and <strong>ShadingQuality</strong> exposed by the <a href=\"./../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Shading-Settings.html\">ViewportBasicSettings Interface</a> in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IViewportShadingMgr.AutoDisplaySelLights : boolean : Read|Write </code></pre><p>Get/Set the state of the <strong>&quot;Auto Display Selected Lights&quot;</strong> checkbox in the <strong>&quot;Lighting and Shadows&quot;</strong> tab of the <strong>&quot;Viewport Configuration&quot;</strong> dialog. When set to true, the currently selected lights will be enabled to illuminate/cast shadows, while unselected lights will be off. When set to false, all lights will be turned on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IViewportShadingMgr.DefaultLightCastShadows : boolean : Read|Write </code></pre><p>Get/Set the state of the <strong>&quot;Cast Shadows for Default Light&quot;</strong> checkbox in the <strong>&quot;Lighting and Shadows&quot;</strong> tab of the <strong>&quot;Viewport Configuration&quot;</strong> dialog. When set to true, the default lights will cast shadows. When set to false, default lights will not cast shadows.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IViewportShadingMgr.GlobalShadowIntensity : float : Read|Write </code></pre><p>Get/Set the value of the <strong>&quot;Global Shadow Intensity&quot;</strong> spinner in the <strong>&quot;Lighting and Shadows&quot;</strong> tab of the <strong>&quot;Viewport Configuration&quot;</strong> dialog. Controls the intensity of the viewport Shadows. When set to 0.5, shadows will be 50% less dense.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IViewportShadingMgr.UseTransparencyInShadows : boolean : Read|Write </code></pre><p>Get/Set whether viewport shadows will respect transparency.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IViewportShadingMgr.UpdateShadowsInActiveViewportOnly : boolean : Read|Write </code></pre><p>Get/Set whether viewport shadows will update in the active viewport only (true) or in all viewports (false, default).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IViewportShadingMgr.MaxActiveLight : integer : Read|Write </code></pre><p>Get/Set the maximum number of lights to be displayed in the viewport. Default is 64.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IViewportShadingMgr.UseGITransparency : boolean : Read|Write </code></pre><p>Get/Set whether the Ambient Occlusion mode will respect transparency or not.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IViewportShadingMgr.ShadowFilterSize : float : Read|Write </code></pre><p>Get/Set the soft shadows filter size. It must be in the range of 0.0 to 1.0.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;IViewportShadingMgr.SelectShadowCastingLights() </code></pre><p>Calling this method selects all lights currently set to cast shadows in the viewports.</p>\n\
<p>Only the Light node&apos;s <a href=\"./../../../Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeShadingProperties.html\">Interface: INodeShadingProperties</a> <code>.ViewportShadowCasting</code> property value is taken into account, not the base object&apos;s shadow casting property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;IViewportShadingMgr.SelectIlluminatingLights() </code></pre><p>Calling this method selects all lights currently set to illuminate in the viewports.</p>\n\
<p>Only the Light node&apos;s <a href=\"./../../../Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeShadingProperties.html\">Interface: INodeShadingProperties</a> <code>.ViewportIllumination</code> property value is taken into account, not the base object&apos;s <code>.on</code> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;IViewportShadingMgr.DisplayOnlySelectedLights() </code></pre><p>Calling this method disables the viewport illumination for all lights that are not selected, enabling only the selected lights to illuminate in the viewports.</p>\n\
<p>If no lights are selected, the illumination is disabled for all lights.</p>\n\
<p>The method manipulates the Light Node&apos;s <a href=\"./../../../Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeShadingProperties.html\">Interface: INodeShadingProperties</a> <code>.ViewportIllumination</code> property, turning Viewport Illumination on and off based on the node&apos;s selected state. It does not affect the node&apos;s <code>.ViewportShadowCasting</code> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;IViewportShadingMgr.LockSelectedLights &lt;boolean&gt;locked </code></pre><p>Locks/Unlocks the currently selected lights.</p>\n\
<p>When the <code>.AutoDisplaySelLights</code> property is set to true, lights that are not selected will not illuminate the scene.</p>\n\
<p>You can lock the current selection to keep on illuminating the scene even after it has been deselected using this method with argument of <code>true</code> , or unlock the selected lights again by passing an argument of <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;IViewportShadingMgr.GetViewportShadingLights &lt;&amp;node array&gt;nodeList &lt;enum&gt;lightProperty \n\
\n\
nodeList is In and Out parameter \n\
lightProperty enums: {#ShadowCasting|#Illuminating|#Locked} </code></pre><p>Returns the viewport shading lights into the by-reference array nodeList.</p>\n\
<p>The lightProperty enum defines whether to collect the shadow-casting, the illuminating, or the locked lights.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;IViewportShadingMgr.CastShadowsSelectedOnly &lt;boolean&gt;Enabled </code></pre><p>When the argument is true, the system will be switched to cast shadows only from the selected lights. When the argument is false, all lights will be allowed to cast shadows.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;IViewportShadingMgr.IsLightNodeSupported &lt;node&gt;LightNode </code></pre><p>Returns true if the given light is supported by the Viewport Shading system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;IViewportShadingMgr.IsShadingLimitValid &lt;enum&gt;ShadingLimits \n\
\n\
ShadingLimits enums: {#None|#Good|#Best} </code></pre><p>Returns true if the given shading mode is valid on the current hardware.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;IViewportShadingMgr.ReviewGPUDiagnostics() </code></pre><p>Prints a GPU diagnostics report to the MAXScript Listener.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   IViewportShadingMgr.ReviewGPUDiagnostics()\n\
   --&gt; //////////////////////////////////////////////////////\n\
   --&gt; ////////// Review GPU Feature Support ////////////\n\
   --&gt; //////////////////////////////////////////////////////\n\
   --&gt; Graphics Vendor Information: Direct3D 9.0 (NVIDIA Quadro FX 4000)\n\
   --&gt; GPU Shader Model Support: SM3.0\n\
   --&gt; Maximum pixel shader instruction count: 4096\n\
   --&gt; Viewport Shading Quality: Best\n\
   --&gt; Real-time Sun and Sky: Supported\n\
   --&gt; Real-time Architectural Material: Supported\n\
   --&gt; //////////////////////////////////////////////////////\n\
   --&gt; OK\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;IViewportShadingMgr.SetViewportShadingLimits &lt;enum&gt;ShadingLimits Quiet:&lt;boolean&gt; \n\
\n\
ShadingLimits enums: {#None|#Good|#Best} \n\
Quiet default value: true </code></pre><p>Sets the viewport shading limit to the given mode. If the quiet: optional keyword argument is specified as true, no errors will be reported if the given node is not supported on the current system.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../I-J-K.html\">I,J,K</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeShadingProperties.html\">Interface: INodeShadingProperties</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Shading-Settings.html\">Viewport Shading Settings</a></li>\n\
          <li><a class=\"link\" href=\"../U-V-W-X-Y-Z/Interface-ViewportSSB.html\">Interface: ViewportSSB</a></li>\n\
          <li><a class=\"link\" href=\"../../Core-Interfaces-Documentation.html\">Core Interfaces Documentation</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";