var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EB69A035-7FF4-4A0A-8A82-409C4145B9DF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: InstanceMgr</h1></div><p>The <strong>Instance Manager Core Interface</strong> provides access to properties and methods related to Instanced Nodes. It provides means for collecting instances, managing material propagation to instances, making instanced modifiers, controllers and nodes unique etc.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">InstanceMgr.autoMtlPropagation : boolean : Read|Write      </code></pre><p>When set to <code>True</code> , Materials assigned to an object will propagate automatically to all its instances.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;InstanceMgr.GetInstances &lt;node&gt;source &lt;&amp;node array&gt;instances   \n\
\n\
instances is Out parameter </code></pre><p>Returns the number of instances of the specified source node and the list of all instances in the by-reference Out parameter.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   tp = Teapot() --create a teapot\n\
   --&gt; $Teapot:Teapot01 @ [0.000000,0.000000,0.000000]\n\
   tp1 = instance tp --instance the teapot\n\
   --&gt; $Teapot:Teapot02 @ [0.000000,0.000000,0.000000]\n\
   tp2 = instance tp --instance it again\n\
   --&gt; $Teapot:Teapot03 @ [0.000000,0.000000,0.000000]\n\
   tp3 = copy tp --copy the teapot\n\
   --&gt; $Teapot:Teapot04 @ [0.000000,0.000000,0.000000]\n\
   InstanceMgr.GetInstances tp &amp;instances -- get the instances of the original\n\
   --&gt; 3\n\
   instances --show the returned array- all instances are there, the copy isn&apos;t\n\
   --&gt; #($Teapot:Teapot03 @ [0.000000,0.000000,0.000000], $Teapot:Teapot02 @ [0.000000,0.000000,0.000000], $Teapot:Teapot01 @ [0.000000,0.000000,0.000000])\n\
   InstanceMgr.GetInstances tp3 &amp;instances --get the instances of the copy\n\
   --&gt; 1\n\
   instances -- show the returned array - the copy is the only object in it\n\
   --&gt; #($Teapot:Teapot04 @ [0.000000,0.000000,0.000000])\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This function also considers objects to be instances when they share the same styles or categories as defined in AutoCAD Architecture, or the same families and types as defined in Autodesk Revit, when a scene is imported or linked from a DWG file. In this case, the function works like the <strong>Select Similar</strong> command. In this case, to select only 3ds Max instances, use:</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- Note that this code works only if the selection set ($) is not empty\n\
InstanceMgr.GetInstances $ &amp;rptInstances \n\
trueInstances = for n in rptInstances where (areNodesInstances $ n) collect n</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt; InstanceMgr.SetMtlOnInstances &lt;node&gt;source &lt;material&gt;newMtl </code></pre><p>Propagates the supplied new material to all instances of the specified source node. Normally, instances can have independent materials. Using this method, all instances can be updated to use the same material. Returns the number of instances.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   tp = Teapot() --create a teapot\n\
   --&gt; $Teapot:Teapot01 @ [0.000000,0.000000,0.000000]\n\
   tp.material = standard diffuse:(color 255 0 0) --assign a red material\n\
   --&gt; Standardmaterial:Standard\n\
   tp1 = instance tp --create an instance\n\
   --&gt; $Teapot:Teapot02 @ [0.000000,0.000000,0.000000]\n\
   tp1.pos = [100,0,0] --move the instance\n\
   --&gt; [100,0,0]\n\
   tp1.material = standard diffuse:(color 0 255 0) --assign a green material\n\
   --&gt; Standardmaterial:Standard\n\
   tp2 = instance tp --create another instance\n\
   --&gt; $Teapot:Teapot03 @ [0.000000,0.000000,0.000000]\n\
   tp2.pos = [200,0,0] --move the instance\n\
   --&gt; [200,0,0]\n\
   tp2.material = standard diffuse:(color 0 0 255) --assign a blue material\n\
   --&gt; Standardmaterial:Standard\n\
   newMaterial = standard diffuse:(color 250 255 255) --create a white material\n\
   --&gt; Standardmaterial:Standard\n\
\n\
   InstanceMgr.SetMtlOnInstances tp newMaterial --assign to all instances 3 --3 object affected! \n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;InstanceMgr.MakeObjectsUnique &lt;node array&gt;nodes &lt;enum&gt;multiNodeOption\n\
       multiNodeOption enums: {#prompt|#individual|#group}</code></pre><p>Makes the objects passed by-reference unique. Returns <code>True</code> on success.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   tp = Teapot() --create a teapot\n\
   --&gt; $Teapot:Teapot01 @ [0.000000,0.000000,0.000000]\n\
   tp1 = instance tp --instance the trapot\n\
   --&gt; $Teapot:Teapot02 @ [0.000000,0.000000,0.000000]\n\
   tp2 = instance tp --instance it once again\n\
   --&gt; $Teapot:Teapot03 @ [0.000000,0.000000,0.000000]\n\
   InstanceMgr.GetInstances tp &amp;instances --get all instances\n\
   --&gt; 3\n\
   --make the instances unique. Show a prompt to confirm the operation\n\
   InstanceMgr.MakeObjectsUnique &amp;instances #prompt\n\
   --&gt; true\n\
   --Check that every object is an instance of itself only.\n\
   InstanceMgr.GetInstances tp &amp;instances\n\
   --&gt; 1\n\
   InstanceMgr.GetInstances tp1 &amp;instances\n\
   --&gt; 1\n\
   InstanceMgr.GetInstances tp2 &amp;instances\n\
   --&gt; 1\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;InstanceMgr.CanMakeObjectsUnique &lt;node array&gt;nodes</code></pre><p>Returns <code>True</code> when the specified nodes can be made unique, <code>False</code> otherwise.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   tp = Teapot() --create a teapot\n\
   --&gt; $Teapot:Teapot01 @ [0.000000,0.000000,0.000000]\n\
   tp1 = instance tp --instance the teapot\n\
   --&gt; $Teapot:Teapot02 @ [0.000000,0.000000,0.000000]\n\
   tp2 = copy tp --copy the teapot\n\
   --&gt; $Teapot:Teapot03 @ [0.000000,0.000000,0.000000]\n\
   --Check if the two instances can be made unique - they can\n\
   InstanceMgr.CanMakeObjectsUnique #(tp,tp1)\n\
   --&gt; True\n\
   --Check the original and the copy - not instances, cannot be made unique\n\
   InstanceMgr.CanMakeObjectsUnique #(tp,tp2)\n\
   --&gt; False\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;InstanceMgr.MakeModifiersUnique &lt;node array&gt;nodes &lt;maxObject array&gt;modifiers &lt;enum&gt;multiNodeOption\n\
       multiNodeOption enums: {#prompt|#individual|#group}</code></pre><p>Makes the specified modifiers of the supplied nodes unique. Returns <code>True</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;InstanceMgr.CanMakeModifiersUnique &lt;node array&gt;nodes &lt;maxObject array&gt;modifiers</code></pre><p>Returns <code>True</code> when the specified modifiers of the supplied nodes can be made unique, <code>False</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;InstanceMgr.MakeControllersUnique &lt;node array&gt;nodes &lt;maxObject array&gt;controllers &lt;enum&gt;multiNodeOption\n\
       multiNodeOption enums: {#prompt|#individual|#group}</code></pre><p>Makes the specified controllers of the supplied nodes unique. Returns <code>True</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;InstanceMgr.CanMakeControllersUnique &lt;node array&gt;nodes &lt;maxObject array&gt;controllers</code></pre><p>Returns <code>True</code> when the specified controllers of the supplied nodes can be made unique, <code>False</code> otherwise.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../I-J-K.html\">I,J,K</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Identifying-and-Accessing/getClassInstances.html\">getClassInstances</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";