var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F5BEE9F6-6668-4D77-942E-DA844A88D496\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: IsolatedVertices</h1></div><p>The <strong>IsolatedVertices Core Interface</strong> exposes methods for interacting with the Isolated Vertices xView Checker.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p>Does not expose any properties.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;IsolatedVertices.Check &lt;time&gt;time &lt;node&gt;nodeToCheck &lt;&amp;index array&gt;results      \n\
\n\
Check enums: { #Failed | #Vertices | #Edges | #Faces}      \n\
results is In and Out parameter   </code></pre><p>Performs an Isolated Vertices xView check at the given time on the specified node and returns its results in the array passed by-reference as third argument.</p>\n\
<p>The method itself <code>always</code> returns the <code>#vertex</code> enum because the Isolated Vertices check only checks vertices and the values written to the results array always represent indices of isolated vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;IsolatedVertices.hasPropertyDlg() </code></pre><p>Returns true if the xView checker implements a property dialog, false if it does not.</p>\n\
<p>In the particular case of the Isolated Vertices checker, it <strong>always returns false</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;IsolatedVertices.showPropertyDlg() </code></pre><p>Shows the property dialog of the xView checker, if implemented.</p>\n\
<p>In the particular case of the Isolated Vertices checker this method <strong>does nothing</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<p>   The following code creates a plane with 10x10 segments, then collapses it to editable mesh and deletes the first 20 faces, or a whole row of quads, leaving the outer vertices isolated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   thePlane = plane width:100 length:100 widthsegs:10 lengthsegs:10\n\
   --&gt; $Plane:Plane01 @ [0.000000,0.000000,0.000000]\n\
   convertToMesh thePlane\n\
   --&gt; $Editable_Mesh:Plane01 @ [0.000000,0.000000,0.000000]\n\
   meshop.deleteFaces thePlane #{1..20} delIsoVerts:false\n\
   --&gt; OK\n\
</code></pre><p>   <img src=\"./images/GUID-B6322432-6027-4314-B07E-9DC05192F5C3-low.gif\" alt></p>\n\
<p>   The following call to the IsolatedVertices.check() method will return the isolated vertices. It does NOT require the Isolated Vertices Checker to be active in the viewport and can be used in MAXScript code to acquire isolated vertex indices into an array:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
   theResults = #() --we need an array to store the results in\n\
   --&gt; #()\n\
\n\
   --We call the method by passing the time to check at,\n\
   --the object to check and the by-reference array to store\n\
   --the results in. The return result of the method itself\n\
   --will be #vertex because the method operates on vertices\n\
   --and the content of theResults array should be threated\n\
   --as vertex indices:\n\
   resultType = IsolatedVertices.Check currentTime thePlane &amp;theResults\n\
   --&gt; #vertex\n\
\n\
   --If we would print out the content of the array variable,\n\
   --it will contain the indices of the isolated vertices:\n\
   theResults\n\
   --&gt; #(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11)\n\
\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../I-J-K.html\">I,J,K</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Geometry-Checker/xView-Geometry-Checker-Access.html\">xView Geometry Checker Access</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";