var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-79537E16-FE25-4567-BEA6-06F39E0A5C1F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: LayerManager</h1></div><p>This <strong>Core Interface</strong> exposes the <strong>Layer Manager</strong> to MAXScript.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">LayerManager.count : integer : Read      </code></pre><p>Get the number of layers in the scene</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">LayerManager.current : Interface : Read   </code></pre><p>Returns a <a href=\"./../../../Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\">LayerProperties MixinInterface</a> to the current layer.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;LayerManager.getLayer &lt;integer&gt;which </code></pre><p>Returns a <a href=\"./../../../Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\">LayerProperties MixinInterface</a> to the indexed layer.</p>\n\
<p>The index is 0-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;LayerManager.newLayer() </code></pre><p>Creates a new Layer and returns a <a href=\"./../../../Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\">LayerProperties MixinInterface</a> to it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;LayerManager.getLayerFromName &lt;string&gt;name </code></pre><p>Returns a <a href=\"./../../../Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\">LayerProperties MixinInterface</a> to the layer with the given name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;LayerManager.newLayerFromName &lt;string&gt;name </code></pre><p>Creates a new layer with the given name and returns a <a href=\"./../../../Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\">LayerProperties MixinInterface</a> to it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;LayerManager.editLayerByName &lt;string&gt;name </code></pre><p>Enters editing mode for the layer with the given name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LayerManager.deleteLayerByName &lt;string&gt;name </code></pre><p>Deletes the layer with the given name.</p>\n\
<p>Returns True if layer deleted, <code>false</code> otherwise.</p>\n\
<p>A layer can only be deleted if no nodes are in the layer and the layer is not the currently active layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;LayerManager.closeDialog() </code></pre><p>Closes the Layer Manager dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LayerManager.isDialogOpen() </code></pre><p>Returns true if the Layer Manager dialog is open, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;LayerManager.layerPropDialog &lt;&amp;maxObject array&gt;layerList \n\
       layerList is In and Out parameter</code></pre><p>Opens the Layer Property Dialogs of the <a href=\"./../../../Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\">LayerProperties MixinInterfaces</a> passed in a by-reference array.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ReferenceTarget&gt;LayerManager.getLayerObject {&lt;integer layer_index&gt;|&lt;string layer_name&gt;} </code></pre><p>Returns the specified layer as a ReferenceTarget.</p>\n\
<p>layer_index is 0-based, layer_name is case-insensitive.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the <a href=\"./../../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><strong>Deprecated</strong>.</p>\n\
<p>Use the <a href=\"./../../../Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\">LayerProperties</a> interface&apos;s <code>.layerAsRefTarg</code> property instead.</p>\n\
<p>Provided for backwards compatibility with scripts written using the Avguard Extension in previous versions of <strong>3ds Max</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LayerManager.doesLayerHierarchyContainNodes &lt;string&gt;name</code></pre><p>Returns True if the Layer Hierarchy of the specified Layer Name contains nodes.</p>\n\
<p>Returns False if the Layer Hierarchy of the specified Layer Name does not contain nodes, or if the specified Layer Name does not exist.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LayerManager.deleteLayerHierarchy &lt;string&gt;name forceDelete:&lt;boolean&gt;\n\
forceDelete default value: false\n\
</code></pre><p>Deletes the Layer Hierarchy of the specified Layer Name. If the Active layer was deleted, the default &quot;0&quot; layer will become the Active layer. When the optional keyword <code>forceDelete:</code> is set to False or is not supplied, only deletes empty layers.</p>\n\
<p>When the optional keyword <code>forceDelete:</code> is set to True, layers with nodes will be deleted and the nodes will be moved to the default &quot;0&quot; layer.</p>\n\
<p>Returns True if the deleting was successful.</p>\n\
<p>Returns False if the deleting failed because the hierarchy contained nodes while <code>forceDelete:</code> was set to False or not specified, or if the specified Layer Name does not exist.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LayerManager.getDuplicateLayerWithoutSameHierarchyOnMerge()</code></pre><p>Returns the state of the option controlling whether to duplicate a layer when merging if a layer to be merged has the same name but different hierarchy as an existing layer in the scene.</p>\n\
<p>When set to True, a duplicate layer will be created.</p>\n\
<p>When set to False, no duplicate will be created.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;LayerManager.setDuplicateLayerWithoutSameHierarchyOnMerge &lt;boolean&gt;duplicateLayerWithoutSameHierarchyOnMerge persist:&lt;boolean&gt;\n\
persist default value: true\n\
</code></pre><p>Sets the state of the option controlling whether to duplicate a layer when merging if a layer to be merged has the same name, but different hierarchy as an existing layer in the scene.</p>\n\
<p>When set to True, a duplicate layer will be created.</p>\n\
<p>When set to False, no duplicate will be created.</p>\n\
<p>When the <code>persist:</code> optional argument is set to True or omitted, the setting will persist between sessions.</p>\n\
<p>When the <code>persist:</code> option is set to False, the setting will affect only the current session.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for i = 0 to layerManager.count-1 do\n\
   (\n\
     ilayer = layerManager.getLayer i\n\
     layerName = ilayer.name\n\
     layer = ILayerManager.getLayerObject i\n\
     layerNodes = refs.dependents layer\n\
     format &quot;Layer: %; nodes: %\\n&quot; layerName layerNodes\n\
   )\n\
</code></pre></blockquote>\n\
<h2 id=\"layermanager-interfaces-\">LayerManager Interfaces:</h2><p>Interface: <strong>LayerProperties</strong></p>\n\
<p><a href=\"./../../../Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\">Interface: LayerProperties</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../L.html\">L</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeLayerProperties.html\">Interface: INodeLayerProperties</a></li>\n\
          <li><a class=\"link\" href=\"../../../Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\">Interface: LayerProperties</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";