var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-29B892C2-5612-4C4D-940C-610DF3ED3E72\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: LightMeterManager</h1></div><p>The <strong>LightMeterManager Interface</strong> exposes properties and methods related to managing LightMeter Helpers. The same methods are used by the Lighting Analysis Assistant tool.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">LightMeterManager.deleteCacheBeforeCalculation : boolean : Read|Write      </code></pre><p>Get/set the option controlling whether to delete the Cache before calculating Light Meters.</p>\n\
<p>When set to true, the Cache data will be deleted before calculating.</p>\n\
<p>When set to false, it will not be deleted.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;LightMeterManager.getNumLightMeterHelpers()   </code></pre><p>Returns the number of LightMeter Helpers in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;LightMeterManager.getNthLightMeterHelper &lt;index&gt;index </code></pre><p>Returns the LightMeter Interface of the N-th LightMeter Helper in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;LightMeterManager.getNthLightMeterHelperNode &lt;index&gt;index </code></pre><p>Returns the node of the N-th LightMeter Helper in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;LightMeterManager.getNumActiveLightMeterHelpers() </code></pre><p>Returns the number of active LightMeter Helpers in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LightMeterManager.isCalculatingMeters() </code></pre><p>Returns true if the Lighting Analysis Assistant is calculating LightMeters, false if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;LightMeterManager.calculateMeters &lt;index&gt;index &lt;boolean&gt;useRenderTimes &lt;boolean&gt;useRenderSettings </code></pre><p>Performs the LightMeter calculation for the indexed light meter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;LightMeterManager.outputActiveMetersToCSVFiles &lt;string&gt;namePrefix </code></pre><p>Writes the data from the active LightMeters to a Comma-Separated Values file with the specified name prefix.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../L.html\">L</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/LightMeter-Helper.html\">LightMeter : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../C-D/Interface-6.html\">Interface: DaylightSimulationUtilities</a></li>\n\
          <li><a class=\"link\" href=\"../C-D/Interface-5.html\">Interface: DaylightSimulationUIOps</a></li>\n\
          <li><a class=\"link\" href=\"Interface-8.html\">Interface: LightingAnalysisOverlayFactory</a></li>\n\
          <li><a class=\"link\" href=\"../../../../RenderEffect-MAXWrapper/Render-Effect-Types/Lighting_Analysis_Overlay.html\">Lighting_Analysis_Overlay : RenderEffect</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Render-Elements/Lighting_Analysis_Data.html\">Lighting_Analysis_Data : RenderElement</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Lighting-Analysis/Lighting-Analysis-and-Daylight.html\">Lighting Analysis and Daylight Simulation Tools</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";