var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D2EF7351-5E42-4593-954E-0A7841CF7AD7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: MaxRibbon</h1></div><p>This Core Interface exposes methods to access the appearance of the Ribbon User Interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: MaxRibbon </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;MaxRibbon.SetRibbonOrientation &lt;enum&gt;orientation      \n\
\n\
orientation enums: {#Horizontal|#Vertical}   </code></pre><p>Sets the Ribbon&apos;s orientation to horizontal or vertical.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This method is deprecated and has no effect, as of <strong>3ds Max 2013</strong>.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;enum&gt;MaxRibbon.GetRibbonOrientation() \n\
\n\
GetRibbonOrientation enums: {#Horizontal|#Vertical} </code></pre><p>Returns the Ribbon&apos;s orientation.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This method is deprecated and has no effect, as of <strong>3ds Max 2013</strong>.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;MaxRibbon.ShowRibbon &lt;boolean&gt;show </code></pre><p>When the argument is true, shows the Ribbon.</p>\n\
<p>When the argument is false, hides the Ribbon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;MaxRibbon.IsRibbonOpen() </code></pre><p>Returns true if the Ribbon is open, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;MaxRibbon.LoadRibbonConfig &lt;&amp;String&gt;configFile \n\
\n\
configFile is In and Out parameter</code></pre><p>Loads the Ribbon Configuration from the specified file. The <code>configFile</code> must contain the path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;MaxRibbon.SaveRibbonConfig &lt;&amp;String&gt;configFile \n\
\n\
configFile is In and Out parameter</code></pre><p>Saves the Ribbon Configuration to the specified file. The <code>configFile</code> must contain the path. This command saves the configuration in two files, one named [configFile].ribbon, and the other [configFile].xaml. Only the .xaml version is actually used. The configuration contains any user customization and the ribbon&apos;s show/hide state, but not its size, position, or docking state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;MaxRibbon.ResetRibbon() </code></pre><p>Resets the Ribbon to its default show/hide state, and discards any user customization. This function does not reset the ribbon&apos;s position, size, or docking state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;MaxRibbon.SetRibbonDockState &lt;enum&gt;dockState \n\
\n\
dockState enums: {#TopDock|#BottomDock|#LeftDock|#RightDock|#Floating} </code></pre><p>Sets the Ribbon state according to the enum parameter:</p>\n\
<p><code>#TopDock</code> - docks the Ribbon to the top of the <strong>3ds Max</strong> UI, switching to horizontal layout if necessary.</p>\n\
<p><code>#BottomDock</code> - docks the Ribbon to the bottom of the <strong>3ds Max</strong> UI, switching to horizontal layout if necessary.</p>\n\
<p><code>#LeftDock</code> - docks the Ribbon to the left of the <strong>3ds Max</strong> UI, switching to vertical layout if necessary.</p>\n\
<p><code>#RightDock</code> - docks the Ribbon to the right of the <strong>3ds Max</strong> UI, switching to vertical layout if necessary.</p>\n\
<p><code>#Floating</code> - undocks and floats the Ribbon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;MaxWpfContent.IsRibbonFloating() </code></pre><p>Returns <code>true</code> if the Ribbon is floating, <code>false</code> if it is docked.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   MaxRibbon.ShowRibbon true --make sure the Ribbon is visible\n\
   --&gt; OK\n\
   MaxRibbon.GetRibbonOrientation() --check the orientation\n\
   --&gt; #Horizontal\n\
   MaxRibbon.SetRibbonOrientation #Vertical --switch to vertical\n\
   --&gt; OK\n\
   MaxRibbon.GetRibbonOrientation() --make sure it worked\n\
   --&gt; #Vertical\n\
   MaxRibbon.ShowRibbon false --hide the Ribbon\n\
   --&gt; OK\n\
   MaxRibbon.IsRibbonOpen() --check if the Ribbon is hidden\n\
   --&gt; false\n\
   MaxRibbon.ShowRibbon true --unhide the Ribbon\n\
   --&gt; OK\n\
   MaxRibbon.IsRibbonOpen() --check again, now it is visible\n\
   --&gt; true\n\
   MaxRibbon.SetRibbonDockState #RightDock --dock to the right side\n\
   --&gt; OK\n\
   MaxRibbon.SetRibbonOrientation #Horizontal --switch to Horizontal\n\
   --&gt; OK\n\
   MaxRibbon.SetRibbonDockState #Floating --and float the Ribbon\n\
   --&gt; OK\n\
   MaxRibbon.IsRibbonFloating() --check if it is Floating\n\
   --&gt; true\n\
   MaxRibbon.SetRibbonDockState #TopDock --dock the Ribbon to the top\n\
   --&gt; OK\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../M.html\">M</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";