var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1D6AF75C-E44B-48B7-A7DF-878A85AB3638\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: manip</h1></div><p>The <strong>manip Core Interface</strong> exposes the viewport <strong>Manipulators</strong> to MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: manip </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">manip.msXYPlane : Interface : Read      \n\
manip.msXZPlane : Interface : Read      \n\
manip.msYZPlane : Interface : Read   </code></pre><p>Return a <a href=\"./../../../Other-Interfaces/Other-Interfaces-1/Manipulator-Interfaces/Interface-manipPlane.html\">manipPlane</a> [<a href=\"./../../../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\">Mixin Interface</a>] providing methods to get intersections with the respective plane.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;manip.makeSphere &lt;point3&gt;pos &lt;float&gt;radius &lt;integer&gt;segments </code></pre><p>This returns a mesh sphere with the given position, radius, and segments.</p>\n\
<p><code>&lt;point3&gt;pos</code>: Sets the mesh sphere Position</p>\n\
<p><code>&lt;float&gt;radius</code>: Specifies the radius of the sphere.</p>\n\
<p><code>&lt;integer&gt;segments:</code> Sets the number of polygonal divisions for the sphere.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;manip.makeTorus &lt;point3&gt;pos &lt;float&gt;radius &lt;float&gt;radius2 &lt;integer&gt;segs &lt;integer&gt;sides </code></pre><p>Create a torus mesh with the given values.</p>\n\
<p><code>&lt;point3&gt;pos:</code> Sets the position of the torus.</p>\n\
<p><code>&lt;float&gt;radius:</code> Sets the distance from the center of the torus to the center of the cross-sectional circle. This is the radius of the torus ring.</p>\n\
<p><code>&lt;float&gt;radius2:</code> Sets the radius of the cross-sectional circle. The default is 10 units. This value is replaced each time you create a torus.</p>\n\
<p><code>&lt;integer&gt;segs:</code> Sets the number of radial divisions around the torus. By reducing this number, you can create polygonal rings instead of circular ones.</p>\n\
<p><code>&lt;integer&gt;sides:</code> Sets the number of sides on the cross-sectional circle of the torus. By reducing this number, you can create prism-like cross sections instead of circular ones.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;manip.makeBox &lt;point3&gt;pos &lt;float&gt;l &lt;float&gt;w &lt;float&gt;h &lt;integer&gt;lsegs &lt;integer&gt;wsegs &lt;integer&gt;hsegs </code></pre><p>Creates a box mesh with the given parameters.</p>\n\
<p><code>&lt;point3&gt;pos</code> : Sets the position of the Box.</p>\n\
<p><code>&lt;float&gt;l</code> : Sets the length, width, and height of the Box object. These fields also act as readouts while you drag the sides of the box. Default=0,0,0.</p>\n\
<p><code>&lt;float&gt;w</code> : Sets the length, width, and height of the Box object. These fields also act as readouts while you drag the sides of the box. Default=0,0,0.</p>\n\
<p><code>&lt;float&gt;h</code> : Sets the length, width, and height of the Box object. These fields also act as readouts while you drag the sides of the box. Default=0,0,0.</p>\n\
<p><code>&lt;integer&gt;lsegs</code> : Sets the number of divisions along each axis of the object. Can be set before or after creation. By default, each side of the box is a single segment. When you reset these values, the new values become the default during a session. Default=1,1,1.</p>\n\
<p><code>&lt;integer&gt;wsegs</code> : Sets the number of divisions along each axis of the object. Can be set before or after creation. By default, each side of the box is a single segment. When you reset these values, the new values become the default during a session. Default=1,1,1.</p>\n\
<p><code>&lt;integer&gt;hsegs</code> : Sets the number of divisions along each axis of the object. Can be set before or after creation. By default, each side of the box is a single segment. When you reset these values, the new values become the default during a session. Default=1,1,1.</p>\n\
\n\
<div class=\"callout callout-tip\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-lightbulb-o\" aria-hidden=\"true\"></i>Tip:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p>   </p>\n\
<p>   Increase the Segments settings to give objects extra resolution for being affected by modifiers. For example, if you&apos;re going to bend a box on the Z axis, you might want to set its Height Segments parameter to 4 or more.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;manip.makeCircle &lt;point3&gt;center &lt;float&gt;radius &lt;integer&gt;segments </code></pre><p>Creates a circle with the given parameters.</p>\n\
<p><code>&lt;point3&gt;center</code></p>\n\
<p>Sets the position of the Circle.</p>\n\
<p><code>&lt;float&gt;radius</code> : Sets the radius of the Circle.</p>\n\
<p><code>&lt;integer&gt;segments</code> : Sets the number of segments in the Circle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;manip.makeGizmoShape() </code></pre><p>Returns a <a href=\"./../../../Other-Interfaces/Other-Interfaces-1/Manipulator-Interfaces/Interface-gizmoShape.html\">gizmoShape Interface</a> representing an empty gizmo shape that can be used to create user-defined gizmos by adding points to define freeform lines.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;manip.makePlaneFromPts &lt;point3&gt;p1 &lt;point3&gt;p2 &lt;point3&gt;p3 </code></pre><p>Returns a <a href=\"./../../../Other-Interfaces/Other-Interfaces-1/Manipulator-Interfaces/Interface-manipPlane.html\">manipPlane Interface</a> representing a plane passing through the three given points.</p>\n\
<p><code>&lt;point3&gt;p1</code> : first point of the plane definition</p>\n\
<p><code>&lt;point3&gt;p2</code> : second point of the plane definition</p>\n\
<p><code>&lt;point3&gt;p3</code> : third point of the plane definition</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;manip.makePlaneFromNormal &lt;point3&gt;normal &lt;point3&gt;point </code></pre><p>Returns a <a href=\"./../../../Other-Interfaces/Other-Interfaces-1/Manipulator-Interfaces/Interface-manipPlane.html\">manipPlane Interface</a> representing a plane with the given normal that passes through the given point.</p>\n\
<p><code>&lt;point3&gt;normal</code> : the normal of the plane</p>\n\
<p><code>&lt;point3&gt;point</code> : the point the plane passes through</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../M.html\">M</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Manipulators.html\">Scripted Manipulators</a></li>\n\
          <li><a class=\"link\" href=\"../../../Other-Interfaces/Other-Interfaces-1/Manipulator-Interfaces/Interface-simpleManip.html\">Interface: simpleManip</a></li>\n\
          <li><a class=\"link\" href=\"../../../Other-Interfaces/Other-Interfaces-1/Manipulator-Interfaces/Interface-gizmoShape.html\">Interface: gizmoShape</a></li>\n\
          <li><a class=\"link\" href=\"../../../Other-Interfaces/Other-Interfaces-1/Manipulator-Interfaces/Interface-manipPlane.html\">Interface: manipPlane</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";