var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9EFFD0CD-7FFE-4F46-9022-E02186B34C5C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: missingPathCache</h1></div><p>3ds Max scenes can contain references to assets in many locations, including local drives and network shares. When a scene is loaded or saved, 3ds Max checks whether asset paths exist, and maintains a cache of missing file paths. This optimizes file load and save times, since once a missing file path is added to the cache, subsequent asset paths that match this path do not need to be queried in the filesystem, an expensive operation.</p>\n\
<p>For example, in tests involving 150 scene assets split among local and network shares, with some missing assets and file operation times exceeding 30 seconds (the OS file caching time), file load time is reduced by about 70% and file save by almost 80%.</p>\n\
<p>Available <strong>in 3ds Max 2018.4 and higher</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Only missing paths are cached. If an asset is missing, but its parent directory is present, the path is not added to the cache.</div>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> By default, the case sensitivity setting (<code>missingPathCache.cacheCaseSensitive</code>) is true for robustness. However, we recommend you set this to false for performance reasons, if your file servers are not case sensitive.</div>\n\
<p>The Missing Path Cache is exposed in MAXScript in the <code>missingPathCache</code> interface.</p>\n\
<h2 id=\"properties-\">Properties:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.cacheEntryValidityTime : integer : Read|Write|Validated by Range: 0 to 2147483647</code></pre><p>When sweeping the cache for entries that need to be tested to see if the entry now exists and should be removed from the cache, an entry is not tested if its previous test time plus <code>cacheEntryValidityTime</code> is less than the current time. The default is 5000 (5 seconds).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.cacheEntryPurgeTime : integer : Read|Write|Validated by Range: 0 to 2147483647</code></pre><p>When sweeping the cache, any entries that haven&apos;t been used to specify a filepath as not present within the last <code>cacheEntryPurgeTime</code> milliseconds will be removed from the cache. The default is 3600000 (1 hour).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.cacheSweepInterval : integer : Read|Write|Validated by Range: 0 to 2147483647</code></pre><p>The time interval between cache sweeps. The default is 1000 (1 second).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.cacheEnabled : boolean : Read|Write</code></pre><p>Whether the cache is used to during filepath existence testing. Turning this off does not clear the cache. Default is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.includeFileWatchInSweep : boolean : Read|Write</code></pre><p>Whether a cache entry that has a FileWatch associated with it should also be tested for existence during a cache sweep. This is present to handle any potential cases where it is found that a FileWatch does not properly fire when directory-related changes occur to the folder the FileWatch is applied to. This would most likely occur with obscure file servers. No such cases are known. The default is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.existsTimeBackgroundThreshold : float : Read|Write</code></pre><p>When a filepath is being tested for existence and it is not in the cache, the time it took to perform that test is measured. If this time is less than the <code>existsTimeBackgroundThreshold</code>, the filepath is processed for adding to the cache in the main thread. If it takes more than this time, the filepath is processed for adding to the cache in a worker thread. Setting this value to 0 forces all such processing to a worker thread. This value is in tenths of a millisecond, with a default value of 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.cacheCaseSensitive : boolean : Read|Write</code></pre><p>Whether the testing of a filepath against the cache should be case sensitive. Normally this can be set to false, but for some file servers it may need to be true. For robustness, the default is true. It is recommended to set this to false if your file servers are not case sensitive.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.cacheLocalDrives : boolean : Read|Write</code></pre><p>Whether to cache missing folders on local drives. Since file existence testing on local drives is fast, normally this setting should be false. The default is false.</p>\n\
<p>Note that changing this setting does not affect existing cache entries.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.clearCacheOnFileReset : boolean : Read|Write</code></pre><p>Whether to clear the missing path cache when 3ds Max is reset. The default is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.clearCacheOnSceneLoad : boolean : Read|Write</code></pre><p>Whether to clear the missing path cache before a scene is loaded. The default is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.persistSettingsOnExit : boolean : Read|Write</code></pre><p>Whether to persist cache settings to 3dsmax.ini on 3ds Max exit. The default is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.useFileWatch : boolean : Read|Write</code></pre><p>Whether to use FileWatch handles when possible. The default is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.numCacheEntries : integer64 : Read</code></pre><p>Performance statistic: the number of cache entries.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.numCacheHits : integer64 : Read</code></pre><p>Performance statistic: the number of filepath existence tests satisfied by cache hit.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.numCacheTests : integer64 : Read</code></pre><p>Performance statistic: the number of filepath existence tests while the cache was enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.numCacheSweeps : integer64 : Read</code></pre><p>Performance statistic: the number of cache sweeps that have occurred.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.numThreadsSpawned : integer64 : Read</code></pre><p>Performance statistic: the number of cache entry existence test threads that have been created during cache sweeps.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.numDoesExistTests : integer64 : Read</code></pre><p>Performance statistic: the number of <code>DoesFileExist()</code> and <code>DoesDirectoryExist()</code> calls that have occurred.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.cacheSweepCumTime : integer64 : Read</code></pre><p>Performance statistic - the amount of time spent sweeping the cache. Note that this is occurring in its own thread.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.cacheSweepMaxTime : integer64 : Read</code></pre><p>Performance statistic: the maximum amount of time it took to sweep the cache. Note that this is occurring in its own thread.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.numFileWatchedEntries : integer64 : Read</code></pre><p>Performance statistic: the max number of cache entries using FileWatch handles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.numFileWatchedEntriesCum : integer64 : Read</code></pre><p>Performance statistic: the commutative number of cache entries using FileWatch handles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.numFileWatchedEntriesMax : integer64 : Read</code></pre><p>Performance statistic: the max number of cache entries using FileWatch handles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.isFilePathInCacheCumTime : double : Read</code></pre><p>Performance statistic: the commutative amount of time spent testing to see if a filepath is in the cache</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.isFilePathInCacheMaxTime : double : Read</code></pre><p>Performance statistic: the maximum amount of time spent testing to see if a filepath is in the cache</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.doesExistCumTime : double : Read</code></pre><p>P erformance statistic: the cumulative amount of time spent testing to see if a filepath exists</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">missingPathCache.doesExistMaxTime : double : Read</code></pre><p>Performance statistic: the maximum amount of time spent testing to see if a filepath exists</p>\n\
<h2 id=\"methods-\">Methods:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;missingPathCache.IsFilePathInCache &lt;filename&gt;filePath</code></pre><p>Returns true if any part of the <code>filePath</code> is present in the cache. Primarily used for testing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;missingPathCache.DoesFileExist &lt;filename&gt;filePath allowDirectory:&lt;boolean&gt;\n\
       allowDirectory default value: true</code></pre><p>Returns true if the <code>filePath</code> exists, either as a file or as a directory.</p>\n\
<p>If <code>allowDirectory</code> is true, the method returns true if <code>filePath</code> exists as a directory, if false the method will return false if filePath exists as a directory.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;missingPathCache.DoesDirectoryExist &lt;filename&gt;dirPath</code></pre><p>Returns true if the <code>dirPath</code> exists as a directory.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;void&gt;missingPathCache.SeedCacheWithFilePath &lt;filename&gt;filePath</code></pre><p>Performs a file existence test of <code>filePath</code> in a worker thread. The purpose of this is to seed the cache with <code>filePath</code> if the file doesn&apos;t exist when you don&apos;t currently need to know whether the file exists, but expect to want to know later. By seeding the cache, that later file existence test will likely run faster if the <code>filePath</code> doesn&apos;t exist because its directory doesn&apos;t exist.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;void&gt;missingPathCache.Reset()</code></pre><p>Removes all entries from the cache.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;void&gt;missingPathCache.ResetStatistics()</code></pre><p>Resets all the performance statistic variables to 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;string array&gt;missingPathCache.GetNotPresentPaths unusedTime:&lt;&amp;integer64 array&gt;\n\
       unusedTime default value: #()\n\
       unusedTime is Out parameter</code></pre><p>Returns an array of the cache entry missing folder names. If <code>unusedTime</code> is specified, on return it will return an array of Integer64 values which are the time in milliseconds since the corresponded entry in the cache was used to specify a <code>filepath</code> as not present.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;missingPathCache.RemoveEntry &lt;filename&gt;filePath</code></pre><p>Removes the specified <code>filePath</code> cache entry if present. The specified <code>filePath</code> must match the cache entry exactly. Returns true if an entry was removed, otherwise false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &lt;void&gt;LoadINISettings()</code></pre><p>Loads cache settings from 3dsmax.ini.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;void&gt;SaveINISettings()</code></pre><p>Saves cache settings to 3dsmax.ini.</p>\n\
<h2 id=\"actions-\">Actions:</h2><p>None</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../M.html\">M</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";