var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6CC6500C-FD5C-4646-A880-BC34E852CA2B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: NamedSelectionSetManager</h1></div><p>This Core Interface introduced in <strong>3ds Max 2011</strong> exposes methods to access and manage Named Selection Sets.</p>\n\
<p>See also <a href=\"./../../../../../MAXScript-Language-Reference/Collections/Collection-Types/SelectionSetArray-Values.html\">SelectionSetArray Values</a> for related functionality.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: NamedSelectionSetManager </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;NamedSelectionSetManager.GetNumNamedSelSets()      </code></pre><p>Returns the number of named selection sets.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;NamedSelectionSetManager.GetNamedSelSetName &lt;integer&gt;setIndex   </code></pre><p>Returns the name of the indexed, zero-based Named Selection Set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;NamedSelectionSetManager.GetNamedSelSetItemCount &lt;integer&gt;setIndex </code></pre><p>Returns the number of items (objects) in the indexed, zero-based Named Selection Set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;NamedSelectionSetManager.GetNamedSelSetItem &lt;integer&gt;setIndex &lt;integer&gt;itemIndex </code></pre><p>Returns the indexed, zero-based scene node specified by the second argument from the indexed, zero-based Named Selection Set specified by the first argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NamedSelectionSetManager.AddNewNamedSelSet &lt;node array&gt;nodeSet &lt;string&gt;setName\n\
       AddNewNamedSelSet - no automatic redraw after invoked</code></pre><p>Adds a new Selection Set containing the nodes passed as array by the first argument named according to the second argument.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;NamedSelectionSetManager.RemoveNamedSelSetByIndex &lt;integer&gt;setIndex </code></pre><p>Removes the zero-based indexed Named Selection Set.</p>\n\
<p>Returns true on success, false on failure (index out of range).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NamedSelectionSetManager.RemoveNamedSelSetByName &lt;string&gt;setName\n\
       RemoveNamedSelSetByName - no automatic redraw after invoked</code></pre><p>Removes the Named Selection Set with the given name.</p>\n\
<p>Returns true on success, false on failure (name not found).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NamedSelectionSetManager.ReplaceNamedSelSetByIndex &lt;node array&gt;nodeSet &lt;integer&gt;setIndex\n\
       ReplaceNamedSelSetByIndex - no automatic redraw after invoked</code></pre><p>Replaces the node array of the zero-based indexed Named Selection Set specified by the second argument with the node array passed by the first argument.</p>\n\
<p>Returns true on success, false on failure (index out of range).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NamedSelectionSetManager.ReplaceNamedSelSetByName &lt;node array&gt;nodeSet &lt;string&gt;setName\n\
       ReplaceNamedSelSetByName - no automatic redraw after invoked</code></pre><p>Replaces the node array of the Selection Set specified by the second argument name string with the node array passed by the first argument.</p>\n\
<p>Returns true on success, false on failure (name not found).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NamedSelectionSetManager.GetNamedSelSetList &lt;&amp;node array&gt;nodeSet &lt;integer&gt;setIndex\n\
\n\
nodeSet is In and Out parameter</code></pre><p>Returns the node array of the Selection Set specified by the zero-based index second argument into the array passed by-reference by the first argument.</p>\n\
<p>Returns true on success, false on failure (index out of range).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NamedSelectionSetManager.SetNamedSelSetName &lt;integer&gt;setIndex &lt;string&gt;setName\n\
       SetNamedSelSetName - no automatic redraw after invoked</code></pre><p>Sets the name of the indexed Named Selection Set specified by the first argument to the string specified by the second argument.</p>\n\
<p>Returns true on success, false on failure (index out of range).</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   NamedSelectionSetManager.GetNumNamedSelSets() --starting without named selection sets\n\
   --&gt; 0\n\
   s = Sphere() --we create a sphere\n\
   --&gt; $Sphere:Sphere001 @ [0.000000,0.000000,0.000000]\n\
   b = Box() --and a box\n\
   --&gt; $Box:Box001 @ [0.000000,0.000000,0.000000]\n\
   NamedSelectionSetManager.AddNewNamedSelSet #(s,b) &quot;TestSelectionSet&quot; --and add them to a sel.set\n\
   --&gt; true\n\
   NamedSelectionSetManager.GetNumNamedSelSets() --checking the count, we have created one\n\
   --&gt; 1\n\
   NamedSelectionSetManager.GetNamedSelSetName 0 --indices are zero-based, so we get the first set\n\
   --&gt; &quot;TestSelectionSet&quot;\n\
   NamedSelectionSetManager.GetNamedSelSetItemCount 0 --which has two items inside\n\
   --&gt; 2\n\
   NamedSelectionSetManager.GetNamedSelSetItem 0 0 --checking the first item returns the sphere,\n\
   --&gt; $Sphere:Sphere001 @ [0.000000,0.000000,0.000000]\n\
   NamedSelectionSetManager.GetNamedSelSetItem 0 1 --checking the second item returns the box\n\
   --&gt; $Box:Box001 @ [0.000000,0.000000,0.000000]\n\
   NamedSelectionSetManager.RemoveNamedSelSetByIndex 0 --we can remove the only sel.set\n\
   --&gt; true\n\
   NamedSelectionSetManager.GetNumNamedSelSets() --which makes the number of set equal to zero\n\
   --&gt; 0\n\
   NamedSelectionSetManager.AddNewNamedSelSet #(s,b) &quot;Test2&quot; --let&apos;s make another one\n\
   --&gt; true\n\
   NamedSelectionSetManager.GetNumNamedSelSets() --we are back to one selection set\n\
   --&gt; 1\n\
   NamedSelectionSetManager.RemoveNamedSelSetByName &quot;Test1&quot; --we can try to remove it by (wrong) name\n\
   --&gt; false\n\
   NamedSelectionSetManager.RemoveNamedSelSetByName &quot;Test2&quot; --and successfully remove it by name\n\
   --&gt; true\n\
   NamedSelectionSetManager.AddNewNamedSelSet #(s,b) &quot;Test3&quot; --let&apos;s re-make it under another name\n\
   --&gt; true\n\
   g = Geosphere() --and create a geosphere primitive to replace the sphere\n\
   --&gt; $GeoSphere:GeoSphere001 @ [0.000000,0.000000,0.000000]\n\
   NamedSelectionSetManager.ReplaceNamedSelSetByIndex #(g,b) 0 --we set the items in the sel.set\n\
   --&gt; true\n\
   NamedSelectionSetManager.GetNamedSelSetItem 0 0 --so now the first item is the geosphere\n\
   --&gt; $GeoSphere:GeoSphere001 @ [0.000000,0.000000,0.000000]\n\
   NamedSelectionSetManager.GetNamedSelSetItem 0 1 --and the second is the box\n\
   --&gt; $Box:Box001 @ [0.000000,0.000000,0.000000]\n\
   NamedSelectionSetManager.ReplaceNamedSelSetByName #(b,s) &quot;Test2&quot; --replacing with wrong name fails\n\
   --&gt; false\n\
   NamedSelectionSetManager.ReplaceNamedSelSetByName #(b,s) &quot;Test3&quot;--but works with the right name\n\
   --&gt; true\n\
   NamedSelectionSetManager.GetNamedSelSetItem 0 0 --now we have the box as first itme\n\
   --&gt; $Box:Box001 @ [0.000000,0.000000,0.000000]\n\
   NamedSelectionSetManager.GetNamedSelSetItem 0 1 --and the sphere as the second\n\
   --&gt; $Sphere:Sphere001 @ [0.000000,0.000000,0.000000]\n\
   theNodes=#()\n\
   --&gt; #()\n\
   NamedSelectionSetManager.GetNamedSelSetList &amp;theNodes 0 --we can get the nodes by-reference\n\
   --&gt; true\n\
   theNodes --now the variable contains an array of the items in the selection set\n\
   --&gt; #($Box:Box001 @ [0.000000,0.000000,0.000000], $Sphere:Sphere001 @ [0.000000,0.000000,0.000000])\n\
\n\
   NamedSelectionSetManager.GetNamedSelSetName 0 --the current name is &quot;Test3&quot;\n\
   --&gt; &quot;Test3&quot;\n\
   NamedSelectionSetManager.SetNamedSelSetName 0 &quot;SelSet&quot;--we can rename it to &quot;SelSet&quot;\n\
   --&gt; true\n\
   NamedSelectionSetManager.GetNamedSelSetName 0 --and make sure the renaming worked:\n\
   --&gt; &quot;SelSet&quot;\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../N-O.html\">N,O</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Collections/Collection-Types/SelectionSetArray-Values.html\">SelectionSetArray Values</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Collections/Collection-Types/SelectionSet-Values.html\">SelectionSet Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";