var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4822E768-D5EF-44EF-89E7-5BF5404861A2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: objXRefMgr</h1></div><p>The <strong>objXRefMgr Core Interface</strong> provides access to the <strong>XRef Manager</strong>, and is the preferred way for working with XRefs in MAXScript. Scripts should not use both the methods in this interface and those exposed by <code>XRefObject</code>. The <strong>objXrefMgr</strong> coordinates all object xref additions and changes in a scene.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>You may find the following concepts useful when working with XRefs in MAXScript:</p>\n\
<ul>\n\
<li>Xrefs are organized by the file they come from, which is represented by an <code>IXRefRecord</code> object. For example, the <code>objXRefMgr.AddXrefItemsFromFile()</code> method returns this object. See the <a href=\"#the-following-mixininterface-represents-an-object-xref-record-\">IXrefRecordMixinInterface</a> for methods available from this interface.</li>\n\
<li>Individual Xrefs in an <code>XrefRecord</code> are held in <code>IXrefItem</code> objects. See <a href=\"Interface-objXRefMgr.html\">IXRefItem MixinInterface</a> for methods exposed by that interface.</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: objXRefMgr </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">objXRefMgr.includeAll : bool : Read|Write</code></pre><p>Get/set the state of the <strong>&quot;Include All&quot;</strong> checkbox.</p>\n\
<p>Default is True.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">objXRefMgr.enableUseLocalProxySettings : bool : Read|Write</code></pre><p>When set to True, local proxy settings will be used.</p>\n\
<p>Default is False.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">objXRefMgr.recordCount: DWORD : Read   </code></pre><p>Returns the number of Object XRef records.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">objXRefMgr.dupObjNameAction : enum : Read|Write \n\
\n\
dupObjNameAction enums: {#prompt|#xref|#skip|#deleteOld|#autoRename} </code></pre><p>Get/set the action to perform when duplicate names have been detected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">objXRefMgr.dupMtlNameAction : enum : Read|Write \n\
\n\
dupMtlNameAction enums: {#prompt|#useXRefed|#useScene|#autoRename} </code></pre><p>Get/set the action to perform when duplicate material names have been detected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">objXRefMgr.mergeTransforms : bool : Read|Write </code></pre><p>Get/set whether to merge the transformation controllers of the Object XRefs. When set to true, the transform controllers will be merged into the main scene and will lose the live connection to the referenced file. Default is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">objXRefMgr.mergeMaterials : bool : Read|Write </code></pre><p>Get/set whether to merge the materials of the Object XRefs. When set to true, the materials of the referenced objects will be merged into the main scene and will lose the live connection to the referenced file. This option must be set before creating the Object XRef. Default is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">objXRefMgr.mergeManipulators : bool : Read|Write </code></pre><p>Get/set whether to merge the manipulators of the Object XRefs. When set to true, the manipulators of the referenced objects will be merged into the main scene and will lose the live connection to the referenced file. This option must be set before creating the Object XRef. Default is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">objXRefMgr.mergeModifiers : enum : Read|Write \n\
\n\
mergeModifiers enums: {#xrefModifiers|#ignoreModifiers|#mergeModifiers} </code></pre><p>Get/set the handling of the modifiers of the Object XRef.</p>\n\
<p>When the <code>#xrefModifiers</code> option is specified, the modifiers will be applied to the XRef Object before it is merged into the main scene and cannot be changed.</p>\n\
<p>When the <code>#ignoreModifiers</code> option is specified, the modifiers from the referenced file will not be applied to the XRef Object.</p>\n\
<p>When the <code>#mergeModifiers</code> option is specified, the modifiers from the referenced file will be merged into the main scene and can be manipulated, but will lose their live connection to the referenced file.</p>\n\
<p>This option must be set before creating the Object XRef.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">objXRefMgr.getAutoUpdate : bool : Read|Write</code></pre><p>Get/set whether to update the Object XRefs automatically when the referenced source file has been saved.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;objXRefMgr.GetRecord &lt;index&gt;index </code></pre><p>Returns the indexed record, where index is between 1 and the <code>.recordCount</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;objXRefMgr.FindRecord &lt;DWORD&gt;handle </code></pre><p>Returns the record by handle.</p>\n\
<p>See <a href=\"#the-following-mixininterface-represents-an-object-xref-record-\">IXrefRecordMixinInterface</a> for details on the return value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bool&gt;objXRefMgr.RemoveRecordFromScene &lt;Interface&gt;record \n\
\n\
record Validated by Validator function</code></pre><p>Removes the specified record from the scene.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<p>See <a href=\"#the-following-mixininterface-represents-an-object-xref-record-\">IXrefRecord MixinInterface</a> for details on the record argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bool&gt;objXRefMgr.MergeRecordIntoScene &lt;Interface&gt;record \n\
\n\
record Validated by Validator function </code></pre><p>Merges the specified record into the scene.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<p>See <a href=\"#the-following-mixininterface-represents-an-object-xref-record-\">IXrefRecord MixinInterface</a> for details on the record argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bool&gt;objXRefMgr.SetRecordSrcFile &lt;Interface&gt;xrefRecord &lt;filename&gt;fileName </code></pre><p>Sets the source file of the specified record to the given file name.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<p>See <a href=\"#the-following-mixininterface-represents-an-object-xref-record-\">IXrefRecord MixinInterface</a> for details on the record argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bool&gt;objXRefMgr.UpdateAllRecords() </code></pre><p>Updates all records in the scene. Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;objXRefMgr.SetXRefItemSrcName &lt;maxObject&gt;xrefItem &lt;string&gt;itemName</code></pre><p>Sets the source item name of the object passed by-reference to the given string.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;objXRefMgr.SetProxyItemSrcName &lt;maxObject&gt;proxyItem &lt;string&gt;itemName</code></pre><p>Sets name of the proxy of the object passed by-reference to the given string.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<h3 id=\"example\">Example</h3><p>Illustrate the use of <code>SetProxyItemSrcName</code>, <code>SetProxyItemSrcFile</code>, and <code>AddXrefItemsFromFile</code>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sphereFile = @&quot;mySphereScene.max&quot;\n\
teapotFile = @&quot;myTeapotScene.max&quot;\n\
\n\
-- Create a scene file containing a sphere, this will be the proxy object\n\
resetMaxFile #noPrompt\n\
s = sphere name:&quot;mySphere&quot;\n\
saveMaxFile sphereFile useNewFile:false\n\
\n\
-- create a scene file containing a teapot, this will be the xref object\n\
resetMaxFile #noPrompt\n\
-- add a teapot, we&apos;ll use the sphere as a proxy\n\
t = teapot name:&quot;myTeapot&quot;\n\
saveMaxFile teapotFile useNewFile:false\n\
\n\
-- create our xref and our proxy\n\
resetMaxFile #noPrompt\n\
xrefRecord = objXrefMgr.AddXrefItemsFromFile teapotFile promptObjNames:false \\\n\
xrefOptions:#(#mergeModifiers, #mergeControllers, #mergeManipulators, #mergeMaterials)\n\
\n\
xrefItem = xrefRecord.getItem 1 #XrefObjectType\n\
objXrefMgr.SetProxyItemSrcFile xrefItem @&quot;mySphereScene.max&quot;\n\
objXrefMgr.SetProxyItemSrcName xrefItem &quot;mySphere&quot;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;objXRefMgr.SetXRefItemSrcFile &lt;maxObject&gt;xrefItem &lt;filename&gt;fileName</code></pre><p>Sets the source item file name of the object passed by-reference to the given filename string.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;objXRefMgr.SetProxyItemSrcFile &lt;maxObject&gt;proxyItem &lt;filename&gt;fileName</code></pre><p>Sets the proxy item file name of the object passed by-reference to the given filename string.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bool&gt;objXRefMgr.AddXRefItemsToRecord &lt;Interface&gt;record promptObjNames:&lt;bool&gt;objNames:&lt;string array&gt; \n\
\n\
record Validated by Validator function \n\
promptObjNames default value: false \n\
objNames default value: #() </code></pre><p>Adds XRefs for the array of object names in the scene to the given record.</p>\n\
<p>See <a href=\"#the-following-mixininterface-represents-an-object-xref-record-\">IXrefRecord MixinInterface</a> for details on the record argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;objXRefMgr.AddXRefItemsFromFile &lt;filename&gt;fileName promptObjNames:&lt;boolean&gt; objNames:&lt;string array&gt; xrefOptions:&lt;enum array&gt;\n\
       promptObjNames default value: false\n\
       objNames default value: #()\n\
       xrefOptions enums: {#asProxy|#xrefModifiers|#dropModifiers|#mergeModifiers|#mergeManipulators|#selectNodes|#mergeControllers|#mergeMaterials|#xrefControllers|#localControllers}\n\
       xrefOptions default value: #()</code></pre><p>Returns an XRef record object (IXRefRecord) that contains the XRefs (as IXRefItem objects) added to the scene from the specified file, of the specified objects.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Some of the <code>xrefOptions</code> parameter options are exclusive. You can only specify one of the Modifier options ( <code>#xrefModifiers</code>, <code>#dropModifiers</code>, <code>#mergeModifiers</code>) and one of the controller options ( <code>#mergeControllers</code>, <code>#xrefControllers</code>, <code>#localControllers</code>).</div>\n\
<p>See <a href=\"#the-following-mixininterface-represents-an-object-xref-record-\">IXrefRecord MixinInterface</a> for details on the record argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bool&gt;objXRefMgr.CanCombineRecords &lt;Interface&gt;firstRecord &lt;Interface&gt;secondRecord \n\
\n\
firstRecord Validated by Validator function \n\
secondRecord Validated by Validator function </code></pre><p>Returns true if the two records can be combined, false otherwise.</p>\n\
<p>See <a href=\"#the-following-mixininterface-represents-an-object-xref-record-\">IXrefRecord MixinInterface</a> for details on the record arguments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;objXRefMgr.CombineRecords &lt;Interface array&gt;records\n\
       records Validated by Validator function</code></pre><p>Combines the records given as by-reference array of interfaces to a single interface.</p>\n\
<p>See <a href=\"#the-following-mixininterface-represents-an-object-xref-record-\">IXrefRecord MixinInterface</a> for details on the record argument and return value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;objXRefMgr.RemoveXRefItemsFromScene &lt;maxObject array&gt;xrefItems</code></pre><p>Removes the given XRef Items from the scene.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;objXRefMgr.MergeXRefItemsIntoScene &lt;maxObject array&gt;xrefItems</code></pre><p>Merges the XRef Items specified as an array into the scene.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;objXRefMgr.ApplyXRefMaterialsToXRefObjects &lt;maxObject array&gt;objectXRefItems</code></pre><p>Applies XRef Materials to the specified XRef objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;objXRefMgr.IsNodeXRefed &lt;node&gt;node </code></pre><p>If the node is XRef-ed, returns an <a href=\"Interface-objXRefMgr.html\">IXRefItem MixinInterface</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;objXRefMgr.ApplyXRefControllersToXRefObjects &lt;maxObject array&gt;objectXRefItems</code></pre><p>Applies XRef controllers to the Object XRef items specified by the by-reference array argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;objXRefMgr.ResetXRefControllersPRSOffset &lt;maxObject array&gt;xrefItems</code></pre><p>Applies Position/Rotation/Scale offset to the XRef controllers of the Object XRef items specified by the by-reference array argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;objXRefMgr.CanResetXRefControllersPRSOffset &lt;maxObject&gt;xrefItem</code></pre><p>Returns true if Position/Rotation/Scale offset can be applied to the XRef controllers of the Object XRef item specified by the by-reference argument.</p>\n\
<p><a name=\"the-following-mixininterface-represents-an-object-xref-record-\"></a></p>\n\
<h2 id=\"the-following-mixininterface-represents-an-object-xref-record-\">The following MixinInterface represents an Object XRef Record:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: IXRefRecord </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefRecord MixinInterface&gt;.includeAll : bool : Read|Write </code></pre><p>Get/Set the state of the Include All checkbox. When set to true, all objects in the record will be included.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefRecord MixinInterface&gt;.autoUpdate : bool : Read|Write </code></pre><p>Get/Set the state of the Auto Update checkbox. When set to true, changes to the XRef source will be automatically updated in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefRecord MixinInterface&gt;.enabled : bool : Read|Write </code></pre><p>Get/Set the state of the Enable checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefRecord MixinInterface&gt;.uptodate : bool : Read|Write </code></pre><p>Get/Set the whether the record is up to date or outdated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefRecord MixinInterface&gt;.empty : bool : Read </code></pre><p>Contains true if the record is empty, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefRecord MixinInterface&gt;.nested : bool : Read </code></pre><p>Contains true if the record is nested, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefRecord MixinInterface&gt;.unresolved : bool : Read </code></pre><p>Contains true if the record is unresolved, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefRecord MixinInterface&gt;.srcFileName : filename : Read|Write </code></pre><p>Contains the file name of the source file. This property can be set in <strong>3ds Max 9</strong> and higher, prior to <strong>3ds Max 9</strong> it was read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefRecord MixinInterface&gt;.recordID : DWORD : Read </code></pre><p>Contains the record&apos;s ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefRecord MixinInterface&gt;.handle : DWORD : Read </code></pre><p>Contains the record&apos;s Handle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefRecord MixinInterface&gt;.xrefOptions : enum by value array : Read \n\
\n\
xrefOptions enums: {#asProxy|#xrefModifiers|#dropModifiers|#mergeModifiers|#mergeManipulators|#selectNodes|#mergeMaterials} </code></pre><p>Contains an array of the XRef Options.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DWORD&gt;&lt;IXRefRecord MixinInterface&gt;.ItemCount &lt;enum array&gt;types \n\
\n\
types enums: {#XRefObjectType|#XRefMaterialType|#XRefAtmospheric Type|#XRefAllType} </code></pre><p>Returns the number of items in the record that correspond to the types passed by the by-reference array argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;&lt;IXRefRecord MixinInterface&gt;.GetItem &lt;index&gt;index &lt;enum&gt;type \n\
\n\
type enums: {#XRefObjectType|#XRefMaterialType|#XRefAtmosphericType} </code></pre><p>Returns the indexed item of the specified XRef type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DWORD&gt;&lt;IXRefRecord MixinInterface&gt;.GetItems &lt;&amp;enum array&gt;types &lt;&amp;maxObject array&gt;xrefItems \n\
\n\
types enums: {#XRefObjectType|#XRefMaterialType|#XRefAtmosphericType|#XRefAllType} \n\
types is In and Out parameter \n\
xrefItems is In and Out parameter </code></pre><p>Returns all items of the types specified by the by-reference array of the first argument into the by-reference array of the second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DWORD&gt;&lt;IXRefRecord MixinInterface&gt;.GetChildRecords &lt;&amp;Interface array&gt;children \n\
\n\
children is Out parameter </code></pre><p>Returns the child records into the by-reference array. See <a href=\"#the-following-mixininterface-represents-an-object-xref-record-\">IXrefRecord MixinInterface</a> for details on the array&apos;s values type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DWORD&gt;&lt;IXRefRecord MixinInterface&gt;.GetParentRecords &lt;&amp;Interface array&gt;parents \n\
\n\
parents is Out parameter </code></pre><p>Returns the parent records into the by-reference array. See <a href=\"#the-following-mixininterface-represents-an-object-xref-record-\">IXrefRecord MixinInterface</a> for details on the array&apos;s values type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DWORD&gt;&lt;IXRefRecord MixinInterface&gt;.GetRootRecords &lt;&amp;Interface array&gt;roots \n\
\n\
roots is Out parameter </code></pre><p>Returns the root records into the by-reference array. See <a href=\"#the-following-mixininterface-represents-an-object-xref-record-\">IXrefRecord MixinInterface</a> for details on the array&apos;s values type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bool&gt;&lt;IXRefRecord MixinInterface&gt;.CheckSrcFileChanged() </code></pre><p>Returns true if the source file has changed, false if it has not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bool&gt;&lt;IXRefRecord MixinInterface&gt;.Update() </code></pre><p>Forces an update of the XRef Record and returns true on success, false on failure.</p>\n\
<h2 id=\"the-following-mixininterface-represents-an-object-xref-item-\">The following MixinInterface represents an Object XRef Item:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: IXRefItem </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefItem MixinInterface&gt;.srcFileName : filename : Read|Write </code></pre><p>Contains the file name of the source file.</p>\n\
<p>This property was read-only in versions prior to <strong>3ds Max 9</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefItem MixinInterface&gt;.srcItemName : string : Read|Write </code></pre><p>Contains the name of the source item.</p>\n\
<p>This property was read-only in versions prior to <strong>3ds Max 9</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefItem MixinInterface&gt;.xrefRecord : Interface : Read </code></pre><p>Contains the Xref Record&apos;s <a href=\"#the-following-mixininterface-represents-an-object-xref-record-\">IXRefRecord MixinInterface</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefItem MixinInterface&gt;.unresolved : bool : Read </code></pre><p>Contains true if the XRef is unresolved, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefItem MixinInterface&gt;.nested : bool : Read </code></pre><p>Contains true if the XRef is nested, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefItem MixinInterface&gt;.retargetable : bool : Read </code></pre><p>Contains true if the XRef can be retargeted, false otherwise.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;&lt;IXRefItem MixinInterface&gt;.GetSrcItemresolveNested:&lt;bool&gt; \n\
\n\
resolveNested default value: false </code></pre><p>Returns the source item. If the <code>resolveNested</code> optional keyword is specified and is true, nested XRefs will be resolved to get the source item. If not specified or false, nested XRefs will not be resolved.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DWORD&gt;&lt;IXRefItem MixinInterface&gt;.GetParentItems &lt;&amp;maxObject array&gt;parentItems \n\
\n\
parentItems is Out parameter </code></pre><p>Returns the parent items into the by-reference array argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DWORD&gt;&lt;IXRefItem MixinInterface&gt;.GetRootItems &lt;&amp;maxObject array&gt;rootItems \n\
\n\
rootItems is Out parameter </code></pre><p>Returns the root items into the by-reference array argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DWORD&gt;&lt;IXRefItem MixinInterface&gt;.GetChildItems &lt;&amp;maxObject array&gt;childItems \n\
\n\
childItems is Out parameter </code></pre><p>Returns the child items into the by-reference array argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;IXRefItem MixinInterface&gt;.GetNodes&lt;&amp;node array&gt;xrefNodes \n\
\n\
xrefNodes is Out parameter </code></pre><p>Returns the XRef nodes into the by-reference array argument.</p>\n\
<p><a name=\"the-following-mixininterface-represents-an-object-xref-proxy-\"></a></p>\n\
<h2 id=\"the-following-mixininterface-represents-an-object-xref-proxy-\">The following MixinInterface represents an Object XRef Proxy:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: IXRefProxy </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefProxy MixinInterface&gt;.proxyFileName : filename : Read|Write </code></pre><p>Contains the proxy filename.</p>\n\
<p>This property was read-only in versions prior to <strong>3ds Max 9</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefProxy MixinInterface&gt;.proxyItemName : string : Read|Write </code></pre><p>Contains the proxy item name.</p>\n\
<p>This property was read-only in versions prior to <strong>3ds Max 9</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefProxy MixinInterface&gt;.proxyRecord : Interface : Read </code></pre><p>Contains the <a href=\"#the-following-mixininterface-represents-an-object-xref-record-\">IXRefRecord Interface</a> of the Proxy.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefProxy MixinInterface&gt;.displayProxy: bool : Read|Write </code></pre><p>Get/set whether to display the proxy in the viewports or not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefProxy MixinInterface&gt;.renderProxy : bool : Read|Write </code></pre><p>Get/set whether to render the proxy or not.</p>\n\
<h2 id=\"the-following-mixininterface-represents-an-object-xref-proxy-\">The following MixinInterface represents an Object XRef Proxy:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: IXRefObject </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefObject MixinInterface&gt;.activeFileName : filename : Read </code></pre><p>Contains the active filename.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefObject MixinInterface&gt;.activeObjName: string : Read </code></pre><p>Contains the active object name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IXRefObjectMixinInterface&gt;.activeRecord : Interface : Read </code></pre><p>Contains the <a href=\"#the-following-mixininterface-represents-an-object-xref-record-\">IXRefRecord Interface</a> of the Xref Object.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;&lt;IXRefObject MixinInterface&gt;.GetSourceObject &lt;bool&gt;resolveNestedXRef modifiers:&lt;&amp;maxObject array&gt; \n\
\n\
modifiers default value: #() \n\
modifiers is Out parameter </code></pre><p>Returns the Source Object. When the first argument is set to true, nested XRefs will be resolved. The optional modifiers: array parameter will be populated with the modifiers of the object.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../N-O.html\">N,O</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Interface-NetworkManager.html\">Interface: NetworkManager</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/XRef-Objects-and-Scenes/XRefObject-Node.html\">XRefObject : Node</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/XRef-Objects-and-Scenes/XRefScene-Values.html\">XRefScene Values</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/XRef-Files.html\">XRef Files</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";