var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E508061C-D1AA-4F8B-9643-F5C7E7AE209C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: PlacementTool</h1></div><p>The <strong>PlacementTool Core Interface</strong> exposes the Placement Tool&apos;s controls and functionality to MAXScript. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PlacementTool.ActiveMode : boolean : Read|Write</code></pre><p>Get/set the Enabled state of the Placement Tool.</p>\n\
<p>When set to False (default), the Placement Tool will be disabled.</p>\n\
<p>When set to True, selected objects can be placed interactively in the scene by performing ray intersection will all other scene geometry, or can be rotated in place depending on the <code>PlacementTool.RotateMode</code> property state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PlacementTool.RotateMode : boolean : Read|Write</code></pre><p>Get/set the state of the Rotate mode.</p>\n\
<p>When set to False (default), moving the mouse in the viewport will perform ray intersection with the scene geometry and place the selection to the intersection point.</p>\n\
<p>When set to True, moving the mouse up and down will rotate the selected objects about their up axes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PlacementTool.UseBase : boolean : Read|Write</code></pre><p>Get/set the state of Use Base As Pivot option.</p>\n\
<p>When set to False (default), the object&apos;s pivot will be used to perform the alignment / rotation.</p>\n\
<p>When set to True, the base of the object will be used instead.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PlacementTool.PillowMode : boolean : Read|Write</code></pre><p>Get/set the state of the Pillow Mode option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PlacementTool.AutoParent : boolean : Read|Write</code></pre><p>Get/set the state of the Auto-Parent option.</p>\n\
<p>When set to False (default), objects will be placed without changing parent-child relationship.</p>\n\
<p>When set to True, objects will be automatically parented to the object whose surface they were placed on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PlacementTool.UpAxis : enum : Read|Write \n\
    UpAxis enums: {#Positive_X | #Positive_Y | #Positive_Z | #Negative_X | #Negative_Y | #Negative_Z}</code></pre><p>Get/set the state of the Object Up Axis option.</p>\n\
<p>Default is <code>#Positive_Z</code> .</p>\n\
<p>This option controls which axis of the placed object will be oriented along the surface&apos;s normal.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;PlacementTool.ShowOptionDialog()</code></pre><p>Opens the <strong>&quot;Placement Settings&quot;</strong> options dialog.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IntegerPtr&gt;PlacementTool.GetCommandMode()</code></pre><p>Returns the command mode of the Placement Tool as a Pointer value.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;PlacementTool.HitTestScene &lt;ray&gt;Ray</code></pre><p>Performs a hit test against the scene using the ray value passed as by-reference In parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PlacementTool.PlaceNode &lt;time&gt;Time &lt;node&gt;SelectedNode &lt;point3&gt;Position &lt;point3&gt;Normal &lt;node&gt;TargetNode &lt;boolean&gt;bRotateUpAxisToNormal</code></pre><p>Places the specified node on the surface of the specified target at the given time using the Position and Normal values acquired from the <code>PlacementTool.HitTestScene()</code> method.</p>\n\
<p>The <code>Time</code> argument specifies the time at which to evaluate the objects.</p>\n\
<p>The <code>SelectedNode</code> argument provides the node to be placed.</p>\n\
<p>The <code>&amp;Position</code> argument passes the position as a by-reference in parameter.</p>\n\
<p>The <code>&amp;Normal</code> argument passes the Normal vector as a by-reference in parameter.</p>\n\
<p>The <code>TargetNode</code> argument specifies the node whose surface to use for placement.</p>\n\
<p>The <code>bRotateUpAxisToNormal</code> boolean argument specifies whether to orient the up axis (determined by <code>PlacementTool.UpAxis</code> ) of the placed node to the surface normal at the intersection point.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
       resetMaxFile #noprompt\n\
\n\
    --Create some geometry to test against\n\
       local p = plane width:210 length:210 widthsegs:200 lengthsegs:200 \n\
       local s = sphere radius:50 segs:100 pos:[14,15,-25]\n\
       local n = noiseModifier()\n\
       addModifier p n\n\
       n.strength = [0,0,50]\n\
       n.scale = 50.0\n\
\n\
       local theObjects = #() --collect objects to be placed in this array\n\
       for y = -100 to 100 by 5 do\n\
       (\n\
           for x = -100 to 100 by 5 do\n\
           (\n\
               local c = cone pos:[x,y,100] radius1:3 height:5 wirecolor:blue --create a grid of cones above the surfaces\n\
               append theObjects c --collect the cones in the array\n\
           )\n\
       )\n\
       local st = timestamp() --get a time stamp\n\
       for o in theObjects do --loop though all cones\n\
       (\n\
           local result = PlacementTool.HitTestScene (Ray o.pos [0,0,-1]) --intersect a ray down the -Z\n\
           local minDist = 100000.0 --initialize a variable for the minimum distance\n\
           local newPos = o.pos --set the new position to the current position of the current cone\n\
           local newNormal = o.dir --set the new normal to the current direction of the current cone\n\
           local theTarget = undefined\n\
           for i in result do --loop through all results\n\
           (\n\
               local dist = (distance i[2].pos o.pos) --calculate the distance to the hit\n\
               if dist &lt; minDist do  --if it was closer, \n\
               (\n\
                   minDist = dist --set the minimum distance to the current distance value\n\
                   newPos = i[2].pos --record the position\n\
                   newNormal = i[2].dir --and the normal\n\
                   theTarget = i[1] --remember the object that was hit\n\
               )\n\
           )\n\
           if theTarget != undefined do --only place the object if a target was found\n\
               PlacementTool.PlaceNode currentTime o &amp;newPos &amp;newNormal theTarget true\n\
       )\n\
       format &quot;Placement of % objects took % ms.\\n&quot; theObjects.count (timestamp()-st) --print the time\n\
   )\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">  ![](../../../../../images/GUID-850899B0-9260-4A82-A231-62D29555F476-low.png)</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../P-Q.html\">P,Q</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";