var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-199BB00E-5449-4BCB-A971-4F52553517ED\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: RetimerMan</h1></div><p>This Core Interface exposes the Global Retimer to MAXScript. It is used to perform time scaling of the whole scene.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RetimerMan.numRetimers : integer : Read</code></pre><p>Contains the number of Retimers.</p>\n\
<p>Read-only.</p>\n\
<p>This property&apos;s signature was changed from index to integer in <strong>3ds Max 2015</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RetimerMan.active : boolean : Read|Write</code></pre><p>Get/set the active state of the Retimer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RetimerMan.bakeThreshold : float : Read|Write</code></pre><p>Get/set the bake threshold.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;RetimerMan.GetGlobalRetimer()</code></pre><p>Returns the global Retimer controller which affects the timing of the whole scene.</p>\n\
<p>See the <a href=\"./../../../../Animation-Controllers/Controller-Types/Retimer-Controllers/Retimer-Controller.html\">Retimer Controller</a> topic for properties and methods to access the retimer markers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;RetimerMan.GetNthRetimer &lt;index&gt;index</code></pre><p>Returns the indexed Retimer controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;RetimerMan.CreateRetimer()</code></pre><p>Creates a Retimer controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;RetimerMan.DeleteRetimer &lt;index&gt;index</code></pre><p>Deletes the indexed Retimer controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;RetimerMan.BakeAndDeleteLocalRetimers()</code></pre><p>Bakes the Local Retimers using the threshold specified via the <code>.bakeThreshold</code> property and then deletes the Local Retimers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;RetimerMan.IsGlobalRetimerActive()</code></pre><p>Returns True of the Global Retimer is active, False if it is not.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;RetimerMan.ApplyGlobalRetimer()</code></pre><p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;RetimerMan.RemoveGlobalRetimer()</code></pre><p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;control&gt;RetimerMan.GetActiveRetimerCtrl()</code></pre><p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;RetimerMan.AddToRetimer &lt;&amp;maxObject array&gt;controls &lt;maxObject&gt;retimer\n\
    controls is In and Out parameter</code></pre><p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;RetimerMan.SetUpRetimers &lt;&amp;maxObject array&gt;controls &lt;&amp;control array&gt;retimers\n\
    controls is In and Out parameter \n\
    retimers is In and Out parameter</code></pre><p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;RetimerMan.RemoveRetimers &lt;&amp;maxObject array&gt;controls &lt;maxObject&gt;retimer\n\
    controls is In and Out parameter</code></pre><p>Removes the Retimer specified by the second argument and returns an array of the affected controls into the by-reference first argument.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;RetimerMan.BakeRetimers &lt;&amp;maxObject array&gt;anims &lt;&amp;maxObject array&gt;clients &lt;&amp;index array&gt;subNums &lt;maxObject&gt;retimer\n\
    anims is In and Out parameter\n\
    clients is In and Out parameter\n\
    subNums is In and Out parameter</code></pre><p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;RetimerMan.FindNodesDependentOnRetimer &lt;maxObject&gt;retimer &lt;&amp;node array&gt;nodes\n\
    nodes is In and Out parameter</code></pre><p>Returns the nodes dependent on the retimer controller passed as first argument as an array of nodes passed by-reference into the second argument.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;control&gt;RetimerMan.GetGlobalRetimerControl &lt;boolean&gt;forceCreate</code></pre><p>Returns the Global Retimer controller.</p>\n\
<p>If the argument is passed as True, a new Global Retimer controller will be created if it does not exist already.</p>\n\
<p>If the argument is passed as False, a value of <code>undefined</code> will be returned if a Global Retimer controller does not exist yet.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../R.html\">R</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Animation-Controllers/Controller-Types/Retimer-Controllers/Retimer-Controller.html\">Retimer : Controller</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Animation-Controllers/Controller-Common-Properties/Controller-Ease-and-Multiplier.html\">Controller Ease and Multiplier Curve Functions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";