var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9439C9DB-AFAF-4863-80FF-1CDEFDBF6EBB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: renderpresets</h1></div><p>This Core Interface provides access to the render presets system introduced in <strong>3ds Max 6</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;renderpresets.Save &lt;integer&gt;which &lt;filename&gt;file &lt;bitArray&gt;categories      </code></pre><p>Save preset to the specified file using the categories described by the bitArray.</p>\n\
<p>Returns <code>true</code> on success.</p>\n\
<p>The integer <code>which</code> specifies the renderer slot to load into:</p>\n\
<p>0 - Production</p>\n\
<p>1 - Material Editor</p>\n\
<p>2 - ActiveShade</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Integer values greater than two will cause a System Exception.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;renderpresets.Load &lt;integer&gt;which &lt;filename&gt;file &lt;bitArray&gt;categories   </code></pre><p>Load the preset from the specified file, using the categories described by the bitArray.</p>\n\
<p>Returns <code>true</code> on success.</p>\n\
<p>The integer <code>which</code> specifies the renderer slot to load into:</p>\n\
<p>0 - Production</p>\n\
<p>1 - Material Editor</p>\n\
<p>2 - ActiveShade</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;renderpresets.SaveAll &lt;integer&gt;which &lt;filename&gt;file </code></pre><p>Save preset to the specified file using all categories.</p>\n\
<p>Returns <code>true</code> on success.</p>\n\
<p>The integer <code>which</code> specifies the renderer slot to load into:</p>\n\
<p>0 - Production</p>\n\
<p>1 - Material Editor</p>\n\
<p>2 - ActiveShade</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;renderpresets.LoadAll &lt;integer&gt;which &lt;filename&gt;file </code></pre><p>Load the indexed preset from the specified file, using all categories.</p>\n\
<p>Returns <code>true</code> on success.</p>\n\
<p>The integer <code>which</code> specifies the renderer slot to load into:</p>\n\
<p>0 - Production</p>\n\
<p>1 - Material Editor</p>\n\
<p>2 - ActiveShade</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;renderpresets.IsFileCompatible &lt;integer&gt;which &lt;filename&gt;file </code></pre><p>Returns <code>true</code> if the specified file is compatible with the renderer slot specified by the integer <code>which</code> , <code>false</code> otherwise.</p>\n\
<p>The integer <code>which</code> can be one of the following:</p>\n\
<p>0 - Production</p>\n\
<p>1 - Material Editor</p>\n\
<p>2 - ActiveShade</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;renderpresets.MapIndexToCategory &lt;filename&gt;file &lt;integer&gt;index </code></pre><p>Returns a string containing the name of the category corresponding to the specified index in the supplied file. <a href=\"#interface--renderpresets\">See example further on this page</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;renderpresets.MapCategoryToIndex &lt;filename&gt;file &lt;string&gt;category </code></pre><p>Returns the index corresponding to the specified category name in the supplied file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;renderpresets.MapSceneIndexToCategory &lt;integer&gt;which &lt;integer&gt;index </code></pre><p>Returns a string containing the name of the category corresponding to the renderer slot specified by the integer <code>which</code> :</p>\n\
<p>0 - Production</p>\n\
<p>1 - Material Editor</p>\n\
<p>2 - ActiveShade</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;renderpresets.MapSceneCategoryToIndex &lt;integer&gt;which &lt;string&gt;category </code></pre><p>Returns the index slot specified by the integer <code>which</code> :</p>\n\
<p>0 - Production</p>\n\
<p>1 - Material Editor</p>\n\
<p>2 - ActiveShade</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitArray&gt;renderpresets.LoadCategories &lt;filename&gt;file </code></pre><p>Returns the categories available in the specified render presets file as bitArray. Each bit represents a category. <a href=\"#interface--renderpresets\">See example further on this page</a>.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderPresets.LoadCategories (GetDir #renderPresets +&quot;/mental.ray.no.gi.draft.rps&quot;)\n\
#{32..34}\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitArray&gt;renderpresets.SaveCategories &lt;integer&gt;which </code></pre><p>Returns the categories available for the specified renderer as bitArray. The bitArray will have a bit set for each category that can be saved for the specified renderer.</p>\n\
<p>The integer <code>which</code> can be one of the following:</p>\n\
<p>0 - Production</p>\n\
<p>1 - Material Editor</p>\n\
<p>2 - ActiveShade</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> A side effect of <strong>saving</strong> and <strong>loading</strong> the Radiosity presets <strong>from the Advanced Lighting tab</strong> is that your radiosity solution <strong>will be lost</strong>.\n\
If you have invested a lot of time in the radiosity solution, it is suggested that you <strong>not choose</strong> the <strong>advanced lighting category</strong> when loading a render presets file.</p>\n\
\n\
</div></div>\n\
\n\
<p>The following script prints all categories from all Render Presets files. It can be used to &quot;peek&quot; into the files to determine which categories are saved in which file, and what category corresponds to which index in the BitArray.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">(\n\
--Collect all Render Presets files:\n\
theFiles = getFiles (GetDir #renderPresets + &quot;\\\\*.rps&quot;)\n\
--For each Render Presets file,\n\
for f in theFiles do\n\
(\n\
 format &quot;\\nRender Preset: %\\n&quot; (getFileNameFile f) --Print the file name\n\
 --Get the category indices as BitArray and loop through them,\n\
 --printing the index and the corresponding category name:\n\
 for c in (renderPresets.LoadCategories f) do\n\
  format &quot;%: %\\n&quot; c (renderpresets.MapIndexToCategory f c)\n\
)\n\
)\n\
</code></pre><p><strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Render Preset: 3dsmax.scanline.no.advanced.lighting.draft.rps\n\
32: Default Scanline Renderer\n\
33: Advanced Lighting\n\
34: Raytracer\n\
\n\
Render Preset: 3dsmax.scanline.no.advanced.lighting.high.rps\n\
32: Default Scanline Renderer\n\
33: Advanced Lighting\n\
34: Raytracer\n\
\n\
Render Preset: 3dsmax.scanline.radiosity.draft.rps\n\
3: Environment\n\
32: Default Scanline Renderer\n\
33: Advanced Lighting\n\
34: Raytracer\n\
\n\
Render Preset: 3dsmax.scanline.radiosity.high.rps\n\
3: Environment\n\
32: Default Scanline Renderer\n\
33: Advanced Lighting\n\
34: Raytracer\n\
\n\
Render Preset: a.rps\n\
1: Common\n\
4: Render Elements\n\
32: Default Scanline Renderer\n\
33: Advanced Lighting\n\
34: Raytracer\n\
\n\
Render Preset: b.rps\n\
1: Common\n\
4: Render Elements\n\
32: Default Scanline Renderer\n\
33: Advanced Lighting\n\
34: Raytracer\n\
OK\n\
OK\n\
</code></pre><p>Using this information, you can easily load just a single category from a file using MAXScript. In the following example, only category 32 - Renderer will be loaded, but not the categories 33 and 34 (Processing and Indirect Illumination) that are also stored in the file:</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderpresets.Load 0 (GetDir #renderPresets + &quot;\\\\mental.ray.no.gi.high.rps&quot;) #{32}\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../R.html\">R</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Tabbed-Dialogs/TabbedDialogs-Controlling-Tabbed.html\">TabbedDialogs - Controlling Tabbed Dialogs</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Render-Setup-Dialog.html\">Render Setup Dialog</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/renderscenedialog.html\">renderscenedialog</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";