var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-21B47E09-1A2E-462E-AC79-2A64B4A2BB57\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: SceneExplorerManager</h1></div><p>The <strong>SceneExplorerManager Core Interface</strong> exposes the Scene Explorer to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#scene-explorer-manager\">Scene Explorer Manager</a></li>\n\
<li><a href=\"#adding-custom-property-filters\">Adding Custom Property Filters</a><ul>\n\
<li><a href=\"#interface-sceneexplorerinterface\">Interface: SceneExplorerInterface</a></li>\n\
</ul>\n\
</li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: SceneExplorerManager </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SceneExplorerManager.CreateExplorerFromDefault &lt;string&gt;explorerName</code></pre><p>Creates a new local Scene Explorer using the specified defaults settings</p>\n\
<p>Returns True on success.</p>\n\
<p>Returns False on failure. For example, if the specified defaults settings do not exist.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SceneExplorerManager.CreateExplorerFromDefault &quot;Test&quot;\n\
--&gt;False\n\
SceneExplorerManager.CreateExplorerFromDefault &quot;Light Explorer&quot;\n\
--&gt;True\n\
-- A new Light Explorer will be created.\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SceneExplorerManager.IsExplorerInViewport &lt;string&gt;explorerName</code></pre><p>Returns True if the specified Scene Explorer is displayed in a viewport</p>\n\
<p>Returns False if the specified Scene Explorer is floating, is not displayed, or does not exist at all.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;SceneExplorerManager.ExplorerPersistenceType &lt;string&gt;explorerName\n\
ExplorerPersistenceType enums: {#Global|#Local|#Workspace}</code></pre><p>Returns the Persistence Type of the specified Scene Explorer.</p>\n\
<p>Possible return values are:</p>\n\
<p><strong>#Global:</strong> The Scene Explorer is global, or the specified Explorer Name does not exist.</p>\n\
<p><strong>#Local:</strong> The Scene Explorer is local to the current scene.</p>\n\
<p><strong>#Workspace:</strong> The Scene Explorer is the Workspace Explorer.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SceneExplorerManager.CreateADefaultExplorer &lt;string&gt;explorerName   </code></pre><p>Creates a new Scene Explorer with the given name using the default settings.</p>\n\
<p>Returns True on success, False otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SceneExplorerManager.CreateExplorer &lt;string&gt;explorerName &lt;value&gt;visibleColumns </code></pre><p>Creates a new Scene Explorer with the given name and visible columns specified by an array of property names as second argument.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SceneExplorerManager.SetExplorerVisibleColumns &lt;string&gt;explorerName &lt;value&gt;visibleColumns </code></pre><p>Sets the columns visibility of the named Scene Explorer using the array of visible column names specified in the second argument.</p>\n\
<p>If a name does not match an existing column filter, that column will be skipped and no error will occur.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--This will createa default Explorer first, then set its\n\
--columns to show Name, Type and Color only:\n\
SceneExplorerManager.CreateADefaultExplorer &quot;Object Colors&quot;\n\
SceneExplorerManager.SetExplorerVisibleColumns &quot;Object Colors&quot; #(&quot;Name&quot;,&quot;Type&quot;,&quot;Color&quot;)\n\
\n\
--This will create only columns for Name, Type and Faces\n\
--unless Bananas is a custom filter registered via MAXScript\n\
SceneExplorerManager.CreateExplorer &quot;Geometry Counts&quot; #(&quot;Name&quot;,&quot;Type&quot;,&quot;Faces&quot;,&quot;Bananas&quot;)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;SceneExplorerManager.GetExplorerCount() </code></pre><p>Returns the number of Scene Explorers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;SceneExplorerManager.GetExplorer &lt;string&gt;explorerName</code></pre><p>Returns the <a href=\"Interface-SceneExplorerManager.html\">MixinInterface:SceneExplorerInterface</a> of the Scene Explorer with the given name if it exists.</p>\n\
<p>Returns undefined if the Scene Explorer with the given name does not exist.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Stringby value&gt;SceneExplorerManager.GetExplorerName &lt;index&gt;explorerIndex </code></pre><p>Returns the name of the indexed Scene Explorer.</p>\n\
<p>Possible values for the index argument are from 1 to <code>SceneExplorerManager.GetExplorerCount()</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SceneExplorerManager.ExplorerExists &lt;string&gt;explorerName\n\
</code></pre><p>Returns True if a Scene Explorer with the given name already exists, False if no such Scene Explorer has been created yet.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SceneExplorerManager.ExplorerIsOpen &lt;string&gt;explorerName\n\
</code></pre><p>Returns True if the Scene Explorer with the given name is open, False if it is not open.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SceneExplorerManager.OpenExplorer &lt;string&gt;explorerName\n\
</code></pre><p>Opens the Scene Explorer with the given name.</p>\n\
<p>Returns True on success, False otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SceneExplorerManager.CloseExplorer &lt;string&gt;explorerName</code></pre><p>Closes the Scene Explorer with the given name.</p>\n\
<p>Returns True on success, False otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SceneExplorerManager.ClearAllExplorers() </code></pre><p>Closes all Scene Explorers and clears the Tools&gt;Saved Scene Explorers&gt; menu list.</p>\n\
<p>In <strong>3ds Max 2010 and higher</strong>, returns True on success, False otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point2&gt;SceneExplorerManager.GetExplorerPosition &lt;string&gt;explorerName\n\
</code></pre><p>Returns the position of the named Scene Explorer as Point2 value relatively to the top left corner of the Desktop.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SceneExplorerManager.SetExplorerPosition &lt;string&gt;explorerName &lt;point2&gt;position\n\
</code></pre><p>Sets the position of the named Scene Explorer to the given Point2 value relatively to the top left corner of the Desktop.</p>\n\
<p>Returns True on success, False otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point2&gt;SceneExplorerManager.GetExplorerSize &lt;string&gt;explorerName\n\
</code></pre><p>Returns the size of the named Scene Explorer as Point2 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SceneExplorerManager.SetExplorerSize &lt;string&gt;explorerName &lt;point2&gt;size\n\
</code></pre><p>Sets the size of the named Scene Explorer to the given Point2 value.</p>\n\
<p>Returns True on success, False otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SceneExplorerManager.ConfigureExplorer &lt;string&gt;explorerName &lt;string&gt;configurationFile </code></pre><p>Configures the named Scene Explorer using the configuration file specified by the second argument.</p>\n\
<p>Returns True on success, False otherwise.</p>\n\
<h2 id=\"scene-explorer-manager\">Scene Explorer Manager</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SceneExplorerManager.OpenManageInstancesDialog() </code></pre><p>Opens the <strong>&quot;Manage Scene Explorer&quot;</strong> dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SceneExplorerManager.CloseManageInstancesDialog() </code></pre><p>Closes the <strong>&quot;Manage Scene Explorer&quot;</strong> dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SceneExplorerManager.LoadExplorerConfiguration &lt;string&gt;configurationFile</code></pre><p>Loads a previously saved Scene Explorer configuration from the specified configuration file.</p>\n\
<p>Corresponds to pressing the &quot;Load&quot; button in the <strong>&quot;Manage Scene Explorer&quot;</strong> dialog and selecting the file to load.</p>\n\
<p>Returns True on success, False otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SceneExplorerManager.SaveExplorerConfiguration &lt;string&gt;explorerName &lt;string&gt;outputConfigurationFile </code></pre><p>Saves the configuration of the named Scene Explorer to the configuration file specified by the second argument.</p>\n\
<p>Corresponds to pressing the &quot;Save&quot; button in the <strong>&quot;Manage Scene Explorer&quot;</strong> dialog with the named Scene Explorer selected and specifying the file to save to.</p>\n\
<p>Returns True on success, False otherwise.</p>\n\
<p><img src=\"./images/GUID-313EFA1F-791B-4DED-BA12-F7935155AD24-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; SceneExplorerManager.DeleteExplorer &lt;string&gt;explorerName \n\
</code></pre><p>Deletes the Scene Explorer with the given name.</p>\n\
<p>Corresponds to pressing the &quot;Delete&quot; button in the <strong>&quot;Manage Scene Explorer&quot;</strong> dialog with the named Scene Explorer selected.</p>\n\
<p>Returns True on success, False otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SceneExplorerManager.RenameExplorer &lt;string&gt;oldExplorerName &lt;string&gt;newExplorerName </code></pre><p>Renames the Scene Explorer with the name specified by the first argument to the name given by the second argument.</p>\n\
<p>Corresponds to pressing the &quot;Rename&quot; button in the <strong>&quot;Manage Scene Explorer&quot;</strong> dialog with the named Scene Explorer selected and entering a new name.</p>\n\
<p>Returns True on success, False otherwise.</p>\n\
<h2 id=\"adding-custom-property-filters\">Adding Custom Property Filters</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;SceneExplorerManager.AddProperty &lt;string&gt;propertyName &lt;value&gt;getFunction &lt;value&gt;setFunction </code></pre><p>Adds a new property filter to be displayed as column in the Scene Explorer.</p>\n\
<p>The first argument is the name of the property to add.</p>\n\
<p>The second argument is the function to call in order to get the value of the property.</p>\n\
<p>The third argument is the function to call in order to set the value of the property.</p>\n\
<p>Once defined, the new property filter will appear at the end of the Column Chooser.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SceneExplorerManager.AddLocalizableProperty &lt;string&gt;propertyName &lt;string&gt;displayName &lt;value&gt;getFunction &lt;value&gt;setFunction </code></pre><p>Adds a new property filter to be displayed as a column in the Scene Explorer.</p>\n\
<p>This method is similar to the <code>SceneExplorerManager.AddProperty</code> method listed above except for the additional displayName argument which defines an alternative display name to be shown in the Scene Explorer. This is useful for localization purposes.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;SceneExplorerManager.AddReadOnlyProperty &lt;string&gt;propertyName &lt;value&gt;getFunction </code></pre><p>Adds a new read-only property filter to be displayed in the Scene Explorer.</p>\n\
<p>The first argument is the property name.</p>\n\
<p>The second argument is the function to call in order to get the value of the property.</p>\n\
<p>Once defined, the new property filter will appear at the end of the Column Chooser.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SceneExplorerManager.AddLocalizableReadOnlyProperty &lt;string&gt;propertyName &lt;string&gt;displayName &lt;value&gt;getFunction </code></pre><p>Adds a new read-only property filter to be displayed as a column in the Scene Explorer.</p>\n\
<p>This method is similar to the <code>SceneExplorerManager.AddReadOnlyProperty</code> method listed above except for the additional displayName argument which defines an alternative display name to be shown in the Scene Explorer. This is useful for localization purposes.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;SceneExplorerManager.RemoveProperty &lt;string&gt;propertyName </code></pre><p>Removes a previously added property by property name.</p>\n\
<p><strong>EXAMPLE USAGE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--Define a getter function which returns the radius property\n\
--if it exists or implicitly undefined when no such property\n\
fn getRad theNode = (\n\
if isProperty theNode &quot;Radius&quot; then theNode.Radius )\n\
\n\
--Define asetter function which sets the radius property\n\
--if it exists otherwise does nothing\n\
fn setRad theNode theValue = (\n\
if isProperty theNode &quot;Radius&quot; then theNode.Radius = theValue)\n\
\n\
--Add a Property filter to the Scene Explorer Manager with the name\n\
--&quot;Radius&quot; and the two functions as second and third argument\n\
SceneExplorerManager.addProperty &quot;Radius&quot; getRad setRad\n\
\n\
--Define a getter function which returns the class of the node\n\
fn getClass theNode = (classof theNode)\n\
--Add aRead-OnlyProperty filter to the Scene Explorer Manager\n\
--which can only get properties but cannot set them\n\
SceneExplorerManager.addReadOnlyProperty &quot;Class&quot; getClass\n\
</code></pre><p>Once evaluated, the new properties will appear at the end of the Column Chooser dialog:</p>\n\
<p><img src=\"./images/GUID-5B389523-4BE4-4A8D-8205-4A3D730EB6EC-low.gif\" alt></p>\n\
<p>Drag the new columns to a Scene Explorer to see the class of all scene nodes and the radius value of any scene node that has a .radius property:</p>\n\
<p><img src=\"./images/GUID-5FC8B93A-4C9D-44E7-8984-BF5B033571AB-low.gif\" alt></p>\n\
<p>To make these additional properties available to the Scene Explorer in future <strong>3ds Max</strong> sessions, save the custom property filter definitions to a script file in the Scripts\\Startup folder.</p>\n\
<h3 id=\"interface-sceneexplorerinterface\">Interface: SceneExplorerInterface</h3><p>This MixinInterface is returned by the method     <code>SceneExplorerManager.GetExplorer()</code> and exposes properties and methods of a single named Scene Explorer.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Name : string : Read|Write</code></pre><p>Get/set the name of the Scene Explorer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.AutoExpand : boolean : Read|Write</code></pre><p>Get/set whether the Auto-Expand on Selection option is enabled.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;fpvalue by value array&gt;SelectedItems()</code></pre><p>Returns an array of the objects represented by the selected items.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;CollapseAll()</code></pre><p>Collapses children sub-trees display of all items.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;CollapseSelected()</code></pre><p>Collapses the children sub-trees display of the selected items.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ExpandAll()</code></pre><p>Expands the children sub-trees display of all items.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ExpandSelected()</code></pre><p>Expands the children sub-trees display of the selected items.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;InvertDisplay()</code></pre><p>Inverts the states of all Display Filters</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Rename()</code></pre><p>Switches the selected item to rename mode.</p>\n\
<p>If multiple items are selected, the last selected item will enter rename mode.</p>\n\
<p>The Scene Explorer must be open for this method to succeed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Unlink()</code></pre><p>Unlinks the selected children objects from their parent objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SelectChildren()</code></pre><p>Selects the children of the selected items while preserving the parents&apos; selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FocusAndRename &lt;maxObject&gt;layer</code></pre><p>Selects the item representing the specified scene object and enters rename mode.</p>\n\
<p>Does nothing If the object does not exist.</p>\n\
<p><strong>See also</strong></p>\n\
<p><a href=\"./../../Core-Interfaces-Documentation.html\">Core Interfaces</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../S.html\">S</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";