var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-39C537AC-A16A-4EA8-A675-95CCDDC37204\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: SteeringWheelsOps</h1></div><p><img src=\"./images/GUID-F179B84B-94F9-48ED-B2B3-EF9A5FA2E3DE-low.gif\" alt></p>\n\
<p>The <strong>SteeringWheelsOps Interface</strong> exposes the Steering Wheels viewport navigation feature&apos;s settings to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<p><img src=\"./images/GUID-A254DE5E-DE0A-4D0E-86D1-5B6B44E5AB42-low.png\" alt></p>\n\
<p><strong>Properties:</strong></p>\n\
<h2 id=\"display-options\">Display Options</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SteeringWheelsOps.LargeWheelSize : integer : Read|Write         </code></pre><p>Get/set the Big Wheels Size value.</p>\n\
<p>Values are in the range from 1 (Small) to 256 (Extra). Normal is 128.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SteeringWheelsOps.LargeWheelOpacityFactor : double : Read|Write      </code></pre><p>Get/set the Big Wheels Opacity value.</p>\n\
<p>Values are in the range from 0.5d (25%) to 3.0d (100%).</p>\n\
<p>1.0d corresponds to 50%.</p>\n\
<p>2.0d corresponds to 75%.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SteeringWheelsOps.MiniWheelSize : integer : Read|Write   </code></pre><p>Get/set the Mini Wheels Size value.</p>\n\
<p>Values are in the range from 1 (Small) to 256 (Extra).</p>\n\
<p>64 corresponds to Normal.</p>\n\
<p>128 corresponds to Large.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SteeringWheelsOps.MiniWheelOpacityFactor : double : Read|Write </code></pre><p>Get/set the Mini Wheels Opacity value.</p>\n\
<p>Values are in the range from 0.5d (25%) to 3.0d (100%).</p>\n\
<p>1.0d corresponds to 50%.</p>\n\
<p>2.0d corresponds to 75%.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SteeringWheelsOps.ShowHUDMessages : boolean : Read|Write </code></pre><p>Get/set the state of the &quot;Show Tool Messages (Always ON for Basic Wheels)&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SteeringWheelsOps.ShowToolTips : boolean : Read|Write </code></pre><p>Get/set the state of the &quot;Show Tool Tips&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SteeringWheelsOps.AlwaysShowWelcome : boolean : Read|Write </code></pre><p>Get/set the state of the &quot;Always Show the Pinned Wheel on Start&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SteeringWheelsOps.HaveShownWelcome : boolean : Read|Write </code></pre><p>Get/set whether the Welcome screen has been shown already.</p>\n\
<h2 id=\"look-tool\">Look Tool</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SteeringWheelsOps.InvertVerticalAxis : boolean : Read|Write </code></pre><p>Get/set the state of the &quot;Invert Vertical Axis&quot; checkbox.</p>\n\
<h2 id=\"walk-tool\">Walk Tool</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SteeringWheelsOps.ConstrainWalk : boolean : Read|Write </code></pre><p>Get/set the state of the &quot;Constrain Walk Movement Angle to Ground Plane&quot;</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SteeringWheelsOps.SpeedFactor : double : Read|Write </code></pre><p>Get/set the Walk Tool&apos;s &quot;Speed Factor&quot; value.</p>\n\
<h2 id=\"zoom-tool\">Zoom Tool</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SteeringWheelsOps.IncrementalZoom : boolean : Read|Write </code></pre><p>Get/set the state of the &quot;Incremental Zoom-in&quot; checkbox.</p>\n\
<h2 id=\"orbit-tool\">Orbit Tool</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SteeringWheelsOps.PreserveSceneUp : boolean : Read|Write </code></pre><p>Get/set the state of the &quot;Keep Scene Upright&quot; checkbox. It controls whether to use the world Z axis as an up vector when orbiting using the Steering Wheel controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SteeringWheelsOps.SelectionSensitivity : boolean : Read|Write </code></pre><p>Get/set the state of the &quot;Selection Sensitivity&quot; checkbox.</p>\n\
<h2 id=\"active\">Active</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SteeringWheelsOps.IsActive : boolean : Read|Write </code></pre><p>Get/set the Steering Wheel active state. When set to true, the Steering Wheel will be displayed in the viewports. When set to false, the Steering Wheel will be disabled.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SteeringWheelsOps.StartSteeringWheelMode() </code></pre><p>Calling this method enables the Steering Wheel mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SteeringWheelsOps.StopSteeringWheelMode() </code></pre><p>Calling this method disables the Steering Wheel mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SteeringWheelsOps.MiniViewObjectWheel() </code></pre><p>Calling this method switches the Mini Wheel to View Object mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SteeringWheelsOps.MiniTourBuildingWheel() </code></pre><p>Calling this method switches the Mini Wheel to Tour Building mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SteeringWheelsOps.MiniFullNavWheel() </code></pre><p>Calling this method switches the Mini Wheel to Full Navigation mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SteeringWheelsOps.FullNavWheel() </code></pre><p>Calling this method switches the Large Wheel to Full Navigation mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SteeringWheelsOps.ViewObjectWheel() </code></pre><p>Calling this method switches the Large Wheel to View Object mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SteeringWheelsOps.TourBuildingWheel() </code></pre><p>Calling this method switches the Large Wheel to Tour Building mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SteeringWheelsOps.IncreaseWalkSpeed() </code></pre><p>Calling this method increases the walk speed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SteeringWheelsOps.DecreaseWalkSpeed() </code></pre><p>Calling this method decreases the walk speed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SteeringWheelsOps.RestoreCenter() </code></pre><p>Calling this method restores the location of the Center.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SteeringWheelsOps.SaveOptions() </code></pre><p>Calling this method saves the Steering Wheels options.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SteeringWheelsOps.LoadOptions()</code></pre><p>Loads the Steering Wheel options.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SteeringWheelsOps.ClearRewindHistory() </code></pre><p>Calling this method clears the Rewind History.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../S.html\">S</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";