var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-502104A4-2A6E-4FC9-A46E-CAFEB55CD03C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: simpleFaceManager</h1></div><p>This Core Interface provides basic Per-Face data storage abilities. Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p><strong>Methods</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;simpleFaceManager.addChannel &lt;object&gt;object type:&lt;enum&gt; id:&lt;DWORD array&gt; name:&lt;string&gt;      \n\
\n\
object Validated by Validator function      \n\
type enums: {#integer | #index | #float | #boolean | #point2 | #point3}      \n\
type default value:     #integer      \n\
id default value: #()      \n\
id Validated by Validator function      \n\
name default value: undefined   </code></pre><p>Adds a new per-face data channel to the specified object of the given type using a user-defined ID and name.</p>\n\
<p>The ID can be generated using the genClassID() method and has the same form as the class IDs of scripted plug-ins.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj = Plane length:60.0 width:60.0 widthsegs: 1 lengthsegs: 2\n\
   convertto obj Editable_Poly\n\
   idA = genClassID returnValue:true\n\
   channelA = simpleFaceManager.AddChannel obj type: #integer id:idA\n\
   channelA.name = &quot;The Integer Channel&quot;\n\
   channelA.SetValues #(5,2)\n\
   idB = genClassID returnValue:true\n\
   channelB = simpleFaceManager.AddChannel obj type: #float id:idB\n\
   channelB.name = &quot;The Float Channel&quot;\n\
   channelB.SetValues #(3.1459,7.236)\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;simpleFaceManager.removeChannel &lt;object&gt;object &lt;DWORD array&gt;id \n\
\n\
id Validated by Validator function</code></pre><p>Removes the channel with the specified ID from the given object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;simpleFaceManager.getChannel &lt;object&gt;object &lt;DWORD array&gt;id \n\
\n\
object Validated by Validator function\n\
id Validated by Validator function</code></pre><p>Returns the <strong>simpleFaceChannel MixinInterface</strong> of the channel with the specified ID from the given object.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --continuing from the previous example on this page:\n\
   theInt = simpleFaceManager.getChannel obj idA\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface by value array&gt;simpleFaceManager.getChannels &lt;object&gt;object \n\
\n\
object Validated by Validator function</code></pre><p>Returns an array of <strong>simpleFaceChannel MixinInterface</strong> of all channels in the given object.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --continuing from the previous example on this page:\n\
   SimpleFaceManager.getChannels obj\n\
   --&gt; #(&lt;MixinInterface:simpleFaceChannel&gt;, &lt;MixinInterface:simpleFaceChannel&gt;)\n\
</code></pre></blockquote>\n\
<p><strong>Interface: simpleFaceChannel</strong></p>\n\
<p>This MixinInterface is exposed by the SimpleFaceData class and provides access to the Per-Face data in a specific channel.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.name : string : Read|Write </code></pre><p>Get/set the name of the data channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.id : integer array : Read </code></pre><p>Get the unique ID of the channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.type : enum : Read \n\
\n\
type enums: {#integer|#index|#float|#boolean|#point2|#point3} </code></pre><p>Get the type of the data stored in the channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.numFaces : integer : Read </code></pre><p>Get the number of faces or polygons in the channel.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --continuing from the previous example on this page:\n\
   theInt = simpleFaceManager.getChannel obj idA\n\
   --&gt; &lt;MixinInterface:simpleFaceChannel&gt;\n\
   theInt.name\n\
   --&gt; &quot;The Integer Channel&quot;\n\
   theInt.type\n\
   --&gt; #integer\n\
   theInt.numfaces\n\
   --&gt; 2\n\
</code></pre></blockquote>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;getValue &lt;index&gt;face \n\
\n\
face Validated by Validator function </code></pre><p>Get the value of the indexed face.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --continuing from the previous example:\n\
   theInt.getValue 1\n\
   --&gt; 5\n\
   theInt.getValue 2\n\
   --&gt; 2\n\
   theInt.getValue 3\n\
   -- Runtime error: Invalid face index.\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setValue &lt;index&gt;face &lt;value&gt;value \n\
\n\
face Validated by Validator function \n\
value Validated by Validator function </code></pre><p>Set the value of the indexed face.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --continuing from the previous example:\n\
   theInt.setValue 1 6\n\
   --&gt; true\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;getValues() </code></pre><p>Get all the values of the channel.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --continuing from the previous example:\n\
   theInt.getValues()\n\
   --&gt; #(6, 2)\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setValues &lt;value&gt;values \n\
\n\
values Validated by Validator function </code></pre><p>Set all the values of the channel to the values in the specified array.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --continuing from the previous example:\n\
   theInt.setValues #(10,12)\n\
   --&gt; true\n\
   theInt.getValues()\n\
   --&gt; #(10, 12)\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;getValueBySelection &lt;bitArray&gt;faces \n\
\n\
faces Validated by Validator function </code></pre><p>Get the values of the faces specified by the set bits of the bitArray argument. If all specified faces contain the same value, that value will be returned. If the specified faces contain different values, the return value will be undefined.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --continuing from the previous example:\n\
   theInt.getValueBySelection #{1}\n\
   --&gt; 10\n\
   theInt.getValueBySelection #{1..2}\n\
   --&gt; undefined\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setValueBySelection &lt;bitArray&gt;faces &lt;value&gt;value \n\
\n\
faces Validated by Validator function \n\
value Validated by Validator function </code></pre><p>Set the value of all faces specified by the set bits of the bitArray argument to the same value specified in the second argument.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --continuing from the previous example:\n\
   theInt.setValueBySelection #{1..2} 42\n\
   --&gt; true\n\
   theInt.getValues()\n\
   --&gt; #(42, 42)\n\
   theInt.getValueBySelection #{1..2} --now we can the value of both faces!\n\
   --&gt; 42\n\
</code></pre></blockquote>\n\
<p>The Per-Face data will survive topology changes and class conversions. For example, if you convert the plane from the above example to Editable Mesh, the channels will be preserved and each of the four faces in the new mesh will inherit the data from the respective polygons in the Editable Poly:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   convertToMesh obj\n\
   --&gt; $Editable_Mesh:Plane01 @ [0.000000,0.000000,0.000000]\n\
   SimpleFaceManager.getChannels obj --check that all channels are still there\n\
   --&gt; #(&lt;MixinInterface:simpleFaceChannel&gt;, &lt;MixinInterface:simpleFaceChannel&gt;)\n\
   theInt=(SimpleFaceManager.getChannels obj)[1] --get the first one\n\
   --&gt; &lt;MixinInterface:simpleFaceChannel&gt;\n\
   theInt.numfaces --check the number of faces - now we have 4triangles\n\
   --&gt; 4\n\
   theInt.getValues() --see that the original values were propagated\n\
   --&gt; #(42, 42, 42, 42)\n\
   convertTo obj Editable_Poly --convert back to Editable Poly\n\
   --&gt; $Editable_Poly:Plane01 @ [0.000000,0.000000,0.000000]\n\
   theInt.numfaces --the data has been consolidated\n\
   --&gt; 2\n\
</code></pre></blockquote>\n\
<p>When converting from Editable Mesh to Editable Poly, multiple triangles with different per-face data can be consolidated into a single polygonal face. In this case, the last value of a face added to the polygon will be used.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   convertToMesh obj\n\
   --&gt; $Editable_Mesh:Plane01 @ [0.000000,0.000000,0.000000]\n\
   theInt.numfaces --check the number of faces - now we have 4 triangles\n\
   --&gt; 4\n\
   theInt.setValues #(1,2,3,4) --set different values for the 4 triangles\n\
   --&gt; true\n\
   convertTo obj Editable_Poly --convert to Editable Poly\n\
   --&gt; $Editable_Poly:Plane01 @ [0.000000,0.000000,0.000000]\n\
   theInt.getValues() --get the consolidated data - it is #(2,4) and not #(1,3)\n\
   --&gt; #(2,4)\n\
</code></pre></blockquote>\n\
<p>When changing topology by tessellating existing faces, the new faces will inherit the values of the original face.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   polyop.tessellateByFace obj 1 --tessellate the first face into 4 new faces\n\
   --&gt; OK\n\
   theInt.numfaces --check the total number of faces in the data channel\n\
   --&gt; 5\n\
   --note that because of the way Editable Poly updates polygon lists when\n\
   --changing topology, the previous face 2 becomes face 1,\n\
   --while the new 4 polygons from the tessellation have been given\n\
   --indices 2,3,4 and 5.\n\
   theInt.getValues() --get the new data:\n\
   --&gt; #(4, 2, 2, 2, 2)\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../S.html\">S</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";