var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-96540764-4D80-4AD1-9A44-C14FCCEF101B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: TrackSelectionSets</h1></div><p>The TrackSelectionSets Core Interface provides MAXScript access to the Track Selection Sets functionality.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">TrackSelectionSets.count : integer : Read      </code></pre><p>Gets the number of track selection sets.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;TrackSelectionSets.create &lt;string&gt;name &lt;maxObject by value array&gt;tracks     trackNames:&lt;string array&gt;   \n\
\n\
trackNames default value: #() </code></pre><p>Creates a new track selection set with the given name out of the supplied tracks. Returns <code>true</code> on success.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   t=teapot()\n\
   trackSelectionSets.create &quot;My Objects&quot; #($Teapot001[4]) trackNames:#(&quot;My Teapot&quot;)\n\
   --&gt; true\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;TrackSelectionSets.delete &lt;string&gt;name </code></pre><p>Deletes the named track selection set. Returns <code>true</code> on success.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   trackSelectionSets.count\n\
   --&gt; 1\n\
   trackSelectionSets.delete &quot;My Objects&quot;\n\
   --&gt; true\n\
   trackSelectionSets.count\n\
   --&gt; 0\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;TrackSelectionSets.getName &lt;index&gt;index </code></pre><p>Returns the name of the indexed track selection set.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   trackSelectionSets.create &quot;My Objects&quot; #($Teapot001[4]) trackNames:#(&quot;My Teapot&quot;)\n\
   --&gt; true\n\
   trackSelectionSets.count\n\
   --&gt; 1\n\
   trackSelectionSets.getName 1\n\
   --&gt; &quot;My Objects&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;TrackSelectionSets.setName &lt;index&gt;index &lt;string&gt;name </code></pre><p>Sets a new name in the named track selection set.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   trackSelectionSets.getName 1\n\
   --&gt; &quot;My Objects&quot;\n\
   trackSelectionSets.setName 1 &quot;Some New Name&quot;\n\
   --&gt; OK\n\
   trackSelectionSets.getName 1\n\
   --&gt; &quot;Some New Name&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;TrackSelectionSets.getCurrent &lt;Interface&gt;trackview </code></pre><p>Returns the current track selection set in the supplied trackview.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject by value array&gt;TrackSelectionSets.getTracks &lt;string&gt;name &lt;&amp;maxObject array&gt;tracks trackNames:&lt;&amp;string array&gt; \n\
\n\
tracks is Out parameter \n\
trackNames default value: #() \n\
trackNames is Out parameter </code></pre><p>Returns the tracks in the named track selection set.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --call the method to get the tracks passing variable names by reference\n\
   trackSelectionSets.getTracks &quot;My Objects&quot; &amp;my_tracks trackNames:&amp;my_names\n\
   --&gt; OK\n\
   --check the by-reference variables for the return array values\n\
   my_tracks\n\
   --&gt; #(Teapot)\n\
   my_names\n\
   --&gt; #(&quot;My Teapot&quot;)\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;TrackSelectionSets.add &lt;string&gt;name &lt;maxObject by value array&gt;tracks trackNames:&lt;string array&gt; \n\
\n\
trackNames default value: #() </code></pre><p>Adds the specified objects to the named track selection set. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;TrackSelectionSets.remove &lt;string&gt;name &lt;maxObject by value array&gt;tracks </code></pre><p>Removes the specified objects from the named track selection set. Returns <code>true</code> on success.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../T.html\">T</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Interface-trackviews.html\">Interface: trackviews</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";