var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-AFDAD8A2-5341-45CD-BDA8-15A84475F78D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: trackviews</h1></div><p>The <strong>trackviews Core Interface</strong> gives access to the Trackview.</p>\n\
<p>It also provides control over the enhanced features of the new Function Curve/Dope Sheet editors introduced in <strong>3ds Max 5</strong>.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.currentTrackView : Interface : Read      </code></pre><p>Returns a <a href=\"./../M/Interface-menuMan.html\"#mixin-interface--menuman-getmenu-----\">TrackView</a> [<a href=\"./../../../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\">Mixin Interface</a>] to the current track view, or undefined when no current track view exists.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.current: Interface : Read   </code></pre><p>Returns a <a href=\"./../M/Interface-menuMan.html\"#mixin-interface--menuman-getmenu-----\">TrackView</a> [<a href=\"./../../../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\">Mixin Interface</a>] to the current track view, or undefined when no current track view exists. Alias for <code>.currentTrackView</code>.</p>\n\
<p><a href=\"./../M/Interface-menuMan.html\"#mixin-interface--menuman-getmenu-----\">See separate description of the TrackView interface later on this page</a></p>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.currentTrackView\n\
--&gt; &lt;MixinInterface:TrackView&gt;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.lastUsedTrackViewName : string : Read </code></pre><p>Returns the name of the last used track view as string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.defaultCurveEditorLayout : string : Read|Write </code></pre><p>Available <strong>in 3ds Max 2017 and higher</strong>: Gets/sets the name of the default Curve Editor Layout. The default is &quot;Function Curve Layout&quot;.</p>\n\
<p>The value is stored in the trackviews.ini file and will persist between sessions.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;trackviews.getTrackView &lt;value&gt;name or index </code></pre><p>This method will get a <a href=\"./../M/Interface-menuMan.html\"#mixin-interface--menuman-getmenu-----\">TrackView</a> [<a href=\"./../../../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\">Mixin Interface</a>] based on the trackview&apos;s index or name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface by value array&gt;trackviews.getAllOpenTrackViews() </code></pre><p>Returns an array of the <a href=\"./../M/Interface-menuMan.html\"#mixin-interface--menuman-getmenu-----\">TrackView</a> [<a href=\"./../../../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\">Mixin Interfaces</a>] of all open trackviews.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;trackviews.numTrackViews() </code></pre><p>Returns the number of trackviews.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;trackviews.open &lt;value&gt;name or index [layoutName:&lt;string&gt;] [pos:&lt;point2&gt;] [width:&lt;integer&gt;] [height:&lt;integer&gt;] [dock:&lt;enum&gt;] \n\
\n\
layoutName default value: &quot;&quot; \n\
pos default value: [-1,-1] \n\
width default value: -1 \n\
height default value: -1 \n\
dock enums: {#float|#top|#bottom|#canDockOnTop} \n\
dock default value: #float </code></pre><p>Open a trackview based on it&apos;s index or name.</p>\n\
<p>If you supply a height and width argument, it only has an effect when the track view is opened for the first time. After that the user defined size takes effect.</p>\n\
<p>This makes it possible to specify a size when scripting the opening of track view, but still allows users to change the size and have the new size remembered.</p>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.open &quot;name&quot; layoutName:&quot; layout name&quot; pos:[6,100] width:800 height:400\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;trackviews.close &lt;value&gt;name or index </code></pre><p>Closes a trackview based on its index or name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;trackviews.delete &lt;value&gt;name or index </code></pre><p>Deletes a trackview based on its index or name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;trackviews.getTrackViewName &lt;index&gt;index </code></pre><p>Returns the name of the trackview window based on the index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;trackviews.zoomSelected &lt;string&gt;name </code></pre><p>Zooms to the selected object&apos;s track.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;trackviews.zoomOn &lt;string&gt;name &lt;maxObject&gt;object &lt;index&gt;subNum </code></pre><p>Returns True if successful and False otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;trackviews.setFilter &lt;string&gt;TrackviewName &lt;name&gt;filterName </code></pre><p>Sets the specified filter for the specified Trackview by name. Returns True if successful and False otherwise.</p>\n\
<h3 id=\"possible-filter-names\">Possible filter names</h3><p>Possible filter names are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Filter Name</th>\n\
<th>Note</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>#all</strong></td>\n\
<td>Set or clear all flags</td>\n\
</tr>\n\
<tr>\n\
<td><strong>#default</strong></td>\n\
<td>Set default view flags</td>\n\
</tr>\n\
<tr>\n\
<td><strong>#selectedObjects</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#selectedTracks</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#animatedTracks</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#spacewarpBindings</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#modifiedObjects</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#transforms</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#baseObjects</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#positionX</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#positionY</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#positionZ</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#positionW</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#rotationX</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#rotationY</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#rotationZ</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#scaleX</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#scaleY</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#scaleZ</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#red</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#green</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#blue</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#alpha</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#controllerTypes</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#noteTracks</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#sound</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#materialsMaps</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#materialParameters</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#visibilityTracks</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#hideGeometry</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#hideShapes</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#hideLights</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#hideCameras</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#hideHelpers</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#hideSpacewarps</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#visibleObjects</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#position</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#rotation</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#scale</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#curveX</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#curveY</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#curveZ</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#curveW</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#staticValues</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#hierarchy</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#objects</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#boneobjects</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#keyableTracks</strong></td>\n\
<td></td>\n\
</tr>\n\
</tbody></table>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.current.setFilter #keyableTracks\n\
</code></pre><p>When the <code>#keyableTracks</code> filter is turned on, only keyframe controllers will be displayed in track view.</p>\n\
<p>All other controllers will be skipped and not displayed.</p>\n\
<p>This filter is off by default.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;trackviews.testFilter &lt;string&gt;TrackviewName &lt;name&gt;filterName </code></pre><p>Returns True if the specified filterName is enabled. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<p>filterName can be the one of the names listed above as possible arguments of <code>setFilter</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;trackviews.clearFilter &lt;string&gt;TrackviewName &lt;name&gt;filterName </code></pre><p>Clears the specified filter from the named Trackview.</p>\n\
<p>Returns True if successful and False otherwise.</p>\n\
<p>filterName can be the one of the names listed above as possible arguments of <code>setFilter</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;trackviews.pickTrackDlg() </code></pre><p><code>pickTrackDlg</code> has variable number of arguments.</p>\n\
<p>This method brings up the Track View Pick dialog and returns a TrackViewPick value when the user selects a track and clicks &quot;Ok&quot;, or undefined if the user clicks &quot;Cancel&quot;.</p>\n\
<p>If the optional argument #multiple is passed, multiple tracks can be picked in the dialog and an array of TrackViewPick values is returned instead of a single value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;trackviews.exists &lt;value&gt;name or index </code></pre><p>Returns a boolean value indicating if the specified trackview exists or not.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;trackviews.isOpen &lt;value&gt;nameorindex </code></pre><p>Returns a boolean value indicating if the specified trackview is open.</p>\n\
<p>If the argument does not point at a valid trackview, a Runtime error will be thrown. To avoid this, you must first use <code>trackviews.exists()</code> to make sure that the requested TrackView is valid.</p>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.isopen &quot;something&quot;\n\
-- Runtime error: No trackview was found with by that name\n\
trackviews.isopen 99999\n\
-- Runtime error: No trackview was found with that index\n\
trackviews.iscurrent 99999\n\
-- Runtime error: No trackview was found with that index\n\
\n\
trackviews.exists &quot;something&quot;\n\
--&gt; false\n\
trackviews.exists 1\n\
--&gt; false\n\
trackviews.exists 0\n\
--&gt; false\n\
\n\
trackviews.open &quot;something&quot; -- create aTrack View\n\
--&gt; true\n\
trackviews.exists &quot;something&quot;\n\
--&gt; true\n\
trackviews.exists 1\n\
--&gt; true\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;trackviews.openLastUsedTrackView() </code></pre><p>Opens the current trackview if it has been closed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;trackviews.isCurrent &lt;value&gt;name or index </code></pre><p>Returns a boolean value indicating if the trackview is the last one used or not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;trackviews.setCurrent &lt;value&gt;name or index </code></pre><p>Sets the specified trackview to be the current one. Returns true if successful.</p>\n\
<p><strong>Mixin Interface: (trackviews.current)</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:TrackView </code></pre><p>The <code>TrackView</code> [<a href=\"./../../../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\">Mixin Interface</a>] provides access to the features of the TrackView dialog. It is returned by the <code>.current</code> property of the <code>trackviews</code> Core Interface as well as by several methods described earlier in this page.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ui : Interface : Read </code></pre><p>Returns a <a href=\"Interface-trackviews.html\">ui</a> [<a href=\"./../../../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\">Mixin Interface</a>] exposing features of the User Interface of the specified TrackView.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.currentTrackView.ui\n\
--&gt; &lt;MixinInterface:ui&gt;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.modifySubTree : boolean : Read|Write </code></pre><p>Gets/Sets the Modify SubTree state.</p>\n\
<p>When True, changes affect the children.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.modifyChildren : boolean : Read|Write </code></pre><p>Alias for <code>.modifySubTree</code> .</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.current.modifyChildren = true\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.interactiveUpdate : boolean : Read|Write </code></pre><p>Gets/Sets the Interactive Update state.</p>\n\
<p>When set to True, the viewports redraw interactively while keys are moved in the TrackView.</p>\n\
<p>If set to False, updates are suspended until mouse up.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.current.interactiveUpdate = true\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.syncTime: boolean : Read|Write </code></pre><p>Gets/Sets the Synchronize Time mode. When set to <code>true</code> , the current frame is synchronized to the value at the mouse location during click and drag for most types of mouse operations such as, moving keys, adding keys, selecting time, scaling time, scaling keys, inserting time, and drawing curves. Adjusting tangent handles does not sync to the frame of the handle. This mode also helps in drawing curves by giving visual feedback of what is being drawn.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.current.syncTime = true\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.freezeSelKeys : boolean : Read|Write </code></pre><p>Gets/Sets the freezing of selected keys.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.freezeNonSelCurves : boolean : Read|Write </code></pre><p>Gets/Sets the freezing of non-selected curves.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.showNonSelCurves : boolean : Read|Write </code></pre><p>Gets/Sets the visibility of non-selected curves.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.showTangents : enum : Read|Write showTangents enums: { #none | #selected | #all } </code></pre><p>Gets/Sets the visibility of the specified tangent types.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.current.showTangents = #none --hide all\n\
trackviews.current.showTangents = #selected --show selected only\n\
trackviews.current.showTangents = #all --show all\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.showFrozenKeys : boolean : Read|Write </code></pre><p>Gets/Sets the visibility of frozen keys.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.useSoftSelect : boolean : Read|Write </code></pre><p>Gets/Sets the keys soft selection usage.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.softSelectRange : time : Read|Write </code></pre><p>Gets/Sets the keys soft selection range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.softSelectFalloff : float : Read|Write </code></pre><p>Gets/Sets the keys soft selection falloff.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.autoExpandSelectedOnly : boolean : Read|Write </code></pre><p>Gets/Sets the auto-expand tracks of the selected objects mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.autoExpandChildren : boolean : Read|Write </code></pre><p>Gets/Sets the auto-expand children mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.autoExpandTransforms : boolean : Read|Write </code></pre><p>Gets/Sets the auto-expand transformation tracks mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.autoExpandObjects : boolean : Read|Write </code></pre><p>Gets/Sets the auto-expand objects mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.autoExpandModifiers : boolean : Read|Write </code></pre><p>Gets/Sets the auto-expand modifiers mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.autoExpandMaterials : boolean : Read|Write </code></pre><p>Gets/Sets the auto-expand materials mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.autoExpandXYZ : boolean : Read|Write </code></pre><p>Gets/Sets the auto-expand X,Y,Z sub-tracks mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.autoSelectAnimated : boolean : Read|Write </code></pre><p>Gets/Sets the auto-select animated tracks mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.autoSelectPosition : boolean : Read|Write </code></pre><p>Gets/Sets the auto-select position tracks mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.autoSelectRotation : boolean : Read|Write </code></pre><p>Gets/Sets the auto-select rotation tracks mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.autoSelectScale : boolean : Read|Write </code></pre><p>Gets/Sets the auto-select scale tracks mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.autoSelectXYZ : boolean : Read|Write </code></pre><p>Gets/Sets the auto-select X,Y,T sub-tracks mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.autoScrollToRoot : boolean : Read|Write </code></pre><p>Gets/Sets the auto-scroll to root mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.autoScrollToSelected : boolean : Read|Write </code></pre><p>Gets/Sets the auto-scroll to selected mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.manualNavigation : boolean : Read|Write </code></pre><p>Gets/Sets the manual navigation mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.rootTrack: maxObject : Read|Write </code></pre><p>Gets/Sets the root track.</p>\n\
<p>Setting this property to a maxObject value will make the specified object the Root (World) node of the TrackView and this limits the display to tracks belonging to the new Root and its children.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.scaleValuesOrigin : float : Read|Write </code></pre><p>Gets/Sets the value scaling origin. It is represented by a horizontal brown line when in the Scale Values mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.editMode : enum : Read|Write \n\
\n\
editMode enums : {#editKeys|#editTime|#editRanges|#positionRanges|#editFCurves} </code></pre><p>Gets/Sets the Trackview edit mode.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;getName() </code></pre><p>Returns the name of the TrackView as string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setName &lt;string&gt;name </code></pre><p>Sets the name of the TrackView to the specified string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getNumTracks() </code></pre><p>Returns the number of tracks in the TrackView.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;numSelTracks() </code></pre><p>Returns the number of selected tracks in the TrackView.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;canAssignController() </code></pre><p>Returns <code>true</code> if a controller can be assigned to the current selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;assignControllerDialog() </code></pre><p>Opens the Assign Controller dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;assignController &lt;maxObject&gt;controller </code></pre><p>Assigns the specified controller to the currently selected tracks. Returns True on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;showControllerTypes &lt;boolean&gt;state </code></pre><p>Enables/Disables the Controller Type display.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;expandTracks() </code></pre><p>Expands the tracks of the Trackview.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;zoomSelected() </code></pre><p>Zooms at the selected tracks.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;zoomOnTrack &lt;maxObject&gt;parent &lt;index&gt;subNum </code></pre><p>Zooms at the indexed subAnim track of the specified object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;getTrack &lt;index&gt;index </code></pre><p>Returns the indexed track.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;getParent &lt;index&gt;index </code></pre><p>Returns the parent of the indexed track.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;getSelected &lt;index&gt;index </code></pre><p>Returns the selected track of the indexed track.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;getParentOfSelected &lt;index&gt;index </code></pre><p>Returns the parent of the selected track of the indexed track.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;getSelectedSubNum &lt;index&gt;index </code></pre><p>Returns the number of children of the selected track of the indexed track.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;getIndex &lt;maxObject&gt;object </code></pre><p>Returns the index of the specified object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;selectTrackByIndex &lt;index&gt;index &lt;boolean&gt;clearSelection </code></pre><p>Selects the specified indexed track. If clearSelection is supplied as true, clears any previous selection. Returns True on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;selectTrack &lt;maxObject&gt;object &lt;boolean&gt;clearSelection </code></pre><p>Selects the specified object. If clearSelection is supplied as true, clears any previous selection. Returns True on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setFilter &lt;name&gt;FilterName </code></pre><p>Sets the specified filter. Possible filter names are the same as those set for setFilter in the trackviews <a href=\"#possible-filter-names\">table</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;clearFilter() </code></pre><p>Clears the specified filter. Possible filter names are the same as those set for setFilter in the trackviews <a href=\"#possible-filter-names\">table</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setEditMode &lt;enum&gt;mode \n\
\n\
mode enums: {#editKeys|#editTime|#editRanges|#positionRanges|#editFCurves} </code></pre><p>Sets the Trackview edit mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;getEditMode() \n\
\n\
getEditMode enums: {#editKeys|#editTime|#editRanges|#positionRanges|#editFCurves} </code></pre><p>Returns the Trackview edit mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isCurrent() </code></pre><p>Returns true if the Trackview is the current trackview.</p>\n\
<p>Makes the Trackview current.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;openUtilityDialog() </code></pre><p>Opens the Trackview Utility dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;launchUtility &lt;string&gt;name </code></pre><p>Launches the specified Utility.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;closeUtility &lt;string&gt;name </code></pre><p>Closes the specified Utility.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;utilityCount() </code></pre><p>Returns the number of available Utilities.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;utilityName &lt;index&gt;index </code></pre><p>Returns the name of the indexed Utility.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setTangentType &lt;enum&gt;type [effect:&lt;enum&gt;] \n\
\n\
type enums: {#smooth|#linear|#step|#fast|#slow|#custom|#flat} \n\
effect enums: {#allSelKeys|#allKeys|#allKeysInSelTracks|#selKeysInSelTracks} \n\
effect default value: #allSelKeys </code></pre><p>Sets the Tangent type of the specified keys to the specified type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setInTangentType &lt;enum&gt;type [effect:&lt;enum&gt;] \n\
\n\
type enums: {#smooth|#linear|#step|#fast|#slow|#custom|#flat} \n\
effect enums: {#allSelKeys|#allKeys|#allKeysInSelTracks|#selKeysInSelTracks} \n\
effect default value: #allSelKeys </code></pre><p>Sets the InTangent type of the specified keys to the specified type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setOutTangentType &lt;enum&gt;type [effect:&lt;enum&gt;] \n\
\n\
type enums: {#smooth|#linear|#step|#fast|#slow|#custom|#flat} \n\
effect enums: {#allSelKeys|#allKeys|#allKeysInSelTracks|#selKeysInSelTracks} \n\
effect default value: #allSelKeys </code></pre><p>Sets the OutTangent type of the specified keys to the specified type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;restoreRootTrack() </code></pre><p>Restores the root track.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;updateList() </code></pre><p>Updates the list.</p>\n\
<p><strong>Mixin Interface: (trackviews.current.ui)</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: ui </code></pre><p>The <code>ui</code> [<a href=\"Interface-trackviews.html\">Mixin Interface</a>] provides access to the TrackView&#x2019;s User Interface settings. It is returned by the <code>.ui</code> property of the <code>trackview</code> MixinInterface.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.hwnd : HWND : Read </code></pre><p>Contains the Window Handle of the Trackview. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.layoutName : string by value : Read </code></pre><p>Contains the layout name of the Trackview. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.menuBar : string by value : Read|Write </code></pre><p>Gets/sets the menu bar name of the Trackview.</p>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackview.open &quot;New Trackview&quot;\n\
trackviews.current.ui.hwnd --will vary between sessions\n\
--&gt; 855006\n\
\n\
trackviews.current.ui.layoutName\n\
--&gt; &quot;Function Curve Layout&quot;\n\
\n\
trackviews.current.ui.menuBar\n\
--&gt; &quot;Track View - Curve Editor - Menu Bar&quot;\n\
</code></pre><p><strong>There are two customizable Quad menus in the Function Curve Editor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.controllerQuadMenu : string by value : Read|Write </code></pre><p>When set to an existing menu name, the controllerQuadMenu will pop up when right-clicking in the controller window.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.keyQuadMenu : string by value : Read|Write </code></pre><p>When set to an existing menu name, the keyQuadMenu will pop up when clicking in the keys window.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.current.ui.keyQuadMenu = &quot;My Key Quad&quot;\n\
</code></pre><p>These menus get saved with the layout, so changing them and saving the layout will make them persistent. This allows the creation of different menu sets for different layouts.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.showMenuBar : boolean : Read|Write </code></pre><p>Gets/sets the visibility of the menu bar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.showScrollBars : boolean : Read|Write </code></pre><p>Gets/sets the visibility of the scroll bars.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.showTrackWindow : boolean : Read|Write </code></pre><p>Gets/sets the visibility of the track window.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.showKeyWindow : boolean : Read|Write </code></pre><p>Gets/sets the visibility of the key window.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.showTimeRuler : boolean : Read|Write </code></pre><p>Gets/sets the visibility of the time ruler.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.showKeyableIcons : boolean : Read|Write </code></pre><p>When set to True, a Keyable icon will become visible next to the controllers.</p>\n\
<p>Clicking on the icon will toggle the keyable state which is used to determine if Set Key will set a key for the specific track.</p>\n\
<p>The showKeyableIcons state is saved with the Layout, so resaving the layout with the setting turned on will bring them back the next time the layout is used.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.current.ui.showKeyableIcons = true\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.showCustomIcons : boolean : Read|Write </code></pre><p>When set to True , the icons next to the tracks will be taken from the ClassIcons.dat file.</p>\n\
<p>This means that each object, modifier, controller plugin can have its own unique icon.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.current.ui.showCustomIcons = true\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showUnlockedIcons : boolean : Read|Write </code></pre><p>When set to True, a lock icon will be shown next to the track.</p>\n\
<p>The icon will show an unlocked state when the track is not locked, and will appear as locked when the track is locked.</p>\n\
<p>When set to false, these icons will not be shown, but the word (Locked) will still appear to the right of the track name if the track is locked.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.current.ui.showUnlockedIcons = true\n\
</code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;toolbarCount() </code></pre><p>Returns the number of toolbars.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;addToolbar &lt;string&gt;name </code></pre><p>Adds a toolbar with the specified name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;deleteToolbar &lt;value&gt;name or index </code></pre><p>Deletes a toolbar by its name or index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;getToolbarName &lt;index&gt;index </code></pre><p>Returns the name of the indexed toolbar. This name is localized.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;getToolbarObjectName &lt;index&gt;index </code></pre><p>Returns the object name of the indexed toolbar. The object name is the non-localized name of the toolbar. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isToolbarVisible &lt;string&gt;name </code></pre><p>Returns the visibility of the named toolbar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;showToolbar &lt;string&gt;name </code></pre><p>Makes the named toolbar visible.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;hideToolbar &lt;string&gt;name </code></pre><p>Hides the named toolbar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;showAllToolbars() </code></pre><p>Unhides all toolbars.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;hideAllToolbars() </code></pre><p>Hides all toolbars.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;saveCurrentLayout() </code></pre><p>Saves the current TrackView layout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;saveLayout &lt;string&gt;name </code></pre><p>Saves the TrackView layout under the specified name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;loadLayout &lt;string&gt;name </code></pre><p>Loads the TrackView layout with the specified name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;layoutCount() </code></pre><p>Returns the number of layouts.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;getLayoutName &lt;index&gt;index </code></pre><p>Returns the layout name of the indexed layout.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../T.html\">T</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Track-View/Track-View-1.html\">Track View</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Track-View/Track-View-Pick-Dialog.html\">Track View Pick Dialog</a></li>\n\
          <li><a class=\"link\" href=\"Interface-TrackSelectionSets.html\">Interface: TrackSelectionSets</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";