var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CA86733B-05E1-4F7E-A589-FF20E75CE094\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: UIAccessor</h1></div><p>The <strong>UIAccessor Core Interface</strong> provides methods to collect data and interact with dialogs and popups in the <strong>3ds Max</strong> User Interface. It can be used in conjunction with the <a href=\"./../C-D/Interface-DialogMonitorOPS.html\">Interface: DialogMonitorOPS</a> to perform automated UI handling using a callback function.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;UIAccessor.GetWindowText &lt;HWND&gt;hwnd      </code></pre><p>Returns the caption of the window with the given handle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;UIAccessor.GetWindowClassName &lt;HWND&gt;hwnd   </code></pre><p>Returns the window class name of the window with the given handle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;UIAccessor.GetWindowResourceID &lt;HWND&gt;hwnd </code></pre><p>Returns the window resource ID of the window with the given handle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HWND by value array&gt;UIAccessor.GetChildWindows &lt;HWND&gt;hwnd </code></pre><p>Returns an array with the handles of all child windows of the window with the given handle. If a child window has child windows on its own, these will also be enumerated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HWND by value array&gt;UIAccessor.GetPopupDialogs() </code></pre><p>Returns a handles array of the pop up dialogs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HWND&gt;UIAccessor.GetParentWindow &lt;HWND&gt;hwnd </code></pre><p>Returns the parent window&apos;s handle of the window with the given handle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HWND&gt;UIAccessor.GetFirstChildWindow &lt;HWND&gt;hwnd </code></pre><p>Returns the handle of the first child of the window with the given handle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HWND&gt;UIAccessor.GetPrevWindow &lt;HWND&gt;hwnd </code></pre><p>Returns the handle of the previous sibling with the same parent as the window with the given handle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HWND&gt;UIAccessor.GetNextWindow &lt;HWND&gt;hwnd </code></pre><p>Returns the handle of the next sibling with the same parent as the window with the given handle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;UIAccessor.IsWindow &lt;HWND&gt;hwnd </code></pre><p>Returns true if the UI element with the given handle is a window, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;UIAccessor.GetWindowDllFileName &lt;HWND&gt;hwnd </code></pre><p>Returns the DLL file name of the window with the given handle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;UIAccessor.GetWindowDllDescription &lt;HWND&gt;hwnd </code></pre><p>Returns the DLL description string of the window with the given handle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;UIAccessor.CloseDialog &lt;HWND&gt;hwnd </code></pre><p>Closes the dialog with the given window handle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;UIAccessor.PressDefaultButton() </code></pre><p>Presses the default button in the currently active dialog. This method simulates pressing the Enter key.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;UIAccessor.PressButton &lt;HWND&gt;hwnd </code></pre><p>Presses the button with the given handle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;UIAccessor.PressButtonByName &lt;HWND&gt;hwnd &lt;string&gt;name </code></pre><p>Presses the button with the name equal to the second argument in the dialog with the handle given as the first argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;UIAccessor.SetWindowText &lt;HWND&gt;hwnd &lt;string&gt;text </code></pre><p>Sets the title text of the dialog with the given handle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;UIAccessor.SendMessageID &lt;HWND&gt;hwndDlg &lt;enum&gt;ID \n\
\n\
ID enums: {#IDOK|#IDCANCEL|#IDABORT|#IDRETRY|#IDIGNORE|#IDYES|#IDNO|#IDCLOSE} </code></pre><p>Sends the message ID given in the second argument to the window with the given handle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;UIAccessor.SendMessage &lt;HWND&gt;hwndDlg &lt;integer&gt;MessageID &lt;integer&gt;wParam &lt;integer&gt;lParam </code></pre><p>Sends the integer message ID, wParam, and lParam given in the second, third, and fourth arguments to the window with the handle given as the first argument.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   DialogMonitorOPS.unRegisterNotification id:#eyeInTheSky\n\
\n\
   fn dmnotification =\n\
   (\n\
    WindowHandle = DialogMonitorOPS.GetWindowHandle()\n\
    format &quot;Dialog Window Handle: %\\n&quot; WindowHandle\n\
    format &quot;Dialog Name: %\\n&quot; (UIAccessor.GetWindowText WindowHandle)\n\
    format &quot;Window Class Name: %\\n&quot; (UIAccessor.GetWindowClassName WindowHandle)\n\
    format &quot;Window Resource ID: %\\n&quot; (UIAccessor.GetWindowResourceID WindowHandle)\n\
    format &quot;Is Window: %\\n&quot; (UIAccessor.isWindow WindowHandle)\n\
    format &quot;Window DLL Filename: %\\n&quot; (UIAccessor.GetWindowDllFileName WindowHandle)\n\
    format &quot;Window DLL Description: %\\n&quot; (UIAccessor.GetWindowDllDescription WindowHandle)\n\
    UIAccessor.SetWindowText WindowHandle&quot; All Your Windows Are Belong To Us&quot;\n\
    format &quot;=====================\\n&quot;\n\
    true\n\
   )\n\
   DialogMonitorOPS.RegisterNotification dmnotification id:#eyeInTheSky\n\
   DialogMonitorOPS.Enabled = true\n\
   DialogMonitorOPS.ShowNotification()\n\
</code></pre><p>   If you evaluate the code above and open Main Menu &gt; Customize &gt; Customize User Interface, the output will look like this:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Dialog Window Handle: 3213306\n\
   Dialog Name:\n\
   Window Class Name: Menu\n\
   Window Resource ID: 0\n\
   Is Window: true\n\
   Window DLL Filename: C:\\Program Files\\Autodesk\\3ds Max 2008\\3dsmax.exe\n\
   Window DLL Description:\n\
   =====================\n\
   Dialog Window Handle: 2033898\n\
   Dialog Name:\n\
   Window Class Name: SysShadow\n\
   Window Resource ID: 0\n\
   Is Window: true\n\
   Window DLL Filename: C:\\Program Files\\Autodesk\\3ds Max 2008\\3dsmax.exe\n\
   Window DLL Description:\n\
   =====================\n\
   Dialog Window Handle: 3278842\n\
   Dialog Name: Customize User Interface\n\
   Window Class Name: Dialog\n\
   Window Resource ID: 0\n\
   Is Window: true\n\
   Window DLL Filename: C:\\Program Files\\Autodesk\\3ds Max 2008\\CustDlg.dll\n\
   Window DLL Description:\n\
   =====================\n\
</code></pre><p>   The first block returns information about the Customize Menu. A Menu does not have a Dialog Name, but is also a form of window.</p>\n\
<p>   The second block shows the shadow of the menu (if enabled in the MS Windows settings).</p>\n\
<p>   The third block shows the actual Customize User Interface dialog.</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../U-V-W-X-Y-Z.html\">U,V,W,X,Y,Z</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../C-D/Interface-DialogMonitorOPS.html\">Interface: DialogMonitorOPS</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";