var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6201E848-41CF-4A78-90B5-1A545D33944D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: ViewportSSB</h1></div><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This Core Interface is <strong>not available by default in 3ds Max 2012 and higher</strong> because the Viewports are set to use the Nitrous Graphics System.</p>\n\
<p>You <strong>must switch the Viewports to Direct3D graphics</strong> for this interface to become available.</p>\n\
<p>The <strong>ViewportSSB Core Interface</strong> available in <strong>3ds Max 2010 and higher when using Direct3D viewport graphics</strong> exposes some properties and methods related to the viewport Soft Shadows effect.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ViewportSSB.CubeBias : float : Read|Write      </code></pre><p>Gets/Sets the Cube MapBias value that is used when blurring the Shadow Map.</p>\n\
<p>Default is 0.5.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ViewportSSB.ShadowMapSize : Integer : Read|Write   </code></pre><p>Gets/Sets the Shadow Map Size value that is used to calculate the Viewport Shadows.</p>\n\
<p>Default is 512.</p>\n\
<h3 id=\"examples\">Examples</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">vss = maxops.getViewportShadingSettings() --get control &lt;IObject&gt;\n\
vss.ActivateViewportShading = true --turn on hardware shading\n\
vss.ShadowsActive = true --enable shadows\n\
vss.ShadowMode = #Soft --enable soft shadows\n\
ViewportSSB.AreaShadow = false --disable area shadows\n\
ViewportSSB.ShadowMapSize = 512 --default shadow map size</code></pre><p><img src=\"./images/GUID-B408FAAD-6DB6-4B8A-B22B-180403D29A64-low.gif\" alt></p>\n\
<p>ViewportSSB.ShadowMapSize = 256</p>\n\
<p><img src=\"./images/GUID-9F074BAD-FDAE-4C49-8F4D-9EA6C10E83CB-low.gif\" alt> </p>\n\
<p>ViewportSSB.ShadowMapSize = 128</p>\n\
<p><img src=\"./images/GUID-BDF6D18E-130E-4C19-8733-39D1C6C647C0-low.gif\" alt> </p>\n\
<p>ViewportSSB.ShadowMapSize = 64</p>\n\
<p><img src=\"./images/GUID-A87AF0F3-9056-47A5-84A5-7EB7A46C5376-low.gif\" alt> </p>\n\
<p>ViewportSSB.ShadowMapSize = 32</p>\n\
<p><img src=\"./images/GUID-503A2E17-627D-48BE-A5DC-9FDA5E6B742D-low.gif\" alt> </p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ViewportSSB.EVSMConfig : point3by value: Read|Write </code></pre><p>Gets/sets a Point3 value that can be used to control light &quot;bleeding&quot; in the Shadows.</p>\n\
<p>Default is [10,5,0.01].</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ViewportSSB.AreaShadow : Boolean : Read|Write </code></pre><p>Turn on/off Area Shadow preview of Area Lights.</p>\n\
<p>Only works if Shadows are set to #Soft, otherwise #Hard shadows will be calculated regardless.</p>\n\
<p>When set to true, Area Lights will cast Area Shadows.</p>\n\
<p>When set to false, Area Lights will cast Soft Shadows.</p>\n\
<p>Default is false.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   vss = maxops.getViewportShadingSettings() --get control &lt;IObject&gt;\n\
   vss.ActivateViewportShading = true --turn on hardware shading\n\
   vss.ShadowsActive = true --enable shadows\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   vss.ShadowMode = #Hard --enable soft shadows\n\
   ViewportSSB.AreaShadow = true --disable area shadows\n\
   --As you can see, Area Shadows are NOT displayed in Hard Shadows mode.\n\
</code></pre><p>   <img src=\"./images/GUID-D92ED15C-254A-4E4E-87BE-B86F5672525A-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   vss.ShadowMode = #Soft --enable soft shadows\n\
   ViewportSSB.AreaShadow = false --disable area shadows\n\
   --Area Shadows are disabled, so we get Soft shadows display\n\
</code></pre><p>   <img src=\"./images/GUID-B6EC1983-5C2E-4A4B-952F-64F0951C30E1-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   vss.ShadowMode = #Soft --enable soft shadows\n\
   ViewportSSB.AreaShadow = true --enable areashadows\n\
   --Both Soft and Area Shadows are enabled, so we get Area Shadows\n\
   --in the viewports:\n\
</code></pre><p>   <img src=\"./images/GUID-B99369B4-7B17-48C6-BE1A-048D27EE022D-low.gif\" alt> <img src=\"./images/GUID-8CB77E28-0E82-42D3-8FA8-C66F4BCEF381-low.gif\" alt></p>\n\
<p>   <img src=\"./images/GUID-8C24F945-13EA-4F59-AFCE-A79B3AE3D211-low.gif\" alt> <img src=\"./images/GUID-29317F17-38A9-4025-95C8-A21EDF319CC2-low.gif\" alt></p>\n\
<p>   <img src=\"./images/GUID-5D653E08-E0E8-49F5-A32F-931AB1ED0C3E-low.gif\" alt> <img src=\"./images/GUID-405ED4F1-2A2A-4D75-9DBF-BD8A7CA2F94D-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ViewportSSB.TransAreaShadow : Boolean : Read|Write </code></pre><p>Turn on/off transparency support for Area Shadow.</p>\n\
<p>Default is false.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   vss = maxops.getViewportShadingSettings() --get control &lt;IObject&gt;\n\
   vss.ActivateViewportShading = true --turn on hardware shading\n\
   vss.ShadowsActive = true --enable shadows\n\
   vss.ShadowMode = #Soft --enable soft shadows\n\
   ViewportSSB.AreaShadow = false --disable area shadows\n\
</code></pre><p>   <img src=\"./images/GUID-B408FAAD-6DB6-4B8A-B22B-180403D29A64-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ViewportSSB.AreaShadows = true --enablearea shadows\n\
   ViewportSSB.TransAreaShadow = false --disable transparent area shadows\n\
</code></pre><p>   <img src=\"./images/GUID-09776752-8D4C-4EBB-B097-3A773BEC57FB-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ViewportSSB.AreaShadows = true --enable area shadows\n\
   ViewportSSB.TransAreaShadow = true --enable transparent area shadows\n\
</code></pre><p>   <img src=\"./images/GUID-36AB203A-0169-4B68-9248-42420A6E9DAC-low.gif\" alt></p>\n\
</blockquote>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;String&gt;ViewportSSB.GetVideoMemoryUsed() </code></pre><p>Returns the video memory used by the effect as a string.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ViewportSSB.GetVideoMemoryUsed()\n\
   --&gt; &quot;23.50 (19.50 + 4.00)MB&quot;\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../U-V-W-X-Y-Z.html\">U,V,W,X,Y,Z</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Shading-Settings.html\">Viewport Shading Settings</a></li>\n\
          <li><a class=\"link\" href=\"../I-J-K/Interface-IViewportShadingMgr.html\">Interface: IViewportShadingMgr</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";