var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FEA0A322-ECD4-465C-8C11-DDC4E36DC7BE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Increasing Performance when Searching for Interfaces and Methods</h1></div><p>Searching for an interface and a method in an interface can be slow. Especially when calling the same method multiple times in a loop, for example in order to affect multiple vertices, faces, normals, objects etc., performance can decrease significantly.</p>\n\
<p>To speed up access to methods in interfaces, you can let MAXScript search for the interface and method once and then access the method directly in the loop.</p>\n\
<blockquote>\n\
<p>   <strong>INSTEAD OF SAYING</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for i = 1 to 100 do\n\
   myObject.edit_normals.setNormal i myNormals[i]\n\
</code></pre><p>   <strong>YOU SHOULD SAY</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   EN_setNormal = myObject.edit_normals.setNormal -- the method\n\
   for i = 1 to 100 do\n\
   EN_setNormal i myNormals[i]\n\
</code></pre></blockquote>\n\
<p>This way, the required interface and method will be searched for just once, and then accessed directly multiple times in the loop without searching.</p>\n\
<blockquote>\n\
<p>   <strong>ANOTHER WAY (NOT AS FAST AS THE ABOVE) WOULD BE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   EN_mod_i = myObject.edit_normals.EditNormalsMod -- the interface\n\
   for i = 1 to 100 do\n\
   EN_mod_i.setNormal i myNormals[i]\n\
</code></pre></blockquote>\n\
<p>In this case, the interface will be searched for just once, but the method will be searched for multiple times. If you intend to access many methods from the same interface, this way would be still faster than searching for both interface and method inside the loop.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interfaces.html\">Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Interfaces-1.html\">Interfaces</a></li>\n\
          <li><a class=\"link\" href=\"Core-Interfaces/Core-Interfaces-Documentation.html\">Core Interfaces Documentation</a></li>\n\
          <li><a class=\"link\" href=\"Other-Interfaces/Other-Interfaces-1.html\">Other Interfaces</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";