var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0BFEF796-5952-48B0-8929-88475F927649\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface : INode</h1></div><p>This represents a <strong>Node Interface</strong> providing access to some properties and methods available in all nodes.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.vertexColorType : enum : Read|Write      \n\
\n\
vertexColorType enums: {#color | #illum | #alpha | #color_plus_illum | #soft_select | #map_channel}   </code></pre><p>Gets/Sets the vertex color display type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.vertexColorMapChannel : integer : Read|Write </code></pre><p>Gets/Set the map channel used for vertex colors when <code>.vertexColorType is set to the new</code> enum value <code>#map_channel</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.posInParent : point3 : Read </code></pre><p>Gets the node&#x2019;s position relatively to its parent. When the parent is undefined (node is child of the world), returns the world position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.rotInParent : point3 : Read </code></pre><p>Gets the node&#x2019;s rotation relatively to its parent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.scaleInParent : point3 : Read </code></pre><p>Gets the node&#x2019;s scale relatively to its parent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.scaleOrientInParent : quat : Read </code></pre><p>Gets the node&#x2019;s scale orientation relatively to its parent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.boneEnable : boolean : Read|Write </code></pre><p>Gets/Sets the node&#x2019;s Bone property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.posTaskWeight : float : Read|Write </code></pre><p>Gets/Sets the the Bind Position Weight value under the Hierarchy &gt; IK. Panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.rotTaskWeight : float : Read|Write </code></pre><p>Gets/Sets the the Bind Orientation Weight value under the Hierarchy &gt; IK. Panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.boneAutoAlign : boolean : Read|Write </code></pre><p>Gets/Sets the the node&#x2019;s AutoAlign Bone property. When turned off, the bone&apos;s pivot point will not align to its child object. The translation of a child bone will not be converted into rotation of the parent. Instead the child will be allowed to move away from the parent&apos;s X-axis.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Changing the state of this check box will <strong>not</strong> have an immediate visual effect on the skeleton. It only affects future behavior when bones are moved. This option is only available if Bone is off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.boneFreezeLength : boolean : Read|Write </code></pre><p>Gets/Sets the the node&#x2019;s Freeze Length property. When turned on, the bone maintains its length. When turned off, the bone&apos;s length is based on the translation of its child bone. This option is available only if Auto-Align is on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.boneScaleType : enum : Read|Write \n\
\n\
boneScaleType enums : {#scale|#squash|#none} </code></pre><p>Gets/Sets the the node&#x2019;s Bone Scale Type property.</p>\n\
<p><code>Scale:</code> Lets the bone scale. The stretch happens along one axis.</p>\n\
<p><code>Squash:</code> Lets the bone squash. The bone gets fatter as it gets shorter, and thinner as it gets longer.</p>\n\
<p><code>None:</code> No stretch takes place.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.stretchTM : matrix3 by value : Read </code></pre><p>Gets the the node&#x2019;s Stretch Transformation Matrix. Normally, matrix concatenation occurs in the following manner:</p>\n\
<p>objectTM = objectOffsetTM * stretchTM * nodeTM</p>\n\
<p>So code that uses the objectTM will transparently inherit the effects of the stretchTM. However if you want the stretchTM included but not the object offset, this property will return the stretchTM alone. If the node is not a bone or has no stretching, this property will return the identity matrix.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.boneAxis : enum : Read|Write \n\
\n\
boneAxise nums : {#X | #Y | #Z} </code></pre><p>Gets/Sets the node&#x2019;s Bone Axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.boneAxisFlip : boolean : Read|Write </code></pre><p>Gets/Sets the node&#x2019;s Bone Flip Axis option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.primaryVisibility : boolean : Read|Write </code></pre><p>Gets/Sets the node&#x2019;s Visible to Camera option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.secondaryVisibility : boolean : Read|Write </code></pre><p>Gets/Sets the node&#x2019;s Visible to Reflection/Refraction option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.applyAtmospherics : boolean : Read|Write </code></pre><p>Gets/Sets the node&#x2019;s Apply Atmospherics option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.showVertexColors : integer : Read|Write </code></pre><p>Gets/Sets the node&#x2019;s Show Vertex Colors option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.shadeVertexColors : integer : Read|Write </code></pre><p>Gets/Sets the node&#x2019;s Shade Vertex Colors option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.handle : integer : Read </code></pre><p>Gets the node&#x2019;s handle. It provides a unique identifier independent from the object&#x2019;s name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.isSceneXRefNode : boolean : Read</code></pre><p>Contains True if the node is part of a Scene XRef, False otherwise.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.wasLoadedByLastMerge : boolean : Read</code></pre><p>Contains True of the node was loaded by the last merge operation, for example with <code>mergeMaxfFile()</code>, False otherwise.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setBoneEnable &lt;boolean&gt;onOff &lt;time&gt;time </code></pre><p>Enables/Dsiables the bone.</p>\n\
<p>When the first argument is True, the bone or object behaves as a bone. Turning this option off causes the node to stop behaving like a bone. There is no auto alignment or stretching. Note that turning this option on will not cause the object to immediately align or stretch. However future translations of children may cause rotation and stretching. Default is True or bone objects, False for other objects.</p>\n\
<p>The second argument specifies the time at which to calculate and store initial child position. This is usually used with the current time slider position. The time associated with the time slider can be queried and set using the sliderTime global variable.<a href=\"./../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Control-1.html\">Time Control</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;realignBoneToChild() </code></pre><p>Rotates the node such that its X axis points at the average position of all children with the bone property turned on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;resetBoneStretch() </code></pre><p>Resets the initial child position used to compute the stretch factor to the current child position. This will cause the stretch factor to become equal to one. If it was previously not equal to one then the object would snap to its original unstretched state.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Interfaces-Documentation.html\">Node Interfaces Documentation</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Node-Interfaces-1.html\">Node Interfaces</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";