var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2EBF67B3-7D0D-4649-80E4-A1D1D7E4C63E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: INodeGIProperties</h1></div><p>This Node Interface exposes the node&#x2019;s Global Illumination Properties. These properties correspond to the UI controls found in the &quot;Adv. Lighting&quot; tab of the Object Properties dialog in <strong>3ds Max 5 and higher</strong>.</p>\n\
<p><img src=\"./images/GUID-13C0898B-41FA-4E60-A3F8-0375E250E159-low.gif\" alt></p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.isGIExcluded : boolean : Read|Write      </code></pre><p>Corresponds to the <strong>Exclude from Radiosity Processing</strong> checkbox in the Object Properties &gt; Adv. Lighting tab</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Since hidden objects are NEVER considered by the radiosity processing, setting <code>.isGIExcluded</code> to <code>false</code> for hidden objects will have no practical effect on them - they will NOT be processed unless unhidden!</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.GIByLayer : boolean : Read|Write   </code></pre><p>Corresponds to the <strong>By Layer / By Object</strong> checkbutton in the Object Properties &gt; Adv. Lighting tab</p>\n\
<h2 id=\"adv-lighting-general-properties\">Adv.Lighting General Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.isGIOccluder : boolean : Read|Write   </code></pre><p>Corresponds to the <strong>Cast Shadows</strong> checkbox in the Object Properties &gt; Adv. Lighting tab</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.isGIReceiver : boolean : Read|Write </code></pre><p>Corresponds to the <strong>Receive Illumination</strong> checkbox in the Object Properties &gt; Adv. Lighting tab</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.GIRayMult : float : Read|Write </code></pre><p>Corresponds to the <strong>Num. Regathering Rays Multiplier</strong> value in the Object Properties &gt; Adv. Lighting tab</p>\n\
<h2 id=\"radiosity-only-properties\">Radiosity-only Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.isGIDiffuse : boolean : Read|Write </code></pre><p>Corresponds to the <strong>Diffuse (reflective &amp; translucent)</strong> checkbox in the Object Properties &gt; Adv. Lighting tab</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.isGISpecular : boolean : Read|Write </code></pre><p>Corresponds to the <strong>Specular (reflective &amp; translucent)</strong> checkbox in the Object Properties &gt; Adv. Lighting tab</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.isGIExcludedFromRegather : boolean : Read|Write </code></pre><p>Corresponds to the <strong>Exclude from Regathering</strong> checkbox in the Object Properties &gt; Adv. Lighting tab</p>\n\
<h2 id=\"object-subdivision-settings\">Object Subdivision Settings</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.GIUseGlobalMeshing : boolean : Read|Write </code></pre><p>Corresponds to the <strong>Use Global Subdivision Settings</strong> checkbox in the Object Properties &gt; Adv. Lighting tab</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.GIMeshingEnabled : boolean : Read|Write </code></pre><p>Corresponds to the <strong>Subdivide checkbox</strong> in the Object Properties &gt; Adv. Lighting tab</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.GIUseAdaptiveSubdivision : boolean : Read|Write </code></pre><p>Corresponds to the <strong>Use Adaptive Subdivision</strong> checkbox in the Object Properties &gt; Adv. Lighting tab. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"mesh-settings\">Mesh Settings</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.GIMeshSize : worldUnits : Read|Write|Validated by Range: 0.01 to 1e+009 </code></pre><p>Corresponds to the <strong>Max.Mesh Size</strong> value in the Object Properties &gt; Adv. Lighting tab</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.GIMinMeshSize : float : Read|Write </code></pre><p>Corresponds to the <strong>Min.Mesh Size</strong> value in the Object Properties &gt; Adv. Lighting tab. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.GIContrastThreshold : float : Read|Write </code></pre><p>Corresponds to the <strong>Contrast Threshold</strong> value in the Object Properties &gt; Adv. Lighting tab. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.GIInitialMeshSize : float : Read|Write </code></pre><p>Corresponds to the <strong>Initial Mesh Size</strong> value in the Object Properties &gt; Adv. Lighting tab. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.nbGIRefineSteps : integer : Read|Write|Validated by Range: 0 to 65535 </code></pre><p>Corresponds to the <strong>Refine Iterations</strong> value in the Object Properties &gt; Adv. Lighting tab</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.nbGIRefineStepsDone : integer : Read|Write|Validated by Range: 0 to 65535 </code></pre><p>Corresponds to the <strong>Iterations Done</strong> value in the Object Properties &gt; Adv. Lighting tab</p>\n\
<h2 id=\"light-object-radiosity-properties\">Light Object Radiosity Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.storeIllumToMesh : boolean : Read|Write </code></pre><p>Corresponds to the <strong>Store Direct Illumination in Mesh</strong> checkbox in the Object Properties &gt; Adv. Lighting tab</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Create a box which is excluded from Radiosity Processing\n\
   b = box isGIExcluded:true\n\
   --&gt; $Box:Box01 @ [0.000000,0.000000,0.000000]\n\
   --Include the box in Radiosity Processing again\n\
   b.isGIExcluded = false\n\
   --&gt; false\n\
   --Uncheck the Receive Illumination property\n\
   b.isGIReceiver = false\n\
   --&gt; false\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Interfaces-Documentation.html\">Node Interfaces Documentation</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Node-Interfaces-1.html\">Node Interfaces</a></li>\n\
          <li><a class=\"link\" href=\"../../Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneRadiosity.html\">Interface: SceneRadiosity</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\">General Node Properties</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";