var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-23401629-F449-496F-9DD0-87E0E886221B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NodeExposureInterface Struct Methods</h1></div><p>The <strong>NodeExposureInterface</strong> structure provides methods to create a <strong>INodeExposureR Interface</strong> for a given node and get an existing interface from a node.</p>\n\
<p>The Node Exposure Interface can be used to define the exposure of a scene node to various areas of the <strong>3ds Max</strong> User Interface. By default, all scene nodes are visible to all areas of the 3ds Max UI, but by creating a Node Exposure Interface and changing the exposure settings in it, a node could be excluded from sub-systems like the Select By Name dialog, the Schematic View and the Track View.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher. Previously available in the <a href=\"./../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;INodeExposureR Interface&gt;NodeExposureInterface.Create &lt;node&gt;      </code></pre><p>Creates the node exposure interface if not already present, and returns the INodeExposureR Interface value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;INodeExposureR Interface&gt;NodeExposureInterface.Get &lt;node&gt;   </code></pre><p>Returns the node exposure interface if already created, otherwise returns &apos;undefined&apos;</p>\n\
<p><strong>Both methods return a Function Published Interface value:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: INodeExposureR </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;INodeExposureR&gt;.isExposed &lt;integer&gt;ui </code></pre><p>Returns true if the the node is exposed to the UI sub-system corresponding to the 0-based index.</p>\n\
<p>Possible values for &apos;ui&apos; are:</p>\n\
<p>0 - SelectObjects (Select By Name dialog)</p>\n\
<p>1 - SchematicView</p>\n\
<p>2 - Maxscript  -- currently unsupported</p>\n\
<p>3 - Merge  -- currently unsupported</p>\n\
<p>4 - MergeAnimation -- currently unsupported</p>\n\
<p>5 - Replace  -- currently unsupported</p>\n\
<p>6 - KeyEditor</p>\n\
<p>7 - CurveEditor</p>\n\
<p>8 - RangeEditor</p>\n\
<p>9 - Updates -- removes the node from participating in scene updates</p>\n\
<p>As noted above, values 2 through 5 currently have no affect!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;INodeExposureR&gt;.SetExposedInAll &lt;boolean&gt;state </code></pre><p>This method sets all node exposures to the given Boolean value.</p>\n\
<p>If the argument is <code>false</code> , the node will be excluded from all UI areas of exposure.</p>\n\
<p>If the argument is <code>true</code> , the node will be exposed to all UI sub-systems.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> The <code>Updates</code> flag is not set by this function.  It must be set using <code>SetExposed()</code>.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;INodeExposureR&gt;.SetExposed &lt;boolean&gt;state &lt;integer&gt;ui </code></pre><p>This method sets the node exposure for the specific UI area defined by the second argument to the Boolean value defined by the first argument.</p>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theNode = Sphere()\n\
theInterface = NodeExposureInterface.Create theNode\n\
theInterface.SetExposed false 0\n\
</code></pre><p>will make the newly created sphere invisible to the Select By Name dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;INodeExposureR&gt;.BakeExposure() </code></pre><p> See &apos;Class INodeExposure&apos; in the SDK help file for more information on this interface.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Interfaces-Documentation.html\">Node Interfaces Documentation</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";