var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-797F4F4E-46A1-403A-9930-8D6D1D765CD9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: BakeElementProperties</h1></div><p>The <strong>BakeElementProperties Interface</strong> is exposed by all Bake Element and provides access to their properties using indexed access.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>See also the <a href=\"./../../Node-Interfaces/Node-Interfaces-Documentation/Interface-INode.html\">Interface: INodeBakeProperties</a> interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: BakeElementProperties </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.backgroundColor : color : Read|Write      </code></pre><p>Get/Set the background color of the Bake Element. Default is (color 0 0 0 0).</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;nParams()   </code></pre><p>Returns the number of parameters in the Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;paramName &lt;integer&gt;paramIndex </code></pre><p>Returns the name of the indexed parameters in the Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;paramType &lt;integer&gt;paramIndex </code></pre><p>Returns the type of the indexed parameter in the Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getParamValue &lt;integer&gt;paramIndex </code></pre><p>Returns the value of the indexed parameters in the Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParamValue &lt;integer&gt;paramIndex &lt;integer&gt;newValue </code></pre><p>Sets the value of the indexed parameter in the Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;getParamFPValue &lt;integer&gt;paramIndex </code></pre><p>Returns the FPValue of the indexed parameter in the Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParamFPValue &lt;integer&gt;paramIndex &lt;value&gt;newValue </code></pre><p>Sets the value of the indexed parameter in the Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;getParamFPValueMin &lt;integer&gt;paramIndex </code></pre><p>Returns the minimum FPValue of the indexed parameter in the Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;getParamFPValueMax &lt;integer&gt;paramIndex </code></pre><p>Returns the maximum FPValue of the indexed parameter in the Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;findParam &lt;string&gt;paramName </code></pre><p>Returns the index of the named parameter in the Bake Element.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- create a new BlendMap Bake Element\n\
   be = BlendMap()\n\
   --&gt; ReferenceTarget:BlendMap\n\
   be.nParams()\n\
   --&gt; 8\n\
   for i = 1 to be.nParams() do\n\
   format &quot;%: Type:% Value:% FPValue:% Min:% Max:%\\n&quot;\\\n\
   i (be.paramName i) (be.ParamType i) (be.getParamValue i)\\\n\
   (be.getParamFPValue i) (be.getParamFPValueMin i)\\\n\
   (be.getParamFPValueMax i)\n\
   --&gt; 1: Type:Lighting Value:1 FPValue:1 Min:1 Max:-999999999\n\
   --&gt; 2: Type:Shadows Value:1 FPValue:1 Min:1 Max:-999999999\n\
   --&gt; 3: Type:Diffuse Value:1 FPValue:1 Min:1 Max:-999999999\n\
   --&gt; 4: Type:Ambient Value:1 FPValue:1 Min:1 Max:-999999999\n\
   --&gt; 5: Type:Specular Value:1 FPValue:1 Min:1 Max:-999999999\n\
   --&gt; 6: Type:Self-Illum Value:1 FPValue:1 Min:1 Max:-999999999\n\
   --&gt; 7: Type:Reflection Value:1 FPValue:1 Min:1 Max:-999999999\n\
   --&gt; 8: Type:Refraction Value:1 FPValue:1 Min:1 Max:-999999999\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other-Interfaces-1.html\">Other Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Node-Interfaces/Node-Interfaces-Documentation/Interface-INode.html\">Interface : INode</a></li>\n\
          <li><a class=\"link\" href=\"../../../BakeElement/Bake-Elements.html\">Bake Elements</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";