var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2C2819EA-8997-45DF-8ED6-A81FE3E154A4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: IVFB</h1></div><p>The <strong>IVFB Interface</strong> is returned as notification parameter result by the two Rendered Frame Window and Image Viewer-related callbacks.</p>\n\
<p>It can be used to customize the appearance and register user-defined scripted rollouts in the top left, top right and bottom panels of the dialog.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IVFB&gt;.ShowOverlays : boolean : Read|Write      </code></pre><p>Get/set the display of the render region box in the Rendered Frame Window. Corresponds to the &quot;Toggle UI Overlays&quot; button in the Rendered Frame Window main toolbar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IVFB&gt;.ShowRollups : boolean : Read|Write   </code></pre><p>This property is true when the rollout panels are displayed in the Rendered Frame Window.</p>\n\
<p>If no rollout panels have been installed, this may still return true, because it&apos;s only a global toggle used to optionally hide the rollouts.  Setting this property will show/hide the rollout panels, and the UI is immediately updated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IVFB&gt;.IsFramebuffer : boolean : Read </code></pre><p>This property contains true if the window is a Rendered Frame Window.</p>\n\
<p>It is false for Image Viewer windows (as from File&gt;View Image File).</p>\n\
<p>This allows a script to install render controls on only the Rendered Frame Window.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IVFB&gt;.IsVisible: boolean : Read|Write </code></pre><p>Get/set the visible state of the Image Viewer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IVFB&gt;.IsInitialized : boolean : Read </code></pre><p>Contains true if the Image Viewer has been initialized already by calling the <code>.InitLayout()</code> method documented further on this page.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;&lt;IVFB&gt;.InitRolloutWindow &lt;enum&gt;which &lt;integer&gt;width &lt;integer&gt;height \n\
\n\
which enums: {#TopLeft | #TopRight | #Bottom} </code></pre><p>Returns a RolloutFloater value, allowing rollouts to be added to it.</p>\n\
<p>It represents a single panel, not the entire floating window.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>MAXScript can now <a href=\"./../../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Floater-Windows.html\"\">create rollouts in borderless mode</a> by calling <code>AddRollout</code> with the optional keyword argument <code>border:</code> set to <code>false</code> .</p>\n\
<p>Such rollouts do not have a title bar nor border around them and merge seamlessly with the rest of the panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;IVFB&gt;.GetRolloutWindowVisible &lt;enum&gt;which \n\
\n\
which enums: {#TopLeft | #TopRight | #Bottom} </code></pre><p>Returns the visibility of the specified rollout panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;IVFB&gt;.SetRolloutWindowVisible &lt;enum&gt;which &lt;boolean&gt;show \n\
\n\
which enums: {#TopLeft | #TopRight | #Bottom} </code></pre><p>Sets the visibility of the specified rollout panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;IVFB&gt;.SetMetric &lt;enum&gt;metricID &lt;integer&gt;value \n\
\n\
metric ID enums: {#HorzMarginLeft | #HorzMarginCenter | #HorzMarginRight | #VertMarginTop | #VertMarginCenter | #VertMarginBottom | #MinClientWidth | #MinClientHeight} </code></pre><p>Sets the spacing between the panels in the framebuffer.</p>\n\
<p>The first parameters can be one of the following:</p>\n\
<p><code>#horzMarginLeft</code> - Space in pixels between the left edge of the window and the left rollout panel.</p>\n\
<p><code>#horzMarginCenter</code> - Horizontal space in pixels between the two rollout panels.</p>\n\
<p><code>#horzMarginRight</code> - Space in pixels between the right edge of the window and the right rollout panel.</p>\n\
<p><code>#vertMarginTop</code> - Space in pixels between the top of the window and the top of the rollout panels.</p>\n\
<p><code>#vertMarginCenter</code> - Vertical space in pixels between the rollout panels and the bitmap view.</p>\n\
<p><code>#vertMarginBottom</code> - Vertical space in pixels between the bottom rollout panel and the bitmap view.</p>\n\
<p><code>#minClientWidth</code> - Minimum sizable width of the window in pixels.</p>\n\
<p><code>#minClientHeight</code> - Minimum sizable height of the window in pixels.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Despite the values of <code>#minCleintWidth</code> and <code>#minClientHeight</code> , the window can never be resized down to become smaller than the combined width of the top two rollouts.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;IVFB&gt;.GetMetric &lt;enum&gt;metricID \n\
\n\
metricID enums:{#HorzMarginLeft | #HorzMarginCenter | #HorzMarginRight | #VertMarginTop | #VertMarginCenter | #VertMarginBottom | #MinClientWidth | #MinClientHeight} </code></pre><p>Returns the spacing settings for the specified parameter of the current layout.</p>\n\
<p>See above for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;IVFB&gt;.InitLayout() </code></pre><p>Calling this method causes the current layout set up using the properties and methods above to be initialized.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other-Interfaces-1.html\">Other Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Rendered-Frame-Window-and.html\">Rendered Frame Window and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";