var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-78B79975-7BA5-4A03-8FEF-27E78D14B575\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: LayerProperties</h1></div><p><code>LayerProperties</code> is a MixinInterface providing access to a specific layer&apos;s properties.</p>\n\
<p>This interface is returned by some methods in the <a href=\"./../../Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LayerManager.html\">Interface: LayerManager</a> core interface and the <a href=\"./../../Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeGIProperties.html\">Interface: INodeLayerProperties</a> node interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: LayerProperties</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.on : boolean : Read|Write      </code></pre><p>Get/Set the Enabled state of the layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.lock : boolean : Read|Write   </code></pre><p>Get/Set the Locked state of the layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.current : boolean : Read|Write </code></pre><p>Get/Set whether the layer is the Current layer.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Can only be set to <code>true</code> !</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.wireColor : color by value : Read|Write </code></pre><p>Get/Set the Wireframe Color of the layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.isGIExcluded : boolean : Read|Write </code></pre><p>Get/Set the Exclude from Radiosity state of the layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.name : string : Read </code></pre><p>Get the name of the layer. To set the name of the layer, please use the <code>&lt;LayerProperties&gt;</code>. <code>setName()</code> method described further on this page. This is necessary because MAXScript has to validate the new name - layer names must be unique!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.renderable : boolean : Read|Write </code></pre><p>Get/Set whether the objects on the layer are renderable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.inheritVisibility : boolean : Read|Write </code></pre><p>Get/Set whether the objects on the layer inherit visibility from their parents.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.primaryVisibility : boolean : Read|Write </code></pre><p>Get/Set whether the objects on the layer are visible to camera</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.secondaryVisibility : boolean : Read|Write </code></pre><p>Get/Set whether the objects on the layer are reflections</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.receiveshadows : boolean : Read|Write </code></pre><p>Get/Set whether the objects on the layer receive shadows.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.castShadows : boolean : Read|Write </code></pre><p>Get/Set whether the objects on the layer cast shadows.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.applyAtmospherics : boolean : Read|Write </code></pre><p>Get/Set whether the objects on the layer can be occluded by atmospheric effects</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.renderOccluded : boolean : Read|Write </code></pre><p>Get/Set whether the objects on the layer will render to RPF layers when occluded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.ishidden : boolean : Read|Write </code></pre><p>Get/Set whether the objects on the layer are hidden.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.isfrozen : boolean : Read|Write </code></pre><p>Get/Set whether the objects on the layer are frozen.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.boxmode : boolean : Read|Write </code></pre><p>Get/Set whether the objects on the layer will be displayed in box mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.backfacecull : boolean : Read|Write </code></pre><p>Get/Set whether the objects on the layer will be displayed with culled backfaces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.alledges : boolean : Read|Write </code></pre><p>Get/Set whether the objects on the layer will be displayed with all edges visible.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.vertexTicks : boolean : Read|Write </code></pre><p>Get/Set whether the objects on the layer will be displayed with vertices as ticks.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.showTrajectory : boolean : Read|Write </code></pre><p>Get/Set whether the objects on the layer will show trajectories</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.xray : boolean : Read|Write </code></pre><p>Get/Set whether the objects on the layer will be displayed as See-Thru</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.ignoreExtents : boolean : Read|Write </code></pre><p>Get/Set whether the extents of the objects on the layer will be ignored.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.showFrozenInGray : boolean : Read|Write </code></pre><p>Get/Set whether the objects on the layer will be displayed as gray when frozen.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.showVertexColors : boolean : Read|Write </code></pre><p>Get/Set whether the objects on the layer will be displayed with vertex colors.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.vertexColorsShaded : boolean : Read|Write </code></pre><p>Get/Set whether the objects on the layer will be displayed with shaded vertex colors.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.visibility : float : Read|Write </code></pre><p>Get/Set whether the objects on the layer will be visible.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.imageMotionBlurMultiplier : float : Read|Write </code></pre><p>Get/Set the Image Motion Blur Multiplier for objects on the layer</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.motionBlurOn : boolean : Read|Write </code></pre><p>Get/Set whether the objects on the layer will render with Motion Blur.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.motionblur : enum : Read|Write \n\
\n\
motionblur enums: {#none | #object | #image} </code></pre><p>Get/Set the type of Motion Blur to be used when rendering objects of the layer</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.display : enum : Read|Write \n\
\n\
display enums: {#viewport | #boundingbox | #wireframe | #shaded} </code></pre><p>Get/Set the display mode for all objects on the layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.INodeGIProperties : Interface : Read </code></pre><p>The <code>INodeGIProperties</code> property returns a <code>INodeGIProperties</code> FPS interface giving access to the GI properties of the layer. See <a href=\"./../../Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeGIProperties.html\">Interface: INodeGIProperties</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LayerProperties&gt;.layerAsRefTarg : RefTarget : Read </code></pre><p>Returns the layer as a ReferenceTarget.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The layer system operates exactly the opposite of what you would expect - the nodes reference the layer, rather than the layers referencing the node.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   s=sphere() --Create a sphere, store in variable\n\
   --&gt; $Sphere:Sphere01 @ [0.000000,0.000000,0.000000]\n\
   s2=sphere() --Create another one\n\
   --&gt; $Sphere:Sphere02 @ [0.000000,0.000000,0.000000]\n\
   layer = layermanager.getlayer 0 --get default Layer 0\n\
   --&gt; &lt;MixinInterface:LayerProperties&gt;\n\
   layerRT = layer.layerAsRefTarg --get layer as RefTarget\n\
   --&gt; ReferenceTarget:BaseLayer\n\
   refs.dependents layerRT --see the dependents\n\
   --&gt; #($Sphere:Sphere02 @ [0.0,0.0,0.0], $Sphere:Sphere01 @[0.0,0.0,0.0], ReferenceTarget:Animatable, ReferenceTarget:Animatable, ReferenceTarget:LayerManager, ReferenceTarget:Scene)\n\
   refs.dependson s\n\
   --&gt; #(Controller:Position_Rotation_Scale, Sphere, ReferenceTarget:BaseLayer)\n\
\n\
</code></pre></blockquote>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;addnode &lt;node&gt;node </code></pre><p>Adds the given node to the layer. See bottom of page for an example.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;addnodes &lt;node array&gt;nodes</code></pre><p>Adds the given nodes to the layer. Available in <strong>3ds Max 2019.2 Update and higher</strong>.</p>\n\
<h3 id=\"example\">Example</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- add all the nodes as an array:\n\
LayerManager.newLayer() \n\
myLayer = LayerManager.getLayer 1\n\
myBox = Box()\n\
myLight = Free_Light()\n\
mySpline = Egg()\n\
myCamera = freeCamera()\n\
myLayer.addnodes #(myBox, myLight, mySpline, myCamera)</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;select &lt;boolean&gt;OnOff </code></pre><p>If the Boolean value is passed as true, selects all objects on the layer in the scene. If the argument is passed as false, deselects all objects on the layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setname &lt;string&gt;name </code></pre><p>Sets the name of the layer to the given string. Returns <code>true</code> on success.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Layer names must be unique, which is why a method is used to set the layer name- it can validate the supplied name before assigning it to the layer as shown in the following example.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --First reset 3ds Max to start in an empty scene, then execute:\n\
   layer1= layermanager.getlayer 0 --get default Layer 0\n\
   --&gt; &lt;MixinInterface:LayerProperties&gt;\n\
\n\
   layer1.setName &quot;The One&quot; --try to change the name\n\
   --&gt; false --you cannot, the default layer is always called &quot;0&quot;\n\
\n\
   layer2= layermanager.getlayer 1 --try to get Layer 1\n\
   --&gt; undefined --there is no such layer yet.\n\
\n\
   layer2= layermanager.newLayerFromName &quot;Test&quot; --let&apos;s create it\n\
   --&gt; &lt;MixinInterface:LayerProperties&gt;\n\
\n\
   layer2.setName &quot;Second Layer&quot; --now we can rename it\n\
   --&gt; true\n\
\n\
   layer3= layermanager.newLayerFromName &quot;Third&quot; -- create another\n\
   --&gt; &lt;MixinInterface:LayerProperties&gt;\n\
\n\
   layer3.setName &quot;Second Layer&quot; --try to give the same name as 2nd\n\
   --&gt; false\n\
\n\
   layer3.setName &quot;ThirdLayer&quot; --it needs a unique name to work\n\
   --&gt; true\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;nodes &lt;&amp;node array&gt;layerNodes\n\
\n\
layerNodes is Out parameter </code></pre><p>Returns True on success, and an array of all nodes on the layer in the by-reference Out parameter.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   layer = layermanager.newLayerFromName &quot;Spheres&quot;\n\
   --&gt; &lt;MixinInterface:LayerProperties&gt;\n\
\n\
   for i =1 to 10 do (s = sphere(); layer.addNode s)\n\
   --&gt; OK\n\
\n\
   layer.nodes &amp;theNodes\n\
   --&gt; true\n\
\n\
   theNodes\n\
   --&gt; #($Sphere:Sphere10 @ [0.000000,0.000000,0.000000], $Sphere:Sphere09 @ [0.000000,0.000000,0.000000], $Sphere:Sphere08 @ [0.000000,0.000000,0.000000], $Sphere:Sphere07 @ [0.000000,0.000000,0.000000], $Sphere:Sphere06 @ [0.000000,0.000000,0.000000], $Sphere:Sphere05 @ [0.000000,0.000000,0.000000], $Sphere:Sphere04 @ [0.000000,0.000000,0.000000], $Sphere:Sphere03 @ [0.000000,0.000000,0.000000], $Sphere:Sphere02 @ [0.000000,0.000000,0.000000], $Sphere:Sphere01 @ [0.000000,0.000000,0.000000])\n\
\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;getParent()</code></pre><p>Returns the LayerProperties MixinInterface of the layer&apos;s parent layer, or undefined if the layer has no parent.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setParent &lt;Interface&gt;parent</code></pre><p>Sets the parent of the layer to the layer represented by the specified LayerProperties MixinInterface.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;getChild &lt;index&gt;index</code></pre><p>Returns the LayerProperties MixinInterface of the indexed child layer, or undefined if the indexed child layer does not exist.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getNumChildren()</code></pre><p>Returns the number of children layers.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;canDelete()</code></pre><p>Returns True if the layer can be deleted.</p>\n\
<p>Returns False if the layer cannot be deleted because it contains objects for some other reason.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getNumNodes()</code></pre><p>Returns the number of nodes in the layer.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;hasSceneXRefNodesInHierarchy()</code></pre><p>Returns True if the layer contains Scene XRef nodes in its hierarchy.</p>\n\
<p>Returns False otherwise.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other-Interfaces-1.html\">Other Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeGIProperties.html\">Interface: INodeGIProperties</a></li>\n\
          <li><a class=\"link\" href=\"../../Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeGIProperties.html\">Interface: INodeGIProperties</a></li>\n\
          <li><a class=\"link\" href=\"../../Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LayerManager.html\">Interface: LayerManager</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";