var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E8F75D47-B998-4800-A3A5-610E22913CFC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: RenderElementMgr</h1></div><p>This interface exposes methods to access and manipulate the <a href=\"./../../../Render-Elements/Render-Elements-1.html\">Render Elements</a> list in the Render Scene Dialog.</p>\n\
<p>It is returned by the <strong><a href=\"./../../Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\"#render-element-manager\">MaxOps.GetCurRenderElementMgr () method</a></strong> and cannot be created by MAXScript. See the example at the bottom of this page for details.</p>\n\
<p><strong>RenderElementMgr interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: RenderElementMgr </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;RenderElementMgr&gt;.AddRenderElement &lt;maxObject&gt;element  </code></pre><p>Adds a specific <a href=\"./../../../Render-Elements/Render-Elements-1.html\">Render Element</a>.</p>\n\
<p>Returns <code>True</code> if successful, <code>False</code> otherwise</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;&lt;RenderElementMgr&gt;.RemoveRenderElement &lt;maxObject&gt;element </code></pre><p>Removes a specific <a href=\"./../../../Render-Elements/Render-Elements-1.html\">Render Element</a>.</p>\n\
<p>Returns <code>True</code> is successful, <code>False</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;&lt;RenderElementMgr&gt;.RemoveAllRenderElements() </code></pre><p>Removes all elements in the list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;integer&gt;&lt;RenderElementMgr&gt;.NumRenderElements() </code></pre><p>Returns the number of elements in the list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;maxObject&gt;&lt;RenderElementMgr&gt;.GetRenderElement &lt;integer&gt;index </code></pre><p>Returns a specific <a href=\"./../../../Render-Elements/Render-Elements-1.html\">Render Element</a>, the index is 0-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;&lt;RenderElementMgr&gt;.SetElementsActive &lt;boolean&gt;active </code></pre><p>Sets a enabled state of the Render Elements.</p>\n\
<p>When set to <code>True</code> , all active elements on the list will be created during rendering.</p>\n\
<p>When set to <code>False</code> , the generation of Render Elements is disabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;&lt;RenderElementMgr&gt;.GetElementsActive() </code></pre><p>Returns a boolean value indicating whether elements are active, ie. will be created during a render.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;&lt;RenderElementMgr&gt;.SetDisplayElements &lt;boolean&gt;display </code></pre><p>Sets a boolean flag controlling whether elements will be displayed after they are created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;&lt;RenderElementMgr&gt;.GetDisplayElements() </code></pre><p>Gets a boolean flag indicating whether elements will be displayed after they are created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;&lt;RenderElementMgr&gt;.SetCombustionOutputEnabled &lt;boolean&gt;enabled </code></pre><p>Enables or disables the output to Combustion .cws file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;&lt;RenderElementMgr&gt;.GetCombustionOutputEnabled() </code></pre><p>Gets a boolean flag indicating whether output to a Combustion .cws file will be performed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;&lt;RenderElementMgr&gt;.SetCombustionOutputPath &lt;filename&gt;pathname </code></pre><p>Sets the filename of the Combustion .cws file to be written to when <code>SetCombustionOutoutEnabled()</code> is set to <code>True</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;filename&gt;&lt;RenderElementMgr&gt;.GetCombustionOutputPath() </code></pre><p>Returns the filename of the Combustion .cws file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;&lt;RenderElementMgr&gt;.SetRenderElementFilename &lt;integer&gt;index &lt;filename&gt;filename </code></pre><p>Set the output file name for the indexed render element to the specified filename string.</p>\n\
<p>The index is 0-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;filename&gt;&lt;RenderElementMgr&gt;.GetRenderElementFilename &lt;integer&gt;index </code></pre><p>Returns the output file name of the indexed render element.</p>\n\
<p>The index is 0-based.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- set a list of render elements.\n\
   elementlist = #(specular, diffuse, self_illumination, reflection,refraction, shadowrenderelement, atmosphere, blend, z_depth, alpha, backgroundrenderelement)\n\
\n\
   re = maxOps.GetCurRenderElementMgr() -- get the current render element manager\n\
   re.removeallrenderelements() -- remove all renderelements\n\
   re.numrenderelements() -- get number of render elements\n\
\n\
   theManager = maxOps.GetRenderElementMgr #Production\n\
   theManager.numrenderelements()\n\
   rendoutputfilename = &quot;c:\\\\test.tga&quot;\n\
   -- adds all renderelements to be rendered.\n\
   for n in elementlist do\n\
   (\n\
   re.addrenderelement (n elementname:(&quot;foo_&quot;+ (n as string)))\n\
   format &quot;\\nAdded % renderelement&quot; n\n\
   )\n\
   rendsavefile = true\n\
   setsilentmode true -- used to avoid error message when checking the filename of element\n\
   renderSceneDialog.open() -- open Render Dialog\n\
   -- get all render elements set and return name of render element and output filename\n\
   for n = 0 to (theManager.numrenderelements () - 1) do\n\
   (\n\
   el = re.getrenderelement n\n\
   format &quot;\\nGetting % render element&quot; el.elementname\n\
   format &quot;\\nRender element outputfilename: %&quot; (re.GetRenderElementFileName n)\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other-Interfaces-1.html\">Other Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">Interface: maxOps</a></li>\n\
          <li><a class=\"link\" href=\"../../../Render-Elements/Render-Elements-1.html\">Render Elements</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";