var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-01A9145F-54A0-4283-93BD-6F942C118E6C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>PainterInterface : ReferenceTarget</h1></div><p>The Painter Interface is a general API introduced in <strong>3ds Max 5</strong> providing tools for painting on meshes. The functions and properties are accessible through an interface called thePainterInterface.</p>\n\
<p><a href=\"./../../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Paint-Tools/Defining-Custom-Paint-Tools.html\">Defining Custom Paint Tools Using the Painter Interface</a></p>\n\
<p><strong>PainterInterface Interfaces</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: thePainterInterface </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.updateOnMouseUp : boolean : Read|Write   </code></pre><p>Get/Set the state of the &quot;Update On Mouse Up&quot; checkbox in the Painter Options dialog. When set to true, the Painter will update the stroke only when the mouse button is released.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.treeDepth : integer : Read|Write|Validated by Range: 2 to 10 </code></pre><p>Get/Set the depth of the quad tree used for hit testing. The larger the value, the faster the interaction, but more memory will be consumed and it will take longer to build the tree.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.minStr : float : Read|Write|Validated by Range: 0.0 to 1e+006 \n\
\n\
thePainterInterface.maxStr : float : Read|Write|Validated by Range: 0.0 to 1e+006 </code></pre><p>Get/Set the Min. and Max. Strength values. If no pressure device is available, only the Max Strength is used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.dragStrLimitMin  : float : Read|Write\n\
\n\
thePainterInterface.dragStrLimitMax : float : Read|Write </code></pre><p>These two values limit the Strenght range when using ALT-SHIFT drag to adjust the value interactively in the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.minSize : float : Read|Write|Validated by Range: 0.0 to 1e+006 \n\
\n\
thePainterInterface.maxSize : float : Read|Write|Validated by Range: 0.0 to 1e+006 </code></pre><p>Get/Set the Brush Min. and Max. Size values. If no pressure device is available, only the Max Size is used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.additiveMode : boolean : Read|Write </code></pre><p>Get/Set the state of the &quot;Additive&quot; checkbox. When set to true, the painted values will add to the existing ones instead of overwriting them.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.drawRing : boolean : Read|Write </code></pre><p>Get/Set the display of the Brush Ring.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.drawNormal : boolean : Read|Write </code></pre><p>Get/Set the display of the Brush Normal vector.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.drawTrace : boolean : Read|Write </code></pre><p>Get/Set the display of the Brush Trace line.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.normalScale : float : Read|Write </code></pre><p>Get/Set the Normal Scale value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.marker : float : Read|Write </code></pre><p>Get/Set the Marker value .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.markerEnable : boolean : Read|Write </code></pre><p>Enable/Disable the Marker.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.pressureEnable : boolean : Read|Write </code></pre><p>Enable/Disable Pressure Sensitivity for use with pressure tablets.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.pressureAffects : integer : Read|Write|Validated by Range: 1 to 4 </code></pre><p>Get/Set the &quot;Pressure Affects&quot; option.</p>\n\
<p>1 - None</p>\n\
<p>2 - Strength</p>\n\
<p>3 - Size</p>\n\
<p>4 - Size and Strength</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.predefinedStrEnable : boolean : Read|Write </code></pre><p>Enable/Disable Predefined Strength Pressure. When set to <code>true</code> , instead of using the tablet pressure or Max Strength value, a graph is used to determine strength based on its position in the stroke. To set up the graph, you can use the options dialog to set up the &quot;predefined pressure&quot; properties. The options dialog is available via <code>thePainterInterface.paintOptions()</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.predefinedSizeEnable : boolean : Read|Write </code></pre><p>Enable/Disable Predefined Size Pressure. When set to true, instead of using the tablet pressure or Max Size value, a graph is used to determine size based on its position in the stroke. To set up the graph, you can use the options dialog to set up the &quot;predefined pressure&quot; properties. The options dialog is available via <code>thePainterInterface.paintOptions()</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.mirrorEnable : boolean : Read|Write </code></pre><p>Enable/Disable the Mirror option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.mirrorAxis : integer : Read|Write|Validated by Range: 1 to 3 </code></pre><p>Get/Set the Mirror axis:</p>\n\
<p>1 - X</p>\n\
<p>2 - Y</p>\n\
<p>3 - Z</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.mirrorOffset : float : Read|Write|Validated by Range: -1e+006 to 1e+006 </code></pre><p>Get/Set the Mirror offset value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.mirrorGizmoSize : float : Read|Write|Validated by Range: 0.0 to 1e+006 </code></pre><p>Get/Set the Mirror Gizmo size.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.pointGatherEnable : boolean : Read|Write </code></pre><p>Enable/Disable the Point Gathering mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.buildNormals : boolean : Read|Write </code></pre><p>Enable/Disable Normal building.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.offMeshHitType : integer : Read|Write </code></pre><p>Defines the hit type for painting outside the mesh or without a mesh.</p>\n\
<p>0 - creates a plane based on your last hit point and normal. When using this type there must be a mesh to paint on.</p>\n\
<p>1 - a zdepth into the screen, this creates a plane x units into your view that you can paint on. No mesh is required in this case.</p>\n\
<p>2 - create a plane on a point in world space aligned to the current view. No mesh is required in this case.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.offMeshHitZDepth : float : Read|Write </code></pre><p>Defines the Z Depth to be used with <code>.offMeshHitType</code> 1. (see above)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.offMeshHitPos : point3 : Read|Write </code></pre><p>Defines the world position to be used with <code>.offMeshHitType</code> 2. (see above)</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;thePainterInterface.initializeNodes &lt;integer&gt;flags &lt;node array&gt;nodeList </code></pre><p>Initializes the nodes for painting. <code>NodeList</code> is an array of the nodes to paint on. <code>Flags</code> is currently not used, you can use 0 as stand-in.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;thePainterInterface.numberNodes() </code></pre><p>Returns the number of registered nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;thePainterInterface.getNode &lt;integer&gt;index </code></pre><p>Returns the indexed node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;thePainterInterface.updateMeshes &lt;boolean&gt;updatePointGather </code></pre><p>Updates the meshes.</p>\n\
<p>When the <code>updatePointGather</code> argument is supplied as <code>true</code> , the point gather list will be updated, too.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;thePainterInterface.startPaintSession() </code></pre><p>Starts a Paint Session.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;thePainterInterface.endPaintSession() </code></pre><p>Ends the Paint Session.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;thePainterInterface.paintOptions() </code></pre><p>Opens the Paint Options dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;thePainterInterface.macroCallback &lt;string&gt;macroName &lt;string&gt;category </code></pre><p>Used to registers macro callback scripts to control the painting.</p>\n\
<p><code>macroName</code> is the path to the macroScript source, <code>category</code> is the category of the macroScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;thePainterInterface.inPaintMode() </code></pre><p>Returns <code>true</code> when in painting mode, false when painting is not active.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;thePainterInterface.getIsHit &lt;integer&gt;tabIndex </code></pre><p>Returns <code>true</code> when the indexed point was a hit.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.getHitPointData &lt;void&gt; &lt;&amp;point3&gt;localHit &lt;&amp;point3&gt;localNormal &lt;&amp;point3&gt;worldHit &lt;&amp;point3&gt;worldNormal &lt;&amp;float&gt;radius &lt;&amp;float&gt;str &lt;integer&gt;tabIndex  </code></pre><p>All parameters are in and out parameters.</p>\n\
<p>The method lets you retrieve the hit point data of the stroke:</p>\n\
<p><code>localHit</code> is the hit position in local space of the node that was hit</p>\n\
<p><code>localNormal</code> is the normal of the face that was hit in local space of the node that was hit</p>\n\
<p><code>worldHit</code> is the world space hit point</p>\n\
<p><code>worldNormal</code> is the world space normal of the hit face</p>\n\
<p><code>radius</code> is the radius of the brush at the time of the hit</p>\n\
<p><code>str</code> is the strength of the brush at the time of the hit</p>\n\
<p><code>tabIndex</code> is the index of the hit point that you want to get. If this value is 0 it will return the last hit point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;thePainterInterface.getHitFaceData &lt;&amp;point3&gt;bary &lt;&amp;integer&gt;faceIndex &lt;node&gt;node &lt;integer&gt;tabIndex \n\
\n\
bary is In and Out parameter \n\
faceIndex is In and Out parameter </code></pre><p>This function lets you retrieve the hit face data of the stroke. This is the face data that exists at the top of the stack.</p>\n\
<p><code>bary</code> - the barycentric coords of the face that was hit</p>\n\
<p><code>faceIndex</code> - the index of the face that was hit</p>\n\
<p><code>node</code> - the node that was hit</p>\n\
<p><code>tabIndex</code> - this is the index of the hit point that you want to get If this value is 0 it will return the last hit point</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;thePainterInterface.getHitPressureData  &lt;&amp;boolean&gt;shift &lt;&amp;boolean&gt;ctrl &lt;&amp;boolean&gt;alt &lt;&amp;float&gt;pressure &lt;integer&gt;tabIndex\n\
\n\
shift is In and Out parameter \n\
ctrl is In and Out parameter \n\
alt is In and Out parameter \n\
pressure is In and Out parameter </code></pre><p>This returns the key state and pressure state of a stroke point</p>\n\
<p><code>shift</code> is the state of the Shift key</p>\n\
<p><code>ctrl</code> is the state of the Ctrl key</p>\n\
<p><code>alt</code> is the state of the Alt key</p>\n\
<p><code>pressure</code> is the pressure from pressure sensitive tablets</p>\n\
<p><code>tabIndex</code> is this is the index of the hit point that you want to get. If this value is 0 it will return the last hit point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;thePainterInterface.getMirrorHitPointData &lt;&amp;point3&gt;localMirrorHit &lt;&amp;point3&gt;localMirrorNormal &lt;&amp;point3&gt;worldMirrorHit &lt;&amp;point3&gt;worldMirrorNormal &lt;integer&gt;tabIndex\n\
\n\
localMirrorHit is In and Out parameter \n\
localMirrorNormal is In and Out parameter \n\
worldMirrorHit is In and Out parameter \n\
worldMirrorNormal is In and Out parameter </code></pre><p>The method lets you retrieve the mirror hit point data of the stroke:</p>\n\
<p><code>localMirrorHit</code> is the mirror hit in local space of the node that was hit</p>\n\
<p><code>localMirrorNormal</code> is the normal of the face that was hit in local space of the node that was hit</p>\n\
<p><code>worldMirrorHit</code> is the world space hit point</p>\n\
<p><code>worldMirrorNormal</code> is the world space normal of the hit face</p>\n\
<p><code>tabIndex</code> is the index of the mirror hit point that you want to get. If this value is 0 it will return the last hit point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point2&gt;thePainterInterface.getHitMousePos &lt;integer&gt;tabIndex </code></pre><p>Returns the mouse position of the indexed hit point in the stroke.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;thePainterInterface.getHitTime &lt;integer&gt;tabIndex </code></pre><p>Returns the time of the indexed hit point in the stroke.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;thePainterInterface.getHitDist &lt;integer&gt;tabIndex </code></pre><p>Returns the distance of the indexed hit point in the stroke.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;thePainterInterface.getHitVec &lt;integer&gt;tabIndex </code></pre><p>Returns the vector of the indexed hit point in the stroke.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;thePainterInterface.getHitCount() </code></pre><p>Returns the number of hits in the stroke.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;thePainterInterface.getHitNode &lt;index&gt;sampleIndex </code></pre><p>Returns the hit node of the supplied sample index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;thePainterInterface.loadCustomPointGather &lt;node&gt;node &lt;point3 array&gt;pointList </code></pre><p>Loads a custom point list for the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitArray&gt;thePainterInterface.getPointGatherHits &lt;node&gt;node </code></pre><p>Returns the hit list as bitArray.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;thePainterInterface.getPointGatherPoint &lt;node&gt;node &lt;integer&gt;index </code></pre><p>Returns the position of the indexed point from the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;thePainterInterface.getPointGatherStr &lt;node&gt;node &lt;integer&gt;index </code></pre><p>Returns the indexed point&#x2019;s Strength from the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;thePainterInterface.getPointGatherWeight &lt;node&gt;node &lt;integer&gt;index </code></pre><p>Returns the indexed point&#x2019;s Weight from the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;thePainterInterface.getPointGatherNormal &lt;node&gt;node &lt;integer&gt;index </code></pre><p>Returns the indexed point&#x2019;s Normal vector from the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;thePainterInterface.clearStroke() </code></pre><p>Clears the stroke.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;thePainterInterface.addToStroke &lt;point2&gt;pos &lt;boolean&gt;updatePointGather &lt;boolean&gt;updateViewPort </code></pre><p>Adds a point to the stroke. When <code>updatePointGather</code> is supplied as <code>true</code> , the point will be included in the list. When <code>updateViewPort</code> is supplied as <code>true</code> , the point will be displayed in the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;thePainterInterface.getRandomHitOnPoint &lt;integer&gt;index </code></pre><p>Returns a random hit on the specified point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;thePainterInterface.getRandomHitAlongStroke &lt;integer&gt;index </code></pre><p>Returns a random hit along the specified stroke.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;thePainterInterface.getTestHit &lt;point2&gt;Point </code></pre><p>Returns <code>true</code> if there is a hit at the specified point, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;thePainterInterface.getCustomHitPointData &lt;&amp;point3&gt;localHit &lt;&amp;point3&gt;localNormal &lt;&amp;point3&gt;worldHit &lt;&amp;point3&gt;worldNormal &lt;&amp;float&gt;str \n\
\n\
localHit is In and Out parameter \n\
localNormal is In and Out parameter \n\
worldHit is In and Out parameter \n\
worldNormal is In and Out parameter \n\
str is In and Out parameter </code></pre><p>The method lets you retrieve custom hit point data:</p>\n\
<p><code>localHit</code> is the hit position in local space</p>\n\
<p><code>localNormal</code> is the normal of the face that was hit in local space</p>\n\
<p><code>worldHit</code> is the world space hit point</p>\n\
<p><code>worldNormal</code> is the world space normal of the hit face</p>\n\
<p><code>str</code> is the strength of the brush at the time of the hit</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;thePainterInterface.getCustomHitFaceData &lt;&amp;point3&gt;bary &lt;&amp;integer&gt;faceIndex &lt;node&gt;node \n\
\n\
bary is In and Out parameter \n\
faceIndex is In and Out parameter </code></pre><p>This function lets you retrieve the custom hit face data.</p>\n\
<p><code>bary</code> - the barycentric coordinates of the face that was hit</p>\n\
<p><code>faceIndex</code> - the index of the face that was hit</p>\n\
<p><code>node</code> - the node that was hit</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;thePainterInterface.isPointInside &lt;point2&gt;testPoint &lt;point2 array&gt;pointList </code></pre><p>Returns <code>true</code> if the specified <code>testPoint</code> is inside the polygon defined by the <code>pointList</code> coordinates.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;thePainterInterface.getMirrorCenter() </code></pre><p>Returns the center of the mirror gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;thePainterInterface.ScriptFunctions &lt;value&gt;startStroke &lt;value&gt;paintStroke &lt;value&gt;endStroke &lt;value&gt;cancelStroke &lt;value&gt;systemEnd </code></pre><p>Registers MAXScript functions to be called by the Painter&#x2019;s callback system at the specified events. See <a href=\"./../../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Paint-Tools/Defining-Custom-Paint-Tools.html\">Defining Custom Paint Tools Using the Painter Interface</a> for more details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;thePainterInterface.undoStart() </code></pre><p>Causes the undo system to start recording. It must be paired with an <code>undoAccept</code> or <code>undoCancel</code> . Typically called in the start of a stroke function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;thePainterInterface.undoAccept() </code></pre><p>Accepts the current state of the undo record and puts it on the undo stack. Typically called in in the end stroke function</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;thePainterInterface.undoCancel() </code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other-Interfaces-1.html\">Other Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Paint-Tools/Defining-Custom-Paint-Tools.html\">Defining Custom Paint Tools Using the Painter Interface</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";