var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C3849AEC-32FC-41B4-9934-1AFAA22CAB79\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>showInterface Inspector Function</h1></div><p><a href=\"Interfaces-1.html\">Interfaces</a></p>\n\
<p><a href=\"Core-Interfaces/Core-Interfaces-Documentation.html\">Core Interfaces</a></p>\n\
<p><a href=\"Other-Interfaces/Other-Interfaces-1.html\">Other Interfaces</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showInterface &lt;interface&gt; [ to:&lt;stream&gt; ]      </code></pre><p>where <code>&lt;interface&gt;</code> is the Interface to be inspected.</p>\n\
<p>The optional <code>to:&lt;stream&gt;</code> keyword argument specifies a Stream Value to output the display to.</p>\n\
<p>This function displays the interface information of the interface supplied as parameter.</p>\n\
<p>The display of interface information is divided into three sections: <strong>Properties</strong>, <strong>Methods</strong>, and <strong>Actions</strong>.</p>\n\
<p>In the <strong>Properties</strong> section, each property exposed by the interface is listed along with its data type or enumeration values and whether the property can be read and written to.</p>\n\
<p>In the <strong>Methods</strong> section, each method is listed along with its return type and its argument list. The value type for each argument is shown. If the return type is shown as <code>&lt;void&gt;</code>, the method returns a value of &apos;ok&apos;. Methods that are used by <strong>Actions</strong> are commented as such. These methods typically require that the object be selected and active in the appropriate command panel.</p>\n\
<p>In the <strong>Actions</strong> section, each Action is listed along with its category and action description as shown in the Customize User Interface dialog, and the shortcut keys, if any, assigned to the Action.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ctrl = lookat_constraint() --create a new lookat constraint\n\
   showinterface ctrl.constraints --show the constraints interface\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Interface: constraints\n\
   Properties:\n\
   Methods:\n\
   &lt;index&gt;getNumTargets()\n\
   &lt;node&gt;getNode &lt;index&gt;targetNumber\n\
   &lt;float&gt;getWeight &lt;index&gt;targetNumber\n\
   &lt;boolean&gt;setWeight &lt;index&gt;targetNumber &lt;float&gt;weight\n\
   &lt;boolean&gt;appendTarget &lt;node&gt;target &lt;float&gt;weight\n\
   &lt;boolean&gt;deleteTarget &lt;index&gt;targetNumber\n\
   Actions:\n\
</code></pre></blockquote>\n\
<p>In conjunction with the <a href=\"GetInterfaces-Interface.html\">getInterfaces</a> function which returns an array of interfaces exposed by a MAXWrapper or MAXClass, the <code>showInterface</code> function can be used to get similar output as from the <a href=\"showInterfaces-Inspector.html\">showInterfaces</a> function.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interfaces.html\">Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"GetInterfaces-Interface.html\">GetInterfaces Interface Inspector</a></li>\n\
          <li><a class=\"link\" href=\"showInterfaces-Inspector.html\">showInterfaces Inspector Function</a></li>\n\
          <li><a class=\"link\" href=\"Core-Interfaces/Core-Interfaces-Documentation.html\">Core Interfaces Documentation</a></li>\n\
          <li><a class=\"link\" href=\"Other-Interfaces/Other-Interfaces-1.html\">Other Interfaces</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";