var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-74B0A138-0437-43E1-8658-C5E9D4CB448E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: ProCutter</h1></div><p><img src=\"./images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\" alt></p>\n\
<p>The <strong>ProCutter Compound Object</strong> is part of the <strong>ProBoolean</strong> Extension which is integral part of <strong>3ds Max 9</strong> and higher.</p>\n\
<p>It can be used to cut one or more stock objects using a cutter object:</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> ProCutter.CreateCutter #(&lt;object_1&gt;{,&lt;objectr_2&gt;}) &lt;addMethod&gt; &lt;stockOutsideCutter&gt; &lt;stockInsideCutter&gt; &lt;cutterOutsideStock&gt; &lt;autoExtractMesh&gt; &lt;explodeByElements&gt;      \n\
\n\
</code></pre><p>Creates a ProCutter object using node <code>&lt;operand_1&gt;</code> and multiple nodes <code>&lt;operand_2&gt;</code>, all stored in an array.</p>\n\
<p><code>#( &lt;object_1&gt; { , &lt;object_2&gt; } )</code> -Specifies the objects used to build the Cutter. Note that the cutter will take over the node and name from <code>&lt;object_1&gt;</code>. The object of the first node will become the first cutter sub-object.</p>\n\
<p><code>&lt;addMethod&gt;</code> specifies how the <code>&lt;operand_2&gt;</code> node(s) will be used.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - instance, operand is an instance of the original node</p>\n\
<p>2 - reference, operand is a reference to original node</p>\n\
<p>3 - copy, operand is a copy of original node</p>\n\
<p>4 - move, original node should be deleted</p>\n\
<p><strong>One of the following three options must be set to true:</strong></p>\n\
<p><code>&lt;stockOutsideCutter&gt;</code> specifies what to do with the portions of the Stock or Stocks outside the Cutter.</p>\n\
<p>True - keep Stock outside the Cutter</p>\n\
<p>False -remove Stock outside the Cutter</p>\n\
<p><code>&lt;stockInsideCutter&gt;</code> specifies what to do with the portions of the Stock or Stocks inside the Cutter.</p>\n\
<p>True - keep Stock inside the Cutter</p>\n\
<p>False -remove Stock inside the Cutter</p>\n\
<p><code>&lt;cutterOutsideStock&gt;</code> specifies what to do with the portions of the Cutter outside of the Stock or Stocks.</p>\n\
<p>True - keep Cutter outside of the Stock(s)</p>\n\
<p>False -remove Cutter outside of the Stock(s)</p>\n\
<p><code>&lt;autoExtractMesh&gt;</code> specifies whether the result of the operation should be maintained in the Cutter compound object or extracted into separate mesh.</p>\n\
<p>True - don&apos;t modify the cutter object, just cut the stock mesh and extract it into a new object. Note that once the operation is done, the result is an editable mesh with no sub-objects. This flag is useful if you want to use the cutter like a cookie cutter where you reuse the cutter over and over to make holes in an object.</p>\n\
<p>False - maintain all objects in the Cutter compound object.  Once the operation is performed the result is a procedural Cutter object with both cutters and stocks as sub-objects that can be edited.</p>\n\
<p><code>&lt;explodeByElements&gt;</code> specifies whether mesh elements should be separated into individual meshes.</p>\n\
<p>True - creates a separate mesh for each element. It is a good way to break apart an object into smaller volumes by setting this flag to true while <code>&lt;autoExtractMesh&gt;</code> along with <code>&lt;stockOutsideCutter&gt;</code> and <code>&lt;stockInsideCutter&gt;</code> are also set to true.</p>\n\
<p>False -create a single mesh with a mesh element for each separate volume.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ProCutter.AddStocks &lt;cutter_object&gt; #(&lt;stock_1&gt;{,&lt;stock_2&gt;}) &lt;addMethod&gt; &lt;matMethod&gt;\n\
\n\
</code></pre><p>Adds one or more stock objects to an existing ProCutter compound object.</p>\n\
<p><code>&lt;cutter_object&gt;</code> is the original ProCutter node created using <code>ProCutter.CreateCutter()</code></p>\n\
<p><code>#(&lt;stock_2&gt;{,&lt;stock_2&gt;})</code> - specifies one or more stock nodes in an array of nodes.  Note that even if you have only one stock object, you need to use an array, for example #(stockb).</p>\n\
<p><code>&lt;mat_method&gt;</code> specifies how the materials of the two operands should be handled. Possible values are:</p>\n\
<p>1 - applies operand material</p>\n\
<p>2 - retains original material</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ProCutter.getOperandSel &lt;bool_obj&gt; &lt;integer&gt; </code></pre><p>Gets the index of the operand currently selected in the operands list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ProCutter.setOperandSel &lt;bool_obj&gt; &lt;integer&gt; &lt;boolean&gt; </code></pre><p>Sets the index of the operand to be selected in the operands list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ProCutter.getDisplayResult &lt;bool_obj&gt; \n\
ProCutter.setDisplayResult &lt;bool_obj&gt; &lt;boolean&gt; </code></pre><p>These methods get and set whether Results or Operands are displayed. If true, Result is displayed. If false, Operands are displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ProCutter.getShowHiddenOps &lt;bool_obj&gt; \n\
ProCutter.setShowHiddenOps &lt;bool_obj&gt; &lt;boolean&gt; </code></pre><p>these methods get and set whether Results + Hidden Operands are displayed. If true, Results + Hidden Operands are displayed. If false, the Results or Operands as specified using <code>ProCutter.SetDisplayResult()</code> are displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ProCutter.getUpdateMode &lt;bool_obj&gt; \n\
ProCutter.setUpdateMode &lt;bool_obj&gt; &lt;integer&gt; </code></pre><p>These methods get and set the Update mode as follows:</p>\n\
<p>0 - Always</p>\n\
<p>1 - When Selected</p>\n\
<p>2 - When Rendering</p>\n\
<p>3 - Manually</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ProCutter.getDecimationPercent &lt;bool_obj&gt; \n\
ProCutter.setDecimationPercent &lt;bool_obj&gt; &lt;float&gt; </code></pre><p>These methods get and set the decimation percentage that determines the percentage of edges that will be removed from the total set of polygons on this Boolean.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ProCutter.getMakeQuad &lt;bool_obj&gt; \n\
ProCutter.setMakeQuad &lt;bool_obj&gt; &lt;boolean&gt; </code></pre><p>These methods get and set whether the operation will change the tessellation of the Boolean from triangles to quadrilaterals</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ProCutter.getQuadSizePercent &lt;bool_obj&gt; \n\
ProCutter.setQuadSizePercent &lt;bool_obj&gt; &lt;float&gt; </code></pre><p>These methods get and set the percentage of the overall length of the quadrilaterals.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ProCutter.getPlanarEdgeRemoval &lt;bool_obj&gt; \n\
ProCutter.setPlanarEdgeRemoval &lt;bool_obj&gt; &lt;integer&gt; </code></pre><p>These methods determine how the polygons on planar faces will be handled:</p>\n\
<p>1 - Removes all extra co-planar edges on a face</p>\n\
<p>2 - Removes only invisible edges on each face</p>\n\
<p>3 - No edge removal</p>\n\
<h3 id=\"scripting-procutter-operations\">Scripting ProCutter Operations</h3><p>The ProCutter is a two stage operation for scripting. First you create the cutter then you add stocks to the existing cutter.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE 1</strong></p>\n\
<p>   Create two boxes to be used in cutter and one box for stock. The resulting cutter object will contain 3 operands.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a = box length:10 height:10 width:10\n\
   b = box length:4 height:4 width:15\n\
   c = box length:13 height:15 width:10\n\
   ProCutter.CreateCutter #(a,b) 1 True False False False False\n\
   ProCutter.AddStocks a #(c) 1 1\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE 2</strong></p>\n\
<p>   This is the sort of set up to use when you want to break an object apart into separate little volumes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --- Use cutter to break apart volumes of stock\n\
   --- into separate little volumes that are extracted\n\
   --- into separate meshes.  This is what you might do\n\
   --- if you want an object to &quot;explode&quot; into smaller\n\
   --- pieces.  Note that after the operation the original\n\
   --- cutter object stays around and can be used again.\n\
   a = box length:10 height:10 width:10\n\
   b = box length:4 height:4 width:15\n\
   c = box length:13 height:15 width:10\n\
   ProCutter.CreateCutter #(a,b) 1 True True False True True\n\
   ProCutter.AddStocks a #(c) 1 1\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-for-1.html\">MAXScript Extensions for ProBoolean</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"ProBoolean-Extension.html\">ProBoolean Extension</a></li>\n\
          <li><a class=\"link\" href=\"Interface-PolyBoolean.html\">Interface: PolyBoolean</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";