var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D3F998FD-2F74-4393-B705-B3B12F6EE9CD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: LayerRootFPInterface</h1></div><p>This Function Publishing Interface is exposed by various components of <strong>3ds Max CAT</strong>.</p>\n\
<p>Please see the Exposed by section at the bottom of this page for details.</p>\n\
<h2 id=\"interface-layerrootfpinterface\">Interface: LayerRootFPInterface</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.NumLayers: integer : Read      </code></pre><p>The number of layers currently in the layer stack on this character.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SelectedLayer: integer : Read|Write   </code></pre><p>If a layer is currently selected, then this returns its index, or -1 if no layer is soloed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SoloLayer:integer: Read|Write </code></pre><p>If a layer is currently soloed, then this returns its index, or -1 if no layer is soloed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.TrackDisplayMethod: integer : Read|Write </code></pre><p>Returns the setting for Track display. This correlates to the setting on the CATParent Rollout.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;integer&gt;AppendLayer &lt;String&gt;name &lt;name&gt;method \n\
\n\
method Validated by Validator function</code></pre><p>Adds a new layer to the end of the layer stack.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $CATParent.AppendLayer NewLayerName #absolute\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;InsertLayer &lt;String&gt;name &lt;index&gt;layerID &lt;name&gt;method \n\
\n\
method Validated by Validator function</code></pre><p>Inserts a layer into the layer stack at the specified position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;RemoveLayer &lt;index&gt;layerID </code></pre><p>Removes the specified layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;MoveLayerUp &lt;index&gt;layerID </code></pre><p>Moves the specified layer up one position in the layer stack.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;MoveLayerDown &lt;index&gt;layerID </code></pre><p>Moves the specified layer down in the layer stack.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;color&gt;GetLayerColor &lt;index&gt;index</code></pre><p>Returns the Color of the indexed layer. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetLayerColor &lt;index&gt;index &lt;color&gt;newColor</code></pre><p>Sets the Color of the indexed layer to the new value specified by the second argument. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SaveClip &lt;String&gt;filename &lt;time&gt;starttime &lt;time&gt;endtime &lt;index&gt;startlayer &lt;index&gt;endlayer </code></pre><p>Saves a Clip file to the hard drive.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $CATParent.SaveClip &quot;c:\\\\backflip.clp&quot; 20 130 2 3\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SavePose &lt;String&gt;filename </code></pre><p>Saves a Pose file to the hard drive.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $CATParent.layers.controller.SavePose &quot;c:\\\\point.pse&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;LoadClip &lt;String&gt;filename &lt;time&gt;starttime scaledata:&lt;boolean&gt; transformdata:&lt;boolean&gt; mirrordata:&lt;boolean&gt; mirrorworldX:&lt;boolean&gt; mirrorworldY:&lt;boolean&gt; \n\
\n\
scaledata default value: true\n\
transformdata default value: true\n\
mirrordata default value: fals\n\
emirrorworldX default value: fals\n\
emirrorworldY default value: false</code></pre><p>Loads a Clip file from the hard drive.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;LoadPose &lt;String&gt;filename &lt;time&gt;starttime scaledata:&lt;boolean&gt; transformdata:&lt;boolean&gt; mirrordata:&lt;boolean&gt; mirrorworldX:&lt;boolean&gt; mirrorworldY:&lt;boolean&gt; \n\
\n\
scaledata default value: true\n\
transformdata default value: true\n\
mirrordata default value: false\n\
mirrorworldX default value: false\n\
mirrorworldY default value: false</code></pre><p>Loads a Pose file from the hard drive.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;String&gt;CreatePasteLayerTransformNode() </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;String&gt;GetFileTagValue &lt;String&gt;filename &lt;String&gt;tag </code></pre><p>Given a Clip or Pose file, returns a value of a specified tag in the file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;LoadHTR &lt;String&gt;filename &lt;String&gt;camfile </code></pre><p>Loads the specified HTR file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;LoadBVH &lt;String&gt;filename &lt;String&gt;camfile </code></pre><p>Loads the specified BVH file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;LoadFBX &lt;String&gt;filename &lt;String&gt;camfile </code></pre><p>Loads the specified FBX file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;LoadBIP &lt;String&gt;filename &lt;String&gt;camfile </code></pre><p>Loads the specified BIP file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;CollapsePoseToCurLayer() </code></pre><p>Takes the result of the layer stack and bakes it into a layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CollapseTimeRangeToLayer &lt;time&gt;StartTime &lt;time&gt;Endtime &lt;time&gt;Frequency regularplot:&lt;boolean&gt; NumPasses:&lt;integer&gt; PosDeltaThreshold:&lt;float&gt; RotDeltaThreshold: &lt;float&gt; \n\
\n\
regularplot default value: false\n\
NumPasses default value: 2\n\
PosDeltaThreshold default value: 1.0\n\
RotDeltaThreshold default value: 5.0</code></pre><p>Collapse the current layer stack down to one new layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;CopyLayer &lt;index&gt;LayerID </code></pre><p>Copies the Current layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;PasteLayer Instance:&lt;boolean&gt; CopyLayerInfo:&lt;boolean&gt; \n\
\n\
Instance default value: false\n\
CopyLayerInfo default value: true</code></pre><p>Pastes the layer copied using the CopyLayer method onto the layer stack.</p>\n\
<p>Exposed by</p>\n\
<p><a href=\"./../CAT-Objects/CATParent-Helper.html\">CATParent : Helper</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Transform-Controllers/CATParentTrans-Matrix3Controller.html\">CATParentTrans : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Layer-Controllers/LayerFloat-FloatController.html\">LayerFloat : FloatController</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Layer-Controllers/LayerMatrix3-Matrix3Controller.html\">LayerMatrix3 : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Layer-Controllers/LayerRoot-FloatController.html\">LayerRoot : FloatController</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Interfaces.html\">CAT Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";