var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-62FAB6B7-76AC-440E-BEC5-F6154FD8C871\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MusclePatch : Helper</h1></div><p>This Helper Object is part of <strong>3ds Max CAT</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><h2 id=\"musclepatch-interfaces-\">MusclePatch interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: CATMuscle Functions </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .DeformerType : String : Read|Write </code></pre><p>Get/set the Deformer Type as a string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .MuscleName : String : Read|Write </code></pre><p>Get/set the Muscle name as a string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .Colour : color : Read|Write </code></pre><p>Get/set the color of the Muscle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.LMR : integer : Read|Write </code></pre><p>Get/set the location of the Muscle inside the CATRig.</p>\n\
<p>Possible values are:</p>\n\
<p>-1 = Left</p>\n\
<p>0 = Middle</p>\n\
<p>1 = Right</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.NumUSegs : integer : Read|Write </code></pre><p>Get/set the number of U segments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .NumVSegs : integer : Read|Write </code></pre><p>Get/set the number of V segments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .HandleSize : float : Read|Write </code></pre><p>Get/set the handle size of the muscle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .HandlesVisible : boolean : Read|Write</code></pre><p>Get/set whether the handles are visible or not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .MiddleHandles : boolean : Read|Write </code></pre><p>Get/set whether to use middle handles or not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .Handles : node by value array : Read </code></pre><p>Contains a read-only array of <a href=\"Muscle_Handle-Helper.html\">Muscle Handles</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .NumCollisionObjects : integer : Read </code></pre><p>Get/set Contains the number of collision objects.</p>\n\
<p>See the methods below for adding and removing collision objects.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;AddCollisionObject &lt;node&gt;sphere </code></pre><p>Adds a collision object .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;RemoveCollisionObject &lt;index&gt;index </code></pre><p>Removes the indexed collision object .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;node&gt;GetCollisionObject &lt;index&gt;index </code></pre><p>Returns the indexed collision object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;float&gt;GetCollisionObjectDistortion &lt;index&gt;index </code></pre><p>Returns the indexed collision object&apos;s Distortion value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;SetCollisionObjectDistortion &lt;index&gt;index &lt;float&gt;value </code></pre><p>Sets the indexed collision object&apos;s Distortion value to the floating point value supplied as second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;float&gt;GetCollisionObjectHardness &lt;index&gt;index </code></pre><p>Returns the indexed collision object&apos;s Hardness value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;SetCollisionObjectHardness &lt;index&gt;index &lt;float&gt;value </code></pre><p>Sets the indexed collision object&apos;s Hardness value to the floating point value supplied as second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;MoveCollisionObjectUp &lt;index&gt;index </code></pre><p>Moves the indexed collision object up on the collision objects list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;MoveCollisionObjectDown &lt;index&gt;index </code></pre><p>Moves the indexed collision object down on the collision objects list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;PasteMuscle &lt;maxObject&gt;SourceMuscle </code></pre><p>Pastes the muscle provided by the argument.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Objects.html\">CAT Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";