var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3772FD0A-117C-48BE-B184-34DADDFE50C1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>HairEffect : RenderEffect</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">HairEffect - superclass: renderEffect; super-superclass:MAXWrapper - classID: #(988153529, 337462665) </code></pre><p>The <strong>HairEffect RenderEffect</strong> available since <strong>3ds Max 8</strong> is responsible for the rendering of the hair.</p>\n\
<p><strong>Constructor</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">HairEffect... </code></pre><blockquote>\n\
<p>   <strong>USAGE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   s=sphere()\n\
\n\
   theHair = HairEffect()--create an instance of the effect\n\
   addEffect theHair--add to the listin theEffects dialog\n\
   --BUT!\n\
   --Adding a Hair WSM to a scene object will add\n\
   --a HairEffect to the list automatically!\n\
   --Thus, you can simply get the existing one:\n\
   addModifier $Sphere001 (HairMod())--add Hair WSM to Sphere001\n\
   --At this point, if no HairEffect exists in the Effects dialog,\n\
   --it will be added automatically. Let&apos;s find it by going through\n\
   --all effects by index and asking each one for its class:\n\
   theEffects = (\n\
     for i = 1 to numEffects where classof (getEffect i) == HairEffect collect (getEffect i)\n\
   )\n\
\n\
   --At this point we should have at least one HairEffect.\n\
   --Let&apos;s take the first one:\n\
   if theEffects.count &gt; 0 do theHair = theEffects[1]\n\
\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-975EB557-87D6-40AC-A989-72D79A52806C-low.gif\" alt></p>\n\
<p><strong>Properties:</strong></p>\n\
<h2 id=\"hair-rendering-options\">Hair Rendering Options</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.hairMode Integer default: 1 -- integer; Hair_Mode   </code></pre><p>Get/set the Hair Rendering Mode.</p>\n\
<p>Possible values are:</p>\n\
<p>1- buffer(default)</p>\n\
<p>2- geometry</p>\n\
<p>3- MR prim</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.lightingMode Integer default: 1 -- integer; Lighting_Param </code></pre><p>Get/set the Hair Lighting Mode.</p>\n\
<p>Possible values are:</p>\n\
<p>0 -emulation</p>\n\
<p>1 - native(default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.Raytrace_Reflections_Refractions BooleanClass default: false -- boolean; Raytrace_the_Reflections_and_Refractions </code></pre><p>Get/set the state of the Raytrace Reflections/Refractions checkbox.</p>\n\
<h2 id=\"motion-blur\">Motion Blur</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.mbDuration Float default: 0.5 -- float; MB_Duration </code></pre><p>Get/set the Motion Blur duration value. Default is 0.5.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.mbIntervalType Integer default: 1 -- integer; MB_Interval_Type </code></pre><p>Get/set the Motion Blur type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - start</p>\n\
<p>1 - middle(default)</p>\n\
<p>2 - end</p>\n\
<h2 id=\"buffer-rendering-options\">Buffer Rendering Options</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.overSampling Integer default: 3 -- integer </code></pre><p>Get/set the Oversampling option.</p>\n\
<p>The values corresponding to the options in the User Interface are:</p>\n\
<p>1 - draft</p>\n\
<p>3 - low</p>\n\
<p>8 - med</p>\n\
<p>15 - high</p>\n\
<p>23 - maximum</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.tileMemoryUsage Integer default: 70 -- integer; Tile_Memory_Usage_Param </code></pre><p>Get/set the Tile Memory Usage value in MB.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.transparencyDepth Integer default:30 -- integer; Transparency_Depth_Param </code></pre><p>Get/set the Transparency Depth value.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<h2 id=\"composite-method\">Composite Method</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.compositionMethod Integer default: 0 -- integer; Composition_Method </code></pre><p>Get/set the Composite method when rendering in Buffer mode.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Normal(default)</p>\n\
<p>1 - GBuffer</p>\n\
<p>2 - None</p>\n\
<p>3 - Off</p>\n\
<h2 id=\"occlusion-objects\">Occlusion Objects</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.occlusionSetType Integer default: 0 -- integer; Occlusion_Set_Type </code></pre><p>Get/set the Occlusion type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Auto(default)</p>\n\
<p>1 - All</p>\n\
<p>2 - Custom</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.occlusionNodesArray Parameter default: #() -- node array; Occlusion_Nodes; SubAnim </code></pre><p>Get/set the Occlusion Nodes array. Default is #().</p>\n\
<h2 id=\"global-illumination\">Global Illumination</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.applyGI BooleanClass default: false -- boolean; Apply_GI </code></pre><p>Get/set the state of the Apply Skylight checkbox.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.GI_Multiplier Float default: 2.0 -- float </code></pre><p>Get/set the value of the Multiplier slider.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<h2 id=\"lighting\">Lighting</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.shadowDensity Float default: 100.0 -- animatable; float; Shadow_Density </code></pre><p>Get/set the Shadow Density value. Specifies the relative darkness of the shadows. At the default/highest value of 100.0, the shadows are darkest. At the lowest value of 0.0, the shadows are fully transparent, so they do not render. Range 0.0 to 100.0. Default is 100.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.useAllLightsBooleanClass default: true -- boolean; Use_All_Lights </code></pre><p>Get/set the state of the Use All Lights option. Corresponds to the &quot;Use all lights at render time&quot; checkbox in the UI.</p>\n\
<p>When set to true (default), all spot lights in the scene illuminate and cast shadows from hair when the scene is rendered. When set to false, only spot lights with Hair properties affect the hair.</p>\n\
<p>For details on adding and removing Hair properties to/from spot lights, see the methods <strong>addHairProperties</strong> and <strong>removeHairProperties</strong> in <a href=\"Interface-Hair.html\">Interface: Hair</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-for-Hair.html\">MAXScript Extensions for Hair &amp; Fur</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../MAXScript-Extensions-for-Hair.html\">MAXScript Extensions for Hair &amp; Fur</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";