var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5A23B9AC-715E-4FA6-ABA8-4A9D5DB802C8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>PipeReferenceTarget : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PipeReferenceTarget - superclass: ReferenceTarget; super-superclass:MAXWrapper - 22:0 - classID: #(1137313559, 554188032) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>PipeReferenceTarget</strong> Particle Data View sub-operator combines data from different streams according to conditions and data in a valve stream.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PipeReferenceTarget... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.Data_Type Integer default: 6 -- integer </code></pre><p>Get/set the selection of the <strong>&quot;Data Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Boolean</strong></p>\n\
<p>1 - <strong>Complex</strong></p>\n\
<p>2 - <strong>Integer</strong></p>\n\
<p>3 - <strong>Matrix</strong></p>\n\
<p>4 - <strong>Pair</strong></p>\n\
<p>5 - <strong>Quaternion</strong></p>\n\
<p>6 - <strong>Real</strong> (default)</p>\n\
<p>7 - <strong>Time</strong></p>\n\
<p>8 - <strong>Vector</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.Valve_Type Integer default: 1 -- integer </code></pre><p>Get/set the selection of the <strong>&quot;Valve Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Angle</strong></p>\n\
<p>1 - <strong>Boolean</strong></p>\n\
<p>2 - <strong>Float</strong></p>\n\
<p>3 - <strong>Integer</strong></p>\n\
<p>4 - <strong>Percent</strong></p>\n\
<p>5 - <strong>Time</strong></p>\n\
<p>6 - <strong>World Unit</strong></p>\n\
<p>7 - <strong>Vector</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.Vector_Valve_Type Integer default: 0 -- integer </code></pre><p>Get/set the selection of the Valve &gt; Vector Use drop-down list used when <code>Valve_Type</code> is 7 - <strong>Vector</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Maximal Component</strong></p>\n\
<p>1 - <strong>Max Absolute Component</strong></p>\n\
<p>2 - <strong>Minimal Component</strong></p>\n\
<p>3 - <strong>Min Absolute Component</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.Integer_Valve_Type Integer default: 0 -- integer </code></pre><p>Get/set the selection of the Valve &gt; Integer Use drop-down list used when <code>Valve_Type</code> is 3 - <strong>Integer</strong></p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Interval</strong> (default)</p>\n\
<p>1 - <strong>Exact Match</strong></p>\n\
<h2 id=\"pipe-conditions-group-of-controls\">Pipe Conditions group of controls</h2><p>Setting this property to empty array #() is equivalent to pressing the <strong>&quot;Remove All&quot;</strong> button in the sub-operator&apos;s UI.</p>\n\
<p>Appending to this array is equivalent to specifying a value in the UI and pressing the <strong>&quot;Add&quot;</strong> button.</p>\n\
<p>Setting this parameter will not update the &quot;Pipe Condition&quot; listbox if the UI is displayed. Setting the <code>.Data_Type</code> to itself can be used as a workaround to refresh the UI display.</p>\n\
<p>The whole array can be set at once, e.g setting <code>.Angle_Conditions=#(0.0, 1.0, 3.0)</code> will result in the Pipe Condition <strong>&quot;R2 if R1 &lt;= 0; R3 if R1 &lt;= 1; R4 if R1 &lt;= 3; R5 if R1 &gt; 3&quot;</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.Angle_Conditions ArrayParameter default: #() -- angle array </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.Float_Conditions ArrayParameter default: #() -- float array </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.Integer_Conditions ArrayParameter default: #() -- int array </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.Percent_Conditions ArrayParameter default: #() -- percent array </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.Time_Conditions ArrayParameter default: #() -- time array </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.World_Unit_Conditions ArrayParameter default: #() -- worldUnits array </code></pre><p>Get/set the array of Condition values for the respective Data Type setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.Condition_Is_Rate BooleanClass default: false -- boolean </code></pre><p>Get/set the state of the <strong>&quot;Condition Is Speed Value&quot;</strong> / <strong>&quot;Condition Is Spin Rate&quot;</strong> used when <code>.Data_Type</code> is set to 6 - <strong>Real</strong> and <code>.Valve_Type</code> is either 6 - <strong>World Units</strong> or 0 - <strong>Angle</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.Units_Per_Type Integer default: 1 -- integer </code></pre><p>Get/set the selection of the <strong>&quot;Units Per&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Frame</strong></p>\n\
<p>1 - <strong>Second</strong> (default)</p>\n\
<p>2 - <strong>Tick</strong></p>\n\
<h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.Input_Valve UndefinedClass default: undefined -- maxObject </code></pre><p>Get/set the sub-operator object connected to the Valve input socket.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.Input_1 UndefinedClass default: undefined -- maxObject </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.Input_2 UndefinedClass default: undefined -- maxObject </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.Input_3 UndefinedClass default: undefined -- maxObject </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.Input_4 UndefinedClass default: undefined -- maxObject </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.Input_5 UndefinedClass default: undefined -- maxObject </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.Input_6 UndefinedClass default: undefined -- maxObject </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.Input_7 UndefinedClass default: undefined -- maxObject </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.Input_8 UndefinedClass default: undefined -- maxObject </code></pre><p>Get/set the sub-operators connected to the corresponding Input sockets of the PipeReferenceTarget sub-operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PipeReferenceTarget&gt;.Filter UndefinedClass default: undefined -- maxObject </code></pre><p>Get/set the sub-operator connected to the Filter socket of the PipeReferenceTarget sub-operator.</p>\n\
<h2 id=\"pipereferencetarget-interfaces-\">PipeReferenceTarget interfaces:</h2><p><strong>The following common interface is exposed by the PipeReferenceTarget Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";