var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7D6D32F8-ACFA-453E-85B7-B8068ED93442\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Cache : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Cache - superclass: helper; super-superclass:node - classID: #(1962490661, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Cache</strong> operator records and stores particle states to memory.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Cache... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache&gt;.Use_At Integer default: 0 -- integer </code></pre><p>Controls the state of <strong>Use At</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Viewport</strong></p>\n\
<p>1: <strong>Render</strong></p>\n\
<p>2: <strong>Viewport/Render</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache&gt;.Update_Type Integer default: 0 -- integer </code></pre><p>Controls the state of the <strong>Update</strong> drop-down list. Determines whether <strong>Particle Flow</strong> should update the cache automatically, or let you do it manually.</p>\n\
<p>0: <strong>Always</strong> - Changing any parameter under the <strong>Cache</strong> operator&apos;s purview causes it automatically to update stored data from the start of the current range (see next parameter) to the current frame.</p>\n\
<p>1: <strong>Manually</strong> - updating occurs only when you click the Update button, or clear the cache and then move to a different frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache&gt;.Range_Type Integer default: 1 -- integer </code></pre><p>Controls the index of the Range drop-down list. Sets the frame range within which the Cache operator operates:</p>\n\
<p>0: <strong>Complete</strong> - The software caches the entire animation.</p>\n\
<p>1: <strong>Active Segment</strong> - The software caches only frames in the active segment, as defined by the Start Time and End Time settings on the Time Configuration dialog.</p>\n\
<p>2: <strong>Custom</strong> - The software caches only frames in the custom range, as defined by the Cache operator&apos;s Start Time and End Time settings (see following).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache&gt;.Start_Time Time default: 0f -- time </code></pre><p>The first frame of the range considered for caching when <code>.Range_Type</code> is set to <strong>2 : Custom</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache&gt;.End_Time Time default: 30f -- time </code></pre><p>The last frame of the range considered for caching when <code>.Range_Type</code> is set to <strong>2 : Custom</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache&gt;.Sampling_Type Integer default: 0 -- integer </code></pre><p>Controls the state of the Sampling drop-down list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache&gt;.Every_Nth_Frame Integer default: 5 -- integer </code></pre><p>Specifies the Nth frame to sample.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache&gt;.Cache_Test_Results BooleanClass default: true -- boolean </code></pre><p>When caching particle data, setting this to <strong>true</strong> caches the results of test actions as well.</p>\n\
<p>This is important if <strong>Cache</strong> is used as a local operator, and the next event doesn&#x2019;t have a <strong>Cache</strong> operator. For the next event to work properly, it should receive particles from the current event. Those particles result from the activity of a test action. The <strong>Cache</strong> operator can record the test activity to play it back later.</p>\n\
<p>If the <strong>Cache</strong> operator is used as a global operator, there is no need to cache the test results. This is because the system has cache data for every event, and is able to jump to an arbitrary frame without the need for test results.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache&gt;.Cache_With_Hold BooleanClass default: false -- boolean </code></pre><p>When set to <strong>true</strong>, cached data will be saved with backup files.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache&gt;.Cache_With_File BooleanClass default: false -- boolean; alias:Record_Hold </code></pre><p>When set to <strong>true</strong>, cached data will be saved in the Hold file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache&gt;.Clear_Range_Type Integer default: 1 -- integer; alias: Range_Type </code></pre><p>Controls the state of the Manual Update Range drop-down list in the UI. Specifies the frame range within which the Cache operator recalculates data when using Manual Update.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Complete</strong> - The software <em>clears</em> the cache for entire animation. Choosing Complete makes the Update button unavailable; this option is for clearing the cache only.</p>\n\
<p>1: <strong>Active Segment</strong> - The software updates the cache only for frames in the active segment, as defined by the Start Time and End Time settings on the Time Configuration dialog.</p>\n\
<p>2: <strong>Custom</strong> - The software updates the cache only for only frames in the custom range, as defined by the <code>Clear_ Start_Time</code> and <code>Clear_End_Time</code> properties (see below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache&gt;.Clear_Start_Time Time default: 0f -- time </code></pre><p>The first frame of the range considered for caching when <code>.Clear_Range_Type</code> is set to <strong>1</strong> : <strong>Custom</strong> (see above).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache&gt;.Clear_End_Time Time default: 30f -- time </code></pre><p>The last frame of the range considered for caching when <code>.Clear_Range_Type</code> is set to <strong>1</strong> : <strong>Custom</strong> (see above).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache&gt;.Memory_Limit Integer default: 100000 -- integer; alias: Memory_Limit__K </code></pre><p>Get/Set the maximum amount of system memory used to cache particle data, in kilobytes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache&gt;.Memory_Total Integer default: 0 -- integer; alias: Memory_Total__K </code></pre><p>Returns the amount of memory currently used by the cached data, in kilobytes. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache&gt;.Memory_for_Current_Frame Integer default: 0 -- animatable; integer alias: Memory_for_Current_Frame__K </code></pre><p>Returns the amount of memory used by the data cached for the current frame, in kilobytes. Read-only.</p>\n\
<h2 id=\"cache-interfaces-\">Cache Interfaces:</h2><p><strong>The following Interfaces are exposed by the Cache Class:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Meta-Operators.html\">Meta-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";