var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1BF2E981-5910-43AD-8D4A-340C70B90FE7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Cache_Selective : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Cache_Selective - superclass: helper; super-superclass:node - 22:0 - classID: #(1935830028, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Cache_Selective</strong> operator records particle states for faster feedback. Some particle properties can be excluded from caching, and extra operators can be called to restore the data.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Cache_Selective...\n\
CacheSelective...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.Use_At     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Use At&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Viewport</strong></p>\n\
<p>1 - <strong>Render</strong></p>\n\
<p>2 - <strong>Viewport/Render</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.Range_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Range&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Active Segment</strong> (default)</p>\n\
<p>1 - <strong>Custom</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.Start_Time     Time    default: 0f   --  time</code></pre><p>Get/set the value of the <strong>&quot;Start Time&quot;</strong> spinner.</p>\n\
<p>It is only used when the <code>.Range_Type</code> property is set to 1 - <strong>Custom</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.End_Time     Time    default: 30f   --  time</code></pre><p>Get/set the value of the <strong>&quot;End Time&quot;</strong> spinner.</p>\n\
<p>It is only used when the <code>.Range_Type</code> property is set to 1 - <strong>Custom</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.Sampling_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Sampling&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Every Frame</strong> (default)</p>\n\
<p>1 - <strong>Integration Step</strong></p>\n\
<p>2 - <strong>Nth Frame</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.Every_Nth_Frame     Integer    default: 5   --  integer</code></pre><p>Get/set the value of the <strong>&quot;N&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.Cache_Test_Results     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Cache Test Results&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.Save_Cache_With_File     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Save Cache With File&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.Save_Cache_With_Hold     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Save Cache With Hold&quot;</strong> checkbox.</p>\n\
<h2 id=\"update-and-reset-group-of-controls\">Update And Reset group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.Update_Clear_Range_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>Update And Reset &gt; &quot;Range&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Active Segment</strong> (default)</p>\n\
<p>1 - <strong>Custom</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.Update_Clear_Start_Time     Time    default: 0f   --  time</code></pre><p>Get/set the value of the <strong>Update And Reset &gt; &quot;Start Time&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.Update_Clear_End_Time     Time    default: 30f   --  time</code></pre><p>Get/set the value of the <strong>Update And Reset &gt; &quot;End Time&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.Update_Viewports     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Update Viewports&quot;</strong> checkbox.</p>\n\
<h2 id=\"exclude-data-from-cache-group-of-controls\">Exclude Data From Cache group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.Exclude_Shape     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Shape&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.Exclude_Scale     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Scale&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.Exclude_Mapping     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Mapping&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.Exclude_Script_Data     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Script Data&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.Exclude_Material_ID     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Material ID&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.Exclude_Rotation     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Rotation&quot;</strong> checkbox.</p>\n\
<h2 id=\"post-cache-operators-group-of-controls\">Post-Cache Operators group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.Use_Post_Cache_Operators     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Use Post Cache Operators&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.Post_Cache_Operators     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>Get/set the array of post-cache operators.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cache_Selective&gt;.Memory_Limit     Integer    default: 4192   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Memory Limit&quot;</strong> spinner.</p>\n\
<h2 id=\"cache_selective-interfaces-\">Cache_Selective interfaces:</h2><p><strong>Interface: cache</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Cache_Selective&gt;.update()</code></pre><p>Presses the <strong>&quot;Update&quot;</strong> button in the <strong>&quot;Update And Reset&quot;</strong> group of controls.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Cache_Selective&gt;.clear()</code></pre><p>Presses the <strong>&quot;Clear&quot;</strong> button in the <strong>&quot;Update And Reset&quot;</strong> group of controls.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Cache_Selective&gt;.updateAll()</code></pre><p>Presses the <strong>&quot;Update All&quot;</strong> button in the <strong>&quot;Update And Reset&quot;</strong> group of controls.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Cache_Selective&gt;.clearAll()</code></pre><p>Presses the <strong>&quot;Clear All&quot;</strong> button in the <strong>&quot;Update And Reset&quot;</strong> group of controls.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Cache_Selective&gt;.clearMemory()</code></pre><p>Presses the <strong>&quot;Clear Memory&quot;</strong> button.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Cache_Selective&gt;.clearMemoryAll()</code></pre><p>Presses the <strong>&quot;Clear All&quot;</strong> button.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the Cache_Selective Class:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Meta-Operators.html\">Meta-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";