var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E0C6CB13-9DE5-494D-850B-9A6543419F60\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>DisplayData : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DisplayData - superclass: helper; super-superclass:node - 21:0 - classID: #(1935830030, 515064320)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>DisplayData</strong> operator shows numerical data created by Data operators. Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DisplayData...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DisplayData&gt;.Show_Numbering     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Show Particle IDs&quot;</strong> checkbox.</p>\n\
<p>When set to True, the operator will display each particle&apos;s ID number before the displayed data. The ID number is followed by a &gt; symbol to distinguish it from the data.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DisplayData&gt;.Color     Color    default: (color 9 68 154)   --  RGB color</code></pre><p>Get/set the value of the color used for data display.</p>\n\
<p>A new color will be assigned to each new DisplayData operator to distinguish the different values in the viewport.</p>\n\
<p>The colors are not fully random, they are assigned in the same pseudo-random pattern: (color 9 68 154), (color 98 222 251), (color 96 96 96), (color 196 29 29) ... in each <strong>3ds Max</strong> session.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DisplayData&gt;.Add_Prefix     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Add Prefix&quot;</strong> checkbox.</p>\n\
<p>This property lets you add a custom Prefix specified by the <code>.Prefix_Text</code> property (see below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DisplayData&gt;.Prefix_Text     String    default: &quot;Data&quot;   --  string</code></pre><p>Get/set the value of the Prefix text field.</p>\n\
<p>The prefix is added between the ID (if shown) and the Data. It adds an offset between the Prefix and Data automatically.</p>\n\
<h2 id=\"show-data-channel-group-of-controls\">Show Data Channel group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DisplayData&gt;.Data_Channel     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Data Channel object to display data from.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DisplayData&gt;.Data_Handle     Integer    default: 0   --  integer</code></pre><p>Get/set the Data Handle of the Data Channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DisplayData&gt;.Real_Show_As     Integer    default: 1   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Show As&quot;</strong> drop-down list displayed when the Data Channel Type is <strong>&quot;Real&quot;</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Angle</strong></p>\n\
<p>1 - <strong>Float</strong> (default)</p>\n\
<p>2 - <strong>Percent</strong></p>\n\
<p>3 - <strong>World Unit</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DisplayData&gt;.Vector_Show_As     Integer    default: 3   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Show As&quot;</strong> drop-down list displayed when the Data Channel Type is <strong>&quot;Vector&quot;</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Euler Angles</strong></p>\n\
<p>1 - <strong>Float Triplet</strong></p>\n\
<p>2 - <strong>Percent Triplet</strong></p>\n\
<p>3 - <strong>World Unit</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DisplayData&gt;.Quaternion_Show_As     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Show As&quot;</strong> drop-down list displayed when the Data Channel Type is <strong>&quot;Quaternion&quot;</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Axis/Angle</strong> (default)</p>\n\
<p>1 - <strong>Euler Angles</strong></p>\n\
<p>2 - <strong>Quaternion</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DisplayData&gt;.Matrix_Show_As     Integer    default: 3   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Show As&quot;</strong> drop-down list displayed when the Data Channel Type is <strong>&quot;Matrix&quot;</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vector X</strong></p>\n\
<p>1 - <strong>Vector Y</strong></p>\n\
<p>2 - <strong>Vector Z</strong></p>\n\
<p>3 - <strong>Translation</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DisplayData&gt;.Pair_Show_As     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Show As&quot;</strong> drop-down list displayed when the Data Channel Type is <strong>&quot;Pair&quot;</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Coordinates</strong> (default)</p>\n\
<p>1 - <strong>Compound Index</strong></p>\n\
<p>2 - <strong>Object Index</strong></p>\n\
<p>3 - <strong>Face Index</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DisplayData&gt;.Complex_Show_As     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Show As&quot;</strong> drop-down list displayed when the Data Channel Type is <strong>&quot;Complex&quot;</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Coordinates</strong> (default)</p>\n\
<p>1 - <strong>Compound Index</strong></p>\n\
<p>2 - <strong>Object Index</strong></p>\n\
<p>3 - <strong>Face Index</strong></p>\n\
<p>4 - <strong>Time</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DisplayData&gt;.Rate_Value     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the Rate Value checkbox available in the following cases:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Data Channel Type</th>\n\
<th>&quot;Show As&quot; Setting</th>\n\
<th>Rate Value Function</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Real</td>\n\
<td>0 - Angle</td>\n\
<td>Spin Rate Value</td>\n\
</tr>\n\
<tr>\n\
<td>Real</td>\n\
<td>3 - World Unit</td>\n\
<td>Speed Value</td>\n\
</tr>\n\
<tr>\n\
<td>Vector</td>\n\
<td>0 - Euler Angles</td>\n\
<td>Spin Rate Value</td>\n\
</tr>\n\
<tr>\n\
<td>Vector</td>\n\
<td>3 - World Unit</td>\n\
<td>Speed Value</td>\n\
</tr>\n\
<tr>\n\
<td>Quaternion</td>\n\
<td>0 - Axis/Angle</td>\n\
<td>Spin Rate Value</td>\n\
</tr>\n\
<tr>\n\
<td>Quaternion</td>\n\
<td>1 - Euler Angles</td>\n\
<td>Spin Rate Value</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DisplayData&gt;.Units_Per_Type     Integer    default: 2   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Units Per&quot;</strong> drop-down list.</p>\n\
<p>When <code>.Rate_Value</code> is set to True, this property provides the time frame within which to calculate the Speed Value or Spin Rate Value.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Tick</strong></p>\n\
<p>1 - <strong>Frame</strong></p>\n\
<p>2 - <strong>Second</strong> (default)</p>\n\
<h2 id=\"screen-offset-pixels-group-of-controls\">Screen Offset - pixels group of controls</h2><p>The following properties can be used to adjust the positioning of the data display relative to the particle position, in pixels.</p>\n\
<p>By using different offset values and several DisplayData operators, multiple data values can be shown at once without overlapping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DisplayData&gt;.Offset_LeftRight     Integer    default: 0   --  integer; Offset_Left_Right</code></pre><p>Get/set the value of the <strong>&quot;Left / Right&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DisplayData&gt;.Offset_UpDown     Integer    default: 0   --  integer; Offset_Up_Down</code></pre><p>Get/set the value of the <strong>&quot;Up / Down&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DisplayData&gt;.Offset_InOut     Integer    default: 0   --  integer; Offset_In_Out</code></pre><p>Get/set the value of the <strong>&quot;In / Out&quot;</strong> spinner.</p>\n\
<h2 id=\"show-ids-and-data-on-group-of-controls\">Show IDs and Data on group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DisplayData&gt;.Filter_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Show IDs and Data on&quot;</strong> drop-down list.</p>\n\
<p>This properties filters the particles to display the ID and Data on.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>All Particles</strong> - Displays data for all particles in the viewports.</p>\n\
<p>1 - <strong>Selected Particles Only</strong> - Displays data only for selected particles.</p>\n\
<p>2 - <strong>Group Selected Only</strong> - Displays data only for group-selected particles. Use the <code>.Group_Selection</code> property (see below) to specify the <a href=\"./../Operators/Groups/Group_Select-Helper.html\">Group_Selection Operator</a> to use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DisplayData&gt;.Group_Selection     UndefinedClass    default: undefined   --  node</code></pre><p>Get/set the <a href=\"./../Operators/Groups/Group_Select-Helper.html\">Group_Selection Operator</a> to be used when <code>.Filter_Type</code> is set to 2 - <strong>Group Selected Only</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DisplayData&gt;.Precision     Integer    default: 2   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Precision&quot;</strong> spinner.</p>\n\
<p>For float values, this properties sets the number of decimal places displayed.</p>\n\
<p>The range is from 0 to 8 (where 0 is no decimal places).</p>\n\
<h2 id=\"execution-order-group-of-controls\">Execution Order group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DisplayData&gt;.Execution_Order     Integer    default: 1   --  radiobtnIndex</code></pre><p>Get/set the state of the <strong>&quot;Execution Order&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Pre</strong> - Shows particle data values before any operator in the Event is executed.</p>\n\
<p>1 - <strong>Normal</strong> (default) - The data are shown as of the current execution order of the operators. You can use two Display Data operators - above and below the Data Operator in question - to see how the Data Operator changes some data.</p>\n\
<p>2 - <strong>Post</strong> - Data values will be shown after all the operators in the Event are executed.</p>\n\
<h2 id=\"displaydata-interfaces-\">DisplayData Interfaces:</h2><p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Meta-Operators.html\">Meta-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";