var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-087F8716-9E1A-4B63-93ED-D1272749C651\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>displayParticles : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">displayParticles- superclass: helper super-superclass:node - classID: #(1962490626, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>DisplayParticles</strong> object exposes the <strong>Display</strong> operator and lets you specify how particles appear in the viewports. In addition to geometry, it provides a variety of simple shapes that provide fast feedback in testing animation, as well as the ability to easily distinguish among particles in different events. It also lets you set the percentage of visible particles.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DisplayParticles... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;displayParticles&gt;.Type Integer default:2 -- integer </code></pre><p>Controls how particles appear in the viewports. The two-dimensional particle markers depict position only. Geometry shows how particles will actually render, in three dimensions; Lines shows speed and direction of motion; and BoundingBox reflects scale and orientation.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>None</strong> - Particles do not appear in the viewports.</p>\n\
<p>1: <strong>Dots</strong> - Each particle appears as a single pixel.</p>\n\
<p>2: <strong>Ticks</strong> - Each particle appears as a + sign.</p>\n\
<p>3: <strong>Circles</strong> - Each particle appears as a small circle.</p>\n\
<p>4: <strong>Lines</strong> - Each particle appears as a line, one pixel thick. The line&apos;s length indicates particle speed, and its orientation reflects the direction of motion. Use this option for fast, accurate feedback when experimenting with the Speed operators.</p>\n\
<p>5: <strong>BoundingBox</strong> - Each particle appears as a bounding box. Use this option for a good representation of the final animation, at a slight cost in computational speed.</p>\n\
<p>6: <strong>Geometry</strong> - Each particle appears as its actual geometry. Use this option for the best representation of the final animation, at the greatest cost in computational speed.</p>\n\
<p>7: <strong>Diamonds</strong> - Each particle appears as a diamond.</p>\n\
<p>8: <strong>Boxes</strong> - Each particle appears as a small square.</p>\n\
<p>9: <strong>Asterisks</strong> - Each particle appears as an asterisk (*).</p>\n\
<p>10: <strong>Triangles</strong> - Each particle appears as a small triangle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;displayParticles&gt;.Visible Float default:100.0 --percentage </code></pre><p>Specifies the percentage of particles visible in the viewports. This option lets you speed up viewport redrawing by reducing the number of visible particles</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;displayParticles&gt;.Color RGB color </code></pre><p>Get/Set the color used to draw particles in the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;displayParticles&gt;.Show_Numbering Boolean default:false </code></pre><p>When set to <code>true</code> , each particle&apos;s unique index number is visible in the viewports. Particles are numbered in the order of their birth, starting with 1 for the first particle born</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;displayParticles&gt;.Selected_Type Integer default:2 </code></pre><p>Controls how selected particles appear in the viewports. The options are the same as in <code>.Type</code> .</p>\n\
<h2 id=\"displayparticles-interfaces-\">displayParticles Interfaces:</h2><p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Meta-Operators.html\">Meta-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"renderParticles-Helper.html\">renderParticles : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";