var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C31B3CDE-5AF5-4100-99DC-F29DA5808EE8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Birth_Paint : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Birth_Paint - superclass: helper; super-superclass:node - 10:0 - classID:#(1395943170, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Birth_Paint</strong> operator allows the placement of particles by painting in the viewport.</p>\n\
<p>The <strong>Birth_Paint</strong> operator uses a Particle Paint Helper as a reference for creating particles. With the Particle Paint helper, particle seeds are placed on an object with a specific pattern and timing. The <strong>Birth_Paint</strong> operator creates particles from these seeds, initializing particle position, rotation, mapping and selection status.</p>\n\
<p>The <strong>Birth_Paint</strong> operator was first added to <strong>3ds Max</strong> as part of the Creativity Extension to <strong>3ds Max 2009</strong> and became integral part in <strong>3ds Max 2010</strong>.It was previously available in the Particle Flow Tools Box #1.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Birth_Paint... </code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"particle-paint-helper\">Particle Paint Helper</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Paint&gt;.Particle_Paint_Helper: node   </code></pre><p>Get/set the Particle Paint Helper used to define the seeds for particle generation.</p>\n\
<h2 id=\"timing\">Timing</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Paint&gt;.Emit_Type: radiobtnIndex </code></pre><p>Get/set the type of particle emission.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Emit Start and Stop Range</strong> (default)</p>\n\
<p>1 - <strong>Emit Start and Duration</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Paint&gt;.Emit_Start: integer </code></pre><p>Get/set the Emit Start value which controls the time particles start emitting, starting with particle seeds at the start of the first stroke.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Paint&gt;.Emit_Stop: integer </code></pre><p>Get/set the EmitStopvalueused when Emit_Type is set to 0.</p>\n\
<p>The time to emit all strokes in the Particle Paint helper is scaled to fit the time between Emit Start and Emit Stop.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Paint&gt;.Duration: integer </code></pre><p>Get/set the Emit Duration valueused when Emit_Type is set to 1. In this case, the time to emit all strokes in the Particle Paint helper is equal to the Duration value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Paint&gt;.Subframe_Sampling: boolean </code></pre><p>Get/set the state of the Subframe Sampling option.</p>\n\
<p>When set to true, particles are emitted on the sub-frame timing as defined by the strokes&#x2019; timing and the Emit Start and Emit Stop values. This can help avoid particle clumps.</p>\n\
<p>When set to false, the particle creation time is clamped to the nearest whole frame value.</p>\n\
<h2 id=\"lock-at-painted-objects-\">Lock At Painted Objects:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Paint&gt;.Lock_Position: boolean </code></pre><p>Get/set the state of the Lock At Painted Object &gt; Position option.</p>\n\
<p>When set to true, causes all particles&#x2019; pivot points to stick firmly to the painted objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Paint&gt;.Lock_Rotation: boolean </code></pre><p>Get/set the state of the Lock At Painted Object &gt; Rotation option.</p>\n\
<p>When set to true, causes all particles to retain their original orientations. Even if the painted object has surface animation, particles retain the same normal orientation they had at the moment of generation.</p>\n\
<h2 id=\"acquire-selection\">Acquire Selection</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Paint&gt;.Acquire_Selection: boolean </code></pre><p>Get/set the state of the Acquire Selection option.</p>\n\
<p>When set to true, the operator will use the Particle Paint helper selection. This selection overwrites the PF Source particle selection, if any. The Sub-Object selection type is controlled by the <strong><code>.Selection_Type</code></strong> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Paint&gt;.Selection_Type: radiobtnIndex </code></pre><p>Get/set the Sub-Object selection type for the Acquire Selection option.</p>\n\
<p>Possible values are</p>\n\
<p>0 - <strong>Particles</strong> (default)</p>\n\
<p>1 - <strong>Strokes</strong></p>\n\
<h3 id=\"birth_paint-interfaces-\">Birth_Paint Interfaces:</h3><p><strong>The following Interfaces are exposed by the Birth_Paint Class:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Birth-and-Death.html\">Birth and Death</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Birth-Helper.html\">Birth : Helper</a></li>\n\
          <li><a class=\"link\" href=\"Birth_Script-Helper.html\">Birth_Script : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";