var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B80BF1BB-0B62-4BF8-BB54-6D29A6954B08\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Birth_Texture : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Birth_Texture - superclass: helper; super-superclass:node -37:0 - classID:#(1395943176, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Birth_Texture</strong> operator uses an animated texture to calculate the timing, location, and scale of particles. In general, <strong>Birth_Texture</strong> causes particles to emit from the object where the texture is white or a bright color.</p>\n\
<p>The <strong>Birth_Texture</strong> operator was first added to <strong>3ds Max</strong> as part of the Creativity Extension to <strong>3ds Max 2009</strong> and became an integral part in <strong>3ds Max 2010</strong>. It was previously available in the Particle Flow Tools Box #1.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Birth_Texture... </code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"particle-flow-user-interface\">Particle Flow User Interface</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Emit_Start: integer </code></pre><p>Get/set the Emit Start value defining the frame at which the operator begins emitting particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Emit_Stop: integer </code></pre><p>Get/set the Emit Stop value defining the frame at which the operator stops emitting particles. The exact timing of start and stop may vary due to the timing of individual particles, which is dependent on the emitter&apos;s animated texture.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Lock_On_Emitter: boolean </code></pre><p>Get/set the state of the Lock On Emitter option.</p>\n\
<p>When set to true, it causes all particles&#x2019; pivot points to be &quot;glued&quot; to the painted objects. The option tells the Birth Texture operator to continue controlling particle position even after the particles are born.</p>\n\
<h2 id=\"modifier-panel-user-interface\">Modifier Panel User Interface</h2><h3 id=\"quantity-\">Quantity:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Emission_Type: radiobtnIndex </code></pre><p>Get/set the selection index of the Quantity Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Amount</strong> (default)</p>\n\
<p>1 - <strong>Max.Rate</strong></p>\n\
<p>2 - <strong>Separate</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Maximum_Amount: integer </code></pre><p>Get/set the Amount value used when <code>.Emission_Type</code> is set to 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Maximum_Rate: float </code></pre><p>Get/set the Max.Rate value used when <code>.Emission_Type</code> is set to 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Separate_Distance: worldUnits </code></pre><p>Get/set the Separate value used when <code>.Emission_Type</code> is set to 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Adjust_Separation_By_Scale_Factor: boolean </code></pre><p>Get/set the state of the Adjust By Scale Factor checkbox used when <code>.Emission_Type</code> is set to 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Use_Subdivision: boolean </code></pre><p>Get/set the state of the Subdivide checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Subdivision_Length: worldUnits </code></pre><p>Get/set the Subdivide value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Amount_Limit: integer </code></pre><p>Get/set the Amount Limit value.</p>\n\
<h3 id=\"timing-\">Timing:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Data_Start: integer </code></pre><p>Get/set the Start value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Data_Stop: integer </code></pre><p>Get/set the Stop value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Delay_Variation: integer </code></pre><p>Get/set the Delay Var. value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Use_Latency: boolean </code></pre><p>Get/set the state of the Latency checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Latency: integer </code></pre><p>Get/set the Latency value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Precision: integer </code></pre><p>Get/set the selection index of the Precision drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Frame</strong></p>\n\
<p>1 - <strong>Half Frame</strong></p>\n\
<p>2 - <strong>1/4 Frame</strong></p>\n\
<p>3 - <strong>1/8 Frame</strong></p>\n\
<h3 id=\"emission-by-\">Emission By:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Emission_By: integer </code></pre><p>Get/set the selection index of the Emission By drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Material</strong> (default)-Gathers colors from the emitter&apos;s material.</p>\n\
<p>1 - <strong>Sub-Material</strong> -Gathers colors from a single sub-material, and generates particles only on faces with the specified sub-material ID (Material ID). The sub-material ID is set by the Sub-Mtl ID parameter.</p>\n\
<p>2 - <strong>Sub-Mtl Global</strong> -Gathers colors from a single sub-material, and generates particles over the entire emitter surface regardless of the faces&apos; Material IDs. The sub-material ID is set by the Sub-Mtl ID parameter.</p>\n\
<p>3 - <strong>Vertex Color</strong> -Gathers colors from the Vertex Color channel.</p>\n\
<p>4 - <strong>Vertex Alpha</strong> -Gathers colors from the Vertex Alpha channel.</p>\n\
<p>5 - <strong>Vertex Illum</strong> -Gathers colors from the Vertex Illum channel.</p>\n\
<p>6 - <strong>Mapping</strong> -Gathers colors from a mapping channel. A mapping channel can be used by the Vertex Paint modifier to color vertices. The mapping channel index is defined by the Channel parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Emission_RGB_Channels: boolean array </code></pre><p>Get/set the states of the R, G and B checkbuttons as an array of Booleans.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Emission_Texture_SubMaterial_ID: integer </code></pre><p>Get/set the Sub-Mtl ID value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Whiteness: percent </code></pre><p>Get/set the Whiteness % value.</p>\n\
<h3 id=\"emitter-objects-\">Emitter Objects:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Emitter_Objects: node array </code></pre><p>Get/set the array of emitter objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Animated_Shape: boolean </code></pre><p>Get/set the state of the Animated Emitters checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Surface_Normal_Offset: boolean </code></pre><p>Get/set the state of the Surface Normal Offset checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Surface_Offset_Minimum: worldUnits </code></pre><p>Get/set theOffset Min. value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Surface_Offset_Maximum: worldUnits </code></pre><p>Get/set the Offset Max. value.</p>\n\
<h3 id=\"scale-factor-\">Scale Factor:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Scale_Type: integer </code></pre><p>Get/set the selection index of the Scale By drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>None</strong> (default) - No particle scaling is set.</p>\n\
<p>1 - <strong>Sub-Material</strong> - Uses a single sub-material to set the scale, and uses this scale over the entire emitter surface regardless of the faces&apos; Material IDs. The sub-material ID is set by the Sub-Mtl ID parameter.</p>\n\
<p>2 - <strong>Vertex Color</strong> - Uses the Vertex Color channel to define particle scale.</p>\n\
<p>3 - <strong>Vertex Alpha</strong> - Uses the Vertex Alpha channel to define particle scale.</p>\n\
<p>4 - <strong>Vertex Illum</strong> - Uses the Vertex Illum channel to define particle scale.</p>\n\
<p>5 - <strong>Mapping</strong> -Defines particle scale with a mapping channel that is used for vertex coloring by the Vertex Paint modifier. The mapping channel index is defined by the Channel parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Scale_Factor_SubMtl_ID: integer </code></pre><p>Get/set the SubMat ID value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Black_Scale: percent </code></pre><p>Get/set the Black Scale % value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.White_Scale: percent </code></pre><p>Get/set the White Scale % value.</p>\n\
<h3 id=\"display-\">Display:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Show_Particles: boolean </code></pre><p>Get/set the state of the Show Particles checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Display_Type: radiobtnIndex </code></pre><p>Get/set the selection index of the Display Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>All</strong></p>\n\
<p>1 - <strong>By Timing</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Show_Only_When_Selected: boolean </code></pre><p>Get/set the state of the Only When Selected checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Icon_Size: worldUnits </code></pre><p>Get/set the Icon Size value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Color_Coordinated: boolean </code></pre><p>Get/set the state of the Color Coordinated checkbox.</p>\n\
<h3 id=\"uniqueness-\">Uniqueness:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Random_Seed: integer </code></pre><p>Get/set the Seed value.</p>\n\
<h3 id=\"others-\">Others:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Birth_Texture&gt;.Fast_Approximate_Separation: boolean </code></pre><h2 id=\"birth_textureinterfaces-\">Birth_TextureInterfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: BirthTextureOperator </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;initialize() </code></pre><p>Initializes the Birth Texture operator. Equivalent to pressing the &quot;Initialize Particle Emission&quot; button in the Modify Panel UI.</p>\n\
<p><strong>The following common Interfaces are exposed by the Birth_TextureClass:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Birth-and-Death.html\">Birth and Death</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Birth-Helper.html\">Birth : Helper</a></li>\n\
          <li><a class=\"link\" href=\"Birth_Script-Helper.html\">Birth_Script : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";