var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-852FE479-2FF7-40F1-8ADA-332D4764BDD6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Initial_State : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Initial_State - superclass: helper; super-superclass:node - 23:0 - classID:#(1395943172, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Initial_State</strong> operator is a birth operator that uses a snapshot of another particle system or event as a starting point for a new event.</p>\n\
<p>The particle system or events from which the <strong>Initial_State</strong> operator gets its snapshot must not be in the same event as the <strong>Initial_State</strong> operator itself.</p>\n\
<p>The <strong>Initial_State</strong> operator was first added to <strong>3ds Max</strong> as part of the Creativity Extension to <strong>3ds Max 2009</strong> and later became an integral part of <strong>3ds Max 2010</strong>. It was previously available in the Particle Flow Tools Box #1.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Initial_State... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Emit_Time: integer </code></pre><p>Get/set the Emit Time value. All particles in the initial state are generated at the same Emit Time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Auto_Sync_Emit_Time: boolean </code></pre><p>Get/set the state of the Auto Sync Emit Time checkbox.</p>\n\
<h2 id=\"initial-state-from-\">Initial State From:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.State_From_Type: integer </code></pre><p>Get/set the selection idex of the radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Particle System</strong> (default)</p>\n\
<p>1 - <strong>Selected Events</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Particle_System: node </code></pre><p>Get/set the Particle Flow node to use when <code>.State_From_Type</code> is set to 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Selected_Events: node array </code></pre><p>Get/set the array of Particle Flow Evens to use when <code>.State_From_Type</code> is set to 1.</p>\n\
<h2 id=\"initial-state-data-\">Initial State Data:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Use_Age: boolean </code></pre><p>Get/set the state of the Age checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Use_Speed: boolean </code></pre><p>Get/set the state of the Speed checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Use_Scale: boolean </code></pre><p>Get/set the state of the Scale checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Use_Rotation: boolean </code></pre><p>Get/set the state of the Rotation checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Use_Spin: boolean </code></pre><p>Get/set the state of the Spin checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Use_Mapping: boolean </code></pre><p>Get/set the state of the Mapping checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Use_Material_ID: boolean </code></pre><p>Get/set the state of the Material ID checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Use_Script_Data: boolean </code></pre><p>Get/set the state of the Script Data checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Use_Shape: boolean </code></pre><p>Get/set the state of the Shape checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Use_Selection: boolean </code></pre><p>Get/set the state of the Selection checkbox.</p>\n\
<h2 id=\"position-variation\">Position Variation</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Max_Spread: worldUnits </code></pre><p>Get/set the Max. Spread value.</p>\n\
<h2 id=\"speed-variation\">Speed Variation</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Magnitude_Variation: percent </code></pre><p>Get/set the Magnitude % value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Divergence: angle </code></pre><p>Get/set the Divergence value in degrees.</p>\n\
<h2 id=\"lock-icon-to-tm-\">Lock Icon To TM:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Lock_Position: boolean </code></pre><p>Get/set the state of the Position checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Lock_Speed: boolean </code></pre><p>Get/set the state of the Speed checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Icon_Size: worldUnits </code></pre><p>Get/set the Icon Size value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Color_Coordinated: Boolean </code></pre><p>Get/set the state of the Color Coordinated checkbox.</p>\n\
<h2 id=\"uniqueness\">Uniqueness</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Initial_State&gt;.Random_Seed: integer </code></pre><p>Get/set the Seed value.</p>\n\
<h2 id=\"initial_state-interfaces-\">Initial_State Interfaces:</h2><p><strong>The following Interfaces are exposed by the Initial_State Class:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Birth-and-Death.html\">Birth and Death</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Birth-Helper.html\">Birth : Helper</a></li>\n\
          <li><a class=\"link\" href=\"Birth_Script-Helper.html\">Birth_Script : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";