var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-74AB0341-0374-4D93-A159-2706DBB90CB0\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Material_Dynamic : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Material_Dynamic - superclass: helper super-superclass:node - classID: #(1962490663, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Material_Dynamic</strong> operator lets you give particles material IDs that can vary during the event. It also lets you assign a different material to each particle based on its material ID. When used with an <em>animated texture</em>, this lets you assign a different frame or map to each particle based on its total age or the amount of time it has spent in the current event.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Material_Dynamic... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Dynamic&gt;.Assign_Material Boolean default:true </code></pre><p>When set to True, the operator assigns a material to the particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Dynamic&gt;.Material Material default:undefined </code></pre><p>Get/set the Material to assign to the particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Dynamic&gt;.Assign_Material_ID Boolean default:false </code></pre><p>When set to True, the operator assigns a material ID to the particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Dynamic&gt;.Show_In_Viewport Boolean default:false </code></pre><p>When set to True, the material is shown applied to the particles in the viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Dynamic&gt;.Type Integer default:0 </code></pre><p>Get/set the Animated Texture</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Same As Particle ID</strong> - Choose this when using a material containing an animated texture, such as Particle Bitmap, Particle Age, or Particle MBlur.</p>\n\
<p>1: <strong>Material ID</strong> - Assigns the same material ID to all particles. Use the numeric field to set the ID value.</p>\n\
<p>2: <strong>Cycle</strong> - Assigns each particle a material ID in the range 1 to N, where N=# Sub-Materials, in increasing sequential order. The first ID assigned is 1, then 2, continuing to increment each by 1 until N; then 1 again, and so on.</p>\n\
<p>3: <strong>Random</strong> - Assigns each particle a random material ID in the range 1 to N, where N=# Sub-Materials.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Dynamic&gt;.Reset_Particle_Age Boolean default:false </code></pre><p>When set to True, sets each particle&apos;s age to 0 when it enters the event</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Dynamic&gt;.Randomize_Age Boolean default:false </code></pre><p>When set to True, the software varies the difference between the particle age and the starting material ID at random.</p>\n\
<p>The maximum difference is determined by the Max Offset parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Dynamic&gt;.Max_Age_Offset Time default:30f </code></pre><p>The maximum number of frames by which the software can randomly vary particle age.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Dynamic&gt;.Material_ID Integer default:1 </code></pre><p>Assigns the same material ID to all particles.</p>\n\
<p>Use the numeric field to set the ID value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Dynamic&gt;.Number_of_Sub_Materials Integer default:0 </code></pre><p>The highest ID number assigned to particles using the Cycle or Random option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Dynamic&gt;.Sub_Materials_Rate Float default:30.0 alias: SubMtls_Rate </code></pre><p>Sets the number of times per second that the assigned material ID is incremented.</p>\n\
<p>If this value is the same as the rate at which particles enter the event, then one ID is assigned per particle.</p>\n\
<p>If it&apos;s lower, then multiple particles are given the same ID, or if it&apos;s higher, then the software increments the assigned ID faster than 1 per particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Dynamic&gt;.Loop Boolean default:true </code></pre><p>Assigns each particle a material ID in the range 1 to N, where N=# Sub-Materials, in increasing sequential order.</p>\n\
<p>The first ID assigned is 1, then 2, then..., then N, then 1 again, and so on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Dynamic&gt;.Sync_Type Integer default:0 </code></pre><p>Specifies the time frame for applying animated parameters.</p>\n\
<p>Used only when <code>.Assign_Material_ID</code> and <code>Loop</code> properties are set to True.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for parameters are applied at the actual frames for which they&apos;re set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for parameters are applied at the corresponding frames of each particle&apos;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for parameters are applied to each particle starting when it first enters the event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Dynamic&gt;.Add_Random_Offset Boolean default:false </code></pre><p>When set to True, the software varies the difference between the particle age and the assigned material ID at random based on the <code>.Random_Offset</code> value.</p>\n\
<p>Used only when <code>.Assign_Material_ID</code> and <code>.Loop</code> properties are set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Dynamic&gt;.Random_Offset Integer default:4800 </code></pre><p>Specifies the variation of the difference between the particle age and the assigned material ID at random.</p>\n\
<p>The maximum difference is determined by the numeric parameter.</p>\n\
<p>Used only when <code>.Assign_Material_ID</code> and <code>.Loop</code> properties are set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Dynamic&gt;.Random_Seed Integer default:12345 </code></pre><p>Specifies the randomization value.</p>\n\
<h2 id=\"material_dynamic-interfaces-\">Material_Dynamic Interfaces:</h2><p><strong>The following Interfaces are exposed by the Material_Dynamic Class:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-and-Mapping.html\">Material and Mapping</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";