var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6A809411-D799-47C0-AEDB-54DAD9B25D5D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Material_Static : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Material_Static - superclass: helper super-superclass:node - classID: #(1962490662, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Material_Static</strong> operator lets you give particles material IDs that remain constant throughout the event. It also lets you assign a material to each particle based on its material ID. The operator can assign the same material ID to all particles, or different IDs to successive particles on a cyclical or random basis. The most common usage of this latter capability is with a Multi/Sub-Object material, for applying a different material to each particle.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Material_Static... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Static&gt;.Assign_Material Boolean default:true </code></pre><p>When set to True, the operator assigns a material to the particles</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Static&gt;.Material Material default:undefined </code></pre><p>Get/set the Material to be assigned to the particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Static&gt;.Assign_Material_ID Boolean default:false </code></pre><p>When set to True, the operator defines a material ID number for each particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Static&gt;.Show_In_Viewport Boolean default:false </code></pre><p>When set to True, the material is shown applied to the particles in the viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Static&gt;.Type Integer default:0 </code></pre><p>Controls the state of the radio buttons in the UI defining the method for assigning Material IDs to particles.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Material ID</strong> (default) - Assigns the same material ID to all particles. Use the <strong>Material_ID</strong> value to set the ID value.</p>\n\
<p>1: <strong>Cycle</strong> - Assigns each particle a material ID in the range 1 to N, where N is the <strong>Number_of_Sub_Materials</strong> value, in increasing sequential order. The first ID assigned is 1, then 2, then..., then N, then 1 again, and so on.</p>\n\
<p>2: <strong>Random</strong> - Assigns each particle a random material ID in the range 1 to N, where N in <strong>Number_of_Sub_Materials</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Static&gt;.Material_ID Integer default:1 </code></pre><p>Defines the Material ID to assign to particles when <strong><code>.Type</code></strong> is set to <strong>0 : Material ID</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Static&gt;.Number_of_Sub_Materials Integer default:0 </code></pre><p>The highest ID number assigned to particles using the Cycle or Random option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Static&gt;.Rate_Type Integer default:1 </code></pre><p>Controls the state of the radio buttons in the Rate group in the UI.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Per Second</strong></p>\n\
<p>1: <strong>Per Particle</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Static&gt;.Rate_Per_Second Float default:30.0 </code></pre><p>Sets the number of times per second that the assigned material ID is incremented.</p>\n\
<p>If this value is the same as the rate at which particles enter the event, then one ID is assigned per particle.</p>\n\
<p>If it&apos;s lower, then multiple particles are given the same ID, or if it&apos;s higher, then the software increments the assigned ID faster than 1 per particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Static&gt;.Rate_Per_Particle Float default:1.0 </code></pre><p>Sets the number of particles that must appear before material ID assignment changes.</p>\n\
<p>For example, If you set Per Particle=3, the material ID changes every three particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Static&gt;.Loop Boolean default:true </code></pre><p>When set to True and the last ID has been assigned, the software loops back to the first ID and continues the cycle.</p>\n\
<p>When set to False, the software assigns the last cycle ID to all subsequent particles.</p>\n\
<p>Available only when <code>.Type</code> is set to <strong>1 : Cycle</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Static&gt;.Random_Seed Integer default:12345 </code></pre><p>Specifies a randomization value.</p>\n\
<h2 id=\"material_static-interfaces-\">Material_Static Interfaces:</h2><p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-and-Mapping.html\">Material and Mapping</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";