var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6493B179-EF5F-41E9-834F-2066857C4011\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Keep_Apart : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Keep_Apart - superclass: helper super-superclass:node - classID: #(1962490652, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Keep_Apart</strong> operator lets you apply forces to particles to cause them to separate to prevent or minimize collisions among particles. Alternatively, you can use a negative force to keep particles from separating too much. The operator works by controlling particle speed and acceleration.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Keep_Apart... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Keep_Apart&gt;.Force Float default:100.0 --world units </code></pre><p>Get/Set the amount of force applied to the particles.</p>\n\
<p>Use positive values to separate particles, or negative values to move them closer together.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Keep_Apart&gt;.Use_Accel_Limit Boolean default:true </code></pre><p>When set to True, the <code>Accel_Limit</code> value will be considered.</p>\n\
<p>When set to False, the software uses any necessary acceleration.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Keep_Apart&gt;.Accel_Limit Float default:1000.0 --world units </code></pre><p>When <code>.Use_Accel_Limit</code> is set to True, lets you set a maximum acceleration value that can be applied to particles&apos; motion.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Keep_Apart&gt;.Use_Speed_Limit Boolean default:false </code></pre><p>When set to True, the Speed_Limit value will be considered.</p>\n\
<p>When set to False, the software uses any necessary speed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Keep_Apart&gt;.Speed_Limit Float default:600.0 --world units </code></pre><p>When <code>.Use_Speed_Limit</code> is set to True, lets you set a maximum speed value that can be applied to particles&apos; motion.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Keep_Apart&gt;.Range_Type Integer default:0 </code></pre><p>Lets you set a volume and falloff within which the force takes effect, either as absolute distances or relative to particle size.</p>\n\
<p>0: <strong>Absolute Size</strong> - Choose this to set the core radius and falloff zone as absolute distances, in system units, using the <code>.Core_Size</code> and <code>.Falloff_Size</code> values.</p>\n\
<p>1: <strong>Relative to Particle Size</strong> - Choose this to set the core radius and falloff zone as percentages, relative to the radius of each particle. The particle radius is determined by measuring the distance from the pivot point to the farthest corner of its bounding box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Keep_Apart&gt;.Core_Size Float default:10.0 --world units </code></pre><p>The distance from each particle&apos;s pivot point, in system units, within which the force is applied at full strength.</p>\n\
<p>Used when <code>.Range_Type</code> is set to <strong>0 : Absolute Size</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Keep_Apart&gt;.Falloff_Size Float default:10.0 --world units </code></pre><p>The distance beyond the core radius, in system units, over which the force diminishes from full strength to 0.</p>\n\
<p>Used when <code>.Range_Type</code> is set to <strong>0 : Absolute Size</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Keep_Apart&gt;.Core_Percentage Float default:200.0 --percentage </code></pre><p>The distance from each particle, as a percentage of the particle radius, within which the force is applied at full strength.</p>\n\
<p>Used when <code>.Range_Type</code> is set to <strong>1 : Relative to Particle Size</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Keep_Apart&gt;.Falloff_Percentage Float default:100.0 --percentage </code></pre><p>The distance beyond the core radius, as a percentage of the radius, over which the force diminishes from full strength to 0.</p>\n\
<p>Used when <code>.Range_Type</code> is set to <strong>1 : Relative to Particle Size</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Keep_Apart&gt;.Variation Float default:0.0 --percentage </code></pre><p>The amount by which range values can vary randomly, as a percentage of the specified values.</p>\n\
<p>The software uses the same random variation value for both Core and Falloff values, whether absolute or relative.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Keep_Apart&gt;.Scope_Type Integer default:0 </code></pre><p>By default, the Keep Apart force affects only particles in the current event, or particle group.</p>\n\
<p>These settings let you widen the scope to other events or systems.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Particle Group</strong> - The operator affects only particles in the current event.</p>\n\
<p>1: <strong>Particle System</strong> - The operator affects all particles in the current particle system.</p>\n\
<p>2: <strong>Selected Particle Groups</strong> - The operator affects only highlighted events in the list below this choice. After choosing this option, click items in the list to highlight them.</p>\n\
<p>3: <strong>Selected Particle Systems</strong> - The operator affects only highlighted particle systems in the list below this choice. After choosing this option, click items in the list to highlight them.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Keep_Apart&gt;.Selected_Groups int array default:#() </code></pre><p>Get/Set the Groups to be affected when <code>.Scope_Type</code> is set to <strong>2 : Selected Particle Groups</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Keep_Apart&gt;.Selected_Systems int array default:#() </code></pre><p>Get/Set the Systems to be affected when <code>.Scope_Type</code> is set to <strong>3 : Selected Particle Systems</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Keep_Apart&gt;.Use_Script_Float Integer </code></pre><p>Possible values are:</p>\n\
<p>0: <strong>Not Used</strong> - <strong>Particle Flow</strong> uses the Force setting specified in the Parameters rollout.</p>\n\
<p>1: <strong>Influence</strong> - <strong>Particle Flow</strong> applies the script <strong>particleFloat</strong> channel value to the <code>.Force</code> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Keep_Apart&gt;.Use_Script_Vector Integer </code></pre><p>Controls the state of the drop-down list in the additional Script Wiring rollout.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Not Used</strong> - <strong>Particle Flow</strong> uses the Range settings specified in the Parameters rollout.</p>\n\
<p>1: <strong>Absolute Size Range</strong> - <strong>Particle Flow</strong> applies the script <strong>particleVector</strong> values to the Absolute Size Range values. The X component of the vector value is used for the <code>.Core_Size</code> value, and the Y component for the <code>.Falloff_Size</code> value.</p>\n\
<p>2: <strong>Relative Size Range</strong> - <strong>Particle Flow</strong> applies the script <strong>particleVector</strong> values to the Relative Size Range values. The X component of the vector value is used for the. <code>.Core_Percentage</code> value, and the Y component for the. <code>.Falloff_Percentage</code> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Keep_Apart&gt;.Random_Seed Integer </code></pre><p>Specifies a randomization value.</p>\n\
<h2 id=\"script-wiring-\">Script Wiring:</h2><p>Script Wiring lets you use a script to control the Force and Range parameters, which you normally specify in the operator&apos;s properties.</p>\n\
<ul>\n\
<li><p>Place a <a href=\"./../Other/Script_Operator-Helper.html\">Script Operator</a> before the <strong>Speed_Keep_Apart</strong> operator in the event,</p>\n\
</li>\n\
<li><p>Enable Script Wiring using the <code>.setUseScriptWiring</code> method in the <a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
</li>\n\
<li><p>Use the Script_Operator to define values in the <strong>particleFloat</strong> and <strong>particleVector</strong> channels.</p>\n\
</li>\n\
</ul>\n\
<p><strong>Channels:</strong></p>\n\
<p><strong>ParticleFloat - Force</strong></p>\n\
<p>When Script Wiring is active, the values in the <strong>particleFloat</strong> channel will control the <strong>.Force</strong> value of the <strong>Keep_Apart</strong> operator. For an example of a script that sets particleFloat values, see <a href=\"./../../../Particle-Flow-Script-Examples/Particle-Channel-Scripts/particleFloat-Sample-Script.html\">particleFloat Sample Script</a>.</p>\n\
<p><strong>ParticleVector - Absolute Size</strong></p>\n\
<p>When <code>.Use_Script_Vector</code> is set to <strong>1</strong>, the values in the <strong>particleVector</strong> channel will control the Absolute Size Range values.</p>\n\
<p>The <strong>X</strong> component of the vector will be used for the <code>.Core_Size</code> value.</p>\n\
<p>The <strong>Y</strong> component of the vector will be used for the <code>.Falloff_Size</code> value.</p>\n\
<p><strong>ParticleVector - Relative Size</strong></p>\n\
<p>When <code>.Use_Script_Vector</code> is set to <strong>2</strong>, the values in the <strong>particleVector</strong> channel will control the Relative Size Range values.</p>\n\
<p>The <strong>X</strong> component of the vector will be used for the <code>.Core_Percentage</code> value.</p>\n\
<p>The <strong>Y</strong> component of the vector will be used for the <code>.Falloff_Percentage</code> value.</p>\n\
<h2 id=\"keep_apart-interfaces-\">Keep_Apart Interfaces:</h2><p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Speed.html\">Speed</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Script-Examples/Particle-Channel-Scripts/particleFloat-Sample-Script.html\">particleFloat Sample Script</a></li>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Script-Examples/Particle-Channel-Scripts/particleVector-Sample-Script.html\">particleVector Sample Script</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";