var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-AC168AB7-263B-49E1-8C51-8F13ABC23D0E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Speed_By_Surface : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Speed_By_Surface - superclass: helper super-superclass:node - classID: #(1962490653, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Speed_By_Surface</strong> operator lets you control particle speed and direction with any object or objects in the scene.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Speed_By_Surface... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_By_Surface&gt;.Speed_Type Integer default:0 </code></pre><p>0: <strong>Set Speed Once</strong> - The operator sets the speed for each particle once: when the particle enters the event.</p>\n\
<p>1: <strong>Control Speed Continuously</strong> - The operator sets particle speed throughout the event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_By_Surface&gt;.Set_Speed_Magnitude Boolean default:true </code></pre><p>When set to False and <code>.Speed_Type</code> is set to <strong>1 : Control Speed Continuously</strong>, the current particle speed is used instead of the <code>Speed_Value</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_By_Surface&gt;.Speed_Value Float default:300.0 --world units </code></pre><p>Get/set the particle speed in system units per second.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_By_Surface&gt;.Speed_Variation Float default:0.0 --world units </code></pre><p>Get/set the amount by which particle speed can vary, in system units per second.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_By_Surface&gt;.Surface_Objects node array default:#() </code></pre><p>Get/set the array of surface objects to use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_By_Surface&gt;.Animated_Shape Boolean default:false </code></pre><p>When set to True allows particles to follow the surface of an object whose form is animated by morphing or with modifiers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_By_Surface&gt;.Subframe_Sampling Boolean default:false </code></pre><p>When set to True, the operator acquires animation of the Surface Geometry shape on a tick basis (every 1/4800th of a second) rather than a frame basis. This provides greater precision in allowing the particle positions to follow animation of the Surface Geometry object&apos;s form</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_By_Surface&gt;.Set_Speed_by_Surface_Material Boolean default:false </code></pre><p>Varies particles&apos; existing speed and direction based on properties of the material applied to each Surface Geometry object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_By_Surface&gt;.Material_Type Integer default:3 </code></pre><p>0: <strong>Grayscale Multiplier</strong> - Lets material luminance control speed, with darker areas producing slower particles and lighter areas producing faster ones. The software multiplies the luminance of the material near each particle, converted to a percentage, by the particle&apos;s current speed. A luminance of 0 converts to 0%, of 128 converts to 50%, and of 255 converts to 100%.</p>\n\
<p>1: <strong>Signed Grayscale</strong> - Works like Grayscale Multiplier, but the multiplier can be negative as well, causing reversal of motion. Signed Grayscale uses a material luminance value of 128 as the midpoint, and assigns it a multiplier of 0%. Luminance values from 0 to 127 result in multipliers of -100% to about -1%, respectively, and values of 129 to 255 result in multipliers of about 1% to 100%, respectively.</p>\n\
<p>2: <strong>RGB as World XYZ Mult</strong>. -  Works like Grayscale Multiplier, but uses the intensity of the material&apos;s red, green, and blue channels to affect particle speed on the world X, Y, and Z axes, respectively.</p>\n\
<p>3: <strong>RGB as Local XYZ Mult</strong>. -  Works like RGB as World XYZ Mult., but uses the object&apos;s local coordinates rather than world coordinates.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_By_Surface&gt;.Use_Sub_Material Boolean default:false </code></pre><p>When set to True, uses a sub-material from the Multi/Sub-Object material assigned to the Surface Geometry object to define speed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_By_Surface&gt;.Material_ID Integer default:1 </code></pre><p>Specifies the material ID of the sub-material to be used for particle speed control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_By_Surface&gt;.Direction_Type Integer default:0 </code></pre><p>Specifies which way the particles go after they are born.</p>\n\
<p>0: <strong>Surface Normals</strong> - Each particle moves along a line perpendicular to the nearest face. The direction the surface faces doesn&apos;t matter.</p>\n\
<p>1: <strong>Out Of Surface</strong> - Particles move away from the closest face.</p>\n\
<p>2: <strong>Parallel To Surface</strong> - Each particle travels parallel to the nearest face.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_By_Surface&gt;.Divergence Float default:0.0 </code></pre><p>When set to True, spreads out the particle stream. Use the numeric setting to define the extent of the divergence. Range is from 0 to 180. The value can be animated. This option is only used when <code>.Speed_Type</code> is set to <strong>0 : Set Speed Once</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_By_Surface&gt;.Acceleration_Limit Float default:100.0 --world units </code></pre><p>Sets the maximum acceleration. The higher this value, the more quickly particles can turn and change speed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_By_Surface&gt;.Unlimited_Range Boolean default:true </code></pre><p>When set to True, the surface controls speed and direction of particles at any distance. When False, particles must be within the range specified by the <code>.Range</code> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_By_Surface&gt;.Range Float default:10.0 --world units; </code></pre><p>The maximum distance, in system units, between the particles and controlling surface. The Surface Geometry will not control particles beyond this distance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_By_Surface&gt;.Falloff Float default:10.0 --world units; </code></pre><p>The distance, in system units, beyond the <code>.Range</code> value within which the Surface Geometry exerts partial control over particles. The degree of control diminishes from 100% at the Range distance to 0% at the Range+Falloff Zone distance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_By_Surface&gt;.Sync_Type Integer default:0 </code></pre><p>Controls the state of the <strong>Synch By</strong> drop-down list in the UI. Specifies the time frame for applying animated parameters.</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for parameters are applied at the actual frames for which they&apos;re set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for parameters are applied at the corresponding frames of each particle&apos;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for parameters are applied to each particle starting when it first enters the event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_By_Surface&gt;.Random_Seed Integer default:12345 </code></pre><p>Specifies a randomization value.</p>\n\
<h2 id=\"speed_by_surface-interfaces-\">Speed_By_Surface Interfaces:</h2><p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Speed.html\">Speed</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";