var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FEE52D05-747B-48A9-9A5D-90F7229F65D4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Placement_Paint : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Placement_Paint- superclass: helper; super-superclass:node - 19:0 - classID:#(1395943175, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Placement_Paint</strong> operator uses a Particle Paint helper to acquire particle seeds from which to generate particles. Placement Paint sets particle position, rotation, and mapping.</p>\n\
<p>The <strong>Placement_Paint</strong> operator was first added to <strong>3ds Max</strong> as part of the Creativity Extension to <strong>3ds Max 2009</strong> and became an integral part of <strong>3ds Max 2010</strong>. It was previously available in the Particle Flow Tools Box #1.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Placement_Paint...   </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Placement_Paint&gt;.Particle_Paint_Helper: node </code></pre><p>Get/set the Particle Paint Helper node as reference for particle seeds.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Placement_Paint&gt;.Update_Type: radiobtnIndex </code></pre><p>Get/set the Data Update radio buttons selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Once</strong></p>\n\
<p>1 - <strong>Continuous</strong></p>\n\
<h2 id=\"acquire-paint-data\">Acquire Paint Data</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Placement_Paint&gt;.Acquire_Paint_Position: boolean </code></pre><p>Get/set the state of the Paint Position To option.</p>\n\
<p>When set to true, the operator uses position data from the Particle Paint helper to control particle position or speed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Placement_Paint&gt;.Position_Type: radiobtnIndex </code></pre><p>Get/set the selection index of the Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Position-</strong> The particle seeds&#x2019; position data is translated into particle position. If the Data Update type is set to Continuous, particle speed is controlled to ensure that particles are locked to the particle seeds&#x2019; location. This is similar to the Lock On Emitter option in the Position Icon operator.</p>\n\
<p>1 - <strong>Script Vector</strong> (default)- The particle seeds&#x2019; position data is translated into the particle script vector channel (as used by the Script operators and Find Target test). If the Data Update type is set to Continuous, the script vector channel is continuously updated while the particles are in the event. The most common use of the Script Vector data is the Find Target operator using it to direct particles at the target defined by the script vector. However, the Find Target test controls particles only until they reach the target.</p>\n\
<p>To overcome that (keep particles on target) the following option is used:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Placement_Paint&gt;.Snap_If_Close: boolean </code></pre><p>Get/set the state of the Snap If Close option used when <strong><code>.Position_Type</code></strong> is set to 1.</p>\n\
<p>The option is available for the Script Vector option only. If a particle is directed close to the target point as defined by the Paint Position value (written to the Script Vector channel), then the operator starts controlling the particle position directly, as with the option Position. This technique allows you to direct particles to the Paint seeds&apos; location with the Find Target test, then switch back to direct control of particle position (similar to Lock On Emitter operation). Keep in mind that the operator continues to write the data into the script vector channel even after the snap moment.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Placement_Paint&gt;.Snap_Distance: worldUnits </code></pre><p>Get/set the Snap Distance value used when <strong><code>.Snap_If_Close</code> is set to <code>true</code></strong> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Placement_Paint&gt;.Acquire_Paint_Rotation: boolean </code></pre><p>Get/set the state of the Rotation checkbox.</p>\n\
<p>When set to true, the rotation data from the Particle Paint helper is used to control particle rotation or spin.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Placement_Paint&gt;.BlendIn_Rotation: boolean </code></pre><p>The option is used when</p>\n\
<ul>\n\
<li><p>the Data Update type is set to Continuous,</p>\n\
</li>\n\
<li><p>the Paint Position To type is Script Vector, and</p>\n\
</li>\n\
<li><p>the Rotation check box is turned on.</p>\n\
</li>\n\
</ul>\n\
<p>In this case, particles move toward the position as defined by the Particle Paint helper. Whenset to true, the operator modifies particle rotation to allow smooth blending from the current particle rotation to the rotation by Particle Paint while particles are approaching their target position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Placement_Paint&gt;.Near_Distance: worldUnits </code></pre><p>Get/set the Near Distance value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Placement_Paint&gt;.Far_Distance: worldUnits </code></pre><p>Get/set the Far Distance value.</p>\n\
<p>These two parameters are used when <strong><code>.BlendIn_Rotation</code> is set to <code>true</code></strong> .</p>\n\
<p>The Far Distance value indicates the distance from the target point to the current particle position when the blend-in rotation process starts.</p>\n\
<p>The Near Distance value indicates the distance when the blend-in process should be finished, meaning a particle finally assumes the rotation value as defined by the Particle Paint helper.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Placement_Paint&gt;.Acquire_Paint_Mapping: boolean </code></pre><p>Get/set the state of the Mapping checkbox.</p>\n\
<p>When set to true, the operator uses the mapping data from the Particle Paint helper for particle mapping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Placement_Paint&gt;.Acquire_Paint_MaterialID(Acquire_Paint_Material_ID) : boolean </code></pre><p>Get/set the state of the Material ID checkbox.</p>\n\
<p>When set to true, the operator defines a material ID for each particle. The ID is defined by the Particle Paint operator as sub-material index at the closest face of the painted object to the particle seed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Placement_Paint&gt;.Acquire_Paint_Selection: boolean </code></pre><p>When set to true, the operator uses the Particle Paint helper selection to setup the selection qualities of particles. The selection that was made via the PF Source object (if any) is overwritten by the selection from the helper.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Placement_Paint&gt;.Selection_Type: radiobtnIndex </code></pre><p>Get/set the index of the Selection type radio buttons.</p>\n\
<p>Possible values are</p>\n\
<p>0 - <strong>Particles</strong></p>\n\
<p>1 - <strong>Strokes</strong></p>\n\
<h2 id=\"index-order\">Index Order</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Placement_Paint&gt;.Order_Type: integer </code></pre><p>Get/set the selection index of the Type drop down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Random</strong> (default) - Particle seeds from the Particle Paint helper are selected randomly for conversion to particles, without regard to stroke timing. If the number of particles exceeds the number of particle seeds and Stop If Count Overflow is turned off, all particle seeds are used each time the Placement Paint operator cycles through the seeds.</p>\n\
<p>1 - <strong>Paint Timing-</strong> Uses the timing of particles and strokes in the Particle Paint helper to define the order of emission.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Placement_Paint&gt;.Stop_If_Count_Overflow: boolean </code></pre><p>Get/set the state of the Stop If Count Overflow checkbox.</p>\n\
<p>When set to true, causes the Placement Paint operator to stop controlling particles when the number of particles in the event reaches the number of particle seeds in the Particle Paint helper. When this option is turned off, Placement Paint cycles through the particle seeds as many times as necessary to create the required quantity of particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Placement_Paint&gt;.Obey_Quantity_Multiplier: boolean </code></pre><p>Get/set the state of the Obey Quantity Multiplier checkbox.</p>\n\
<p>When set to true, uses the Quantity Multiplier parameter from the PF Source object to adjust the correspondence between particles in the event and particle seeds in the helper. For example, if the Quantity Multiplier is 50% in the PF Source, then only half the particle seeds in the Particle Paint helper are used. If the Quantity Multiplier is greater than 100%, then some or all particle seeds will be used to generate more than one particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Placement_Paint&gt;.Separate_Streams_Indexing: boolean </code></pre><p>Get/set the state of the Separate Streams Indexing checkbox.</p>\n\
<p>When set to true, causes particles from different events to be treated as separate streams with regard to particle seed correspondence. When this option is turned on, particles retain their correspondence to their original seeds. When this option is turned off, particles coming into the event can be associated with any seed from the entire pool of seeds.</p>\n\
<h2 id=\"uniqueness\">Uniqueness</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Placement_Paint&gt;.Random_Seed: integer </code></pre><p>Get/set the random seed value.</p>\n\
<h2 id=\"placement_paint-interfaces-\">Placement_Paint Interfaces:</h2><p><strong>The following Interfaces are exposed by the Placement_Paint Class:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Transforms.html\">Transforms</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";