var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2B26090C-6DFC-4062-9AF9-27B62D0FBF90\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Collision_Spawn : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Collision_Spawn - superclass: helper; super-superclass:node - 21:0 - classID: #(1962490884, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p><strong>Collision_Spawn</strong> creates new particles from existing ones that collide with one or more Deflector Space Warps. You can specify different post-collision behavior for the colliding particles and their offspring. Each spawned particle is born at the same location as its parent, and has the same orientation and shape. <strong>Collision_Spawn</strong> can give the spawned particles a different speed and scaling factor. If you wire the <strong>Collision_Spawn</strong> test to another event, spawned particles are sent to that event, where you can specify different properties for the new particles.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Collision_Spawn... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision_Spawn&gt;.True_for_Particles_Collided Boolean default: false -- boolean </code></pre><p>When <strong>true</strong>, parent particles qualify for redirection when the test conditions are met. Available with the <strong>Spawn On First Collision</strong> option only when <strong>Delete Parent</strong> is <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision_Spawn&gt;.True_for_Spawn_Particles Boolean default: true -- boolean </code></pre><p>When <strong>true</strong>, spawned particles qualify for redirection when the test conditions are met.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision_Spawn&gt;.Collision_Nodes ArrayParameter default: #() -- node array; alias:deflectorNodes; SubAnim </code></pre><p>Get/Set the list of Deflectors used as Collision Nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision_Spawn&gt;.Spawn_Type Integer default: 0 -- radio button number </code></pre><p>Controls the state of the <strong>Spawn On...</strong> radio buttons in the UI.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Spawn On First Collision</strong> - Particles spawn only the first time they collide with a deflector.</p>\n\
<p>1: <strong>Spawn On Each Collision</strong> - Particles spawn on each of multiple collisions, up to a limit specified with the <strong>Number of Collision</strong> parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision_Spawn&gt;.Number_of_Collisions Integer default: 3 -- integer </code></pre><p>Sets the number of collisions up to which particles will spawn when <code>.Spawn_Type</code> is set to <strong>1 : Spawn On Each Collision</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision_Spawn&gt;.Delete_Parent Boolean default: true -- boolean </code></pre><p>Controls the state of the Delete Parent checkbox in the UI. When set to <code>true</code> , deletes each original particle from which a new one is spawned. Available only when <code>Spawn_Type</code> is set to <strong>0 : Spawn On First Collision</strong> option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision_Spawn&gt;.Divergence Float default: 12.0 -- animatable; angle; </code></pre><p>Spreads out the stream of spawned particles. The value defines the extent of the divergence in degrees. Range is from 0 to 180.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision_Spawn&gt;.Spawn_Able Float default: 100.0 -- animatable; percentage </code></pre><p>Defines the percentage of particles in the current event that will spawn new particles. This is determined once for each particle, when it enters the event. However, the parameter is animatable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision_Spawn&gt;.Number_of_Offsprings Integer default: 1 -- animatable; integer </code></pre><p>The number of new particles the system creates from each parent particle for each spawning event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision_Spawn&gt;.Offsprint_Variation Float default: 0.0 -- animatable; percentage </code></pre><p>The amount by which the <code>.Number_of_Offsprings</code> value can vary randomly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision_Spawn&gt;.Sync_Type Integer default: 0 -- integer </code></pre><p>Defines the time frame to use when animating <code>.Number_of_Offsprings</code> and <code>.Offsprings_Variation</code> .</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for parameters are applied at the actual frames for which they&apos;re set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for parameters are applied at the corresponding frames of each particle&apos;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for parameters are applied to each particle starting when it first enters the event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision_Spawn&gt;.Restart_Particle_Age Boolean default: true -- boolean </code></pre><p>When set to <code>true</code> , sets the age of each newly spawned particle at 0. When <code>false</code> , each spawned particle inherits its parent&apos;s age.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision_Spawn&gt;.Parent_Speed Integer default: 0 -- integer </code></pre><p>Controls the state of the <strong>Parent</strong> drop-down list in the UI. Defines the parent&apos;s behavior. Available only when <strong>Delete Parent</strong> is off. Possible values are:</p>\n\
<p>0: <strong>Bounce</strong> - The speed and direction after collision is determined by the deflector properties.</p>\n\
<p>1: <strong>Continue</strong> - Particle speed and direction are unaffected by the collision.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision_Spawn&gt;.Offspring_Speed Integer default: 0 -- integer </code></pre><p>Controls the state of the <strong>Offspring</strong> drop-down list in the UI. Defines the new spawned particles&#x2019; behavior.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Bounce</strong> - The speed and direction of offspring after collision is determined by the deflector properties.</p>\n\
<p>1: <strong>Continue</strong> - Speed and direction of offspring are unaffected by the collision.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision_Spawn&gt;.Speed_Type Integer default: 1 -- radio button number </code></pre><p>Controls the state of the Speed Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>In Units</strong> &amp;endash; Use the <code>.Speed</code> value.</p>\n\
<p>1: <strong>Inherited</strong> &amp;endash; Use the <code>.Speed_Inherited</code> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision_Spawn&gt;.Speed Float default: 100.0 -- animatable; world units </code></pre><p>Choose this to specify the speed of spawned particles in system units per second. A positive value inherits the parent&apos;s direction; a negative value reverses it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision_Spawn&gt;.Speed_Inherited Float default: 100.0 -- animatable; percentage </code></pre><p>Choose this to specify each spawned particle&apos;s speed as a percentage of its parent&apos;s speed. A positive value inherits the parent&apos;s direction; a negative value reverses it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision_Spawn&gt;.Speed_Variation Float default: 0.0 -- animatable; percentage </code></pre><p>The amount by which a spawned particle&apos;s speed can vary randomly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision_Spawn&gt;.Scale_Factor Float default: 100.0 -- animatable; percentage </code></pre><p>Controls the amount of uniform scaling to apply to each spawned particle, as a percentage of its parent&apos;s size.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision_Spawn&gt;.Scale_Variation Float default: 0.0 -- animatable; percentage </code></pre><p>The amount by which a spawned particle&apos;s scale can vary randomly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Collision_Spawn&gt;.Random_Seed Integer default: 12345 -- integer </code></pre><p>Specifies a randomization value.</p>\n\
<h2 id=\"collision_spawn-interfaces-\">Collision_Spawn Interfaces:</h2><p><strong>The following Interfaces are exposed by the Collision_Spawn Class:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-integrator.html\">Interface: integrator</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\">Interface: test</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Tests.html\">Tests</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";