var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3DF32EB7-A689-405B-B94E-BABADFD5D2ED\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scale_Test : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Scale_Test - superclass: helper super-superclass:node - classID: #(1962490887, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p><strong>Scale_Test</strong> lets the particle system check particle scaling, or particle size before or after scaling, and branch accordingly. The test provides a variety of axis options for measuring scale or size.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Scale_Test... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scale_Test&gt;.Test_Type Integer default:2 </code></pre><p>Controls the state of the Type drop-down list in the UI. Possible values are:</p>\n\
<p>0: <strong>PreScale Size</strong> - Tests the size before scaling.</p>\n\
<p>1: <strong>PostScale Size</strong> - Tests the size after scaling.</p>\n\
<p>2: <strong>Scale</strong> - Tests the scaling percentage.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scale_Test&gt;.Axis_Type Integer default:0 </code></pre><p>Controls the state of the Axis drop-down list in the UI. Possible values are:</p>\n\
<p>0: <strong>Average</strong> -  Obtains an average measurement by adding the sizes on all three axes and then dividing by three.</p>\n\
<p>1: <strong>Minimum</strong> -  Uses the smallest dimension.</p>\n\
<p>2: <strong>Median</strong> -  Uses the middle dimension in order of size. For example, if the particle dimensions are X=5, Y=6, Z=12, then the number compared to Test Value would be 6.</p>\n\
<p>3: <strong>Maximum</strong> -  Uses the largest dimension.</p>\n\
<p>4: <strong>X/Y/Z</strong> -  Uses the specified dimension.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scale_Test&gt;.Condition_Type Integer default:1 </code></pre><p>Controls the Text condition type.</p>\n\
<p>Possible values are</p>\n\
<p>0: <strong>If Less Than Test Value</strong></p>\n\
<p>1: <strong>If Greater Than Test Value</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scale_Test&gt;.Size_Value Float default:10.0 --world units </code></pre><p>The specific size to test for. Used when <code>.Test_Type</code> is set to <strong>0: PreScale Scale</strong> or <strong>1: PostScale Size</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scale_Test&gt;.Size_Variation Float default:0.0 --world units alias: Variation </code></pre><p>The amount by which the value tested for can vary randomly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scale_Test&gt;.Scale_Value Float default:100.0 &amp;endash;percentage </code></pre><p>The specific scaling factor to test for. Used only when <code>.Test_Type</code> is set to <strong>2: Scale</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scale_Test&gt;.Scale_Variation Float default:0.0 --percentage </code></pre><p>The amount by which the value tested for can vary randomly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scale_Test&gt;.Sync_Type Integer default 0 </code></pre><p>Controls the state of the <strong>Sync By</strong> drop-down list in the UI. Specifies the time frame for applying animated parameters:</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for parameters are applied at the actual frames for which they&apos;re set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for parameters are applied at the corresponding frames of each particle&apos;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for parameters are applied to each particle starting when it first enters the event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Scale_Test&gt;.Random_Seed Integer default:12345 </code></pre><p>Specifies the randomization value.</p>\n\
<h2 id=\"scale_test-interfaces-\">Scale_Test Interfaces:</h2><p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\">Interface: test</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Tests.html\">Tests</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";