var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F60EABC7-1056-467F-8D67-CC4E02BF230F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Speed_Test : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Speed_Test - superclass: helper super-superclass:node - classID: #(1962490885, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p><strong>Speed_Test</strong> lets the particle system check particle speed, acceleration, or the rate of circular travel, and branch accordingly. The test provides a number of variants that let you test speed or acceleration on specific axes, or simply whether the particle is accelerating or decelerating.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Speed_Test... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_Test&gt;.Test_Type Integer default:0 </code></pre><p>0: <strong>Velocity Magnitude</strong> - Tests the particle velocity, in system units per second, without consideration of direction. This is the default test type.</p>\n\
<p>1: <strong>Velocity X/Y/Z</strong> - Tests the particle velocity on the specified axis, in system units per second, using the world coordinate system.</p>\n\
<p>2: <strong>Acceleration Magnitude</strong> - Tests the particle acceleration (change in velocity), in system units per second per second, without respect to direction.</p>\n\
<p>3: <strong>Acceleration X/Y/Z</strong> - Tests the particle acceleration (change in velocity) on the specified axis, in system units per second per second, using the world coordinate system.</p>\n\
<p>4: <strong>Steering Rate</strong> - Tests the circular component of particle travel in degrees per second, without consideration of rotation or spinning.</p>\n\
<p>5: <strong>True When Accelerates</strong> - Returns a <code>True</code> value when the particle velocity is increasing in value.</p>\n\
<p>6: <strong>True When Decelerates</strong> - Returns a <code>True</code> value when the particle velocity is decreasing in value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_Test&gt;.Condition_Type Integer default:1 </code></pre><p>Lets you specify whether the test passes particles on to the next event if the speed test succeeds or fails. Available for all tests except <strong>True When Accelerates/Decelerates</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_Test&gt;.Unit_Value Float default:300.0 --world units </code></pre><p>The specific speed or acceleration to test for.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_Test&gt;.Unit_Variation Float default:0.0 --world units </code></pre><p>The amount by which value tested for can vary randomly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_Test&gt;.Angle_Value Float default:360.0 --angle </code></pre><p>The specific angular speed or acceleration to test for.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_Test&gt;.Angle_Variation Float default:0.0 --angle </code></pre><p>The amount by which the angular value tested for can vary randomly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_Test&gt;.Sync_Type Integer default:0 </code></pre><p>Specifies the time frame to use when animating the Test Values and Variations. Possible values are:</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for parameters are applied at the actual frames for which they&apos;re set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for parameters are applied at the corresponding frames of each particle&apos;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for parameters are applied to each particle starting when it first enters the event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed_Test&gt;.Random_Seed Integer default:12345 </code></pre><p>Specifies a randomization value.</p>\n\
<h2 id=\"speed_test-interfaces-\">Speed_Test Interfaces:</h2><p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\">Interface: test</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Tests.html\">Tests</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";