var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-93EB0BE9-EA7B-4832-AEB3-8EA6BEEEE4C8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Split_Amount : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Split_Amount - superclass: helper super-superclass:node - classID: #(1962490891, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Split_Amount</strong> test lets you send a specific number of particles to the next event, keeping all remaining particles in the current event. You can split the particle stream by a specific number or percentage, or by every Nth particle. With a specific number of particles, the splitting takes place once per event, but you can animate the percentage and <em>every Nth</em> values to vary the amount of split-off particles over time.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Split_Amount... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Split_Amount&gt;.Test_Type Integer default: 0 </code></pre><p>0: <strong>Fraction Of Particles</strong> - Split the particle stream on a percentage basis, specified with the Ratio value. With Ratio greater than 0.0, whether a particular particle is split off depends on a randomization factor; change this with the Uniqueness Seed value.</p>\n\
<p>1: <strong>Every Nth Particle</strong> - Splits off a regular sample of particles.</p>\n\
<p>2: <strong>First N Particles</strong> - Splits off the number of particles specified as the N value (below), starting with the first particle to enter the event, and retains the rest.</p>\n\
<p>3: <strong>Particles After N First</strong> - Splits off all particles starting with the first one after N particles, as specified with the N parameter (below). All particles starting with the first to enter the event up to N are retained in the event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Split_Amount&gt;.Ratio Float    default: 50.0   --  animatable; percent; Controller Scaling: (1 : 100.0)</code></pre><p>Specifies the percentage of particles that will test True. Animatable. Used only when <strong><code>.Test_Type</code></strong> is set to <strong>0 : Fraction Of Particles</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Split_Amount&gt;.Every_Nth Integer default: 3 </code></pre><p>Specifies how often to split off a particle. Animatable. Used only when <code>.Test_Type</code> is set to <strong>0 : Every Nth Particle</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Split_Amount&gt;.First_N Integer default: 100 </code></pre><p>Specifies the number of particles to split off, with <strong>2 : First N Particles</strong>, or to retain in the event, with <strong>3 : Particles After N First</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Split_Amount&gt;.Per_Emission_Source Boolean default: false </code></pre><p>When set to <strong>true</strong>, the software applies the First_N value for the options <strong>First N Particles</strong> and <strong>Particles After N First</strong> separately for each emission source. Use this option with multiple <strong>Particle Flow</strong> sources converging into a single Split Amount test.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Split_Amount&gt;.Random_Seed Integer </code></pre><p>Specifies the randomization value.</p>\n\
<h2 id=\"split_amount-interfaces-\">Split_Amount Interfaces:</h2><p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\">Interface: test</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Tests.html\">Tests</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";