var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7DC875B0-E1E5-4A00-9EF4-51204DD67862\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: initialEvents</h1></div><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getNumInitialActionLists()      </code></pre><p>Returns the number of initial Action Lists.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;getInitialActionList &lt;index&gt;index   </code></pre><p>Returns the indexed Action List node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;appendInitialActionList &lt;node&gt;actionList </code></pre><p>Appends the specified Action List node, returns <strong>true</strong> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;insertInitialActionList &lt;node&gt;actionList &lt;index&gt;index </code></pre><p>Inserts the specified Action List node at the specified indexed position, returns <strong>true</strong> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;removeInitialActionList &lt;index&gt;index </code></pre><p>Removes the indexed Action List, returns <strong>true</strong> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;hasInitialActionList &lt;node&gt;actionList &lt;&amp;index&gt;index \n\
\n\
index is In and Out parameter </code></pre><p>Returns <strong>true</strong> if the specified Action List node exists. In that case returns the index of the node in the index variable passed by reference.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Open Particle View to watch the results\n\
   particleFlow.OpenParticleView()\n\
   --&gt; $Particle_View:Particle View 01 @ [0.000000,0.000000,0.000000]\n\
   --Create a new Particle Flow Source\n\
   pfs = PF_Source()\n\
   --&gt; $PF_Source:PF Source 01 @ [0.000000,0.000000,0.000000]\n\
   --Get the number of Events connected to the PF_Source -\n\
   --there are none so far\n\
   pfs.getNumInitialActionLists()\n\
   --&gt; 0\n\
   --Create a new empty event\n\
   new_event = Event()\n\
   --&gt; $Event:Event 01 @ [0.000000,0.000000,0.000000]\n\
   --Connect the new Event to the PF_Source by appending it to\n\
   --the list of Initial Action Lists.\n\
   --In result, a binding appears\n\
   pfs.appendInitialActionList new_event\n\
   --&gt; true\n\
   --Check again the number of Events connected to the PF_Source\n\
   --As expected, there is one now\n\
   pfs.getNumInitialActionLists()\n\
   --&gt; 1\n\
   --Get the one Event connected to PF_Source -\n\
   --it is the Event_01 we created\n\
   pfs.getInitialActionList 1\n\
   --&gt; $Event:Event 01 @ [0.000000,0.000000,0.000000]\n\
   --Now let&#x2019;s create a second Event\n\
   another_event = Event()\n\
   --&gt; $Event:Event 02 @ [0.000000,0.000000,0.000000]\n\
   --This time we will not append to the list, but will insert the\n\
   --new Event to the first position of the list\n\
   pfs.insertInitialActionList another_event 1\n\
   --&gt; true\n\
   --Checking again the number of connected Events,\n\
   --we see that there are two already\n\
   pfs.getNumInitialActionLists()\n\
   --&gt; 2\n\
   --Let&#x2019;s see the result of the Insertion - the first indexed Event\n\
   --on the list is the second event we created...\n\
   pfs.getInitialActionList 1\n\
   --&gt; $Event:Event 02 @ [0.000000,0.000000,0.000000]\n\
   --...while the first Event we created is now at indexed position 2\n\
   pfs.getInitialActionList 2\n\
   --&gt; $Event:Event 01 @ [0.000000,0.000000,0.000000]\n\
   --We can remove the first Event and thus disconnect it\n\
   -- from the PF_Source\n\
   pfs.removeInitialActionList 1\n\
   --&gt; true\n\
   --Checking the number of Events, there is only one connected now,\n\
   --the second event is still in Particle View, but the binding is not\n\
   --displayed anymore.\n\
   pfs.getNumInitialActionLists()\n\
   --&gt; 1\n\
   --Let&#x2019;s see which Events are on the list and which are not.\n\
   --We will need a variable to pass by reference to get the results\n\
   ind = 0\n\
   --&gt; 0\n\
   --Calling this method with the first Event we created and the\n\
   --variable passed by reference returns true which means the event\n\
   --is actually on the list\n\
   pfs.hasInitialActionList new_event &amp;ind\n\
   --&gt; true\n\
   --Checking the content of the variable shows the index 1\n\
   --of the Event on the list of connections\n\
   ind\n\
   --&gt; 1\n\
   --On the other hand, the second Event we removed before\n\
   --does not appear on the list - the method returns false.\n\
   pfs.hasInitialActionList another_event &amp;ind\n\
   --&gt; false\n\
</code></pre></blockquote>\n\
<p><strong>This Interface is available in:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\">PF_Source : GeometryClass</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interfaces-2.html\">Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Interfaces.html\">Particle Flow Interfaces</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";