var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9AAA093F-FBA4-4B6A-8F8A-76C21F9F355E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>VolumeDocking Sample Script</h1></div><p><strong>Description:</strong></p>\n\
<p>The following sample is based on Laszlo Sebo&apos;s <em>VolumeDocking01.max</em> scene and illustrates the following MAXScript operations with <strong>Particle Flow</strong> :</p>\n\
<ul>\n\
<li><p>Common Action creation,</p>\n\
</li>\n\
<li><p>Appending Actions to an Event,</p>\n\
</li>\n\
<li><p>Inserting Actions to an Event,</p>\n\
</li>\n\
<li><p>Cloning Actions and Events</p>\n\
</li>\n\
<li><p>Wiring</p>\n\
</li>\n\
<li><p>Repositioning events in Particle View</p>\n\
</li>\n\
</ul>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>The script is self-contained and recreates all objects and <strong>Particle Flow</strong> Events and Actions on the fly:</p>\n\
<p><img src=\"./images/GUID-5B2EA27F-F442-4C32-B255-AD0128ADD076-low.gif\" alt></p>\n\
<p><strong>Effect:</strong></p>\n\
<p>The script creates two geometry primitives and two <a href=\"./../../Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\">PF_Sources</a> with corresponding Actions and Events.</p>\n\
<p>The geometry objects are used as volumes to be filled with particles. The initial positions of the particles are dumped to the particleVector channel. Using a <a href=\"./../../Particle-Flow-Classes/Tests/Find_Target-Helper.html\">Find_Target</a> action, the particles find their way from the one volume to the other and switch places after swirling around.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -----------------\n\
   -- SCENE SETUP --\n\
   -----------------\n\
\n\
   -- Set scene animation range to 150 frames\n\
   animationRange = interval 0f 150f\n\
   -- Create Cylinder primitive\n\
   cyl=cylinder radius:44 height:44 heightsegs:5 sides:18 pos:[-60, -55, 0]\n\
   -- Create a Torus primitive\n\
   tor=torus radius1:55 radius2:20 smooth:2 pos:[135, 120, 0]\n\
   -- Create a Vortex Space Warp\n\
   vor=vortex timeOff:33 axialStrength:22 rotationStrength:33 iconSise:40 rotation:(quat -1 0 0 0) pos:[20,35,-5]\n\
\n\
   -- PF_Flow setup\n\
   pf=PF_Source Show_Logo:off Show_Emitter:off Quantity_Viewport:100 isSelected:true\n\
\n\
   -------------------------------------\n\
   -- Action List - Appending Example --\n\
   -------------------------------------\n\
\n\
   -- Disable automatic Event Encapsulation &amp; begin editing:\n\
   ParticleFlow.BeginEdit()\n\
   a1 = RenderParticles()--define Action 1\n\
   pf.AppendAction a1--append the Action to PF_Source\n\
   ParticleFlow.EndEdit()--End editing, enable Auto-Encapsulation\n\
\n\
   x=y=1--Initialize two variables\n\
   --Get the location of the PF_Source in Particle View:\n\
   pf.GetPViewLocation &amp;x &amp;y\n\
\n\
   ------------------------\n\
   -- Define First Event --\n\
   ------------------------\n\
   ParticleFlow.BeginEdit()--start editing\n\
   -- Create a Birth Action for Event 1\n\
   ev1_a1 = Birth Emit_Start:0 Emit_Stop:0 Amount:300\n\
\n\
   -- Create a Position Object Action for Event 1\n\
   ev1_a2 = Position_Object Location:4 Emitter_Objects:#(tor) name:&quot;PositionObjectFirst&quot;\n\
   -- Comment the Position Object\n\
   pf.SetComments ev1_a2 &quot;The operator defines the destination point inside the target volume&quot;\n\
\n\
   -- Create a Script Operator\n\
   ev1_a3 = Script_Operator()\n\
   -- Set the script operator&#x2019;s script code as string.\n\
   -- The code enables Position and Vector channels,\n\
   -- the writes the particle position in the Vector channel\n\
   -- for all new particles.\n\
   ev1_a3.proceed_script = &quot;on ChannelsUsed pCont do\n\
   (\n\
    pCont.usePosition = true\n\
    pCont.useVector = true\n\
   )\n\
   on Init pCont do\n\
   (\\n\n\
   )\n\
   on Proceed pCont do\n\
   (\n\
    count = pCont.NumParticles()\n\
    for i in 1 to count do\n\
    (\n\
    pCont.particleIndex = i\n\
    if (pCont.particleNew) then\n\
    ( pCont.particleVector = pCont.particlePosition)\n\
    )\n\
   )\n\
   on Release pCont do\n\
   (\\n\n\
   )&quot;\n\
\n\
   -- Comment the action:\n\
   pf.SetComments ev1_a3 &quot;The script is used to dump particle position to script vector channel&quot;\n\
\n\
   -- Clone the Position_Object action from Event 1\n\
   -- The result of the cloning will be stored in the\n\
   -- by-reference variable dc.\n\
   maxOps.cloneNodes ev1_a2 newNodes:&amp;dc\n\
   -- Get the clone (first element of array)\n\
   ev1_a4 = dc[1]\n\
   -- Set the name of the action\n\
   ev1_a4.name =&quot;PositionObjectSecond&quot;\n\
   -- Set the Cylinder as the Emitter\n\
   ev1_a4.Emitter_Objects = #(cyl)\n\
\n\
   -- Comment the action:\n\
   pf.SetComments ev1_a4 &quot;The operator defines the initial position of a particle inside a start volume. The destination position is overwritten but the real value is kept in Script Vector channel&quot;\n\
\n\
   -- Create some more actions needed to control the particle system\n\
   ev1_a5 = Speed Direction:3\n\
   ev1_a6 = Rotation()\n\
   ev1_a7 = ShapeStandard Shape:1\n\
   ev1_a8 = DisplayParticles Type:6 Color:(color 255 0 0)\n\
\n\
   -- Create a new empty event, then append all already created\n\
   -- actions to it:\n\
   ev1 = Event()\n\
   ev1.AppendAction ev1_a1\n\
   ev1.AppendAction ev1_a2\n\
   ev1.AppendAction ev1_a3\n\
   ev1.AppendAction ev1_a4\n\
   ev1.AppendAction ev1_a5\n\
   ev1.AppendAction ev1_a6\n\
   ev1.AppendAction ev1_a7\n\
   ev1.AppendAction ev1_a8\n\
   -- Disable editing, enable Auto-Event-Encapsulation\n\
   ParticleFlow.EndEdit()\n\
\n\
   -- Append the event as the Initial Action List to the PF_Source.\n\
   -- This will connect the Event to the PF_Source.\n\
   pf.appendInitialActionList ev1\n\
   -- Position the Event inside the Particle View\n\
   ev1.SetPViewLocation x (y+100)\n\
\n\
   -------------------------------------\n\
   -- Action List - Inserting Example --\n\
   -------------------------------------\n\
\n\
   --Begin Editing again\n\
   ParticleFlow.BeginEdit()\n\
\n\
   ev1_a9 = Spin SpinRate:200 Variation:55--Create a Spin action\n\
   ev1_a10 = Force Influence:111--Create a Force\n\
   --Set the Vortex as Space Warp in the Force\n\
   ev1_a10.Force_Space_Warps = #(vor)\n\
\n\
   --Create and setup a Find_Target action:\n\
   ev1_a11 = Find_Target()\n\
   ev1_a11.name =&quot;FindTarget&quot;\n\
   ev1_a11.Cruise_Speed_Variation = 1000\n\
   ev1_a11.Acceleration_Limit=3000\n\
   ev1_a11.Aim_Point_Type = 2\n\
   ev1_a11.Icon_Size = 0\n\
\n\
   -- Comment the action:\n\
   pf.SetComments ev1_a11 &quot;The destination point is defined by script vector. The script vector value was defined by the Script Operator 01 from the Position Object 01&quot;\n\
\n\
   -- Insert the new actions into the existing Event\n\
   ev1.InsertAction ev1_a9 8\n\
   ev1.InsertAction ev1_a10 9\n\
   ev1.InsertAction ev1_a11 10\n\
   ParticleFlow.EndEdit()\n\
\n\
   -- Create a Second Event and its actions:\n\
   ParticleFlow.BeginEdit()\n\
   ev2_a1 = Speed Speed:0\n\
   ev2 = Event()\n\
   ev2_a2 = DisplayParticles Type:6 Color:(color 0 255 0)\n\
   ev2.AppendAction ev2_a1\n\
   ev2.AppendAction ev2_a2\n\
   ParticleFlow.EndEdit()\n\
\n\
   --Connect the second Event to the Find_Target\n\
   ev1_a11.setNextActionList ev2 ev1_a11\n\
   --Reposition the even\n\
   ev2.SetPViewLocation x (y+400)\n\
\n\
\n\
   -- Make copy of PF_Source and exchange Emitter objects\n\
   -- for Position_Object operators:\n\
\n\
   -- Clone the PF_Source and the two Emitters,\n\
   -- store the clones in a by-reference variable\n\
   maxOps.CloneNodes #(pf, ev1, ev2) newNodes:&amp;dc\n\
\n\
   -- Get the PF_Source and Emitter clones\n\
   pfc = dc[1]\n\
   ev1c = dc[2]\n\
   ev2c = dc[3]\n\
\n\
   -- Get the current position of the Particle View...\n\
   x=y=1\n\
   pfc.GetPViewLocation &amp;x &amp;y\n\
   -- Reposition the two Events\n\
   ev1c.SetPViewLocation x (y+100)\n\
   ev2c.SetPViewLocation x (y+400)\n\
\n\
   -- Copy the emitter objects from the original Position_Objects\n\
   if $PositionObjectFirst01 != undefined then (\n\
    $PositionObjectFirst01.Emitter_Objects = ev1_a4.Emitter_Objects\n\
   )\n\
   if $PositionObjectSecond01 != undefined then (\n\
    $PositionObjectSecond01.Emitter_Objects = ev1_a2.Emitter_Objects\n\
   )\n\
\n\
   -- Bind the Find_Target Test output to the clone of the Second Event\n\
   if $FindTarget01 != undefined then (\n\
    $FindTarget01.setNextActionList ev2c $FindTarget01\n\
   ) \n\
\n\
   -- Switch to Modify Tab\n\
   max modify mode\n\
   -- Open Particle View to see what happened...\n\
   ParticleFlow.OpenParticleView()\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Creating-and-Connecting-Actions.html\">Creating and Connecting Actions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Interfaces/particleFlow-Global-Interface.html\">particleFlow Global Interface</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";