var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F33A03CA-24A3-4CBF-AF4A-FA3408ACD95D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>particleInteger Sample Script</h1></div><p><strong>Description:</strong></p>\n\
<p>The following sample script assigns Integer values to the <strong>particleInteger</strong> channel according to particle speed.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>Can be used to choose targets in the <a href=\"./../../Particle-Flow-Classes/Tests/Find_Target-Helper.html\">Find_Target</a> Test when <code>.Assignment_Type</code> is set to <strong>4 : By Script Integer</strong>.</p>\n\
<p><strong>Effect:</strong></p>\n\
<p>When used with a <strong>Find_Target</strong> operator, the <strong>particleInteger</strong> channel can be used to specify the target objects by index.</p>\n\
<p>If the speed is below 1 unit per frame, then the particle is assigned to the first target (index=0). If the speed is higher than 10 units per frame then the particle is assigned to the third target (index=2). All other particles are assigned to the second target (index = 1).</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --The ChannelsUsed handler defines the channels\n\
   --to be made available to the script.\n\
   --For the list of all channels, see\n\
   --Interface: MaxscriptParticleContainer\n\
   --The parameter pCont passed to the handler\n\
   --contains the Particle Container the script is applied to\n\
   on ChannelsUsed pCont do\n\
   (\n\
   --Enable the Time channel:\n\
   pCont.useTime = true\n\
   --Enable the Speed channel:\n\
   pCont.useSpeed = true\n\
   --Enable the Integer channel:\n\
   pCont.useInteger = true\n\
   )\n\
   --The Init handler is called on initialization.\n\
   --It is not used in this case.\n\
   on Init pCont do\n\
   (\n\
   )\n\
\n\
   --The Proceed handler contains the main script\n\
   --applied to the Particles.\n\
   --The parameter pCont passed to the handler\n\
   --contains the Particle Container the script is applied to:\n\
   on Proceed pCont do\n\
   ( \n\
   --get the number of particles\n\
   count = pCont.NumParticles()\n\
\n\
   --define two local variables slowSpeed and fastSpeed\n\
   --as 1 resp. 10 units per frame (in NTSC time 160 ticks are 1 frame)\n\
   slowSpeed = 1/160.0\n\
   fastSpeed = 10/160.0\n\
\n\
   --Loop from 1 to the number of particles:\n\
   for i in 1 to count do\n\
   (\n\
\n\
   --Set the particle index in the container to the current i value\n\
   pCont.particleIndex = i\n\
\n\
   --If the length of the particleSpeed vector is shorter than\n\
   --the defined slowSpeed value,\n\
   --then set the particleInteger value to 0:\n\
   if length(pCont.particleSpeed) &lt; slowSpeed then\n\
   pCont.particleInteger = 0\n\
\n\
   --If the particle is faster than the slowSpeed value, test its\n\
   --speed against the fastSpeed value. If faster, assign 2, if slower,\n\
   --(between slowSpeed and fastSpeed), assign 1 to the\n\
   --particleInteger channel:\n\
   else\n\
   (\n\
   if (length(pCont.particleSpeed) &gt; fastSpeed) then\n\
   pCont.particleInteger = 2\n\
   else\n\
   pCont.particleInteger = 1\n\
   )\n\
   )--end i loop\n\
   )--end Proceed\n\
   --The Release handler is used to do cleanup work.\n\
   --Not used in this case.\n\
   on Release pCont do\n\
   (\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Particle-Channel-Scripts.html\">Particle Channel Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Interfaces/Interfaces-2/Interface-19.html\">Interface: MaxscriptParticleContainer</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes/Tests/Find_Target-Helper.html\">Find_Target : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-in-Script-Actions/Using-MAXScript-in-Script.html\">Using MAXScript in Script Actions</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";