var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3191CEE3-9676-472E-BC00-ED8F3ACF746C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>View-Dependent Particle Resolution Example</h1></div><p><strong>Description:</strong></p>\n\
<p>The following example shows a possible way to control the resolution of particles based on the distance to a camera.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>Should be used in a <a href=\"./../../Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\">Script_Operator</a>.</p>\n\
<p><img src=\"./images/GUID-0911BCD3-DBC1-4918-A907-7997206265F9-low.gif\" alt></p>\n\
<p><strong>Effect:</strong></p>\n\
<p>The script uses a Sphere primitive from the scene as the shape of every particle and sets its segments based on the distance to a hard-coded camera $Camera001. As particles get farther from the camera, they get less polygons.</p>\n\
<p><img src=\"./images/GUID-0AECEB5D-F4B0-4116-807E-09BA8F9A5BEE-low.gif\" alt></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --The ChannelsUsed handler defines the channels\n\
   --to be made available to the script.\n\
   --For the list of all channels, see\n\
   --Interface: MaxscriptParticleContainer\n\
   --The parameter pCont passed to the handler\n\
   --contains the Particle Container the script is applied to\n\
   on ChannelsUsed pCont do\n\
   (\n\
   pCont.useShape = true --Enable the Shape channel\n\
   pCont.usePosition = true --Enable the Position channel\n\
   pCont.useScale = true --Enable the Scale channel\n\
   )\n\
   --The Init handler is called on initialization.\n\
   --In this case, it is used to define and, if necessary, create\n\
   --the source of particle shapes\n\
   on Init pCont do\n\
   (\n\
   -- Get the shape source primitive by name.\n\
   -- Use random name to avoid conflict with other objects in the scene\n\
   global sph = $SphereDynamic2468975\n\
\n\
   -- In case the object does not exist, create it\n\
   if sph == undefined then\n\
   (\n\
   sph = Sphere()\n\
   -- Give the object a unique name\n\
   sph.name =&quot;SphereDynamic2468975&quot;\n\
   -- Set the radius to one.\n\
   sph.radius = 1.0\n\
   -- Hide the Sphere\n\
   hide sph\n\
   )\n\
   )\n\
\n\
   --The Proceed handler contains the main script\n\
   --applied to the Particles.\n\
   --The parameter pCont passed to the handler\n\
   --contains the Particle Container the script is applied to:\n\
   on Proceed pCont do\n\
   (\n\
   --If there is a camera named Camera001 in the scene...\n\
   if $Camera001 != undefined then\n\
   (\n\
   --Get the current total particles count:\n\
   count = pCont.NumParticles()\n\
\n\
   --Loop through all particles:\n\
   for i in 1 to count do \n\
   (\n\
\n\
   --Set the current particle index:\n\
   pCont.particleIndex = i \n\
\n\
   --Modify the pre-created sphere with radius\n\
   --based on the particle size:\n\
   sph.radius = pCont.particleScale \n\
\n\
   --Modify segments based on the distance to the camera\n\
   --called $Camera01\n\
   --At distance of 500.0 units the segments will be set to 2\n\
   --At distance of 250.0 the segments will be 4, at 100 units 10 etc.\n\
   --Change the function to get the desired falloff\n\
   sph.segs = 1000.0/(length (pCont.particlePosition - $Camera01.pos))\n\
\n\
   --Set the shape of the particle to the TriMesh of the Sphere\n\
   pCont.particleShape = sph.mesh\n\
   )--end i loop\n\
   )--end if\n\
   )--end proceed\n\
\n\
   --The Release handler is used to do cleanup work.\n\
   --Not used in this case.\n\
   on Release pCont do\n\
   (\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Script-Operators.html\">Script Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Sphere-GeometryClass.html\">Sphere : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Interfaces/Interfaces-2/Interface-19.html\">Interface: MaxscriptParticleContainer</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\">Script_Operator : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-in-Script-Actions/Using-MAXScript-in-Script.html\">Using MAXScript in Script Actions</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";