var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3792EE10-B44E-4E2C-822F-94CC0B4BB0C1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Age Test in Script Test Example</h1></div><p><strong>Description:</strong></p>\n\
<p>The following example shows the access to the Proceed methods of an Age Test from the Proceed handler of a Script Test.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>Should be used inside a <a href=\"./../../Particle-Flow-Classes/Tests/Script_Test-Helper.html\">Script_Test : Helper</a> to access an <a href=\"./../../Particle-Flow-Classes/Tests/Age_Test-Helper.html\">Age_Test : Helper</a></p>\n\
<p><img src=\"./images/GUID-5751034D-732F-4CDA-8F14-814F05B6BA84-low.gif\" alt></p>\n\
<p><strong>Effect:</strong></p>\n\
<p>In the Init handler, the Script_Test creates a unqiue Age Test action or accesses an existing one if already created before. It then calls the Proceed methods of the Age Test to acquire its test results. Then it takes only the particles that have not passed the Age Test and checks them against a spherical volume. Those that fall inside the volume pass the Script Test, too.</p>\n\
<p>The particles that tested True are passed to a second Event which stops them. The final result is that all particles either stop because they are too old, or stop because they have entered the spherical volume.</p>\n\
<p>In the sample scene, a Sphere with radius 20 represents the spherical volume tested by the script. The particles either rest on the surface of the sphere, or have passed it and have stopped because of their age outside the sphere.</p>\n\
<p><img src=\"./images/GUID-0B1E53A6-F685-4C24-B5A0-F66E5A524D55-low.gif\" alt></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --The ChannelsUsed handler defines the channels\n\
   --to be made available to the script.\n\
   --For the list of all channels, see\n\
   --Interface: MaxscriptParticleContainer\n\
   --The parameter pCont passed to the handler\n\
   --contains the Particle Container the script is applied to\n\
   on ChannelsUsed pCont do\n\
   (\n\
   pCont.useTime = true --enable the Time channel\n\
   pCont.usePosition = true --enable the Position channel\n\
   pCont.useAge = true --enable the Age channel\n\
   )\n\
\n\
   --The Init handler is called on initialization.\n\
   --In this case, it is used to create the Age Test if it does not\n\
   --exist yet, or get the existing one.\n\
   on Init pCont do\n\
   (\n\
   global ageT\n\
\n\
   --If the unique object does not exist yet\n\
   if $ageTest77777 == undefined then\n\
   (\n\
   --Disable automatic event encapsulation\n\
   particleFlow.BeginEdit()\n\
   --Create a new Age Test\n\
   ageT = Age_Test()\n\
   --Give it a unique name! If you are reusing the code\n\
   --multiple times, change the number to have a unique ID\n\
   ageT.name =&quot;ageTest77777&quot;\n\
   --Disable editing mode, enable auto-encapsulation\n\
   particleFlow.EndEdit()\n\
   --Set the Age Test value to 1600 ticks, no variation\n\
   ageT.Test_Value = 1600\n\
   ageT.Variation = 0\n\
   )\n\
   else\n\
   ageT = $ageTest77777--if the object exists, get it\n\
   )--end init handler\n\
   --In the Proceed handler, the Script Test calls the Proceed methods\n\
   --of the Age Test to acquire its results and then checks the\n\
   --the particles that have not passed the Age Test against\n\
   --a spherical volume\n\
   on Proceed pCont do\n\
   (\n\
   --Get the current number of particles\n\
   count = pCont.NumParticles()\n\
\n\
   --Get the exact start and end time\n\
   t_start = pCont.GetTimeStart() as time\n\
   t_end = pCont.GetTimeEnd() as time\n\
   t_start_frac = (pCont.GetTimeStart() as float) - (t_start as integer)\n\
   t_end_frac = (pCont.GetTimeEnd() as float) - (t_end as integer)\n\
\n\
   --Initialize a BitArray to store results\n\
   testResult = #{}\n\
\n\
   --Initialize an Array to store test times\n\
   testTime = #()\n\
\n\
   --Call the ProceedStep1 method of the Age Test\n\
   ageT.proceedStep1 (pCont.GetParticleContainer()) (pCont.GetParticleSystem()) (pCont.getParticleSystemNode()) (pCont.getActionNode()) (pCont.getIntegrator())\n\
\n\
   --Call the ProceedStep2 method of the Age Test\n\
   --The results will be returned in the by-reference variables\n\
   ageT.proceedStep2 t_start t_start_frac &amp;t_end &amp;t_end_frac &amp;testResult &amp;testTime\n\
\n\
   --If the particle system is not undefined\n\
   if pCont.GetParticleSystem() != undefined then\n\
   (\n\
   --Go through all particles\n\
   for i in 1 to count do\n\
   (\n\
   --If the i-th particle passed the Age Test\n\
   if (testResult[i]) then\n\
   (\n\
\n\
   --Set the current particle index\n\
   pCont.particleIndex = i\n\
   --Set the particle&#x2019;s test status to true\n\
   pCont.particleTestStatus = true\n\
   --Set the particle&#x2019;s Test time to the one returned by the\n\
   --Age Test\n\
   pCont.setParticleTestTimePrecise i t_start testTime[i]\n\
   )\n\
   else\n\
   (\n\
   --Set the current particle index\n\
   pCont.particleIndex = i\n\
   --Any particles inside a sphere with radius 20\n\
   --satisfy the test\n\
   if length(pCont.particlePosition) &lt; 20 then\n\
   (\n\
   --Tell the particle it passed the test\n\
   pCont.particleTestStatus = true\n\
   --And set the test time to the current particle time\n\
   pCont.particleTestTime = pCont.particleTime\n\
   )\n\
   )\n\
   )\n\
   )\n\
   )\n\
\n\
   on Release pCont do\n\
   (\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Script-Tests.html\">Script Tests</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-in-Script-Actions/Using-MAXScript-in-Script.html\">Using MAXScript in Script Actions</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";