var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2B6FF55D-52A2-44D7-98E1-592DD5AA5FAB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Proceed With Integrate Script_Test Example</h1></div><p><strong>Description:</strong></p>\n\
<p>The following example shows the usage of the Integrator interface in a Script_Test action.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>Should be used inside a <a href=\"./../../Particle-Flow-Classes/Tests/Script_Test-Helper.html\">Script_Test : Helper</a> action.</p>\n\
<p><img src=\"./images/GUID-52279FFE-03E3-438B-975B-3D23325703A0-low.gif\" alt></p>\n\
<p><strong>Effect:</strong></p>\n\
<p>Shows the necessity of using the Integrator. Without the Integrator particles are stopped <em>somewhere</em> around the zero Z plane. The Integrator is able to stop particles exactly at the plane level (without any modification of the particle position).</p>\n\
<p>In the example flow, the particles are born and accelerated. The Script_Test checks their position and if they pass the scripted test, they are moved to the second event which stops them.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --The ChannelsUsed handler defines the channels\n\
   --to be made available to the script.\n\
   --For the list of all channels, see\n\
   --Interface: MaxscriptParticleContainer\n\
   --The parameter pCont passed to the handler\n\
   --contains the Particle Container the script is applied to\n\
   on ChannelsUsed pCont do\n\
   (\n\
   pCont.useTime = true --enable the Time channel\n\
   pCont.usePosition = true --enable the Position channel\n\
   pCont.useSpeed = true --enable the Speed channel\n\
   )\n\
\n\
   --The Init handler is called on initialization.\n\
   --It is not used in this case.\n\
   on Init pCont do\n\
   (\n\
\n\
   )\n\
\n\
   on Proceed pCont do\n\
   (\n\
   --Get the End Time\n\
   end = pCont.GetTimeEnd() as float\n\
   --Get the interface to the Integrator\n\
   _int = pCont.GetIntegrator()\n\
   --Get the current particle count\n\
   count = pCont.NumParticles()\n\
   --Get the particle container\n\
   pCont_curr = pCont.GetParticleContainer()\n\
   --Initialize Arrays\n\
   timeToStopInt = #()\n\
   timeToStopFloat = #()\n\
   particlesToStop = #{}\n\
   --Initialize a flag to signal when\n\
   --there are particles to send to the integrator\n\
   hasParticlesToIntegrate = false\n\
\n\
   --Go through all particles\n\
   for i in 1 to count do\n\
   (\n\
   --Set the current particle index\n\
   pCont.particleIndex = i\n\
   --Calculate the remaining time to travel\n\
   timeForTravel = end - (pCont.particleTimeasfloat)\n\
   -- format &quot;time to travel % = %\\n&quot; i timeforTravel\n\
   --Get the current position and speed of the particle\n\
   curPos = pCont.particlePosition\n\
   curSpeed = pCont.particleSpeed\n\
\n\
   --Calculate the time to the XY plane. Because of the minus sign,\n\
   --when the Z coordinate is negative, the time will be positive\n\
   timeToPlane = -curPos.z / curSpeed.z\n\
   -- format &quot;time to plane % = %\\n&quot; i timeToPlane\n\
\n\
   --Initialize a flag\n\
   stopThisParticle = 0\n\
   --Get the particle time in frames\n\
   curParticleTime = pCont.particleTime as time\n\
\n\
   --If the time to plane is positive or zero and shorter\n\
   --than the time to travel, then the particle has passed\n\
   --the plane already and has to be stopped!\n\
   if((timeToPlane &gt;= 0.0)and(timeToPlane &lt;= timeForTravel))do\n\
   (\n\
   --Set the Test status to true\n\
   pCont.particleTestStatus = true\n\
   --Set the precise particle time\n\
   pCont.setParticleTestTimePrecise i pCont.particleTime timeToPlane\n\
   --Append the particle index to the BitArray of particles\n\
   --to be stopped\n\
   append particlesToStop i\n\
   --Raise the flag to signal there is work for the integrator\n\
   hasParticlesToIntegrate = true\n\
   )\n\
\n\
   --Append the particle time frame and fraction to the two arrays \n\
   append timeToStopInt curParticleTime\n\
   append timeToStopFloat timeToPlane\n\
   )\n\
\n\
   --If the flag has been set \n\
   if hasParticlesToIntegrate then\n\
   (\n\
   --If the integrator can be accessed, send the particles to stop\n\
   --to the Integrator\n\
   if _int != undefined then\n\
   _int.proceedASync pCont_curr timeToStopInt timeToStopFloat true particlesToStop\n\
   )\n\
   -- format &quot;time to stop Int= %\\n&quot; timeToStopInt\n\
   -- format &quot;time to stop Float= %\\n&quot; timeToStopFloat\n\
   -- format &quot;part to stop Index= %\\n&quot; particlesToStop\n\
   )\n\
\n\
   --The Release handler is used to do cleanup work.\n\
   --Not used in this case.\n\
   on Release pCont do\n\
   (\n\
   )\n\
\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Script-Tests.html\">Script Tests</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-in-Script-Actions/Using-MAXScript-in-Script.html\">Using MAXScript in Script Actions</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";