var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-570A4B99-5421-4CEE-B6FA-2D9A8230A71F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Every Step Update Example</h1></div><p><strong>Description:</strong></p>\n\
<p>The following example shows the default Every Step Update script with detailed comments.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>Used by <a href=\"./../../Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\">PF_Source</a> as default Every Step Update script.</p>\n\
<p><strong>Effect:</strong></p>\n\
<p>The script modifies particle speed and direction, causing particles to follow a spiral path:</p>\n\
<p><img src=\"./images/GUID-6B4C2B59-6E09-4B1D-9352-5B4F035BEEB1-low.gif\" alt></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Get the current particle system executing the script\n\
   pf_node_current = particleFlow.scriptRunner()\n\
\n\
   --In case the current particle system is a valid node\n\
   if (pf_node_current != undefined) then\n\
   (\n\
\n\
   --Get the total number of particles\n\
   count = pf_node_current.NumParticles()\n\
   --Loop from 1 to the number of particles\n\
   for i in 1 to count do\n\
   (\n\
\n\
   --Set the particle index in the container to the current i value.\n\
   --This makes the i-th particle in the container the current one:\n\
   pf_node_current.particleIndex = i\n\
\n\
   --Get the age of the particle, multiply by 5 and use as angle\n\
   --to define the particle speed\n\
   --Decreasing the constant 5 will slow down the rotation\n\
   --Increasing the constant will speed up the rotation\n\
   age = 5*pf_node_current.particleAge\n\
\n\
   --Calculate the speed of the particle using the\n\
   --function of the circle.\n\
   --Info: In general, a circle can be drawn using an Angle\n\
   --going from 0 to 2*Pi and the following functions for X and Y:\n\
   --X = CenterX+Radius*Cos(Angle)\n\
   --Y = CenterY+Radius*Sin(Angle)\n\
   --In our case, CenterX and CenterY are 0, Radius is 0.05 units,\n\
   --and Angle is based on the Age of the particles (see above).\n\
   --Changing the constant 0.05 will change the radius of the path.\n\
   --Changing the -0.05 (Z speed) will change the height of the spiral.\n\
   pf_node_current.particleSpeed = [0.05*cos(age), 0.05*sin(age), -0.05]\n\
\n\
   )--end i loop\n\
   )--end if\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Update-Step-Scripts.html\">Update Step Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Final-Step-Update-Example.html\">Final Step Update Example</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\">PF_Source : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";