var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-AD28D4D6-D961-43EF-8F8C-DC3EBB6655BA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Biped Layers</h1></div><h2 id=\"layer-related-methods\">Layer Related Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.collapseAtLayer &lt;biped_ctrl&gt; &lt;index&gt;         </code></pre><p>Collapses layer index+1 into layer index. All layers underneath (&lt;= index+1) must be active for this function to work. Returns true if successful, otherwise false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.createLayer &lt;biped_ctrl&gt; &lt;index&gt; &lt;name&gt;      </code></pre><p>Creates a layer at the specified position. The maximum index value can be NumLayers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.deleteLayer &lt;biped_ctrl&gt; &lt;index&gt;   </code></pre><p>Deletes the specified layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.getCurrentLayer &lt;biped_ctrl&gt; </code></pre><p>Returns the position of the currently active layer in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.getLayerActive &lt;biped_ctrl&gt; &lt;index&gt; </code></pre><p>Returns true if the specified layer is active.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.getLayerName &lt;biped_ctrl&gt; &lt;index&gt; </code></pre><p>Returns the specified layer name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.numLayers &lt;biped_ctrl&gt; </code></pre><p>Returns the number of layers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.setCurrentLayer &lt;biped_ctrl&gt; &lt;index&gt; </code></pre><p>Sets the active layer in the UI to the specified layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.setLayerActive &lt;biped_ctrl&gt; &lt;index&gt; &lt;bool_val&gt; </code></pre><p>Sets the specified layer to active/inactive based upon the bool_val passed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.setLayerName &lt;biped_ctrl&gt; &lt;index&gt; &lt;name&gt; </code></pre><p>Sets the specified layer name to the value passed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.setSnapKey &lt;biped_node&gt; </code></pre><p>Sets the snap key for a layer.</p>\n\
<p>The following example creates a new Biped, accesses its Vertical_Horizontal_Turn (Body) controller, and loads a specific *.Bip file:</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- create a new Biped\n\
bipObj = biped.createNew 100 100 [0,0,0] \n\
-- select bipObj \n\
bip = bipObj.controller   \n\
max motion mode   \n\
-- File I/O \n\
biped.LoadBipFile bip (CSPATH + &quot;scripts\\\\Limploop.bip&quot;) \n\
</code></pre><p><a name=\"layer-retargeting-methods\"></a></p>\n\
<h2 id=\"layer-retargeting-methods\">Layer Retargeting Methods</h2><p>The following functions are used for retargeting biped layer animation, either to the base layer or to a reference biped.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.getLimbRetargetState &lt;limb_node&gt; </code></pre><p>Returns the retarget state of a limb.</p>\n\
<p>Expects any node from a biped limb as an argument.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.setLimbRetargetState &lt;limb_node&gt; &lt;state&gt; </code></pre><p>Sets the retarget state of the given limb.</p>\n\
<p>Expects any node from a biped limb as the first argument, a Boolean value as the second argument.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.getRetargetRefBip &lt;bipcontrol&gt; </code></pre><p>Returns the retarget reference biped for the given biped, or undefined if no reference biped is assigned.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.setRetargetRefBip &lt;bipcontrol&gt; &lt;refBipNode&gt; </code></pre><p>Sets the retarget reference biped.</p>\n\
<p>The first argument is the biped for which the refbip is being set.</p>\n\
<p>The second argument is the refbip - any node from a different biped.</p>\n\
<p>Returns true if the reference biped was set correctly, false otherwise.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.retargetToReferenceBiped &lt;bipcontrol&gt; &lt;IK_Only&gt; </code></pre><p>Retargets to the reference biped passed as the first argument.</p>\n\
<p>The second argument is the IK Only flag.</p>\n\
<p>For every limb whose retarget state is active, calculates the hand/foot position at every key, maintaining IK constraints to the retarget biped.</p>\n\
<p>When IK_Only is true, the biped&apos;s constrained hands and feet are retargeted only during the frames on which they are IK controlled.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.retargetToBaseLayer &lt;bipcontrol&gt; &lt;IK_Only&gt; </code></pre><p>Retargets the biped passed as the first argument to the base layer.</p>\n\
<p>The second argument is the IK Only flag.</p>\n\
<p>A layer must be active.</p>\n\
<p>For every limb whose retarget state is active, calculates the hand/foot position at every key, maintaining IK constraints to the base layer.</p>\n\
<p>When IK_Only is true, the biped&apos;s constrained hands and feet are retargeted only during the frames on which they are IK controlled.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Biped-General-Topics.html\">Biped General Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Biped-Creation.html\">Biped Creation</a></li>\n\
          <li><a class=\"link\" href=\"../Biped-Controllers.html\">Biped Controllers</a></li>\n\
          <li><a class=\"link\" href=\"../../Biped-MAXScript-Extensions.html\">Biped MAXScript Extensions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";