var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-10144917-5039-4F7D-8614-E7F9E5442653\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MxClip Class</h1></div><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.orgstart: timevalue,Read-only         .orgend: timevalue,Read-only      </code></pre><p>These are the original time boundaries of the file loaded into the clip. These bounds never change unless a new file is loaded into the clip.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.trimstart: timevalue      .trimend: timevalue   </code></pre><p>These are the trimmed boundaries of the clip. They are the same as or within the original boundaries. These values do not change when you scale a clip. They simply tell you what subset of the original clip is being used. These boundaries are visible in the mixer when you are in trim mode. When you set these values, the weight curve and time warps will be trimmed appropriately.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.globstart: timevalue   .globend: timevalue </code></pre><p>These are global frame values. They indicate where the trimmed bounds of the clip are mapped globally. The clip&apos;s scale is defined by the relationship between the trimmed interval (trimend - trimstart) and the global interval (globend - globstart). If those intervals are equal, the clip&#x2019;s scale is 1. globstart must be less than globend.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.scale: float (must be &gt; 0.0) </code></pre><p>This is the clips&apos; scale. When you change it, the clip will scale on the right edge. The left edge will not move.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.transInpt: timevalue </code></pre><p>This is the inpoint of the transition from this clip to the next. The inpoint must be greater than the outpoint from the previous transition to this clip (prevTransOutpt). The inpoint must be less than the scaled local trimmed end of the clip. (see definition of scaled local below)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.transAngle: float </code></pre><p>This is the transition angle for the transition from this clip to the next.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.transFocus: name must be set to one of the following: #focusAuto, #focusCom, #focusLftFoot, #focusRgtFoot, #focusBthFeet</code></pre><p>This is the transition focus for the transition from this clip to the next.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.transRolling: boolean </code></pre><p>This describes whether or not this clip is rolling or fixed during the transition to the next clip.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.transEasein: float (0.0 - 1.0) .transEaseout: float (0.0 - 1.0) </code></pre><p>These are the ease values for the transition from this clip to the next. Each ease value, and the sum of the ease values, must be between 0.0 and 1.0, inclusive.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.prevTransOutpt: timevalue </code></pre><p>This is the outpoint of the transition from the previous clip to this clip. The outpoint must be less than the inpoint from this clip to the next (transInpt). The outpoint must be greater than the scaled local trimmed start of the clip. . (see definition of scaled local below)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.prevTransRolling: boolean </code></pre><p>This describes whether or not this clip is rolling or fixed during the transition from the previous clip to this clip.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.filename: string, not settable </code></pre><p>This is the filename of the bip file used by this clip. You must use the loadFile function to change the file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.numWeights: integer, not settable </code></pre><p>The number of weights in the clip&#x2019;s weight curve (relevant only when clip is in a layer track)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.numTimeWarps: integer, not settable </code></pre><p>The number of time warp keys in the clip&#x2019;a s time warp.</p>\n\
<p><strong>Methods</strong></p>\n\
<h2 id=\"clips\">Clips</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">loadFile &lt;clip:mxclip&gt; &lt;loadOption:name&gt; &lt;filename:string&gt; &lt;ZeroFootHeight:boolean&gt; </code></pre><p>This loads a .bip file into a clip. loadOption must be one of the following:</p>\n\
<ul>\n\
<li><code>#singleClip</code> (means load the file only into this clip),</li>\n\
<li><code>#instances</code> (means load the file into this clip as well as all instances of this clip),</li>\n\
<li><code>#adaptations</code> (means load the file into this clip and all instances and adaptations of this clip).</li>\n\
</ul>\n\
<p>Returns true or false, indicating whether or not the file load was successful.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">moveClip &lt;clip:mxclip&gt; &lt;timeInc:timevalue&gt; </code></pre><p>This moves the clip timeInc frames. It returns true. Using this function, you can overlap clips, unlike you can in the user interface. However, this is not advised.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scaleClip &lt;clip:mxclip&gt; &lt;scale:float&gt; </code></pre><p>This scales the clip. This scale value must be greater than 0. This is different from the clip&apos;s scale property, which sets the absolute scale. Instead this will multiply the absolute scale by the specified amount. Using this function, you can overlap clips, unlike you can in the user interface. However, this is not advised.</p>\n\
<h2 id=\"time-conversion-methods\">Time Conversion Methods</h2><p>The following functions return a time value.They are useful for converting between various time spaces described below:</p>\n\
<p><strong>local:</strong> a time between trimstart and trimend, inclusive</p>\n\
<p><strong>scaled local</strong>: a time between 0 and the length of the scaled clip, which can be found this way:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">length = &lt;mxclip&gt;.globend- &lt;mxclip&gt;.globstart</code></pre><p>Transition inpoints and outpoints are stored in scaled local time.</p>\n\
<p><strong>global</strong>: a global time value</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">LocalToScaledLocal &lt;clip:mxclip&gt; &lt;frame:integer&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ScaledLocalToLocal &lt;clip:mxclip&gt; &lt;frame:integer&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">LocalToGlobal &lt;clip:mxclip&gt; &lt;frame:integer&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GlobalToLocal &lt;clip:mxclip&gt; &lt;frame:integer&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GlobalToScaledLocal &lt;clip:mxclip&gt; &lt;frame:integer&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ScaledLocalToGlobal &lt;clip:mxclip&gt; &lt;frame:integer&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GlobalInpoint &lt;clip:mxclip&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GlobalOutpoint &lt;clip:mxclip&gt; </code></pre><h2 id=\"weight-methods\">Weight Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getWeight &lt;index::integer &gt; </code></pre><p>Returns the weight at the specified index in the clip&#x2019;s weight curve. If the Index is out of bounds, the function will return 0.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getWeightTime &lt;index::integer &gt; </code></pre><p>Returns the time at the specified index in the clip&#x2019;s weight curve. If the Index is out of bounds, the function will return 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteWeight &lt;index::integer &gt; </code></pre><p>Deletes the weight at the specified index in the clip&#x2019;s weight curve. If the Index is out of bounds, the function will return false. Otherwise, it returns true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setWeight &lt;index::integer &gt; &lt;float::weight&gt; </code></pre><p>Sets the weight at the specified index in the clip&#x2019;s weight curve. If the Index is out of bounds or weight is not between 0.0 and 1.0, the function will return false. Otherwise, it returns true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setWeightTime &lt;index::integer &gt; &lt;time::timevalue&gt; </code></pre><p>Sets the time at the specified index in the clip&#x2019;s weight curve. If the Index is out of bounds or time is not between the time values of the previous and next values in the weight curve, the function will return false. If time is less than 0 or greater than the scaled local last frame of the clip, the function will also return false. Otherwise, it returns true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setWeightAtTime &lt;time::timevalue&gt; &lt;float::weight&gt; </code></pre><p>If there is a key at time time on the weight curve, this will reset the weight at that key. If not, this will create a new key at time time with weight weight. If time is less than 0 or greater than the scaled local last frame of the clip, the function will return false. Otherwise, it returns true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getWeightAtTime &lt;time::timevalue&gt; </code></pre><p>If t is at a key at time time in the weight curve, this returns the weight at that key. Otherwise, it returns the interpolated weight at time time. If there are no weights, this returns 1.0.</p>\n\
<h2 id=\"time-warp-methods\">Time Warp Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isTimeWarpActive() </code></pre><p>Returns true if time warp exists, false if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ActivateTimeWarp() </code></pre><p>Activates the time warp for this clip.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DeactivateTimeWarp() </code></pre><p>Deactivates the time warp for this clip.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">InitializeTimeWarp() </code></pre><p>Initializes the time warp for this clip, placing one time warp key at the beginning of the clip, and another at the end. This will also activate the time warp if it is not active.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getTwOrgTime &lt;index::integer&gt; </code></pre><p>Returns the original time at index index. If index is out of bounds of the time warp, this returns 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getTwWarpTime &lt;index::integer&gt; </code></pre><p>Returns the warped time at index index. If index is out of bounds of the time warp, this returns 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GetOrgTimeAtWarpedTime &lt;wtime::timevalue&gt; </code></pre><p>This returns what original time has been warped to time wtime. If wtime is out of bounds of the time warp, this returns 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GetWarpedTimeAtOrgTime &lt;otime::timevalue&gt; </code></pre><p>Returns what the original time, otime, has been warped to. If otime is out of bounds of the clip&#x2019;s scaled local time, this returns 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DeleteTw &lt;index::integer&gt; </code></pre><p>Deletes the time warp key at index index. If index is out of bounds of the time warp, this returns false. Otherwise it returns true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SetTwOrgTime &lt;index::integer&gt; &lt;otime::timevalue&gt; </code></pre><p>Sets the original time of the time warp key at index index to otime. This returns false if index is out of bounds of the time warp, or otime is not inbetween the two original times of the warp indices surrounding index. This also returns false if you attempt to change the original time of the first and last values in the time warp, since it must remain at the clip boundaries. Otherwise, this returns true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SetTwWarpTime &lt;index::integer&gt; &lt;wtime::timevalue&gt; </code></pre><p>Sets the warped time of the time warp key at index index to wtime. This returns false if index is out of bounds of the time warp, or wtime is not inbetween the two warped times of the warp indices surrounding index. This also returns false if wtime is less than 0 or greater than the scaled local last frame of the clip. Otherwise, this returns true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">InsertWarpAtOrgTime &lt;otime::timevalue&gt; </code></pre><p>If otime is at an existing warp key&apos;s original time value, or otime is out of bounds of the clip&apos;s scaled local bounds, then this returns false. Otherwise it sets a new time warp key, computing the warped time for this key such that the flow is continuous, and it returns true.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Mixer-MAXScript-Extensions.html\">Mixer MAXScript Extensions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Mixer-MAXScript-Extensions.html\">Mixer MAXScript Extensions</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";