var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-95453E22-A022-4543-B31C-A052CECD3598\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXWrapper Common Properties, Operators, and Methods</h1></div><p>The following properties and methods are applicable to any value that is derived from MAXWrapper.</p>\n\
<p><strong>Properties</strong></p>\n\
<p>The following MAXWrapper value and class properties give you access to the plug-in category such as, Standard Primitives, Extended Primitives, or Particle Systems:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MAXWrapperobject&gt;.category Name, read-only \n\
&lt;maxclass&gt;.category Name, read-only \n\
&lt;maxsuperclass&gt;.categories Array, read-only      </code></pre><p>The <code>category</code> property returns a Name value containing the category. You can use it on either a <strong>3ds Max</strong> object class such as, Line, Box, or Fog, or on an instance of any <strong>3ds Max</strong> object class. For scene nodes, the category usually corresponds to one of the names in the drop down list in the Create panel. These are the categories such as, <code>#Standard_Primitives</code> , <code>#Compound_Objects</code> , and <code>#Particles_Only</code> .</p>\n\
<p>For modifiers, the category determines which group the modifier appears in the Configure Button Sets/Modifiers list. These are the categories such as, <code>#MAX_STANDARD</code> , <code>#MAX_EDIT</code> , and <code>#MAX_SURFACE</code> .</p>\n\
<p>For textures, the category determines which group the texture appears in the Material/Map Browser. These are the categories such as, <code>#2D</code> (2D maps), <code>#3D</code> (3D maps), and <code>#COMP</code> (Compositors).</p>\n\
<p>The <code>categories</code> property can be used on any of the <strong>3ds Max</strong> object superclasses such as, Shape, GeometryClass, Helper, SpacewarpObject, TextureMap, or Modifier to get a list of the available categories for that superclass, returned as an array of Names.</p>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">$line01.category --returns #Splines\n\
Gengon.category --returns #Extended_Primitives\n\
Shape.categories --returns #(#Shape, #Splines, #NURBS_Curves)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxsuperclass&gt;.classes Array, read-only   </code></pre><p>Returns an array of MAXClass values that belong to the MAXSuperClass. These MAXClass values can be used to create instances of the class.</p>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--create an instance of each light class:\n\
for aLight in light.classes do aLight()\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MAXWrapperobject&gt;.classID \n\
&lt;maxclass&gt;.classID </code></pre><p>The <code>classID</code> property retrieves the internal <strong>3ds Max</strong> Class ID of the MAXWrapper classes and objects.</p>\n\
<p>The value returned is an array containing two numbers, PartA and PartB of the <strong>3ds Max</strong> internal class ID.</p>\n\
<p>For a MAXWrapper object, the value returned is the Class ID of the class of which the object is an instance.</p>\n\
<p>The combination of the PartA and PartB numbers is guaranteed to be unique for each class.</p>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Box.classID --returns #(16, 0)\n\
b=box()\n\
b.classID --returns #(16, 0)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MAXWrapperObject&gt;.superClassID \n\
&lt;maxclass&gt;.superClassID </code></pre><p>Retrieves the <strong>3ds Max</strong> superclass ID of the MAXWrapper classes and objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxclass&gt;.creatable Boolean, read-only</code></pre><p>Returns <code>true</code> if the class is flagged as being creatable.</p>\n\
<p>This property returning true does not guarantee that the class is really creatable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxclass&gt;.ispb2based Boolean, read-only</code></pre><p>Returns <code>true</code> if the underlying class definition is a ClassDesc2, <code>false</code> if a ClassDesc.</p>\n\
<p>ClassDesc2 classes use <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\"#parameters\">ParamBlock2</a>, and ClassDesc classes use ParamBlock (pre-<strong>3ds Max3</strong>).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxclass&gt;.localizedName </code></pre><p>A read-only property which contains the localized name of the class.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxclass&gt;.nonLocalizedName </code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022:</strong> A read-only property which contains the non-localized name of the class.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxclass&gt;.dllName String, read-only </code></pre><p>A read-only property which contains the DLL file name implementing the class, if the class was defined by a plugin DLL; otherwise it will contain undefined.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxclass&gt;.dllIsLoaded Boolean, read-only</code></pre><p>A read-only boolean property which contains true when the DLL implementing the class has been already loaded or false when it has been deferred. If the class was not defined in a plugin DLL, this property will contain undefined.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for sc in superclasses do\n\
(\n\
format &quot;%\\n&quot; sc\n\
for c in sc.classes do\n\
format &quot;\\t% : % : %\\n&quot; c c.dllName c.dllIsLoaded\n\
)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxclass&gt;.isMSPluginClass Boolean, read-only </code></pre><p>Indicates whether the maxclass is a scripted plug-in. Note that scripted custom attributes are a subcategory of scripted plug-in, and will also return true.</p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy &lt;MAXWrapper_object&gt; </code></pre><p>The <code>copy()</code> function is implemented by <strong>all</strong> the <strong>3ds Max</strong> objects available in MAXScript such as, scene objects, controllers, modifiers, materials, and others. You can use this function to make a clone of the source object, for example, in situations where you want individual copies or you want to make a shared object unique.</p>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addModifier $foo $baz.bend\n\
</code></pre><p>will cause <code>foo</code> to share the bend modifier on <code>baz</code> , whereas:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addModifier $foo (copy $baz.bend)\n\
</code></pre><p>will give <code>foo</code> a separate clone of the bend modifier on <code>baz</code> . Any changes to the bend modifier on <code>foo</code> will not affect <code>baz</code> and vice versa.</p>\n\
<p>In the next example, we set up several objects that share a single rotation controller.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">c = bezier_rotation()\n\
$foo.rotation.controller = c\n\
$baz.rotation.controller = c\n\
$bar.rotation.controller = c\n\
</code></pre><p>To later make one of the controllers <strong>unique</strong>, you can do this:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">$baz.rotation.controller = copy $baz.rotation.controller\n\
</code></pre><p>When the MAXWrapper object is not a scene node, the copy is only created in MAXScript memory. When the MAXWrapper object is a scene node, a new scene node is created which is visible and accessible by the user in the <strong>3ds Max</strong> viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">exprForMAXObject &lt;MAXWrapper_object&gt; [explicitNames: &lt;boolean&gt;] </code></pre><p>Returns a string containing a MAXScript expression that will &apos;name&apos; the specified MAXWrapper object using property access and indexes as needed.</p>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>If you have in variable <code>m</code> a bend modifier on a scene object named &quot;foo&quot;, then:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">exprForMAXObject m\n\
</code></pre><p>will yield the string:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&quot;$foo.bend&quot;\n\
</code></pre><p>When the <code>explicitNames:</code> option is set to true, explicit node names are returned. When set to false, selection relative names are returned. If not specified, the current Macro Recorder settings under Customize &gt; Preferences &gt; MAXScript tab &gt; Code Generation are used.</p>\n\
<p>This method is an exposure of an internal method used by the MacroRecorder. When the <code>explicitNames:</code> option is not specified, its output will vary depending on the Macro Recorder options.</p>\n\
<p><strong>MACRO RECORDER EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">b=box()\n\
--&gt;$Box:Box002 @ [0.000000,0.000000,0.000000]\n\
c=b.pos.controller\n\
--&gt;Controller:Bezier_Position\n\
exprformaxobject c\n\
--&gt;&quot;$Box002.pos.controller&quot;\n\
bm=bend()\n\
--&gt;Bend:Bend\n\
addmodifier b bm\n\
--&gt;OK\n\
exprformaxobject bm\n\
--&gt;&quot;$Box002.modifiers[#Bend]&quot;\n\
</code></pre><p>Here, changing the Macro Recorder options from &quot;Explicit scene object names&quot; to &quot;Selection-relative scene object names&quot;, yields:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">exprformaxobject bm\n\
--&gt;&quot;$.modifiers[#Bend]&quot;\n\
</code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>In some cases, the Macro Recorder generated code does not work as expected. One such case is the ambientColorController - <code>exprForMaxObject()</code> returns an invalid expression in this case:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">exprForMaxObject ambientColorController\n\
--&gt;&quot;Scene[#Environment].Ambient_Light.controller&quot;</code></pre><p>Possible workarounds to access the ambient color controller are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">(getclassinstances scene)[1].Environment.Background_Color.controller \n\
\n\
(getclassinstances RenderEnvironment)[1].Background_Color.controller</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">createInstance &lt;maxclass&gt; [ keyarg1:v] [ keyarg2:v] ... </code></pre><p>This method is used to directly create the &apos;base objects&apos; that you see in a Node (or any other object). The main use for this is to create temporary geometry base objects from which meshes will be extracted to help create the meshes for scripted geometry primitive plug-ins. The optional <code>&lt;keyargs&gt;</code> are the same base-object keyword arguments as can be supplied for the class constructor. These are typically the parameters of the base object.</p>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">b = createInstance Box length:10 height:40 width:20\n\
</code></pre><p>creates an instance of a Box. This box will not appear in the <strong>3ds Max</strong> viewports, as it is not a node. It only contains the geometry associated with the Box object. You can get at the mesh representation of these instanced objects with the <code>mesh</code> property, which yields a <code>TriMesh</code> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">replaceInstances &lt;old_MAXWrapper&gt; &lt;new_MAXWrapper&gt; transferCAs: &lt;boolean&gt; </code></pre><p>Replaces all instances of the old MAXWrapper with the new MAXWrapper. Old and new MAXWrapper must have the same superclass.</p>\n\
<p>If <code>transferCAs</code> is <code>true</code> , any custom attributes on the old_MAXWrapper are transferred to the new_MAXWrapper if there is at least one occurrence of transferring the reference.</p>\n\
<p>References are not transferred for MAXWrapper values.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Minimal error checking, use with extreme caution.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isValidObj &lt;value&gt; </code></pre><p>Returns true if the value points to a MAX object (a MAXWrapper), and the MAX object has not been deleted.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  In some cases, the MAX object might be deleted from the scene, but the object itself is not deleted. This method will return true in this case.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isValidValue &lt;value&gt; </code></pre><p>Returns true if the argument is a valid value, false if the value has been deleted. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p>This is identical to <strong>isDeleted()</strong> below, except it returns true when <strong>isDeleted()</strong> returns false, and false where it returns true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isDeleted &lt;MAXWrapper&gt;</code></pre><p>Returns true if the specified MAXWrapper has been deleted, false if not.</p>\n\
<p>This is identical to <strong>isValidValue()</strong> above, except it returns true where <strong>isValidValue()</strong> returns false, and false where it returns true.</p>\n\
<p>For most value types, <strong>isDeleted()</strong> always returns false. The value types that can return true are:</p>\n\
<ul>\n\
<li>FPS interface values</li>\n\
<li>Node values</li>\n\
<li>XRefScene values</li>\n\
<li>MAXWrapper values</li>\n\
<li>SelectionSet values</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getClassName &lt;MAXWrapper&gt;&#x202F;[localizedName:&lt;bool&gt;] </code></pre><p>Returns the class name of the MAXWrapper as a string value.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022:</strong> When the <code>localizedName</code> keyword parameter is <code>true</code> (the default), the localized name as it appears in the UI is returned.  Otherwise the non-localized name is returned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getObjectName &lt;object&gt;&#x202F;[localizedName:&lt;bool&gt;] </code></pre><p>Returns the base name of the MAXWrapper&apos;s BaseObject, if it derives from one, as a string value. For example, this method returns &quot;bend&quot; for a bend modifier.  </p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022:</strong> When the <code>localizedName</code> keyword parameter is <code>true</code> (the default), the localized name as it appears in the UI is returned.  Otherwise the non-localized name is returned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; isUsedInScene &lt;MAXWrapper&gt; skipCustAttributes:&lt;false&gt; includeXrefScenes:&lt;false&gt;</code></pre><p>This function returns true if the MAXWrapper is used by the scene, other than by Scene Material Library (which in some cases can contain materials not being used by the scene). The scene includes the material editor, renderer, render effects, and so on. Specify <strong>skipCustAttributes</strong> as true to skip over any MAXWrapper objects held in Custom Attributes. Set <strong>includeXrefScenes</strong> as true to search any Xrefed scenes as well.</p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<h3 id=\"example\">Example</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mat = StandardMaterial()\n\
--&gt; Standardmaterial:Standard\n\
isUsedInScene mat\n\
--&gt; false\n\
s = sphere material:mat\n\
--&gt;$Sphere:Sphere001 @ [0.000000,0.000000,0.000000]\n\
isUsedInScene mat\n\
--&gt;true</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MAXClass&gt;getMAXClass &lt;scid&gt; #(&lt;cid_a&gt;, &lt;cid_b&gt;) create:&lt;boolean&gt; </code></pre><p>Returns MAXClass corresponding to the specified superclass ID and class ID. The superclass ID is specified as an integer value, and the class ID is specified as a 2 element array of integers. If <code>create:true</code> is specified, a new MAXClass is created if it doesn&apos;t already exist.</p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<h2 id=\"dependencies\">Dependencies</h2><p>An important internal mechanism in <strong>3ds Max</strong> defines the dependency relationship between <strong>3ds Max</strong> objects. For example, a material depends on its various maps, a path controller depends on its percent controller, a scene node depends on its base object, and so on.</p>\n\
<p>The <code>refs</code> struct provides methods to access and manage MaxWrapper object references. These methods are provided primarily for debugging and investigating reference hierarchies. They are not required for general scripting and plug-in development. The &quot;Get&quot; methods are safe to use. The &quot;Set/Replace&quot; methods are extremely unsafe, and should only be used if you really know what you are doing.</p>\n\
<p>The following method returns the MAXWrapper objects that depend on a specified MAXWrapper object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">refs.dependents&amp;&lt;MAXWrapper_object&gt;[ immediateOnly:&amp;&lt;boolean&gt;] </code></pre><p>Returns an array of the <strong>3ds Max</strong> MAXWrapper objects depending on the specified MAXWrapper object. The specified MAXWrapper object can be any MAXWrapper object such as, a scene node, controller, material, modifier, and so on.</p>\n\
<p>If the optional keyword <code>immediateOnly</code> is supplied and set to true, only the immediate dependents of the specified object will be returned.</p>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">refs.dependents $foo.material.diffuseMap\n\
</code></pre><p><strong>CAN RETURN</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#(Material_#3, Material_#2, Map_#2:Noise, Material_#1)\n\
</code></pre><p>which shows that the diffuseMap in <code>$foo</code> is referenced in material #1, material #2, material #3, and noise TextureMap #2.</p>\n\
<p>The following example shows several objects being created, and sets up controllers on the objects which depend on other objects.</p>\n\
<p><strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theSphere=sphere ()-- create a sphere\n\
theCone=cone radius1:0 radius2:20-- create a cone\n\
theHelix=helix height:100 pos:[100,100,0]-- create a helix\n\
theCone.target=theSphere-- assign theSphere as target of theCone\n\
--  a look at controller is automatically\n\
--  assigned to theCone\n\
--  assign path controller to theSphere, path to follow is the helix\n\
theSphere.position.controller=path path:theHelix\n\
refs.dependents theSphere-- show dependents of the sphere\n\
refs.dependents theCone-- show dependents of the cone\n\
refs.dependents theHelix-- show dependents of the helix\n\
</code></pre><p><strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">$Sphere:Sphere002 @ [0.000000,0.000000,0.000000]-- result line 1\n\
$Cone:Cone002 @ [0.000000,0.000000,0.000000]-- result line 2\n\
$Helix:Helix002 @ [100.000000,100.000000,0.000000]-- result line 3\n\
$Sphere:Sphere002 @ [0.000000,0.000000,0.000000]-- result line 4\n\
Controller:Path_Constraint-- result line 8\n\
#(Controller:Look_At, $Cone:Cone002 @ [0.000000,0.000000,0.000000])-- result line 9\n\
#()-- result line 10\n\
--  following is output of line 11\n\
#(ReferenceTarget:ParamBlock2, Controller:Path_Constraint, Controller:Position_Rotation_Scale, $Sphere:Sphere002 @ [135.000000,100.000000,0.000000], Controller:Look_At, $Cone:Cone002 @ [0.000000,0.000000,0.000000])\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">refs.dependsOn &lt;MAXWrapper_object&gt; </code></pre><p>Returns an array of the <strong>3ds Max</strong> MAXWrapper objects that the specified MAXWrapper object directly depends on.</p>\n\
<p>The specified MAXWrapper object can be any MAXWrapper object such as, a scene node, controller, material, or modifier.</p>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">b = box()\n\
refs.dependsOn b\n\
</code></pre><p><strong>RETURNS</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#(Controller::Position_Rotation_Scale, Box)\n\
</code></pre><p>This shows that the node directly depends on its transform controller and its base object. The node will also be indirectly dependent on the MAXWrapper objects that these objects depend on (the position, rotation, and scale controllers for the transform controller).</p>\n\
<p><code>refs.dependson</code> also returns the Custom Attributes of an object. In versions prior to <strong>3ds Max 7</strong>, Custom Attributes were not considered by this method as technically they are not dependent on the object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">refs.dependencyLoopTest &lt;MAXWrapper_object&gt; &lt;MAXWrapper_object&gt; </code></pre><p>Returns true if the two MAXWrapper objects create a dependency loop, false otherwise.</p>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">a = box pos:[-100,0,0]\n\
--&gt; $Box:Box001 @ [-100.000000,0.000000,0.000000]\n\
b = box pos:[100,0,0]\n\
--&gt; $Box:Box002 @ [100.000000,0.000000,0.000000]\n\
a.material = standardMaterial()\n\
--&gt; Standardmaterial:Standard\n\
refs.dependencyLoopTest a b\n\
--&gt; false\n\
refs.dependencyLoopTest a a.material\n\
--&gt; true\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">refs.dependentNodes &lt;MAXObject&gt; firstOnly: &lt;boolean&gt; baseObjectOnly: &lt;boolean&gt; </code></pre><p>Returns node(s) that are dependent on the specified MAXObject.</p>\n\
<p>If <code>firstOnly:</code> is true, and if no nodes are dependent on the specified MAXObject, a value of &apos;undefined&apos; is returned, otherwise a MAXNode value corresponding to the first dependent node found is returned.</p>\n\
<p>If <code>firstOnly:</code> is false or not specified, the return value is always an array.</p>\n\
<p>If <code>baseObjectOnly:</code> is true, only nodes where the MAXObject is the base object will be returned.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">refs.replaceReference  &lt;max_obj&gt; &lt;int&gt; {&lt;max_obj&gt; | undefined} </code></pre><p>Replaces the reference at index <code>&lt;int&gt;</code> with either a new reference or undefined (effectively removing the reference). <strong>Note</strong>: this is an unsafe method and will crash 3ds Max if you do not know what you are doing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">refs.setIndirectReference &lt;MaxWrapper&gt; &lt;int&gt; {&lt;MaxWrapper | undefined} </code></pre><p>Replaces the indirect reference at index <code>&lt;int&gt;</code> with either a new reference or undefined (effectively removing the reference). <strong>Note</strong>: this is an unsafe method and will crash 3ds Max if you do not know what you are doing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">refs.getReference &lt;MaxWrapper&gt; &lt;int&gt; </code></pre><p>Gets the reference at index <code>&lt;int&gt;</code> in the object&#x2019;s reference array.</p>\n\
<p><strong>Example</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">s = sphere()\n\
-- $Sphere:Sphere001 @ [0.000000,0.000000,0.000000]\n\
refs.GetReference s 1\n\
-- Controller:Position_Rotation_Scale</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">refs.getIndirectReference &lt;MaxWrapper&gt; &lt;int&gt; </code></pre><p>Gets the indirect reference at index <code>&lt;int&gt;</code> in the objects reference array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">refs.getAddr &lt;MaxWrapper&gt;</code></pre><p>Returns the address of the MaxWrapper as an IntegerPtr value. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Example</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">s = sphere()\n\
-- $Sphere:Sphere001 @ [0.000000,0.000000,0.000000]\n\
refs.getAddr s\n\
-- 1530273376P</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">refs.getNumRefs &lt;MaxWrapper&gt; </code></pre><p>Returns the number of references held by the specified MaxWrapper object.</p>\n\
<p><strong>Example</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">s = sphere()\n\
-- $Sphere:Sphere003 @ [0.000000,0.000000,0.000000]\n\
refs.getNumRefs s\n\
-- 16</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">refs.getNumIndirectRefs &lt;MaxWrapper&gt; </code></pre><p>Returns the number of indirect references held by the specified MaxWrapper object. Note that you can&#x2019;t create indirect references with MaxScript.</p>\n\
<p><strong>Example</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">n = NodeTransformMonitor()\n\
-- ReferenceTarget:NodeTransformMonitor\n\
refs.getNumIndirectRefs n\n\
-- 1</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">notifyDependents &lt;MAXObject&gt; partID:&lt;name&gt; msg:&lt;int&gt; propogate: &lt;boolean&gt; </code></pre><p>Sends notification message to the dependents of the object.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<p>Valid partID values and their SDK equivalents are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>partID</th>\n\
<th>SDK</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>#topo</strong></td>\n\
<td><strong>PART_TOPO</strong></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#geom</strong></td>\n\
<td><strong>PART_GEOM</strong></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#texmap</strong></td>\n\
<td><strong>PART_TEXMAP</strong></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#mtl</strong></td>\n\
<td><strong>PART_MTL</strong></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#TM</strong></td>\n\
<td><strong>PART_TM</strong></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#obj</strong></td>\n\
<td><strong>PART_OBJ</strong></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#objectType</strong></td>\n\
<td><strong>PART_OBJECT_TYPE</strong></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#select</strong></td>\n\
<td><strong>PART_SELECT</strong></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#subSelType</strong></td>\n\
<td><strong>PART_SUBSEL_TYPE</strong></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#display</strong></td>\n\
<td><strong>PART_DISPLAY</strong></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#vertColor</strong></td>\n\
<td><strong>PART_VERTCOLOR</strong></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#gfxData</strong></td>\n\
<td><strong>PART_GFX_DATA</strong></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#dispApprox</strong></td>\n\
<td><strong>PART_DISP_APPROX</strong></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#extension</strong></td>\n\
<td><strong>PART_EXTENSION</strong></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#TMchannel</strong></td>\n\
<td><strong>PART_TM_CHAN</strong></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#MTLChannel</strong></td>\n\
<td><strong>PART_MTL_CHAN</strong></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#all</strong></td>\n\
<td><strong>PART_ALL</strong></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#putInFG</strong></td>\n\
<td><strong>PART_PUT_IN_FG</strong></td>\n\
</tr>\n\
</tbody></table>\n\
<p>The default partID is #all.</p>\n\
<p>The msg value corresponds to one of the REFMSG values specified in maxsdk\\include\\ref.h, and documented in the SDK Help topic &quot;List of Reference Messages and their PartID parameters&quot;. The default msg value is 0x050 (REFMSG_CHANGE), unless partID is #putInFG, in which case the default is 0x070 (REFMSG_FLAGDEPENDENTS).</p>\n\
<p>If <code>propogate:</code> is true (the default), the messages are propagated to the dependents of the dependents, recursively.</p>\n\
<p>This method is useful for notifying scripted controllers that a value used in the controller has changed.</p>\n\
<p><strong>FOR EXAMPLE, RUN:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">globalmySphereRadius = 10\n\
s=sphere()\n\
s.radius.controller = float_script()\n\
s.radius.controller.script =&quot;mySphereRadius&quot;\n\
</code></pre><p><strong>NOW RUN:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mySphereRadius = 50\n\
</code></pre><p>The viewport will not update to reflect the change.</p>\n\
<p><strong>NOW RUN:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">notifydependents s.radius.controller\n\
</code></pre><p>The viewport updates to reflect that the dependents of the controller (the sphere base object and node) are notified about the controller change.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">disableRefMsgs() \n\
enableRefMsgs() </code></pre><p>Disable/enable reference notification system. Must be paired.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> USE WITH EXTREME CAUTION</p>\n\
\n\
</div></div>\n\
\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXWrapper-Value.html\">MAXWrapper : Value</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Access-to-MAXWrapper-AppData.html\">Access to MAXWrapper AppData</a></li>\n\
          <li><a class=\"link\" href=\"Nested-Object-Controller.html\">Nested Object Controller Functions</a></li>\n\
          <li><a class=\"link\" href=\"Nested-Object-Properties.html\">Nested Object Properties</a></li>\n\
          <li><a class=\"link\" href=\"Note-Track-Access/Note-Track-Access-1.html\">Note Track Access</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";