var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A4807BDC-380B-49DE-B3E2-DCB35E43A10C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Nested Object Controller Functions</h1></div><p>Certain time and keyframe functions on controllers can be called on any <strong>3ds Max</strong> object or collection of <strong>3ds Max</strong> objects.</p>\n\
<p>If called in this way, they apply recursively to all the nested controllers within that object and on any sub-objects and sub-controllers within those objects.</p>\n\
<p>In this way, they work in a manner similar to the object-level tracks in the <strong>3ds Max</strong> Track View that allow you to manipulate keys and time for all the sub-objects and sub-controllers within them.</p>\n\
<p>The time and controller functions that work in this way are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteTime reverseTime scaleTime insertTime setTimeRange addNewKey deleteKeys selectKeys deselectKeys moveKeys mapKeys sortKeys reduceKeys addEaseCurve deleteEaseCurve setBeforeORT setAfterORT enableORTs </code></pre><p>The above functions can be called on any <strong>3ds Max</strong> object collection (such as, a wild-card pathname, object set, or array of objects ) and will recursively apply to all animation within those objects.</p>\n\
<p>For more information, see <a href=\"./../Animation-Controllers/Controller-Common-Properties/Time-and-Key-Functions-on-Object.html\">Time and Key Functions on Object Hierarchies</a> and <a href=\"./../Animation-Controllers/Controller-Common-Properties/Controller-Time-Functions.html\">Controller Time Functions</a>.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for i = 1 to 3 do (\n\
       b = box()\n\
       addmodifier b (XForm())\n\
   )\n\
\n\
   insertTime $box001.xform 0f 10f\n\
   -- all keys after0fin all controllers in theXFormmodifier are moved by10f\n\
   insertTime $box001 0f 10f\n\
   -- all keys after0finbox01are moved (transform, creation, modifiers)\n\
   selectKeys $box002.xform.gizmo.rotation.controller 0f 100f\n\
   -- selects keys in0-100f. If controller is Euler, will select x, y and z keys\n\
   deleteTime $box* 10f 20f\n\
   -- deletetime fromframe10to frame20in all keys in all objects named$box*(works with&#x2014;any pathname or array of objects)\n\
   insertTime $box003.children 0f 10f\n\
   -- inserts time in all controllers of all children of$box03\n\
   reduceKeys $box001.modifiers 0.5 1f\n\
   -- applies key reductions to all controllers in all modifiers in$box01(leaves&#x2014;transform and creation parameters alone)\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXWrapper-Value.html\">MAXWrapper : Value</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";