var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4733B2AC-1F0E-4A78-A79C-93ED8A28DAC9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Working with Note Tracks</h1></div><p>Changing the <code>time</code> property of a note key may cause it to go out of time order relative to the other keys in the controller. You <strong>must</strong> call the <code>sortKeys()</code> function on the controller or associated <code>MAXNoteKeyArray</code> once all key time manipulations of this kind is complete so that animation will perform correctly.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   s = sphere()-- create a sphere\n\
   --&gt;$Sphere:Sphere02 @ [0.0,0.0,0.0]\n\
   ntp1 = NoteTrack&quot;PosNT1&quot;-- create a note track\n\
   --&gt;Notetrack:PosNT1\n\
   ntp2 = NoteTrack&quot;PosNT2&quot;-- create another note track\n\
   --&gt;Notetrack:PosNT2\n\
   -- apply first note track to sphere&apos;s pos controller:\n\
   addNoteTrack s.pos.controller ntp1\n\
   --&gt;OK\n\
   -- apply second note track to sphere&apos;s pos controller:\n\
   addNoteTrack s.pos.controller ntp2\n\
   --&gt;OK\n\
   -- check number of note tracks on pos controller:\n\
   numNoteTracks s.pos.controller\n\
   --&gt;2\n\
   -- test to see if pos controller has note tracks:\n\
   hasNoteTracks s.pos.controller\n\
   --&gt;true\n\
   -- add key to first note track, and select the key:\n\
   addNewNoteKey ntp1.keys 20 #select\n\
   --&gt;#Note key(1 @ 20f)\n\
   -- add another key to first note track:\n\
   addNewNoteKey ntp1.keys 40\n\
   --&gt;#Note key(2 @ 40f)\n\
   -- retrieve first note track on the pos controller:\n\
   n = getNoteTrack s.pos.controller 1\n\
   -- retrieve an instance of the note track key array Notetrack:\n\
   nk=n.keys\n\
   --&gt;#keys(20f, 40f)\n\
   -- set value for second note key:\n\
   nk[2].value =&quot;Yo What&apos;s Up&quot;\n\
   --&gt;&quot;Yo What&apos;s Up&quot;\n\
   -- change the time for second note key. Now first key\n\
   nk[2].time = 10\n\
   --&gt;10\n\
   nk[1].selected = true-- select the first note key\n\
   --&gt;true\n\
   -- changed the time of the note keys, so re-sort:\n\
   sortNoteKeys nk\n\
   --&gt;OK\n\
   nk.count-- check number of keys\n\
   --&gt;2\n\
   nk-- display the note keys\n\
   --&gt;#keys(10f, 20f)\n\
   --  To delete the note tracks and note keys:\n\
   deleteNoteKey nk 1-- delete first note key\n\
   --&gt;OK\n\
   deleteNoteKeys n.keys #allKeys-- delete all the note keys\n\
   --&gt;OK\n\
   -- remove note track from pos controller:\n\
   deleteNoteTrack s.pos.controller ntp1\n\
   --&gt;OK\n\
   -- remove note track from pos controller:\n\
   deleteNoteTrack s.pos.controller ntp2\n\
   --&gt;OK\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Note-Track-Access.html\">Note Track Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";