var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-05587CE9-F6EF-47F3-9ECF-45F88A2222A7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Advanced_Lighting_Override : Material</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Advanced_Lighting_Override - superclass: material; super-superclass:MAXWrapper - classID: #(689195325, 1828668151) </code></pre><p>This material is used to override the physical properties of the Base material for radisosity calculations.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The <strong>Advanced_Lighting_Override</strong> material found in <strong>3ds Max</strong> was called <strong>Radiosity_Override</strong> in <strong>Autodesk VIZ</strong>, but has the same classID in both applications!</p>\n\
<p>Class instances of this material can also be constructed in both applications using the alias <strong>discreetRadiosityMaterial</strong>. It is a good idea to use the alias in your scripts to ensure compatibility between <strong>3ds Max</strong> and <strong>Autodesk VIZ</strong>.</p>\n\
<p>Checking the class using</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">classof my_mat == discreetRadiosityMaterial</code></pre><p>will return <code>true</code> in both applications.</p>\n\
<p><strong>3ds Max Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">advanced_lighting_override...      \n\
discreetRadiosityMaterial... </code></pre><p><strong>Autodesk VIZ Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">radiosity_override ...   \n\
discreetRadiosityMaterial ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Advanced_Lighting_Override&gt;.baseMaterial Standardmaterial default: (null):Standard -- material; SubAnim </code></pre><p>Contains the base material whose radiosity properties have to be controlled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Advanced_Lighting_Override&gt;.bumpScale Float default: 1.0 -- animatable; float </code></pre><p>Get/Set the Bump Scale value.</p>\n\
<p>Scales the effect of the base material&apos;s Bump Mapping in areas lit by indirect light.</p>\n\
<p>When this value is zero, no bump mapping is done for indirect light.</p>\n\
<p>Increasing Indirect Light Bump Scale increases the bump effect under indirect lighting.</p>\n\
<p>This value does not affect the Bump amount in areas where the base material is lit directly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Advanced_Lighting_Override&gt;.colorBleed Float default: 1.0 -- animatable; float </code></pre><p>Get/Set the Color Bleeding value.</p>\n\
<p>Controls the saturation of reflected color during radiosity processing.</p>\n\
<p>Range from 0.0 to 1.0 in <strong>Autodesk VIZ</strong>.</p>\n\
<p>Range from 0.0 to 1000.0 in <strong>3ds Max</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Advanced_Lighting_Override&gt;.luminanceScale Float default: 0.0 -- animatable; float </code></pre><p>Get/Set the Luminance Scale value.</p>\n\
<p>Scales the self-illumination component of the base material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Advanced_Lighting_Override&gt;.reflectanceScale Float default: 1.0 -- animatable; float </code></pre><p>Get/Set the Reflectance Scale value.</p>\n\
<p>Used to Scale increases or decreases the energy of reflected rays.</p>\n\
<p>Range from 0.1 to 5.0 in <strong>Autodesk VIZ</strong>.</p>\n\
<p>Range from 0.0 to 1000.0 in <strong>3ds Max</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Advanced_Lighting_Override&gt;.transmittanceScale Float default: 1.0 -- animatable; float </code></pre><p>Get/Set the Transmittance Scale value.</p>\n\
<p>Used to control the amount of radiosity energy the material transmits.</p>\n\
<p>Range from 0.0 to 1000.0 in <strong>3ds Max</strong>.</p>\n\
<p>(Range from 0.1 to 5.0 in the <strong>Radiosity_Override</strong> material in <strong>Autodesk VIZ</strong>.)</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-Types.html\">Material Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";