var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A06BF73D-7B3D-4898-8CE8-7DDB9F3C12F9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: ParticleCache</h1></div><p>This interface provides access to the liquid or foam particle cache for <a href=\"MaxLiquidSolver.html\">MaxLiquidSolver</a> objects. Available in <strong>3ds Max 2018.3</strong> and later.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ParticleCache.baseFilename : string : Read</code></pre><p>Gets the base path and filename for the cache files. For example, &quot;C:\\Program Files\\3ds Max 2019\\SimCache\\Untitled\\Liquid001\\Solver01\\voxel_liquid\\voxel_liquid_particle&quot;. This path is constructed from the <code>MaxLiquid.cacheOutputFilePattern</code> property. Cache files are stored in this location with a suffix of <code>&lt;frame number&gt;.bif</code>. For example &quot;voxel_liquid_particle.0001.bif&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ParticleCache.numDigits : integer : Read</code></pre><p>Gets the number of digits used for the frame portion of the cache file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ParticleCache.cacheType : enum : Read\n\
 cacheType enums: {#unknown|#liquid|#smoke|#foam|#mesh}</code></pre><p>Returns the cache object type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ParticleCache.startFrame : integer : Read</code></pre><p>Returns the frame number the cache starts at.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ParticleCache.endFrame : integer : Read</code></pre><p>Returns the frame number the cache ends at.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ParticleCache.colorChannelname : string : Read|Write\n\
ParticleCache.sizeChannelName : string : Read|Write\n\
ParticleCache.opacityChannelname : string : Read|Write</code></pre><p>Gets or sets the color, size, or opacity channel names. The string is empty when the channel mode is &quot;Static&quot;. This corresponds to the <code>&lt;MaxLiquidSolver&gt;.colorChannelMode</code>, <code>.sizeChannelMode</code>, and <code>.opacityChannelMode</code> properties.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;string&gt;ParticleCache.GetMainName()</code></pre><p>Returns the name of the solver the particle cache is associated with.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;integer&gt;ParticleCache.GetNumFrames()</code></pre><p>Returns the number of frames in the cache.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;integer&gt;ParticleCache.GetNumParticles &lt;integer&gt;frame</code></pre><p>Returns the number of particles in the cache file for the specified frame number, or -1 if the specified frame does not exist.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;point3 by value&gt;ParticleCache.GetParticlePos &lt;integer&gt;frame &lt;index&gt;particleIndex</code></pre><p>Returns the position of the particle at the specified index at the specified frame, or [0,0,0] if the frame or index does not exist.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;box3&gt;ParticleCache.GetBoundingBox &lt;integer&gt;frame</code></pre><p>Returns the bounding box of all the particles at the specified frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;ParticleCache.Clear()</code></pre><p>Clears the particle cache from memory. Note that this does not delete the cache files on disk.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;integer&gt;ParticleCache.IsCached &lt;integer&gt;frame</code></pre><p>Returns true if a cache exists for the specified fame.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Max-Fluid-Classes.html\">Max Fluid Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";