var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3CF6FA6C-4CEA-4CC4-BACF-B2E40EF28C53\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>RayMeshGridIntersect : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RayMeshGridIntersect - superclass: ReferenceTarget; super-superclass:MAXWrapper - 1:0 - classID: #(930131240, 656216840) </code></pre><p>Provides advanced ray-to-mesh intersection methods using a uniform voxel grid as acceleration method.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RayMeshGridIntersect&gt;.nodeList ArrayParameter default: #() -- node array; Node_List   </code></pre><p>Get/set the array of nodes.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Despite the implementation as an array parameter, the RayMeshGridIntersect does <strong>NOT</strong> actually operate on all objects in the list, but only on the <strong>FIRST</strong> object in the list. If the intersection against multiple objects is required, a separate RayMeshGridIntersect instance should be created for each one and the intersections have to be processed one after the other within a MAXScript loop.</div>\n\
<h2 id=\"raymeshgridintersect-interfaces-\">RayMeshGridIntersect interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: rayMeshGridIntersectOps </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;initialize &lt;integer&gt;gridSize </code></pre><p>Initializes the voxel grid with the specified grid size.</p>\n\
<p>The grid size value defines the number of voxels along all 3 axes.</p>\n\
<p>The actual size of the voxels depends on the bounding box of the nodes to be processed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;addNode &lt;node&gt;addNode </code></pre><p>Adds a node to the node list.</p>\n\
<p>Please see the Note above - only the first object on the list will be used!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;buildGrid() </code></pre><p>Fills in the voxel grid with data.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;free() </code></pre><p>Removes all data from the voxel grid.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;intersectBox &lt;point3&gt;min &lt;point3&gt;max </code></pre><p>Performs a box intersection using the specified min. and max. points in world space.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;intersectSphere &lt;point3&gt;center &lt;float&gt;radius </code></pre><p>Performs a sphere intersection using the specified center and radius.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;intersectRay &lt;point3&gt;p &lt;point3&gt;dir &lt;boolean&gt;doubleSided </code></pre><p>Performs a ray intersection using the specified position and direction.</p>\n\
<p>If the doubleSided argument is False, only intersection with faces whose normals point towards the ray will be collected.</p>\n\
<p>When it is True, the faces will be considered double-sided and intersected even when their normals are pointing in the direction of the ray.</p>\n\
<p>The result is 0 if not intersection was detected, or a positive number representing the number of faces that have been intersected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;intersectSegment &lt;point3&gt;p1&lt;point3&gt;p2 &lt;boolean&gt;doubleSided </code></pre><p>Performs a segment intersection using the specified two world positions.</p>\n\
<p>This is similar to intersectRay, but instead of a point and direction, the intersection ray is defined using two absolute positions in space, where p1 is the origin and the direction is from p1 to p2.</p>\n\
<p>If the doubleSided argument is False, only intersection with faces whose normals point towards the ray will be collected.</p>\n\
<p>When it is True, the faces will be considered double-sided and intersected even when their normals are pointing in the direction of the ray.</p>\n\
<p>The result is 0 if no intersection was detected, or a positive number representing the number of faces that have been hit.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getHitFace &lt;integer&gt;index </code></pre><p>Returns the index of the TriMesh face for the indexed hit.</p>\n\
<p>The index can be a positive number between 1 and the number of hits reported by the last intersection method.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;getHitBary &lt;integer&gt;index </code></pre><p>Returns the Barycentric Coordinates of the TriMesh face for the indexed hit.</p>\n\
<p>The index can be a positive number between 1 and the number of hits reported by the last intersection method.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;getHitNormal &lt;integer&gt;index </code></pre><p>Returns the face normal of the TriMesh face for the indexed hit in world space.</p>\n\
<p>The index can be a positive number between 1 and the number of hits reported by the last intersection method.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getHitDist &lt;integer&gt;index </code></pre><p>Returns the distance to the indexed hit.</p>\n\
<p>The index can be a positive number between 1 and the number of hits reported by the last intersection method.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;intersectSegmentDebug &lt;point3&gt;p1 &lt;point3&gt;p2 &lt;boolean&gt;doubleSided &lt;integer&gt;gridID </code></pre><p>This method is for debugging purposes only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getClosestHit() </code></pre><p>Returns the index of the closest hit.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getFarthestHit() </code></pre><p>Returns the index of the farthest hit.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;closestFace &lt;point3&gt;p </code></pre><p>Performs intersections from the specified world point with all faces and returns the number of hits as integer.</p>\n\
<p>You can use the <code>getClosestHit()</code> and <code>getFarthestHit()</code> to determine the closest and farthest faces to the specified world point, <code>getHitDist()</code> to determine the distance to every face, and <code>getPerpDist()</code> to determine the perpendicular distance to the point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getPerpDist &lt;integer&gt;index </code></pre><p>Returns the perpendicular distance to the indexed hit.</p>\n\
<p>The index can be a positive number between 1 and the number of hits reported by the last intersection method.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ClearStats() </code></pre><p>Clears all statistics.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;PrintStats() </code></pre><p>Prints current statistics, including number of faces and number of searches performed.</p>\n\
<p>The following example creates a sphere and a geosphere, registers the sphere with the voxel grid and then shoots rays from each vertex of the geosphere and selects the faces of the sphere that these rays have hit.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   resetMaxFile #noprompt --reset the scene\n\
   theSphere = Sphere radius:40 segs:50 pos:[100,200,300] --create a sphere\n\
   theGeoSphere = Geosphere radius:100 segs:3 pos:[100,200,300] --create a geosphere\n\
   theFacesArray = #() --init. an array to collect face selection\n\
\n\
   rm = RayMeshGridIntersect () --create an instance of the Reference Target\n\
   rm.Initialize 10 --init. the voxel grid size to 10x10x10\n\
   rm.addNode theSphere --add the sphere to the grid\n\
   rm.buildGrid () --build the grid data (collecting faces into the grid voxels)\n\
   theGSMesh = snapshotasmesh theGeoSphere --grab the TriMesh of the Geosphere\n\
   for v = 1 to theGSMesh.numverts do --go through all verts of the Geosphere\n\
   (\n\
   thePos = getVert theGSMesh v --get the position of the vertex\n\
   theNormal = -(getNormal theGSMesh v) --get the normal of the vertex, reverse direction\n\
   theHitsCount = rm.intersectRay thePos theNormal false --intersect the ray with the sphere\n\
   if theHitsCount &gt; 0 then --if have hit anything...\n\
   (\n\
    theIndex = rm.getClosestHit () --get the index of the closest hit by the ray\n\
    theFace = rm.getHitFace theIndex --get the face index corresponding to that indexed hit\n\
    append theFacesArray theFace --add to the face array to select the face...\n\
   )\n\
   else\n\
    format &quot;The Ray % Missed\\n&quot; v\n\
   )\n\
\n\
   ms = mesh_select() --create a mesh select modifier\n\
   addModifier theSphere ms --add on top of the sphere\n\
   select theSphere --select the sphere\n\
   max modify mode --go to modify panel\n\
   setFaceSelection theSphere 1 theFacesArray --set the selection in the MeshSelect\n\
   subObjectLevel = 3 --go to face selection level\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Mesh-Intersection-Managers.html\">Mesh Intersection Managers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"MeshProjIntersect.html\">MeshProjIntersect : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Utility-Methods.html\">Node Utility Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";