var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-40F20902-D770-4AF0-9344-440B8E85471B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Point_Cache : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Point_Cache - superclass: modifier; super-superclass:MAXWrapper - 7:0 - classID: #(655302627, 61950361) </code></pre><p><img src=\"./images/GUID-1349C2CD-2DD9-4F95-BE2F-0184866BC9E7-low.gif\" alt></p>\n\
<p>In <strong>3ds Max 9</strong>, the PointCache Modifier has been replaced with a version of the PointCache2 modifier previously available as a free plug-in. Its cache format has also been adapted to allow interchangeability with the new PointCache in Autodesk Maya for easier animation transfer between the two applications.</p>\n\
<p>The documentation of the old PointCache Modifier in versions prior to <strong>3ds Max 9</strong> is provided at the bottom of this page for users developing scripts for earlier versions of <strong>3ds Max</strong>.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Point_Cache...      \n\
PointCache...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.fileName String default: &quot;&quot; -- filename </code></pre><p>Get/set the cache file name.</p>\n\
<h3 id=\"record\">Record</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.fileCount Integer default: 0 -- integer; File_Count </code></pre><p>Get/Set the state of the file count radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>One File</strong></p>\n\
<p>1 - <strong>One File Per Frame</strong></p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.recordStart Float default: 0.0 -- float; Record_Start </code></pre><p>Get/Set the cache record start time in Frames.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.recordEnd Float default: 100.0 -- float; Record_End </code></pre><p>Get/Set the cache record end time in Frames.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.sampleRate Float default: 1.0 -- float; Sample_Rate </code></pre><p>Get/Set the cache sample rate in samples per frame.</p>\n\
<h3 id=\"load-type\">Load Type</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.loadType Integer default: 0 -- integer; Load_Type </code></pre><p>Get/Set the Load Type mode when using the Point Cache on a local workstation. Possible values are:</p>\n\
<p>0 - <strong>Stream</strong> - Keeps the cache file open for fast access, but only loads a single frame at a time to conserve memory.</p>\n\
<p>1 - <strong>Per-Sample</strong> - Opens the cache file, reads a single frame, and then immediately closes the file. This is slower than the stream load type, but is useful if you have many users reading/writing the same set of cache files since the cache files won&apos;t be locked open as you read from them.</p>\n\
<p>2 - <strong>Pre-Load</strong> - Loads the entire cache file into RAM for very fast access, and then closes the file. Specifically useful for networks, or when a few caches are used by many objects in one scene (in which case, turning this on will prevent each object from thrashing the disk on playback). Be conservative in using this, as it can eat up RAM fast (though if one cache file is used by several objects, the cache will only be loaded into RAM once). See the <code>pointCacheMan.GetUsedMemory()</code> method for more info.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.loadTypeNetwork Integer default: 1 -- integer</code></pre><p>Get/Set the Load Type mode when using the Point Cache on a network node. Possible values are:</p>\n\
<p>1 - <strong>Per-Sample</strong></p>\n\
<p>2 - <strong>Pre-Load</strong></p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Prior to <em>3ds Max 2022</em> this property was called <code>loadTypeSlave</code>.</p>\n\
\n\
</div></div>\n\
\n\
<h3 id=\"playback-options\">Playback Options</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.strength Float default: 1.0 -- animatable; float </code></pre><p>Get/Set the cache Strength. Default is 1.0. Lower values will influence the mesh less than the vertex positions stored in the cache file. Higher values will exaggerate the animation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.relativeOffset BooleanClass default: false -- boolean; Relative_Offset </code></pre><p>Get/Set the state of the Relative Offset option.</p>\n\
<p>When true, only the <em>differences</em> from the first frame of the cache are used to distort the current object. If you would record a cache, set this option to true, add another modifier below the cache and modify the mesh, the recorded deformations will be added on top of the new deformations. Similarly, if the original recorded modifiers are still enabled, the object will get a double deformation.</p>\n\
<p>When false, the point positions in the cache file explicitly set the point positions of the current object, overriding any additional deformations below the cache.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.applyToWholeObject BooleanClass default: true -- boolean; Apply_To_Whole_Object </code></pre><p>Get/Set the state of the Apply to Whole Object option.</p>\n\
<h3 id=\"playback-type\">Playback Type</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.playbackType Integer default: 0 -- integer; Playback_Type </code></pre><p>Get/Set the Playback type. Possible values are:</p>\n\
<p>0 - <strong>Original Range</strong> - This will always play back the cache over the range it was originally recorded (so the animation will <em>always</em> be the same as the original).</p>\n\
<p>1 - <strong>Custom Start</strong> - This will play back the cache from a custom start time, but the animation length/playback speed will be the same as the original animation).</p>\n\
<p>2 - <strong>Custom Range</strong> - This allows you to set a start and end frames that the current cache plays back within. Using a range that is smaller than the original record range will play the cache back faster, a larger range plays the cache back slower.</p>\n\
<p>3 - <strong>Playback Graph</strong> - Allows you to animate which cache frame is played at any given time. For example, if you record a cache from frame 0 to 100, set this parameter to 0 at frame 0, and animate it to 100 at frame 100. The function curve of this parameter in trackview shows how the cache is played back. Animating this lets you do interesting effects like slowing a cache down over time, or ping pong the cache playback, etc.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.playbackStart Float default: 0.0 -- float; Playback_Start </code></pre><p>Get/Set the Playback Start value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.playbackEnd Float default: 100.0 -- float; Playback_End </code></pre><p>Get/Set the Playback End value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.playbackFrame Float default: 0.0 -- animatable; float; Playback_Frame </code></pre><p>Get/Set the Playback Frame. This value can be keyframes to control the playback when in Playback Graph mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.clampGraph BooleanClass default: false -- boolean; Clamp_Graph </code></pre><p>Get/Set the state of the Clamp Graph option. It controls what gets loaded when the playback graph frame is out of the original recorded range.</p>\n\
<p>For example if the playback frame is set to 105, but the original cache was recorded from 0 to 100. With clampGraph set to true, the loaded frame will be 100. When set to false, the cache will &quot;wrap around&quot; and load frame 5. This way, you can loop caches more easily. In the example above, you could simply have a two key playback graph. Key 1 would be at frame 0 with a value of 0, and key 2 would be at frame 100 with a value of 100. Then you would set the out-of-range type for the graph to &quot;linear extrapolate&quot;, and the cache would smoothly loop back to the beginning at frame 101.</p>\n\
<p><strong>The following properties are not exposed to the UI and are not fully supported:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.applyMeshToSpline BooleanClass default: false -- boolean; Apply_To_Spline </code></pre><p>This option is not exposed to the UI. It should not be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.forceUncPath BooleanClass default: true -- boolean; Force_UNC_Path </code></pre><p>Get/Set whether to force the cache path to UNC path or not. This option is not exposed to the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.interpolationType Integer default: 0 -- integer; Interpolation_Type </code></pre><p>This option is not exposed to the UI. It should not be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.playbackORTafter Integer default: 0 -- integer; Playback_Out_Of_Range_After </code></pre><p>This option is not exposed to the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.playbackORTbefore Integer default: 0 -- integer; Playback_Out_Of_Range_Before </code></pre><p>This option is not exposed to the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.preLoadCache BooleanClass default: false -- boolean; PreLoad_Cache </code></pre><p>Get/Set whether to preload the cache when the scene is loaded. This option is not exposed to the UI.</p>\n\
<h2 id=\"pointcacheman-struct\">PointCacheMan Struct</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pointCacheMan.GetMemoryUsed() </code></pre><p>Returns the memory used by Point Caches in the scene.</p>\n\
<h2 id=\"cacheops-struct\">cacheOps Struct</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cacheOps.DisableBelow &lt;PointCacheModifier&gt; </code></pre><p>Disables all modifiers below the Point Cache modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cacheOps.EnableBelow &lt;PointCacheModifier&gt; </code></pre><p>Enables all modifiers below the Point Cache modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cacheOps.RecordCache &lt;PointCacheModifier&gt; </code></pre><p>Records the cache data of the given Point Cache modifier to disk.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cacheOps.Reload &lt;PointCacheModifier&gt; </code></pre><p>Reloads the cache data of the given Point Cache modifier from disk.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cacheOps.Unload &lt;PointCacheModifier&gt; </code></pre><p>Unloads the cache data of the given Point Cache modifier from memory.</p>\n\
<p><strong>Old Definition Prior To 3ds Max 9</strong></p>\n\
<h2 id=\"point_cache-modifier\">Point_Cache : Modifier</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Point_Cache - superclass: modifier; super-superclass:MAXWrapper - 7:0 - classID: #(567311073, 1221790700) </code></pre><p>This is a simple point caching system. It lets you store modifier animation to a disk file that records only changes in vertex positions, and then play back the animation using the information in the disk file instead of the modifier keyframes. It caches the points of an object across time and then reads them from the disk on play back. It is useful when you have large intricate stacks that you want to speed up or modifiers such as flex that you want to bake.</p>\n\
<p>This modifier sacrifices memory for speed, it stores 3 caches of the points to allow for fast reading from the disk. You can instance this modifier but the instances must have the same number of points, otherwise the results will be inconsistent. This also only records point position, it does not store mapping, topology changes etc. It also cannot deal with animated topology changes.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Point_Cache... PointCache... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.time Float default: 0.0 -- float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.start_time Float default: 0.0 -- float </code></pre><p>The frame number at which the cached animation starts playing back. Using decimal fractions lets you start at a sub-frame setting when using a Frame:Ticks time display. Default=0.0.</p>\n\
<p>Sets the first frame for recording the vertex animation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.end_time Float default: 100.0 -- float </code></pre><p>Sets the last frame for recording the vertex animation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.samples Integer default: 1 -- integer </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.cache_file Filename default: undefined -- string </code></pre><p>Loads a vertex animation from a cache file on disk into the Point Cache modifier. If number of vertices in the cache file does not match the number of vertices in the object, a warning appears, but no error occurs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.relativeOffset Boolean default: false -- boolean; Relative_Offset </code></pre><p>Makes the Strength setting available. This enables offsetting the animated vertex positions relative to their positions as recorded. Default=off.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>: When you turn on Use Relative Offsets and play back a cached animation with the modifiers turned on, the cached vertex positions are calculated relative to their positions as calculated by the modifiers. For example, if you record a Bend animation to a cache file, and then play it back with both Use Relative Offsets and the Bend modifier turned on and Strength=1.0, all vertex positions are doubled, resulting in exaggerated motion.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point_Cache&gt;.strength Float default: 1.0 -- animatable; float </code></pre><p>Affects the motion relative to the original animation. Available only when Use Relative Offsets is turned on. Default=1.0. Range=-10.0 to 10.0.</p>\n\
<p>At 1.0, the animation plays back the same as recorded. With strengths between 0 and 1, the animation is relatively restrained. At strengths greater than 1, the animation is exaggerated. With negative Strength settings, the motion is reversed.</p>\n\
<p><strong>Point Cache Interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:pointCache </code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;record() </code></pre><p>Stores the vertex animation to a disk file.</p>\n\
<p>Call Record to activate the Save Points dialog, which lets you specify a path and file name for the cache file.</p>\n\
<p>Click OK to record the file, and then load it into the Point Cache modifier, ready for playback.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setCache() </code></pre><p>Loads a vertex animation from a cache file on disk into the Point Cache modifier. If number of vertices in the cache file does not match the number of vertices in the object, a warning appears, but no error occurs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;enableMods() </code></pre><p>Turns on all stack modifiers below the Point Cache modifier. Use this when you want to change modifier settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;disableMods() </code></pre><p>Turns off all the object&apos;s stack modifiers below Point Cache so that only the cached vertex animation appears when you play back the animation.</p>\n\
<p><strong>WSM component of Point Cache</strong>.</p>\n\
<p><a href=\"./../../Other-SpacewarpModifiers/Point_CacheSpacewarpModifier.html\">Point_CacheSpaceWarpModifier</a></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The WSM version is identical to the local space version except it records points in World Space and exists higher in the stack.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Animation-Modifiers.html\">Animation Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Other-SpacewarpModifiers/Point_CacheSpacewarpModifier.html\">Point_CacheSpacewarpModifier - superclass: SpacewarpModifier</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";