var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BB5C496A-53FC-4C3A-AF4B-15CDC75B2709\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CreaseSet : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CreaseSet - superclass: modifier; super-superclass:MAXWrapper - 13:0 - classID: #(1874600602, -805078837)</code></pre><p>Exposes the CreaseSet modifier to MAXScript. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CreaseSet ...\n\
CreaseSetMod ...\n\
</code></pre><h3 id=\"properties-\">Properties:</h3><h4 id=\"selection-rollout\">Selection Rollout</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CreaseSet&gt;.ignoreBackfacing     BooleanClass    default: false   --  boolean; Ignore_Backfacing</code></pre><p>Gets/sets the state of the <strong>Ignore Backfacing</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CreaseSet&gt;.angleselecttype     Integer    default: 0   --  integer</code></pre><p>Gets/sets the selection of the <strong>Face Angle Selection Type</strong> drop-down list.</p>\n\
<p>This setting controls how the Face Angle range is specified in the UI and in MAXScript.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>+/-</strong> mode - the Face Angle range is specified using a base angle and a plus/minus tolerance value relative to it. For example, if the <code>.anglea</code> is 90.0 and <code>.angleb</code> is 5.0, Face Angles between 85.0 and 95.0 degrees will be used to select edges.</p>\n\
<p>1 - <strong>A/B</strong> mode - the Face Angle range is specified using the minimum and maximum values of the range. In the above example, <code>.anglea</code> will be 85.0 and <code>.angleb</code> will be 95.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CreaseSet&gt;.anglea     Float    default: 90.0   --  float; SelectAngle</code></pre><p>Gets/sets the base angle value when <code>.angleselecttype</code> is set to 0.</p>\n\
<p>Gets/sets the minimum angle value when <code>.angleselecttype</code> is set to 1.</p>\n\
<p>Note that the value of this property will change depending on the <code>.angleselecttype</code> property value. For example, if <code>.angleselecttype</code> is set to 0 and <code>.anglea</code> is 90.0, and <code>.angleb</code> is changed from 5.0 to 10.0, switching <code>.angleselecttype</code> to 1 will show <code>.anglea</code> as 80.0 now and <code>.angleb</code> as 100.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CreaseSet&gt;.angleb     Float    default: 5.0   --  float; PlusMinusAngle</code></pre><p>Gets/sets the angle +/- variation value when <code>.angleselecttype</code> is set to 0.</p>\n\
<p>Gets/sets the maximum angle value when <code>.angleselecttype</code> is set to 1.</p>\n\
<p>Note that the value of this property will change depending on the <code>.angleselecttype</code> property value. For example, if <code>.angleselecttype</code> is set to 0 and <code>.anglea</code> is 90.0, and <code>.angleb</code> is changed from 5.0 to 10.0, switching <code>.angleselecttype</code> to 1 will show <code>.anglea</code> as 80.0 now and <code>.angleb</code> as 100.0.</p>\n\
<p>To actually perform the Select By Face Angle operation, you can use the <code>&lt;CreaseSet&gt;.DoSelectByAngle()</code> method exposed by the <code>CreaseSetMod</code> MixinInterface documented further on this page.</p>\n\
<h4 id=\"crease-sets-rollout\">Crease Sets Rollout</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CreaseSet&gt;.creasesetcrease     ArrayParameter    default: #()   --  float array</code></pre><p>Gets/sets the array of Creases in the Crease Set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CreaseSet&gt;.creasesetname     ArrayParameter    default: #()   --  string array</code></pre><p>Gets/sets the array of Crease Names in the Crease Set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CreaseSet&gt;.creasesettype     ArrayParameter    default: #()   --  int array</code></pre><p>Gets/sets the array of Crease Types in the Crease Set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CreaseSet&gt;.creasesetselect     ArrayParameter    default: #()   --  int array</code></pre><p>Gets/sets the array of Crease selected states in the Crease Set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CreaseSet&gt;.creasesetcolor     ArrayParameter    default: #()   --  RGB color array</code></pre><p>Gets/sets the array of Crease Colors in the Crease Set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CreaseSet&gt;.displaySetColors     BooleanClass    default: false   --  boolean</code></pre><p>Gets/sets the state of the Display Crease Set Colors option.</p>\n\
<p>When set to True, the Crease Sets will use the defined colors.</p>\n\
<p>When set to False (default), no colors will be displayed.</p>\n\
<h4 id=\"options-rollout\">Options Rollout</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CreaseSet&gt;.autoSelectNodes     BooleanClass    default: false   --  boolean</code></pre><p>Gets/sets the state of the Auto-Select Nodes option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CreaseSet&gt;.tolerance     Float    default: 0.01   --  float</code></pre><p>Gets/sets the value of the Tolerance option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CreaseSet&gt;.keepExistingSets     BooleanClass    default: true   --  boolean</code></pre><p>Gets/sets the state of the Keep Existing Sets option.</p>\n\
<p>When set to True (default), adding new Crease Sets will preserve the existing Crease Sets.</p>\n\
<p>When set to False, adding new Crease Sets will replace the existing Crease Sets.</p>\n\
<h3 id=\"creaseset-interfaces-\">CreaseSet interfaces:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: CreaseSetMod</code></pre><p><strong>Properties:</strong></p>\n\
<p>No properties exposed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;CreaseSet&gt;.ShrinkSelection()</code></pre><p>Shrinks the selection.</p>\n\
<p>Equivalent to pressing the <strong>&quot;Shrink&quot;</strong> button in the modifier&apos;s User Interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;CreaseSet&gt;.GrowSelection()</code></pre><p>Grows the selection.</p>\n\
<p>Equivalent to pressing the <strong>&quot;Grow&quot;</strong> button in the modifier&apos;s User Interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;CreaseSet&gt;.RingSelection()</code></pre><p>Selects rings based on the current selection.</p>\n\
<p>Equivalent to pressing the <strong>&quot;Ring&quot;</strong> button in the modifier&apos;s User Interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;CreaseSet&gt;.LoopSelection()</code></pre><p>Selects loops based on the current selection.</p>\n\
<p>Equivalent to pressing the <strong>&quot;Loop&quot;</strong> button in the modifier&apos;s User Interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;CreaseSet&gt;.DoSelectByAngle()</code></pre><p>Performs the Select by Face Angle operation, selecting edges based on the <code>.anglea</code> , <code>.angleb</code> , and <code>.angleselecttype</code> properties documented earlier on this page.</p>\n\
<p>Equivalent to pressing the <strong>&quot;Select&quot;</strong> button in the modifier&apos;s User Interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;CreaseSet&gt;.SelectSetsAll()</code></pre><p>Equivalent to pressing the <strong>&quot;All&quot;</strong> button in the modifier&apos;s User Interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;CreaseSet&gt;.SelectSetsNone()</code></pre><p>Equivalent to pressing the <strong>&quot;None&quot;</strong> button in the modifier&apos;s User Interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;CreaseSet&gt;.SelectSetsInvert()</code></pre><p>Equivalent to pressing the <strong>&quot;Invert&quot;</strong> button in the modifier&apos;s User Interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;CreaseSet&gt;.CreateSet &lt;string&gt;name</code></pre><p>Equivalent to pressing the <strong>&quot;Create Set&quot;</strong> button in the modifier&apos;s User Interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;CreaseSet&gt;.SelectAllNodes()</code></pre><p>Equivalent to pressing the <strong>&quot;Select All Nodes&quot;</strong> button in the modifier&apos;s User Interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;CreaseSet&gt;.AutoGenerateSets()</code></pre><p>Generates Crease Sets automatically based on the <code>tolerance</code> property.</p>\n\
<p>Equivalent to pressing the <strong>&quot;Auto-Generate&quot;</strong> button in the modifier&apos;s User Interface.</p>\n\
<h3 id=\"maxscript-methods-not-exposed-in-the-modifier-39-s-user-interface-\">MAXScript Methods Not Exposed In The Modifier&apos;s User Interface:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;CreaseSet&gt;.MakeUniqueSetName &lt;string&gt;namein &lt;integer&gt;type &lt;&amp;string&gt;nameout\n\
nameout is Out parameter\n\
</code></pre><p>Creates a Crease Set with a unique name using the base name specified by the first parameter and the type specified by the second parameter. The resulting unique name will be written out in the by-reference third parameter.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;&lt;CreaseSet&gt;.GetSetIndex &lt;string&gt;name</code></pre><p>Returns the index of the named Crease Set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;CreaseSet&gt;.SelectSet &lt;string&gt;name</code></pre><p>Selects the named Crease Set.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;CreaseSet&gt;.GetNumSelectedSets()</code></pre><p>Returns the number of selected Crease Sets as an integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;CreaseSet&gt;.GetNumEmptySets()</code></pre><p>Returns the number of empty Crease Sets as an integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">integer&gt;&lt;CreaseSet&gt;.GetNumSets()</code></pre><p>Returns the number of all Crease Sets as an integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;CreaseSet&gt;.GetSetNameByIndex &lt;index&gt;index &lt;&amp;string&gt;nameout\n\
nameout is Out parameter\n\
</code></pre><p>Writes the name of the indexed Crease Set into the by-reference Out second argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;CreaseSet&gt;.SelectSetElements &lt;string&gt;name</code></pre><p>Selects the name Crease Set&apos;s elements.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;CreaseSet&gt;.AddSelectionToSet &lt;string&gt;name</code></pre><p>Adds the current selection to the named Crease Set.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;CreaseSet&gt;.SubtractSelectionFromSet &lt;string&gt;name</code></pre><p>Subtracts the current selection from the named Crease Set.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;CreaseSet&gt;.UpdateSetFromSelection &lt;string&gt;name</code></pre><p>Updates the named Crease Set to the current selection, overwriting the existing definition.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;CreaseSet&gt;.RenameSet &lt;string&gt;oldName &lt;string&gt;newName</code></pre><p>Renames the Crease Set with the name specified by the first argument to the name specified by the second argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;CreaseSet&gt;.DeleteCreaseSet &lt;string&gt;name</code></pre><p>Deletes the named Crease Set.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;CreaseSet&gt;.DeleteSelectedSets()</code></pre><p>Deletes the selected Crease Sets.</p>\n\
<p>Returns True if selected Sets were deleted, False if no Sets were deleted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;CreaseSet&gt;.DeleteEmptySets()</code></pre><p>Deletes the Empty Crease Sets.</p>\n\
<p>Returns True if empty Sets were deleted, False if no Sets were deleted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;CreaseSet&gt;.CountSetElements &lt;string&gt;name</code></pre><p>Returns the number of elements in the named Crease Set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;CreaseSet&gt;.GetSetType &lt;string&gt;name</code></pre><p>Returns the type of the named Crease Set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;CreaseSet&gt;.CountAutoCreaseSets()</code></pre><p>Returns the number of Auto-Crease Set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;CreaseSet&gt;.SetVertSelection &lt;bitArray&gt;selection &lt;node&gt;node</code></pre><p>Sets the CreaseSet modifier&apos;s Vertex Selection to the bitArray provided by the first argument, on the base node specified by the second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;CreaseSet&gt;.GetVertSelection &lt;node&gt;node &lt;&amp;bitArray&gt;selout\n\
selout is Out parameter\n\
</code></pre><p>Writes the CreaseSet modifier&apos;s Vertex Selection to the bitArray provided by the second by-reference Out parameters, using the base node specified by the first argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;CreaseSet&gt;.SetEdgeSelection &lt;bitArray&gt;selection &lt;node&gt;node</code></pre><p>Sets the CreaseSet modifier&apos;s Edge Selection to the bitArray provided by the first argument, on the base node specified by the second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;CreaseSet&gt;.GetEdgeSelection &lt;node&gt;node &lt;&amp;bitArray&gt;selout\n\
selout is Out parameter\n\
</code></pre><p>Writes the CreaseSet modifier&apos;s Edge Selection to the bitArray provided by the second by-reference Out parameters, using the base node specified by the first argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;CreaseSet&gt;.GetNumVertSets()</code></pre><p>Returns the number of vertex sets.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;CreaseSet&gt;.GetNumEdgeSets()</code></pre><p>Returns the number of edge sets.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Mesh-Editing.html\">Mesh Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Crease-Modifier.html\">Crease : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-CreaseSetManager.html\">Interface: CreaseSetManager</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-CreaseExplorerManager.html\">Interface: CreaseExplorerManager</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";