var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9431F52D-B493-4026-B0C5-DBF5CCF91A82\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Sweep : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sweep - superclass: modifier; super-superclass:MAXWrapper - 18:0 - classID: #(636209254, 529015311) </code></pre><p><img src=\"./images/GUID-EE4332E2-0086-4B5D-BD25-7EC53A1F8901-low.gif\" alt></p>\n\
<p>The <strong>Sweep Modifier</strong> can be used to turn a spline shape into a mesh with a custom cross-section, providing both built-in and user-defined cross-section shape options.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Sweep ... </code></pre><p><strong>Properties</strong></p>\n\
<h3 id=\"section-type-rollout\">Section Type Rollout</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sweep&gt;.AssignCSType Integer default: 2 -- radiobtnIndex; AssignCustomSectionType   </code></pre><p>Gets/sets the Custom Section Type &gt; Mode radio buttons&apos; state.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Move</strong></p>\n\
<p>1 - <strong>Copy</strong></p>\n\
<p>2 - <strong>Instance</strong> (default)</p>\n\
<p>3 - <strong>Reference</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sweep&gt;.CurrentBuiltInShape Integer default:1-- integer; Current_Built_In_Shape </code></pre><p>Gets/sets the <strong>Built-in Section</strong> type.</p>\n\
<p>The available shapes are not hard-coded, but can be extended by editing the file <strong>\\plugcfgtype\\sweep.ini</strong> and adding up to 100 custom shape classes.</p>\n\
<p>Current pre-defined values are:</p>\n\
<p>1 - <strong>Angle</strong></p>\n\
<p>2 - <strong>Bar</strong></p>\n\
<p>3 - <strong>Channel</strong></p>\n\
<p>4 - <strong>Cylinder</strong></p>\n\
<p>5 - <strong>Half Round</strong></p>\n\
<p>6 - <strong>Pipe</strong></p>\n\
<p>7 - <strong>Quarter Round</strong></p>\n\
<p>8 - <strong>Tee</strong></p>\n\
<p>9 - <strong>Tube</strong></p>\n\
<p>10 - <strong>Wide Flange</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sweep&gt;.CustomShape Integer default:0--integer; Custom_Shape </code></pre><p>Gets/sets the state of the <strong>Use Built-In Selection/Use Custom Section</strong> radio buttons.</p>\n\
<p>When set to 1, the Custom Section will be active.</p>\n\
<p>When 0, the pre-defined Section will be active.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sweep&gt;.CustomShapeName UndefinedClass default: undefined -- string; Custom_Shape_Name; </code></pre><p>Contains the name of the Custom Section object, or undefined if no custom cross-section has been picked yet.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sweep&gt;.Shapes ArrayParameter default: #(undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, ...) -- maxObject array; SubAnim </code></pre><p>This is an array of 100 elements and is used to store the cross-section shapes.</p>\n\
<p>All elements, but the first one are read-only.</p>\n\
<p>Elements 2 to 100 are used to store the class instances defined by the Built-in types controlled by the <code>.CurrentBuiltInShape</code> property and the &quot;Built-In Section&quot; drop-down list.</p>\n\
<p>In the beginning, element 2 is assigned an instance of the class defined by the first (default) cross-section in the <strong>\\plugcfg\\sweep.ini</strong> file(Angle by default).Selecting other elements from the list or setting <code>.CurrentBuiltInShape</code> to other values than 1 will create new shape class instances and store them in the respective <code>.CurrentBuiltInShape</code> +1 elements of the array.</p>\n\
<p>You <strong>can assign</strong> a new class instance of any shape to the first element of the array to make it available as a custom shape when the <code>.CustomShape</code> property is set to 1.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theShape = circle radius:100--create a circle\n\
   theMod = sweep()--create a sweep modifier\n\
   addModifier theShape theMod--add the sweep to the circle\n\
   --Assign an instance of class Helix to first element of the shapes array:\n\
   theMod.shapes[1] = Helix()\n\
   theMod.customShape = 1 --enable the use of the custom shape\n\
</code></pre></blockquote>\n\
<h3 id=\"sweep-parameters\">Sweep Parameters</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sweep&gt;.MirrorXZPlane BooleanClass default: false -- boolean; Mirror_On_XZ_Plane </code></pre><p>Gets/sets the state of the <strong>Mirror on XZ plane</strong> option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sweep&gt;.MirrorXYPlane BooleanClass default: false -- boolean; Mirror_On_XY_Plane </code></pre><p>Gets/sets the state of the <strong>Mirror on XYplane</strong> option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sweep&gt;.XOffset Float default: 0.0 -- animatable; float; X_Offset </code></pre><p>Gets/sets the <strong>XOffset</strong> value.</p>\n\
<p>Controls the offset of the cross-section from the path along the cross-section&apos;s X axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sweep&gt;.YOffset Float default: 0.0 -- animatable; float; Y_Offset </code></pre><p>Gets/sets the <strong>YOffset</strong> value.</p>\n\
<p>Controls the offset of the cross-section from the path along the cross-section&apos;s Y axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sweep&gt;.Angle Float default: 0.0 -- animatable; angle; </code></pre><p>Gets/sets the <strong>Angle</strong> value.</p>\n\
<p>Controls the rotation of the cross-shape around the axis of the path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sweep&gt;.SmoothSection BooleanClass default: true -- boolean; Smooth_Section </code></pre><p>Gets/sets the state of the <strong>Smooth Section</strong> option.</p>\n\
<p>When set to true, assign the same smoothing group to all faces generated for a single segment of the base (path) shape, resulting in smoothing along the cross-section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sweep&gt;.SmoothPath BooleanClass default: true -- boolean; Smooth_Path </code></pre><p>Gets/sets the state of the <strong>Smooth Path</strong> option.</p>\n\
<p>When set to true, assign the same smoothing group to all faces generated for a single segment of the cross-section shape for all base (path) shape&apos;s segments, resulting in smoothing along the base shape.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sweep&gt;.PivotAlignment Integer default: -1 -- integer; Pivot_Alignment </code></pre><p>Gets/sets the <strong>Pivot Alignment</strong> option. Corresponds to the group of nine checkbuttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Upper Left Corner</strong></p>\n\
<p>1 - <strong>Left</strong></p>\n\
<p>2 - <strong>Bottom Left Corner</strong></p>\n\
<p>3 - <strong>Up</strong></p>\n\
<p>4 - <strong>Center</strong></p>\n\
<p>5 - <strong>Bottom</strong></p>\n\
<p>6 - <strong>Upper Right Corner</strong></p>\n\
<p>7 - <strong>Right</strong></p>\n\
<p>8 - <strong>Bottom Right Corner</strong></p>\n\
<p>-1 or any value higher than 8 - Default, no alignment</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sweep&gt;.Banking BooleanClass default: true -- boolean </code></pre><p>Gets/sets the state of the <strong>Banking</strong> option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sweep&gt;.UnionIntersections BooleanClass default: false -- boolean; Union_Intersections </code></pre><p>Gets/sets the state of the <strong>Union Intersection</strong> option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sweep&gt;.GenerateMappingCoords BooleanClass default: false -- boolean; Generate_Mapping_Coords </code></pre><p>Gets/sets the state of the <strong>Gen.Mapping Coordinates</strong> option.</p>\n\
<p>When set to true, mapping coordinates will be generated where U goes around the cross-section and V goes along the base spline, same as with the Renderable Spline option in regular shapes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;sweep&gt;.RealWorldMapSize BooleanClass default: false -- boolean; Real_World_Map_Size </code></pre><p>Gets/sets the state of the <strong>Real-World Map Size</strong> option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sweep&gt;.GenMatIDs BooleanClass default: true -- boolean; Generate_Material_IDs </code></pre><p>Gets/sets the state of the <strong>Generate Material IDs</strong> option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sweep&gt;.UsePathIDs BooleanClass default: false -- boolean; Use_Path_IDs </code></pre><p>Gets/sets the state of the <strong>UseSection IDs</strong> option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sweep&gt;.UseSectionIDs BooleanClass default: true -- boolean; Use_Shape_IDs </code></pre><p>Gets/sets the state of the <strong>Use Path IDs</strong> option.</p>\n\
<h2 id=\"sweep-interfaces-\">sweep Interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: sweepInterface </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;pickCustomSection() </code></pre><p>Corresponds to pressing the <strong>Pick</strong> button in the &quot;Custom Section Types&quot; group of controls of the &quot;Section Type&quot; rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;mergeCustomSection() </code></pre><p>Corresponds to pressing the <strong>Merge From File</strong> button in the &quot;Custom Section Types&quot; group of controls of the &quot;Section Type&quot; rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;extractCustomSection() </code></pre><p>Corresponds to pressing the <strong>Extract</strong> button in the &quot;Custom Section Types&quot; group of controls of the &quot;Section Type&quot; rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;alignPivot() </code></pre><p>Corresponds to pressing the <strong>Align Pivot</strong> button in the &quot;Sweep Parameters&quot; group of controls of the &quot;Section Type&quot; rollout.</p>\n\
<h3 id=\"parameters-and-interpolation-rollouts\">Parameters and Interpolation Rollouts</h3><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>To provide the built-in cross-section, the Sweep modifier creates class instances of the respective shape classes and stores these class instances in the .Shapes array.</p>\n\
<p>The properties displayed in the <strong>Parameters</strong> and <strong>Interpolation</strong> rollouts are taken from the ParamBlock of the class instance generated for the cross-section.</p>\n\
<p><strong>The corresponding shape classes used for the built-in cross-sections are:</strong></p>\n\
<p>Angle - <a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Extended/Angle-Shape.html\">Angle : Shape</a></p>\n\
<p>Bar - <a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Splines/Rectangle-Shape.html\">Rectangle : Shape</a></p>\n\
<p>Channel - <a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Extended/Channel-Shape.html\">Channel : Shape</a></p>\n\
<p>Cylinder - <a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Splines/Circle-Shape.html\">Circle : Shape</a></p>\n\
<p>Half Round - <a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Other/HalfRound-Shape.html\">HalfRound : Shape</a></p>\n\
<p>Pipe - <a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Other/Pipe-shape.html\">Pipe:Shape</a></p>\n\
<p>Quarter Round - <a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Other/QuarterRound-Shape.html\">QuarterRound : Shape</a></p>\n\
<p>Tee - <a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Extended/Tee-Shape.html\">Tee : Shape</a></p>\n\
<p>Tube - <a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Extended/WalledRectangle-Shape.html\">WalledRectangle : Shape</a></p>\n\
<p>Wide Flange - <a href=\"./../../../../Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Extended/WideFlange-Shape.html\">WideFlange : Shape</a></p>\n\
<p>The cross-section object can be accessed as the 4th indexed subAnim of the sweep modifier.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theMod = sweep()\n\
   --&gt; sweep:Sweep\n\
   theShape = Circle radius:100\n\
   --&gt; $Circle:Circle001 @ [0.000000,0.000000,0.000000]\n\
   addModifier theShape theMod\n\
   --&gt; OK\n\
   classof theMod[4].object\n\
   --&gt; Angle\n\
   theMod[4].angle_width = 50--set any property available in Angle Shape...\n\
   --&gt; 50\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Mesh-Editing.html\">Mesh Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";