var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5084C26B-B37D-415C-9ADC-DC7440DEE9BC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Symmetry : modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">symmetry - superclass: modifier; super-superclass:MAXWrapper - classID: #(763260971, 199498350)</code></pre><p><img src=\"./images/GUID-3F4A4F54-D626-4ADD-9521-2FFFD64D6DDA-low.gif\" alt></p>\n\
<p>The Symmetry modifier slices, mirrors, and welds along a symmetry plane, giving a procedural way to do symmetric modeling. Symmetry accepts TriObjects or PolyObjects, and does <strong>not</strong> respect subobject level or current selection.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">symmetry...</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;symmetry&gt;.axis Integer default: 0 -- integer</code></pre><p>Specify the symmetry axis:</p>\n\
<p>0 - X Axis</p>\n\
<p>1 - Y Axis</p>\n\
<p>2 - Z Axis</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;symmetry&gt;.flip Boolean default: false -- boolean</code></pre><p>When set to true, uses the other half of the object as the source for symmetry.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;symmetry&gt;.slice Integer default: 1 -- integer</code></pre><p>When set to 1, slices the source geometry along the mirror plane and deletes the one half.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;symmetry&gt;.weld Integer default: 1 -- integer; Weld_Seam</code></pre><p>When set to 1, welds the vertices of the source and mirrored halves together.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;symmetry&gt;.threshold Float default: 0.1 -- animatable; float</code></pre><p>The welding threshold - vertices closer than the threshold value will be welded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;symmetry&gt;.mirror SubAnim default: SubAnim:Mirror -- transform; SubAnim</code></pre><p>Controls the transformation of the Mirror gizmo</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;symmetry.mirror&gt;.position Point3 default: [0,0,0] -- animatable</code></pre><p>The position of the Mirror gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;symmetry.mirror&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable</code></pre><p>The rotation of the Mirror gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;symmetry.mirror&gt;.scale Point3 default: [1,1,1] -- animatable</code></pre><p>The scale of the Mirror gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;symmetry.mirror&gt;.value Matrix3 default: (matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0]) -- animatable</code></pre><p>The complete matrix3 transformation value of the Mirror gizmo.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Mesh-Editing.html\">Mesh Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Vertex_Weld-Modifier.html\">Vertex_Weld : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";