var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B257941A-DACF-40AB-AC2C-B2F61B3AAC96\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>SplineInfluence : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SplineInfluence - superclass: modifier; super-superclass:MAXWrapper - 14:0 - classID: #(3232560656L, 2603512887L)</code></pre><p>Available in <strong>3ds Max 2018.2 and higher</strong>: A modifier that modifies the soft selection of knots in a spline based on distance from one or more scene nodes.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SplineInfluence() </code></pre><h2 id=\"properties\">Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineInfluence&gt;.bias Float default: 0.0 -- animatable; float</code></pre><p>The bias applied to the soft selection, when BiasSelected is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineInfluence&gt;.BiasSelected BooleanClass default: false -- Boolean</code></pre><p>Gets or sets whether to only apply the bias value to the soft selection when it is selected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineInfluence&gt;.ConvertSelections BooleanClass default: false -- Boolean</code></pre><p>Gets or sets whether to apply the <strong>SelectionFalloffType</strong> modification to the soft selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineInfluence&gt;.EnableBias BooleanClass default: false -- Boolean</code></pre><p>Gets or sets whether to apply the bias value to the soft selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineInfluence&gt;.ExistingSelection Integer default: 0 -- integer</code></pre><p>Gets or sets how to handle existing selection values, where:</p>\n\
<ul>\n\
<li>0=Add</li>\n\
<li>1=Multiply</li>\n\
<li>2=Overwrite</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineInfluence&gt;.FalloffKnots Integer default: 5 -- animatable; integer</code></pre><p>Gets or sets the number of neighbor knots affected when the <strong>FalloffMethod</strong> is 2, &quot;Neighbor Knots&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineInfluence&gt;.FalloffMethod Integer default: 0 -- integer</code></pre><p>Gets or sets the Selection Modify method, where:</p>\n\
<ul>\n\
<li>0 = No Falloff</li>\n\
<li>1 = Percentage of Length (<strong>FalloffPercent</strong> value is used)</li>\n\
<li>2 = Neighbor Knots (<strong>FalloffKnots</strong> value is used)</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineInfluence&gt;.FalloffPercent Float default: 100.0 -- animatable; float</code></pre><p>Gets or sets the percent of spline length at the selected knot to apply the falloff to, when <strong>FalloffMethod</strong> = 1, &quot;Percentage of Length&quot;. For example, a value of 50% applied to the middle knot would start at 100% at the middle knot, and falloff to 0% at the first and last knot.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineInfluence&gt;.FalloffType Integer default: 0 -- integer</code></pre><p>Gets or sets the falloff type, where:</p>\n\
<ul>\n\
<li>0 = Linear</li>\n\
<li>1 = Smooth</li>\n\
<li>2 = Smoother</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineInfluence&gt;.FarInfluence Float default: 1000.0 -- animatable; float</code></pre><p>Gets or sets the Far Distance influence parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineInfluence&gt;.InfluenceNodes ArrayParameter default: #() -- node array; SubAnim</code></pre><p>An array of nodes that influence the soft selection. You can add and remove nodes directly to this array, or use the Spline_Vol_Select interface&apos;s RemoveInfluence() method to remove nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineInfluence&gt;.invert BooleanClass default: false -- Boolean</code></pre><p>Gets or sets whether to invert the final result.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineInfluence&gt;.NearInfluence Float default: 0.0 -- animatable; float</code></pre><p>Gets or sets the Far Distance influence parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SplineInfluence&gt;.SelectionFalloffType Integer default: 0 -- integer</code></pre><p>Gets or sets the selection modify falloff type, where:</p>\n\
<ul>\n\
<li>0 = Linear</li>\n\
<li>1 = Smooth</li>\n\
<li>2 = Smoother</li>\n\
</ul>\n\
<h2 id=\"interfaces\">Interfaces</h2><p><strong>Interface: Spline_Vol__Select</strong></p>\n\
<p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;Version()</code></pre><p>Internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;RemoveInfluence &lt;node&gt;Object</code></pre><p>Removes the specified node from the <strong>influenceNodes</strong> array. Returns true if the node was in the array and removed, false if the node was not in the array.</p>\n\
<p><strong>Actions:</strong></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Patch-and-Spline-Editing.html\">Patch and Spline Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";