var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0B989D70-AD07-447F-812C-A96791910C21\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>VolumeSelect : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">VolumeSelect - superclass: modifier; super-superclass:MAXWrapper - classID: #(1017361, 0) </code></pre><p><img src=\"./images/GUID-E596CD56-8AB4-402E-88A1-651950810FB5-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">volumeselect ... vol__Select ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Volumeselect&gt;.level Integer default: 0 </code></pre><p>Volume Select provides three selection levels. Vertex and Face levels put the modifier stack in sub-object selection. You can make one sub-object selection for each Volume Select modifier. You can then toggle the one selection between Face and Vertex level to send either up the stack. Object (top) level lets you modify the whole object while retaining any sub-object selection.</p>\n\
<p>0- Object</p>\n\
<p>1- Vertex</p>\n\
<p>2- Face</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Volumeselect&gt;.type Integer default: 0 </code></pre><p>Lets you determine whether selected faces are wholly or partially within the defined volume:</p>\n\
<p>0- Window (Selects only faces with all three vertices within the selection volume.)</p>\n\
<p>1- Crossing (Selects faces with only one vertex within the selection volume.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Volumeselect&gt;.invert Boolean default: false </code></pre><p>When on, the entire selection set is reversed. Geometry that was unselected becomes selected, and vice versa.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Volumeselect&gt;.method Integer default: 0 </code></pre><p>Sets the volume select type:</p>\n\
<p>0- Replace (Clears any selection passed up the stack to the Volume Select modifier, and then selects geometry within the volume.)</p>\n\
<p>1- Add (Selects all geometry within the volume, adding to any previous selection.)</p>\n\
<p>2- Subtract (Deselects all geometry within the volume.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Volumeselect&gt;.volume Integer default: 0 </code></pre><p>These controls let you define the selection with a primitive, a mesh object, or by surface characteristics:</p>\n\
<p>0- Box</p>\n\
<p>1- Sphere</p>\n\
<p>2- Cylinder</p>\n\
<p>3- Mesh Object</p>\n\
<p>4- Texture Map</p>\n\
<p>5- Material Id</p>\n\
<p>6- Smoothing Group</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Volumeselect&gt;.Node  Node default: undefined </code></pre><p>The node which defines the selection space when <code>.volume</code> is set to 3 (mesh object).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Volumeselect&gt;.matID Integer default: 1 -- alias: Material_ID </code></pre><p>When <code>.volume</code> is set to 5 (material ID), all faces or vertices using the material ID specified by this value are selected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Volumeselect&gt;.smGroup Integer default: 1 -- alias: Smoothing_Group </code></pre><p>When <code>.volume</code> is set to 6 (smoothing group), all faces or vertices using the smoothing group specified by this value are selected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Volumeselect&gt;.texture  TextureMap default: undefined -- alias: TextureMap </code></pre><p>When <code>.volume</code> is set to 4 (texture map), this texture map will define the selection space.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Volumeselect&gt;.map Integer default: 0 -- alias: Map_Channel_Type </code></pre><p>Specifies whether to apply the selection by mapping channel or vertex color channel:</p>\n\
<p>0- Map Channel</p>\n\
<p>1- Vertex Color Channel</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Volumeselect&gt;.mapChannel Integer default: 1 -- alias: Map_Channel </code></pre><p>Specifies which map channel to use when <code>.map</code> is set to 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Volumeselect&gt;.autofit Boolean default: true -- alias: Auto_fit </code></pre><p>When on, automatically adjusts the gizmo size and shape to fit the object as you change the underlying topology.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Volumeselect&gt;.UseAffectRegion Boolean default: false -- alias: Use_affect_region </code></pre><p>When on, a soft selection region is applied.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Volumeselect&gt;.falloff Float default: 20.0 -- animatable </code></pre><p>Distance in current units from the center to the edge of a sphere defining the affected region. Use higher falloff settings to achieve more gradual slopes, depending on the scale of your geometry.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Volumeselect&gt;.pinch Float default: 0.0 -- animatable </code></pre><p>Raises and lowers the top point of the curve along the vertical axis. Sets the relative &quot;pointedness&quot; of the region. When negative, a crater is produced instead of a point. At a setting of 0, Pinch produces a smooth transition across this axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Volumeselect&gt;.bubble Float default: 0.0 -- animatable </code></pre><p>Expands and contracts the curve along the vertical axis. Sets the relative &quot;fullness&quot; of the region. Limited by Pinch, which sets a fixed starting point for Bubble. A setting of 0 for Pinch and 1.0 for Bubble produces a maximum smooth bulge. Negative values for Bubble move the bottom of the curve below the surface, creating a &quot;valley&quot; around the base of the region.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Volumeselect&gt;.center Point3 default: [0,0,0] -- animatable </code></pre><p>You can translate and animate the center, which affects rotation or scaling of the Volume Select modifier&#x2019;s gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Volumeselect&gt;.gizmo SubAnim </code></pre><p>You can transform and animate the gizmo to change the selection. Translating the gizmo translates its center an equal distance. Rotating and scaling the gizmo takes place with respect to its center.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Volumeselect.Gizmo&gt;.position Point3 default: [0,0,0] -- animatable </code></pre><p>The position of the volumeselect gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Volumeselect.Gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable </code></pre><p>The rotation of the volumeselect gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Volumeselect.Gizmo&gt;.scale Point3 default: [1,1,1] -- animatable </code></pre><p>The scale of the volumeselect gizmo.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <code>center</code> and <code>gizmo</code> properties are not present until the Volumeselect modifier has been applied to a node.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Selection-Modifiers.html\">Selection Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Sub-Object-Transform.html\">Modifier Sub-Object Transform Properties</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";