var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-13500B2A-1364-424B-9C44-C6E973497635\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>World Space Modifiers - Validity Methods</h1></div><p>The following method can be used to determine whether a Space Warp can be applied to a given object.</p>\n\
<p>This method is available in <strong>3ds Max 2008</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt; Boolean&gt;IsSpaceWarpValid &lt;Scene Object&gt;object &lt;Space warp&gt;warp</code></pre><p>Returns true if it is possible to add the given space warp to the specified scene object, false otherwise.</p>\n\
<p><code>object</code> &amp;endash; Any scene object that you want to apply theSpaceWarp too.</p>\n\
<p><code>warp</code> &amp;endash; AnySpaceWarpobject instance.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE USAGE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   local b = box()\n\
   local p = parray()\n\
   local o = omnilight()\n\
   for class in SpacewarpObject.classes do(\n\
   if (class.creatable) then (\n\
   local inst = class()\n\
   for obj in #(b,p,o) do (\n\
   if (IsSpaceWarpValid obj inst) then\n\
   format &quot;+% can be applied to %\\n&quot; class obj\n\
   else\n\
   format &quot;-% CANNOT be applied to %\\n&quot; class obj\n\
   )--end obj loop\n\
   )--end if creatable\n\
   )--end class loop\n\
   )--end script\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   +SpaceBend can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +SpaceBend can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -SpaceBend CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +SpaceTaper can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +SpaceTaper can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -SpaceTaper CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +Spaceripple can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +Spaceripple can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -Spaceripple CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +Spacewave can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +Spacewave can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -Spacewave CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +SpaceTwist can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +SpaceTwist can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -SpaceTwist CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +SpaceStretch can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +SpaceStretch can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -SpaceStretch CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +gravity can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +gravity can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -gravity CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +Wind can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -Wind CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +Spacedisplace can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +Spacedisplace can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -Spacedisplace CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +Deflector can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +Deflector can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -Deflector CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +Bomb can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   -Bomb CANNOT be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -Bomb CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +PDynaFlect can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +PDynaFlect can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -PDynaFlect CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +Vortex can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +Vortex can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -Vortex CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +UOmniFlect can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +UOmniFlect can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -UOmniFlect CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +UDeflector can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +UDeflector can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -UDeflector CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +PushSpaceWarp can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +PushSpaceWarp can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -PushSpaceWarp CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +ConformSpaceWarp can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +ConformSpaceWarp can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -ConformSpaceWarp CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +SDynaFlect can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +SDynaFlect can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -SDynaFlect CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +Drag can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +Drag can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -Drag CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +WaterSpaceWarp can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +WaterSpaceWarp can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -WaterSpaceWarp CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +PBomb can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +PBomb can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -PBomb CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +POmniFlect can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +POmniFlect can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -POmniFlect CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +Motor can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +Motor can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -Motor CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +SOmniFlect can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +SOmniFlect can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -SOmniFlect CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +SpaceFFDBox can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +SpaceFFDBox can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -SpaceFFDBox CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +UDynaFlect can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +UDynaFlect can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -UDynaFlect CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +SDeflector can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +SDeflector can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -SDeflector CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +SpaceSkew can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +SpaceSkew can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -SpaceSkew CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +Vector_Field can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +Vector_Field can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -Vector_Field CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +Path_Follow can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +Path_Follow can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -Path_Follow CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +SpaceNoise can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +SpaceNoise can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -SpaceNoise CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   +SpaceFFDCyl can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000]\n\
   +SpaceFFDCyl can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000]\n\
   -SpaceFFDCyl CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000]\n\
   OK\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../SpaceWarp-Related-MAXScript.html\">SpaceWarp-Related MAXScript Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";