var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-21C94F78-E3A1-4B24-AA5A-DDF4C9F0A9C8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NURBSSelection : Value</h1></div><p>A <strong>NURBSSelection</strong> represents a set of NURBS sub-objects for a scene NURBS node as a virtual array. As such, you can access a sub-object by index, iterate over the sub-objects, and apply mapped functions to the sub-objects. The NURBSSelection array is dynamic (its contents will change as the sub-objects of the NURBS node change). NURBSSelection values are mappable.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.selectedCurveCVs \n\
&lt;node&gt;.selectedCurves \n\
&lt;node&gt;.selectedImports \n\
&lt;node&gt;.selectedPoints \n\
&lt;node&gt;.selectedSurfaces \n\
&lt;node&gt;.selectedSurfCVs \n\
&lt;node&gt;.curveCVs -- read-only \n\
&lt;node&gt;.curves -- read-only \n\
&lt;node&gt;.imports -- read-only \n\
&lt;node&gt;.surfaces -- read-only \n\
&lt;node&gt;.surfCVs -- read-only \n\
&lt;node&gt;.points -- read-only      </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsselection&gt;.count: Integer, read-only   </code></pre><p>Returns the number of sub-objects in the NURBSSelection array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsselection&gt;.selSetNames: Array of names, read-only </code></pre><p>Returns an array of names of the current named selection sets corresponding to the NURBSSelection level for the object the NURBSSelection is associated with.</p>\n\
<p>The following property is present for singleton selections (of the form $foo.curveCVs[n]):</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsselection&gt;.index: Integer, read-only </code></pre><p>Returns the index of the selected sub-object in the NURBS object,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.selectedcurveCVs[2].index\n\
</code></pre><p>   returns the curve CV index of the second curve CV in the current selection.</p>\n\
</blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Iterating over a selection yields singleton selections in the loop body:</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sCVs = for i in $foo.selectedcurveCVs collect i.index</code></pre><p>sCVs contains selected curve CVs as array.</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.selectedCurveCVs = (&lt;array&gt; | &lt;bitarray&gt;) \n\
&lt;node&gt;.selectedCurves = (&lt;array&gt; | &lt;bitarray&gt;) \n\
&lt;node&gt;.selectedImports = (&lt;array&gt; | &lt;bitarray&gt;) \n\
&lt;node&gt;.selectedPoints = (&lt;array&gt; | &lt;bitarray&gt;) \n\
&lt;node&gt;.selectedSurfaces = (&lt;array&gt; | &lt;bitarray&gt;) \n\
&lt;node&gt;.selectedSurfCVs = (&lt;array&gt; | &lt;bitarray&gt;) </code></pre><p>Selects the specified sub-objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsselection&gt; [&lt;integer&gt;] </code></pre><p>Retrieves the indexed sub-object as a singleton NURBSSelection. Index starts at 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsselection&gt; [(&lt;integer_array&gt; | &lt;bitarray&gt;)] </code></pre><p>Retrieves the indexed sub-objects as a NURBSSelection. Index starts at 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsselection&gt; [(&lt;#name&gt; | &lt;string&gt;)] </code></pre><p>Retrieves the sub-object level named selection set, where the name of the named selection set can be specified as a name or string value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsselection&gt; [(&lt;#name&gt; | &lt;string&gt;)] = (&lt;nurbsselection&gt; | &lt;integer_array&gt; | &lt;bitarray&gt;) </code></pre><p>Sets the sub-object level named selection set to the specified edges. The name of the named selection set can be specified as a name or string value, and the edges can be specified as an array, bitArray, or a NURBSSelection from the same object and of the same sub-object level.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">move &lt;nurbsselection&gt; &lt;point3&gt; </code></pre><p>Moves the sub-objects in the NURBSSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rotate &lt;nurbsselection&gt; &lt;quat_or_other_rotation_form&gt; </code></pre><p>Rotates the sub-objects in the NURBSSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scale &lt;nurbsselection&gt; &lt;point3&gt; </code></pre><p>Scales the sub-objects in the NURBSSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">select &lt;nurbsselection&gt; </code></pre><p>Selects the sub-objects in the NURBSSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deselect &lt;nurbsselection&gt; </code></pre><p>Deselects the sub-objects in the NURBSSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delete &lt;nurbsselection&gt; </code></pre><p>Deletes the sub-objects in the NURBSSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">append &lt;nurbsselection&gt; (&lt;nurbsselection&gt; | &lt;integer&gt;) </code></pre><p>Appends the sub-objects(s) to the NURBSSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">findItem &lt;nurbsselection&gt; (&lt;nurbsselection[&lt;integer&gt;] | &lt;integer&gt;) </code></pre><p>Returns the selection index of the matching item or 0 if not found. The item is selection index or singleton NURBSSelection.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.surfCVs[#baz] -- retrieves the surf CV selection named baz\n\
   move $foo.curves[#bar] [0,0,10] -- moves the &quot;bar&quot; curve selection 10 in Z\n\
   move $foo.selectedSurfCVs [0,0,10] -- moves the current surface CV selection 10 in Z\n\
   coordsys local scale $foo.surfaces [#baz] [2,2,2]\n\
   select $foo.curveCVs[#(1,2,3,4,5)] -- select the specified curve CVs\n\
   deselect $foo.curves-- deselect all curves\n\
   delete $foo.points[#{1..31, 40..50}] -- delete the specified points\n\
   $foo.curveCVs[#fred] = $foo.selectedCurveCVs -- &quot;snapshot&quot; the selected curve CVs\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../NURBS-Associated-Classes.html\">NURBS Associated Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";