var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DB86A07E-F694-47AD-B21C-BB7F4C9655D4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NURBS1RailSweepSurface : NURBSSurface</h1></div><p>This class defines a dependent 1-Rail Sweep surface. A 1-Rail Sweep surface uses at least two curves. One curve, the &quot;rail,&quot; defines one edge of the surface. The other curves define the surface&apos;s cross sections. The cross-section curves should intersect the rail curve. If the cross sections don&apos;t intersect the rail, the resulting surface is unpredictable.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NURBS1RailSweepSurface [&lt;property&gt;:&lt;val&gt;]...      </code></pre><p>Any of the object&apos;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getObject &lt;nurbsset&gt; &lt;index&gt;   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbs1railsweepsurface&gt;.rail : integer </code></pre><p>The parent rail curve by NURBSet index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbs1railsweepsurface&gt;.railID : integer </code></pre><p>The parent rail curve by NURBSId.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbs1railsweepsurface&gt;.numCurves : integer </code></pre><p>The number of cross-section curves.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbs1railsweepsurface&gt;.parallel : boolean </code></pre><p>If <code>true</code> , ensures that the sweep surface&apos;s normal is parallel to the rail.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbs1railsweepsurface&gt;.axisTM : matrix3 </code></pre><p>The axis of the sweep.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">appendCurve &lt;nurbs1railsweepsurface&gt; &lt;curve&gt; [flip:&lt;boolean&gt;] [startPoint:&lt;float&gt;] </code></pre><p>Adds a curve to the end of the list of cross-section curves by specifying the index in the NURBSSet. If <code>flip:true</code> is specified, the cross-section curve is reversed. <code>startPoint</code> specifies the start point on the parent curve. <code>startPoint</code> is applicable only if the parent is a closed curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">appendCurveByID &lt;nurbs1railsweepsurface&gt; &lt;curveID&gt; [flip:&lt;boolean&gt;] [startPoint:&lt;float&gt;] </code></pre><p>Adds a curve to the end of the list of cross-section curves by specifying the NURBSId. If <code>flip:true</code> is specified, the cross-section curve is reversed. <code>startPoint</code> specifies the start point on the parent curve. <code>startPoint</code> is applicable only if the parent is a closed curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getCurve &lt;nurbs1railsweepsurface&gt; &lt;index&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setCurve &lt;nurbs1railsweepsurface&gt; &lt;index&gt; &lt;curve&gt; </code></pre><p>Get or set the indexed cross-section curve by NURBSSet index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getCurveID &lt;nurbs1railsweepsurface&gt; &lt;index&gt; \n\
setCurveByID &lt;nurbs1railsweepsurface&gt; &lt;index&gt; &lt;curveID&gt; </code></pre><p>Get or set the indexed cross-section curve by NURBSId.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getFlip &lt;nurbs1railsweepsurface&gt; &lt;index&gt; \n\
setFlip &lt;nurbs1railsweepsurface&gt; &lt;index&gt; &lt;boolean&gt; </code></pre><p>Get or set whether the indexed cross-section curve is reversed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getCurveStartPoint &lt;nurbs1railsweepsurface&gt; &lt;index&gt; \n\
setCurveStartPoint &lt;nurbs1railsweepsurface&gt; &lt;index&gt; &lt;float&gt; </code></pre><p>Get or set the start point of the indexed cross-section curve on the parent curve. The start point is applicable only if the parent is a closed curve.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../NURBSSurface-Classes.html\">NURBSSurface Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"NURBSSurface-NURBSObject.html\">NURBSSurface : NURBSObject</a></li>\n\
          <li><a class=\"link\" href=\"../NURBSObject-Values.html\">NURBSObject Values</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";