var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0D9C8669-81FB-489B-9457-DC689EDAC5FD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NURBS2RailSweepSurface : NURBSSurface</h1></div><p>This class defines a dependent 2-Rail Sweep surface. A 2-Rail Sweep surface uses at least three curves. Two curves, the &quot;rails,&quot; define the two edges of the surface. The other curves define the surface&apos;s cross sections. A 2-Rail Sweep surface is similar to a 1-Rail sweep. The additional rail gives you more control over the shape of the surface.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NURBS2RailSweepSurface [&lt;property&gt;:&lt;val&gt;]...      </code></pre><p>Any of the object&apos;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getObject &lt;nurbsset&gt; &lt;index&gt;   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbs2railsweepsurface&gt;.rail1 : integer </code></pre><p>The 1 st parent rail curve by NURBSet index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbs2railsweepsurface&gt;.rail1ID : integer </code></pre><p>The 1 st parent rail curve by NURBSId.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbs2railsweepsurface&gt;.rail2 : integer </code></pre><p>The 2 nd parent rail curve by NURBSet index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbs2railsweepsurface&gt;.rail2ID : integer </code></pre><p>The 2 nd parent rail curve by NURBSId.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbs2railsweepsurface&gt;.numCurves : integer </code></pre><p>The number of cross-section curves.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbs2railsweepsurface&gt;.parallel : boolean </code></pre><p>If <code>false</code> , the rail curves define a ruled surface, and the cross sections describe lofting from this base ruled surface. If <code>true</code> , each cross section is associated with its best fitting plane. This plane moves along the rails and parallel to them. If the rails are curved, the plane can rotate. If the spacing between the rails changes, the section scales or stretches. In either case, the surface is blended from section to section along its entire length.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">appendCurve &lt;nurbs2railsweepsurface&gt; &lt;curve&gt; [flip:&lt;boolean&gt;] [startPoint:&lt;float&gt;] </code></pre><p>Adds a curve to the end of the list of cross-section curves by specifying the index in the NURBSSet. If <code>flip:true</code> is specified, the cross-section curve is reversed. <code>startPoint</code> specifies the start point on the parent curve. <code>startPoint</code> is applicable only if the parent is a closed curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">appendCurveByID &lt;nurbs2railsweepsurface&gt; &lt;curveID&gt; [flip:&lt;boolean&gt;] [startPoint:&lt;float&gt;] </code></pre><p>Adds a curve to the end of the list of cross-section curves by specifying the NURBSId. If <code>flip:true</code> is specified, the cross-section curve is reversed. <code>startPoint</code> specifies the start point on the parent curve. <code>startPoint</code> is applicable only if the parent is a closed curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getCurve &lt;nurbs2railsweepsurface&gt; &lt;index&gt; setCurve &lt;nurbs2railsweepsurface&gt; &lt;index&gt; &lt;curve&gt; </code></pre><p>Get or set the indexed cross-section curve by NURBSSet index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getCurveID &lt;nurbs2railsweepsurface&gt; &lt;index&gt; setCurveByID &lt;nurbs2railsweepsurface&gt; &lt;index&gt; &lt;curveID&gt; </code></pre><p>Get or set the indexed cross-section curve by NURBSId.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getFlip &lt;nurbs2railsweepsurface&gt; &lt;index&gt; setFlip &lt;nurbs2railsweepsurface&gt; &lt;index&gt; &lt;boolean&gt; </code></pre><p>Get or set whether the indexed cross-section curve is reversed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getCurveStartPoint &lt;nurbs2railsweepsurface&gt; &lt;index&gt; setCurveStartPoint &lt;nurbs2railsweepsurface&gt; &lt;index&gt; &lt;float&gt; </code></pre><p>Get or set the start point of the indexed cross-section curve on the parent curve. The start point is applicable only if the parent is a closed curve.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../NURBSSurface-Classes.html\">NURBSSurface Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"NURBSSurface-NURBSObject.html\">NURBSSurface : NURBSObject</a></li>\n\
          <li><a class=\"link\" href=\"../NURBSObject-Values.html\">NURBSObject Values</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";