var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-71F3BEDB-008E-439F-B575-77B0407EB3FE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NURBSCVSurface : NURBSSurface</h1></div><p>This class defines an independent surface that uses control vertices (CVs) to describe its shape. The CVs define a control lattice which surrounds the surface.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NURBSCVSurface[&lt;property&gt;:&lt;val&gt;]...      </code></pre><p>Any of the object&apos;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getObject &lt;nurbsset&gt; &lt;index&gt;   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbscvsurface&gt;.uOrder: integer &lt;nurbscvsurface&gt;.  vOrder: integer </code></pre><p>The order of the surface in the U and V directions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbscvsurface&gt;.numUKnots: integer &lt;nurbscvsurface&gt;.numVKnots: integer </code></pre><p>The number of knots in the surface in the U and V directions. If this value is changed, the previous knot data is NOT maintained. Because they are generated mathematically, NURBS surfaces have a parameter space in addition to the 3D geometric space in which they are displayed. Specifically, an array of values called knots specifies the extent of influence of each control vertex (CV) on the surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbscvsurface&gt;.numCVs: point2 </code></pre><p>The number of control vertices for the surface in the U and V directions. If this value is changed, the previous control vertex data is NOT maintained.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbscvsurface&gt;.transform: matrix3 </code></pre><p>The transformation matrix for the NURBSCVSurface. This controls the relative position of the item within a NURBSSet.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbscvsurface&gt;.uEdgesOverlap: boolean, read-only &lt;nurbscvsurface&gt;.vEdgesOverlap: boolean, read-only </code></pre><p><code>true</code> if the edges of the surface overlap in U and/or V even though the surface may not be closed (that is, the tangents match at the edges), <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbscvsurface&gt;.autoParam:#notAutomatic, #autoCentripetal, #autoUniform </code></pre><p><code>#notAutomatic</code> , <code>#autoCentripetal</code> , and <code>#autoUniform</code> correspond to the Automatic Reparam options in the CV Surface rollouts: none, chord length and uniform, respectively. Defaults to <code>#notAutomatic</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbscvsurface&gt;.rigid: boolean </code></pre><p><code>true</code> if the surface is &apos;rigid&apos;; otherwise <code>false</code> . The only editing allowed on a rigid surface is to transform it at the Surface sub-object level. You can&apos;t move a rigid surface&apos;s points or CVs, or change the number of points or CVs. Rigid surfaces reduce the amount of memory used by the NURBS model. Making surfaces rigid improves performance, especially for large and complex models. When a surface is rigid, you can&apos;t see its points or CVs when you are at the Point or Surface CV sub-object levels. If the model has no nonrigid surfaces and no point curves, the Point and Surface CV sub-object levels aren&apos;t available at all.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">closeU &lt;nurbscvsurface&gt; </code></pre><p>Closes the surface in the U direction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">closeV&lt;nurbscvsurface&gt; </code></pre><p>Closes the surface in the V direction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getUKnot &lt;nurbscvsurface&gt; &lt;u_index&gt; </code></pre><p>Get the indexed U-direction knot; knot indexes are 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setUKnot &lt;nurbscvsurface&gt; &lt;u_index&gt; &lt;float&gt; </code></pre><p>Sets the indexed U-direction knot to the given value; knot indexes are 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getVKnot &lt;nurbscvsurface&gt; &lt;v_index&gt; </code></pre><p>Get the indexed V-direction knot; knot indexes are 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setVKnot &lt;nurbscvsurface&gt; &lt;v_index&gt; &lt;float&gt; </code></pre><p>Get the indexed V-direction knot to the given value; knot indexes are 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getCV &lt;nurbscvsurface&gt; &lt;u_index&gt; &lt;v_index&gt; </code></pre><p>Get the CV at the given U and V index as a NURBSControlVertex; CV indexes are 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setCV &lt;nurbscvsurface&gt; &lt;u_index&gt; &lt;v_index&gt; &lt;NURBSControlVertex&gt; </code></pre><p>Sets the CV at the given U and V index to the supplied NURBSControlVertex; CV indexes are 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">refineU &lt;nurbscvsurface&gt; &lt;v_param&gt; </code></pre><p>Adds new row of interpolated CVs in the U direction on the surface at the given parametric V point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">refineV &lt;nurbscvsurface&gt; &lt;u_param&gt; </code></pre><p>Adds new column of interpolated CVs in the V direction on the surface at the given parametric U point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">refine &lt;nurbscvsurface&gt; &lt;u_param&gt; &lt;v_param&gt; </code></pre><p>Adds a new row and column of interpolated CVs on the surface at the given parametric UV position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">reparameterize &lt;nurbscvsurface&gt; (#centripetal | #uniform) </code></pre><p>Reparameterizes the surface by chord length (#centripetal) or uniform (#uniform) uniform parameterization.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>CV curves and surfaces must obey the relationship that &quot;order + number of CVs = number of knots&quot;. If this is not the case in most cases no object will be created and in some cases an assertion fault might be generated.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../NURBSSurface-Classes.html\">NURBSSurface Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"NURBSSurface-NURBSObject.html\">NURBSSurface : NURBSObject</a></li>\n\
          <li><a class=\"link\" href=\"../NURBSObject-Values.html\">NURBSObject Values</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";