var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-19C0A3FC-AECA-437A-A430-51EFC9D70545\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NURBSSurface : NURBSObject</h1></div><p>This is the parent class for all the NURBS surface classes and so is not directly constructable. The class describes the common properties of all NURBS surfaces. This includes its material ID, texture/tiling options, renderable state, and open/closed state, and normal inverted state. The <code>evalPos()</code> , <code>evalUTangent()</code> , and <code>evalVTangent()</code> methods are used to compute points and tangents on the surface.</p>\n\
<p><strong>Properties</strong></p>\n\
<p>All NURBS surface classes have the following properties.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurface&gt;.renderable : boolean      </code></pre><p>Specifies whether the surface is renderable. <code>true</code> if the surface is renderable, <code>false</code> if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurface&gt;.flipNormals : boolean   </code></pre><p>Specifies whether all the surface&#x2019;s surface normals are flipped. <code>true</code> if the surface normals are to be flipped, <code>false</code> if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurface&gt;.generateUVs1 : boolean </code></pre><p>If <code>true</code> , enables the generation of UV mapping coordinates for UVW channel 1. See the <code>getGenerateUVs()</code> and <code>setGenerateUVs()</code> methods for generalized mapping channel access.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurface&gt;.generateUVs2 : boolean </code></pre><p>If <code>true</code> , enables the generation of UV mapping coordinates for UVW channel 2. See the <code>getGenerateUVs()</code> and <code>setGenerateUVs()</code> methods for generalized mapping channel access.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurface&gt;.matID : integer </code></pre><p>The material ID of the surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurface&gt;.closedInU : boolean, read-only </code></pre><p><code>true</code> if the surface is closed in the U direction, <code>false</code> if open.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurface&gt;.closedInV : boolean, read-only </code></pre><p><code>true</code> if the surface is closed in the V direction, <code>false</code> if open.*</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurface&gt;.uParameterRangeMin : float, read-only &lt;nurbssurface&gt;.uParameterRangeMax : float, read-only </code></pre><p>Contains the minimum and maximum valid values for <code>&lt;u_parm&gt;</code> in the methods associated with NURBS Surfaces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurface&gt;.vParameterRangeMin : float, read-only &lt;nurbssurface&gt;.vParameterRangeMax : float, read-only </code></pre><p>Contains the minimum and maximum valid values for <code>&lt;v_param&gt;</code> in the methods associated with NURBS Surfaces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbssurface&gt;.textureSurface1 : NURBSTextureSurface &lt;nurbssurface&gt;.textureSurface2 : NURBSTextureSurface </code></pre><p>Used to get and set the texture surfaces for the two mapping channels. These properties take and return instances of the NURBSTextureSurface class. <code>.textureSurface1</code> accesses mapping channel 1 and <code>.textureSurface2</code> accesses mapping channel 2. See <a href=\"./../NURBS-Associated-Classes/NURBSTextureSurface-Value.html\">NURBSTextureSurface : Value</a>. See the <code>getTextureSurface()</code> and <code>setTextureSurface()</code> methods for generalized mapping channel access.</p>\n\
<p>It is not possible to assign texture surfaces to NURBS objects present in the scene. You can create new NURBSSets and the texture surface is used when you call <code>createNURBSObject()</code> . However, if you do a <code>getNURBSSet()</code> and assign a NURBSTextureSurface to these properties, nothing happens.</p>\n\
<p><strong>Methods</strong></p>\n\
<p>All NURBS surface classes have the following methods:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">evalPos &lt;nurbssurface&gt; &lt;u_param&gt; &lt;v_param&gt; </code></pre><p>Returns the coordinates in space of the point at the given U and V parametric position on the surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">evalUTangent &lt;nurbssurface&gt; &lt;u_param&gt; &lt;v_param&gt; </code></pre><p>Returns the U tangent vector of the surface at the given U and V parametric position on the surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">evalVTangent &lt;nurbssurface&gt; &lt;u_param&gt; &lt;v_param&gt; </code></pre><p>Returns the V tangent vector of the surface at the given U and V parametric position on the surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getTiling &lt;nurbssurface&gt; [channel:&lt;index&gt;] setTiling &lt;nurbssurface&gt; &lt;ut&gt; &lt;vt&gt; [channel:&lt;index&gt;] </code></pre><p>These methods get and set the tiling factor on the surface in the u and v directions. These methods return or take a point2 value, with u tiling in the x component and v tiling in the y component of the point2. The optional <code>channel</code> keyword argument can be used to select the mapping channel which defaults to 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getTilingOffset &lt;nurbssurface&gt; [channel:&lt;index&gt;] setTilingOffset &lt;nurbssurface&gt; &lt;uo&gt; &lt;vo&gt; [channel:&lt;index&gt;] </code></pre><p>These methods get and set the tiling offset on the surface for the selected channel. These methods return or take a point2 value, with u offset in the x component and v offset in the y component of the point2. The optional <code>channel</code> keyword argument can be used to select the mapping channel which defaults to 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getGenerateUVs &lt;nurbssurface&gt; &lt;channel_index&gt; setGenerateUVs &lt;nurbssurface&gt; &lt;channel_index&gt; &lt;boolean&gt; </code></pre><p>These methods get and set whether the generation of UV mapping coordinates for the selected channel is enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getTextureUVs &lt;nurbssurface&gt; &lt;index&gt; [channel:&lt;index&gt;] setTextureUVs &lt;nurbssurface&gt; &lt;index&gt; &lt;point2&gt; [channel:&lt;index&gt;] </code></pre><p>These methods get and set the texture UV as a point2 value for the indexed coordinate and selected channel. The 1-based index of the texture coordinate must be &gt;= 1 and &lt;= 4. The optional <code>channel</code> keyword argument can be used to select the mapping channel which defaults to 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getTextureSurface &lt;nurbssurface&gt; &lt;channel_index&gt; setTextureSurface &lt;nurbssurface&gt; &lt;channel_index&gt; &lt;NURBSTextureSurface&gt; </code></pre><p>These methods get and set texture surfaces for the selected channel. These methods return or take an instance of the NURBSTextureSurface class. See <a href=\"./../NURBS-Associated-Classes/NURBSTextureSurface-Value.html\">NURBSTextureSurface : Value</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getProdTess &lt;nurbssurface&gt; &lt;tessType_name&gt; setProdTess &lt;nurbssurface&gt; &lt;tessType_name&gt; &lt;NURBSSurfaceApproximation&gt; getViewTess &lt;nurbssurface&gt; &lt;tessType_name&gt; setViewTess &lt;nurbssurface&gt; &lt;tessType_name&gt; &lt;NURBSSurfaceApproximation&gt; </code></pre><p>These methods get and set renderer and viewport NURBSSurfaceApproximation values for individual surfaces, where <code>&lt;tessType_name&gt;</code> is one of <code>#surface</code> , <code>#displacement</code> , or <code>#curve</code> corresponding to the 3 kinds of tessellation that can be controlled on a surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">clearProdTess &lt;nurbssurface&gt; &lt;tessType_name&gt; clearViewTess &lt;nurbssurface&gt; &lt;tessType_name&gt; </code></pre><p>Resets the surface approximation settings for the surface for the given tessellation type, where <code>&lt;tessType_name&gt;</code> is one of <code>#surface</code> , <code>#displacement</code> , or <code>#curve</code> corresponding to the 3 kinds of tessellation that can be controlled on a surface.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../NURBSSurface-Classes.html\">NURBSSurface Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../NURBSObject-Values.html\">NURBSObject Values</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";