var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F24065D7-B395-45F4-BAFC-9D1B20118541\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NURBSUVLoftSurface : NURBSSurface</h1></div><p>This class defines a dependent UV Loft Surface. This surface is similar to the U Loft surface, but has a set of curves in the V dimension as well as the U dimension.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NURBSUVLoftSurface [&lt;property&gt;:&lt;val&gt;]...      </code></pre><p>any of the object&apos;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getObject &lt;nurbsset&gt; &lt;index&gt;   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsuvloftsurface&gt;.numUCurves : integer </code></pre><p>The number of curves in the U direction used by the UV Loft.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsuvloftsurface&gt;.numVCurves : integer </code></pre><p>The number of curves in the V direction used by the UV Loft.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getUCurve &lt;nurbsuvloftsurface&gt; &lt;index&gt; </code></pre><p>Gets the NURBSSet index of the U direction indexed UV Loft curve; curve indexes are 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setUCurve &lt;nurbsuvloftsurface&gt; &lt;index&gt; &lt;curve&gt; </code></pre><p>Sets the indexed UV Loft curve in the U direction to the curve specified by the NURBSSet index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getUCurveID &lt;nurbsuvloftsurface&gt; &lt;index&gt; </code></pre><p>Gets the NURBSId of the U direction indexed UV Loft curve in the loft; curve indexes are 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setUCurveByID &lt;nurbsuvloftsurface&gt; &lt;index&gt; &lt;curveID&gt; </code></pre><p>Sets the indexed UV Loft curve in the U direction to the curve specified by the NURBSId.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getVCurve &lt;nurbsuvloftsurface&gt; &lt;index&gt; </code></pre><p>Gets the NURBSSet index of the V direction indexed UV Loft curve; curve indexes are 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setVCurve &lt;nurbsuvloftsurface&gt; &lt;index&gt; &lt;curve&gt; </code></pre><p>Sets the indexed UV Loft curve in the V direction to the curve specified by the NURBSSet index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getVCurveID &lt;nurbsuvloftsurface&gt; &lt;index&gt; </code></pre><p>Gets the NURBSId of the V direction indexed UV Loft curve in the loft; curve indexes are 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setVCurveByID &lt;nurbsuvloftsurface&gt; &lt;index&gt; &lt;curveID&gt; </code></pre><p>Sets the indexed UV Loft curve in the V direction to the curve specified by the NURBSId.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">appendUCurve &lt;nurbsuvloftsurface&gt; &lt;curve&gt; </code></pre><p>Adds a curve to the end of the list of U direction UV Loft curves by specifying the NURBSId.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">appendUCurveByID &lt;nurbsuvloftsurface&gt; &lt;curveID&gt; </code></pre><p>Adds a curve to the end of the list of U direction UV Loft curves by specifying the NURBSSet index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">appendVCurve &lt;nurbsuvloftsurface&gt; &lt;curve&gt; </code></pre><p>Adds a curve to the end of the list of V direction UV Loft curves by specifying the NURBSSet index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">appendVCurveByID &lt;nurbsuvloftsurface&gt; &lt;curveID&gt; </code></pre><p>Adds a curve to the end of the list of V direction UV Loft curves by specifying the NURBSId.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../NURBSSurface-Classes.html\">NURBSSurface Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"NURBSSurface-NURBSObject.html\">NURBSSurface : NURBSObject</a></li>\n\
          <li><a class=\"link\" href=\"../NURBSObject-Values.html\">NURBSObject Values</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";