var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D44D0019-FDEC-4826-ACAA-8C1C44E6CF7D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Modifying Existing NURBS Objects</h1></div><p>The classes can also be used to modify the properties of existing NURBS objects in the scene. To gain access to an internal <strong>3ds Max</strong> NURBS object, you must have the data copied into a NURBSSet. This is done using the node method <code>getNURBSSet()</code> . You can then use the methods of the NURBSSet to access the objects.</p>\n\
<p>For example, the following sample code attempts to grab the first NURBS sub-object from the first node in the current selection set. It then checks if it is a blend surface and if so, adjusts one of the tension parameters.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- get the first node in selection\n\
   node = selection[1];\n\
   -- make sure creation has been completed on the node\n\
   stopCreating node\n\
   -- get the nurbs set for it\n\
   getSet = getNURBSSet node #relational\n\
   -- extract the first obj, check class &amp; set tension\n\
   obj = getObject getSet 1\n\
   if classOf obj == NURBSBlendSurface then obj.tension1 = 2.0\n\
</code></pre></blockquote>\n\
<p>The type of modifications that you can perform in this way are limited to changing those parameters and properties that do not alter the <strong>structure</strong> of the NURBS scene object. You can modify point and CV positions, CV weights, and dependent object parameters such as, offsets and extrude amounts. You cannot add or delete objects, change the number of CVs or knots or parent curves, and so on. To do this kind of structural modification, use the <code>appendObject()</code> , <code>setObject()</code> , and <code>removeObject()</code> functions defined in <a href=\"./../The-NURBS-Classes/NURBS-Associated-Classes/NURBSSet-Value.html\">NURBSSet : Value</a> and the <code>addNURBSSet()</code> , <code>breakSurface()</code> , and similar functions defined in <a href=\"NURBS-Node-Properties-and.html\">NURBS Node Properties and Methods</a>.</p>\n\
<p>The <code>stopCreating()</code> method is used to ensure that the specified node is fully created. This method is primarily used to ensure that a NURBS scene object is fully created, which it will not be until the creation is stopped. The NURBSSet returned for a NURBS scene object will not be complete if the object is still in creation mode. This method will also deactivate any activated object create buttons in the Create panel.</p>\n\
<p>There are other global functions that might be used to modify NURBS scene objects. These functions are documented in <a href=\"NURBS-Node-Properties-and.html\">NURBS Node Properties and Methods</a>. For instance, developers can use the function <code>breakSurface()</code> to take an existing NURBS surface and break it into two separate surfaces.</p>\n\
<p><strong>Non-relational NURBSSets</strong></p>\n\
<p>You can also use the <code>getNURBSSet()</code> function in a non-relational mode, but not supplying the <code>#relational</code> argument to retrieve a &quot;flattened&quot; version of the NURBSSet in which all dependent surfaces such as, blends, offsets, and lofts are represented as independent curves and surfaces, and there is no &apos;live&apos; connection back to the scene object from which the NURBSSet was derived. You might use this to get a simplified version of the NURBS scene object for an export script. For example, if the destination system does not support relational objects. You can also use a non-relational NURBSSet derived in this way as the basis for creating other scene objects such as, modifying or adding to the set and then re-instantiating it with the <code>NURBSNode()</code> function.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Using-the-NURBS-Classes-and.html\">Using the NURBS Classes and Functions to Create and Modify 3ds max NURBS Models</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";