var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E8D31DDC-9A82-4A5E-BA54-E6FED5494270\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Containers</h1></div><p>In <strong>3ds Max 2010 and higher</strong>, a <a href=\"./../Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\">Container is a helper object</a> in the scene. Once created, the user can choose its content, that is, nodes that are meant to be grouped together.Containers should be <strong>self-contained</strong> blocks without references from the content to nodes outside of the container, otherwise the references will be lost during operation of the container.Containers hold the content and moving or deleting a container will affect the content, but containers and content are not the same thing.</p>\n\
<p><img src=\"./images/GUID-F5247BBB-771F-4786-BC7F-71E6595DDC9A-low.gif\" alt=\"\"></p>\n\
<p>For example, content can be unloaded, while the container remains in the scene. The container is associated with a container definition file, which is a <strong>3ds Max</strong> file that stores only the container and its contents. Container definitions are tracked as file assets.| |</p>\n\
<h3 id=\"there-are-two-types-of-containers-\">There are two types of containers:</h3><p><strong>Local Containers:</strong></p>\n\
<p>Containers can be created locally and used to organize scenes in ways that are similar to the uses of groups or layers. This provides a way to collect a bunch of nodes and work with them as one, or to section part of your scene to share with others.</p>\n\
<p>If a localContainer has no content that is inherited from any source (including nestedContainers, that is,Containers insideContainers), we can call it a UniqueContainer. If content is inherited at all, it is not a UniqueContainer.</p>\n\
<p><strong>Inherited Containers:</strong></p>\n\
<p>Containers can also be inherited.When you get a Container asset file from someone else, you inherit its contents. If the author allows, you can open the container and make changes, while still inheriting the author&#39;s changes. This allows teams to work collaboratively.</p>\n\
<p>Content nodes of containers are children of the container. It is possible to have objects linked to containers or contents of containers without being inside the container, but this is not recommended.</p>\n\
<p>It is <strong>not</strong> possible to instance containers, but they can be copied,then changes to one of the copies can be saved and all containers can be reloaded,resulting inall copies inheriting the changes. Many containers can point at the same definition file.</p>\n\
<p>In addition to the content, containers also govern what users of a container are allowed to do with the content if they inherit the container. This is called the <strong>container rules</strong>. Currently, the only options exposed to the User Interface are either <strong>no access</strong> (the user can only read in the content but make no modification) or <strong>edit in-place</strong>, which allows someone inheriting the container to modify the content and save the result, overwriting the original definition file.</p>\n\
<p>Containers can be closed, making the content non-editable. When a container is closed,the content behaves like a scene XRef, displayed and rendered but not selectable or editable.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Containers.html\">Containers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\">Container : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-Containers.html\">Interface: Containers</a></li>\n\
          <li><a class=\"link\" href=\"../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-ContainerPreferences.html\">Interface: ContainerPreferences</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";