var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-00AB0CFA-3190-4A28-A185-4774B684F6D8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>General Node Properties</h1></div><p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#object-information-properties\">Object Information Properties</a></li>\n\
<li><a href=\"#layer-related-properties\">Layer Related Properties</a></li>\n\
<li><a href=\"#target-lookat-related-properties\">Target/LookAt Related Properties</a></li>\n\
<li><a href=\"#interactivity-hiden-frozen-properties\">Interactivity - Hiden / Frozen Properties</a></li>\n\
<li><a href=\"#display-related-properties\">Display Related Properties</a></li>\n\
<li><a href=\"#rendering-related-properties\">Rendering Related Properties</a></li>\n\
<li><a href=\"#motion-blur\">Motion Blur</a></li>\n\
<li><a href=\"#mental-ray-indirect-illumination-properties\">mental ray Indirect Illumination Properties</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<p>All the properties listed here are accessible on any node subclass.</p>\n\
<p>Unless otherwise noted, these properties can not be animated.</p>\n\
<p><a name=\"object-information-properties\"></a></p>\n\
<h2 id=\"object-information-properties\">Object Information Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.name String default: varies      </code></pre><p>Get or set the scene object&apos;s name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.baseObject  A subclass of Node  default: varies   </code></pre><p>Access the base object in a scene node. This has relevance in nodes that have modifiers present that change the node type as it is processed up the stack. For example, a line with an extrude modifier starts out as a Shape and turns into an Editable Mesh at the top of the stack, its so-called <strong>world state</strong>. The <code>baseObject</code> property gives you access to the base object in the modifier stack. Because the <code>classOf()</code> function on scene node objects returns the class of the world state object (the top of the stack), you can use the <code>baseObject</code> property to determine the class of the original object used to create the node.</p>\n\
<p><code>&lt;node&gt;.baseObject</code> is writable since <strong>3ds Max 5.1</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   s=sphere()\n\
   b=box()\n\
   s.baseobject = b.baseobject\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.material Material default: undefined </code></pre><p>Get or set the object&apos;s material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.parent Node default: undefined </code></pre><p>Get or set the parent of the object. If the object is a top-level object, accessing the parent property will return <code>undefined</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   foo_mom = $foo.parent\n\
   $foo.parent = $baz\n\
</code></pre></blockquote>\n\
<p>Setting this property has the effect of detaching <code>&lt;node&gt;</code> from its original parent and attaching it as a child of the specified node.</p>\n\
<p>You can detach an object and make it a top-level object by assigning <code>undefined</code> to the parent property:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.parent = undefined\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.children NodeChildrenArray default: undefined </code></pre><p>This yields a special array subclass, <code>NodeChildrenArray</code> . See <a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/NodeChildrenArray-Values.html\">NodeChildrenArray Values</a>. A <code>NodeChildrenArray</code> can be accessed using normal MAXScript array indexing and can be sequenced over in a <strong>for</strong> loop or with collection-mapped functions,</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   c = $foo.children[i]\n\
   move $foo.children [10,10,10]\n\
   for c in $baz.children do print c\n\
</code></pre></blockquote>\n\
<p>You can get the number of children via the <code>count</code> property:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   num_children = $foo.children.count\n\
</code></pre></blockquote>\n\
<p>You <strong>cannot</strong> directly set a child by indexing into <code>NodeChildrenArray</code> , but you can append new children using the <code>append()</code> function and delete children using the <code>deleteItem()</code> function,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.children[$foo.children.count+1]=$baz-- does not work\n\
   append $foo.children $baz-- works\n\
   deleteItem $foo.children $baz-- removes $baz as child </code></pre></blockquote>\n\
<p>The ordering of child indexes corresponds to the ordering shown in the <strong>3ds Max</strong> hierarchy view, which is the order in which the children were added to the parent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.mesh TriMesh </code></pre><p>For scene nodes or base objects that are Editable Mesh objects, or are convertable to Editable Mesh objects, this property yields a TriMesh containing a copy of the source object&apos;s mesh after any modifiers have been applied, but before any space warps have been applied. This property is read-only unless the scene node or base object is an Editable Mesh object, in which case the specified TriMesh replaces the base object. See <a href=\"./../../Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\">Editable_Mesh : GeometryClass and TriMesh : Value</a> for more information on TriMesh and Editable Mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.boundingBox</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022:</strong>: Read-only. Returns a Box3 value representing the bounding box of the node.</p>\n\
<h2 id=\"layer-related-properties\">Layer Related Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.displayByLayer Boolean default: true </code></pre><p>When <code>true</code> , object visibility will be controlled by the Layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.motionByLayer Boolean default: true </code></pre><p>When <code>true</code> , Motion Blur will be controlled by the Layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.renderByLayer Boolean default: true </code></pre><p>When <code>true</code> , Rendering will be controlled by the Layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.colorByLayer Boolean default: true </code></pre><p>When <code>true</code> , the object will use the Layer&apos;s color. When <code>false</code> , the object&apos;s color will be used instead.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.globalIlluminationByLayer Boolean default: true </code></pre><p>When <code>true</code> , the advanced lighting inclusion/exclusion will be controlled by the layer.</p>\n\
<h2 id=\"target-lookat-related-properties\">Target/LookAt Related Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.isTarget Boolean default: false </code></pre><p>Returns <code>true</code> if then node is the target of another object&apos;s LookAt controller, <code>false</code> if it is not. If the object is the automatically created target object of a light&apos;s or camera&apos;s LookAt controller, and you set this property to <code>false</code> , you can delete the target object without causing the light or target to be deleted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.lookAt Node default: undefined </code></pre><p>Get a node that is looking at <code>&lt;node&gt;</code> , or set a node to look at <code>&lt;node&gt;</code> . This is the converse of the <code>&lt;node&gt;.target</code> property. If <code>&lt;node&gt;</code> is not the target of some object&apos;s LookAt controller, the value <code>undefined</code> is returned. If <code>&lt;node&gt;</code> is the target of more than one object, only one such object is returned. If this property is used to set <code>&lt;node&gt;</code> as the target of another object, a LookAt controller is automatically assigned to that object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.target Node default: undefined </code></pre><p>Get or set the target node for <code>&lt;node&gt;</code> &apos;s LookAt controller. Returns <code>undefined</code> if there is no target or the node does not have a LookAt controller. If this property is used to set an object as the target of <code>&lt;node&gt;</code> , a LookAt controller is automatically assigned to <code>&lt;node&gt;</code> . Exercise care if you assign a node to the <code>target</code> property. When you specify a target object, <strong>3ds Max</strong> stores with the target object the last object it was assigned as a target of. If you delete the target object, the behavior of <strong>3ds Max</strong> is to also delete the object looking at it. If the target object is a targetobject class object, deleting an object looking at it will also delete the target object, even if another object is also looking at it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.targetDistance Float default: undefined </code></pre><p>Get or set the distance from the node to its target. Returns <code>undefined</code> if <code>&lt;node&gt;</code> does not have a target. Setting this property moves the target along the object-to-target vector to the distance specified.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $spot01.targetDistance\n\
   $cam2.targetDistance = 100\n\
</code></pre></blockquote>\n\
<h2 id=\"interactivity-hiden-frozen-properties\">Interactivity - Hiden / Frozen Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.isHidden Boolean default: false </code></pre><p>Get or set whether the node is flagged as hidden in the viewports. A node may be hidden even if this property is <code>false</code> . If the node is flagged as frozen and <a href=\"./../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">Hide Frozen Objects</a> is on in the Hide rollout in the Display panel, the node will be hidden regardless of this property&apos;s value.</p>\n\
<p>A node is hidden in the viewport if:</p>\n\
<p>1. The node&apos;s hidden flag is set,</p>\n\
<p>2. The node&apos;s layer hidden flag is set,</p>\n\
<p>3. The node&apos;s category is hidden via Hide By Category, or</p>\n\
<p>4. The node is frozen and Hide Frozen Objects is enabled</p>\n\
<p>The node&apos;s <code>isHidden</code> property reflects a combination of conditions 1 and 2. The property returns <code>true</code> if either condition 1 or 2 is <code>true</code> . Setting the property to <code>true</code> sets the node&apos;s hidden flag. Setting the property to <code>false</code> clears both the node&apos;s and the node&apos;s layer&apos;s hidden flag.</p>\n\
<p>Condition 2 can be handled by getting the node&apos;s layer and checking the layer&apos;s <code>isHidden</code> property using <code>theNode.INodeLayerProperties.layer.isHidden</code></p>\n\
<p>For handling Condition 3, see the <a href=\"HideByCategory-Properties-and.html\">hideByCategory</a> structure added in <strong>3ds Max 6</strong>.</p>\n\
<p>Condition 4 can be handled by getting the node&apos;s frozen status using <code>theNode.isFrozen</code> and checking the <code>maxOps.hideFrozenObjects</code> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.isNodeHidden Boolean default: false </code></pre><p>The node&apos;s <code>isNodeHidden</code> property reflects only condition 1 listed above. The property returns <code>true</code> if the node&apos;s hidden flag is set, <code>false</code> if not. Setting the property sets only the node&apos;s hidden flag.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.isHiddenInVpt Boolean default: false </code></pre><p>This is a read-only property that returns <code>true</code> if any of the 4 conditions is <code>true</code> , that is, the node is hidden in the viewport for some reason.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.isFrozen Boolean default: false </code></pre><p>Get or set whether the node is frozen in the viewports.</p>\n\
<p>A node is frozen in the viewport if:</p>\n\
<p>1. The node&apos;s frozen flag is set, or</p>\n\
<p>2. The node&apos;s layer frozen flag is set</p>\n\
<p>The node&apos;s <code>isFrozen</code> property reflects a combination of conditions 1 and 2. The property returns <code>true</code> if either condition 1 or 2 is <code>true</code> . Setting the property to <code>true</code> sets the node&apos;s frozen flag. Setting the property to <code>false</code> clears both the node&apos;s and the node&apos;s layer&apos;s frozen flag.</p>\n\
<p>Condition 2 can be handled by getting the node&apos;s layer and checking the layer&apos;s <code>isFrozen</code> property using <code>theNode.INodeLayerProperties.layer.isFrozen</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.isNodeFrozen Boolean default: false </code></pre><p>This property reflects only condition 1 described above. The property returns <code>true</code> if the node&apos;s frozen flag is set, <code>false</code> if not. Setting the property sets only the node&apos;s frozen flag.</p>\n\
<p><a name=\"display-related-properties\"></a></p>\n\
<h2 id=\"display-related-properties\">Display Related Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.isSelected Boolean default: false </code></pre><p>Get or set whether the node is selected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.xray Boolean default: false </code></pre><p>Get or set whether the node is displayed in See Through mode in shaded viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.boxMode Boolean default: false </code></pre><p>Get or set whether the node is displayed in box mode in the viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.allEdges Boolean default: false </code></pre><p>Get or set whether all the node&apos;s edges are displayed in the viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.vertexTicks Boolean default: false </code></pre><p>Get or set whether all the node&apos;s vertices will be displayed as ticks in the viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.backFaceCull Boolean default: false </code></pre><p>Get or set whether the node&apos;s back faces are culled (not displayed) in the viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.showTrajectory Boolean default: false </code></pre><p>Get or set whether the node&apos;s trajectory is displayed in the viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.ignoreExtents Boolean default: false </code></pre><p>Get or set whether the extents of the node is ignored when performing a zoom extents.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">node&gt;.showFrozenInGray Booleandefault:true </code></pre><p>Get/Set whether the node will be displayed as gray when frozen.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.wireColor Color default: random color </code></pre><p>Get or set the node&apos;s wireframe color</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.showLinks Boolean default: false </code></pre><p>Get or set whether to display a wireframe representation of the hierarchical link(s) from the node to its children.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.showLinksOnly Boolean default: false </code></pre><p>Get or set whether to display only the wireframe representation of the hierarchical link(s) for the node. Setting this property to <code>true</code> a lso sets showLinks to <code>true</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.showVertexColors Boolean default: false </code></pre><p>Get or set whether to display the effect of assigned vertex colors for the node in shaded viewports.</p>\n\
<p>Exposed by the <a href=\"./../../Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INode.html\">INode Interface</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.vertexColorType Name \n\
\n\
vertexColorType enums: {#color|#illum|#alpha|#color_plus_illum} </code></pre><p>Get/set the vertex color display type.</p>\n\
<p>Exposed by the <a href=\"./../../Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INode.html\">INode Interface</a>.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $Sphere01.vertexColorType = #illum\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.vertexColorsShaded Boolean default: false </code></pre><p>Get or set whether the vertex color display for the node is shaded in the viewports. When <code>true</code> , the colors are unshaded and appear in their pure RGB values. When <code>false</code> , the colors appear like any other assigned color in the viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.isDependent Boolean default: false </code></pre><p>Returns <code>true</code> if the node has its dependent flag set, otherwise returns <code>false</code> . A node is dependent in the sense of <strong>3ds Max</strong> &apos;s Views/Show Dependencies mode. When the Modify panel is open, Show Dependencies will show all the nodes that are dependent on the current modifier or object being editing by highlighting them in green, and the dependent flag for the node is set. This property will always return <code>false</code> if the Modify panel is closed, or if Views/Show Dependencies is off. This property is read-only.</p>\n\
<h2 id=\"rendering-related-properties\">Rendering Related Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.visibility Boolean default: true -- animatable </code></pre><p>This is a boolean property (unlike its value as a signed float in the <strong>3ds Max</strong> Track View) - <code>true</code> or <code>on</code> denotes visible, <code>false</code> or <code>off</code> invisible. Animate this property to control an node&apos;s visibility at render-time,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   my_node=box()\n\
   animate on\n\
   (\n\
   at time 0 my_node.visibility =on\n\
   at time 35 my_node.visibility =off\n\
   at time 57 my_node.visibility =on\n\
   )\n\
</code></pre></blockquote>\n\
<p>By default, there is no controller assigned to the visibility track. Accessing the <code>.controller</code> property of the visibility track will throw an error. In order to be able to add keys and manipulate them, there must be a controller assigned. Animating the property as shown above will force<strong>3ds Max</strong>to assign a controller automatically. You can also assign a controller manually to the <code>.visibility</code> property:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --assigns a controller:\n\
   my_node.visibility = bezier_float()\n\
   --set the current value to semi-visible:\n\
   my_node.visibility.controller.value = 0.5\n\
   --animate the value to 0 on frame 100\n\
   animate on at time 100 my_node.visibility.controller.value = 0.0\n\
</code></pre></blockquote>\n\
<p>The controller for this property is stored in the 1 st subAnim of the node. You can also access this controller (if existing) as:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &lt;node&gt;[1].controller -- the visibility controller </code></pre></blockquote>\n\
<p>You can also get a node&apos;s visibility controller using the <code>getVisController()</code> method.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.renderable Boolean default: true </code></pre><p>Get or set whether the node is renderable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.inheritVisibility Boolean default: true </code></pre><p>Get or set whether the node inherits the visibility of its parent object (if any). This property parallels the Inherit Visibility property in an object&apos;s right-click Object Properties dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.primaryVisibility: boolean : Read|Write </code></pre><p>Gets/Sets the node&#x2019;s Visible to Camera option.</p>\n\
<p>Exposed by the <a href=\"./../../Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INode.html\">INode Interface</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.secondaryVisibility: boolean : Read|Write </code></pre><p>Gets/Sets the node&#x2019;s Visible to Reflection/Refraction option.</p>\n\
<p>Exposed by the <a href=\"./../../Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INode.html\">INode Interface</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.receiveShadows Boolean default: true </code></pre><p>Get or set whether the node receives shadows when rendered. This property parallels the Receive Shadows property in an object&apos;s right-click Object Properties dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.castShadows Boolean default: true </code></pre><p>Get or set whether the node casts shadows when rendered. This property parallels the Cast Shadows property in an object&apos;s right-click Object Properties dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.applyAtmospherics: boolean : Read|Write </code></pre><p>Gets/Setswhether the node will be affected by atmospheric effects.</p>\n\
<p>Exposed by the <a href=\"./../../Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INode.html\">INode Interface</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.renderOccluded Boolean default: false </code></pre><p>Get or set whether to Render Occluded Objects behind the node. This property parallels the Render Occluded Objects property in an object&apos;s right-click Object Properties dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.gbufferChannel Integer default: 0 </code></pre><p>Get or set the node&apos;s g-buffer Object ID channel value. Valid object ID values in <strong>3ds Max</strong> range from 0 to 65535. This property parallels the G-Buffer Object Channel property in an object&apos;s right-click Object Properties dialog.</p>\n\
<h2 id=\"motion-blur\">Motion Blur</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.imageMotionBlurMultiplier Float default: 1.0 -- animatable </code></pre><p>Get or set the node&apos;s image motion blur multiplier value. The controller for this property is stored in the 6 th subAnim of the node. You can access this controller as:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &lt;node&gt;[6].controller-- the imageMotionBlurMultiplier controller </code></pre></blockquote>\n\
<p>You can also get and set a node&apos;s imageMotionBlurMultiplier controller using the <code>getImageBlurMultController()</code> and <code>setImageBlurMultController()</code> methods.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.motionBlurOn Boolean default: true </code></pre><p>Get or set whether motion blur is enabled for the object. This property parallels the Motion Blur Enabled property in an object&apos;s right-click Object Properties dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.motionBlurOnController Controller default: undefined </code></pre><p>Get or set the motion blur on/off controller used for the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.motionBlur Name default: #none </code></pre><p>Get or set the type of motion blur to be used for the node. Valid parameter values are: <code>#none</code> , <code>#object</code> , and <code>#image</code> . For backward compatibility, this property can also be set to <code>false</code> for none or <code>true</code> for object motion blur. This property parallels the Motion Blur type specified in an object&apos;s right-click Object Properties dialog.</p>\n\
<h2 id=\"mental-ray-indirect-illumination-properties\">mental ray Indirect Illumination Properties</h2><p><img src=\"./images/GUID-B51CA473-FFDB-463D-A637-842EB070A5EA-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.generatecaustics Boolean default: false </code></pre><p>Get or set whether the node generates caustics. Caustics are not supported by the <strong>3ds Max</strong> scanline renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.rcvcaustics Boolean default: true </code></pre><p>Get or set whether the node receives caustics. Caustics are not supported by the <strong>3ds Max</strong> scanline renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.generateGlobalIllum Boolean default: false </code></pre><p>Get or set whether the node generates global illumination. Global illumination is not supported by the <strong>3ds Max</strong> scanline renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.rcvGlobalIllum Boolean default: true </code></pre><p>Get or set whether the node receives global illumination. Global illumination is not supported by the <strong>3ds Max</strong> scanline renderer.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"Node-Transform-Properties.html\">Node Transform Properties</a></li>\n\
          <li><a class=\"link\" href=\"Node-User-Defined-Properties-and.html\">Node User-Defined Properties and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/Nested-Object-Properties.html\">Nested Object Properties</a></li>\n\
          <li><a class=\"link\" href=\"../../Identifying-and-Accessing/Class-and-Object-Inspector.html\">Class and Object Inspector Functions</a></li>\n\
          <li><a class=\"link\" href=\"../../Identifying-and-Accessing/Dynamic-Properties.html\">Dynamic Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Node-Subclasses/Node-Subclasses-1.html\">Node Subclasses</a></li>\n\
          <li><a class=\"link\" href=\"../../NURBS/Using-the-NURBS-Classes-and/NURBS-Node-Properties-and.html\">NURBS Node Properties and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";