var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0B7D0519-6059-45CE-BB1D-C8673C12B506\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Modifier Stack Related Methods</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">validModifier [&lt;node&gt; | &lt;objectset&gt; | &lt;group&gt; ] &lt;modifier |modifier_class&gt; </code></pre><p>Tests whether a particular modifier or modifier class might be added the given <code>&lt;node&gt;</code> or to all of the objects in the objectset or group. Returns <code>true</code> if so, <code>false</code> if not.</p>\n\
<p>The <code>validModifier()</code> method operates exactly as does the Modify panel in determining modifier applicability. Any modifier that takes a deformable object will return <code>true</code> for all scene objects except Helpers. This corresponds to the Modify panel&apos;s behavior of allowing modifiers such as, Bend, Taper, and so on to be applied to lights and cameras, space warp objects, and others as well as geometry types such as, box, sphere, and so on, but not helpers such as, dummys or bones.</p>\n\
<p>The <code>validModifier()</code> method will return <code>true</code> if an empty <code>&lt;objectset&gt;</code> is specified, or if a <code>&lt;group&gt;</code> is specified and the modifier is valid for all members of the group. In these cases, applying the modifier using the <code>addModifier()</code> method will fail because the <code>&lt;objectset&gt;</code> is empty in the first case or the modifier cannot be applied to the dummy object that is the parent object of the objects in the group. You will need to test for these conditions in your script or use the <code>modPanel.addModToSelection()</code> method described in <a href=\"./../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Modify-Panel.html\">Modify Panel</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addModifier &lt;node&gt; &lt;modifier&gt; [before:index] -- mapped </code></pre><p>Applies the modifier to <strong>all instances</strong> of the node(s) to which the function is applied. The optional <code>before:</code> keyword argument can be used to insert the modifier into the node&apos;s modifier stack just before the indexed modifier, counting from the top of the stack.</p>\n\
<p>Since <strong>3ds Max 3</strong>, <code>addModifier()</code> does not preserve the sub-object selection that might be active in the modifier stack when adding the modifier. If you want to add a modifier and preserve the sub-object selection, use the <code>modPanel.addModToSelection()</code> method described in <a href=\"./../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Modify-Panel.html\">Modify Panel</a>.</p>\n\
<p>If <code>&lt;node&gt;</code> is a collection, an instance of the modifier is placed on each of the nodes in the collection. Unlike interactively applying a modifier to a selection, the position and size of each modifier instance&apos;s gizmo corresponds to position and size of the node the modifier instance is applied to. To apply a modifier to a collection in the same manner that <strong>3ds Max</strong> applies modifiers, use the <code>modPanel.addModToSelection()</code> method described in <a href=\"./../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Modify-Panel.html\">Modify Panel</a>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This method does not copy any local data, so, for example, using it to copy a modifier on an existing node that has been manipulated to another node will not also copy the changes. See <code>addModifierWithLocalData()</code> below to handle this situation.</div>\n\
<p>Also see <a href=\"./../../../Modifier-MAXWrapper-and/Modifier-MAXWrapper-and-1.html\">Modifier and SpacewarpModifier</a> for more details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addModifierWithLocalData &lt;destnode&gt; &lt;dest modifier&gt; &lt;srcnode&gt; &lt;src modifier_or_index&gt; [before:index]</code></pre><p>This method copies the destination modifier to a destination node. The two modifiers must be of the same type. The local data of the source (if any) is cloned and attached to the destination modifier. If the source modifier has no local data, the destination modifier will contain whatever its default local data is (just as if it had been added by the <code>addModifier()</code> method).</p>\n\
<p>For example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addModifierWithLocalData destNode srcMmodifier srcNode srcMmodifier -- instance the modifier\n\
addModifierWithLocalData destNode (copy srcMmodifier) srcNode srcMmodifier -- copy the modifier\n\
addModifierWithLocalData destNode ((classof srcMmodifier)()) srcNode srcMmodifier -- new instance of the modifier&apos;s class</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteModifier &lt;node&gt; &lt;modifier_or_index&gt; -- mapped </code></pre><p>Lets you delete modifiers from the modifier stack. Takes either a modifier value that is present on the <code>&lt;node&gt;</code> stack, or an index specifying the index of the modifier to delete, counting from the top of the stack.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">collapseStack &lt;node&gt; -- mapped </code></pre><p>Collapses the modifiers out of a stack, leaving a resultant editable base object corresponding to the class of the node(s) on top of their stack. If there are no modifiers in the stack when this is called, no action is taken. If you want to force an object to be an editable mesh, use the function <code>convertToMesh()</code> .</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Common-Methods.html\">Node Common Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";