var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FB6EA335-79C3-437E-8DD8-68B56981F771\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Node Group-Related Methods</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">group &lt;node_collection&gt; [name:&lt;string&gt; ] [prefix:&lt;string&gt; ] [select:&lt;boolean&gt; ] </code></pre><p>Makes a group of the given nodes and returns the group node. You can optionally specify the group name or group name prefix. Not specifying a name or specifying a group name prefix ensures that the group name assigned is unique. Specifying <code>select:true</code> selects the group after it is made.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This function returns the group on success, and OK on failure. You can test the result using isvalidnode():</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">result = group $box*\n\
if (isvalidnode result) do ...</code></pre><blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   group $box* name:&quot;boxes&quot;--makes a group of all box*&apos;s named &quot;boxes&quot;.\n\
   group selection--groups current selection.\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ungroup &lt;group_head_node&gt; -- mapped </code></pre><p>Ungroups one level of a group node.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ungroup $group001--ungroups group $group001\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">explodeGroup &lt;group_head_node&gt; -- mapped </code></pre><p>Ungroups all levels in a group node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">attachNodesToGroup &lt;node_collection&gt; &lt;targetNode&gt; </code></pre><p>Attaches a node collection to an existing group. Nodes that are already members of a group cannot be attached to another group.</p>\n\
<p><code>&lt;node_collection&gt;</code> is an array of nodes to be attached to the group of targetNode.</p>\n\
<p><code>&lt;targetNode&gt;</code> must be a group member or a group head node and cannot be a member of <code>&lt;nodeCollection&gt;</code>.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">detachNodesFromGroup &lt;node_collection&gt; </code></pre><p>Detaches the specified nodes from the groups they belong to.</p>\n\
<p><code>&lt;node_collection&gt;</code> is an array of nodes that must be detached from their group heads. All members of <code>&lt;nodeCollection&gt;</code> must be open group members.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isGroupHead &lt;node&gt; </code></pre><p>Returns <code>true</code> if node is group head, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isOpenGroupHead &lt;node&gt; </code></pre><p>Returns <code>true</code> if <code>&lt;node&gt;</code> is the head of a group, and that group is open.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isGroupMember &lt;node&gt; </code></pre><p>Returns <code>true</code> if node is in a group, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isOpenGroupMember &lt;node&gt; </code></pre><p>Returns <code>true</code> if <code>&lt;node&gt;</code> is a member of a group, and that group is open.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setGroupOpen &lt;group_head_node&gt; &lt;boolean&gt; </code></pre><p>Sets whether the group is set as open or closed. If <code>&lt;boolean&gt;</code> is <code>true</code> , the group is set as open. If <code>&lt;boolean&gt;</code> is <code>false</code> the group is closed.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Use the following methods with care.\n\
You can place nodes in states that are impossible to accomplish using the 3ds Max user interface.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setGroupMember &lt;node&gt; &lt;boolean&gt; </code></pre><p>Sets whether the node is a group member or not. If <code>&lt;boolean&gt;</code> is <code>true</code> , node is set as a group member. If <code>&lt;boolean&gt;</code> is <code>false</code> and the node is a group member, the node is set as not being a group member and is unlinked from the group head.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>If you set a node to be a group member using this method, you need to set the node to be a child of a group head. Otherwise, the node name is not shown in the Select By Name dialog.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   setGroupHead $dummy001 true\n\
   append $group003.children $dummy001\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setGroupHead &lt;node&gt; &lt;boolean&gt; </code></pre><p>Sets whether the node is flagged as a group head or not. If <code>&lt;boolean&gt;</code> is <code>true</code> , node is flagged as a group head. If <code>&lt;boolean&gt;</code> is <code>false</code> , the node is set as not being a group head.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>If you flag a node as a group head using this method, the node&apos;s mesh will not be displayed in the viewports and its properties will not be shown in the Modify panel. If you flag a group head node as not being a group head using this method, you will not be able to Open or Explode the group using the Group menu command.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- create a set of spheres, group them, and test group head and member of group\n\
   mySpheres=for i = 1 to 5 collect sphere pos:(random [-100,-100,0] [100,100,0])\n\
   group MySpheres name:&quot;MyGroup&quot;\n\
   isGroupHead $MyGroup-- returns true\n\
   isGroupMember $sphere001-- returns true\n\
   -- check to see if group is open. Open group and test member of group\n\
   isOpenGroupHead $MyGroup-- returns false\n\
   setGroupOpen $MyGroup true\n\
   isOpenGroupMember $sphere001-- returns false\n\
   -- create a new set of spheres, append the group to the set, and then group them all\n\
   NewSpheres=for i= 1 to 3 collect sphere pos:(random [-100,-100,0] [100,100,0])\n\
   append NewSpheres $MyGroup\n\
   group NewSpheres name:&quot;BiggerGroup&quot;\n\
   -- open the group head, test member of group, and then close the groups.\n\
   setGroupOpen $BiggerGroup true\n\
   isOpenGroupMember $MyGroup\n\
   setGroupOpen $MyGroup false\n\
   setGroupOpen $BiggerGroup false\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Common-Methods.html\">Node Common Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";