var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C6CD8B3A-C5EF-4A83-8DB2-B5EDFEFDEEDD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Node Utility Methods</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isDeleted &lt;MAXWrapper_object&gt; </code></pre><p>This function yields the result <code>true</code> if the object has been deleted and <code>false</code> if it still exists in the scene. Using the function only makes sense in situations where references to <strong>3ds Max</strong> objects are held in variables or arrays, or passed as parameters and you want to determine whether the object has been deleted from the scene. Performing an operation on a deleted <strong>3ds Max</strong> object referenced in a variable or array otherwise generates an exception. Any kind of <strong>3ds Max</strong> object can be tested in this way such as, scene objects, modifiers, controllers, materials, and others.</p>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sel = selection as array-- snapshot selection\n\
--...\n\
-- &lt;one or more objects in the selection are deleted,\n\
-- by the user or other scripts&gt;\n\
--...\n\
for obj in sel\n\
where not isDeleted obj do\n\
move obj [10,0,0]\n\
</code></pre><p>When a node has been deleted,</p>\n\
<p><node> == undefined returns <strong>false</strong></node></p>\n\
<p><node> != undefined returns <strong>true</strong></node></p>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if mynode != undefined and not isdeleted myNode do...\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">distance &lt;node&gt; &lt;node&gt; </code></pre><p>Computes the distance between the pivot points of the two specified nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">intersectRay &lt;node&gt; &lt;ray&gt; </code></pre><p>Computes the closest intersection of the ray and the surface of the given node. Returns another Ray which defines the position of intersection in 3D space and the surface normal direction vector at that point. The intersection test respects the face normals of the node. If a face&apos;s normal points away from the ray&apos;s source, an intersection test is not performed on that face . <code>intersectRay()</code> works if the world state of the node (the state of the node at the top of the node&apos;s stack) has a surface such as, an editable mesh, a Standard, Extended, or Compound Primitive, a Patch, or a NURBS surface object. Splines and NURBS curves do not have a surface. Returns <code>undefined</code> if the ray does not intersect the node, the faces it does intersect point away from the ray&apos;s position, or the node does not have a surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">intersectRayEx &lt;node&gt; &lt;ray&gt; </code></pre><p>Takes a ray and computes the closest intersection to the surface of the given node. It returns an array with the following three elements.</p>\n\
<ol>\n\
<li><p>A Ray defining the position of intersection in 3-space and the surface normal direction vector at the point.</p>\n\
</li>\n\
<li><p>The index of the face the ray intersects with.</p>\n\
</li>\n\
<li><p>The barycentric coordinates of the face that was hit.</p>\n\
</li>\n\
</ol>\n\
<p>This method only works if the world state of the node is a mesh, either because it started as an editable mesh or it has modifiers applied that convert the node to a mesh. Unlike <code>intersectRay()</code> , this method will not work if the node is a Standard or Extended Primitive; the node&apos;s stack must evaluate to a mesh. The intersection test respects the face normals of the node. If a face&apos;s normal points away from the ray&apos;s source, an intersection test is not performed on that face. Returns <code>undefined</code> if the ray does not intersect the node, the faces it intersects point away from the ray&apos;s position, or the node is not a mesh.</p>\n\
<p><strong>WHAT ARE BARYCENTRIC COORDINATES?</strong></p>\n\
<p>Barycentric coordinates are the coordinates relative to the triangular face. The barycentric coordinates of a point <code>p</code> relative to a triangle describe that point as a weighted sum of the vertices of the triangle.</p>\n\
<p>If the barycentric coordinates are <code>b0</code> , <code>b1</code> , and <code>b2</code> , then</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p = b0*p0 + b1*p1 + b2*p2\n\
</code></pre><p>where, <code>p0</code> , <code>p1</code> , and <code>p2</code> are the positions of the vertices of the triangle.</p>\n\
<p>The Point3 returned by this method has the barycentric coordinate stored in its three component values. The coordinate is relative to the triangular face that was intersected.</p>\n\
<p>Barycentric coordinates can also be used to interpolate any quantity whose value is known at the vertices of the triangle.</p>\n\
<p>Following is an example of finding the UV coordinates at the intersection point:</p>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">s = geosphere material:(standardMaterial diffuseMap:(checker()))\n\
showTextureMap s.material s.material.diffuseMap on\n\
--\n\
-- Add a normal modifier to make the sphere into a mesh\n\
addModifier s (normalModifier())\n\
r = ray [-100,5,0] (s.center-[-100,5,0])\n\
--\n\
-- Get the Intersection details\n\
arr = (intersectRayEx s r)\n\
--\n\
-- Create a dummy at the point of intersection\n\
dummy pos:(arr[1]).pos\n\
--\n\
-- Get the texture face\n\
tf = getTVFace s arr[2]\n\
--\n\
-- Get the UVW verts of the face\n\
tv1 = getTVert s tf.x\n\
tv2 = getTVert s tf.y\n\
tv3 = getTVert s tf.z\n\
--\n\
-- Calculate the texture vertices at point of intersection from\n\
-- the barycentric coordinates\n\
tv = tv1*arr[3].x + tv2*arr[3].y + tv3*arr[3].z\n\
--\n\
-- Delete the modifier\n\
deleteModifier s 1\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">intersectRayScene &lt;ray&gt; </code></pre><p>Performs intersectRay on all nodes in the scene.</p>\n\
<p>Returns an array of results, one entry per node hit, where each entry is a 2 element array containing the node and the intersectRay result for that node.</p>\n\
<p>The intersection is performed for all geometry objects including hidden ones.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">(\n\
local r = ray [0,0,0] [1,0,0]--define a ray along X\n\
for i = 0 to 4 do--loop 5 times\n\
(\n\
 box pos:[i * 30, 0,0]--create a box\n\
)\n\
local hits = intersectRayScene r--intersect withscene\n\
print hits --Misses box 1 because ray originates inside the box\n\
)\n\
\n\
-- output\n\
\n\
--&gt; #($Box:Box02 @ [30.000000,0.000000,0.000000], (ray [17.5,0,0] [-1,0,0]))\n\
--&gt; #($Box:Box03 @ [60.000000,0.000000,0.000000], (ray [47.5,0,0] [-1,0,0]))\n\
--&gt; #($Box:Box04 @ [90.000000,0.000000,0.000000], (ray [77.5,0,0] [-1,0,0]))\n\
--&gt; #($Box:Box05 @ [120.000000,0.000000,0.000000], (ray [107.5,0,0] [-1,0,0]))\n\
--&gt; OK\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">intersects &lt;node&gt; &lt;node&gt; </code></pre><p>Returns <code>true</code> if the bounding boxes of the two specified nodes overlap, or <code>false</code> if they do not overlap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">printStack &lt;node&gt; </code></pre><p>Prints a representation of the current modifier stack for the given node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getLastMergedNodes()</code></pre><p>Returns an array of nodes loaded by the last merge operation, for example by <code>mergeMAXFile()</code>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Common-Methods.html\">Node Common Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";