var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EA706D2E-19A6-45E0-8A0D-B8200A47FECB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>AlembicCamera : Camera</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AlembicCamera : Camera {12d04f5b,493178fb}</code></pre><p>Exposes to MAXScript the Alembic Camera used by the Alembic Importer. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript.</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicCamera&gt;.source : filename</code></pre><p>Gets/sets the Alembic .ABC source file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicCamera&gt;.object : string</code></pre><p>Gets/sets the object path definition string within the Alembic .ABC file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicCamera&gt;.playbackType (Playback_Type) : integer</code></pre><p>Gets/sets the playback type drop-down list selection index.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Original Range</strong> (default) - use the start and end values stored in the .ABC file.</p>\n\
<p>1 - <strong>Custom Start</strong> - use the <code>.playbackStart</code> property to define a custom start frame to play back from.</p>\n\
<p>2 - <strong>Custom Range</strong> - use the <code>.playbackStart</code> and <code>.playbackEnd</code> properties to define a custom sub-range to play back.</p>\n\
<p>3 - <strong>Playback Graph</strong> - keyframe the <code>.playbackFrame</code> property to define the file&apos;s frame to be loaded on each scene frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicCamera&gt;.playbackStart : float</code></pre><p>Gets/sets the start frame of the playback range.</p>\n\
<p>Applicable when <code>.playbackType</code> is set to 1 or 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicCamera&gt;.playbackEnd : float</code></pre><p>Gets/sets the end frame of the playback range.</p>\n\
<p>Applicable when <code>.playbackType</code> is set to 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicCamera&gt;.playbackFrame : float</code></pre><p>Gets/sets the current playback frame.</p>\n\
<p>Keyframe this property to produce custom playback within the defined range, or set to a static value to load a single frame.</p>\n\
<p>Applicable when <code>.playbackType</code> is set to 3.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AlembicCamera&gt;.playbackStartGen     Integer    default: 3   --  integer\n\
&lt;AlembicCamera&gt;.playbackEndGen     Integer    default: 1   --  integer\n\
&lt;AlembicCamera&gt;.playbackTypeGen     Integer    default: 4   --  integer\n\
&lt;AlembicCamera&gt;.playbackFrameGen     Integer    default: 2   --  integer\n\
&lt;AlembicCamera&gt;.generationId     Integer    default: 0   --  integer</code></pre><p>Used by the versioning system for Alembic properties. For internal use only.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Camera-Node.html\">Camera : Node</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Import-and-Export-Filters/Alembic_Export-ExporterPlugin.html\">Alembic_Export : ExporterPlugin</a></li>\n\
          <li><a class=\"link\" href=\"../../../Import-and-Export-Filters/Alembic_Import-ImporterPlugin.html\">Alembic_Import : ImporterPlugin</a></li>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Node/Geometry-Alembic/AlembicContainer-GeometryClass.html\">AlembicContainer : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Node/Geometry-Alembic/AlembicObject-GeometryClass.html\">AlembicObject : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../../Animation-Controllers/Controller-Types/Matrix3-Controllers/AlembicXform-Matrix3Controller.html\">AlembicXform : Matrix3Controller</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";