var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8665035D-66F4-4167-8CD8-2DE824DE30B3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Boolean2 : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Boolean2 - superclass: GeometryClass; super-superclass:node - classID:#(1373327151, 475622170) </code></pre><p><img src=\"./images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\" alt></p>\n\
<p><strong>Constructor</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">boolObj.createBooleanObject &lt;operand_A&gt; [ &lt;operand_B&gt; &lt;add_method&gt; &lt;mat_method&gt; ]   </code></pre><p>Creates a Boolean2 object using node <code>&lt;operand_A&gt;</code> and an optional node <code>&lt;operand_B&gt;</code> .</p>\n\
<p><code>&lt;add_method&gt;</code> specifies how <code>&lt;operand_B&gt;</code> is to be used as follows:</p>\n\
<p>1 - instance, operand is an instance of the original node</p>\n\
<p>2 - reference, operand is a reference to original node</p>\n\
<p>3 - copy, operand is a copy of original node</p>\n\
<p>4 - move, original node should be deleted</p>\n\
<p><code>&lt;mat_method&gt;</code> specifies how the materials of the two operands are to be handled as follows:</p>\n\
<p>1 - combines materials without changing them or the ID&apos;s</p>\n\
<p>2 - matches ID&apos;s to materials, then combines materials</p>\n\
<p>3 - matches materials to ID&apos;s, then combines them</p>\n\
<p>4 - discards original material, uses new node&apos;s instead</p>\n\
<p>5 - discards new node&apos;s material, uses original</p>\n\
<p><strong>Properties</strong>:</p>\n\
<p>The following properties are available only after the boolean2 object has been created.</p>\n\
<p>The values shown for the properties are those for a boolean2 object created from two spheres.</p>\n\
<p>The operand transforms are in the local coordinate system of the boolean2 object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bool_obj&gt;.Sphere02 SubAnim default: SubAnim:Sphere02\n\
&lt;bool_obj&gt;.Operand_A_Transform SubAnim default: SubAnim:Operand_A_Transform\n\
&lt;bool_obj&gt;.Sphere01 SubAnim default: SubAnim:Sphere01\n\
&lt;bool_obj&gt;.Operand_B_Transform SubAnim default: SubAnim:Operand_B_Transform</code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">boolObj.setOperandB &lt;bool_obj&gt; &lt;operand_B&gt; &lt;add_method&gt; &lt;mat_method&gt; </code></pre><p>sets operand B. The values for <code>&lt;add_method&gt;</code> and <code>&lt;mat_method&gt;</code> are describe above.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">boolObj.getOperandSel &lt;bool_obj&gt; &lt;integer&gt; \n\
boolObj.setOperandSel &lt;bool_obj&gt; &lt;integer&gt; &lt;boolean&gt; </code></pre><p>these methods get and set whether operand_A and operand_B are selected in the Operands list. <code>&lt;integer&gt;</code> = 1 - operand_A, 2 - operand_B</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">boolObj.getBoolOp &lt;bool_obj&gt; \n\
boolObj.setBoolOp &lt;bool_obj&gt; &lt;integer&gt; </code></pre><p>these methods get and set the boolean Operation Type. Valid values are:</p>\n\
<p>1 - Union</p>\n\
<p>2 - Intersection</p>\n\
<p>3 - Subtraction (A-B)</p>\n\
<p>4 - Subtraction (B-A)</p>\n\
<p>5 - Cut</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">boolObj.getBoolCutType &lt;bool_obj&gt; \n\
boolObj.setBoolCutType &lt;bool_obj&gt; &lt;integer&gt; </code></pre><p>these methods get and set the boolean Cut Type. The value for this property only has an effect if the Operation Type is Cut. The Cut Types are:</p>\n\
<p>1 - Refine</p>\n\
<p>2 - Split</p>\n\
<p>3 - Remove Inside</p>\n\
<p>4 - Remove Outside</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">boolObj.getDisplayResult &lt;bool_obj&gt; \n\
boolObj.setDisplayResult &lt;bool_obj&gt; &lt;boolean&gt; </code></pre><p>these methods get and set whether Results or Operands are displayed. If <code>true</code> , Result is displayed. If <code>false</code> , Operands are displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">boolObj.getShowHiddenOps &lt;bool_obj&gt; \n\
boolObj.setShowHiddenOps &lt;bool_obj&gt; &lt;boolean&gt; </code></pre><p>these methods get and set whether Results + Hidden Operands are displayed. If <code>true</code> , Results + Hidden Operands are displayed. If <code>false</code> , the Results or Operands as specified using <code>boolObj.SetDisplayResult()</code> are displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">boolObj.getUpdateMode &lt;bool_obj&gt; \n\
boolObj.setUpdateMode &lt;bool_obj&gt; &lt;integer&gt; </code></pre><p>these methods get and set the Update mode as follows:</p>\n\
<p>1 - Always</p>\n\
<p>2 - When Rendering</p>\n\
<p>3 - Manually</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">boolObj.getOptimize &lt;bool_obj&gt; \n\
boolObj.setOptimize &lt;bool_obj&gt; &lt;boolean&gt; </code></pre><p>these methods get and set whether vertices are to be welded on the boolean result</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Compound-Objects.html\">Geometry - Compound Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";