var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-21FB2521-0684-4DDE-983B-AD30D6A43FB0\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Hedra : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Hedra - superclass: GeometryClass; super-superclass:node - classID: #(-233021917, 0) </code></pre><p><img src=\"./images/GUID-6627C068-3F4B-4657-B9DF-762A26371103-low.gif\" alt></p>\n\
<p><strong>Constructor</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hedra...   </code></pre><p><strong>Properties</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hedra&gt;.family Integer default: 0 </code></pre><p>Sets the type of polyhedron to create:</p>\n\
<p>0 - <strong>Tetra</strong> (Creates a tetrahedron)</p>\n\
<p>1 - <strong>Cube/Octa</strong> (Creates a cubic or octahedral polyhedron, depending on parameter settings.)</p>\n\
<p>2 - <strong>Dodec/Icos</strong> (Creates a dodecahedron or icosahedron, depending on parameter settings.)</p>\n\
<p>3 - <strong>Star1</strong> (Creates a star-like polyhedra.)</p>\n\
<p>4 - <strong>Star2</strong> (Creates a different star-like polyhedra.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hedra&gt;.p Float default: 0.0 -- animatable, alias: Q_Value \n\
&lt;Hedra&gt;.q Float default: 0.0 -- animatable, alias: P_Value </code></pre><p>Interrelated parameters that provide a two-way translation between the vertices and facets of a polyhedron. They share the following:</p>\n\
<ul>\n\
<li><p>Range of possible values is 0.0 through 1.0.</p>\n\
</li>\n\
<li><p>The combined total of the P and Q values can be equal to or less than 1.0.</p>\n\
</li>\n\
<li><p>Extremes occur if either P or Q is set to 1.0; the other is automatically set to 0.0.</p>\n\
</li>\n\
<li><p>Midpoint occurs when both P and Q are 0.</p>\n\
</li>\n\
</ul>\n\
<p>In the simplest terms, P and Q change the geometry back and forth between vertices and facets. At the extreme settings for P and Q, one parameter represents all vertices, the other represents all facets. Intermediate settings are transition points, with the midpoint an even balance between the two parameters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hedra&gt;.scalep Float default: 1.0 -- animatable </code></pre><p>Controls the axis of reflection for the p facet of a polyhedron.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hedra&gt;.scaleq Float default: 1.0 -- animatable </code></pre><p>Controls the axis of reflection for the q facet of a polyhedron.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hedra&gt;.scaler Float default: 1.0 -- animatable </code></pre><p>Controls the axis of reflection for the r facets of a polyhedron.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hedra&gt;.P_Scale Float default: 100.0 </code></pre><p>Controls the axis of reflection for the p facet of a polyhedron.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hedra&gt;.Q_Scale Float default: 100.0 </code></pre><p>Controls the axis of reflection for the q facet of a polyhedron.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hedra&gt;.R_Scale Float default: 100.0 </code></pre><p>Controls the axis of reflection for the r facets of a polyhedron.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hedra&gt;.vertices Integer default: 0 -- alias: vertType </code></pre><p>Sets the internal geometry of each facet of the polyhedron:</p>\n\
<p>0 - <strong>Basic</strong> (Facets are not subdivided beyond the minimum.)</p>\n\
<p>1 - <strong>Center</strong> (Each facet is subdivided by placing an additional vertex at its center, with edges from each center point to the facet corners.)</p>\n\
<p>2 - <strong>Center &amp; Sides</strong> (Each facet is subdivided by placing an additional vertex at its center, with edges from each center point to the facet corners, as well as to the center of each edge. Compared to Center, Center &amp; Sides doubles the number of faces in the polyhedron.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hedra&gt;.radius Float default: 25.0 -- animatable </code></pre><p>The radius of any polyhedron in current units.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hedra&gt;.mapCoords Boolean default: false </code></pre><p>When on, sets up required coordinates for applying mapped materials to the hedra.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The ( <code>scalep</code> , <code>scaleq</code> , <code>scaler</code> ) and ( <code>P_Scale</code> , <code>Q_Scale</code> , <code>R_Scale</code> ) sets of scale parameters are aliases of each other, except that the first set is stored as fractions, and the second set is stored as percentages. This second set of parameters are those shown in the command panels and in Track View.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>In order to access the <code>vertices</code> property for hedra, you need to access the property via the <code>baseobject</code> property of the node. This is because <code>vertices</code> is also a property name for all nodes, and conflicts with the hedra&apos;s <code>vertices</code> property.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   MyHedra.baseobject.vertices=1-- set Vertices option to Center</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Extended-Objects.html\">Geometry - Extended Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";