var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-39F4DE25-F8EC-44F2-BDA7-6396DF5C7AEF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Hose - superclass: GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Hose - superclass: GeometryClass; super-superclass:node - 27:0 - classID: #(1777953373, 593249034) </code></pre><p><img src=\"./images/GUID-6627C068-3F4B-4657-B9DF-762A26371103-low.gif\" alt></p>\n\
<p>The Hose object is a flexible object that you can connect between two objects, whereupon it reacts to their movement.</p>\n\
<p>It&apos;s similar to Spring, but does not have dynamics properties.</p>\n\
<p>You can specify the overall diameter and length of the hose, the number of turns, and the diameter and shape of its &quot;wire.&quot;</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Hose ... </code></pre><p><strong>Properties</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.End_Placement_Method Integer default: 1 -- integer </code></pre><p>Get/set the End Placement Method.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - Free Hose (default)</p>\n\
<p>2 - Bound To Object Pivots</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.Generate_Mapping_Coordinates Integer default: 0 -- integer </code></pre><p>When set to 1, sets up required coordinates for applying mapped materials to the hose. Default is off (0).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.Hose_Height Float default: 1.0 -- animatable; float </code></pre><p>Use this field/spinner to set the straight-line height or length of the hose when it is not bound. This is not the actual length of the hose. Available only when Free Hose is chosen.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.Segments_Along_Hose Integer default: 45 -- animatable; integer </code></pre><p>The total number of segments in the hose&apos;s length. Increase this setting for a smooth profile when the hose is curved.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.Smooth_Spring Integer default: 0 -- integer </code></pre><p>Choose one of the following smoothing options:</p>\n\
<p>0 - All: The entire hose is smoothed.</p>\n\
<p>1 - Sides: Smoothing is applied along the length of the hose but not around its circumference.</p>\n\
<p>2 - None: No smoothing is applied.</p>\n\
<p>3 - Segments: Smoothing is applied only on the inner section of the hose.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.Renderable_Hose Integer default: 1 -- integer </code></pre><p>When 1 (on ), the hose is rendered using the specified settings.</p>\n\
<p>When 0(off), the hose is not rendered.</p>\n\
<p>Default=1 (on).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.Hose_Cross_Section_Type Integer default: 0 -- integer </code></pre><p>Sets a circular cross-section.</p>\n\
<p>Lets you specify different settings for width and depth.</p>\n\
<p>Similar to Rectangular Hose, but rounds one side for a D-shaped cross-section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.Round_Hose_DiameterFloat default: 0.2 -- animatable; float </code></pre><p>The maximum width of the hose at the ends.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.Round_Hose_Sides Integer default: 8 -- animatable; integer </code></pre><p>The number of sides of the hose.</p>\n\
<p>A Sides setting of 3 gives a triangular cross-section; 4 gives a square cross-section; and 5 gives a pentagonal cross-section.</p>\n\
<p>Increase Sides for a circular cross-section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.Rectangular_Hose_Width Float default: 0.2 -- animatable; float </code></pre><p>The width of the hose.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.Rectangular_Hose_Depth Float default: 0.2 -- animatable; float </code></pre><p>The height of the hose.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.Rectangular_Hose_Fillet_Size Float default: 0.0 -- animatable; float </code></pre><p>The amount by which the cross-section corners are rounded.</p>\n\
<p>For this to be visible, Fillet Segs must be set to 1 or higher.</p>\n\
<p>Default=0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.Rectangular_Hose_Fillet_Segs Integer default: 0 -- animatable; integer </code></pre><p>The number of segments across each filleted corner.</p>\n\
<p>A Fillet Segs setting of 1 cuts the corner straight across; use higher settings for rounded corners.</p>\n\
<p>Default=0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.Rectangular_Hose_Section_Rotation Float default: 0.0 -- animatable; angle </code></pre><p>The orientation of the hose along its long axis.</p>\n\
<p>Default=0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.D_Section_Hose_Width Float default: 0.2 -- animatable; float </code></pre><p>The width of the hose.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.D_Section_Hose_Depth Float default: 0.2 -- animatable; float </code></pre><p>The height of the hose.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.D_Section_Hose_Fillet_SizeFloat default: 0.0 -- animatable; float </code></pre><p>The amount by which the two cross-section corners opposite the rounded side are rounded.</p>\n\
<p>For this to be visible, Fillet Segs must be set to 1 or higher.</p>\n\
<p>Default=0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.D_Section_Hose_Fillet_Segs Integer default: 0 -- animatable; integer </code></pre><p>The number of segments across each filleted corner.</p>\n\
<p>A Fillet Segs setting of 1 cuts the corner straight across; use higher settings for rounded corners.</p>\n\
<p>Default=0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.D_Section_Hose_Round_Segs Integer default: 8 -- animatable; integer </code></pre><p>The number of segments on the rounded side. Increase for a smoother profile.</p>\n\
<p>Default=4.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.D_Section_Hose_Section_Rotation Float default: 0.0 -- animatable; angle </code></pre><p>The orientation of the hose along its long axis.</p>\n\
<p>Default=0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.Flex_Section_Enabled Integer default: 1 -- integer </code></pre><p>When on, lets you set the following four parameters for the central, flexible section of the hose.</p>\n\
<p>When off, the hose&apos;s diameter is uniform throughout its length.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.Flex_Section_Start Float default: 10.0 -- animatable; percentage </code></pre><p>The percentage of the hose length from the starting extremity of the hose at which the flex section begins.</p>\n\
<p>By default, the starting end of the hose is the end at which the object pivot appears.</p>\n\
<p>Default=10%.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.Flex_Section_Stop Float default: 90.0 -- animatable; percentage </code></pre><p>The percentage of the hose length from the end extremity of the hose at which the flex section begins.</p>\n\
<p>By default, the end extremity of the hose is opposite the end at which the object pivot appears.</p>\n\
<p>Default=90%.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.Flex_Cycle_Count Integer default: 5 -- animatable; integer </code></pre><p>The number of corrugations in the flex section.</p>\n\
<p>The number of visible cycles is limited by the number of segments; if Segments isn&apos;t high enough to support the number of cycles, then not all cycles will appear.</p>\n\
<div class=\"note tip:\"><span class=\"tiptitle\">Tip:</span> To set the appropriate number of segments, first set Cycles, and then increase Segments until the number of visible cycles stops changing.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.Flex_Section_Diameter Float default: -20.0 -- animatable; percentage </code></pre><p>The relative width of the &quot;outside&quot; parts of the cycles.</p>\n\
<p>At negative settings, these are smaller than the overall hose diameter.</p>\n\
<p>At positive settings, these are larger than the overall hose diameter.</p>\n\
<p>Default=-20%. Range=-50% to 500%.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.Top_Tension Float default: 100.0 -- animatable; float </code></pre><p>Determines the arc of the hose near the Top object.</p>\n\
<p>Lower the tension to decrease the arc, and raise the tension to increase the arc.</p>\n\
<p>Default=100.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Hose&gt;.Bottom_Tension Float default: 100.0 -- animatable; float </code></pre><p>Determines the arc of the hose near the Bottom object.</p>\n\
<p>Lower the tension to decrease the arc, and raise the tension to increase the arc.</p>\n\
<p>Default=100.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Extended-Objects.html\">Geometry - Extended Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";