var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-15203C86-5F9F-484E-A89D-7EDF2A20F9DB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MaxLiquid : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MaxLiquid - superclass: GeometryClass; super-superclass:node - 28:0 - classID: #(712128612L, 2137014116L)</code></pre><p>Available in <strong>3ds Max 2018.3 and higher</strong>. The liquid class contains the set up parameters for a fluid simulation, including references to other objects, such as colliders and kill planes, that interact with the liquid in the simulation.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MaxLiquid...</code></pre><h3 id=\"ecample\">Ecample</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- Max fluid scene set up\n\
resetmaxFile #noPrompt\n\
p = plane()\n\
\n\
b = box width:70 length:70 height:20\n\
convertto b editable_poly\n\
\n\
subobjectlevel = 4\n\
b.SetSelection #Face #{2}\n\
b.delete #face\n\
addmodifier b (shell outerAmount:3.0)\n\
\n\
liquid = maxLiquid pos:[0,0,50]\n\
-- don&apos;t do this:\n\
-- append liquid.collider_Meshes b\n\
-- append liquid.killplanes p\n\
liquid.AddCollider b\n\
liquid.AddKillPlane p\n\
\n\
-- create a new solver for the liquid and set the Base Voxel size\n\
liquid.CreateSolver 1\n\
solver = liquid.solvers[1]\n\
solver.baseVoxelSize = 4.0\n\
\n\
-- Turn on override for the first collider:\n\
solver.colliderConversionOverrideTab[1] = true\n\
-- Set thickness for the collider\n\
solver.colliderConversionOverrideThicknessTab[1] = 5.0\n\
`\n\
\n\
\n\
\n\
**Properties:**\n\
</code></pre><p><maxliquid>.accelerator_Meshes     ArrayParameter    default: #()   --  node array; SubAnim</maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Reserved for future use.\n\
</code></pre><p><maxliquid>.cacheOutputFilePattern     String    default: &quot;<projectname>\\SimCache&lt;ObjectName&gt;&lt;SolverName&gt;&quot;   --  string</projectname></maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Reserved for future use.\n\
</code></pre><p><maxliquid>.collider_Meshes     ArrayParameter    default: #()   --  node array; SubAnim</maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
An array of scene nodes that act as colliders with the liquid in the simulation.\n\
\n\
**Note**: this array should not be directly manipulated, it is for reading only. To work with collider meshes, use the `Add/Get/Delete` methods for Colliders (see below).\n\
</code></pre><p><maxliquid>.emitter_Meshes     ArrayParameter    default: #()   --  node array; SubAnim</maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
An array of scene nodes that act as liquid emitters. This array is only used when the emitter icon type is &quot;custom&quot;.\n\
\n\
**Note**: this array should not be directly manipulated, it is for reading only. To work with emitter meshes, use the `Add/Get/Delete` methods for Emitters (see below).\n\
</code></pre><p><maxliquid>.emitterType     Integer    default: 0   --  integer</maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
The type of emitter icon, where:\n\
\n\
- 0 = sphere\n\
- 1 = box\n\
- 2 = plane\n\
- 3 = custom &#x2013; the nodes in the **emitter_Meshes** array are used as emitters.\n\
</code></pre><p><maxliquid>.emitterHeight     Float    default: 5.0   --  animatable; float\n\
<maxliquid>.emitterLength     Float    default: 5.0   --  animatable; float\n\
<maxliquid>.emitterWidth     Float    default: 5.0   --  animatable; float</maxliquid></maxliquid></maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
The height, length, and width of the emitter, when it is a box. When it is a sphere, the **emitterLength** is the radius. When the emitter is a plane, only the width and length parameters are used.\n\
</code></pre><p><maxliquid>.exportPRTFiles     BooleanClass    default: false   --  Boolean</maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Indicates whether to export voxels as PRT files when running the solve.\n\
</code></pre><p><maxliquid>.field_Meshes     ArrayParameter    default: #()   --  node array; SubAnim</maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
An array of scene nodes that act as motion fields.\n\
\n\
**Note**: this array should not be directly manipulated, it is for reading only. To work with motion fields, use the `Add/Get/Delete` methods for motion fields (see below).\n\
</code></pre><p><maxliquid>.foammask_Meshes     ArrayParameter    default: #()   --  node array; SubAnim</maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
An array of scene nodes that act as foam masks.\n\
\n\
**Note**: this array should not be directly manipulated, it is for reading only. To work with foam masks, use the `Add/Get/Delete` methods for Foam Masks (see below).\n\
</code></pre><p><maxliquid>.guide_Meshes     ArrayParameter    default: #()   --  node array; SubAnim</maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
An array of scene nodes that act as guide meshes.\n\
\n\
**Note**: this array should not be directly manipulated, it is for reading only. To work with guide meshes, use the `Add/Get/Delete` methods for Guide Meshes (see below).\n\
</code></pre><p><maxliquid>.guideEmitter_Meshes     ArrayParameter    default: #()   --  node array; SubAnim</maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
An array of scene nodes that act as Guide Emitters.\n\
\n\
**Note**: this array should not be directly manipulated, it is for reading only. To work with guide emitter meshes, use the `Add/Get/Delete` methods for Guide Emitters (see below).\n\
</code></pre><p><maxliquid>.iconSize     Float    default: 10.0   --  float</maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
The size of the liquid icon in the viewport. Note that this is always in inches, regardless of the scene units.\n\
</code></pre><p><maxliquid>.killplanes     ArrayParameter    default: #()   --  node array; SubAnim</maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
An array of scene nodes that act as kill planes in the simulation.\n\
\n\
**Note**: this array should not be directly manipulated, it is for reading only. To work with kill planes, use the `Add/Get/Delete` methods for Kill Planes (see below).\n\
</code></pre><p><maxliquid>.killVolumeNode     UndefinedClass    default: undefined   --  node</maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Reserved for future use\n\
</code></pre><p><maxliquid>.lastSelectedSolverIndex     Integer    default: 1   --  integer</maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Contains the index in the solvers array of the last solve selected by the user.\n\
</code></pre><p><maxliquid>.maxScratchCacheRAM     Float    default: 1.0   --  float</maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Reserved for future use.\n\
</code></pre><p><maxliquid>.renderSolveIndex     Integer    default: 1   --  integer</maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Contains the index of the solver in the solver list which was last rendered.\n\
</code></pre><p><maxliquid>.renderSolveLock     BooleanClass    default: false   --  Boolean</maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Gets or sets the state of the render lock button, where true indicates that the selected solve is locked.\n\
</code></pre><p><maxliquid>.rootSimDirectory     String    default: &quot;c:\\MaxFluidSim&quot;   --  string</maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Contains the root directory in which cache files are saved.\n\
</code></pre><p><maxliquid>.scratchCache     String    default: &quot;c:\\MaxFluidScratchCache&quot;   --  string</maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Reserved for future use.\n\
</code></pre><p><maxliquid>.showVoxelGrid     BooleanClass    default: true   --  Boolean</maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Indicates whether to show a visual representation of the voxel size in the viewport.\n\
</code></pre><p><maxliquid>.solvers     ArrayParameter    default: #()   --  maxObject array; SubAnim</maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
An array of solver objects for the liquid.\n\
</code></pre><p><maxliquid>.useProjectFolders     BooleanClass    default: false   --  Boolean</maxliquid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Indicates whether to use the Max project folder instead of the **rootSimDirectory** to store solver cache files.\n\
\n\
## MaxLiquid Interfaces\n\
\n\
**Interface: MaxFluidLiquidObject**\n\
\n\
**Properties:**\n\
\n\
**Methods:**\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CreateSolver &lt;&amp;index&gt;solverIndex\n\
   solverIndex is Out parameter</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Creates a new solver in the liquid&#x2019;s solvers array, returning the index of the newly created solve.\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;CloneSolver &lt;index&gt;index &lt;&amp;string&gt;cloneName &lt;&amp;index&gt;cloneIndex\n\
   cloneName is Out parameter\n\
   cloneIndex is Out parameter</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Creates a new, cloned copy of the solver specified by the index, returning the new name and index.\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;DeleteSolver &lt;index&gt;index</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Deletes the solver specified by the index.\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;NumberSolvers()</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Returns the number of solvers in the solvers array.\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;AddEmitter &lt;node&gt;node\n\
&lt;integer&gt;GetNumberEmitters()\n\
&lt;node&gt;GetEmitter &lt;index&gt;index\n\
&lt;boolean&gt;DeleteEmitter &lt;index&gt;index</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Manipulates the collection of emitters held in the liquid&apos;s `emitter_Meshes` array.\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;AddCollider &lt;node&gt;node\n\
&lt;integer&gt;GetNumberColliders()\n\
&lt;node&gt;GetCollider &lt;index&gt;index\n\
&lt;boolean&gt;DeleteCollider &lt;index&gt;index</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Manipulates the collection of colliders held in the liquid&apos;s `collider_Meshes` array.\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;AddKillPlane &lt;node&gt;node\n\
&lt;integer&gt;GetNumberKillPlanes()\n\
&lt;node&gt;GetKillPlane &lt;index&gt;index\n\
&lt;boolean&gt;DeleteKillPlane &lt;index&gt;index</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Manipulates the collection of kill planes held in the liquid&apos;s `killplanes` array.\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;AddFoamMask &lt;node&gt;node\n\
&lt;integer&gt;GetNumberFoamMasks()\n\
&lt;node&gt;GetFoamMask &lt;index&gt;index\n\
&lt;boolean&gt;DeleteFoamMask &lt;index&gt;index</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Manipulates the collection of foam masks held in the liquid&apos;s `foammask_Meshes` array.\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;AddGuideEmitter &lt;node&gt;node\n\
&lt;integer&gt;GetNumberGuideEmitters()\n\
&lt;node&gt;GetGuideEmitter &lt;index&gt;index\n\
&lt;boolean&gt;DeleteGuideEmitter &lt;index&gt;index</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Manipulates the collection of guide emitters held in the liquid&apos;s `guideEmitter_Meshes` array.\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;AddMotionField &lt;node&gt;node\n\
&lt;integer&gt;GetNumberMotionFields()\n\
&lt;node&gt;GetMotionField &lt;index&gt;index\n\
&lt;boolean&gt;DeleteMotionField &lt;index&gt;index</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
Manipulates the collection of motion fields held in the liquid&apos;s `field_Meshes` array.\n\
\n\
**Actions:**</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Fluids.html\">Geometry - Fluids</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";