var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9635FDC9-83AD-4747-994B-1460EEC24038\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Particle System Common Properties, Operators, and Methods</h1></div><p><img src=\"./images/GUID-CBA66C53-542D-4D90-8240-8B2DAD4BF9B0-low.gif\" alt></p>\n\
<p>Five <code>&lt;node&gt;</code> functions work with the legacy particle system objects in <strong>3ds Max</strong> to allow you to get or set individual particle information. These functions return or set information about particles at the time set by the current &apos;at time&apos;context clause, or the current time slider if there is not time context active.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The <strong>Particle Flow</strong> system in <strong>3ds Max 6 and higher</strong> provides extensive MAXScript access.</p>\n\
<p>For Particle Flow-relared MAXScript methods, see <a href=\"./../../../../MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-and-MAXScript.html\">Particle Flow and MAXScript</a></p>\n\
<p>A quick note about how the legacy particle systems in <strong>3ds Max</strong> work will help you use these functions.</p>\n\
<p>The particle system keeps an array of particles big enough to hold all those alive at any one time.</p>\n\
<p>Each particle is identified by an index in this array. When one dies, it may be &apos;born&apos; again sometime later and appear to be a different particle.</p>\n\
<p>Over the course of an animation, the same &apos;particle&apos; may live and die many times as its indexed slot in the array gets re-used.</p>\n\
<p>Some of the functions described below use this index to identify particles, so you can have a situation where the &apos;same&apos; particle (by index) becomes a new particle in the animation as its slot gets re-used.</p>\n\
<p>The way you can check this is by looking at the &apos;age&apos; of the particle - if it cycles around to zero (or a lower number depending on time resolution), you know it has become a &apos;new&apos; particle.</p>\n\
<p>If a particle is actually not alive at a given time, for example at the beginning of an animation or when you set up an &apos;explosive&apos; emission, the functions below that get position, velocity and age return <code>undefined</code> .</p>\n\
<p>This tells you that the particle is not currently alive.</p>\n\
<p><strong>These arethe particle system functions:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">particleCount &lt;particlesys_node&gt;      </code></pre><p>Returns the number of current particle slots in the system as an integer. This value is the number of particles that are to be drawn to the viewports unless the scene is currently being rendered. If the scene is being rendered, the number returned can be either the render count or the viewport count, depending on whether the particle system has been evaluated for rendering or not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">particleSize &lt;particlesys_node&gt;   </code></pre><p>Returns the size of the particles in the system as float. This is set in the particle system parameter rollout - there is one size for all particles in a particle system. If you are using these functions to attach objects to particles, you can of course, make the individual objects any size you want.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">particlePos &lt;particlesys_node&gt; &lt;particle_index_integer&gt; </code></pre><p>Returns the position coordinate of the indexed particle at the current time as a point3. Indexes are 1-based. The coordinate returned is in the current working coordinate system. Returns <code>undefined</code> if the particle is not alive at the current time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">particleVelocity &lt;particlesys_node&gt; &lt;particle_index_integer&gt; </code></pre><p>Returns the current velocity vector for the indexed particle as a point3. The vector returned is rotated into the current working coordinate system. Returns <code>undefined</code> if the particle is not alive at the current time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">particleAge &lt;particlesys_node&gt; &lt;particle_index_integer&gt; </code></pre><p>Returns the current age of the indexed particle as a time value, relative to when it was last born. Remember, particles get recycled and you can detect this by looking at the age value cycling round. Returns <code>undefined</code> if the particle is not alive at the current time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">particleLife &lt;particlesys_node&gt; &lt;particle_index_integer&gt; </code></pre><p>Returns the life of the particle -- the length of time the particle will be &apos;alive&apos;. Returns undefined if the particle is not alive at the current time.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the <a href=\"./../../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">particleCenter &lt;particlesys_node&gt; &lt;particle_index_integer&gt; </code></pre><p>Returns a value indicating where the particle geometry (mesh) lies in relation to the particle position. Returns undefined if the particle is not alive at the current time.</p>\n\
<p>This is used by Particle Motion Blur for example. It gets the point in world space of the point it is shading, the size of the particle from ParticleSize(), and the position of the mesh from ParticleCenter(). Given this information, it can know where the point is, and it makes the head and the tail more transparent.</p>\n\
<p>Return Values:</p>\n\
<p>PARTCENTER_HEAD - The particle geometry lies behind the particle position.</p>\n\
<p>PARTCENTER_CENTER - The particle geometry is centered around particle position.</p>\n\
<p>PARTCENTER_TAIL - The particle geometry lies in front of the particle position.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the <a href=\"./../../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">particleSize2 &lt;particlesys_node&gt; &lt;particle_index_integer&gt; </code></pre><p>Returns the world space size of the specified particle. Returns undefined if the particle is not alive at the current time.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the <a href=\"./../../../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a> .</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Particle-Systems.html\">Geometry - Particle Systems</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";