var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-000C664A-A6F4-44A9-A2A1-F96CEB8F6E0B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Flow : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Flow - superclass: GeometryClass; super-superclass:node - 9:0 - classID: #(164197351, 608853532)</code></pre><p>Exposes the <strong>Path Flow</strong> object to MAXScript. It is part of the <strong>Populate</strong> toolset.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Flow... PathFlow...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flow&gt;.showLanes     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the display of Lanes in the Flow.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flow&gt;.width     Float    default: 275.591   --  float</code></pre><p>Get/set the width of the Flow in system units.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flow&gt;.laneWidth     Float    default: 51.1811   --  float</code></pre><p>Get/set the width of the Lanes in system units.</p>\n\
<h2 id=\"people-group-of-controls\">People group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flow&gt;.density     Float    default: 0.25   --  float</code></pre><p>Get/set the value of the Density slider.</p>\n\
<p>Slider values are between 0.0 and 1.0.</p>\n\
<p>Values higher than 1.0 can be specified using MAXScript.</p>\n\
<p>Default is 0.25.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flow&gt;.gender     Float    default: 0.5   --  float</code></pre><p>Get/set the value of the Gender slider.</p>\n\
<p>Default is 0.5, which means 50% Male and 50% Female.</p>\n\
<p>Possible value are between 0.0 (All Male) and 1.0 (All Female).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flow&gt;.direction     Name    default: #HugLeft   --  enum</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flow&gt;.directionIndex     Integer    default: 2   --  integer</code></pre><p>Get/set the value of the Direction slider as Enum Name or Integer value.</p>\n\
<p>The <code>.direction</code> property is exposed by the PathFlow Interface - see further on this page.</p>\n\
<p>Possible values are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>.directionIndex</th>\n\
<th>.direction Enum name</th>\n\
<th>UI Slider Value</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>1</td>\n\
<td><code>#forward</code></td>\n\
<td>Direction: Forward</td>\n\
</tr>\n\
<tr>\n\
<td>2 (default)</td>\n\
<td><code>#hugLeft</code></td>\n\
<td>Direction: Hug Left</td>\n\
</tr>\n\
<tr>\n\
<td>3</td>\n\
<td><code>#weaveLeft</code></td>\n\
<td>Direction: Weave Left</td>\n\
</tr>\n\
<tr>\n\
<td>4</td>\n\
<td><code>#weaveRight</code></td>\n\
<td>Direction: Weave Right</td>\n\
</tr>\n\
<tr>\n\
<td>5</td>\n\
<td><code>#hugRight</code></td>\n\
<td>Direction: Hug Right</td>\n\
</tr>\n\
<tr>\n\
<td>6</td>\n\
<td><code>#backward</code></td>\n\
<td>Direction: Backward</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flow&gt;.positionSample     Integer    default: 1   --  integer</code></pre><p>Get/set the Positions Samples value. Default is 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flow&gt;.genderSample     Integer    default: 1   --  integer</code></pre><p>Get/set the Gender Samples value. Default is 1.</p>\n\
<h2 id=\"flow-interfaces-\">Flow interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: PathFlow</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.direction : enum : Read|Write \n\
    direction enums: {#Forward|#HugLeft|#WeaveLeft|#WeaveRight|#HugRight|#Backward}</code></pre><p>Get/set the value of the Direction slider as Enum Name.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Flow&gt;.NumPoints()</code></pre><p>Returns the number of points in the Flow.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3 by value&gt;&lt;Flow&gt;.GetPoint &lt;integer&gt;index</code></pre><p>Returns the position of the indexed Flow point.</p>\n\
<p>The index is 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Flow&gt;.AddPoint &lt;point3&gt;point</code></pre><p>Adds a new point with the given position to the end of the Flow .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Flow&gt;.InsertPoint &lt;integer&gt;index &lt;point3&gt;point</code></pre><p>Inserts a new point at the indexed position within the Flow specified by the first argument and with position given by the second argument.</p>\n\
<p>The index is 1-based.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Flow&gt;.SetPoint &lt;integer&gt;index &lt;point3&gt;point</code></pre><p>Sets the position of the indexed point specified by the first argument to the coordinates specified by the second argument.</p>\n\
<p>The index is 1-based.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Flow&gt;.DeletePoint &lt;integer&gt;index</code></pre><p>Deletes the indexed point from the Flow.</p>\n\
<p>The index is 1-based.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Flow&gt;.CreateRamp &lt;integer&gt;index</code></pre><p>Creates a ramp at the specified indexed point.</p>\n\
<p>The index is 1-based.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Flow&gt;.DeleteRamp &lt;integer&gt;index</code></pre><p>Deletes the ramp at the specified indexed point.</p>\n\
<p>The index is 1-based.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Flow&gt;.GetCreasePercent &lt;integer&gt;index</code></pre><p>Returns the crease value at the indexed ramp point.</p>\n\
<p>The index is 1-based.</p>\n\
<p>The &quot;percent&quot; value is actually expressed as a Float in the range from 0.0 to 1.0.</p>\n\
<p>A value of 0.0 denotes no ramp.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Flow&gt;.SetCreasePercent &lt;integer&gt;index &lt;float&gt;percent</code></pre><p>Sets the crease value at the indexed point to the specified floating point value.</p>\n\
<p>The index is 1-based.</p>\n\
<p>The &quot;percent&quot; value is actually expressed as a Float in the range from 0.0 to 1.0.</p>\n\
<p>Returns True on success if the indexed point was part of a ramp</p>\n\
<p>Returns False on failure, for example if attempting to set a ramp point to a crease of 0.0, or a non-ramp point to a crease greater than 0.0.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theFlow = Flow() --Create a Flow object\n\
   --&gt; $Flow:Flow001 @ [0.000000,0.000000,0.000000]\n\
   theFlow.AddPoint [0,0,0] --Add some points\n\
   --&gt; true\n\
   theFlow.AddPoint [1000,0,0] \n\
   --&gt; true\n\
   theFlow.AddPoint [2000,1000,0] \n\
   --&gt; true\n\
   theFlow.AddPoint [2000,2000,0] \n\
   --&gt; true\n\
   theFlow.NumPoints() --Check the number of points\n\
   --&gt; 4\n\
   theFlow.GetPoint 1 --Get the first points\n\
   --&gt; [0, 0, 0]\n\
   theFlow.InsertPoint 3 [1500,1000,0] --Insert a new point between the second and third points\n\
   --&gt; true\n\
   theFlow.DeletePoint 3 --Delete the new third point\n\
   --&gt; true\n\
   theFlow.InsertPoint 3 [1700,800,0] --Insert a different new point between the second and third points\n\
   --&gt; true\n\
   classof theFlow  -- Evaluate object state, calls ComputeSides \n\
   --&gt; true\n\
   theFlow.CreateRamp 3 --Create a Ramp at the third point - this will introduce new points 4 and 5\n\
   --&gt; true\n\
   theFlow.SetPoint 3 ((theFlow.getPoint 3) + [0,0,100]) --Lift the third point by 100 units along +Z\n\
   --&gt; true\n\
\n\
   --Print the Crease values:\n\
   for i = 1 to theFlow.NumPoints() do format &quot;%: %\\n&quot; i (theFlow.GetCreasePercent i)\n\
   --&gt; 1: 0.0\n\
   --&gt; 2: 0.0\n\
   --&gt; 3: 0.0\n\
   --&gt; 4: 0.33\n\
   --&gt; 5: 0.66\n\
   --&gt; 6: 0.0\n\
   --&gt; 7: 0.0\n\
   --&gt; OK\n\
\n\
   theFlow.SetCreasePercent 1 0.25 --Cannot set a non-ramp point to a non-zero crease value\n\
   --&gt; false\n\
   theFlow.SetCreasePercent 4 0.0  --cannot set a ramp point to a zero value\n\
   --&gt; false\n\
\n\
   theFlow.SetCreasePercent 4 0.25 --can set ramp points to non-zero values\n\
   --&gt; true\n\
   theFlow.SetCreasePercent 5 0.75 \n\
   --&gt; true\n\
\n\
   theFlow.DeleteRamp 3 --Cannot delete the Ramp at the 3rd point\n\
   --&gt; false\n\
   theFlow.DeleteRamp 4 --But it is ok to delete it at the 4th\n\
   --&gt; true\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Populate.html\">Geometry - Populate</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pop.html\">Interface: pop</a></li>\n\
          <li><a class=\"link\" href=\"IdleAreaObj-GeometryClass.html\">IdleAreaObj : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"PopCharacter-ReferenceTarget.html\">PopCharacter : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Animation-Controllers/Controller-Types/Float-Controllers/Populate-FloatController.html\">Populate : FloatController</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";