var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-37C7A28A-989A-4E2D-BA97-80A5E064BA94\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>IdleAreaObj : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IdleAreaObj - superclass: GeometryClass; super-superclass:node - 15:1 - classID: #(685327, 452283)</code></pre><p>Exposes the <strong>Idle Area</strong> object to MAXScript. It is part of the <strong>Populate</strong> toolset.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IdleAreaObj...</code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"people-group-of-controls\">People group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IdleAreaObj&gt;.density     Float    default: 0.5   --  float</code></pre><p>Get/set the value of the <strong>&quot;Density&quot;</strong> slider controlling the amount of people in the idle area.</p>\n\
<p>A value of 0.0 will not create an empty idle area, but either one character or one group with two or three characters depending on the grouping and pairing properties documented below.</p>\n\
<p>Note that the User Interface control only allows values between 0.0 and 1.0, but the property can be set to higher values using MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IdleAreaObj&gt;.groups     Float    default: 0.5   --  float</code></pre><p>Get/set the value of the <strong>&quot;Singles or Groups&quot;</strong> slider controlling the creation of groups vs. individual characters.</p>\n\
<p>A value of 0.0 will produce only singles.</p>\n\
<p>A value of 0.5 will produce approximately equal proportions of singles and groups.</p>\n\
<p>A value of 1.0 will cause the whole population to be spread in groups of twos or threes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IdleAreaObj&gt;.pair     Float    default: 0.5   --  float</code></pre><p>Get/set the value of the <strong>&quot;Group 3s or Group 2s&quot;</strong> slider controlling the number of people in groups.</p>\n\
<p>A value of 0.0 will produce only groups of threes.</p>\n\
<p>A value of 0.5 will produce approximately equal proportions of threes and twos.</p>\n\
<p>A value of 1.0 will produce only pairs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IdleAreaObj&gt;.gender     Float    default: 0.5   --  float</code></pre><p>Get/set the value of the <strong>&quot;Males or Females&quot;</strong> slider controlling the gender balance of the idle area.</p>\n\
<p>A value of 0.0 produces only male population.</p>\n\
<p>A value of 0.5 produces equal parts male and female population.</p>\n\
<p>A value of 1.0 produces only female population.</p>\n\
<h2 id=\"singles-orientation-group-of-controls\">Singles Orientation group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IdleAreaObj&gt;.orient     Float    default: 0.0   --  float</code></pre><p>Get/set the value of the <strong>&quot;Orientation&quot;</strong> slider which controls the orientation offset of all single characters.</p>\n\
<p>Characters in groups will always be oriented according to the group&apos;s center.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IdleAreaObj&gt;.orientspread     Float    default: 360.0   --  float</code></pre><p>Get/set the value of the <strong>&quot;Spread&quot;</strong> slider which controls the randomization range of the orientation angle.</p>\n\
<p>When the value is 0.0, all characters will be oriented in the same direction and the <code>.orient</code> property can be used to specify the angle relative to the local X axis.</p>\n\
<p>When the value is 360.0, each character will have a different random orientation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IdleAreaObj&gt;.baseobject.lookat     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Face&quot;</strong> checkbox.</p>\n\
<p>When set to True, the population will look at the object specified by the <code>.lookatobj</code> property.</p>\n\
<p>When set to False, the population will not look at anything specific.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The property <code>.lookat</code> already exists as a general node property. It expects a node target for a LookAt controller. Thus it is necessary to explicitly specify the <code>.baseobject</code> of the IdleAreaObj.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IdleAreaObj&gt;.lookatobj     UndefinedClass    default: undefined   --  node</code></pre><p>Get/set the scene object to population will look at when the <code>.lookat</code> property is set to True.</p>\n\
<h2 id=\"samples-group-of-controls\">Samples group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IdleAreaObj&gt;.randseedIndiv     Integer    default: 1   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Positions&quot;</strong> spinner controlling the random seed for the characters&apos; positioning.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IdleAreaObj&gt;.randseedGroup     Integer    default: 1   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Singles&quot;</strong> spinner controlling the random seed for grouping generation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IdleAreaObj&gt;.randseedRot     Integer    default: 1   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Orientation&quot;</strong> spinner controlling the random seed for orientation generation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IdleAreaObj&gt;.randseedGen     Integer    default: 1   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Gender&quot;</strong> spinner controlling the random seed for gender generation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IdleAreaObj&gt;.randseedMtn     Integer    default: 1   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Motion&quot;</strong> spinner controlling the random seed for motion generation.</p>\n\
<h2 id=\"other-properties\">Other Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IdleAreaObj&gt;.id     Integer    default: 1   --  integer</code></pre><p>Get/set the ID of the Idle Area.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IdleAreaObj&gt;.Editable_Poly     Editable_Poly    default: Editable Poly   --  SubAnim</code></pre><p>Get the Editable_Poly mesh of the Idle Area object.</p>\n\
<p>The Editable_Poly mesh can be modified in place, for example you can change the vertex positions as needed using <code>polyOp.setVert()</code> , create new vertices and polygons to produce complex shapes, and so on. See the <a href=\"./../../../../Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods.html\">Editable_Poly Methods</a> topic for details.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theIdleArea = IdleAreaObj() --Create a new empty Idle Area object\n\
   ep = theIdleArea.Editable_Poly --Assign the Editable_Poly property to a shorter user variable --Create a custom-shaped Idle Area by setting a few vertices:\n\
   polyOp.createVert ep [-300,-300,0]\n\
   polyOp.createVert ep [300,-300,0]\n\
   polyOp.createVert ep [200,300,0]\n\
   polyOp.createVert ep [-200,300,0]\n\
   polyOp.createVert ep [-400,0,0]\n\
   polyOp.createPolygon ep #(1,2,3,4,5) --Create a polygon from the 5 vertices\n\
   select theIdleArea --Select the new Idle Area object\n\
\n\
   theIdleArea.density = 1.0 --Increase the density\n\
   theIdleArea.groups = 0.3 --Reduce the number of groups\n\
   theIdleArea.pair = 0.8 --When grouped, prefer threes\n\
   theIdleArea.gender = 0.7 --Create more women than men\n\
\n\
   p = point pos:[600,600,0] --Create a look at target\n\
   theIdleArea.lookatobj = p --Assign the look at target\n\
   theIdleArea.baseobject.lookat = true --And enable the &quot;Face&quot; option by accessing the .lookat property in the base object\n\
   theIdleArea.orientspread = 0.0 --Make sure everybody is looking in the general direction of the reference point\n\
\n\
   pop.addIdleArea theIdleArea --Add the Idle Area to the Populate simulator\n\
   pop.Simulate() --Trigger the simulation to populate the Idle Area</code></pre></blockquote>\n\
<h2 id=\"idleareaobj-interfaces-\">IdleAreaObj interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: IMtlRender_Compability_MtlBase</code></pre><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Populate.html\">Geometry - Populate</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pop.html\">Interface: pop</a></li>\n\
          <li><a class=\"link\" href=\"Flow-GeometryClass.html\">Flow : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"PopCharacter-ReferenceTarget.html\">PopCharacter : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Animation-Controllers/Controller-Types/Float-Controllers/Populate-FloatController.html\">Populate : FloatController</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";