var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5A7881FE-32F5-4165-9315-5491420B3E68\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Torus : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Torus - superclass: GeometryClass; super-superclass:node - classID: #(32, 0) </code></pre><p><img src=\"./images/GUID-4FCD01D4-766C-43AF-BB6B-5CA4E786DB48-low.gif\" alt></p>\n\
<p><strong>Constructor</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">torus..   </code></pre><p><strong>Properties</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus&gt;.segs Integer default: 24 -- animatable; integer; alias: segments </code></pre><p>The number of radial divisions around the torus. By reducing this number, you can create polygonal rings instead of circular ones.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus&gt;.radius1 Float default: 25.0 -- animatable; worldunits; alias: Radius_1 </code></pre><p>The distance from the center of the torus to the center of the cross-sectional circle. This is the radius of the torus ring.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus&gt;.radius2 Float default: 10.0 -- animatable; worldunits; alias: Radius_2 </code></pre><p>The radius of the cross-sectional circle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus&gt;.tubeRotation Float default: 0.0 -- animatable; angle; alias: tube_rotation </code></pre><p>The degree of rotation. Vertices are uniformly rotated about the circle running through the center of the torus ring. Positive and negative values for this setting &quot;roll&quot; the vertices in either direction over the surface of the torus.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus&gt;.tubeTwist Float default: 0.0 -- animatable; angle; alias: tube_twist</code></pre><p>The degree of twist. Cross sections are progressively rotated about the circle running through the center of the torus. Beginning with twist, each successive cross section is rotated until the last one has the number of degrees specified.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus&gt;.sidesInteger default: 12 -- animatable </code></pre><p>The number of sides on the cross-sectional circle of the torus. By reducing this number, you can create prism-like cross sections instead of circular ones.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus&gt;.smoothInteger default: 0 -- animatable </code></pre><p>Select the level of smoothing:</p>\n\
<p>0 - <strong>None</strong> (Turns off smoothing entirely, producing prism-like facets on the torus.)</p>\n\
<p>1 - <strong>Sides</strong> (Smoothes the edges between adjacent segments, producing smooth bands running around the torus.)</p>\n\
<p>2 - <strong>All</strong> (Produces complete smoothing on all surfaces of the torus.)</p>\n\
<p>3 - <strong>Segments</strong> (Smoothes each segment individually, producing ring-like segments along the torus.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus&gt;.slice Boolean default: false -- animatable; boolean; alias: slice_on, sliceon </code></pre><p>When on, creates a portion of a sliced torus rather than the entire 360 degrees.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus&gt;.sliceFrom Float default: 0.0 -- animatable, angle, alias: Slice_From </code></pre><p>The angle where the torus slice begins.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus&gt;.sliceTo Float default: 0.0 -- animatable, angle, alias: Slice_To </code></pre><p>The angle where the torus slice ends.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus&gt;.mapCoords Boolean default: false -- alias: generate_texture_coords</code></pre><p>When on, sets up required coordinates for applying mapped materials to the torus.</p>\n\
<p><strong>Type In Properties:</strong></p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>: These properties reflect the parameters on the Keyboard Entry rollout for each geometry object. These parameters can be set on any existing object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus&gt;.typeinCreationMethod     Integer    default: 1   --  integer; Creation_Method</code></pre><p>Gets or sets the Creation Method. Possible values are:</p>\n\
<ul>\n\
<li>0 = Edge</li>\n\
<li>1 = Center</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus&gt;.typeInRadius1     Float    default: 0.0   --  float; Radius_1\n\
&lt;Torus&gt;.typeInRadius2     Float    default: 10.0   --  float; Radius_2</code></pre><p>Gets or sets the Major Radius (typeInRadius1) and Minor Radius (typeInRadius2) Keyboard Entry values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus&gt;.typeInPos     Point3    default: [0,0,0]   --  point3; Type_in_Position</code></pre><p>Gets or sets the Keyboard Entry position values as a Point3.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:realWorldMapSizeInterface </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.realWorldMapSize: boolean : Read|Write </code></pre><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Standard-Objects.html\">Geometry - Standard Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";