var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0C2F1D71-2708-4294-9C1E-1D1239982AF7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Container : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Container - superclass: helper; super-superclass:node - 10:0 - classID: #(1848947859, -473657791) </code></pre><p>In <strong>3ds Max 2010 and higher</strong>, a <strong>Container</strong> is a helper object in a scene that is used to group self-contained content together and manage, publish, and inherit the content including the ability to unload the content objects from memory.</p>\n\
<p>See <a href=\"./../../../Containers/Containers-1.html\">Containers</a> and <a href=\"./../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-Containers.html\">Interface: Containers</a> for more information.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Container ... ContainerHelper ... </code></pre><p>See also <strong><code>Containers.CreateContainer()</code></strong> in <a href=\"./../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-Containers.html\">Interface: Containers</a>.</p>\n\
<h2 id=\"local-content-left-and-inherited-content-right-quick-navigation\">Local Content (Left) and Inherited Content (Right) - Quick Navigation</h2><p><img src=\"./images/GUID-9AA70726-AD0B-47A1-99BF-033EAA9C0C59-low.png\" alt> <img src=\"./images/GUID-492D1E7B-40DC-4691-A264-5698273354EB-low.png\" alt></p>\n\
<p><strong>Properties:</strong></p>\n\
<h2 id=\"manage-container-properties\">Manage Container Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Container&gt;.unloaded BooleanClass default: false -- boolean;   </code></pre><p>Get/set the unloaded state of the container.</p>\n\
<p>When set to <code>*true*</code> , the container is unloaded by saving the content to the disk and removing it from the scene.</p>\n\
<p>When set to <code>*false*</code> , the container is loaded by loading the content from the disk and showing it in the scene.</p>\n\
<p>See also <a href=\"Container-Helper.html\">UnloadContainer and LoadContainerMethods</a> for related methods.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Container&gt;.autoUpdateClosed BooleanClass default: false -- boolean; AutoUpdate_when_Closed </code></pre><p>Get/set whether to update the content automatically when the container is <a href=\"Container-Helper.html\">closed</a>.</p>\n\
<p>Corresponds to the &quot;Auto Update when Closed&quot; checkbox in the Container&apos;s UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Container&gt;.duplicateMatchingLayers     BooleanClass    default: true   --  boolean; Match_Layers_by_Parent</code></pre><p>Get/set the state of the <strong>&quot;Match Layers by Parent&quot;</strong> checkbox.</p>\n\
<h2 id=\"local-content-properties\">Local Content Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Container&gt;.localDefinitionFilenameString default: &quot;&quot; -- filename; Local_Definition_Filename </code></pre><p>Get/set the &quot;Local Definition&quot; file name.</p>\n\
<p>Definition files have the format of a <strong>3ds Max</strong> scene file, but use a different <strong>.MAXC</strong> file extension. This is to allow users to distinguish container definitions from regular max scenes when browsing folders and prevent accidental edits of container definitions. It is possible to rename the container definition and open it as a .MAX file.</p>\n\
<p>Local containers use a local definition file.</p>\n\
<p>Inherited containers reference a <a href=\"Container-Helper.html\">source definition file</a> .If the container is inherited, the name is empty.</p>\n\
<h2 id=\"inherited-content-properties\">Inherited Content Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Container&gt;.sourceDefinitionFilename String default: &quot;&quot; -- filename; Source_Definition_Filename </code></pre><p>Get/set the &quot;Source Definition&quot; filename. If the container is local, the name is empty.</p>\n\
<p>Definition files have the format of a <strong>3ds Max</strong> scene file, but use a different <strong>.MAXC</strong> file extension. This is to allow users to distinguish container definitions from regular max scenes when browsing folders and prevent accidental edits of container definitions. It is possible to rename the container definition and open it as a .MAX file.</p>\n\
<p>Inherited containers reference a source definition file.</p>\n\
<p>Local containers use a <a href=\"Container-Helper.html\">local definition file</a>.</p>\n\
<h2 id=\"proxies-properties\">Proxies Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Container&gt;.alternateDefinitionFilename ArrayParameter default: #() -- filename array; Alternate_Definition_Filename; SubAnim </code></pre><p>Get/set the alternate (Proxy) definition filenames list.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Container&gt;.currentAlternateDefinition Integer default: 0 -- integer; Current_Alternate_Definition </code></pre><p>Get/set the index of the current Proxy definition used from the file list.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Container&gt;.proxyType Name default: #none -- enum </code></pre><p>Get/set the state of the radio button controlling the use of Proxies.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>#none</strong> - Do not use a Proxy file.</p>\n\
<p><strong>#alternate</strong> - Use the Proxy file specified by the previous two properties.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<h2 id=\"content-rulesproperties\">Content RulesProperties</h2><p>The content rules are stored with the .MAXC asset file and control how the content will behave when inherited by a container.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Container&gt;.allowInPlaceEditing BooleanClass default: false -- boolean; Allow_In_Place_Editing </code></pre><p>Get/set the In Place Editing Container Rule.</p>\n\
<p>Corresponds to the state of the &quot;Allow In-Place Editing&quot; checkbox in the Container&apos;s UI.</p>\n\
<p>When set to <code>*false*</code> (default), the content can be inherited, but not edited in place.</p>\n\
<p>When set to <code>*true*</code> , the content can be inherited and edited in place, resulting in overwriting of the content in the original asset file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Container&gt;.accessContent BooleanClass default: false -- boolean; Allow_Content_Access </code></pre><p>Get/set the state of the Access Content Rule.</p>\n\
<p>This Rule is not exposed to the User Interface and is considered only when <code>*.AllowInPlaceEditing*</code> is set to <code>*false*</code> . When In Place Editing is allowed, the content of a closed container will not be accessible regardless of this Rule.</p>\n\
<p>When set to <code>*false*</code> (default), the content will not be accessible when inherited. The content cannot be selected, modified or accessed using MAXScript.</p>\n\
<p>When set to <code>*true*</code> , the content will be accessible when inherited. Any local modification to such content will be <strong>LOST when Unloaded</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Container&gt;.accessPublishedContent BooleanClass default: false -- boolean; Allow_Published_Content_Access </code></pre><p>Get/set the state of the Access Published Content Rule.</p>\n\
<p>This Rule is not exposed to the User Interface.</p>\n\
<h2 id=\"display-containerproperties\">Display- ContainerProperties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Container&gt;.displayLabel BooleanClass default: false -- boolean; Display_Label </code></pre><p>Get/set the state of the Name checkbox. (called &quot;Label&quot; in <strong>3ds Max 2010</strong>).</p>\n\
<p>When set to <code>*true*</code> , a text label appears next to the Container to show its Name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Container&gt;.displayStatus BooleanClass default: false -- boolean; Display_Status </code></pre><p>Enable/disable the display of the Container&apos;s Status.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Container&gt;.editingUser String default: &quot;&quot; -- string; Editing_User; </code></pre><p>Get/set the name of the user editing the Container.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Container&gt;.contentBoundingBox BooleanClass default: false -- boolean; Content_Bounding_Box </code></pre><p>Get/set the state of the Expand Bounding Box checkbox.</p>\n\
<p>When set to <code>*true*</code> , a bounding box of the container will expand to enclose the content.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Container&gt;.size Float default: 10.0 -- animatable; worldUnits </code></pre><p>Get/set the Size value controlling the size of the Container&apos;s icon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Container&gt;.updateNeeded BooleanClass default: false -- boolean; Update_Needed </code></pre><p>Contains true if the Container needs an update. Reflects the state of the icon next to the Update button.</p>\n\
<p>Read-only.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<h2 id=\"display-contentsproperties\">Display -ContentsProperties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Container&gt;.overrideNodeProperties BooleanClass default: false -- boolean; Override_Object_Properties </code></pre><p>Get/set the state of the &quot;Override Obj Properties&quot; checkbutton.</p>\n\
<p>When set to <code>*true*</code> , the content will display using the Container&apos;s display properties including wireframe color, visibility settings, and so on. If the content is set to use properties By Layer, the Container&apos;s Layer will be used instead of the content&apos;s Layers.</p>\n\
<p>When set to <code>*false*</code> , the content will display using its own display properties.</p>\n\
<h2 id=\"container-interfaces-\">Container interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:IContainerObject </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.proxyType: enum : Read|Write \n\
proxyType enums: {#none|#alternate} </code></pre><p>Get/set the state of the radio button controlling the use of Proxies.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>#none</strong> - Do not use a Proxy file.</p>\n\
<p><strong>#alternate</strong> - Use the Proxy file specified by the previous two properties.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<h3 id=\"manage-containermethods\">Manage ContainerMethods</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Container&gt;.LoadContainer() </code></pre><p>Loads the Container&apos;s content from its definition and local modifications. Only available when unloaded.</p>\n\
<p>Corresponds to pressing the &quot;Load&quot; button in the Container&apos;s UI when the Container is in Unloaded state (see <a href=\"Container-Helper.html\">.unloaded</a> property for querying this state). The button will change to &quot;Unload&quot;.</p>\n\
<p>Returns <code>*true*</code> on success, <code>*false*</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Container&gt;.UnloadContainer() </code></pre><p>Unloads the Container by saving the local definition and deleting the content from the scene.</p>\n\
<p>Corresponds to pressing the &quot;Unload&quot; button in the Container&apos;s UI when the Container is in the Loaded state (see <a href=\"Container-Helper.html\">.unloaded</a> property for querying this state). The button will change to &quot;Load&quot;.</p>\n\
<p>Returns <code>*true*</code> on success, <code>*false*</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Container&gt;.SetOpen &lt;boolean&gt;open </code></pre><p>When the argument is <code>*true*</code> , opens the Container, equivalent to pressing the &quot;Open&quot; button in the Container&apos;s UI.</p>\n\
<p>When the argument is <code>*false*</code> , closes the Container, equivalent to pressing the &quot;Close&quot; button in the Container&apos;s UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Container&gt;.IsOpen() </code></pre><p>Returns <code>*true*</code> if the Container is open, <code>*false*</code> otherwise. See previous method for controlling the open state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Container&gt;.UpdateContainer() </code></pre><p>Updates the content of the Container, preserving local modifications. Corresponds to the &quot;Update&quot; button in the Container&apos;s UI.</p>\n\
<p>Returns <code>*true*</code> on success, <code>*false*</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Container&gt;.MakeUnique() </code></pre><p>Merges the Container&apos;s source and recursively merges any nested containers among its content.</p>\n\
<p>Corresponds to pressing the &quot;Make All Content Unique&quot; button in the Container&apos;s UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Container&gt;.IsUnique() </code></pre><p>Returns <code>*true*</code> if the content is unique, <code>*false*</code> otherwise.</p>\n\
<h3 id=\"access-type-control-methods\">Access Type Control Methods</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetAccessType &lt;enum&gt;accessType </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">accessType enums: {#noAccess|#onlyEditInPlace|#onlyAddNewObjects|#anythingUnlocked} </code></pre><p>Sets the access type to the given enum value.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;GetAccessType() </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GetAccessType enums: {#noAccess|#onlyEditInPlace|#onlyAddNewObjects|#anythingUnlocked} </code></pre><p>Returns the access type as an enum value.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;InheritedAccessType() \n\
InheritedAccessType enums: {#noAccess|#onlyEditInPlace|#onlyAddNewObjects|#anythingUnlocked} </code></pre><p>Returns the inherited access type as an enum value.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetLockedContents&lt;enum&gt;lockedType &lt;boolean&gt;clear </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lockedType enums: {#lockAllMaterials|#lockAllModifiers|#lockAllAnimation|#lockAllObjects} </code></pre><p>Sets the lock for the content component specified by the first argument&apos;s enum to the Boolean value of the second argument.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;IsLockedContents &lt;enum&gt;lockedType </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lockedType enums: {#lockAllMaterials|#lockAllModifiers|#lockAllAnimation|#lockAllObjects} </code></pre><p>Returns true if the content component specified by the argument is locked, false if it is unlocked.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
   c = container()\n\
   --Check the Modifiers Lock:\n\
   $Container001.IsLockedContents #lockAllModifiers\n\
   --&gt; false \n\
   --Lock theModifiers:\n\
   $Container001.SetLockedContents #lockAllModifiers true\n\
   --&gt; OK \n\
   --Check the Modifiers Lock:\n\
   $Container001.IsLockedContents #lockAllModifiers\n\
   --&gt; true \n\
   --Unlock the materials:\n\
   $Container001.SetLockedContents #lockAllMaterials false\n\
   --&gt; OK </code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ClearLockedContents() </code></pre><p>Clears the locked contents of the Container.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;GetStatusString() </code></pre><p>Returns the status string of the Container. This is the same string displayed in the viewport label if the <code>.displayStatus</code> property is set to true.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
   $Container001.GetStatusString()\n\
   --&gt; &quot;No Access&quot;\n\
   $Container001.UnloadContainer()\n\
   --&gt; true\n\
   $Container001.GetStatusString()\n\
   --&gt;&quot;Unloaded&quot;\n\
   $Container001.MakeUnique()\n\
   --&gt; true\n\
   $Container001.GetStatusString()\n\
   --&gt; &quot;Unsaved&quot; </code></pre></blockquote>\n\
<h3 id=\"manage-container-edit-in-placemethods\">Manage Container - Edit In PlaceMethods</h3><p>The&quot;Edit In Place&quot;checkbutton performs two operations internally depending on its state:</p>\n\
<ul>\n\
<li><p>When checked, it merges the content, equivalent to <a href=\"Container-Helper.html\">MergeSource()</a></p>\n\
</li>\n\
<li><p>When unchecked, it saves the content to disk, equivalent to <a href=\"Container-Helper.html\">SaveContainer()</a></p>\n\
</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Container&gt;.CanEditInPlace() </code></pre><p>Returns <code>*true*</code> if the container can be edited in-place, <code>*false*</code> otherwise.</p>\n\
<p>The container rule controlling whether the content can be edited in place when inherited is set using the <a href=\"Container-Helper.html\">allowInPlaceEditing property</a> in the local container whose content is being inherited.</p>\n\
<p>The content file must have been saved with that rule set to true to allow other containers inheriting that content to edit it in place.</p>\n\
<h3 id=\"local-contentmethods\">Local ContentMethods</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Container&gt;.AddNodeToContent &lt;node&gt;node </code></pre><p>Adds the specified node and its children/dependents to the Container&apos;s content.</p>\n\
<p>The container node becomes the parent of the content node. Some nodes are automatically added to the local content along with the input node:</p>\n\
<ul>\n\
<li><p>The children of the node are added.</p>\n\
</li>\n\
<li><p>If the node is part of a system (like biped or bones), all nodes in the system are also added.</p>\n\
</li>\n\
<li><p>If the node has a target - for instance a camera target-then its target is added</p>\n\
</li>\n\
<li><p>If the node is a target, the targeting node is also added.</p>\n\
</li>\n\
</ul>\n\
<p>Returns <code>*true*</code> on success, <code>*false*</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Container&gt;.AddNodesToContent &lt;&amp;node array&gt;nodes\n\
\n\
nodes is In and Out parameter </code></pre><p>Adds the provided array of nodes and all their children and dependents to the Container&apos;s content. See previous method for details.</p>\n\
<p>Returns <code>*true*</code> on success, <code>*false*</code> otherwise.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = Box()\n\
   --&gt;$Box:Box01 @ [0.000000,0.000000,0.000000]\n\
   s = Sphere pos:[100,0,0]\n\
   --&gt;$Sphere:Sphere01 @ [100.000000,0.000000,0.000000] \n\
   --Will be created at the origin unless position is provided.\n\
   --Compare to Containers.CreateContainer() which creates\n\
   --at the average position of all content nodes\n\
   c = Container()\n\
   --&gt;$Container:Container01 @ [0.000000,0.000000,0.000000] \n\
   c.addNodeToContent b--adding single node\n\
   --&gt;true\n\
   c.addNodesToContent #(s)--adding an array of one or more nodes\n\
   --&gt;true \n\
   c.GetContentNodes false &amp;theNodes\n\
   --&gt; OK\n\
   theNodes\n\
   --&gt; #($Box:Box01 @ [0.000000,0.000000,0.000000],$Sphere:Sphere01 @ [100.000000,0.000000,0.000000]) </code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Container&gt;.GetContentNodes &lt;boolean&gt;nestedContainerNodes&lt;&amp;node array&gt;contentNodes \n\
\n\
contentNodes is Out parameter </code></pre><p>Returns an array of the content nodes of the container into the second by-reference parameter.</p>\n\
<p>If the first argument is passed as <code>*true*</code> , nested containers are also processed.</p>\n\
<p>If the first argument is passed as <code>*false*</code> , only the content of the current container is returned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;IsNodeInContent &lt;node&gt;node &lt;boolean&gt;nestedContainerNodes </code></pre><p>Returns <code>*true*</code> if the specified node is in the content.</p>\n\
<p>If the second argument is <code>*true*</code> , nested containers in the inherited content are also searched.</p>\n\
<p>If <code>*false*</code> , only the current container is searched.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Container&gt;.RemoveNodeFromContent &lt;node&gt;node &lt;boolean&gt;detach </code></pre><p>Removes the node specified as first argument from the Container&apos;s content.</p>\n\
<p>If the second argument is specified as <code>*true*</code> , unlinks the node from the Container. If <code>*false*</code> , the node will remain a child of the Container but will not be in the content of the Container anymore.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Container&gt;.SaveContainer &lt;boolean&gt;newFileNamesaveAsVersion:&lt;integer&gt; </code></pre><p>saveAsVersion default value: 0</p>\n\
<p>Saves the content and rules of the Container as the new definition.</p>\n\
<p>Returns true on success, false otherwise.</p>\n\
<p>If the newFileName argument is <code>*true*</code> , a save file dialog is shown to specify a new file name, making the method behave like the &quot;Save As&quot; button in the UI.</p>\n\
<p>If the newFileName argument is <code>*false*</code> , the current file name is used. If the file name is not defined, the save file dialog is shown. This makes the method behave like the &quot;Save&quot; button in the UI.</p>\n\
<p><strong>In 3ds Max 2011 and higher,</strong> if the <code>saveAsVersion:</code> optional keyword argument is supplied, is different than 0 and equals a supported version number, the MAXC file is saved in that format. If the argument is unsupplied or 0, the MAXC file is saved in the format of the current <strong>3ds Max</strong> Version.</p>\n\
<p>Valid value is 2010 in <strong>3ds Max 2011</strong>, and 2011 in <strong>3ds Max 2012</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Container&gt;.ReloadContainer() </code></pre><p>Reloads the Container. Same as <a href=\"Container-Helper.html\">LoadContainer()</a>, but does not depend on the state of the <a href=\"Container-Helper.html\">.unloaded property</a> and is thus always available. Discards unsaved changes.</p>\n\
<p>Corresponds to pressing the &quot;Reload&quot; button in the Container&apos;s UI.</p>\n\
<p>Returns <code>*true*</code> on success, <code>*false*</code> otherwise.</p>\n\
<h3 id=\"inherited-contentmethods\">Inherited ContentMethods</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Container&gt;.MergeSource() </code></pre><p>Turns an inherited container into an unsaved local container content, merging its content into the scene. Does not merge nested container&apos;s content.</p>\n\
<p>Corresponds to pressing the &quot;Merge Source Definition&quot; button in the Container&apos;s UI.</p>\n\
<p>Returns <code>*true*</code> on success, <code>*false*</code> otherwise.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ( -- start script</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
   -------------------------Creating a Container:-----------------------\n\
   resetMaxFile #noprompt --reset the scene\n\
   cnt01 = container size:50 name:&quot;LocalContent&quot; --create a container\n\
   cnt01.displaylabel = true --display its label\n\
   cnt_filename = getDir #scene + &quot;\\\\_Container01.maxc&quot; --define file name\n\
   cnt01.localDefinitionFilename = cnt_filename --assign the file name\n\
   cnt01.accessContent =true --enable access to inherited content\n\
   cnt01.allowInPlaceEditing = false --disallow in-place editing \n\
   --------------------------Creating some Content:------------------------\n\
   obj01 = Teapot wirecolor:blue --create a blue teapot\n\
   cnt01.AddNodeToContent obj01 --add to content\n\
   cnt01.SaveContainer false --save to the current file name \n\
   -------------------------Display and Wait...:-----------------------\n\
   max modify mode --switch to modify panel\n\
   max views redraw --update the viewports\n\
   select cnt01 --select the container\n\
   sleep 2 --and wait for two seconds </code></pre><p>   <img src=\"./images/GUID-B8B1A795-C0E7-4AAD-AFB9-20C949EEB9CB-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -------------------------Inherit the Content:-----------------------\n\
   cnt02 = containers.CreateInheritedContainer cnt_filename --inherit file\n\
   cnt02.name =&quot;InheritedContent&quot; --name the container\n\
   cnt02.pos = [0,60,0] --move it to the side\n\
   cnt02.size = 50 --set the size of the icon\n\
   cnt02.displayLabel = true --and display the label \n\
   -------------------------Display and Wait...:-----------------------\n\
   max tool zoomextents all --zoom the viewports\n\
   select cnt02 --select the inherited container\n\
   max views redraw --update the viewports\n\
   sleep 2 --wait for two seconds </code></pre><p>   <img src=\"./images/GUID-FE0F8697-271A-4ACE-85BA-E3AF37724D93-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    --------------------------Adding MoreContent:------------------------\n\
   obj02 = Sphere radius:15 pos:[50,0,15] wirecolor:green --green sphere\n\
   obj03 = Box pos:[100,0,0] wirecolor:blue --blue box\n\
   cnt01.AddNodesToContent #(obj02, obj03) --add nodes array to content\n\
   obj01.wirecolor = red --change the teapot to red\n\
   cnt01.SaveContainer false save to update the container definition \n\
   -------------------------------Updating Inherited Content:-----------------------------\n\
   cnt02.updateContainer() --update the inherited container from disk\n\
   format &quot;\\nCurrently In The Scene: % objects\\n&quot; objects.count\n\
   print objects --print scene objects - inherited content is there! \n\
   --&gt;Currently In The Scene: 8 objects\n\
   --&gt;$Container:LocalContent @ [0.000000,0.000000,0.000000]\n\
   --&gt;$Teapot:Teapot01 @ [0.000000,0.000000,0.000000]\n\
   --&gt;$Sphere:Sphere01 @ [50.000000,0.000000,15.000000]\n\
   --&gt;$Box:Box01 @ [100.000000,0.000000,0.000000]\n\
   --&gt;$Container:InheritedContent @ [0.000000,100.000000,0.000000]\n\
   --&gt;$Teapot:Teapot01 @ [0.000000,100.000000,0.000000]\n\
   --&gt;$Sphere:Sphere01 @ [50.000000,100.000000,15.000000]\n\
   --&gt;$Box:Box01 @ [100.000000,100.000000,0.000000] \n\
   max views redraw --update the viewports\n\
   sleep 2 --wait for two seconds </code></pre><p>   <img src=\"./images/GUID-72A7893C-4E89-4B42-A7E4-82FA81F51935-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    --------------------------Changing Access Rules:------------------------\n\
   cnt01.accessContent =false --disallow the access to inherited content\n\
   cnt01.SaveContainer false --resave to update the rules\n\
   cnt02.updateContainer() --update the inherited container from disk\n\
   format &quot;\\nCurrently In The Scene: % objects\\n&quot; objects.count\n\
   print objects--print scene objects - inherited content is not there! \n\
   --&gt;Currently In The Scene: 5 objects\n\
   --&gt;$Container:LocalContent @ [0.000000,0.000000,0.000000]\n\
   --&gt;$Teapot:Teapot01 @ [0.000000,0.000000,0.000000]\n\
   --&gt;$Sphere:Sphere01 @ [50.000000,0.000000,15.000000]\n\
   --&gt;$Box:Box01 @ [100.000000,0.000000,0.000000]\n\
   --&gt;$Container:InheritedContent @ [0.000000,100.000000,0.000000]  \n\
   max views redraw --update the viewports\n\
   sleep 2 --wait for two seconds </code></pre><p>   <img src=\"./images/GUID-72A7893C-4E89-4B42-A7E4-82FA81F51935-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    ----------------------------------Unloading Inherited Container:--------------------------------\n\
   cnt02.UnloadContainer()\n\
   max views redraw --update the viewports\n\
   sleep 2 --wait for two seconds </code></pre><p>   <img src=\"./images/GUID-41E1D88D-0E8B-4153-960D-55D982D5F9EC-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -------------------------------------Making Inherited Container Local:-----------------------------------\n\
   cnt02.MakeUnique() --make the content unique\n\
   format &quot;\\nCurrently In The Scene: % objects\\n&quot; objects.count\n\
   print objects --print scene objects - the content is now local!\n\
   --&gt;Currently In The Scene: 8 objects\n\
   --&gt;$Container:LocalContent @ [0.000000,0.000000,0.000000]\n\
   --&gt;$Teapot:Teapot01 @ [0.000000,0.000000,0.000000]\n\
   --&gt;$Sphere:Sphere01 @ [50.000000,0.000000,15.000000]\n\
   --&gt;$Box:Box01 @ [100.000000,0.000000,0.000000]\n\
   --&gt;$Container:InheritedContent @ [0.000000,100.000000,0.000000]\n\
   --&gt;$Teapot:Teapot01 @ [0.000000,100.000000,0.000000]\n\
   --&gt;$Sphere:Sphere01 @ [50.000000,100.000000,15.000000]\n\
   --&gt;$Box:Box01 @ [100.000000,100.000000,0.000000] \n\
   cnt02.localDefinitionFilename = cnt_filename --set the same file name\n\
   cnt02.name =&quot;AlsoLocal&quot;--rename the object, too \n\
   for i = 1 to cnt02.children.count do --Stack the content vertically\n\
     cnt02.children[i].pos = cnt02.pos + [0,0,(i-1)*50]\n\
   cnt02.SaveContainer false --and save, overwriting the original asset \n\
   max views redraw --update the viewports\n\
   sleep 2 --wait for two seconds</code></pre><p>   <img src=\"./images/GUID-996D7C0E-5CD2-49EB-972D-B5BF5F32FEB0-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -------------------------------------------------Reloading The New File In Original Container:-----------------------------------------------\n\
   cnt01.ReloadContainer() --reload the content from file\n\
   cnt01.SetOpen false --close the container</code></pre><p>   <img src=\"./images/GUID-E12F1100-47B6-4BED-8F41-CD464AFD5027-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   )--end script</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Helper-Standard.html\">Helper - Standard</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Containers/Containers-1.html\">Containers</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-Containers.html\">Interface: Containers</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-ContainerPreferences.html\">Interface: ContainerPreferences</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";