var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F0C33251-1FCD-4B83-8697-F755F7D7AECD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Photometric Lights Common Properties, Operators, and Methods</h1></div><p><img src=\"./images/GUID-7548731F-D945-4894-8FAF-1C39A7D72E43-low.gif\" alt></p>\n\
<p>In <strong>3ds Max 2009 and higher</strong>, all Photometric Lights share the same set of properties. Every <strong>Photometric Light</strong> type can be freely switched to any other type. See the <code>.type</code> property in the <a href=\"#the-following-interface-is-exposed-by-all-photometric-lights-\">LightProperties interface</a>.</p>\n\
<p>See <a href=\"Photometric-Light-Classes.html\">Photometric Light Classes</a> for details.</p>\n\
<p><strong>Properties:</strong></p>\n\
<h2 id=\"general-parameters-rollout\">General Parameters Rollout</h2><h3 id=\"light-properties\">Light Properties</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.on Boolean default: true -- boolean           </code></pre><p>Toggle light emission on and off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.targetDistance Float default: 240.0 -- animatable; float; Target_Distance         </code></pre><p>Get/set the distance to the light&apos;s target.</p>\n\
<h3 id=\"shadows\">Shadows</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.castShadows BooleanClass default: true -- boolean; Cast_Shadows      </code></pre><p>Toggle shadow casting on and off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.useGlobalShadowSettings BooleanClass default: false -- boolean; Use_Global_Params   </code></pre><p>When set to true, the shadow generator will use the global shadow settings. When set to false, the local settings will be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.shadowGenerator shadowMap default: shadowMap:shadowMap -- value; SubAnim </code></pre><p>Get/Set the Shadow Generator as class instance.</p>\n\
<p>Exposed by the <a href=\"#the-following-interface-is-exposed-by-all-photometric-lights-\">LightProperties interface</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.shadowGeneratorByName String default: &quot;Shadow Map&quot; -- value </code></pre><p>Get/Set the Shadow Generator by name.</p>\n\
<p>Exposed by the <a href=\"#the-following-interface-is-exposed-by-all-photometric-lights-\">LightProperties interface</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.raytracedShadows BooleanClass default: false -- value </code></pre><p>Get/Set use of raytraced shadows. Exposed by the <a href=\"#the-following-interface-is-exposed-by-all-photometric-lights-\">LightProperties interface</a>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This property should <strong>not</strong> be used in <strong>3ds Max 5 and higher</strong>. Please use the <code>.shadowGenerator</code> property to assign a shadow generator.</p>\n\
<p>The property is exposed for backwards compatibility only. In versions prior to <strong>3ds Max 5</strong>, the only possible shadow generator types were Shadow Maps and Raytraced Shadows. Setting this property will switch the shadow generator internally. Currently, the number of possible shadow generators is much higher (including 3rd party plug-ins), so this property is obsolete.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.maxDepth     Integer    default: 7   --  animatable; integer; Max_Quadtree_Depth</code></pre><p>The maximum quadtree depth setting for ray traced shadows.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.raytraceBias     Float    default: 0.2   --  animatable; float; Bias</code></pre><p>The Ray Bias amount for ray traced shadows.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.twoSidedShadows     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the 2 Sided Shadows setting for ray traced shadows.</p>\n\
<h3 id=\"include-exclude-lists\">Include/Exclude Lists</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.excludeList Array default: #() -- value </code></pre><p>Get/Set the exclusion list as an array on objects. When setting the value, the Include/Exclude option will be set to Exclude.</p>\n\
<p>Exposed by the <a href=\"#the-following-interface-is-exposed-by-all-photometric-lights-\">LightProperties interface</a> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.includeList UndefinedClass default: undefined -- value; !error setting value! </code></pre><p>Get/Set an array of objects to be included in the illumination by the light. When setting the value, the Include/Exclude option will be set to Include.</p>\n\
<p>Exposed by the <a href=\"#the-following-interface-is-exposed-by-all-photometric-lights-\">LightProperties interface</a>.</p>\n\
<h3 id=\"light-distribution-type-\">Light Distribution (Type)</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.distribution Integer default: 0 -- value </code></pre><p>Get/Set the distribution type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Uniform Spherical</strong></p>\n\
<p>1 - <strong>Spotlight</strong> (not valid for Sphere and Cylinder types)</p>\n\
<p>2 - <strong>Uniform Hemispherical</strong> (not valid for Sphere and Cylinder types)</p>\n\
<p>3 - <strong>Photometric Web File</strong> (not valid for Sphere and Cylinder types)</p>\n\
<p>Exposed by the <a href=\"#the-following-interface-is-exposed-by-all-photometric-lights-\">LightProperties interface</a> .</p>\n\
<h2 id=\"intensity-color-attenuation-rollout\">Intensity/Color/Attenuation Rollout</h2><h3 id=\"color\">Color</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.color Color default:(color 265.933 250.885 263.562)-- color by value </code></pre><p>The RGB Color of the light. Alias for .rgb and .Light_Color.</p>\n\
<p>Exposed by the <a href=\"#the-following-interface-is-exposed-by-all-photometric-lights-\">LightProperties interface</a> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.useKelvin BooleanClass default: false -- boolean; Use_Kelvin </code></pre><p>Get/set the state of the Kelvin/Color radio button. When set to <code>true</code> , the color temperature in Kelvin will be used. When <code>false</code> , the RGB Color will be used instead.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.kelvin Float default: 3600.0 -- animatable; float </code></pre><p>Get/set the color temperature in Kelvin.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.rgbFilter Color default: (color 255 255 255) -- animatable; RGB color; Filter_Color; Controller Scaling: ([1,1,1] : (color 255 255 255)) ) </code></pre><p>Get/set the Filter Color.</p>\n\
<h3 id=\"intensity\">Intensity</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.intensityType Integer default: 1 -- integer; Intensity_Type </code></pre><p>Get/set the Intensity type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>lm</strong></p>\n\
<p>1 - <strong>cd</strong></p>\n\
<p>2 - <strong>lx at</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.intensityFloat default: 1500.0 -- animatable; float </code></pre><p>Get/set the Intensity value.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This value is always in candelas (cd), regardless of the <code>intensityType</code> setting.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.intensityAt Float default: 39.3701 -- float; Intensity_At </code></pre><p>Get/Set the Distance at which the intensity is measured when <code>intensityType</code> is set to 2 - lx at.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.flux Float default: 0.0 -- float </code></pre><p>Set the Light Intensity in lm.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.originalFlux Float default: 0.0 -- float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.originalIntensity Float default: 0.0 -- float; Shape_Area_Shadows </code></pre><h3 id=\"dimming\">Dimming</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.useMultiplier BooleanClass default: false -- boolean; Use_Dimmer </code></pre><p>Get/set the state of the Dimming checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.Multiplier Float default: 100.0 -- animatable; float </code></pre><p>Get/set the Dimming multiplier value in percent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.shiftColorWhenDimming BooleanClass default: false -- boolean; Shift_Color_When_Dimming </code></pre><p>Get/set the state of the &quot;Incandescent lamp color shift when dimming&quot; checkbox.</p>\n\
<h3 id=\"far-attenuation\">Far Attenuation</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.useFarAttenuation BooleanClass default: false -- boolean; Use_Far_Attenuation </code></pre><p>Get/set the state of the Use Far Attenuation checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.displayFarAttenuationGizmo BooleanClass default: false -- boolean; Display_Far_Attenuation_Gizmo </code></pre><p>Get/set the state of the Show Far Attenuation checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.startFarAttenuation Float default: 80.0 -- animatable; worldUnits; Start_Far_Attenuation </code></pre><p>Get/set the Start Far Attenuation value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.endFarAttenuation Float default: 200.0 -- animatable; worldUnits;Vertical_Circle_Facing_Photometric_Horizontal </code></pre><p>Get/set the End Far Attenuation value.</p>\n\
<h2 id=\"shape-area-shadows-rollout\">Shape / Area Shadows Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.type Name default: #Free_Point -- value </code></pre><p>Get/Set the Type of the Photometric Light.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>#Free_Point</strong></p>\n\
<p><strong>#Free_Line</strong></p>\n\
<p><strong>#Free_Rectangle</strong></p>\n\
<p><strong>#Free_Disc</strong></p>\n\
<p><strong>#Free_Sphere</strong></p>\n\
<p><strong>#Free_Cylinder</strong></p>\n\
<p><strong>#Target_Point</strong></p>\n\
<p><strong>#Target_Line</strong></p>\n\
<p><strong>#Target_Rectangle</strong></p>\n\
<p><strong>#Target_Disc</strong></p>\n\
<p><strong>#Target_Sphere</strong></p>\n\
<p><strong>#Target_Cylinder</strong></p>\n\
<p>Exposed by <a href=\"#the-following-interface-is-exposed-by-all-photometric-lights-\">LightProperties interface</a> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.light_length Float default:122.0 -- animatable; worldUnits </code></pre><p>Get/set the length of the Area light where applicable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.light_width Float default:61.0 -- animatable; worldUnits </code></pre><p>Get/set the width of the Area light where applicable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Area&gt;.light_radius Float default: 13.0 -- animatable; worldUnits </code></pre><p>Get/set the radius of the Area light where applicable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.length Float default:122.0 --float </code></pre><p>Get/set the length of the Area light.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.width Float default: 61.0 -- float </code></pre><p>Get/set the width of the Area light.</p>\n\
<h2 id=\"distribution-spotlight-rollout\">Distribution (Spotlight) Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.showCone BooleanClass default: false -- boolean; Cone_Display </code></pre><p>Get/set the state of the &quot;Cone visible in viewport when unselected&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.hotSpot Float default: 30.0 -- animatable; float; Beam_Angle </code></pre><p>Get/set the Hotspot/Beam angle. Used only when .distribution is set to 1 - Spotlight.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.falloff Float default: 60.0 -- animatable; float; Field_Angle </code></pre><p>Get/set the Hotspot/Beam angle. Used only when .distribution is set to 1 - Spotlight.</p>\n\
<h2 id=\"distribution-photometric-file-rollout\">Distribution (Photometric File) Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.webFile String default: &quot;&quot; -- filename; Web_Filename </code></pre><p>The Web file used when .distribution is set to 0 - Web.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.xRotation Float default: 0.0 -- float; X_Rotation </code></pre><p>The Photometric Web X rotation value. Used only when .distribution is set to 0 - Web.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.yRotation Float default: 0.0 -- float; Y_Rotation </code></pre><p>The Photometric Web Y rotation value. Used only when .distribution is set to 0 - Web.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.zRotation Float default: 0.0 -- float; Z_Rotation </code></pre><p>The Photometric Web Z rotation value. Used only when .distribution is set to 0 - Web.</p>\n\
<h2 id=\"shadow-parameters-rollout\">Shadow Parameters Rollout</h2><h3 id=\"object-shadows\">Object Shadows</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.shadowColor Color default: (color 0 0 0) -- animatable; RGB color; Shadow_Color; Controller Scaling: ([1,1,1] : (color 255 255 255)) </code></pre><p>Get/set the shadow color value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.shadowMultiplier Float default: 1.0 -- animatable; float; Shadow_Density</code></pre><p>Get/set the Shadow Density value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.shadowColorMapEnable BooleanClass default: false -- boolean; Use_Shadow_Color_Map </code></pre><p>Get/set the state of the Shadow Map enable checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.shadowProjectorMap UndefinedClass default: undefined -- texturemap; Shadow_Projector_Map </code></pre><p>Get/set the Shadow Projector Map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.lightAffectsShadow BooleanClass default: false -- boolean; Light_Affects_Shadow </code></pre><p>Get/set the state of the &quot;Light Affects Shadow Color&quot; checkbox.</p>\n\
<h3 id=\"atmospheric-shadows\">Atmospheric Shadows</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.atmosShadows BooleanClass default: false -- boolean; Atmospheric_Shadows_On </code></pre><p>Toggle atmosphere shadows on/off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.atmosColorAmt Float default: 100.0 -- animatable; float; Atmospheric_Color_Amount </code></pre><p>Get/Set the atmosphere shadows color value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.atmosOpacity Float default: 100.0 -- animatable; float; Atmospheric_Opacity </code></pre><p>Get/Set the atmosphere shadows opacity value.</p>\n\
<h2 id=\"advanced-effects-rollout\">Advanced Effects Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.contrast Float default: 0.0 -- animatable; float; Light_Contrast </code></pre><p>Get/Set the Light Contrast value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.softenDiffuseEdge Float default: 0.0 -- animatable; float; Diffuse_Soften </code></pre><p>Get/Set the Soften Diff. Edge value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.affectDiffuse BooleanClass default: true -- boolean; Affect_Diffuse </code></pre><p>When <code>true</code> , the light affects the diffuse color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.affectSpecular BooleanClass default: true -- boolean; Affect_Diffuse </code></pre><p>When <code>true</code> , the light affects the specular color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.ambientOnly BooleanClass default: false -- boolean; Ambient_Only </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">When set to true, the light affects the Ambient color only. </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.projector BooleanClass default: false -- boolean </code></pre><p>Toggle the projector map on/off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Photometric_Light&gt;.projectorMap UndefinedClass default: undefined -- texturemap; Projector_Map </code></pre><p>Get/Set the projector map.</p>\n\
<h2 id=\"the-following-interface-is-exposed-by-all-photometric-lights-\">The following interface is exposed by all Photometric Lights:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:LightProperties </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.type: value : Read|Write </code></pre><p>Get/Set the Type of the Photometric Light.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>#Free_Point</strong></p>\n\
<p><strong>#Free_Line</strong></p>\n\
<p><strong>#Free_Rectangle</strong></p>\n\
<p><strong>#Free_Disc</strong></p>\n\
<p><strong>#Free_Sphere</strong></p>\n\
<p><strong>#Free_Cylinder</strong></p>\n\
<p><strong>#Target_Point</strong></p>\n\
<p><strong>#Target_Line</strong></p>\n\
<p><strong>#Target_Rectangle</strong></p>\n\
<p><strong>#Target_Disc</strong></p>\n\
<p><strong>#Target_Sphere</strong></p>\n\
<p><strong>#Target_Cylinder</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.distribution: value : Read|Write </code></pre><p>Get/Set the distribution type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Uniform Spherical</strong></p>\n\
<p>1 - <strong>Spotlight</strong> (not valid for Sphere and Cylinder types)</p>\n\
<p>2 - <strong>Uniform Hemispherical</strong> (not valid for Sphere and Cylinder types)</p>\n\
<p>3 - <strong>Photometric Web File</strong> (not valid for Sphere and Cylinder types)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.excludeList: value : Read|Write </code></pre><p>Get/Set the exclusion list as an array on objects. When setting the value, the Include/Exclude option will be set to Exclude.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.includeList: value : Read|Write </code></pre><p>Get/Set an array of objects to be included in the illumination by the light. When setting the value, the Include/Exclude option will be set to Include.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.shadowGenerator: value : Read|Write </code></pre><p>Get/Set the Shadow Generator as class instance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.shadowGeneratorByName: value : Read|Write </code></pre><p>Get/Set the Shadow Generator by name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.raytracedShadows: value : Read|Write </code></pre><p>Get/Set use of raytraced shadows.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This property should <strong>not</strong> be used in <strong>3ds Max 5 and higher</strong>. Please use the <code>.shadowGenerator</code> property to assign a shadow generator.</p>\n\
<p>The property is exposed for backwards compatibility only. In versions prior to <strong>3ds Max 5</strong>, the only possible shadow generator types were Shadow Maps and Raytraced Shadows. Setting this property will switch the shadow generator internally. Currently, the number of possible shadow generators is much higher (including 3rd party plug-ins), so this property is obsolete.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.color: color by value : Read|Write </code></pre><p>Get/Set the color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.enabled: boolean : Read|Write </code></pre><p>Get/Set the enabled state.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Photometric-Lights.html\">Photometric Lights</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Photometric-Light-Classes.html\">Photometric Light Classes</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";