var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6CCF1D3D-772E-4520-A4F6-055C9A51DC72\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Sun_Positioner : Light</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Sun_Positioner - superclass: light; super-superclass:node - 21:0 - classID: #(670970524L, 1903123237L)</code></pre><p>Instances of this class are used to define the Sun Position of the Physical Sun &amp; Sky Environment Map. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><img src=\"./images/GUID-C780EAB3-B839-4BB1-8ADB-3399A0C84A3B-low.png\" alt></p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Sun_Positioner...\n\
SunPositioner...</code></pre><h2 id=\"properties-\">Properties:</h2><p><strong>Display Rollout</strong></p>\n\
<p>Compass Rose Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.show_compass     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Show&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.compass_radius     Float    default: 10.0   --  animatable; worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Radius&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.north_direction_deg     Float    default: 0.0   --  animatable; float</code></pre><p>Get/set the value in degrees of the <strong>&quot;North Offset&quot;</strong> spinner.</p>\n\
<p>Sun Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.sun_distance     Float    default: 40.0   --  animatable; worldUnits</code></pre><p>Get/set the value in world units of the <strong>&quot;Distance&quot;</strong> spinner.</p>\n\
<p><strong>Sun Position Rollout</strong></p>\n\
<p>Date &amp; Time Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.mode     Integer    default: 0   --  integer</code></pre><p>Get/set the state of the <strong>&quot;Date &amp; Time&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Manual</strong> (default)</p>\n\
<p>1 - <strong>Date, Time, &amp; Location</strong></p>\n\
<p>2 - <strong>Weather Data File</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.weather_file     String    default: &quot;&quot;   --  filename; !error setting value!</code></pre><p>Get/set the file name of the <strong>&quot;Weather Data File&quot;</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.time_in_seconds     Integer    default: 43200   --  animatable; integer</code></pre><p>Get/set the time value in seconds.</p>\n\
<p>This is the internal animatable property used to store the time of day.</p>\n\
<p>The UI exposes the same value as Hours and Minutes - see the properties below.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.hours     Integer    default: 12   --  integer</code></pre><p>Get/set the value in hours of the <strong>&quot;Hours&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.minutes    Integer    default: 0   --  integer</code></pre><p>Get/set the value in minutes of the <strong>&quot;Minutes&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.julian_day     Integer    default: 2457925   --  animatable; integer</code></pre><p>The date is stored internally as a Julian Day value, where day 1 is January 1, 4713 B.C.</p>\n\
<p>However, the UI exposes the date as Gregorian calendar values by converting the Julain Day value back and forth.</p>\n\
<p>The default value is the day of the summer solstice in the year 2016 A.D.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.day   Integer    default: 21   --  integer</code></pre><p>Get/set the Gregorian calendar day converted from/to the internal Julian Day representation.</p>\n\
<p>Valid values are in the range from 1 to 31.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.month     Integer    default: 6   --  integer</code></pre><p>Get/set the Gregorian calendar month converted from/to the internal Julian Day representation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.year     Integer    default: 2017   --  integer</code></pre><p>Get/set the Gregorian calendar year converted from/to the internal Julian Day representation.</p>\n\
<p>Since the Gregorian calendar did not exist prior to October 15, 1582, the spinner in the UI is limited to a minimum value of 1583.</p>\n\
<p>Daylight Saving Time Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.dst     BooleanClass    default: true   --  animatable; boolean</code></pre><p>Get/set the state of the <strong>&quot;Daylight Saving Time&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.dst_use_date_range     BooleanClass    default: false   --  animatable; boolean</code></pre><p>Get/set the state of the <strong>&quot;Use Date Range&quot;</strong> checkbox.</p>\n\
<p>When checked, the Daylight Saving Time period can be specified manually using the following properties.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.dst_start_day     Integer    default: 15   --  animatable; integer</code></pre><p>Get/set the value of the <strong>&quot;Start / Day&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.dst_start_month     Integer    default: 3   --  animatable; integer</code></pre><p>Get/set the value of the <strong>&quot;Start / Month&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.dst_end_day     Integer    default: 1   --  animatable; integer</code></pre><p>Get/set the value of the <strong>&quot;End / Day&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.dst_end_month     Integer    default: 11   --  animatable; integer</code></pre><p>Get/set the value of the <strong>&quot;End / Month&quot;</strong> spinner.</p>\n\
<p>Location on Earth Group Of Control</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.location     String    default: &quot;San Francisco, CA&quot;   --  string;</code></pre><p>Get the location string.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.latitude_deg     Float    default: 37.795   --  animatable; float</code></pre><p>Get/set the value in degrees of the <strong>&quot;Latitude&quot;</strong> spinner.</p>\n\
<p>The default value is the latitude of San Francisco, CA.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.longitude_deg     Float    default: -122.394   --  animatable; float</code></pre><p>Get/set the value in degrees of the <strong>&quot;Longitude&quot;</strong> spinner.</p>\n\
<p>The default value is the longitude of San Francisco, CA.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.time_zone     Float    default: -8.0   --  animatable; float</code></pre><p>Get/set the value in hours of the <strong>&quot;Time Zone&quot;</strong> spinner.</p>\n\
<p>The default value of -8 is the time zone of San Francisco, CA.</p>\n\
<p>Horizontal Coordinates Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.azimuth_deg     Float    default: 128.715   --  float</code></pre><p>Get/set the value in degrees of the <strong>&quot;Azimuth&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.altitude_deg    Float    default: 69.1675  --  float</code></pre><p>Get/set the value in degrees of the <strong>&quot;Altitude&quot;</strong> spinner.</p>\n\
<p><strong>Not Exposed To The UI</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sun_Positioner&gt;.manual_sun_position     Point3    default: [11.0997,-8.89722,37.385]   --  animatable; point3</code></pre><p>Get/set the position of the sun manually via MAXScript.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Photometric-Lights.html\">Photometric Lights</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";