var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E6767B0D-B5BA-4422-A59F-FD5673FE550E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Light Common Properties, Operators, and Methods</h1></div><p>The following properties apply only to the <strong>3ds Max</strong> light types: DirectionalLight, FreeSpot, OmniLight, TargetSpot and TargetDirectionalLight.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.type Name default: #freeDirect      </code></pre><p>the valid type values are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#omni #freeSpot #targetSpot #freeDirect #targetDirect </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.enabled Boolean default: true -- alias: on </code></pre><p>Turns the light on and off. When on, shading and rendering use the light to illuminate the scene. When off, the light is not used in shading or rendering.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.excludeList Array default: #() </code></pre><p>Objects in this array are excluded from the effects of the light.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.includeList Array default: undefined </code></pre><p>Objects in this array receive the effects of the light.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Setting <strong>includelist</strong> or <strong>excludelist</strong> sets the other to <strong>undefined</strong>.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.inclExclType Integer default: 3 </code></pre><p>Select the type of object in the Include/Exclude list:</p>\n\
<p>1- Illumination</p>\n\
<p>2- Shadow Casting</p>\n\
<p>3- Both</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.castShadows Boolean default: false </code></pre><p>When on, the light will cast shadows on objects.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> In <code>3ds Max</code> , all node-level properties are searched before base-object-level properties. If a base-object property has the same name as a node-level property, you need to search in the base object for the base object property. You should use<light> . <code>baseObject.castShadows</code> instead,</light></div>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $Omni01.baseObject.castShadows = false\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.rgb Color default: (color 180 180 180) -- animatable, alias: color </code></pre><p>The red, green, and blue components of the light&apos;s color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.hsv Point3 default: [0,0,180] </code></pre><p>Hue, Saturation, and Value color of light.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.hue Integer default: 0 </code></pre><p>Hue component of <strong>hsv</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.saturation Integer default: 0 </code></pre><p>Saturation component of <strong>hsv</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.value Integer default: 180 </code></pre><p>Value component of <strong>hsv</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.multiplier Float default: 1.0 -- animatable </code></pre><p>Amplifies the power of the light by a positive or negative amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.contrast Float default: 0.0 -- animatable </code></pre><p>Adjusts the contrast between the diffuse and ambient areas of the surface. Leave this set to 0 for normal contrast. Increase the value to increase the contrast for special effects: for example, the harsh light of outer space.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.softenDiffuseEdge Float default: 0.0 -- animatable, alias: Diffuse_Soften </code></pre><p>Increasing the value of Soften Diffuse Edge softens the edge between the diffuse and ambient portions of a surface. This helps eliminate edges that can appear on a surface under certain circumstances.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.affectDiffuse Boolean default: true </code></pre><p>When on, the light affects the diffuse properties of an object&apos;s surface. When off, the light has no effect on the diffuse surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.affectSpecular Boolean default: true </code></pre><p>When on, the light affects the specular properties of an object&apos;s surface. When off, the light has no effect on the specular properties.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.ambientOnly Boolean default: false </code></pre><p>When on, the light affects only the ambient component of the illumination.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.projector Boolean default: false </code></pre><p>Turn on to project <strong>projectorMap</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.projectorMap TextureMap default: undefined </code></pre><p>Assigning a TextureMap to <strong>projectorMap</strong>causes a new subAnim named <strong>Projection_Map</strong> to be created for the light. This subAnim contains the properties of the TextureMap. You can set the property to <strong>undefined</strong> to remove the map.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Assigning a Projector TextureMap adds a subAnim to the properties list. The properties of the subAnim are the properties of the TextureMap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.useShadowProjectorMap Boolean default: false </code></pre><p>When on, the light will project a map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.nearAttenStart Float default: 0.0 -- alias: animatable, alias: Attenuation_Near_Start </code></pre><p>The distance at which the light begins to fade in.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.nearAttenEndFloat default: 40.0 -- alias: animatable, alias: Attenuation_Near_End </code></pre><p>The distance at which the light reaches its full value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.useNearAtten Boolean default: false </code></pre><p>Enables/Disables near attenuation for the light.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.showNearAtten Boolean default: false </code></pre><p>When on, displays the near attenuation range settings in viewports. For spotlights, attenuation ranges appear as lens-shaped sections of the cone. For directional lights, the ranges appear as circular sections of the cone. For omni lights and spot or directional lights with Overshoot turned on, the ranges appear as spheres.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.farAttenStart Float default: 80.0 -- animatable, alias: Attenuation_Far_Start </code></pre><p>The distance at which the light begins to fade out.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.farAttenEnd Float default: 200.0 -- animatable, alias: Attenuation_Far_End </code></pre><p>The distance at which the light has faded to zero.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.useFarAtten Boolean default: false </code></pre><p>Enables/Disables far attenuation for the light.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.showFarAtten Boolean default: false </code></pre><p>Displays the far attenuation range settings in viewports. For spotlights, attenuation ranges appear as lens-shaped sections of the cone. For directional lights, the ranges appear as circular sections of the cone. For omni lights and spot or directional lights with Overshoot turned on, the ranges appear as spheres.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.attenDecay Integer default: 1 </code></pre><p>The type of decay to use:</p>\n\
<p>1 - <strong>None</strong> (Applies no decay. The light maintains full strength from its source to infinity, unless you turn on far attenuation.)</p>\n\
<p>2 - <strong>Inverse</strong> (Applies inverse decay. The formula is luminance=R 0 /R, where <em>R</em> 0 is the radial source of the light if no attenuation is used, or the Near End value of the light if Attenuation is used. <em>R</em> is the radial distance of the illuminated surface from R 0 .)</p>\n\
<p>3 - <strong>Inverse Square</strong> (Applies inverse-square decay. The formula for this is (R 0 /R) 2 . This is actually the &quot;real-world&quot; decay of light, but you might find it too dim in the world of computer graphics.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.DecayRadius Float default: 40.0 -- animatable, alias: Decay_Falloff </code></pre><p>The distance over which the decay occurs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.useGlobalShadowSettings Boolean default: false </code></pre><p>Turn on to use global settings for shadows cast by this light. Turn off to enable individual control of the shadows.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.raytracedShadows Boolean default: false </code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This property should <strong>not</strong> be used in <strong>3ds Max 5 and higher</strong>. Please use the <code>.shadowGenerator</code> property described below to assign a shadow generator to the light.</p>\n\
<p>In versions prior to <strong>3ds Max 5</strong>, this property controlled the raytraced shadows generator usage. When <code>true</code> , a raytraceShadow class instance was assigned automatically. When <code>false</code> ,a shadowMap class instance was assigned automatically.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.maxDepth     Integer    default: 7   --  animatable; integer; Max_Quadtree_Depth</code></pre><p>The maximum quadtree depth setting for ray traced shadows.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.raytraceBias     Float    default: 0.2   --  animatable; float; Bias</code></pre><p>The Ray Bias amount for ray traced shadows.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.twoSidedShadows     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the 2 Sided Shadows setting for ray traced shadows.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.shadowGenerator shadowMap default: shadowMap:shadowMap -- SubAnim </code></pre><p>The shadow generator class used by the light. Can be a <a href=\"./../../../../Shadow-MAXWrapper/ShadowMap-Shadow.html\">shadowMap</a>,<a href=\"./../../../../Shadow-MAXWrapper/RaytraceShadow-Shadow.html\">raytraceShadow</a>,<a href=\"./../../../../Shadow-MAXWrapper/Adv__Ray_traced-Shadow.html\">Adv__Ray_traced</a> or <a href=\"./../../../../Shadow-MAXWrapper/Area_Shadows-Shadow.html\">Area_Shadows</a> class instance. See also <a href=\"./../../../../../Frequently-Asked-Questions/Practical-Questions/Accessing-Object-Properties/How-do-I-change-the-Shadow-type.html\">MAXScript FAQ: How do I change the Shadow type of a Light?</a></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --assign shadow map shadows to the light Omni01:\n\
   $Omni01.shadowGenerator = shadowMap()\n\
   -- assign ractraced shadows to light Omni02:\n\
   $Omni02.shadowGenerator = raytraceShadow()\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.ShadowColor Color default: (color 0 0 0) -- animatable, alias: Shadow_Color </code></pre><p>The color of shadows cast by this light.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.shadowMultiplier Float default: 1.0 -- animatable, alias: Shadow_Density </code></pre><p>Controls the density of the shadow. Lower values make the shadow more transparent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.shadowProjectorMap TextureMap default: undefined </code></pre><p>Assigning a TextureMap to <code>shadowProjectorMap</code> causes a new subAnim named <code>Shadow_Projection_Map</code> to be created for the light. This subAnim contains the properties of the TextureMap. You can set the property to <code>undefined</code> to remove the map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.twoSidedShadows Boolean default: true </code></pre><p>When on, backfaces are not ignored when calculating shadows. Objects seen from the inside are not lit by lights from the outside. This costs a bit more render time. When off, backfaces are ignored. Rendering is quicker, but outside lights illuminate object interiors.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.lightAffectsShadow Boolean default: false </code></pre><p>When on, blends the light&apos;s color with the shadow color (or shadow colors, if the shadow is mapped).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.atmosShadows Boolean default: true </code></pre><p>When on, atmospheric effects cast shadows as the light passes through them.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.atmosOpacity Float default: 100.0 -- animatable, percentage, alias: Atmosphere_Opacity </code></pre><p>Adjusts the opacity of the shadows. This value is a percentage.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;light&gt;.atmosColorAmt Float default: 100.0 -- animatable, percentage, alias: Atmosphere_Color_Amount </code></pre><p>Adjusts the amount that the atmosphere&apos;s color is blended with the shadow color.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Standard-Lights.html\">Standard Lights</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";