var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-20DA1210-561D-4070-A19B-C8360F350243\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Shape Common Properties, Operators, and Methods</h1></div><p><strong>General Methods</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">numKnots&lt;shape&gt; [ &lt;spline_index_integer&gt; ]      </code></pre><p>Returns the number of knots (also known vertices or control points) in the indexed spline as an integer. If the spline index is not specified, returns the number of knots in the entire shape.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   y = donut()\n\
   numKnots y</code></pre></blockquote>\n\
<p><strong>Interpolation Methods</strong>:</p>\n\
<p>There are a number of interpolation functions that operate on <strong>shape</strong> scene objects. They provide capabilities such as stepping along a curve within a shape getting coordinates on the curve, getting curve lengths or determining the closest point on a curve to a given coordinate. These are useful for placing cloned objects along a curve or keeping a set of objects in formation near a &apos;spine&apos;curve as it animates, etc.</p>\n\
<p>The interpolators all take a shape scene object (for example, a line), an optional curve number in case there are several curves in the shape, defaulting to 1, and a <strong>parameter</strong> in the range <strong>0.0</strong> to <strong>1.0</strong>, that specifies a spot on the curve as a proportion along its length. There are two types of interpolator provided:</p>\n\
<ul>\n\
<li><p>One interpolator matches the <strong>3ds Max</strong> Path controller in which the percentage along the path is not uniform, but weighted by the vertex spacing. This simple interpolation is interpolating based on parameter space. If a spline has 4 segments, the first segment is parameter values 0-0.25, the second 0.25-0.5, the third 0.5-0.75 and the fourth 0.75-1.0. This is regardless of the length of each segment.</p>\n\
</li>\n\
<li><p>Another interpolator that gives you a <strong>uniform</strong> interpolation along the length of the curve. This interpolation normalizes the parameter space to distance along the length of a spline. So parameter space 0 is the start, 1.0 is the end and 0.5 is halfway along the actual length of the curve.</p>\n\
</li>\n\
</ul>\n\
<p>The non-uniform Path interpolator in <strong>3ds Max</strong> gives rise to the varying velocity of a path-animated object when the path has unevenly spaced control points. The arc-length interpolators provided here give a uniform placing along the curve no matter how uneven the control point placement. The advantage of the Path interpolator is that it is computationally much more efficient than a uniform arc-length interpolator. The length interpolator uses some caches to speed it up, but you have to help manage them in the way described below.</p>\n\
<p>The optional <strong>steps:</strong> keyword argument for the methods listed below lets you specify the integration steps. The default <strong>steps</strong> value is 5 times the curve&apos;s <strong>3ds Max</strong> unit length, which usually is more than enough. For example, if a curve has a length of 100 <strong>3ds Max</strong>units, the default step size would be 500. The interpolation algorithm has an accuracy of no better than + or - <strong>(1/steps) 3ds Max</strong> units. These methods employ a cache to speed up their operation in the common case where you step gradually along a single curve. The cache remembers the state for the last point on the curve and picks up there if you call again on the same curve at the same animation time. This can exponentially speed up interpolation processing. However, MAXScript does not have a way of knowing if you&apos;ve edited the curve from one call to the next, so you have to be sure to reset the cache with the <strong>resetLengthInterp()</strong> method if the user can edit the curve between calls in your code.</p>\n\
<p>All coordinates are in the current coordinate system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathInterp&lt;shape&gt; [ &lt;curve_num&gt; ] &lt;parameter&gt;   </code></pre><p>Return a point3 coordinate on the numbered curve (defaults to 1) corresponding to the parameter value (0.0 to 1.0) that matches the <strong>3ds Max</strong> Path controller percentage (vertex-based) interpolation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lengthInterp&lt;shape&gt; [ &lt;curve_num&gt; ] &lt;parameter&gt; [  steps:&lt;integer&gt; ] </code></pre><p>Return a point3 coordinate on the numbered curve (defaults to 1) corresponding to the parameter value (0.0 to 1.0) that is that fraction along the curve&apos;s total length.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">resetLengthInterp () </code></pre><p>Clear length interpolation cache. Use this if the curve you are length-interpolating along might have been edited between calls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">curveLength&lt;shape&gt; [ &lt;curve_num&gt; ] </code></pre><p>Return the arc length of the numbered curve. This length does not reflect any transform level scaling performed on the shape.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathTangent&lt;shape&gt; [ &lt;curve_num&gt; ] &lt;parameter&gt; </code></pre><p>Return the tangent direction vector at the <strong>3ds Max</strong> Path (vertex-based) interpolated point along the specified curve. You can use this function, for example, to set an object&apos;s direction to follow the curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lengthTangent&lt;shape&gt; [ &lt;curve_num&gt; ] &lt;parameter&gt; [steps:&lt;integer&gt; ] </code></pre><p>Return the tangent direction vector at the arc-length-interpolated point along the specified curve. You can use this function to set an object&apos;s direction to follow the curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nearestPathParam&lt;shape&gt; [ &lt;curve_num&gt; ] &lt;point3&gt; [steps:&lt;integer&gt; ] </code></pre><p>Return the interpolation parameter value (0.0 to 1.0) corresponding to the point along the curve that is closest to the given <code>&lt;point3&gt;</code> coordinate. The parameter is given as a <strong>3ds Max</strong>Path (vertex-based) interpolation parameter value. You can then use <code>pathInterp</code> with this value to find the nearest point&apos;s coordinates, or use one of the following functions for converting between arc-length parameters and <strong>3ds Max</strong> Path percentage parameters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathToLengthParam&lt;shape&gt; [ &lt;curve_num&gt; ] &lt;parameter&gt; [steps:&lt;integer&gt; ] </code></pre><p>Return the uniform arc-length length parameter corresponding to the given <strong>3ds Max</strong> Path (vertex-based) parameter for this curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lengthToPathParam&lt;shape&gt; [ &lt;curve_num&gt; ] &lt;parameter&gt; [steps:&lt;integer&gt; ] </code></pre><p>Return the <strong>3ds Max</strong> Path (vertex-based) parameter corresponding to the given uniform arc-length parameter for this curve.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Shape-Node.html\">Shape : Node</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";