var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7B6715E9-02B0-4828-88AC-73C982B2B46A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Pipe: shape</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Pipe : shape {199a,0} </code></pre><p>Used by the <a href=\"./../../../../Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Sweep-Modifier.html\">Sweep modifier</a>. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>Most of the renderable shape properties documented below are not really necessary as the shape is being used mainly as cross-section in the Sweep modifier.</p>\n\
<p>It is technically possible to get the 7th cross-section instance from a Sweep modifier and assign to another scene node to get a working Pipe shape in the viewport and the Modifier panel though.</p>\n\
<p>Some cross-section properties like Auto-Smooth Threshold for example have not been exposed.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript </code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"parameters-rollout\">Parameters Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.radius </code></pre><p>Get/Set the outer radius of the pipe.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.pipe_thickness </code></pre><p>Get/Set the thickness of the pipe.</p>\n\
<h2 id=\"interpolation-rollout\">Interpolation Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.steps </code></pre><p>Get/Set the number of interpolation steps.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.optimize </code></pre><p>Get/Set the state of the <strong>Optimize</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.adaptive </code></pre><p>Get/Set the state of the <strong>Adaptive</strong> checkbox.</p>\n\
<h2 id=\"rendering-rollout\">Rendering Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.render_renderable \n\
&lt;Pipe&gt;.baseobject.renderable </code></pre><p>Toggles the &quot;Enable In Renderer&quot; checkbox on and off. When set to true, the mesh will be displayed in the production renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.displayRenderMesh \n\
&lt;Pipe&gt;.render_displayRenderMesh </code></pre><p>Toggles the &quot;Enable In Viewport&quot; checkbox on and off. When set to true, the mesh will be displayed in the viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.useViewportSettings \n\
&lt;Pipe&gt;.render_useViewportSettings </code></pre><p>Toggles the &quot;Use Viewport Settings&quot; checkbox on and off. When set to true, the mesh displayed in the viewport will use the Viewport settings. When false, the Renderer settings will be used for the viewport mesh, too.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.mapcoords &lt;Pipe&gt;.render_mapcoords </code></pre><p>Toggles mapping coordinates generation on and off. The U coordinate wraps once around the thickness of the spline; the V coordinate is mapped once along the length of the spline.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.realWorldMapSize </code></pre><p>Toggles the real-world map size option on and off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.displayRenderSettings \n\
&lt;Pipe&gt;.render_displayRenderSettings </code></pre><p>Toggles the state of the Viewport/Renderer radio buttons. When set to true, the Renderer settings will be displayed in the rollout. When false, the Viewport settings will be shown instead.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.render_rectangular </code></pre><p>When set to true, enables the Rectangular cross-section mode to be used in the renderer. When false (default), enables the Radial cross-section mode. Corresponds to the Radial/Rectangular radio buttons in the UI in Renderer mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.render_viewport_rectangular </code></pre><p>When set to true, enables the Rectangular cross-section mode to be used in the viewports. When false (default), enables the Radial cross-section mode. Corresponds to the Radial/Rectangular radio buttons in the UI in Viewport mode.</p>\n\
<h2 id=\"renderer-radial-cross-section\">Renderer - Radial Cross-Section</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.thickness </code></pre><p>Get/Set the thickness of the renderer radial cross-section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.sides </code></pre><p>Get/Set the number of sides in the renderer radial cross-section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.angle </code></pre><p>Get/Set the rotational position of the renderer radial cross-section.</p>\n\
<h2 id=\"renderer-rectangular-cross-section\">Renderer - Rectangular Cross-Section</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.render_aspect_locked </code></pre><p>Controls the state of the Aspect Lock checkbutton. When set to true, changing the Width will affect the Height and vice-versa, preserving the aspect at the time the lock was engaged.</p>\n\
<h2 id=\"viewport-radial-cross-section\">Viewport - Radial Cross-Section</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.viewport_thickness &lt;Pipe&gt;.render_viewport_thickness </code></pre><p>Get/Set the diameter of the Radial renderable spline mesh in the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.viewport_sides &lt;Pipe&gt;.render_viewport_sides </code></pre><p>Gets/Sets the number of sides for the Radial spline mesh in the viewports. A value of 4 will give you a square cross section, for example.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.viewport_angle &lt;Pipe&gt;.render_viewport_angle </code></pre><p>Gets/Sets the rotational position of the cross-section in the viewports.</p>\n\
<h2 id=\"viewport-rectangular-cross-section\">Viewport - Rectangular Cross-Section</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.render_viewport_length </code></pre><p>Get/Set the length of the Rectangular spline mesh in the viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.render_viewport_width </code></pre><p>Get/Set the width of the Rectangular spline mesh in the viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.render_viewport_angle2 </code></pre><p>Get/Set rotational position of the Rectangular cross-section in the viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.render_viewport_aspect_locked </code></pre><p>Controls the state of the Aspect Lock checkbutton. When set to true, changing the Width will affect the Height and vice-versa, preserving the aspect at the time the lock was engaged.</p>\n\
<h2 id=\"auto-smooth\">Auto Smooth</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pipe&gt;.render_auto_smooth </code></pre><p>Controls the state of the Auto Smooth checkbox. When set to true, auto smoothing will be enabled.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Shapes-Other.html\">Shapes - Other</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";