var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-43FA5D4D-72E1-4275-97E3-87C78E777B7D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Drag - superclass: SpacewarpObject</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Drag - superclass: SpacewarpObject; super-superclass:node - 29:0 - classID: #(1173650369, 674975258) </code></pre><p><img src=\"./images/GUID-2C9EA078-0CBA-4C2B-BD55-5E1E23A30F9F-low.gif\" alt></p>\n\
<p>The Drag space warp is a particle motion damper that reduces particle velocity by a specified amount within a specified range. The damping can be applied linearly, spherically, or cylindrically. Drag is useful for simulating wind resistance, transfers into dense media (like water), impacts with force fields, and other, similar situations.</p>\n\
<p>With each damping type, you can control the damping effect along several vectors. The damping is also affected by particle system settings, such as speed.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Drag ... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.&apos;time on&apos; Integer default: 0 -- integer; Time_On </code></pre><p>The frame numbers at which the space warp becomes active and becomes inactive.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.&apos;time off&apos; Integer default: 16000 -- animatable; integer; Time_Off </code></pre><p>The frame numbers at which the space warp becomes active and becomes inactive.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.symmetry Integer default: 0 -- radio button number; Damping_Symmetry </code></pre><p>This group lets you choose Linear Damping, Spherical Damping, or Cylindrical Damping, plus a set of parameters for each.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.dampingx Float default: 5.0 -- animatable; percentage; X_Damping </code></pre><p>Specifies the percentage of particle motion along the local Drag space warp axis that&apos;s affected by the damping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.rangex Float default: 100.0 -- animatable; float; X_Range </code></pre><p>Sets the thickness of the &quot;range plane,&quot; or the infinite plane perpendicular to the specified axis. Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.falloffx Float default: 1000.0 -- animatable; float; X_Falloff </code></pre><p>Specifies the distance beyond the X, Y, or Z Range within which Linear Damping is applied. Damping is strongest at the Range distance, decreases linearly out to the limit of the Falloff, and has no effect beyond that. While Falloff is effected only beyond the Range, it is measured from the center of the icon, and always has a minimum value equal to the Range value. Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.dampingy Float default: 5.0 -- animatable; percentage; Y_Damping </code></pre><p>Specifies the percentage of particle motion along the local Drag space warp axis that&apos;s affected by the damping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.rangey Float default: 100.0 -- animatable; float; Y_Range </code></pre><p>Sets the thickness of the &quot;range plane,&quot; or the infinite plane perpendicular to the specified axis. Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.falloffy Float default: 1000.0 -- animatable; float; Y_Falloff </code></pre><p>Specifies the distance beyond the X, Y, or Z Range within which Linear Damping is applied. Damping is strongest at the Range distance, decreases linearly out to the limit of the Falloff, and has no effect beyond that. While Falloff is effected only beyond the Range, it is measured from the center of the icon, and always has a minimum value equal to the Range value. Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.dampingz Float default:5.0 -- animatable; percentage; Z_Damping </code></pre><p>Specifies the percentage of particle motion along the local Drag space warp axis that&apos;s affected by the damping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.rangez Float default: 100.0 -- animatable; float; Z_Range </code></pre><p>Sets the thickness of the &quot;range plane,&quot; or the infinite plane perpendicular to the specified axis. Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.falloffz Float default: 1000.0 -- animatable; float; Z_Falloff </code></pre><p>Specifies the distance beyond the X, Y, or Z Range within which Linear Damping is applied. Damping is strongest at the Range distance, decreases linearly out to the limit of the Falloff, and has no effect beyond that. While Falloff is effected only beyond the Range, it is measured from the center of the icon, and always has a minimum value equal to the Range value. Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.dampingr Float default: 5.0 -- animatable; percentage; Radial_Damping </code></pre><p>Radial specifies the percentage of particle motion toward or away from the center of the Drag icon that&apos;s affected by the damping. Tangential specifies the percentage of particle motion across the body of the Drag icon that&apos;s affected by the damping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.ranger Float default: 100.0 -- animatable; float; Radial_Range </code></pre><p>Specifies the distance from the center of the Drag icon, in system units, within which damping is in full effect. Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.falloffr Float default: 1000.0 -- animatable; float; Radial_Falloff </code></pre><p>Specifies the distance beyond the Radial/Tangential Range within which Linear Damping is applied. Damping is strongest at the Range distance, decreases linearly out to the limit of the Falloff, and has no effect beyond that. While Falloff is effected only beyond the Range, it is measured from the center of the icon, and always has a minimum value equal to the Range value. Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.dampinggc Float default:5.0 -- animatable; percentage; Tangential_Damping </code></pre><p>Radial specifies the percentage of particle motion toward or away from the center of the Drag icon that&apos;s affected by the damping. Tangential specifies the percentage of particle motion across the body of the Drag icon that&apos;s affected by the damping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.rangegc Float default: 100.0 -- animatable; float; Tangential_Range </code></pre><p>Specifies the distance from the center of the Drag icon, in system units, within which damping is in full effect. Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.falloffgc Float default: 1000.0 -- animatable; float; Tangential_Falloff </code></pre><p>Specifies the distance beyond the Radial/Tangential Range within which Linear Damping is applied. Damping is strongest at the Range distance, decreases linearly out to the limit of the Falloff, and has no effect beyond that. While Falloff is effected only beyond the Range, it is measured from the center of the icon, and always has a minimum value equal to the Range value. Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.dampingrc Float default: 5.0 -- animatable; percentage; Radial_Damping </code></pre><p>Damping controls the percentage of particle motion toward or away from the center of the circular portion of the icon (Radial), across the radial vector (Tangential), or along the length of the icon&apos;s long axis (Axial) that&apos;s affected by the damping, on a per-frame basis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.rangerc Float default: 100.0 -- animatable; float; Radial_Range </code></pre><p>Specifies the distance from the center of the Drag icon, in system units, within which Radial and Axial damping are in full effect. Range also specifies the thickness of the infinite plane that governs the range of Axial damping. Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.falloffrc Float default: 1000.0 -- animatable; float; Radial_Falloff </code></pre><p>Specifies the distance beyond the Radial/Tangential/Axial Range within which Linear Damping is applied. Damping is strongest at the Range distance, decreases linearly out to the limit of the Falloff, and has no effect beyond that. While Falloff is effected only beyond the Range, it is measured from the center of the icon, and always has a minimum value equal to the Range value. Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.dampingc Float default:5.0 -- animatable; percentage; Tangential_Damping </code></pre><p>Damping controls the percentage of particle motion toward or away from the center of the circular portion of the icon (Radial), across the radial vector (Tangential), or along the length of the icon&apos;s long axis (Axial) that&apos;s affected by the damping, on a per-frame basis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.rangec Float default: 100.0 -- animatable; float; Tangential_Range </code></pre><p>Specifies the distance from the center of the Drag icon, in system units, within which Radial and Axial damping are in full effect. Range also specifies the thickness of the infinite plane that governs the range of Axial damping. Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.falloffc Float default: 1000.0 -- animatable; float; Tangential_Falloff </code></pre><p>Specifies the distance beyond the Radial/Tangential/Axial Range within which Linear Damping is applied. Damping is strongest at the Range distance, decreases linearly out to the limit of the Falloff, and has no effect beyond that. While Falloff is effected only beyond the Range, it is measured from the center of the icon, and always has a minimum value equal to the Range value. Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.dampingax Float default: 5.0 -- animatable; percentage; Axial_Damping </code></pre><p>Damping controls the percentage of particle motion toward or away from the center of the circular portion of the icon (Radial), across the radial vector (Tangential), or along the length of the icon&apos;s long axis (Axial) that&apos;s affected by the damping, on a per-frame basis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.rangeax Float default: 100.0 -- animatable; float; Axial_Range </code></pre><p>Specifies the distance from the center of the Drag icon, in system units, within which Radial and Axial damping are in full effect. Range also specifies the thickness of the infinite plane that governs the range of Axial damping. Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.falloffax Float default: 1000.0 -- animatable; float; Axial_Falloff </code></pre><p>Specifies the distance beyond the Radial/Tangential/Axial Range within which Linear Damping is applied. Damping is strongest at the Range distance, decreases linearly out to the limit of the Falloff, and has no effect beyond that. While Falloff is effected only beyond the Range, it is measured from the center of the icon, and always has a minimum value equal to the Range value. Takes effect only when Unlimited Range is turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.rangeless Boolean default: true -- boolean; Unlimited_Range </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Drag&gt;.iconsize Float default: 10.0 -- float; Icon_Size </code></pre><p>Specifies the size of the icon.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Spacewarp-Deflectors.html\">Spacewarp - Deflectors</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifier-and-SpacewarpModifier-1.html\">Modifier and SpacewarpModifier Types</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";