var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9EEFF581-95CC-4D3C-887F-A7E1B2752C4F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Daylight : System</h1></div><p><img src=\"./images/GUID-1D99D68C-E2EF-4209-B7F2-45D1FE4D3444-low.gif\" alt></p>\n\
<p><strong>Daylight system objects are not creatable by MAXScript</strong>.</p>\n\
<p>A Daylight system is comprised of a <a href=\"./../Helper-Node/Helper-Standard/Compass-Helper.html\">Compass Helper</a> object and an Assembly containing an <a href=\"./../Light-Node/Photometric-Lights/IES_Sun-Light.html\">IES_Sun</a> and an <a href=\"./../Light-Node/Photometric-Lights/IES_Sky-Light.html\">IES_Sky</a> object using a <a href=\"./../Helper-Node/Helper-Assembly-Head/DaylightAssemblyHead-Helper.html\">DaylightAssemblyHead</a>. The Light objects can be accessed as properties of the Assembly Head.</p>\n\
<p>The Assembly&apos;s transform is controlled by a set of controllers, which are sub-controllers of a <strong><code>Sunlight_Driven_Controller</code></strong> controller. To access the controller, create a Daylight system using the Create&gt;Systems tab in the UI and use:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">$Daylight001.controller\n\
Controller:Sunlight_Driven_Controller\n\
</code></pre>\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Prior to <em>3ds Max 2022</em> this class was called <code>Sunlight_Driven_Controller</code>.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sunlight_Driven_Controller&gt;.solar_time Float -- subAnim[3]</code></pre><p>The solar time expressed as an integer value of seconds since midnight. To calculate the hours, minutes and seconds, you can use the following function:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn TimeFromSolarTime dlSystem =\n\
   (\n\
   local solar_time = dlSystem.controller.solar_time.controller.value\n\
   local hrs = int solar_time-- full hours in the solar_time value\n\
   local min = int((solar_time-hrs)*60.0)-- full minutes in the difference between the full time and the full hours\n\
   local sec = int((solar_time-hrs-min/60.0)*3600+ 0.5)-- full seconds in the rest of the value\n\
   #(hrs,min,sec)-- return the result as a 3 elementsarray\n\
   )\n\
\n\
   TimeFromSolarTime $Daylight001\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sunlight_Driven_Controller&gt;.solar_date Float -- subAnim[4]</code></pre><p>The solar date represents the days offset fromJune 21 st , the date of the Summer Solstice. You should access the .solar_date.controller.value to get the correct value as a Float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sunlight_Driven_Controller&gt;.latitude Float -- subAnim[5]</code></pre><p>The viewer location&apos;s latitude.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sunlight_Driven_Controller&gt;.longitude Float -- subAnim[6]</code></pre><p>The viewer location&apos;s longitude.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sunlight_Driven_Controller&gt;.orbital_scale Float -- subAnim[7]</code></pre><p>The Orbital scale controls the distance of the Assembly from the Compass Helper.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sunlight_Driven_Controller&gt;.sky_cover Float -- subAnim[8]</code></pre><p>The Sky cover value, 0.0 means Clear, 1.0 means Cloudy.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sunlight_Driven_Controller&gt;.manual_position Transform -- subAnim[9]</code></pre><p>Contains a PRS Controller to hold the manual transforms.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Sunlight_Driven_Controller&gt;.manual_intensity Float -- subAnim[10]</code></pre><p>Set the intensity when in manual mode.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../System-Node.html\">System : Node</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Helper-Node/Helper-Standard/Compass-Helper.html\">Compass : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../Light-Node/Photometric-Lights/IES_Sky-Light.html\">IES_Sky : Light</a></li>\n\
          <li><a class=\"link\" href=\"../Light-Node/Photometric-Lights/IES_Sun-Light.html\">IES_Sun : Light</a></li>\n\
          <li><a class=\"link\" href=\"../Helper-Node/Helper-Assembly-Head/DaylightAssemblyHead-Helper.html\">DaylightAssemblyHead : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-DaylightSystemFactory2.html\">Interface: DaylightSystemFactory2</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";