var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-090B28AB-5710-45BB-B324-8B6FD131A3C8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>XRefScene Values</h1></div><p>An <strong>XRefScene</strong> value represents an XRef Scene object in <strong>3ds Max</strong>. An XRefScene value is returned when the <code>*xrefs.addNewXRefFile()*</code> and <code>*xrefs.getXRefFile()*</code> functions are called.</p>\n\
<p>XRef Scene objects can be nested. For example, scene file A can contain an XRef Scene object specifying XRef file B, and XRef file B can contain an XRef Scene object specifying XRef file C (eg: A xrefs B, and B xrefs C). To provide access to the nested XRef scene objects, the applicable XRefScene methods provide an optional root keyword parameter. If this argument is provided then these methods act on the root node of the specified XRefScene value, otherwise they act on root node of the current scene. To get to C from A, you load A and do something like:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   bXref = xrefs.getXRefFile 1-- taken from root node of current scene\n\
   cXref = xrefs.getXRefFile 1 root:bXref-- taken from root of bXref\n\
   cRoot = cXref.tree -- to get root of C \n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Scenes with a script controller whose script has explicit references ($sphere01, etc.) to objects in an incoming xref scene have a problem where the objects in the xref scene are invisible to MAXScript, and so the script will fail. This is actually a general problem with xrefs, you cannot have scripts of any kind in the xref scene (scripts controllers, param wires, callback scripts, etc.) that depend on explicit scene object references.</p>\n\
<p>This problem has been solved in <strong>3ds Max 8</strong> and higher where scripted controllers store references using parameter blocks and can resolve them within nested xrefs.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xrefs.addNewXRefFile &lt;filename_string&gt; [        #noLoad] [        root: &lt;XRefScene&gt;]      </code></pre><p>Adds a new XRef Scene object and returns a XRefScene value. If <code>*#noLoad*</code> is not specified, the XRef Scene file is loaded immediately and the scene updated. If <code>*#noLoad*</code> is specified, the scene is not updated until the user requests it. Use the <code>*updateXRef()*</code> method to load the XRef Scene object.</p>\n\
<p>If <code>*root:&lt;XRefScene&gt;*</code> is specified, the XRef Scene object is treated in the current file during the current session as if it was an XRef Scene object in the file corresponding to the XRefScene value specified. If the specified root XRef Scene object is reloaded, either because the current scene was saved and then reloaded, or because <code>*updateXRef()*</code> was executed on the root XRef Scene object, the XRef Scene object is deleted from the scene.</p>\n\
<p><code>*xrefs.addNewXRefFile*</code> does not return an error when passed a DRF file - it will return a value different from undefined, and the xref-ed DRF file will appear in red, meaning that there is a &quot;problem&quot; with it. This behaviour is the same as if the user would have opened a DRF file in the File Xref Scene | Add dialog after choosing the All Files filter (<em>.</em>)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xrefs.getXRefFile &lt;index&gt; [     root: &lt;XRefScene&gt;]   </code></pre><p>If <code>*root*</code> is not specified, returns the XRefScene value corresponding to the indexed XRef Scene object in the XRef Scenes dialog. If the <code>*root:&lt;XRefScene&gt;*</code> is specified, the XRefScene value corresponding to a nested XRef Scene object within the XRefScene&apos;s XRef Scene object is returned. The index is 1-based, and corresponds to the order of the XRef Scene objects listed in the XRef Scenes dialog. You can use the <code>*xrefs.getXRefFileCount()*</code> method to determine the number of XRef Scene objects in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RootNode&gt; as XRefScene</code></pre><p>Available in <strong>3ds Max 2018 and higher</strong>: The &quot;owning&quot; XRefScene for this XRef Scene object. This is a read-only property. If this is a top level XRefScene, this returns undefined .</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   aXref = xrefs.getXRefFile 1 --&gt; XRefScene:&quot;xrefed_teapot.max&quot;\n\
   bXref = xrefs.getXRefFile 1 root:aXref --&gt; XRefScene:&quot;teapot.max&quot;\n\
   aXref.owner --&gt; $&lt;root&gt;\n\
   classof aXref.owner --&gt; MAXRootNode\n\
   aXref.root --&gt; undefined\n\
   bXref.owner --&gt; $&lt;root&gt;\n\
   classof bXref.owner --&gt; MAXRootNode\n\
   bXref.root --&gt; XRefScene:&quot;xrefed_teapot.max&quot;\n\
   classof bXref.root --&gt; XRefScene</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefScene&gt;.tree : MAXRootNode</code></pre><p>The root node of the XRef Scene object. This is a read-only property. You can access the children objects in an XRef Scene object using this property.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   aXref=xrefs.getXRefFile 1-- returns first XRef Scene object\n\
   aXref.tree.children-- objects in the XRef Scene object,\n\
   -- for example, may return:\n\
   -- #children($Box01, $Box02)\n\
   aXref.tree.children[1].width-- returns width value of $Box01\n\
   -- Get user defined properties\n\
   getUserPropBuffer (aXref.tree)\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefScene&gt;.parent Node default: undefined </code></pre><p>The parent of the XRef Scene object. By default this is <code>*undefined*</code> but can be set to any node in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefScene&gt;.autoUpdate Boolean default: false </code></pre><p>If <strong>true</strong>, automatic XRef file updating is on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefScene&gt;.boxDisp Boolean default: false </code></pre><p>If <strong>true</strong>, all nodes the in the XRef Scene object are displayed in Box display mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefScene&gt;.hidden Boolean default: false </code></pre><p>If <strong>true</strong>, the XRef Scene object is hidden.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefScene&gt;.disabled Boolean default: false </code></pre><p>If <strong>true</strong>, the XRef Scene object is disabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefScene&gt;.ignoreLights Boolean default: false </code></pre><p>If <strong>true</strong>, the lights in the XRef Scene object will not be displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefScene&gt;.ignoreCameras Boolean default: false </code></pre><p>If <strong>true</strong>, the cameras in the XRef Scene object will not be displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefScene&gt;.ignoreShapes Boolean default: false </code></pre><p>If <strong>true</strong>, the shapes in the XRef Scene object will not be displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefScene&gt;.ignoreHelpers Boolean default: false </code></pre><p>If <strong>true</strong>, the helpers in the XRef Scene object will not be displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefScene&gt;.ignoreAnimation Boolean default: false </code></pre><p>If <strong>true</strong>, any animation in the XRef Scene object will be ignored.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRefScene&gt;.overlay Boolean default: false </code></pre><p>If <strong>true</strong>, treats the XRef scene as an overlay. Overlays allow multiple scene references without the risk of creating circular dependencies. The XRef scene with <strong>overlay = true</strong> is loaded only into the main scene that references it, and is not visible in other scenes that might XRef the main file that uses the overlay.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delete &lt;XRefScene&gt; </code></pre><p>Deletes the XRef Scene object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">merge &lt;XRefScene&gt; </code></pre><p>Merges the nodes in the XRef Scene object into the scene and deletes the XRef Scene object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">updateXRef &lt;XRefScene&gt; </code></pre><p>Tries to reload the XRef Scene object. Returns <code>*true*</code> if the operation is successful, <code>*false*</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flagChanged &lt;XRefScene&gt; </code></pre><p>This method indicates that the specified XRef Scene object has been changed and should be updated. Use the <code>*xrefs.updateChangedXRefs()*</code> method to update the changed XRef Scene objects.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xrefs.getXRefFileCount [root: &lt;XRefScene&gt;] </code></pre><p>If <code>*root*</code> is not specified, returns the total number of top-level XRef Scene objects in the scene. If the <code>*root:&lt;XRefScene&gt;*</code> is specified, the total number of XRef Scene objects in the nested XRef file within the XRefScene&apos;s XRef file is returned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xrefs.deleteAllXRefs [root: &lt;XRefScene&gt;] </code></pre><p>If <code>*root*</code> is not specified, deletes all XRef Scene objects. If the <code>*root:&lt;XRefScene&gt;*</code> is specified, only the specified XRefScene&apos;s XRef Scene object, and its nested XRef Scene objects, are deleted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xrefs.updateChangedXRefs [#noRedraw] [root: &lt;XRefScene&gt;] </code></pre><p>If <code>*root*</code> is not specified, updates all XRef Scene objects flagged as changed. If the <code>*root:&lt;XRefScene&gt;*</code> is specified, only the specified XRefScene&apos;s XRef Scene objects flagged as changed are updated. If <code>*#noRedraw*</code> is specified, the viewports won&apos;t be updated after the XRef Scene objects are loaded. Returns <code>*true*</code> if the XRef Scene objects were loaded okay, otherwise <code>*false*</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xrefs.findUnresolvedXRefs [root: &lt;XRefScene&gt;] </code></pre><p>If <code>*root*</code> is not specified, returns an array of file name strings for all the unresolved XRef Scene objects. If the <code>*root:&lt;XRefScene&gt;*</code> is specified, only the unresolved XRef Scene objects within the specified XRefScene&apos;s XRef Scene object are returned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xrefs.attemptUnresolvedXRefs [root: &lt;XRefScene&gt;] </code></pre><p>If <code>*root*</code> is not specified, tries to load any XRef Scene objects that are currently unresolved. If the <code>*root:&lt;XRefScene&gt;*</code> is specified, only the unresolved XRef Scene objects within the specified XRefScene&apos;s XRef Scene object are loaded.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../XRef-Objects-and-Scenes.html\">XRef Objects and Scenes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";