var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D4C5C5DF-7447-485F-9802-2E5328037EBE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Default_Scanline_Renderer : RendererClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Default_Scanline_Renderer - superclass: RendererClass; super-superclass:MAXWrapper - classID: #(1, 0)</code></pre><p>This class represents the Default Scanline Renderer. It lets you construct an instance of the <code>Default_Scanlinle_Renderer</code> class to be assigned to the Current, Production, ActiveShade, and Material Editor renderers using the <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Renderers.html\">renderers structure</a>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Default_Scanline_Renderer ...\n\
DefaultScanlineRenderer...</code></pre><p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--Assign a scanline renderer class instance\n\
--to the current renderer:\n\
renderers.current = Default_Scanline_Renderer ()\n\
--&gt; Default_Scanline_Renderer:Default_Scanline_Renderer\n\
</code></pre><p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#default_scanline_renderer-interfaces-\">Default_Scanline_Renderer interfaces:</a><ul>\n\
<li><a href=\"#options\">Options</a></li>\n\
<li><a href=\"#antialiasing\">Antialiasing</a></li>\n\
<li><a href=\"#global-supersampling\">Global Supersampling</a></li>\n\
<li><a href=\"#object-motion-blur\">Object Motion Blur</a></li>\n\
<li><a href=\"#image-motion-blur\">Image Motion Blur</a></li>\n\
<li><a href=\"#auto-reflect-refract-maps\">Auto-Reflect/Refract Maps</a></li>\n\
<li><a href=\"#color-range-limit\">Color Range Limit</a></li>\n\
<li><a href=\"#memory-management\">Memory Management</a></li>\n\
</ul>\n\
</li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<h2 id=\"default_scanline_renderer-interfaces-\">Default_Scanline_Renderer interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: props</code></pre><p><strong>Properties:</strong></p>\n\
<h3 id=\"options\">Options</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.mapping : boolean : Read|Write</code></pre><p>Enable/Disable mapping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.shadows : boolean : Read|Write</code></pre><p>Enable/Disable shadows.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.enableSSE : boolean : Read|Write</code></pre><p>Enable/Disable SSE.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.autoReflect : boolean : Read|Write</code></pre><p>Enable/Disable automatic reflections and refractions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.forceWireframe : boolean : Read|Write</code></pre><p>Enable/Disable wireframe rendering.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.wireThickness : float : Read|Write</code></pre><p>Get/Set the Wireframe Thickness.</p>\n\
<h3 id=\"antialiasing\">Antialiasing</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.antiAliasing : boolean : Read|Write</code></pre><p>Enable/Disable anti-aliasing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.antiAliasFilter : maxObject : Read|Write|Validated by Validator function</code></pre><p>Get/Set the Anti-Alias Filter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.filterMaps : boolean : Read|Write</code></pre><p>Enable/Disable map filtering.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.antiAliasFilterSize : float : Read|Write</code></pre><p>Get/Set the Anti-Aliasing Filter Size.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--Assign a Default Scanline Renderer to the production renderer\n\
renderers.production = Default_Scanline_Renderer ()\n\
--&gt; Default_Scanline_Renderer:Default_Scanline_Renderer\n\
-- Disable Anti-Aliasing in the production renderer\n\
renderers.production.AntiAliasing = false\n\
--&gt; false\n\
</code></pre><h3 id=\"global-supersampling\">Global Supersampling</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.globalSamplerEnabled : boolean : Read|Write</code></pre><p>Enable/Disable the Global Super-Sampler. Available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.globalSamplerClassByName : string : Read|Write</code></pre><p>Get/Set the Global Super-Sampler by name. Available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.globalSamplerSampleMaps : boolean : Read|Write</code></pre><p>Enable/Disable the global super-sampling of Maps. Available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.globalSamplerQuality : float : Read|Write</code></pre><p>Get/Set the Global Super-Sampler quality. Available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.globalSamplerAdaptive : boolean : Read|Write</code></pre><p>Enable/Disable Adaptive global super-sampling. Available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.globalSamplerAdaptiveThresh : float : Read|Write</code></pre><p>Get/Set the Threshold for Adaptive global super-sampling. Available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<h3 id=\"object-motion-blur\">Object Motion Blur</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.objectMotionBlur : boolean : Read|Write</code></pre><p>Enable/Disable Object Motion Blur.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.objectBlurDuration : float : Read|Write</code></pre><p>Get/Set the Object Motion Blur Duration.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.objectBlurSamples : integer : Read|Write</code></pre><p>Get/Set the Object Motion Samples count.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.objectBlurSubdivisions : integer : Read|Write</code></pre><p>Get/Set the Object Motion Blur Subdivisions.</p>\n\
<h3 id=\"image-motion-blur\">Image Motion Blur</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.imageMotionBlur : boolean : Read|Write</code></pre><p>Enable/Disable Image Motion Blur.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.imageBlurEnv : boolean : Read|Write</code></pre><p>Enable/Disable &quot;Apply to Environment Map&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.imageBlurTrans : boolean : Read|Write</code></pre><p>Enable/Disable &quot;Work with Transparency&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.enablePixelSampler : boolean : Read|Write</code></pre><p>Enable/Disable Global SuperSampling.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.imageBlurDuration : float : Read|Write</code></pre><p>Get/Set the Image Motion Blur Duration.</p>\n\
<h3 id=\"auto-reflect-refract-maps\">Auto-Reflect/Refract Maps</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.autoReflectLevels : integer : Read|Write</code></pre><p>Get/Set the Automatic Reflection Rendering Iterations.</p>\n\
<h3 id=\"color-range-limit\">Color Range Limit</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.colorClampType : integer : Read|Write</code></pre><p>Get/Set the Color Clamping Type:</p>\n\
<p>0 - Clamp</p>\n\
<p>1 - Scale</p>\n\
<h3 id=\"memory-management\">Memory Management</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Default_Scanline_Renderer&gt;.conserveMemory : boolean : Read|Write</code></pre><p>Get/set the state of the &quot;Conserve Memory&quot; option.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../RendererClass.html\">RendererClass</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/ScanlineRender-Struct.html\">ScanlineRender Struct</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Renderers.html\">Renderers</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Render-Setup-Dialog.html\">Render Setup Dialog</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/renderscenedialog.html\">renderscenedialog</a></li>\n\
          <li><a class=\"link\" href=\"VUE_File_Renderer-RendererClass.html\">VUE_File_Renderer : RendererClass</a></li>\n\
          <li><a class=\"link\" href=\"Quicksilver_Hardware_Renderer.html\">Quicksilver_Hardware_Renderer : RendererClass</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";