var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0C0DBA6B-9D54-47E8-8FA8-F9D780B154E8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>rendererClass</h1></div><p>The RendererClass is a MAXClass wrapper of the plug-in renderer superclass which was added in <strong>3ds Max 4</strong> so that a renderer instance can be worked with in MAXScript.</p>\n\
<p>The property .classes provides an array of all installed RendererClass objects, which allows for example the procedural creation of renderer class instances, the checking for available renderers on the current system and so on.</p>\n\
<p><strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RendererClass.classes\n\
--&gt; #(Default_Scanline_Renderer, VUE_File_Renderer, Quicksilver_Hardware_Renderer, mental_ray_renderer, Missing_Renderer)\n\
--You can assign a new renderer class to the current renderer\n\
renderers.current = RendererClass.classes[3]()\n\
--&gt; mental_ray_renderer:mental_ray_renderer\n\
\n\
--Conditional assignment: collect all renderer classes that match\n\
--the name pattern &quot;Quicksilver*&quot; and if exactly one was collected,\n\
--assign an instance of it to the current renderer:\n\
theRenderer = for i in RendererClass.classes where \\\n\
matchPattern (i as string) pattern:&quot;Quicksilver*&quot; collect i\n\
--&gt; #(Quicksilver_Hardware_Renderer)\n\
if theRenderer.count == 1 do renderers.current = theRenderer[1]()\n\
--&gt; Quicksilver_Hardware_Renderer:Quicksilver_Hardware_Renderer--Using the class as string to pattern match the name is\n\
--useful when the actual class name is changing (for example\n\
--some 3rd party renderers include the version number in the\n\
--class name, making it difficult to hard-code in scripts for\n\
--more than one version).\n\
--The above approach would work with these cases, too. </code></pre><p>The shipping <strong>RendererClass</strong> classes are:</p>\n\
<p><a href=\"Default_Scanline_Renderer.html\">Default_Scanline_Renderer : RendererClass</a></p>\n\
<p><a href=\"Quicksilver_Hardware_Renderer.html\">Quicksilver_Hardware_Renderer : RendererClass</a></p>\n\
<p><a href=\"VUE_File_Renderer-RendererClass.html\">VUE_File_Renderer : RendererClass</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../RendererClass.html\">RendererClass</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Renderers.html\">Renderers</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Controlling-the-Renderer.html\">Controlling the Renderer</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Network-Render-Interface/Network-Render-Interface-1.html\">Network Render Interface</a></li>\n\
          <li><a class=\"link\" href=\"../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NetRender.html\">Interface: NetRender</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";