var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FA932DB0-738F-4A58-B49E-9A184064676C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Track View Nodes</h1></div><p>You can access and modify controllers in the Global Tracks and Video Post sections in Track View, and create new named global tracks. Among other things, these can be used to provide keyframeable parameters in your scripted utilities.</p>\n\
<p>There are also methods associated with the Track View window. These methods are described in <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Track-View/Track-View-1.html\">Track View</a>.</p>\n\
<p><strong>MAXTVNode : Value</strong> is the class whose instances represent track view global track nodes. Each MAXTVNode can contain any number of MAXTVNodes or animation controllers. The MAXTVNodes and controllers within a MAXTVNode are shown as properties of the MAXTVNode, so you can navigate through the nesting using property access. A MAXTVNode does not store animation data, but rather acts as a container that can store one or more MAXTVNode or animation controller.</p>\n\
<p>There are three track view nodes that you can access through global variables: the <code>root</code> node to which you can add new custom tracks, the existing Global Tracks node which provides access to the global track controllers, and the Video Post tracks node which provides access to any video post controllers. These nodes are also accessible as properties on the <code>root</code> node.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackViewNodes </code></pre><p>Global variable containing the top-level World or root node in Track View. This variable is read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">globalTracks </code></pre><p>Global variable containing the top-level Global Tracks node in Track View. This variable is read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">videoPostTracks </code></pre><p>Global variable containing the top-level Video Post Track View node. This variable is read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">newTrackViewNode [ &lt;maxtvnode&gt; ] &lt;name_string&gt; [#hidden] </code></pre><p>If the <code>&lt;maxtvnode&gt;</code> argument is supplied, adds a sub-track node to it. If not, creates a new &apos;top-level&apos; track in the Track View. If the optional <code>#hidden</code> flag is supplied, the node is not visible in the Track View.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxtvnode&gt;.name String </code></pre><p>The track view node name as it appears in Track View.</p>\n\
<p>The sub-tracks and sub-controllers for a track view node are also shown as properties of the track view node. For example, the additional default properties for global <code>trackViewNodes</code> are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">TrackViewNodes.Global_Tracks MAXTVNode \n\
TrackViewNodes.Video_Post MAXTVNode </code></pre><p>The additional default properties for global <code>globalTracks</code> are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GlobalTracks.float float_list controller \n\
GlobalTracks.point3 point3_list controller \n\
GlobalTracks.position position_list controller \n\
GlobalTracks.rotation rotation_list controller \n\
GlobalTracks.scale scale_list controller \n\
GlobalTracks.Block_Control block_control controller </code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteTrackViewNode [ &lt;parent_maxtvnode&gt; ] &lt;maxtvnode&gt; </code></pre><p>Deletes the given node from the supplied parent or the top-level if the parent is not specified.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addTrackViewController &lt;maxtvnode&gt; &lt;controller&gt; &lt;name&gt; </code></pre><p>Adds the sub-controller to the given Track View node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteTrackViewController &lt;maxtvnode&gt; &lt;controller&gt; </code></pre><p>Deletes the controller from the given Track View node.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- access a video post track\n\
   videoPostTracks.glow.size = 5\n\
   -- set up some visible tracks for some keyframeable parameters in a rollout panel\n\
   my_tracks = newTrackViewNode &quot;Grinner&quot;\n\
   happy_ctrl = bezier_position ()\n\
   addTrackViewController my_tracks happy_ctrl &quot;Happy&quot;\n\
   ...\n\
   -- plant keyframes in rollout spinner handler if the animate button is on\n\
   rollout grinner ...\n\
   (\n\
   ...\n\
   on happy changed val do\n\
   (\n\
   ...\n\
   happy_ctrl.value = [x, y, z]\n\
   ...\n\
   )\n\
   ...\n\
   )\n\
   -- add a new float controller to the global tracks float controller list\n\
   globalTracks.float.controller.available.controller = bezier_float ()\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scene-Root-And-Track-View-Nodes.html\">Scene Root And Track View Nodes Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";