var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FE555353-8A2D-4B64-8B81-8394F7921C72\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ProSound : SoundClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ProSound - superclass: SoundClass; super-superclass:MAXWrapper - classID: #(1198500318, 1536265802) </code></pre><p>The <strong>ProSound SoundClass</strong> introduced in <strong>3ds Max 2010</strong> provides an advanced Sound Object with support for 100 sound channels and extensive MAXScript access.</p>\n\
<p>See also the <a href=\"./../MAXScript-Extensions/MAXScript-Extensions-for-2/ProSound-Extension.html\">ProSound Extension</a> topic for an introduction.</p>\n\
<p><strong>Methods:</strong></p>\n\
<h3 id=\"sound-system-initialization\">Sound System Initialization</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.init &lt;boolean&gt;KeepExistingFile      </code></pre><p>Initializes ProSound for MaxScript access. If ProSound is not loaded, it will load itself and become the Sound Object for <strong>3ds Max</strong>. If there is already an audio file loaded in the Default SoundClass object of <strong>3ds Max</strong>, setting the <code>KeepExistingFile</code> flag to true will add that file as one of the audio tracks in ProSound, thus preserving the existing track.</p>\n\
<p>Returns true if successful, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound. isActive() </code></pre><p>Returns true if ProSound is the Sound Object for <strong>3ds Max</strong>, false otherwise. If the return value is false, call <code>prosound.init()</code> to access all other ProSound MAXScript functions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;prosound.Version() </code></pre><p>Returns the version of ProSound times 100. For example if the version is 1.4, this function will return 140.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   prosound.isActive () --check whether ProSound is active\n\
   --&gt; ProSound is not active. Call ProSound.Init (true)\n\
   ProSound.Init (true)\n\
   --&gt; Attempting to Load ProSound\n\
   --&gt; ProSound Init Success\n\
   --&gt; true\n\
   prosound.isActive () --try again\n\
   --&gt; ProSound is active.\n\
   --&gt; true\n\
   prosound.version () --get version\n\
   --&gt; 140\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.unload () </code></pre><p>Unloads ProSound and enables the 3dsMaxDefault SoundClass Object. Returns true if successful, false otherwise.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   prosound.unload () -- unload ProSound and enable Default Sound.\n\
</code></pre></blockquote>\n\
<h3 id=\"prosound-dialog-control\">ProSound Dialog Control</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;prosound.open () </code></pre><p>Opens/Maximizes the ProSound dialog.</p>\n\
<p>If the ProSound is not active, it will activate it as well.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;prosound.close() </code></pre><p>Closes the ProSound dialog if it is open.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   prosound.open () -- open the ProSound dialog.\n\
   prosound.close () -- close the dialog.\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-1634D218-DC7A-4376-BDDA-C5FEA6B5FFB0-low.gif\" alt></p>\n\
<h3 id=\"adding-and-querying-sound-files\">Adding and Querying Sound Files</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;prosound.MaxTracks() </code></pre><p>Returns the maximum number of audio tracks supported in ProSound. Currently, this number is 100.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;prosound.NumTracks() </code></pre><p>Returns the number of audio tracks in use within ProSound. This includes tracks that are inactive, but have a file assigned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.append &lt;filename&gt;AudioFile </code></pre><p>Loads the specified file and appends it to the list of audio tracks. The argument must be the full name of a valid audio file.</p>\n\
<p>Equivalent to using the &quot;Add&quot; button in the ProSound UI.</p>\n\
<p>Returns true if successful, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">boolean&gt;prosound.delete &lt;index&gt;Track </code></pre><p>Deletes the specified audio track.</p>\n\
<p>Equivalent to using the &quot;Delete&quot; button in the ProSound UI.</p>\n\
<p>Returns true if successful, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.replace &lt;index&gt;Track &lt;filename&gt;AudioFile </code></pre><p>Replaces the audio file at the specified index. The first argument is the Index of the file to replace, the second argument is the full file name of a valid audio file to replace with.</p>\n\
<p>Equivalent to using the &quot;Replace&quot; button in the ProSound UI.</p>\n\
<p>Returns true if successful, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.ReloadAll() </code></pre><p>Reloads all audio files in ProSound. Returns true if the reload is successful, false otherwise.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   prosound.append&quot;C:\\\\WINDOWS\\\\Media\\\\chimes.wav&quot;--adds a file\n\
   --&gt; true\n\
   prosound.append&quot;C:\\\\WINDOWS\\\\Media\\\\tada.wav&quot;--adds another\n\
   --&gt; true\n\
   prosound.numtracks() --check the number of tracks\n\
   --&gt; 2\n\
   prosound.delete 1 --deletestrack 1\n\
   --&gt; true\n\
   prosound.replace 1 &quot;C:\\\\WINDOWS\\\\Media\\\\notify.wav&quot;\n\
   --&gt; true\n\
   prosound.numtracks() --get the number of track safter deleting 1\n\
   --&gt; 1\n\
   prosound.maxtracks() --see how many tracks are supported\n\
   --&gt; 100\n\
   prosound.reloadall() --reload all tracks\n\
   --&gt; true\n\
</code></pre></blockquote>\n\
<h3 id=\"working-with-tracks\">Working With Tracks</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.active &lt;index&gt;Track </code></pre><p>Returns true if the specified indexed track is active, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.SetActive &lt;index&gt;Track &lt;boolean&gt;ActiveState </code></pre><p>Sets the active status of the specified track. Returns true if successful, false otherwise.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   prosound.active 1 --see if track 1 is active\n\
   --&gt;true\n\
   prosound.setactive 1 false --turn it off\n\
   --&gt;true\n\
   prosound.active 1 --see if it is on or off now\n\
   --&gt;false\n\
   prosound.setactive 1 true --turn it back on\n\
   --&gt;true\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">filename&gt;Name &lt;index&gt;Track </code></pre><p>Returns the name of the file for the specified track.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;prosound.SampleRate &lt;index&gt;Track </code></pre><p>Returns the sample rate of the audio track.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">integer&gt;prosound.channels &lt;index&gt;Track </code></pre><p>Returns the number of audio channels for the specified audio track.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   prosound.name 1 --get the name of track 1\n\
   --&gt;&quot;C:\\WINDOWS\\Media\\notify.wav&quot;\n\
   prosound.SampleRate 1 --get the sample rate of track 1\n\
   --&gt;22050\n\
   prosound.channels 1 --get the channels of track 1\n\
   --&gt;2\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">time&gt;prosound.start &lt;index&gt;Track </code></pre><p>Returns the start frame number for the specified indexed track.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.SetStart &lt;index&gt;Track &lt;time&gt;StartFrame </code></pre><p>Sets the start frame of the specified indexed track. Returns true if successful, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">time&gt;prosound.end &lt;index&gt;Track </code></pre><p>Returns the end frame number for the specified track.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.SetEnd &lt;index&gt;Track &lt;time&gt;EndFrame </code></pre><p>Sets the end frame of the specified track. Returns true if successful, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.Shift &lt;index&gt;Track &lt;time&gt;Frames </code></pre><p>Shifts the start and end frames of the specified track by the specified amount. Returns true if successful, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.ShiftAll &lt;integer&gt;Frames </code></pre><p>Shifts the start and end frames of all audio tracks by the specified amount. Returns true if successful, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">time&gt;prosound.filelength &lt;index&gt;Track </code></pre><p>Returns the length of the specified audio file (in frames). Note that this is the file length, not the track length. So, if the file is 120 frames long, but the track has a start and end frame of 0 and 150, 120 and not 150 is returned. Use <code>prosound.end()</code> and <code>prosound.start()</code> to get the track length.</p>\n\
<p>Equivalent to the &quot;Duration&quot; value in the ProSound UI.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   prosound.start 1 --get the start frame of track 1\n\
   --&gt;0f\n\
   prosound.end 1 --get the end frame of track 1\n\
   --&gt;18.9625f\n\
   prosound.filelength 1 --get the file length of track 1\n\
   --&gt;40.5875f\n\
   prosound.setstart 1 10 --sets the start frame of track 1to 10\n\
   --&gt;true\n\
   prosound.setend 1 123 --sets the end frame of track 1 to 123\n\
   --&gt;true\n\
   prosound.start 1 --check the new start frame of track 1\n\
   --&gt;10f\n\
   prosound.end 1 --check the new end frame of track 1\n\
   --&gt;123f\n\
   prosound.shift 1 50 --shift both start and end by 50 frames\n\
   --&gt;true\n\
   prosound.start 1 --check the shifted start frame of track 1\n\
   --&gt;60f\n\
   prosound.end 1 --check the shifted end frame of track 1\n\
   --&gt;173f\n\
   prosound.shiftAll -50 --shift all tracks back 50 frames\n\
   --&gt;true\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;prosound.NumLoops &lt;index&gt;Track </code></pre><p>If this track uses loops, returns the number of loops for the track. Otherwise, calculates the number of complete loops based on track duration and file length.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.SetNumLoops &lt;index&gt;Track &lt;integer&gt;NumberOfLoops </code></pre><p>Sets the number of loops for the specified track. It also sets the &quot;Use Loops&quot; option for this track to true. Returns true if successful, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.UseLoops &lt;index&gt;Track </code></pre><p>Returns true if &quot;UseLoops&quot; option is enabled for the specified track, false otherwise.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   prosound.numloops 1 --get the loops of track 1 \n\
   --&gt;2\n\
   prosound.setnumloops 1 3 --set the loops of track 1 to 3\n\
   --&gt;true\n\
   prosound.end 1 --check the new end frame of track 1\n\
   --&gt;181.762f\n\
   prosound.useloops 1 --see if track 1 will use loops\n\
   --&gt;true\n\
</code></pre></blockquote>\n\
<h3 id=\"playback-controls\">Playback Controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.backwardScrub() </code></pre><p>Returns the state of the &quot;Permit Backwards Scrubbing&quot; playback option - true if Backwards Scrubbing is enabled, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.setBackwardScrub &lt;boolean&gt;BackwardsScrubState </code></pre><p>Sets the &quot;Permit Backwards Scrubbing&quot; playback option. Returns true if successful, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.PlayOnce() </code></pre><p>Returns true if the &quot;Play Once&quot; option is enabled, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.SetPlayOnce &lt;boolean&gt;State </code></pre><p>Sets the &quot;Play Once&quot; playback option to true or false. Returns true if successful, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.UsePlaybackRange() </code></pre><p>Returns true if the &quot;Use Playback Range&quot;option is enabled, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.SetUsePlaybackRange &lt;boolean&gt;State </code></pre><p>Sets the &quot;Use Playback Range&quot; playback option to the given Boolean state. Returns true if successful, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.SetPlaybackEnd &lt;integer&gt;EndFrame </code></pre><p>Sets the end frame of the &quot;Use Playback Range&quot; playback option. Returns true if successful, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.SetPlaybackStart &lt;integer&gt;StartFrame </code></pre><p>Sets the starting frame for the &quot;Use Playback Range&quot; playback option. Returns true if successful, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.PingPong() </code></pre><p>Returns true if the &quot;Ping Pong&quot; playback option is enabled, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.SetPingPong &lt;boolean&gt;State </code></pre><p>Sets the state of the &quot;Ping Pong&quot; playback option. Returns true if successful, false otherwise.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   prosound.backwardScrub ()-- check if backwards scrubbing is on\n\
   --&gt; false\n\
   prosound.setBackwardScrub true-- enable backwards scrubbing\n\
   --&gt; true\n\
   prosound.backwardScrub () --check again\n\
   --&gt; true\n\
   prosound.playonce () --check the state of the Play Once option\n\
   --&gt; false\n\
   prosound.setplayonce true --set to loop the playback\n\
   --&gt; true\n\
   prosound.useplaybackrange () --see if playback range is used\n\
   --&gt; false\n\
   prosound.setuseplaybackrange true --enable playback range\n\
   --&gt; true\n\
   prosound.setplaybackend 100 --set the playback range end to 100\n\
   --&gt; true\n\
   prosound.setplaybackstart 0 --set the playback range start to 0\n\
   --&gt; true\n\
   prosound.pingpong () --see if ping-pong playback is enabled\n\
   --&gt; false\n\
   prosound.setpingpong true --enable ping-pong playback\n\
   --&gt; true\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.isPlaybackActive () </code></pre><p>Returns true if the ProSound playback is enabled, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.SetPlaybackActive &lt;boolean&gt;State </code></pre><p>Enables or disables the audio playback based on the Boolean argument. Returns true if successful, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;prosound.Step() </code></pre><p>Steps forward by one frame and plays the corresponding audio.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;prosound.Stepback() </code></pre><p>Steps backwards by one frame and plays the corresponding audio.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   prosound.isplaybackactive() --check if playback is active\n\
   --&gt; false\n\
   prosound.setplaybackactive true --activate playback\n\
   --&gt; true\n\
   prosound.isplaybackactive() --check again if playback is active\n\
   --&gt; true\n\
   prosound.step()\n\
   prosound.Stepback()\n\
</code></pre></blockquote>\n\
<h3 id=\"render-controls\">Render Controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.export &lt;filename&gt;AudioFile &lt;integer&gt;StartFrame &lt;integer&gt;EndFrame </code></pre><p>Attempts to export the combined audio to the specified filename. The file will be saved in PCM using the Render settings. Returns true if successful, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.isRenderActive() </code></pre><p>Returns true if the ProSound audio rendering is enabled, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.SetRenderActive &lt;boolean&gt;State </code></pre><p>Enables audio rendering based on the Boolean argument.</p>\n\
<p>Returns true if successful, false otherwise.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   prosound.export &quot;c:\\\\sounds\\\\export_test.wav&quot; 0 100\n\
   --&gt; true\n\
   prosound.isrenderactive() --check if rendering is active\n\
   --&gt; false\n\
   prosound.setrenderactive true\n\
   --&gt; true\n\
</code></pre></blockquote>\n\
<h3 id=\"metronome-controls\">Metronome Controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.isMetroActive () </code></pre><p>Returns true if the Metronome is enabled, false if it is disabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;prosound.SetMetroActive &lt;boolean&gt;ActiveState </code></pre><p>Turns the metronome on or off depending on the Boolean argument. Returns true if successful, false otherwise.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   prosound.ismetroactive() --check if metronome is active\n\
   --&gt; false\n\
   prosound.setmetroactive true --enable metronome\n\
   --&gt; true\n\
   prosound.ismetroactive() --see if the change worked\n\
   --&gt; true\n\
   prosound.setmetroactive false --disable metronome\n\
   --&gt; true\n\
   prosound.ismetroactive() --should be false (disabled) now\n\
   --&gt; false\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Sound-Class-MAXWrapper.html\">Sound Class : MAXWrapper</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../MAXScript-Extensions/MAXScript-Extensions-for-2/ProSound-Extension.html\">ProSound Extension</a></li>\n\
          <li><a class=\"link\" href=\"Default_Sound-SoundClass.html\">Default_Sound : SoundClass</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";