var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6A28F484-B4D7-4C62-BA6B-29EB562CEBAE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>BlendedBoxMap: TextureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BlendedBoxMap &#x2013; superclass: textureMap; super-superclass:material &#x2013; classID: #(334310678, 1815100752) </code></pre><p>The BlendedBoxMap texture map allows you to project maps onto one or more objects. It projects images from three 90 degree directions. You can project 1, 3, or 6 different maps for each side of the projection box. You can also customize the way the images are blended. Available in <strong>3ds Max 2017.1 Update and higher</strong></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BlendedBoxMap...      </code></pre><h3 id=\"example\">Example</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- Example creation:\n\
s = Sphere()\n\
mat = StandardMaterial()\n\
mat.name = &quot;MyStandard&quot;\n\
s.material=mat\n\
bbm = BlendedBoxMap()\n\
mat.diffuseMap = bbm</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.mode Integer default: 1 </code></pre><p>The number of projections used by the BlendedBoxMap, where:</p>\n\
<ul>\n\
<li>0 = 1 projection</li>\n\
<li>1 = 3 projections</li>\n\
<li>2 = 6 projections</li>\n\
</ul>\n\
<p>This property corresponds to the Number of Projections radio button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.colors : color array default:\n\
#((color 0 0 255), (color 255 0 0), (color 0 255 0), (color 255\n\
255 0), (color 255 0 255), (color 0 255 255))</code></pre><p>An array of colors for the BlendedBoxMap projections. Note that while the <strong>mode</strong> property or UI may be set to 1 or 3 projections, this array always contains 6 members.</p>\n\
<p>This array corresponds to the color selectors under the <strong>Maps</strong> section of the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.tex (SubMat0) : texturemap array default:\n\
#(undefined&#x2026;)</code></pre><p>An array of texturemaps for the projections. This array contains seven items. The first six are the individual projection maps, and the seventh is the blend map.</p>\n\
<p>This array corresponds to the map selectors under the <strong>Maps</strong> section of the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.MapEnable : Boolean array\n\
default:\n\
#(true, true, true, true, true, true, false)</code></pre><p>An array of Boolean values indicating whether the associated map is enabled. The first six are the individual projection maps, and the seventh is the blend map.</p>\n\
<p>This array corresponds to the checkboxes next to the color and map selectors under the <strong>Maps</strong> section of the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.mapscale : float default: 100.0</code></pre><p>The percentage scaling value, applied to all maps.</p>\n\
<p>This property corresponds to the <strong>Map Scale</strong> spinbox in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.blend : float default: 25.0</code></pre><p>The percentage amount of blend between each projection.</p>\n\
<p>This corresponds to the <strong>Blend Amount</strong> spinbox in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.blendMapStrength : float default: 25.0</code></pre><p>The percentage amount of blend with the BlendMap, which is the <strong>tex</strong>[7] map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.texturespace : integer</code></pre><p>The projection method that will be used, where:</p>\n\
<ul>\n\
<li>0 = Individual Objects</li>\n\
<li>1 = Multiple Objects at Once</li>\n\
<li>2 = Auto</li>\n\
</ul>\n\
<p>This corresponds to the <strong>Project Onto</strong> combobox in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.node (Object) : node</code></pre><p>The node used to control projection when in Multiple Objects at Once texture space. If this node is not set to a valid scene node, a default projection and bounding box is used.</p>\n\
<p><strong>Randomize Projection Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.FORSeed : integer</code></pre><p>The seed used to initialize the pseudo-random number generator for the Randomize Projection settings. This property corresponds to the <strong>Seed</strong> setting in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.randx : Boolean \n\
&lt;BlendedBoxMap&gt;.randy : Boolean \n\
&lt;BlendedBoxMap&gt;.randz : Boolean</code></pre><p>Indicates whether to randomize the projection on the X, Y, and Z axes.</p>\n\
<p>These properties correspond to the <strong>Randomize Axis</strong> checkboxes in the UI.</p>\n\
<p><strong>Map Transform Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.useRandom : Boolean default: False</code></pre><p>Indicates whether the map transform parameters are generated randomly, between the minimum and maximum specified values, or are specified as static values.</p>\n\
<p>This property corresponds to the <strong>Use Random Values</strong> checkbox in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.seed : integer default: 12345</code></pre><p>The seed value used to initialize the pseudo-random number generator when <strong>useRandom</strong> is True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.posu : float default: 0.0 \n\
&lt;BlendedBoxMap&gt;.posu2 : float default: 0.0</code></pre><p>The Position U and V values, or if <strong>useRandom</strong> is True, the minimum random value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.posv : float \n\
&lt;BlendedBoxMap&gt;.posv2 : float default: 0.0</code></pre><p>The Position U and V values, or if <strong>useRandom</strong> is True, the maximum random value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.posLock : Boolean default: False</code></pre><p>Indicates whether the Position V is locked to match the Position U. When True, the values for <strong>posu</strong> and <strong>posu2</strong> are used, and <strong>posv</strong> and <strong>posv2</strong> are ignored.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.rota : float default: 0.0 \n\
&lt;BlendedBoxMap&gt;.rotb : float default: 0.0 \n\
&lt;BlendedBoxMap&gt;.rotc : float default: 0.0</code></pre><p>The Rotation T/B, L/R and F/B values, or if <strong>useRandom</strong> is True, the minimum random values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.rota2 : float default: 0.0 \n\
&lt;BlendedBoxMap&gt;.rotb2 : float default: 0.0 \n\
&lt;BlendedBoxMap&gt;.rotc2 : float default: 0.0</code></pre><p>The Rotation T/B, L/R, and F/B maximum random values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.rotLock : Boolean default: False</code></pre><p>Indicates whether all offsets are locked to the Rotation T/B values. When True, only the values from <strong>rota</strong> and <strong>rota2</strong> are used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.scaleu : float default: 100.0 \n\
&lt;BlendedBoxMap&gt;.scalev : float default: 100.0</code></pre><p>The Scale U and V values, or if <strong>useRandom</strong> is True, the minimum random value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.scaleu2 : float default: 100.0 \n\
&lt;BlendedBoxMap&gt;.scalev2 : float default: 100.0</code></pre><p>The Scale U and V maximum random values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.scaleLock : Boolean default: False</code></pre><p>Indicates whether the Scale V values are locked to the Scale U values. When true, both values are taken from <strong>scaleu</strong> and <strong>scaleu2</strong>.</p>\n\
<p><strong>Render Projection Templates</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.renderResolution : Integer\n\
default:1024</code></pre><p>The Resolution Maximum Value.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The projection template file and the <strong>Render</strong> button are exposed by the <code>BlendedBoxMap</code> interface; see below for the methods that access this functionality.</div>\n\
<p><strong>Projection Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.cube : Boolean default: False</code></pre><p>Indicates whether the projection is projected as a cube.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.cubeMode : Integer default: 0</code></pre><p>The cube projection mode where:</p>\n\
<ul>\n\
<li>0 = Non-Uniform</li>\n\
<li>1 = Uniform - Picked</li>\n\
<li>2 = Uniform - Size</li>\n\
<li>3 = Uniform - Largest</li>\n\
</ul>\n\
<p>This property corresponds to the <strong>Cube</strong> dropdown in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.cubeSize : Integer default: 100</code></pre><p>The cube projection size, when the <strong>cubeMode</strong>=2 (Uniform - Size).</p>\n\
<p>This property corresponds to the <strong>Cube</strong> size spinbox in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.cubeNode : node default: Undefined</code></pre><p>The cube projection node, when the <strong>cubeMode</strong> = 1 (Picked).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.lockToFrame : Boolean default: False</code></pre><p>Indicates whether the projection is locked to a frame, indicated by <strong>lockFrame</strong>.</p>\n\
<p>This property corresponds to the <strong>Lock to Frame</strong> checkbox in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.lockFrame : Integer default: 0</code></pre><p>The frame the projection is locked to, if <strong>lockToFrame</strong> is True.</p>\n\
<p>This property corresponds to the <strong>Lock to Frame</strong> spinbox in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.coords (Coordinates) : StandardXYZGen</code></pre><p>An object that represents the Coordinate settings for the Blended Box Map. See StandardXYZGen for the exposed properties.</p>\n\
<p><strong>BlendedBoxMap Interfaces</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: BlendedBoxMap</code></pre><p>This interface provides access to the Render Projection Templates for the Blended Box Map feature. This feature creates images that can be used to paint.</p>\n\
<p><strong>Properties</strong>:</p>\n\
<p>None</p>\n\
<p><strong>Methods</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;Render()</code></pre><p>Triggers a template render for the BlendedBoxMap. Returns False if the render cannot be performed (for example, if no render output path is specified), otherwise True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;GetBaseFileName &lt;&amp;string&gt;fname \n\
  Fname is out parameter</code></pre><p>Gets the Render Projection Templates output path and base filename for the specified BlendedBoxMap.</p>\n\
<p>For example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">str = &quot;&quot;\n\
diffuseMap.GetBaseFilename &amp;str</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetBaseFilename &lt;string&gt;fname</code></pre><p>Sets the Render Projection Templates output directory and base filename for the BlendedBoxMap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- create blended boxmap teapot and render\n\
t = teapot()\n\
mat = StandardMaterial()\n\
t.material = mat\n\
bbm = BlendedBoxMap()\n\
mat.diffuseMap = bbm\n\
bbm.SetBaseFilename &quot;C:\\\\maps\\\\teapot.jpg&quot;\n\
bbm.Render()</code></pre><p>Setting this base filename with a six-projection Blended Box Map will result in the following files when the <code>Render()</code> method is used:</p>\n\
<ul>\n\
<li>C:\\maps\\teapot_Top.jpg</li>\n\
<li>C:\\maps\\teapot_Bottom.jpg</li>\n\
<li>C:\\maps\\teapot_Left.jpg</li>\n\
<li>C:\\maps\\teapot_Right.jpg</li>\n\
<li>C:\\maps\\teapot_Front.jpg</li>\n\
<li>C:\\maps\\teapot_Back.jpg</li>\n\
</ul>\n\
<p><strong>Actions</strong>:</p>\n\
<p>None</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";