var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C6FFDDE9-60F9-4105-B550-0099A37BB8CF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ColorMap : textureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ColorMap - superclass: textureMap; super-superclass:material - 6:0 - classID: #(329196230L, 334932244L)</code></pre><p>Offers a simple way to pass a solid color into any map slot, allowing for example the instancing of a color value among independent Materials and Maps. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ColorMap...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ColorMap&gt;.solidcolor     Color    default: (color 127.5 127.5 127.5)   --  animatable; fRGBA color; Solid_Color; Controller Scaling: ([1,1,1,1] : (color 255 255 255))</code></pre><p>Get/set the color value of the Solid Color swatch.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ColorMap&gt;.mapEnabled    BooleanClass    default: true   --  boolean; Map_Enable</code></pre><p>Get/set the state of the map enabled checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ColorMap&gt;.map    UndefinedClass    default: undefined   --  texturemap</code></pre><p>Get/set the texture map to be used in place of the solid color value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ColorMap&gt;.gamma     Float    default: 2.2   --  animatable; float</code></pre><p>Get/set the Gamma value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ColorMap&gt;.gain     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the Gain value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ColorMap&gt;.ReverseGamma     BooleanClass    default: true   --  animatable; boolean; Reverse_Gamma</code></pre><p>Get/set the state of the Reverse Gamma checkbox.</p>\n\
<blockquote>\n\
<p>   <strong>Example</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   resetMaxFile #noprompt --reset the scene\n\
   --define an array of material classes and their base color map properties:\n\
   theMatClasses = #(#(Standardmaterial, #diffuseMap), #(Architectural, #diffuseMap), #(Autodesk_Material, #Generic_Image), #(RaytraceMaterial, #diffuseMap), #(PhysicalMaterial, #base_color_map), #(InkNPaint, #paint_map) )\n\
   cm = colorMap() --create a color map instance\n\
   for i = 1 to theMatClasses.count do --loop through the list of material classes\n\
   (\n\
       m = theMatClasses[i][1]() --create a material instance\n\
       setProperty m theMatClasses[i][2] cm --set its base color to the color map\n\
       geosphere radius:25 pos:[i*60,0,0] material:m --create a geosphere offset along X\n\
       if theMatClasses[i][1] == InkNPaint do m.paint_map_on = true --if the material is InkNPaint, also enable the Paint Map\n\
       showTextureMap m true --enable the display of the material&apos;s maps in the viewport (does not work for InkNPaint)\n\
   )\n\
   max zoomext sel all --zoom all\n\
\n\
   cm.solidcolor = red --set the color of the colorMap to red and render\n\
   bmp1 = render()\n\
   cm.solidcolor = green --set the color of the colorMap to green and render\n\
   bmp2 = render()\n\
\n\
   --As you can see, we can control the solid color of multiple independent material types\n\
   --using an instances colorMap!\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";