var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F928B1F4-4484-4AED-9A6C-A8CB8D8478BB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Combustion : TextureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Combustion - superclass: textureMap; super-superclass:material - 3:1 - classID: #(1051942422, 1799968651) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Combustion ... </code></pre><p>With the Combustion map, you can create maps interactively using the Discreet <strong>combustion</strong> product and <strong>3ds Max</strong> at the same time. You use <strong>combustion</strong> software to paint on a bitmap, and the material updates automatically in the <strong>3ds Max</strong> Material Editor and in shaded viewports.</p>\n\
<div class=\"note important:\"><span class=\"importanttitle\">Important:</span> The combustion map works only if Discreet <strong>combustion</strong> is installed on your system.</div>\n\
<p>You can use <strong>combustion</strong> as a material map in <strong>3ds Max</strong>. With a Combustion map, you can create a material from a Paint or composite operator, and in turn apply that material to objects in a <strong>3ds Max</strong> scene. The Combustion map can include <strong>combustion</strong> effects, and it can be animated.</p>\n\
<p>In addition, with <strong>combustion</strong> you can import <strong>3ds Max</strong> scenes that have been rendered to a rich pixel file (RPF or RLA file). The imported rich pixel rendering becomes an element of your composite. You can adjust its 3D position relative to video elements of the composite, and you can apply <strong>combustion</strong> 3D Post effects to objects within it. See the <code>combustion User&apos;s Guide</code> for more information.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Because <strong>3ds Max</strong> runs only on Windows, you cannot use <strong>combustion</strong> to create material maps on a Macintosh.</p>\n\
<p>The environmental atmospheric effect known as &quot;Combustion&quot; in versions prior to <strong>3ds Max 4</strong> is now known as <a href=\"./../../Atmospheric-MAXWrapper/Atmospheric-Effect-Types/Fire_Effect-Atmospheric.html\">Fire_effect</a>.</p>\n\
<p>A Combustion map is a <a href=\"Combustion-coordinates-MAXObject.html\">2D map</a>. It is a <strong>combustion</strong> project used by the <strong>3ds Max</strong> Material Editor, so like any <strong>combustion</strong> project, it is vector-based, animatable, and fully editable. From within the Material Editor, you can have <strong>combustion</strong> create a new project from scratch, or use an existing composite or Paint branch. You can synchronize the <strong>combustion</strong> Timeline with the <strong>3ds Max</strong> time slider so animated materials synchronize with your 3D scene.</p>\n\
<p>A macroScript has been added that gets called by the render management system to output render element info to the combustion(tm) .cws file format.</p>\n\
<p><strong>../UI/MacroScripts/Macro_CombustionOutput.mcr</strong></p>\n\
<p>Associated files include:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   RenderElements-fns.ms\n\
   CombustionExport-fns.ms\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   c = combustion()              </code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Combustion-coordinates-MAXObject.html\">Combustion.coordinates : MAXObject</a></li>\n\
          <li><a class=\"link\" href=\"../../Render-Elements/Render-Element-Manager.html\">Render Element Manager</a></li>\n\
          <li><a class=\"link\" href=\"../../Material-MAXWrapper/Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";