var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-97A3BFC9-28CA-4B6D-968F-A4794B84B95F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Gradient_Ramp : TextureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Gradient_Ramp - superclass: textureMap; super-superclass:material - classID: #(502029190, 1127758417) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Gradient_Ramp...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient_Ramp&gt;.Gradient_Type Integer default: 4 </code></pre><p>The type of gradient:</p>\n\
<p>0- 4 Corner (An asymmetrical linear transition of colors.)</p>\n\
<p>1- Box (A box.)</p>\n\
<p>2- Diagonal (A linear diagonal transition of colors.)</p>\n\
<p>3- Lighting (Based on the light intensity value.)</p>\n\
<p>4- Linear (A smooth, linear transition of colors.)</p>\n\
<p>5- Mapped (Based on the luminance. Remaps the colors of the source map used in the gradient.)</p>\n\
<p>6- Normal (Based on the angle between the vector from the camera to the object and the surface normal vector at the sample point.)</p>\n\
<p>7- Pong (A diagonal sweep that repeats in the middle.)</p>\n\
<p>8- Radial (A radial transition of colors.)</p>\n\
<p>9- Spiral (A smooth, circular transition of colors.)</p>\n\
<p>10- Sweep (A linear sweep transition of colors.)</p>\n\
<p>11- Tartan (A plaid.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient_Ramp&gt;.Source_Map_On Integer default: 1 </code></pre><p>When on, assigns a map to a mapped gradient.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient_Ramp&gt;.Noise_Type Integer default: 0 </code></pre><p>Sets the noise type:</p>\n\
<p>0- Regular (Generates plain noise. Basically the same as fractal noise with levels disabled, because Regular is not a fractal function.)</p>\n\
<p>1- Fractal (Generates noise using a fractal algorithm. <code>levels</code> sets the number of iterations for the fractal noise.)</p>\n\
<p>2- Turbulence (Generates fractal noise with an absolute value function applied to it to make fault lines.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> that <code>amount</code> must be greater than 0 to see any effects of turbulence.)</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient_Ramp&gt;.amount Float default: 0.0 -- animatable </code></pre><p>When nonzero, a random noise effect is applied to the gradient, based on the interaction of the gradient ramp colors (and maps, if present). The higher this value, the greater the effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient_Ramp&gt;.size Float default: 1.0 -- animatable </code></pre><p>Sets the scale of the noise function. Smaller values give smaller chunks of noise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient_Ramp&gt;.phase Float default: 0.0 -- animatable </code></pre><p>Controls the speed of the animation of the noise function. A 3D noise function is used for the noise; the first two parameters are U and V and the third is phase.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient_Ramp&gt;.Levels Float default: 4.0 -- animatable </code></pre><p>Sets the number of fractal iterations or turbulence (as a continuous function).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient_Ramp&gt;.Low_Threshold Float default: 0.0 -- animatable &lt;Gradient_Ramp&gt;.High_Threshold Float default: 1.0 -- animatable </code></pre><p>When the noise value is above the Low threshold and below the High threshold, the dynamic range is stretched to fill 0 to 1. This causes a smaller discontinuity at the threshold transition and produces less potential aliasing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient_Ramp&gt;.Threshold_Smoothing Float default: 0.0 -- animatable </code></pre><p>Helps make a smoother transition from the threshold value to the noise value. When 0, no smoothing is applied. When 1, the maximum amount of smoothing is applied.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient_Ramp&gt;.coordinates SubAnim </code></pre><p>See <a href=\"./../TextureMap-Shared-Classes/UVGenClass-Material.html\">UVGenClass</a> for the StandardUVGen properties.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient_Ramp&gt;.output StandardTextureOutput </code></pre><p>See <a href=\"./../TextureMap-Shared-Classes/TexOutputClass-Material.html\">TexOutputClass</a> for the StandardTextureOutput properties.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient_Ramp&gt;.gradient_ramp SubAnim </code></pre><p>This subanim contains all flags in the map. Currently, flags are being added dynamically by the UI only and can not be created using MAXScript. Existing flags can be accessed as subanims of the gradient_ramp subanim though.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient_Ramp.gradient_ramp&gt;.flag__1 SubAnim &lt;Gradient_Ramp.gradient_ramp&gt;.flag__2 SubAnim &lt;Gradient_Ramp.gradient_ramp&gt;.flag__3 SubAnim </code></pre><p>These are the 3 default color flags of a newly created Gradient_Ramp Map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient_Ramp.gradient_ramp.flag__1&gt;.color Point3 default: [0,0,0] -- animatable \n\
&lt;Gradient_Ramp.gradient_ramp.flag__2&gt;.color Point3 default: [255,255,255] -- animatable \n\
&lt;Gradient_Ramp.gradient_ramp.flag__3&gt;.colorPoint3 default: [127.5,127.5,127.5] -- animatable </code></pre><p>Each flag has a color property which contains the color associated with the flag. Note that the 3 rd flag is the middle flag. The first and the second flag cannot be removed and are always accessible. Any additional flags between the first and the second will have higher numbers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gradient_Ramp.gradient_ramp.flag__3&gt;.position Float default:50.0-- animatable </code></pre><p>The 3 rd flag has a position property which defines its location between the first and the second flag. The first two flags cannot be moved. Any additional flags added through the UI will have a position property and can be accessed through MAXScript.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../TextureMap-Common-Properties.html\">TextureMap Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../Material-MAXWrapper/Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";