var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B8298F60-A370-4DD0-AA7D-B276BB5D3656\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Reflect_Refract : TextureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Reflect_Refract - superclass: textureMap; super-superclass:material - classID: #(592, 0) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Reflect_Refract ...      \n\
reflectRefract...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Reflect_Refract&gt;.source Integer default: 0 </code></pre><p>Chooses the source of the six cubic maps:</p>\n\
<p>0- <strong>Automatic</strong> (Automatically generates by looking out in six directions from the pivot of the object with the material, then mapped onto the surface during rendering. When on, the options in the Automatic group are active, letting you choose whether the maps will be generated only once, or regenerated at specified frames in the animation.)</p>\n\
<p>1- <strong>From File</strong> (When on, you can specify the bitmaps to use.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Reflect_Refract&gt;.size Integer default: 100 -- animatable </code></pre><p>Sets the size of the Reflect/Refract maps. The default value of 100 produces distinct images. Lower values lose progressively more detail.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Reflect_Refract&gt;.useAtmosphericMap Boolean default: true -- alias: Use_Atmospheric </code></pre><p>When off, environment maps are ignored by Reflect/Refract map during rendering.</p>\n\
<p>It&#x2019;s useful to turn this off when you have mirrors in the scene and you&#x2019;re rotoscoping against a flat screen environment map.</p>\n\
<p>A screen environment map does not exist in 3D space the way the other environment-map types do, and will not render properly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Reflect_Refract&gt;.apply Boolean default: true </code></pre><p>Turns on filtering to blur the maps.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Reflect_Refract&gt;.blurOffset Float default: 0.0 -- animatable, alias: Blur_Offset </code></pre><p>Affects the sharpness or blurriness of the map without regard to its distance from the object.</p>\n\
<p>Use this when you want to soften or defocus the details in a map to achieve the effect of a blurred image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Reflect_Refract&gt;.blur Float default: 1.0 -- animatable </code></pre><p>Affects the sharpness or blurriness of the generated map based on its distance from the object.</p>\n\
<p>The farther away the map is, the greater the blurring.</p>\n\
<p>Blur is primarily used to avoid aliasing.</p>\n\
<p>It&#x2019;s a good idea to use a small amount of blurring for all maps in order to avoid the scintillation or aliasing that can occur when pixel details are reduced off in the distance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Reflect_Refract&gt;.near Float default: 0.0 -- animatable, alias: Near_Value </code></pre><p>Sets the near range for fog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Reflect_Refract&gt;.far Float default: 500.0 -- animatable, alias: Far_Value </code></pre><p>Sets the far range for fog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Reflect_Refract&gt;.frametype Integer default: 0 </code></pre><p>Sets the frame type:</p>\n\
<p>0- <strong>First Frame Only</strong> (Tells the renderer to create automatic maps only on the first frame.)</p>\n\
<p>1- <strong>Every Nth Frame</strong> (Tells the renderer to create animated auto maps based on <code>nthframe</code> .)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Reflect_Refract&gt;.nthframe Integer default: 1 </code></pre><p>Sets the frame rate for automatic maps.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Reflect_Refract&gt;.bitmapName FilenameArraydefault: #(undefined, ... , undefined) </code></pre><p>Array with 6 elements. Each element stores a string reflecting the name of a source bitmap file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Reflect_Refract&gt;.outputname Filenamedefault: undefined, alias: Output_Name </code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../TextureMap-Common-Properties.html\">TextureMap Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../Material-MAXWrapper/Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";