var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3E5E2D62-BF3D-49F2-9C3C-72BBD7F90BBF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Substance : textureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Substance - superclass: textureMap; super-superclass:material - 13:2 - classID: #(-1503541249, 1756066509) </code></pre><p>This class implements the Substance loader as 3ds Max textureMap.</p>\n\
<p>When a Substance package is loaded, a <a href=\"Substance_Output-textureMap.html\">Substance_Output textureMap</a> is connected automatically to it to serve as output channel selector.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Substance ... SubstanceTexture ...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Substance.SubstanceFilename String default: &quot;&quot; -- filename; Substance_filename</code></pre><p>Get/set the Substance filename.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Substance.rolloutStates     Integer    default: 2   --  integer; Lock_aspect_ratio</code></pre><p>Get/set the opened state of the UI Rollouts of the Substance texture map in the Compact Material Editor.</p>\n\
<p>The value is an integer where bits control the rolled out state of a rollout as follows:</p>\n\
<p>bit 1 - when set, the &quot;Global Substance Settings&quot; rollout will be rolled out.</p>\n\
<p>bit 2 - when set, the &quot;Substance Package Browser&quot; rollout will be rolled out, e.g. a value of 2 (default) opens only this rollout and rolls up the others.</p>\n\
<p>bit 3 - not used.</p>\n\
<p>bit 4 - when set, the &quot;Texture Size&quot; rollout will be rolled out, e.g. a value of 16 opens only this rollout, a value of 18 opens this and the previous rollout, a value of 19 opens all three rollouts.</p>\n\
<p>The rollouts &quot;Information&quot;, &quot;Coordinates&quot; and &quot;Noise&quot; cannot be controlled.</p>\n\
<p>To refresh the samples in the Compact Material Editor, you can use</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">activeMeditSlot = activeMeditSlot</code></pre><p>whis sets the active material slot to its current value and as a sifd effect updates the rollouts.</p>\n\
<h2 id=\"global-texture-settings-group-of-controls\">Global Texture Settings group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Substance.globalTextureWidth Integer default: 512 -- integer; Global_texture_width</code></pre><p>Get/set the state of the Global Texture Width drop-down list.</p>\n\
<p>Possible values are: 32, 64, 128, 256, 512, 1024, 2048</p>\n\
<p>Any other values will cause a run-time error.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Substance.globalTextureHeight Integer default: 512 -- integer; Global_texture_height</code></pre><p>Get/set the state of the Global Texture Height drop-down list.</p>\n\
<p>Possible values are: 32, 64, 128, 256, 512, 1024, 2048</p>\n\
<p>Any other values will cause a run-time error.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Substance.globalModeScale Integer default: 2 -- integer; Edition_Mode_Scale</code></pre><p>Get/set the state of the <strong>&quot;Preview Resolution&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>1x</strong></p>\n\
<p>2 - <strong>1/2</strong> (default)</p>\n\
<p>3 - <strong>1/4</strong></p>\n\
<p>4 - <strong>1/8</strong></p>\n\
<p>Any other values will cause a run-time error.</p>\n\
<h2 id=\"texture-size-rollout\">Texture Size rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Substance.lockAspectRatio Integer default: 0 -- integer; Lock_aspect_ratio</code></pre><p>Get/set the state of the <strong>&quot;Lock Aspect Ratio&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Substance.localMode Integer default: 0 -- integer</code></pre><p>Get/set the state of the Texture Size mode radio button.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Relative</strong> (default)</p>\n\
<p>1 - <strong>Absolute</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Substance.localRelativeTextureWidth Integer default: 7 -- integer; localTextureWidth</code></pre><p>Get/set the state of the Relative Width drop-down list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Substance.localRelativeTextureHeight Integer default: 7 -- integer; localTextureHeight</code></pre><p>Get/set the state of the Relative Height drop-down list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Substance.localAbsoluteTextureWidth Integer default: 512 -- integer; localTextureWidth</code></pre><p>Get/set the state of the Absolute Width drop-down list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Substance.localAbsoluteTextureHeight Integer default: 512 -- integer; localTextureHeight</code></pre><p>Get/set the state of the Absolute Height drop-down list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Substance.numIMultipleOutputChannels Integer default: 0 -- integer; read-only</code></pre><p>Get the number of output channels generated by the current substance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Substance.coords StandardUVGen default: MtlBase:Placement -- maxObject; Coordinates; SubAnim</code></pre><p>Get/set the UV Coordinates generator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Substance.Output StandardTextureOutput default: MtlBase:Output -- read-only; SubAnim</code></pre><p>Get the <a href=\"./../TextureMap-Shared-Classes/TexOutputClass-Material.html\">StandardTextureOutput</a> instance controlling the output of the textureMap.</p>\n\
<h2 id=\"substance-interfaces-\">Substance interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Interface: bitmapTex</code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;reload()</code></pre><p>Reloads the file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;viewImage()</code></pre><p>Open the texture image for viewing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Interface: ISBS</code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;string&gt;Substance.getCurrentPackageName()</code></pre><p>Returns the name of the currently selected package.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;string&gt;Substance.getCurrentGraphName()</code></pre><p>Returns the name of the currently selected graph.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;string&gt;Substance.getCurrentOutputName()</code></pre><p>Returns the name of the currently selected output.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;string array&gt;Substance.getOutputsNamesFromCurrentGraph()</code></pre><p>Returns an array of names representing the available output names from the current graph.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;Substance.setPackageAndGraphNames &lt;string&gt;packageName &lt;string&gt;graphName</code></pre><p>Sets the package and graph name using the two by-reference arguments, returns true on success or false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;Substance.setCurrentOutputName &lt;string&gt;outputName</code></pre><p>Sets the current output name to the string passed by-reference as argument. Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;Substance.selectGraph()</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Interface: iMultipleOutputChannelsWithValues</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Substance.numIMultipleOutputChannels : integer : Read</code></pre><p>Get the number of output channels defined in the textureMap.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;string&gt;Substance.getIMultipleOutputChannelLocalizedName &lt;index&gt;index</code></pre><p>Returns the localized name of the indexed output channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;string&gt;Substance.getIMultipleOutputChannelName &lt;index&gt;index</code></pre><p>Returns the name of the indexed output channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;enum&gt;Substance.getIMultipleOutputChannelType &lt;index&gt;index\n\
\n\
getIMultipleOutputChannelType enums: {#float | #integer | #rgb | #point3 | #string | #filename | #material | #texturemap | #bitmap | #node | #maxObject | #matrix3 | #paramblock2 | #point4 | #frgba }</code></pre><p>Returns the type of the indexed output channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;value&gt;Substance.getIMultipleOutputChannelValue &lt;index&gt;index time:&lt;time&gt;\n\
\n\
time default value: 0f</code></pre><p>Returns the value of the indexed output channel.</p>\n\
<p>If the optional <code>time:</code> argument is supplied, the value will be evaluated at the specified time. Otherwise, the current time will be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Interface: IMtlRender_Compability_MtlBase</code></pre><p><strong>Properties:</strong></p>\n\
<p>No properties exposed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<p>No methods exposed.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";