var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0420E081-9928-44AC-AEA9-63618AA0E8E8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Water : TextureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Waves - superclass: textureMap; super-superclass:material - classID: #(1997693774, 0) </code></pre><p>All properties of this class have been exposed in <strong>3ds Max 6</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Water ...     \n\
Waves...  </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Water&gt;.numWaveSets Integer default: 10 -- animatable, alias: Num_Wave_Sets </code></pre><p>Specifies how many wave sets are used in the pattern.</p>\n\
<p>Wave sets are groups of radially symmetrical waves that originate from randomly computed points along the surface of an imaginary sphere inside the object (a circle, in the case of 2D wave distribution).</p>\n\
<p>For calm water, set this to a low number.</p>\n\
<p>Use a high number for choppy water.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Water&gt;.waveRadius Float default:1000.0-- animatable, alias: Wave_Radius </code></pre><p>Specifies the radius, in <strong>3ds Max</strong> units, of the imaginary sphere (3D distribution) or circle (2D distribution) whose surface is the origin of each wave set.</p>\n\
<p>A large radius produces large circular wave patterns, while a small radius produces dense, smaller waves.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Water&gt;.waveLenMax Float default: 50.0 -- animatable &lt;Water&gt;.waveLenMin Float default: 50.0 -- animatable </code></pre><p>Define the interval used to randomly chose each wave center.</p>\n\
<p>If these two values are close together, the water appears more regular. If they&#x2019;re farther apart, the water is less regular.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Water&gt;.amplitude Float default: 1.0 -- animatable </code></pre><p>Adjusts the strength and the depth of the waves by increasing the contrast between the two colors.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Water&gt;.phase Float default: 0.0 -- animatable </code></pre><p>Shifts the wave pattern. Animate this parameter to animate the motion of the pattern.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Water&gt;.distribution Integer default: 0 </code></pre><p>3D distributes the wave centers on the surface of an imaginary sphere, affecting all sides of a 3D object.</p>\n\
<p>2D distributes the wave in circles centered on the XY plane, which is more appropriate for flat water surfaces such as oceans and lakes.</p>\n\
<p>0- 3D</p>\n\
<p>1- 2D</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Water&gt;.randomSeed Integer default: 30159 </code></pre><p>Provides a seed number to generate the water pattern.</p>\n\
<p>The pattern changes with each seed, but all other settings are maintained.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Water&gt;.color1 Color default: (color 198.9 198.9 239.7) -- animatable, alias: Color_1 </code></pre><p>Sets the wave trough color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Water&gt;.map1 TextureMap default: undefined </code></pre><p>Sets a map as the wave trough color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Water&gt;.map1On Boolean default: true -- alias: Map1_On </code></pre><p>Enables associated map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Water&gt;.color2 Color default: (color 25.5 25.5 198.9) -- animatable, alias: Color_2 </code></pre><p>The color of wave peaks.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Water&gt;.map2 TextureMap default: undefined </code></pre><p>Sets a map as the color of wave peaks.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Water&gt;.map2On Boolean default: true -- alias: Map2_On </code></pre><p>Enables associated map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Water&gt;.coords StandardXYZGen -- alias: Coordinates </code></pre><p>See <a href=\"./../TextureMap-Shared-Classes/StandardXYZGen-Material.html\">StandardXYZGen</a> for the StandardXYZGen properties.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../TextureMap-Common-Properties.html\">TextureMap Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../Material-MAXWrapper/Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";