var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2853EEBC-2126-4B1F-8254-CC668A7762C3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Automatic_Exposure_Control : MAXObject</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Automatic_Exposure_Control - superclass:ToneOperator; super-superclass:MAXWrapper- classID: #(2020371114, 1150503387) </code></pre><p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Automatic_Exposure_Control ... AutomaticAdaptiveExposureControl ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Automatic_Exposure_Control&gt;.active Boolean default: true -- boolean </code></pre><p>Enable/Disable the Tone Operator. Changes the state of the Active checkbox in the Environment/Exposure Control rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Automatic_Exposure_Control&gt;.physicalScale Float default: 1500.0 -- animatable; float; Physical_Scale </code></pre><p>Sets a physical scale for exposure control to use. This is a light intensity value, in candelas. It can range from 0.0 to 200,000.0. The physical scale is factored into light multiplier values, and self-illumination, reflection, and refraction maps. Default=1500.0.</p>\n\
<p>Decreasing the physical scale dims the scene. Increasing the physical scale increases brightness, up to a scale value at which the scene grows no brighter.</p>\n\
<p>This parameter is animatable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Automatic_Exposure_Control&gt;.chromaticAdaptation Boolean default: false -- boolean; Chromatic_Adaptation </code></pre><p>When the check box is turned on, chromatic adaptation converts all colors so the color displayed in the color swatch appears as white. Default=off.</p>\n\
<p>Clicking the color swatch displays a Color Selector so you can choose the color to adapt to.</p>\n\
<p>Chromatic adaptation is a form of color correction. You can use this control to simulate the eye adjusting to lighting. For example, when the light in a room has a yellow cast, our mind adjusts it so that objects we know to be white, such as printed pages, appear as white.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Automatic_Exposure_Control&gt;.colorDifferentiation Boolean default: false -- boolean; Color_Differentiation </code></pre><p>When on, renders dimly lit colors as if the light were too dim for the eye to distinguish between colors. When on, renders even dimly lit colors. Default=off.</p>\n\
<p>Color differentiation simulates the eye&apos;s response to dim lighting. In dim lighting, the eye does not perceive colors and sees tones of gray instead.</p>\n\
<p>The effect of this setting is not apparent except at very low light levels: below 5.62 candelas. This occurs only if the Physical Scale is less than 5.62, if a light&apos;s Multiplier is less than 0.00017, or both. When Physical Scale is less than 0.00562, the scene is completely gray.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Automatic_Exposure_Control&gt;.whiteColor Color default: (color 255 255 255) -- animatable; RGB color; Color_Discrimination </code></pre><p>Get/Set the <code>whiteColor</code> value of the Tone Operator. When the <code>chromaticAdaptation</code> is set to <code>true</code> , the Tone Operator will shift all colors so that the color set in <code>whiteColor</code> appears as white.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Automatic_Exposure_Control&gt;.exposureValue Float default: 0.0 -- animatable; float; Exposure_Value </code></pre><p>Adjusts the overall brightness of the rendering. Can range from -5.0 to 5.0. Negative values make the image darker, and positive values make it brighter. Default=0.0.</p>\n\
<p>The exposure value is comparable to the exposure compensation setting in cameras with automatic exposure.</p>\n\
<p>This parameter is animatable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Automatic_Exposure_Control&gt;.brightess Float default: 50.0 -- animatable; percentage; Brightness </code></pre><p>Get/Set the Brightness value of the Tone Operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Automatic_Exposure_Control&gt;.contrast Float default: 50.0 -- animatable; percentage </code></pre><p>Get/Set the Contrast value of the Tone Operator.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   SceneExposureControl.exposurecontrol = \n\
   automatic_exposure_control()\n\
   SceneExposureControl.exposurecontrol.physicalscale = 800\n\
   SceneExposureControl.exposurecontrol.exposurevalue = 0.1\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../ToneOperator-MAXWrapper.html\">ToneOperator: MAXWrapper</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneExposureControl.html\">Interface: SceneExposureControl</a></li>\n\
          <li><a class=\"link\" href=\"ToneOperator-MAXWrapper-1.html\">ToneOperator : MAXWrapper</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";