var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-70A9861A-5E23-4DD2-8738-C630B5BE2A9C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Linear_Exposure_Control : ToneOperator</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Linear_Exposure_Control - superclass: ToneOperator; super-superclass:MAXWrapper - classID: #(1435071256, 886776236)</code></pre><p>The Linear Exposure Control samples the rendered image and uses the average brightness of the scene to map physical values to RGB values. Linear Exposure Control is best used for scenes with a fairly low dynamic range.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Linear_Exposure_Control ... AutomaticLinearExposureControl ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Linear_Exposure_Control&gt;.active Boolean default: true -- boolean   </code></pre><p>Enable/disable the Tone Operator. Changes the state of the Active checkbox in the Environment/Exposure Control rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Linear_Exposure_Control&gt;.brightess Float default: 50.0 -- animatable; percentage; Brightness </code></pre><p>Gets/sets the Brightness value of the Tone Operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Linear_Exposure_Control&gt;.chromaticAdaptation Boolean default: false -- boolean; Chromatic_Adaptation </code></pre><p>Gets/sets the Chromatic Adaptation value of the Tone Operator. Corresponds to the Color Correction checkbox in the Tone Operator&#x2019;s rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Linear_Exposure_Control&gt;.colorDifferentiation Boolean default: false -- boolean; Color_Differentiation </code></pre><p>Gets/sets the Color Differentiation value of the Tone Operator. Corresponds to the Desaturate Low Levels checkbox in the Tone Operator&#x2019;s rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Linear_Exposure_Control&gt;.contrast Float default: 50.0 -- animatable; percentage </code></pre><p>Gets/sets the Contrast value of the Tone Operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Linear_Exposure_Control&gt;.exposureValue Float default: 0.0 -- animatable; float; Exposure_Value </code></pre><p>Gets/sets the Exposure value of the Tone Operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Linear_Exposure_Control&gt;.physicalScale Float default: 1500.0 -- animatable; float; Physical_Scale </code></pre><p>Gets/sets the physicalScale value of the Tone Operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Linear_Exposure_Control&gt;.processBG Boolean default: false -- boolean; Process_Background </code></pre><p>Gets/sets the state of the <code>processBG</code> value corresponding to the &quot;Process Background and Environment Maps&quot; checkbox in the Tone Operator&#x2019;s rollout. When set to <code>true</code> , the Tone Operator will affect the background.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Linear_Exposure_Control&gt;.whiteColor Color default: (color 255 255 255) -- animatable; RGB color; White_Color </code></pre><p>Gets/sets the <code>whiteColor</code> value of the Tone Operator. When the <code>chromaticAdaptation</code> is set to <code>true</code> , the Tone Operator will shift all colors so that the color set in <code>whiteColor</code> appears as white.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Create a new Linear Exposure Control Tone Operator instance:\n\
   linear_exposure =Linear_Exposure_Control ()\n\
   --&gt;ReferenceTarget:Linear_Exposure_Control\n\
   --Assign the new tone operator as the current exposure control:\n\
   SceneExposureControl.exposureControl = linear_exposure\n\
   --&gt;ReferenceTarget:Linear_Exposure_Control\n\
   --Disable the tone operator:\n\
   linear_exposure.active = false\n\
   --&gt;false\n\
   --Set the white color of the current exposure control to pink:\n\
   SceneExposureControl.exposureControl.whiteColor = [255,200,200]\n\
   --&gt;[255,200,200]\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../ToneOperator-MAXWrapper.html\">ToneOperator: MAXWrapper</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneExposureControl.html\">Interface: SceneExposureControl</a></li>\n\
          <li><a class=\"link\" href=\"ToneOperator-MAXWrapper-1.html\">ToneOperator : MAXWrapper</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";