var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-985C3D3A-3D47-4380-8265-38684F71B7FB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Pseudo_Color_Exposure_Control : ToneOperator</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Pseudo_Color_Exposure_Control - superclass: ToneOperator; super-superclass:MAXWrapper - classID: #(1465794047, 1625374106) </code></pre><p><strong>Pseudo Color Exposure Control</strong> is a lighting analysis tool that provides an intuitive way of visualizing and evaluating the lighting levels in the scene. It maps luminance or illuminance values to pseudo colors that show the brightness of the values being converted</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Pseudo_Color_Exposure_Control ... pseudoColorExposureControl ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pseudo_Color_Exposure_Control&gt;.active Boolean default: true -- boolean </code></pre><p>Controls whether the exposure control is active or not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pseudo_Color_Exposure_Control&gt;.automatic Boolean default: false -- boolean </code></pre><p>Get/Set the <code>.automatic</code> property of the Tone Operator. When <code>false</code> (default), the minimum and maximum range values will be used. When <code>true</code> , the Min. and Max. spinners in the UI will be disabled and the range will be determined automatically. <strong>NOTE that this feature is not exposed to the UI and is only accessible through MAXScript</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pseudo_Color_Exposure_Control&gt;.display Integer default: 0 -- integer </code></pre><p>Get/Set the display property of the Tone Operator. Corresponds to the Style drop-down list in the UI.</p>\n\
<p>0 - Colored</p>\n\
<p>1 - Greyscale</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pseudo_Color_Exposure_Control&gt;.illuminance SubAnim default: SubAnim:Illuminance -- SubAnim </code></pre><p>The Illuminance SubAnim containing the Illuminance Render Element added automatically by the Tone Operator to the Render Elements list in order to obtain accurate data.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>After creating the exposure control via MAXScript, the SubAnim will be unnamed. The SubAnim will be hooked up to the exposure control when the control is assigned to the scene.</p>\n\
<p>The SubAnim value cannot be set!</p>\n\
<p>When the <code>.quantity</code> property is set to the <code>.illuminace</code> property is replaced by a <code>.luminance</code> property containing a Luminance Render Element. In this case accessing the <code>.illuminance</code> property will cause an&quot;Unknown property&quot;error.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pseudo_Color_Exposure_Control&gt;.maximum Float default: 50.0 -- animatable; float </code></pre><p>The Maximum Display Range to be measured and displayed by the Tone Operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pseudo_Color_Exposure_Control&gt;.minimum Float default: 0.0 -- animatable; float </code></pre><p>The Minimum Display Range to be measured and displayed by the Tone Operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pseudo_Color_Exposure_Control&gt;.physicalScale Float default: 1500.0 -- animatable; float; Physical_Scale </code></pre><p>Controls the physical scale.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pseudo_Color_Exposure_Control&gt;.processBG Boolean default: false -- boolean; Process_Background </code></pre><p>Controls whether the background should be processed or not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pseudo_Color_Exposure_Control&gt;.quantity Integer default: 0 -- integer </code></pre><p>0 - illuminance property exposes an Illuminance_Render_Element</p>\n\
<p>1 - illuminance property replaced with luminance property, which exposes an Luminance_Render_Element</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pseudo_Color_Exposure_Control&gt;.scaleFunction Integer default: 0 -- integer; Scale_Function </code></pre><p>Get/Set the scaleFunction property corresponding to the selection of the Scale drop-down list in the UI. Chooses the technique used to map values.</p>\n\
<p>0 - Logarithmic (default) uses a logarithmic scale.</p>\n\
<p>1 - Linear uses a linear scale.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Pseudo_Color_Exposure_Control&gt;.unitSystemUsed Integer default: 0 -- integer; Unit_System_in_Use </code></pre><p>Not directly exposed in the UI. This property is used internally to interface with the Lighting Units set up under Customize &gt; Units Setup.</p>\n\
<p>0 - SI (International, lux)</p>\n\
<p>1 - AS (American, candles/square foot)</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../ToneOperator-MAXWrapper.html\">ToneOperator: MAXWrapper</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Render-Elements/Illuminance_Render_Element.html\">Illuminance_Render_Element: RenderElement</a></li>\n\
          <li><a class=\"link\" href=\"../Render-Elements/Luminance_Render_Element.html\">Luminance_Render_Element: RenderElement</a></li>\n\
          <li><a class=\"link\" href=\"../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneExposureControl.html\">Interface: SceneExposureControl</a></li>\n\
          <li><a class=\"link\" href=\"ToneOperator-MAXWrapper-1.html\">ToneOperator : MAXWrapper</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";