var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BC5AE8EA-A88C-4CF3-AF63-4C45FB48EEB5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>BakeToTexture : UtilityPlugin</h1></div><p>Provides access to the <strong>Bake To Texture</strong> dialog and it&apos;s functionality.\n\
 <strong>Available in 3ds Max 2021 and higher.</strong>Note: there are some new additions in <strong>3ds Max 2021.1 Update</strong>, as indicated below.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">class instances not creatable by MAXScript</code></pre><p><strong>Interface: BakeToTexture</strong></p>\n\
<p>This interface provides access to the functionality of the Bake to Texture dialog, including output file options, file types and sizes, and the baking process. The <code>BakeToTextureMap</code> interface (described below) exposes the functionality of individual bake maps themselves.</p>\n\
<p>See <a href=\"#full-example\">the sample</a> at the end of this topic for an illustration of how to use some of these APIs together.</p>\n\
<p><strong>Properties:</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTexture.outputPath : string : Read|Write</code></pre><p>Gets or sets the output path for baked map files.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTexture.autoCloseProgressDialog : boolean : Read|Write</code></pre><p>Gets or sets whether the progress dialog closes immediately after all the maps in the queue have been baked. If set to false, the dialog remains open after the process completes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTexture.showFrameBuffer : boolean : Read|Write</code></pre><p>Specifies whether to show the frame buffer window during the baking process.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTexture.alwaysOverwriteExistingFiles : boolean : Read|Write</code></pre><p>Specifies whether to overwrite existing map files. </p>\n\
<p>When <strong>true</strong> existing files are replaced when new files are generated in the baking process, and the <code>alwaysSkipExistingFiles</code> property is set to <strong>false</strong>.</p>\n\
<p>When <strong>false</strong>, existing files are not replaced. If both this property and the <code>alwaysSkipExistingFiles</code> property are false, a warning is displayed and the user must make the decision whether to overwrite or skip each file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTexture.alwaysSkipExistingFiles : boolean : Read|Write</code></pre><p>Specifies whether to skip existing map files.\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong>\n\
When <strong>true</strong>, existing files are not baked again in the baking process. Also the <code>alwaysOverwriteExistingFiles</code> property is set to false.</p>\n\
<p>When <strong>false</strong>, existing files are not skipped. Therefore, if both this property and the <code>alwaysOverwriteExistingFiles</code> property are false, a warning is displayed and the user must make the decision whether to overwrite or skip each file.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;BakeToTexture.getMapsCount &lt;node&gt;object</code></pre><p>Returns the total number of maps configured for the specified object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node by value array&gt;BakeToTexture.getObjects()</code></pre><p>Returns and array that contains all the scene objects that have bake to texture maps associated with them.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface by value array&gt;BakeToTexture.getAllMaps()</code></pre><p>Returns an array of all the maps configured for objects in the Bake to Texture dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface by value array&gt;BakeToTexture.getMaps &lt;node&gt;object</code></pre><p>Returns an array of all the maps configured for the specified object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;BakeToTexture.bakeableMapsAreValid()</code></pre><p>Returns true if all of the maps set as renderable are valid. This means they do not generate warnings and are compatible with the currently configured renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;BakeToTexture.bake onMapBakedCallback:&lt;value&gt;</code></pre><p>Starts the baking process. The <code>onMapBakedCallback</code> callback function is called after each map file is saved.</p>\n\
<p>A map can be a single file or multiple files (as in the case of UDIM tiles or animated frames), and the callback is called after each file.\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong>\n\
The callback function receives two parameters:</p>\n\
<ol>\n\
<li><code>successfulBake</code>: a boolean that indicates whether a map file was successfully baked and saved.</li>\n\
<li><code>bakeFilePath</code>: a string containing the full file path of the baked map&apos;s image file.</li>\n\
</ol>\n\
<p>The callback function should return a boolean value indicating if the baking process should continue with the next map file (for multi-file maps) or the map in the queue. True indicates the process should continue, while false halts the process.</p>\n\
<p>For example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn onMapBaked successfulBake MapFileString = \n\
(\n\
     if successfulBake and doesFileExist(MapFileString) then\n\
     (\n\
          print MapFileString\n\
          return true\n\
     ) else return false\n\
)\n\
BakeSuccess = BakeToTexture.bake onMapBakedCallback:onMapBaked</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;BakeToTexture.addMap &lt;node&gt;object &lt;enum&gt;mapTypeEnum\n\
mapTypeEnum enums: {#AlphaMap|#BlendMap|#CavityMap|#CompleteMap|#DensityMap|#DiffuseMap|#DustMap|\n\
#HeightMap|#LightMap|#NormalMap|#OcclusionMap|#ShadowMap|#SpecularMap|#SubSurfaceMap|#OverrideMap}</code></pre><p>Adds a map of a type specified by <code>mapTypeEnum</code> to the specified object. This function returns the map that was created and added. The map implements the <code>BakeToTextureMap</code> interface (see below).</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Not all map types are compatible with all renderers. To get a list of map types compatible with the current renderer, use <code>getCompatibleMapTypes()</code> described below.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;BakeToTexture.addMapByClassID &lt;node&gt;object &lt;integer64 array&gt;classID</code></pre><p>Adds a map of a type specified by classID to the specified object. This function returns the map that was created and added. The map implements the <code>BakeToTextureMap</code> interface (see below).</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Not all map types are compatible with all renderers. To get a list of map types compatible with the current renderer, use <code>getCompatibleMapTypes()</code> described below.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;BakeToTexture.getMapById &lt;integer&gt;mapID</code></pre><p>Returns the map with the specified <code>mapID</code>. The map implements the <code>BakeToTextureMap</code> interface (see below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BakeToTexture.deleteMapById &lt;integer&gt;mapID</code></pre><p>Removes the map with the specified <code>mapID</code> from the Bake to Texture list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BakeToTexture.deleteAllMaps()</code></pre><p>Removes all the maps from the Bake to Texture list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BakeToTexture.openOutputLocation()</code></pre><p>Opens the Bake to Texture output directory in the Windows File Explorer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string array&gt;BakeToTexture.getCompatibleMapTypes()</code></pre><p>Returns a list of all the map types that are compatible with the current renderer. The list is an array of strings, each string containing the name of the map and it&apos;s classID.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The list of compatible maps for the current renderer is populated when the Bake to Texture utility is initialized. If the call to this function happens before any other call (such as <code>BakeToTexture.showDialog()</code>), this list will not be complete.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BakeToTexture.showDialog()</code></pre><p>Opens the Bake to Texture dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BakeToTexture.hideDialog()</code></pre><p>Closes the Bake to Texture dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;getOutputTo &lt;node&gt;object\n\
       getOutputTo enums: {#FilesOnly|#OriginalMaterial|#DuplicateOriginalMaterial|#CreateNewMaterial|#InvalidType</code></pre><p>Gets the &quot;Output to&quot; mode for the specified object.\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;setOutputTo &lt;node&gt;object &lt;enum&gt;output material:&lt;material&gt;\n\
       output enums: {#FilesOnly|#OriginalMaterial|#DuplicateOriginalMaterial|#CreateNewMaterial|#InvalidType}\n\
       material default value: undefined</code></pre><p>Sets the &quot;Output to&quot; mode for the specified object. If the mode is set to <code>#CreateNewMaterial</code> the material must also be provided with the <code>material:&lt;material&gt;</code> argument.\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong>\n\
If the material is created directly in the command by passing the material&apos;s constructor, the material constructor needs to be in parenthesis. For example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTexture.SetOutputTo $Teapot001 #CreateNewMaterial material:(Physical_Material())</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;material&gt;getNewMaterial &lt;node&gt;object</code></pre><p>Returns the material that is set to be the new material when <code>#CreateNewMaterial</code> is chosen as the &quot;Output To&quot; mode.\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string array&gt;getTargetMaterialSlots &lt;node&gt;object</code></pre><p>Gets the list of all the material input slots that can be used as targets for the object&apos;s maps. The function returns an array of strings that can be used as target definitions for the map&apos;s &quot;Output To&quot; function.\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;clearShellKeepBaked nodes:&lt;&amp;node array&gt;\n\
       nodes default value: #()\n\
       nodes is In and Out parameter</code></pre><p>Clears all Shell materials in the scene or on a specific array of nodes, and replaces the material on the objects by the baked material connected to the shell material. It makes sure that the <strong>baked material</strong> is directly assigned to the object rather than the shell material. This is a quick way to prepare a scene for export.\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong>\n\
If no array of nodes is provided, the Shell materials in the whole scene are cleared. If an array of nodes is provided, only the Shell materials assigned to those nodes is cleared.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;clearShellKeepOriginal nodes:&lt;&amp;node array&gt;\n\
       nodes default value: #()\n\
       nodes is In and Out parameter</code></pre><p>Clears all Shell materials in the scene or on a specific array of nodes, and replaces the material on the objects by the original material connected to the Shell material. It makes sure that the <strong>original material</strong> is directly assigned to the object rather than the Shell material. This is a quick way to prepare a scene for export.\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong>\n\
If no array of nodes is provided, the Shell materials in the whole scene are cleared. If an array of node is provided, only the Shell material assigned to those nodes is cleared.<br><strong>Interface: BakeToTextureMap</strong></p>\n\
<p>This interface is implemented by the various types of texture maps created on objects in the Bake to Texture dialog. For example, the maps returned by <code>BakeToTexture.addMap()</code> and <code>BakeToTexture.getMaps()</code> implement this interface.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.sceneObject : node : Read</code></pre><p>Returns the object associated with the map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.id : integer : Read</code></pre><p>The map&apos;s unique ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.mapTypeID : integer64 array : Read</code></pre><p>The map&apos;s classID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.mapTypeName : string : Read</code></pre><p>The map&apos;s type name, as a string. This is the same name displayed in the Bake to Texture dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.renderable : boolean : Read|Write</code></pre><p>Gets or sets whether the map is in the baking queue.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.frozen : boolean : Read</code></pre><p>The map&apos;s support status. If the map is not supported in the current renderer, this property is true, otherwise it is false. When this property is true, the map is not baked in the baking process.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.bakeable : boolean : Read</code></pre><p>Gets whether the map can be baked. This means all the properties and parameters for the map are valid, and the map type is compatible with the current renderer. If false, the map will not be baked in the baking process.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.fileName : filename : Read|Write</code></pre><p>The name of the file associated with this map. By default this is &quot;[object name]_[map name]&quot;, for example, &quot;Teapot001_normals&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.fileType : string : Read|Write</code></pre><p>The image file type extension associated with the map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.uvChannel : integer : Read|Write</code></pre><p>The UV channel of the map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.imageWidth : integer : Read|Write|Validated by Range: 1 to 65535</code></pre><p>The width, in pixels, of the map&apos;s output image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.imageHeight : integer : Read|Write|Validated by Range: 1 to 65535</code></pre><p>The height, in pixels, of the map&apos;s output image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.edgePadding : integer : Read|Write|Validated by Range: 0 to 128</code></pre><p>The edge padding of the map&apos;s output image, in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.backgroundColor : color : Read|Write</code></pre><p>The background color of the map&apos;s output image.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The background color cannot be changed for surface maps.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.projectionModifierIndex : integer : Read|Write</code></pre><p>The index of the projection modifier used on the map, in order of bottom to top of the projection modifier stack. An index of 0 indicates &quot;Self&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.projectionModifierName : string : Read</code></pre><p>The name of the projection modifier used on the map, as a string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.projectionMethod : integer : Read|Write|Validated by Range: 0 to 2</code></pre><p>The projection method for the map, where:</p>\n\
<ul>\n\
<li>0 = Cage</li>\n\
<li>1 = Raytrace</li>\n\
<li>2 = UV Match</li>\n\
</ul>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> You should ensure that the projection method for the map is not &quot;Self&quot; before accessing this property, as this will cause a MAXScript runtime error.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.projectionMaxRayDistance : float : Read|Write|Validated by Range: 0.0 to 10000.0</code></pre><p>The maximum ray distance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.projectionResolveHitType : integer : Read|Write|Validated by Range: 0 to 1</code></pre><p>The Projection Resolve Hit Type for the map, where:</p>\n\
<ul>\n\
<li>0 = Closest</li>\n\
<li>1 = Furthest</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.projectionHitOnlyMatchingMatID : boolean : Read|Write</code></pre><p>Specifies whether the Hit Only Matching Material ID setting is enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.projectionRayMissColorType : integer : Read|Write|Validated by Range: 0 to 2</code></pre><p>The Projection Ray Miss Color setting, where:</p>\n\
<ul>\n\
<li>0 = Background</li>\n\
<li>1 = Self (Color / Normals)</li>\n\
<li>2 = Use Color for Diagnostic - uses the <code>projectionDiagnosticColor</code> property for the color (see below).</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.projectionDiagnosticColor : color : Read|Write</code></pre><p>The color used for the Color Diagnostic setting if <code>projectionRayMissColorType</code> is set to 2 (Use Color for Diagnostic).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.UDIMEnabled : boolean : Read|Write</code></pre><p>Specifies whether UDIM Tiles baking is enabled for the map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BakeToTextureMap.UDIMFilePattern : enum : Read|Write\n\
       UDIMFilePattern enums: {#UDIM|#ZBrush|#Mudbox}</code></pre><p>Specifies the filename format for UDIM files when they are saved for the map. The file formats are:\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong></p>\n\
<ul>\n\
<li><code>#UDIM</code> - the file suffix will be <strong>UDIM number</strong>, with the filename pattern: Map.1001.png, Map.1002.png, Map.1003.png, etc</li>\n\
<li><code>#ZBrush</code> - file suffix will be <strong>u0_v0</strong> (base 0), with the filename pattern: Map.u0_v0.png, Map.u1_v1.png, Map.u2_v2.png, etc</li>\n\
<li><code>#Mudbox</code> - file suffix will be <strong>u1_v1</strong> (base 1), with the filename pattern: Map.u1_v1.png, Map.u2_v2.png, Map.u3_v3.png, etc   </li>\n\
<li><em>Methods:*</em></li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BakeToTextureMap.setImageSize &lt;integer&gt;width &lt;integer&gt;height\n\
 width Validated by Range: 1 to 65535\n\
 height Validated by Range: 1 to 65535\n\
</code></pre><p>Sets the map&apos;s width and height.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;BakeToTextureMap.applyImageTypeSettings()</code></pre><p>Applies the current BitmapIO class settings to the matching image type defined for this map. Returns true if successful, false if there was an error.</p>\n\
<p>For example, to change an existing map <code>map1</code> to png output, and set some png settings:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">map1.setImageType &quot;png&quot;\n\
map1.setFilename &quot;Map1&quot;\n\
-- Enable Alpha and use 48bit color\n\
pngio.setAlpha(true)\n\
pngio.SetType(#true48)\n\
map1.applyImageTypeSettings()    </code></pre><p>See <a href=\"./../BitmapIO-MAXWrapper.html\">BitmapIO : MAXWrapper</a> for a list of classes that hold image format settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;BakeToTextureMap.getProjectionModifiersCount()</code></pre><p>Returns the total number of projection modifiers available for the map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;BakeToTextureMap.getOptionsCount()</code></pre><p>Returns the total number of options available for this map&apos;s type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;BakeToTextureMap.getOptionName &lt;index&gt;index</code></pre><p>Returns the name, as a string, of the map option specified by index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;BakeToTextureMap.getOptionType &lt;index&gt;index</code></pre><p>Returns the type of the option specified by index, where:</p>\n\
<ul>\n\
<li>0 = float</li>\n\
<li>1 = integer (this could also be the index from a list of choices)</li>\n\
<li>4 = boolean</li>\n\
<li>15 = Map</li>\n\
<li>8215 = color</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;BakeToTextureMap.isOptionReadOnly &lt;index&gt;index</code></pre><p>Returns true if the map option specified by index is read only, false if it can be modified.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;BakeToTextureMap.getOptionValue &lt;index&gt;index</code></pre><p>Returns the current value for the map option specified by index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;BakeToTextureMap.setOptionValue &lt;index&gt;index &lt;value&gt;value</code></pre><p>Sets the value for the map option specified by index, and returns true if the value was successfully set, otherwise false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;BakeToTextureMap.getTargetMapSlot()</code></pre><p>Gets the name of the Target Slot on the material of the object. This is where the map is connected to when baked.\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;BakeToTextureMap.setTargetMapSlot &lt;string&gt;slot</code></pre><p>Sets the Target Slot on the material of the object. This defines where the map will be connected when baked. The target map slots are defined as strings and the valid target map slots for the parent object can be obtained by using <code>BakeToTexture.getTargetMaterialSlots()</code>.   \n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong></p>\n\
<h2 id=\"full-example\">Full example</h2><p>The following example creates some objects and creates bake to texture maps for them. It sets some options on the maps, and then kicks off the bake process.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- Bake to texture example\n\
resetMaxFile #noprompt\n\
\n\
-- set up our object:\n\
t = Teapot()\n\
s = Sphere pos:[40,40,0]\n\
pm = PhysicalMaterial()\n\
cm = OSL_Checker()\n\
pm.base_color_map = cm\n\
t.material = pm \n\
\n\
-- need uvw for baking maps\n\
u = uvwmap()\n\
addModifier t u\n\
\n\
-- open the dialog:\n\
BakeToTexture.showDialog()                   \n\
-- set up some maps:\n\
-- first, let&apos;s see what&apos;s compatible with the current renderer\n\
-- this example assumes Arnold is the current renderer\n\
compatible_maps = BakeToTexture.getCompatibleMapTypes()\n\
compatible_map_names = for s in compatible_maps collect ((filterString s &quot; :&quot;)[1])\n\
\n\
-- we can get a map from addMap() for native 3ds Max maps\n\
if findItem compatible_map_names &quot;Lighting&quot; &gt; 0 do \n\
    ( light_map = BakeToTexture.addMap t #LightMap )\n\
\n\
-- we can also get it later by index and add from a class ID for non native 3ds max maps:\n\
if findItem compatible_map_names &quot;Arnold_albedo&quot; &gt; 0 do\n\
    ( \n\
        BakeToTexture.addMapByClassID t #(1236154164, -1994915067) \n\
        albedo_map = (BakeToTexture.getMaps t)[2]\n\
    )  \n\
\n\
-- let&apos;s change some settings on the maps \n\
albedo_map.fileType = &quot;jpg&quot;\n\
albedo_map.setImageSize 512 512\n\
light_map.setImageSize 512 512\n\
\n\
-- turn off shadows option if it is present\n\
for i = 1 to light_map.getOptionsCount() do \n\
    (\n\
        if light_map.getOptionName i == &quot;Shadows&quot; do \n\
        ( light_map.setOptionValue i 0 )\n\
    )\n\
\n\
BakeToTexture.showDialog()\n\
\n\
-- start bake process, without a callback:\n\
bake_success = BakeToTexture.bake()</code></pre><p><strong>Projection Map Example:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- Add projection modifier maps\n\
-- Create two objects\n\
-- Note, this is not a real-world example, the map will be &quot;flat&quot;\n\
-- we are just illustrating how to set things up\n\
myBoxLowRes = Box mapCoords:True name:&quot;Low Res&quot;\n\
myBoxHighRes= Box mapCoords:true name:&quot;High Res&quot;\n\
\n\
-- Add Projection Modifier to one\n\
modPanel.addModToSelection (Projection name:&quot;My Projection 1&quot;) ui:on\n\
addPModObjects  myBoxLowRes false true objList:myBoxHighRes\n\
\n\
-- Add a normal map:\n\
map =    BakeToTexture.addMap myBoxLowRes #NormalMap\n\
\n\
-- Get various Projection properties\n\
map.projectionModifierName -- should return #(Projection:Projection)\n\
map.projectionModifierIndex -- should return 1\n\
map.projectionMethod -- should return 0\n\
map.projectionMaxRayDistance -- should return 10.0\n\
map.projectionResolveHitType -- should return 1\n\
map.projectionHitOnlyMatchingMatID -- should return false\n\
map.projectionRayMissColorType -- should return 0\n\
map.projectionDiagnosticColor -- should return (color 255 0 0)</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../UtilityPlugin-Classes.html\">UtilityPlugin Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";