var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-38D6774C-2377-4976-BDA1-A56C88620537\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I Sort a MultiMaterial By Material ID?</h1></div><p>Since <strong>3ds Max 4</strong>, material IDs can be specified independently from the sub-material order inside a MultMaterial. The material IDs can get messy after a long process of adding sub-materials. Especially when giving a scene to other people, it might be a good idea to reorder the sub-materials by sorting the Material IDs in ascending order for easier access.</p>\n\
<p>The following function performs this operation using a simple bubble sort algorithm without using the built-in <a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">sort</a> or <a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">qsort</a> functions provided by MAXScript.</p>\n\
<p>A bubble sort algorithm compares two values and switches their places when their order is not right. It repeats this process until no changes are required anymore. The name of the method is based on the fact that entries with low values tend to float up &quot;to the surface&quot; while higher values fall down &quot;to the bottom&quot;.</p>\n\
<p>The function sets a flag variable and repeats a while loop until the flag is set to true. The flag will be set to false whenever two materials have switched places denoting that the sorting is not over yet. Inside the while loop, a for loop will run through the sub-materials and compare pairs of neighbor Material ID values. When the current value is higher than the following one, then their IDs, the respective sub-materials, the names and the enable switches have to change places.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn sortMultiSubById m =\n\
   (\n\
   if classof m == MultiMaterial then--make sure the material is MultiMaterial\n\
   (\n\
    local sorted = false--initialize a local variable as a sort status flag\n\
    while not sorted do--repeat until the flag is set to true\n\
    (\n\
     sorted = true--set the flag to true in the beginning\n\
     --loop though all sub-materials except the last one:\n\
     for i = 1 to m.numsubs-1 do\n\
     (\n\
      --if the MatID of the current sub-material is greater than the next one...\n\
      if m.materialIDList[i] != undefined and m.materialIDList[i+1] and m.materialIDList[i] &gt; m.materialIDList[i+1] do\n\
      (\n\
       --store the current material in a temp. variable\n\
       tmp = m.materialList [i]\n\
       --copy the next material into the current one\n\
       m.materialList [i] = m.materialList[i+1]\n\
       --copy the current material into the next one using the temp var.\n\
       m.materialList[i+1] = tmp\n\
       --do the same with the material IDs\n\
       tmp = m.materialIDList[i]\n\
       m.materialIDList[i] = m.materialIDList[i+1]\n\
       m.materialIDList[i+1] = tmp\n\
       --then copy the states of the enable checkboxes\n\
       tmp = m.mapEnabled[i]\n\
       m.mapEnabled[i] = m.mapEnabled[i+1]\n\
       m.mapEnabled[i+1] = tmp\n\
       --and finally switch the places of the user-defined names.\n\
       tmp = m.names[i]\n\
       m.names[i] = m.names[i+1]\n\
       m.names[i+1] = tmp \n\
       --set the flag to false as we switched places, ergo sorting goes on\n\
       sorted = false\n\
      )--end if \n\
     )--end for\n\
    )--end while\n\
   )--end if\n\
   )--end fn\n\
\n\
   -- Sample usage:\n\
   sortMultiSubById $Box001.material\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Accessing-Object-Properties.html\">Accessing Object Properties</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/MultiMaterial-Material.html\">MultiMaterial : Material</a></li>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";