var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-36ED2106-3576-4AF8-B809-431AB3FD36DB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I change a property in multiple objects at once?</h1></div><p>One of the most often used applications of MAXScript is the mass-changing of object properties. This can save tremendous amounts of clicks and time.</p>\n\
<p>To change a property in multiple objects, you need to:</p>\n\
<ol>\n\
<li><p>Get the correct objects to change</p>\n\
</li>\n\
<li><p>Assign a value to the correct property</p>\n\
</li>\n\
</ol>\n\
<p>The simplest situation imaginable is a selection of similar objects. For example, a large number of sphere primitives. MAXScript lets you easily access the current selection in the scene. In addition, an object property assignment is &quot;mappable&quot;. This means that MAXScript applies the value on the right side of the assignment operator &apos;=&apos; to every single object in the selection automatically without the need of an explicit MAXScript for loop. See <a href=\"./../../MAXScript-Syntax-and-Terminology/What-Are-Mapped-Operations-in.html\">What Are Mapped Operations in MAXScript?</a> for more details on mapped operations.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- select a large number of spheres in the scene with the mouse,\n\
   -- then change the radius of all selected objects to 10.0 units\n\
   -- by typing in the Listener:\n\
   selection.radius = 10\n\
   OK\n\
</code></pre></blockquote>\n\
<p>In case you have selected some object that does not have a property called radius such as, a Box primitive or some EditableMesh object, the above code causes an error:</p>\n\
<blockquote>\n\
<p>   <strong>ERROR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   selection.radius = 10\n\
   -- Unknown property: &quot;radius&quot; in $Box:Box01 @ [0. 000000, 0. 000000,0.000000]\n\
</code></pre></blockquote>\n\
<p>In such a case, you need to make sure that the collection of objects is filtered by your script before an assignment is made. See the <a href=\"./../../../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">For Loop</a> topic for more information. A possible way is:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- select any number of objects in the scene with the mouse,\n\
   -- then change the radius of all objects that have a .radius property\n\
   -- by typing in the Listener:\n\
   for i inselection where hasProperty i &quot;radius&quot; do i.radius = 10\n\
   OK\n\
</code></pre></blockquote>\n\
<p>If you want to change the radius of any object in the scene that has such a property instead of selecting objects manually, you can let MAXScript filter the scene for you. This affects all Spheres, GeoSpheres, Cylinders, and so on, but ignores any Boxes that do not have a &quot;radius&quot; property.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Go through all geometry objects, filter those that have a .radius property\n\
   -- and change the radius to 10 units by typing in the Listener:\n\
   for i inGeometry where hasProperty i &quot;radius&quot; do i.radius = 10\n\
   OK\n\
</code></pre></blockquote>\n\
<p>If you want to affect only the GeoSpheres in the scene and exclude all other classes, you can check the class of the objects instead. In this case, you do not have to check for a property named &quot;radius&quot; because any GeoSphere has this property. The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">classOf</a> function returns the object&apos;s class, so you can compare it to the class you want to affect.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Go through all geometry objects, filter the GeoSpheres\n\
   -- and change their radius to 10 units by typing in the Listener:\n\
   for i in Geometry where classOf i == GeoSphere do i.radius = 10\n\
   OK\n\
</code></pre></blockquote>\n\
<p>If you have no idea what the correct MAXScript name of a property is, you can either consult this Help File or use the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/Class-and-Object-Inspector.html\">showProperties</a> inspector function in the Listener to print a list of all exposed object properties.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Select a single sphere in the scene using the mouse and\n\
   -- type in the Listener:\n\
   showProperties $\n\
   .smooth : boolean\n\
   .radius : float\n\
   .mapCoords : boolean\n\
   .segs : integer\n\
   .slice : boolean\n\
   .hemisphere : float\n\
   .sliceFrom : angle\n\
   .sliceTo : angle\n\
   .chop : integer\n\
   .recenter : boolean\n\
   false\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Accessing-Object-Properties.html\">Accessing Object Properties</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";