var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A80603FB-F487-42F4-868D-E97FC4876563\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I make a vector from a vertex position?</h1></div><h2 id=\"a-user-asked-\">A user asked:</h2><ol>\n\
<li><p>How to make a vector from a vertex position?</p>\n\
</li>\n\
<li><p>How to make a vector from two vertex positions?</p>\n\
</li>\n\
</ol>\n\
<h2 id=\"answer-\">Answer:</h2><p>A vertex position IS a vector!</p>\n\
<p>Any <a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/Point3-Values.html\">Point3 value</a> is a vector with origin at the world origin [0,0,0] pointing at the Point3 value consisting of the X, Y and Z coordinates of the vertex.</p>\n\
<p>On the image below, you can see a graphical representation of the <strong>3ds Max</strong> world coordinate system with its X, Y and Z axes crossing at the Origin [0,0,0]:</p>\n\
<p><img src=\"./images/GUID-CF259586-B792-47DB-87AB-EB19BA1A98BD-low.gif\" alt=\"\"></p>\n\
<p>A point with coordinates [20,10,10] would appear like this - let&#39;s call it &quot;A&quot;:</p>\n\
<p><img src=\"./images/GUID-1A927C05-5712-4B4E-A16E-6BC4B000B61C-low.gif\" alt=\"\"></p>\n\
<p>The Point3 value [20,10,10] defines a vector with starting point at the origin [0,0,0] and ending point at A. The length of the vector is equal to the distance between the origin and A, and the direction is from the origin to A:</p>\n\
<p><img src=\"./images/GUID-4AB01ABA-8079-4E97-9C1A-A7AFBFA34149-low.gif\" alt=\"\"></p>\n\
<p>Point B with coordinates [-10,30,20] would appear like this:</p>\n\
<p><img src=\"./images/GUID-8FB441CE-E3DF-4287-87DB-BBD23553AF2F-low.gif\" alt=\"\"></p>\n\
<p>The Point3 value [-10,30,20] defines a second vector with starting point at the origin [0,0,0] and ending point at B. The length of the vector is equal to the distance between the origin and B, and the direction is from the origin to B:</p>\n\
<p><img src=\"./images/GUID-59E466D9-2015-4E96-985A-689DB52A9515-low.gif\" alt=\"\"></p>\n\
<p>Now if you want to calculate the vector defined by the two points, you have to simply subtract the starting point from the end point. So a vector starting at A and pointing at B with length equal to the distance between the two points can be calculated as B-A:</p>\n\
<p><img src=\"./images/GUID-16FF10B6-BB2F-4757-B76F-C5DFDE1A99EB-low.gif\" alt=\"\"></p>\n\
<p>The resulting Point3 value C = B-A is a vector expressed just like A and B with starting point at the origin [0,0,0] and ending point the point C with coordinates the result of ([-10,30,20] - [20,10,10] ) which in turn is equal to [-10-20, 30-10, 20-10] which is finally equal to [-30,20,10]. Note that the vector C has exactly the same length and direction as B-A, it is just translated in parallel along the vector -A so its start matches the origin:</p>\n\
<p><img src=\"./images/GUID-7D1BE3CC-BCA3-44B6-AC3A-1A765267CA40-low.gif\" alt=\"\"></p>\n\
<p>Obviously, the rules of addition and subtraction apply to this set of vectors as you can see from the resulting parallelogram:</p>\n\
<p><img src=\"./images/GUID-9CB522D6-4C8E-4AC2-8588-A4D5287B8ED8-low.gif\" alt=\"\"></p>\n\
<p>Here is the same parallelogram in isometric view in order to show the parallel translation of the vectors:</p>\n\
<p><img src=\"./images/GUID-2C9BCF36-C7BE-4ECA-949D-1C4557114021-low.gif\" alt=\"\"></p>\n\
<p>As you would expect,</p>\n\
<p><code>C = B-A</code> (same vector, just translated to the origin)</p>\n\
<p><code>A = B-C</code> (same vector, just translated to the origin)</p>\n\
<p>B is obviously equal to the sum of the vectors (B-A) and A. This can be expressed as (B-A)+A or B+(A-A). Since A-A returns a zero vector without length and direction, the result is B itself.</p>\n\
<p>Same with the sum of (B-C) and C which can be written as B+(C-C). Since C-C returns a zero vector, the result is B itself.</p>\n\
<p>This shows that the sum of two vectors can be calculated by starting each new vector at the end of the previous one. The sum would be a vector starting at the beginning of the first operand and ending at the end of the last operand.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-With-Vectors.html\">Working With Vectors</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";