var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C30999F3-2BB4-4A16-AB70-634F96DC72A9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I Select a Face of an Editable Mesh by its Index?</h1></div><h2 id=\"a-user-asked-\">A user asked:</h2><p>Is there a way to select a face in an editable mesh when you only know its index?</p>\n\
<h2 id=\"answer-\">Answer:</h2><p>When doing it just once, you can quickly type in the Listener something like:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setFaceSelection $ {10}\n\
</code></pre><p>This selects the face with index 10 assuming that a single object is selected and it is an Editable_Mesh.</p>\n\
<p>If you are doing this very often, the following macroScript provides a UI with a spinner to select the face index and some error handling:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript FaceByIndex category:&quot;MXS Help&quot;\n\
   (\n\
   global SelectFaceRoll\n\
   try (destroyDialog SelectFaceRoll) catch()\n\
\n\
   rollout SelectFaceRoll &quot;Select Face&quot;\n\
   (\n\
     spinner face_index &quot;Face Index&quot; type:#integer range:[1,100000000,1]\n\
     on face_index changed val do\n\
     (\n\
       if isValidNode selection[1] and classof selection[1].baseobject == Editable_Mesh do\n\
       (\n\
         if val &lt;= selection[1].numfaces then\n\
           setFaceSelection selection[1] #{val}\n\
         else   \n\
           setFaceSelection selection[1] #{}\n\
       )\n\
     )\n\
   )\n\
   max modify mode\n\
   try (subObjectLevel = 3) catch()\n\
   createDialog SelectFaceRoll 150 30\n\
   )--end macro\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-Editable-Meshes.html\">Working with Editable Meshes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Face-Methods.html\">Mesh Face Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";