var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B94A1094-002C-4A7D-B5DD-AF5AB3435041\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I calculate the Volume of an Object?</h1></div><p>There is currently no access to the Measure Utility from MAXScript, but you can use the following MAXScript function to get the same results:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn CalculateVolumeAndCenterOfMass obj =\n\
   (\n\
   local Volume= 0.0\n\
   local Center= [0.0, 0.0, 0.0]\n\
   local theMesh = snapshotasmesh obj\n\
   local numFaces = theMesh.numfaces\n\
   for i = 1 to numFaces do\n\
   (\n\
     local Face= getFace theMesh i\n\
     local vert2 = getVert theMesh Face.z\n\
     local vert1 = getVert theMesh Face.y\n\
     local vert0 = getVert theMesh Face.x\n\
     local dV = Dot (Cross (vert1 - vert0) (vert2 - vert0)) vert0\n\
     Volume+= dV\n\
     Center+= (vert0 + vert1 + vert2) * dV\n\
   )\n\
   delete theMesh\n\
   Volume /= 6\n\
   Center /= 24\n\
   Center /= Volume\n\
   #(Volume,Center)\n\
   )\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Call the function on a geometry object - the result will be a list\n\
   --containing the Volume and the Center of mass in local space.\n\
   s = sphere()\n\
   theVolAndCom = CalculateVolumeAndCenterOfMass $Sphere001\n\
   --To get the world space of the Center of Mass just like in the Utility,\n\
   --you have to do some extra work:\n\
   theComInWorld = theVolAndCom[2] * $Sphere001.objectTransform\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-MAXScript-Values.html\">Working with MAXScript Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Basic-Data-Values/Point3-Values.html\">Point3 Values</a></li>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";