var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-48069D3B-6FAF-42BC-944F-761BA9EE70F3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I create a line between two points?</h1></div><p>In order to create a simple line between two points, you have to perform the following steps:</p>\n\
<ul>\n\
<li><p>Create a new <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/SplineShape/SplineShape-Shape.html\">SplineShape</a> object, position at the first point.</p>\n\
</li>\n\
<li><p>Add a new Spline to the new object.</p>\n\
</li>\n\
<li><p>Add a new corner Knot at the first position.</p>\n\
</li>\n\
<li><p>Add a new corner Knot at the second position. Tell both knots to define a linear segment.</p>\n\
</li>\n\
<li><p>Update the SplineShape to reflect the changes.</p>\n\
</li>\n\
<li><p>Return the SplineShape as the result.</p>\n\
</li>\n\
</ul>\n\
<p>Here is the complete function implementing these steps:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn drawLineBetweenTwoPoints pointA pointB =\n\
   (\n\
     ss = SplineShape pos:pointA\n\
     addNewSpline ss\n\
     addKnot ss 1 #corner #line PointA\n\
     addKnot ss 1 #corner #line PointB\n\
     updateShape ss\n\
     ss\n\
   )\n\
   newSpline = drawLineBetweenTwoPoints [10,20,30] [100,200,10]\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-Scene-Nodes.html\">Working with Scene Nodes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/SplineShape/SplineShape-Shape.html\">SplineShape : Shape</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Splines/Spline-Shape-Common-Properties.html\">Spline Shape Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../How-To-Practical-Examples/How-To-Draw-a-Freehand-Spline.html\">How To ... Draw a Freehand Spline</a></li>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";