var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F61593C0-E35A-4347-AB3A-40341EB0700A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I delete randomly a specified percentage of geometry objects?</h1></div><h2 id=\"a-user-asked-\">A user asked:</h2><p>I&apos;m trying to create a script that will delete a certain percentage of the objects in a scene. I want the objects to be chosen randomly. I want the script to affect only the meshes.</p>\n\
<h2 id=\"answer-\">Answer:</h2><p>Here is a possible approach:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   -- Collect the object of a certain type into an array, for example\n\
   -- this one collects all geometry objects, excluding the target objects\n\
   -- which are of Geometry superClass for pre-MAXScript historical reasons\n\
\n\
   candidatesArray = for o in Geometry where classof o != TargetObject collect o\n\
\n\
   -- Because you want to remove random objects, but a specified percentage,\n\
   -- it is a good idea to make the decision which objects will be deleted\n\
   -- BEFORE actually deleting any objects.\n\
   -- You can create a second array and fill it up with the actual\n\
   -- objects to be deleted:\n\
\n\
   deathRowArray = #() -- init. an empty array\n\
   thePercentage = 50.0 -- define the percentage\n\
\n\
   -- Calculate the number of objects to delete:\n\
   numberToDelete = (thePercentage / 100.0 * candidatesArray.count) as integer\n\
\n\
   -- Loop until the deathRow array is filled\n\
   -- with the desired number of objects:\n\
   while deathRowArray.count &lt; numberToDelete do\n\
   (\n\
     newIndex = random 1 candidatesArray.count --generate new random index\n\
     --if not already chosen, add it to the deathrow array\n\
     if findItem deathRowArray candidatesArray[newIndex] == 0 do\n\
       append deathRowArray candidatesArray[newIndex]\n\
   )\n\
   delete deathRowArray --finally, delete the collected objects\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-Scene-Nodes.html\">Working with Scene Nodes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";