var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4D97122B-2E2E-4D9D-BC2E-1753D1D5F568\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I instance Modifiers and Controllers inside the same object?</h1></div><h2 id=\"a-user-asked-\">A user asked:</h2><p>Is there a function for copying a modifier and then pasting an instance of it onto the same object? I can copy and paste it but not as an instance.</p>\n\
<h2 id=\"answer-\">Answer:</h2><p>Reading an existing modifier through MAXScript and applying the SAME modifier will create an instance automatically.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = Box heightsegs:10 height:100--creates a high box\n\
   addModifier b (Bend())--adds a bend modifier to it\n\
   addModifier b (b.bend)--instances the same modifier on top\n\
</code></pre></blockquote>\n\
<p>So you just read ANY value in MAXScript - using it again means INSTANCE it.</p>\n\
<blockquote>\n\
<p>   <strong>IF YOU TRY</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for i in selection do addModifier i (Bend())\n\
</code></pre></blockquote>\n\
<p>you are adding a unique modifier to every object, because the constructor expression (Bend()) is evaluated n times where n is the number of selected objects.</p>\n\
<blockquote>\n\
<p>   <strong>BUT IF YOU USE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theBend = Bend()\n\
   for i in selection do addModifier i theBend\n\
</code></pre></blockquote>\n\
<p>then you are creating a single modifier, storing it into a variable and then applying an instance of it to each object in the selection.</p>\n\
<p>Even better, <strong>mapped operations</strong> are also good for instancing. The same result as above can be achieved with much less code:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   addModifier selection (Bend())\n\
</code></pre></blockquote>\n\
<p>adds the SAME Bend modifier as instance to all selected objects, because the constructor expression (Bend()) is evaluated only once and is then applied in an internal loop as instance to every object in the collection.</p>\n\
<p>Obviously, you can instance between objects, too.</p>\n\
<p>You can also apply the same technique to controllers. For example, if you want to instance the controller of the X_Position and assign it to the Bend Angle, then you can say:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theBox = Box heightsegs:10 height:100\n\
   theBox.bend.angle.controller = theBox.position.x_position.controller\n\
</code></pre></blockquote>\n\
<p>Now if you move the object along X, the bend angle will change accordingly.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-Scene-Nodes.html\">Working with Scene Nodes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";