var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F4A71DC8-DC5A-4ACA-8475-C8869BAC7EFF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Access Windows System Data</h1></div><p>MAXScript lets you access some system information like file attributes, files and directories etc. Still, most areas of the system environment outside of <strong>3ds Max</strong> are not directly covered by MAXScript itself. Fortunately, there is also the dosCommand method which lets you execute DOS commands in the command prompt console.</p>\n\
<p>In the following example, we will use the dosCommand method to get the PATH environment variables set in Windows.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\"./../Interaction-With-The-Operating/System-Information.html\">System Information</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Miscellaneous-Functions/Executing-External-Commands.html\">Executing External Commands using DOScommand</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/External-File-Methods.html\">External File Methods</a></p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">FileStream Values</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Create a function to reuse the code in the future.</p>\n\
<p>   Execute the Path command from the Command Prompt and redirect output to file.</p>\n\
<p>   Read the resulting file and collect all paths between the starting = and the following ; characters.</p>\n\
<p>   Store the paths in a list and when ready, return the list as result of the function.</p>\n\
<p>   Delete the temporary file to reduce disk pollution.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn getEnvironmentPaths =\n\
   (\n\
    dosCommand &quot;path &gt;env.txt&quot;\n\
    path_array = #()\n\
    in_text = openfile &quot;env.txt&quot;\n\
    skipToString in_text &quot;=&quot;\n\
    while not eof in_text do\n\
    (\n\
     str = readDelimitedString in_text &quot;;&quot;\n\
     if str != &quot;\\n&quot; then append path_array str\n\
    )\n\
    close in_text\n\
    deleteFile &quot;env.txt&quot;\n\
    path_array\n\
   )\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn getEnvironmentPaths = (</code></pre><p>This is going to be a user-defined function without any arguments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DosCommand &quot;path &gt;env.txt&quot;</code></pre><p>The <code>dosCommand</code> method expects a string parameter containing the command to be executed. You can supply any command sequences you could type in the Windows Command Prompt. In this case, we execute the PATH command which shows the currently set OS environment paths. We also tell Windows to write the result to a text file called &quot;env.txt&quot;. Then we can use this file to read in the results.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Miscellaneous-Functions/Executing-External-Commands.html\">Executing External Commands</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">path_array = #()</code></pre><p>We will need an array to store the single path definitions. We will initialize the array to the empty array in the beginning.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">in_text = openfile &quot;env.txt&quot;</code></pre><p>Now let&#x2019;s open the file created by the <code>dosCommand</code> execution. The content of the file will look like this: &quot;PATH=D:\\WINDOWS\\SYSTEM32;D:\\WINDOWS; &quot; etc. The exact paths will of course vary from system to system. We can see that the first path starts after the &quot;=&quot; character and ends at the &quot;;&quot; character. Each path after the first starts after the &quot;;&quot; and ends with &quot;;&quot;.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">FileStream Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SkipToString in_text &quot;=&quot;</code></pre><p>So we skip to the position of the &quot;=&quot; sign to start reading the first path.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">FileStream Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">while not eof in_text do (</code></pre><p>Using a <code>while</code> loop which will repeat the code within the brackets until End Of File of <code>in_text</code> has been detected, we will extract all paths found in the file.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/While-and-Do-Loops.html\">While and Do Loops</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">str = readDelimitedString in_text &quot;;&quot;</code></pre><p>Because we know that all all paths are delimited by a &quot;;&quot;, we can use the readDelimitedString function to read text fragments from the file. We will store them in the user variable str.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">FileStream Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if str != &quot;\\n&quot; then append path_array str</code></pre><p>Next we will have to check whether the <strong>str</strong> variable does not contain the last End Of Line symbol before the End Of File and if it doesn&#x2019;t, we can add the string to the array of paths.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) close in_text</code></pre><p>Now we are ready with the reading and can close the file.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">FileStream Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DeleteFile &quot;env.txt&quot;</code></pre><p>It was just a temporary file so we can delete it from the disk.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/External-File-Methods.html\">External File Methods</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">path_array</code></pre><p>Lastly, we can return the array with the collected paths as the result of the function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>As this is a function, we have to call it. It has no parameters, so we just call it with ()</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">env_paths = GetEnvironmentPaths()</code></pre><p>The variable <code>env_paths</code> will contain an array of the environment paths set under Windows.</p>\n\
<h2 id=\"where-to-go-from-here\">Where to go from here</h2><p>You could use the same method to develop variations of the script to access other OS-related data like the environment TEMP path name, the name of the Hard Disk Drive etc.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\"How-To-Introduction-to-the.html\">&quot;How To&quot; Tutorials Index Page</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Practical-Examples.html\">How To - Practical Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";