var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3667A33C-E3E4-4F39-A480-3713240838F1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Access the Z-Depth channel</h1></div><p>The <strong>3ds Max</strong> scanline renderer generates a multitude of additional data channels providing information about colors, texture coordinates, normals, transparency, velocity, coverage etc. All of these channels can be accessed for reading via MAXScript.</p>\n\
<p>The following simple script will render an image including Z-buffer depth info and convert it into what is known as a &quot;voxel landscape&quot; using the depth data to generate geometry representing the single image pixels. This script requires that geometry exists in the scene.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/Pathname-Literals.html\">Deleting objects using wildcard pathname</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Controlling-the-Renderer.html\">Rendering the current view with Z-buffer data</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Status-Bar/Progress-Bar-Display.html\">Creating a Progressbar</a></p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">Reading and writing pixels</a></p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">Accessing the Z-buffer channel as greyscale mask</a></p>\n\
<p><strong>NATURAL LANGUAGE</strong></p>\n\
<p>Set the current renderer to scanline.</p>\n\
<p>Delete all objects from the last session.</p>\n\
<p>Render the current view with Z-buffer info to a bitmap.</p>\n\
<p>Go through all lines in the rendered image and through all pixels in each line</p>\n\
<p>For every pixel, get the color and the z-depth value and create a box representing that pixel using the color for the object&#x2019;s wireframe color and the z-depth for the box&#x2019;s height.</p>\n\
<p>Give each object a unique name to be able to easily delete them when needed.</p>\n\
<p>Display a progress bar to show how long it will take to go through all pixels.</p>\n\
<p><img src=\"./images/GUID-01334F6A-43DE-42E6-8F4C-79EE46D056D8-low.gif\" alt></p>\n\
<p><strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderers.current = Default_Scanline_Renderer()\n\
delete $VoxelBox*\n\
rbmp = render outputsize:[32,32] channels:#(#zdepth) vfb:off\n\
z_d = getchannelasmask rbmp #zdepth\n\
progressstart &quot;Rendering Voxels...&quot;\n\
for y = 1 to rbmp.height do\n\
(\n\
 if not progressupdate (100.0 * y / rbmp.height) then exit\n\
 pixel_line = getpixels rbmp [0,y-1] rbmp.width\n\
 z_line = getpixels z_d [0,y-1] rbmp.width\n\
 for x = 1 to rbmp.width do\n\
 (\n\
  b = box width:10 length:10 height:(z_line[x].value/2)\n\
  b.pos = [x*10,-y*10,0]\n\
  b.wirecolor = pixel_line[x]\n\
  b.name = uniquename &quot;VoxelBox&quot;\n\
 )--end x loop\n\
)--end y loop\n\
progressend()\n\
</code></pre><h2 id=\"step-by-step-\">Step-By-Step:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderers.current = Default_Scanline_Renderer()</code></pre><p>First we ensure that the scanline renderer is the current renderer, as the default renderer for 3ds Max (Arnold) does not output zDepth in the same way.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delete $VoxelBox*</code></pre><p>We make sure any voxel objects from past sessions have been deleted. We delete all objects starting with &quot;VoxelBox&quot; no matter what other characters the name contains.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Collections/Collection-Types/PathName-Values.html\">PathName Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rbmp = render outputsize:[32,32] channels:#(#zdepth) vfb:off</code></pre><p>Now we render the active viewport at 32x32 resolution and store the result in the variable <code>rbmp</code> . We request an additional Z-depth channel to be generated. The Virtual Frame Buffer will be disabled during rendering.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Controlling-the-Renderer.html\">Controlling the Renderer</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">z_d = getchannelasmask rbmp #zdepth</code></pre><p>After rendering the image, we request a copy of the ZDepth channel as a greyscale mask. It will be stored in the bitma <code>z_d</code> .</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">getChannelAsMask</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">progressstart &quot;Rendering Voxels...&quot;</code></pre><p>We start a new progress indicator with a respective caption - it will be displayed in the status bar at the bottom of the UI.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Status-Bar/Progress-Bar-Display.html\">Progress Bar Display</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for y = 1 to rbmp.height do\n\
(</code></pre><p>Now we start looping through all lines in the rendered bitmap. The variable y will change from 1 to the height of the bitmap.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">For Loop</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">progressupdate (100.0 * y / rbmp.height)</code></pre><p>The <code>progressupdate</code> method requires a percentage value. We divide the current bitmap line number <code>y</code> by the total number of lines <code>rbmp.height</code> . This yields a result between 0.0 and 1.0</p>\n\
<p>Multiplied by 100.0 it returns a percentage between 0.0 and 100.0.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Status-Bar/Progress-Bar-Display.html\">Progress Bar Display</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pixel_line = getPixels rbmp [0,y-1] rbmp.width\n\
z_line = getpixels z_d [0,y-1] rbmp.width</code></pre><p>Now we read a whole line of pixels from both the RGBA bitmap and its z-buffer. Note that bitmap indices are 0-based and count from 0 to height minus one. This explains the &quot;minus one&quot; in the vertical position value.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">getPixels</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for x = 1 to rbmp.width do (</code></pre><p>By counting from 1 to the width of the bitmap, we access each pixel of the current scanline.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">For Loop</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">b = box width:10 length:10 height:(z_line[x].value/2) pos:[x*10,-y*10,0]</code></pre><p>Now we create a box with width and length equal to 10, and height equal to half the Z-buffer&apos;s grayscale value. We also set the X and Y position to every 10 th world unit based on the pixel&apos;s coordinates. Note that we have to use the negative y value to get the upper left corner appear up left. A bitmap starts up left, while the positive quadrant of the MAX world space starts down left. This way we mirror the vertical coordinate to get a valid representation of the bitmap in the viewport.</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces.html\">Box : GeometryClass</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">b.wirecolor = pixel_line[x]</code></pre><p>Using the RGB color of the rendered pixel, we assign a new wireframe color to the new box.</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\"#display-related-properties\">Viewport_related_node_properties</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">b.name = uniquename &quot;VoxelBox&quot;</code></pre><p>We also set its box&apos;s name to a unique name with the base &quot;VoxelBox&quot;</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">uniquename</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end x loop\n\
)--end y loop\n\
progressend()</code></pre><p>After the loops are over, we can end the progress display.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Status-Bar/Progress-Bar-Display.html\">Progress Bar Display</a></p>\n\
<h2 id=\"using-the-script\">Using the Script</h2><p>To run the script, simply press <strong>Ctrl+E</strong> or select <strong>Tools &gt; Evaluate All</strong> in the MAXScript Editor&apos;s menu. Make sure the current viewport shows the desired view to be rendered. The progress bar will let you know that the script is working. The result will be a group of boxes representing both color and depth of the rendered bitmap with the upper left corner at the world origin.</p>\n\
<h2 id=\"where-to-go-from-here\">Where to go from here</h2><p>Using this script as starting point, you could play with the creation of different object types like Spheres, Cylinders etc. A more advanced version could alter the Z position of vertices in a mesh grid based on the camera Z depth for a real heightmap elevation.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\"How-To-Introduction-to-the.html\">&quot;How To&quot; Tutorials Index Page</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Practical-Examples.html\">How To - Practical Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";