var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F7FA2755-0408-4610-ABDB-B403D85AA597\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Change Objects At Render Time</h1></div><p>Using callback scripts, you can let MAXScript perform specific operations whenever certain system events occur. In the following example, we will increase the segment count of all spheres in the scene prior rendering, and decrease again after finishing. This will implement a kind of custom render resolution control for spheres. You can use similar approach to implement other pre-render preparations.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining MacroScripts</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">General Event Callback Mechanism</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Package the code as macroScript to be able to use as a button, menu item or shortcut.</p>\n\
<p>   Remove any existing callbacks with our unique id.</p>\n\
<p>   Create a string containing the callback script for increasing the segment count of spheres.</p>\n\
<p>   In the script, loop through all geometry objects, check for sphere class of the base object and increase the segment count value 8 times.</p>\n\
<p>   Register a callback to be called before Rendering starts, give it a unique id.</p>\n\
<p>   Create a second string containing the callback script for decreasing the segment count of spheres.</p>\n\
<p>   In the script, loop through all geometry objects, check for sphere class of the base object and decrease the segment count value 8 times.</p>\n\
<p>   Register a callback to be called after Rendering finishes, give it the same unique id.</p>\n\
<p>   Create a second macroScript that removes our callbacks by id.</p>\n\
</blockquote>\n\
<p><img src=\"./images/GUID-15E55659-1BE5-4343-8A9C-DFC84676195A-low.gif\" alt></p>\n\
<p><img src=\"./images/GUID-FECED988-73E8-490F-A7A5-90D37C2AF8BE-low.gif\" alt></p>\n\
<blockquote>\n\
<p>   <strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroscript SphereSegsOn category: &quot;HowTo&quot;\n\
   (\n\
   callbacks.removescripts id:#sphere_segs\n\
   txt =&quot;for o in geometry do(\\n&quot;\n\
   txt +=&quot;if classof o.baseObject == Sphere then \\n&quot;\n\
   txt +=&quot;o.baseObject.segments *= 8.0\\n&quot;\n\
   txt +=&quot;)\\n&quot;\n\
\n\
   callbacks.addscript #preRender txt id:#sphere_segs\n\
   txt =&quot;for o in geometry do(\\n&quot;\n\
   txt +=&quot;if classof o.baseObject == Sphere then \\n&quot;\n\
   txt +=&quot;o.baseObject.segments /= 8.0\\n&quot;\n\
   txt +=&quot;)\\n&quot;\n\
\n\
   callbacks.addscript #postRender txt id:#sphere_segs\n\
   )\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroscript SphereSegsOff category: &quot;HowTo&quot;\n\
   (\n\
   callbacks.removescripts id:#sphere_segs\n\
   )\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroscript SphereSegsOn category:&quot;HowTo&quot;\n\
(</code></pre><p>The macroScript will be called <code>SphereSegsOn</code> . To use the script, you can go to Customize... and drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or assign to a keyboard shortcut.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">callbacks.removescripts id:#sphere_segs</code></pre><p>Before creating new callbacks, we try to remove any existing ones from a previous session. It is allowed to call <code>callbacks.removescripts</code> even if no callbacks with the specified id exist in the moment. If there are none, the call does nothing. If there are any, they will be removed.</p>\n\
<p>We are going to use the same id <code>#sphere_segs</code> throughout the code. This way, we can affect only our callbacks without touching any others callbacks.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">Callbacks.removeScripts</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">txt = &quot;for o in geometry do(\\n&quot;\n\
txt +=&quot;if classof o.baseObject == Sphere then \\n&quot;\n\
txt +=&quot;o.baseObject.segments *= 8.0\\n&quot;\n\
txt +=&quot;)\\n&quot;</code></pre><p>In order to define a callback, we will need a string containing the code to be executed. We define a new user variable called txt and assign our code to it. The backslash n sequence denotes a new line. The script will loop through all geometry objects in the scene and ask each one for its base object (the object at the bottom of the modifier stack). If the class of the base object is Sphere, then we multiply the existing number of segments by 8. This means that the spheres will be changed even if there are modifiers like MeshSmooth, Bend etc. on the stack.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\">String Values</a></p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">For Loop</a></p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/Class-and-Object-Inspector.html\">Class and Object Inspector Functions</a></p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\">General Node Properties</a></p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Sphere-GeometryClass.html\">Sphere : GeometryClass</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">callbacks.addscript #preRender txt id:#sphere_segs</code></pre><p>Now we can assign the code as a callback script. . The keyword <code>#preRender</code> tells the callback that the script will be executed before rendering begins. The callback will have our unique id <code>#sphere_segs</code> so we can remove it by id anytime.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">General Event Callback Mechanism</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">txt = &quot;for o in geometry do(\\n&quot;\n\
txt +=&quot;if classof o.baseObject == Sphere then \\n&quot;\n\
txt +=&quot;o.baseObject.segments /= 8.0\\n&quot;\n\
txt +=&quot;)\\n&quot;</code></pre><p>This is basically the same code as before, but instead of multiplying, we divide the segments by 8. This should return all spheres to their original state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">callbacks.addscript #postRender txt id:#sphere_segs</code></pre><p>We assign the new code as a callback script again. The keyword <code>#postRender</code> tells the callback that the script will be executed after the rendering finishes. The callback will have the same unique id.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
macroscript SphereSegsOff category:&quot;HowTo&quot;\n\
(</code></pre><p>We define a second macroScript for turning off the effect of the callbacks. It will appear in the same category and will have the name <code>SphereSegsOff</code></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">callbacks.removescripts id:#sphere_segs</code></pre><p>We remove any existing callbacks with our id. Rendering a scene with spheres should work as usual after calling this line.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">Callbacks.removeScripts</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>Evaluate the code. To use the two scripts, you can use Customize... to drag the scripts from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or to assign to a keyboard shortcut.</p>\n\
<p>To use the script, create a scene with a couple of spheres and set their segments count quite low (as low as 4). Render the scene &#x2013; all spheres should look exactly as they do in the viewports. (See first image). Then execute the SphereSegsOn script &#x2013; nothing will change in the viewport, but if you render the scene again, all spheres will appear completely smooth. (see second image). Execute the SphereSegsOff script and the rendering should return to normal.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\"How-To-Introduction-to-the.html\">&quot;How To&quot; Tutorials Index Page</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Practical-Examples.html\">How To - Practical Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";