var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EC33589D-822A-4E79-9682-185EC5DBAB9F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Create Scripted Geometry Plug-in</h1></div><p>MAXScript lets you create scripted geometry plug-ins that can generate procedural mesh objects on the fly just like regular C++plug-ins.</p>\n\
<p>We are going to use the simple mesh code from the <a href=\"How-To-Create-Custom-Mesh-Object.html\">How To ... Create Custom Mesh Object</a> topic and extend it to a scripted plug-in.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-SimpleObject-Plug-ins.html\">Defining SimpleObject plug-ins</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Mouse-Tools.html\">Scripted mouse tools</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Mouse-Tools/Mouse-Tool-Clauses.html\">Mouse tool clauses</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Define a simpleObject scripted plug-in.</p>\n\
<p>   Convert the basic parameters of the mesh object created in the first tutorial to parameter block parameters.</p>\n\
<p>   Define a UI and link to the parameter block values.</p>\n\
<p>   Paste the original mesh code into the buildMesh handler of the plug-in.</p>\n\
<p>   Create a mouse tool to place the object and define the parameters.</p>\n\
</blockquote>\n\
<p><img src=\"./images/GUID-7AAADF6F-E1A4-45DC-8C8A-323F56F97879-low.gif\" alt></p>\n\
<p><img src=\"./images/GUID-575B4BA5-0141-4123-AC9B-41D809647902-low.gif\" alt></p>\n\
<blockquote>\n\
<p>   <strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin simpleObject AntiStar\n\
   name:&quot;AntiStar&quot;\n\
   category:&quot;HowTo&quot;\n\
   classID:#(0xe855567c, 0xbcd73b8b)\n\
   (\n\
   parameters main rollout:params\n\
   (\n\
   num_faces type:#integer ui:num_faces default:10\n\
   radius1 type:#float ui:radius1 default:0\n\
   radius2 type:#float ui:radius2 default:0\n\
   width type:#float ui:width default:1\n\
   )\n\
   rollout params &quot;AntiStar&quot;\n\
   (\n\
   spinner num_faces &quot;# Faces&quot;range:[2,100,10] type:#integer\n\
   spinner radius1 &quot;Radius 1 &quot;range:[0,10000,0]\n\
   spinner radius2 &quot;Radius 2 &quot;range:[0,10000,0]\n\
   spinner width &quot;Width &quot;range:[0,90,1]\n\
   )\n\
\n\
   on buildMesh do\n\
   (\n\
   --Note: The code below has been taken from the\n\
   --How To &#x2013; Create Custom Mesh Object \n\
   --topic and is identical.\n\
\n\
   vert_array = #()\n\
   face_array = #()\n\
   vert_count = 0\n\
   for a = 0 to 360 by 360.0/num_faces do\n\
   (\n\
   v1 = [radius1*cos(a+width), radius1*sin(a+width), 0]\n\
   v2 = [radius1*cos(a-width), radius1*sin(a-width), 0]\n\
   v3 = [radius2*cos(a),radius2*sin(a),0]\n\
   append vert_array v1\n\
   append vert_array v2\n\
   append vert_array v3\n\
\n\
   append face_array [vert_count+1,vert_count+3,vert_count+2]\n\
   vert_count += 3\n\
   )\n\
   setMesh mesh verts:vert_array faces:face_array\n\
   )--end buildMesh\n\
   tool create\n\
   (\n\
   on mousePoint click do\n\
   (\n\
   case click of\n\
   (\n\
   1: coordsys grid (nodeTM.translation = gridPoint)\n\
   )\n\
   )\n\
   on mouseMove click do\n\
   (\n\
   case click of\n\
   (\n\
   2: (radius1 = abs(gridDist.y))\n\
   3: (radius2 = abs(gridDist.y))\n\
   4: (width = abs(gridDist.x))\n\
   5: (#stop)\n\
   )\n\
   )\n\
   )--end create\n\
   )--end plugin\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">plugin simpleObject AntiStar\n\
name:&quot;AntiStar&quot;\n\
category:&quot;HowTo&quot;\n\
classID:#(0xe855567c, 0xbcd73b8b)\n\
(</code></pre><p>A scripted plug-in starts with the constructor <code>plugin</code> followed by the superclass of the scripted plug-in ( <code>simpleObject</code> ) and the new class name of the plug-in ( <code>AntiStar</code> ). In addition, you have to provide the <code>name</code> that appears in the effects list and a unique <code>classID</code> .</p>\n\
<p>The <code>classID</code> is used by <strong>3ds Max</strong> to recognize the plug-in class when loading the scene. To generate a new unique ID, you can use the <code>GenclassID</code> () method in the Listener and copy the result into the script.</p>\n\
<p>To keep all versions of this plug-in compatible around the world, it is recommended to copy the above <code>classID</code> .</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-SimpleObject-Plug-ins.html\">Scripted SimpleObject Plug-ins</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\">classID</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">parameters main rollout:params\n\
(</code></pre><p>The scripted plug-in stores its parameters in a so-called Parameter Block. The ParamBlock2 format has been introduced in <strong>3ds Max 3</strong> and allows for easy properties and tracks management, automatic animation brackets in the UI, and more. In this case, we will store the same values used in the first mesh script (number of faces, the two radii and the width (offset) value) in the ParamBlock.</p>\n\
<p>All parameters in the block have their counterparts in the plug-ins rollout in the UI. By providing the rollout name, you allow the ParamBlock to establish an automatic connection between the internal values and the UI elements.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\"#parameters\">Mid Topic ID: Parameter_block2</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">num_faces type:#integer ui:num_faces default:10</code></pre><p>The <code>num_faces</code> object property controls the number of &quot;rays&quot; in the object, actually the number of faces. It is an integer and corresponds to a spinner in the UI with the same name. The default number of faces are 10.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">radius1 type:#float ui:radius1 default:10</code></pre><p>The <code>radius1</code> object property controls the outer radius of the object. It is a floating point value and corresponds to a spinner in the UI with the same name. The default radius on creation is 10. If you create an object using MAXScript by calling the constructor <code>antiStar(),</code> the object uses this value as the default outer radius.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">radius2 type:#float ui:radius2 default:0</code></pre><p>The <code>radius2</code> object property controls the inner radius of the object. It is a floating point value and corresponds to a spinner in the UI with the same name. The default radius on creation is 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">width type:#float ui:width default:1</code></pre><p>The <code>width</code> object property controls the offset of the outer vertices and defines the width of the rays. It is a floating point value and corresponds to a spinner in the UI with the same name. The default width on creation is 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
rollout params &quot;AntiStar&quot;\n\
(\n\
spinner num_faces &quot;# Faces&quot; range:[2,100,10] type:#integer\n\
spinner radius1 &quot;Radius 1&quot; range:[0,10000,0]\n\
spinner radius2 &quot;Radius 2&quot; range:[0,10000,0]\n\
spinner width &quot;Width&quot; range:[0,90,1]\n\
)</code></pre><p>Now, you can provide the rollout with UI elements referenced by the Parameter Block. The UI elements can limit the input values using the optional <code>range:</code> parameter, but the default value is taken from the ParamBlock2.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Clauses.html\">Rollout Clauses</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Spinner-UI-Control.html\">Spinner</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on buildMesh do (</code></pre><p>The <code>buildMesh</code> is the main handler of scripted simpleObject plug-ins. It is called each time the geometry needs to be updated. Inside the handler, you can use our existing mesh generation code from the other tutorial to generate the vertices and faces of the mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">vert_array = #()\n\
face_array = #()\n\
vert_count = 0\n\
for a = 0 to 360 by 360.0/num_faces do\n\
(\n\
v1 = [radius1*cos(a+width),radius1*sin(a+width),0]\n\
v2 = [radius1*cos(a-width),radius1*sin(a-width),0]\n\
v3 = [radius2*cos(a),radius2*sin(a),0]\n\
append vert_array v1\n\
append vert_array v2\n\
append vert_array v3\n\
append face_array [vert_count+1,vert_count+3,vert_count+2]\n\
vert_count += 3\n\
)\n\
setMesh mesh verts:vert_array faces:face_array</code></pre><p>The <code>buildMesh</code> handler accepts the <code>setMesh</code> method that feeds the mesh generation data into a fast routine, which regenerates the object on the fly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end buildMesh\n\
tool create\n\
(</code></pre><p>The <code>tool create</code> handles the mouse controls on object creation.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Mouse-Tools.html\">Scripted Mouse Tools</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on mousePoint click do\n\
(</code></pre><p>The <code>on mousePoint</code> handler is executed each time the user clicks with the mouse in the viewport. The variable <code>click</code> counts the number of clicks.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Mouse-Tools/Mouse-Tool-Clauses.html\">Mouse_Tools_Event_Handlers</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">case click of\n\
(\n\
1: coordsys grid (nodeTM.translation = gridPoint)</code></pre><p>In case the user has clicked for the first time, you can set the translation part of the Node Transformation Matrix of the object to the grid point the user specified. This repositions the center of the object to the clicked point in the active grid.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Mouse-Tools/Mouse-Tool-Clauses.html\">Mouse_Tools_nodeTM</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Mouse-Tools/Mouse-Tool-Clauses.html\">Mouse_Tools_gridPoint</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
)\n\
on mouseMove click do\n\
(</code></pre><p>The <code>on mouseMove</code> handler is executed each time the user moves the mouse in the viewport. The variable <code>click</code> counts the number of clicks.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Mouse-Tools/Mouse-Tool-Clauses.html\">Mouse_Tools_Event_Handlers</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Case click of\n\
(</code></pre><p>The case expression allows the selection of options based on the value of the supplied variable. It is similar to using multiple if statements to compare the same variable with multiple values.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/Case-Expression.html\">Case Expression</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">2: (radius1 = abs(gridDist.y))</code></pre><p>If the user has clicked twice so far, set the outer radius to the Y distance from the center of the object to the current mouse position.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Mouse-Tools/Mouse-Tool-Clauses.html\">Mouse_Tools_gridDist</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">3: (radius2 = abs(gridDist.y))</code></pre><p>If the user has clicked tree times, set the inner radius to the Y distance from the center of the object to the current mouse position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">4: (width = abs(gridDist.x))</code></pre><p>If the user has clicked four times, set the offset to the outer vertices by measuring the X distance from the center of the object to the current mouse position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">5: (#stop)</code></pre><p>Finally, finish the creation. A new object is created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
)\n\
)--end create\n\
)--end plugin</code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>This is a scripted plug-in and it is handled by <strong>3ds Max</strong> as a real C++ plug-in.</p>\n\
<p>To install it permanently on your system, copy the file to the \\plugins folder or to any other folder listed in the plug-in paths.</p>\n\
<p>To try the plug-in without installing it permanently, evaluate the code and look under Create panel&gt;Geometry&gt;HowTo category in the drop-down list. The plug-in is only available for the single session and will not be there after restarting <strong>3ds Max</strong>.</p>\n\
<p>Any MAX files saved with the plug-in in the scene will require the script to be installed and evaluated in order to load correctly.</p>\n\
<p>To use the plug-in, click the AntiStar button in the Create panel &gt; Geometry &gt; HowTo. Click in the viewport to define the center, drag to define the outer radius, click and drag again to define the inner radius, and click and drag again to define the width. Click to finish or right-click to cancel.</p>\n\
<p>Play with the controls in the UI under the Modify panel and note how quickly the mesh is updated by the script.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\"How-To-Introduction-to-the.html\">&quot;How To&quot; Tutorials Index Page</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Practical-Examples.html\">How To - Practical Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";