var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-26D082D6-B086-48A2-A642-1137AEA145BD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Create a Dalmatian TextureMap Plug-in</h1></div><p>The following example shows how to extend an existing texture map plug-in. You can reduce the number of exposed UI elements and link some of them together in a logical way to achieve a new look.</p>\n\
<p>The same effect can be easily achieved using a normal Cellular procedural map with the right settings, but a new interface greatly simplifies the task for the end user.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\">Scripted Plug-ins</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-TextureMap-Plug-ins.html\">Scripted TextureMap Plug-ins</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\"#event-handlers\">Scripted_Plugin_Event_Handlers</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Extend the existing Cellular map</p>\n\
<p>   Replace the existing UI with a simplified one</p>\n\
<p>   Create a parameter block to hold the new UI values</p>\n\
<p>   Create Handlers to logically link values together</p>\n\
<p>   Create a new rollout linked to the parameter block with two colors and three spinners</p>\n\
</blockquote>\n\
<p><img src=\"./images/GUID-428C296D-4DDD-4EE1-A6BB-4F4BD46A9794-low.gif\" alt></p>\n\
<blockquote>\n\
<p>   <strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin textureMap Dalmatian\n\
   name:&quot;Dalmatian&quot;\n\
   classID:#(0x7f14579d, 0x5caf6eb8)\n\
   extends:Cellular\n\
   replaceUI:true\n\
   (\n\
   parameters main rollout:params\n\
   (\n\
    DColor1 type:#color default:(color 255 255 255) ui:color1\n\
    DColor2 type:#color default:(color 0 0 0) ui:color2\n\
    Dsize type:#float default:30.0 ui:dot_size\n\
    Dspread type:#float default:10.0 ui:dot_spread\n\
    Dsmooth type:#float default:20.0 ui:dot_smooth\n\
    on DColor1 set val do delegate.divColor1 = delegate.divColor2 = val\n\
    on DColor2 set val do delegate.cellColor = val\n\
    on DSize set val do delegate.size = val\n\
    on DSpread set val do delegate.spread = val/100.0\n\
    on DSmooth set val do\n\
    (\n\
     delegate.lowthresh = 1.0-(val/50.0)\n\
     delegate.midthresh = 1.0-(val/100.0)\n\
     delegate.highthresh = 1.0\n\
    )\n\
   )--end params\n\
   rollout params &quot;Dalmatian Map Parameters&quot;\n\
   (\n\
    colorpicker color1 &quot;Base Color&quot; align:#right fieldwidth:48\n\
    colorpicker color2 &quot;Dots Color&quot; align:#right fieldwidth:48\n\
    spinner dot_smooth &quot;Smoothing&quot; range:[0,100,20] \\\n\
     align:#left fieldwidth:40 across:3\n\
    spinner dot_spread &quot;Spread&quot; range:[0,100,10] align:#center fieldwidth:40\n\
    spinner dot_size &quot;Dot Size&quot; range:[0,100,30] align:#right fieldwidth:40\n\
   )--end rollout\n\
   )--end plugin\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">plugin textureMap Dalmatian\n\
name:&quot;Dalmatian&quot;</code></pre><p>A scripted plug-in starts with the constructor <code>plugin</code> followed by the superclass of the scripted plug-in ( <code>textureMap</code> ) and the new class name of the plug-in ( <code>Dalmatian</code> ). In addition, you need to provide the <code>name</code> that appears in the Map Browser.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\">Scripted Plug-ins</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-TextureMap-Plug-ins.html\">Scripted TextureMap Plug-ins</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">classID:#(0x7f14579d, 0x5caf6eb8)</code></pre><p>The <code>classID</code> is used by <strong>3ds Max</strong> to recognize the plug-in class when loading the scene. To generate a new unique ID, you can use the <code>GenclassID</code> () method in the Listener and copy the result into the script.</p>\n\
<p>To keep all versions of this plug-in compatible around the world, it is recommended to copy the above <code>classID</code> .</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\">classID</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">extends:Cellular</code></pre><p>As you are extending an existing texture map, you have to supply the class of the original plug-in, in this case Cellular.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">replaceUI:true\n\
(</code></pre><p>Finally, request a UI replacement &#x2013; the original UI of the Cellular map is not displayed. Instead, you can create your own UI rollout showing just the controls needed to control the new texture.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">parameters main rollout:params\n\
(</code></pre><p>The scripted plug-in stores its parameters in a so-called Parameter Block. The ParamBlock2 format has been introduced in <strong>3ds Max 3</strong> and allows for easy properties and tracks management, automatic animation brackets in the UI, and more. In this case, you can store some user parameters (dot and background color, dot size, and so on).</p>\n\
<p>All parameters in the block will have their counterparts in the plug-ins rollout in the UI. By providing the rollout name, you allow the ParamBlock to establish an automatic connection between the internal values and the UI elements.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\"#parameters\">Parameter_block2</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DColor1 type:#color default:(color 255 255 255) ui:color1</code></pre><p>This parameter controls the base (background) color. It is of type #color and the default value is white. This parameter is linked to the UI spinner color1. Later, you can control the two Division colors of the host Cellular map with this value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DColor2 type:#color default:(color 0 0 0) ui:color2</code></pre><p>This parameter controls the dot color. It is of type #color and the default value is black. This parameter is linked to the UI spinner color2. Later, you can control the Cell colors of the host Cellular map with this value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Dsize type:#float default:30.0 ui:dot_size</code></pre><p>This parameter controls the size of the dots. It is of type #float (a floating point value) and the default value is 30.0. This parameter is linked to the UI spinner dot_size and controls the Size property of the host Cellular map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Dspread type:#float default:10.0 ui:dot_spread</code></pre><p>This parameter controls the spreading of the dots. It is of type #float (a floating point value) and the default value is 10.0. This parameter is linked to the UI spinner dot_spread. Later, you can control the host Cellular map&#x2019;s own Spread property with it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Dsmooth type:#float default:20.0 ui:dot_smooth</code></pre><p>This parameter controls the smoothing of the dots. It is of type #float (a floating point value) and the default value is 20.0. This parameter is linked to the UI spinner dot_smooth. Later, you can control the Low, Mid and High Thresholds of the Cellular map with it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on DColor1 set val do delegate.divColor1 = delegate.divColor2 = val</code></pre><p>This is a change handler that is executed each time the value of the parameter DColor1 is changed (usually because the user has changed the value of the UI element linked to it). The variable val contains the new value. When the value changes, you can assign it to the divcolor1 and divcolor2 parameters of the Cellular map. Delegate stands for the host map. You can see all available parameters of the Cellular map by using:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   showProperties (cellular())\n\
   .cellColor (Cell_Color) : RGB color\n\
   .divColor1 (Division_Color1) : RGB color\n\
   .divColor2 (Division_Color2) : RGB color\n\
   .cellMap : texmap\n\
   .divMap1 (DivisionMap1) : texmap\n\
   .divMap2 (DivisionMap2) : texmap\n\
   .map1Enabled (Map1_On) : boolean\n\
   .map2Enabled (Map2_On) : boolean\n\
   .map3Enabled (Map3_On) : boolean\n\
   .variation : float\n\
   .size : float\n\
   .spread : float\n\
   .lowThresh (Low) : float\n\
   .midThresh (Mid) : float\n\
   .highThresh (High) : float\n\
   .type : integer\n\
   .fractal : boolean\n\
   .iteration (Iterations) : float\n\
   .roughness : float\n\
   .smooth (Bump_smoothing) : float\n\
   .adaptive : boolean\n\
   .coords : max object\n\
   .output : max object\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on DColor2 set val do delegate.cellColor = val</code></pre><p>This is a change handler that is executed each time the value of the parameter <code>Dcolor2</code> is changed. The variable <code>val</code> contains the new value. When the value changes, you can assign it to the <code>.cellColor</code> parameter of the Cellular map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on DSize set val do delegate.size = val</code></pre><p>This is a change handler that is executed each time the value of the parameter <code>Dsize</code> is changed. The variable <code>val</code> contains the new value. When the value changes, you can assign it to the <code>.Size</code> parameter of the Cellular map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on DSpread set val do delegate.spread = val/100.0</code></pre><p>This is a change handler that is executed each time the value of the parameter <code>DSpread</code> is changed. The variable <code>val</code> contains the new value. When the value changes, you can assign the value divided by 100.0 to the <code>.Spread</code> parameter of the Cellular map. This way, you can have a Spread value of 100.0 percent in the UI while using it in the range from 0.0 to 1.0 in the host Cellular map. This makes manipulating values easier for the end user.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on DSmooth set val do\n\
(\n\
delegate.lowthresh = 1.0-(val/50.0)\n\
delegate.midthresh = 1.0-(val/100.0)\n\
delegate.highthresh = 1.0\n\
)</code></pre><p>Lastly, you can define the change handler of the parameter <code>Dsmooth</code> . The variable <code>val</code> contains the new value. When the value changes, you can assign the value in different proportions to the Low and Mid Threshold, and 1.0 to the High Threshold.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end params\n\
rollout params &quot;Dalmatian Map Parameters&quot;\n\
(</code></pre><p>This is the new UI rollout to replace the original Cellular map UI.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Clauses.html\">Rollout Clauses</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorpicker color1 &quot;Base Color&quot; align:#right fieldwidth:48\n\
colorpicker color2 &quot;Dots Color&quot; align:#right fieldwidth:48</code></pre><p>These two color pickers are linked to the respective color parameters in the ParameterBlock2. You do not have to assign a default color here &#x2013; the default value stored in the ParameterBlock2 is displayed automatically because of the internal two-directional connection between parameters and UI elements.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Colorpicker-UI-Control.html\">Colorpicker</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">spinner dot_smooth &quot;Smoothing&quot; range:[0,100,20] \\\n\
align:#left fieldwidth:40 across:3\n\
spinner dot_spread &quot;Spread&quot; range:[0,100,10] align:#center fieldwidth:40\n\
spinner dot_size &quot;Dot Size&quot; range:[0,100,30] align:#right fieldwidth:40</code></pre><p>These three spinners are also linked to the respective Floating Point parameters in the ParameterBlock2. You do not have to assign a default value here, but you need to specify the range of the value allowed by the UI &#x2013; the ParameterBlock2 parameters like most internal values in <strong>3ds Max</strong> do not have any range limitations.</p>\n\
<p>Using the across:3 keyword, you can force the UI to place the three spinners in a single horizontal row.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Spinner-UI-Control.html\">Spinner</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end rollout\n\
)--end plugin</code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>Evaluate the script. A new Dalmatian map appears in the Material/Map browser. You can use it anywhere a regular texture map is used. The default look is like of a typical Dalmatian dog&#x2019;s skin.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\"How-To-Introduction-to-the.html\">&quot;How To&quot; Tutorials Index Page</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Practical-Examples.html\">How To - Practical Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";