var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E9C5AFAA-52A0-4274-A92C-8075C3BD0F25\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Develop a Bitmap Painting Tool - Brush Size and Color</h1></div><p>In this step of the Bitmap Painting tool development, we will add brush color and size controls.</p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   We will extend the existing MacroScript by adding new UI controls to the rollout to define the Ink color and the Brush Size.</p>\n\
<p>   The paintbrush function will be changed to use the color defined by the UI color picker.</p>\n\
<p>   The drawStroke function will be enhanced to draw a large rectangle based on the defined size.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript MicroPaint category:&quot;HowTo&quot;\n\
   (\n\
   global MicroPaint_CanvasRollout\n\
   try(destroyDialog MicroPaint_CanvasRollout)catch()\n\
   local isDrawing = false\n\
   local bitmapX = bitmapY = 512\n\
   local theCanvasBitmap = bitmap bitmapX bitmapY color:white\n\
   local currentPos = lastPos = [0,0]\n\
\n\
   rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot;\n\
   (\n\
     bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap\n\
     colorpicker inkColor height:16 modal:false color:black across:2\n\
     spinner BrushSize&quot;Size&quot;range:[1,50,10] type:#integer fieldwidth:40\n\
\n\
     fn paintBrush pos = (setPixels theCanvasBitmap pos #(inkColor.color))\n\
     fn drawStroke lastPos pos =\n\
     (\n\
       currentPos = lastPos\n\
       deltaX = pos.x - lastPos.x\n\
       deltaY = pos.y - lastPos.y\n\
       maxSteps = amax #(abs(deltaX),abs(deltaY))\n\
       deltaStepX = deltaX / maxSteps\n\
       deltaStepY = deltaY / maxSteps\n\
       for i = 0 to maxSteps do\n\
       (\n\
         for b = -BrushSize.value/2 to BrushSize.value/2 do\n\
           for c = -BrushSize.value/2 to BrushSize.value/2 do\n\
             paintBrush (currentPos + [c,b])\n\
         currentPos += [deltaStepX, deltaStepY]\n\
       ) \n\
       theCanvas.bitmap = theCanvasBitmap\n\
     )\n\
     on MicroPaint_CanvasRollout lbuttondown pos do\n\
     (\n\
       lastPos = pos\n\
       isDrawing = true\n\
       drawStroke lastPos pos\n\
     )\n\
     on MicroPaint_CanvasRollout lbuttonup pos do isDrawing = false\n\
     on MicroPaint_CanvasRollout mousemove pos do\n\
     (\n\
       if isDrawing do drawStroke lastPos pos\n\
       lastPos = pos\n\
     )\n\
   )\n\
   createDialog MicroPaint_CanvasRollout bitmapX (bitmapY+30)\n\
   )\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--Code in italic has no changes since the previous version. macroScript MicroPaint category:&quot;HowTo&quot;\n\
(\n\
global MicroPaint_CanvasRollout\n\
try(destroyDialog CanvasRollout)catch()\n\
local isDrawing = false\n\
local bitmapX = bitmapY = 512\n\
local theCanvasBitmap = bitmap bitmapX bitmapY color:white\n\
rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot;\n\
(\n\
bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap colorpicker inkColor height:16 modal:false color:black across:2</code></pre><p>This is the color picker which will be used to define the color of the paintbrush.</p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Colorpicker-UI-Control.html\">Colorpicker</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">spinner BrushSize &quot;Size&quot; range:[1,50,10] type:#integer fieldwidth:40</code></pre><p>This spinner will define the size of the paintbrush.</p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Spinner-UI-Control.html\">Spinner</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn paintBrush pos = (setPixels theCanvasBitmap pos)\n\
fn drawAPoint lastPos pos =\n\
(\n\
currentPos = lastPos\n\
deltaX = pos.x - lastPos.x\n\
deltaY = pos.y - lastPos.y\n\
maxSteps = amax #(abs(deltaX),abs(deltaY))\n\
deltaStepX = deltaX / maxSteps\n\
deltaStepY = deltaY / maxSteps\n\
for i = 0 to maxSteps do\n\
( for b = -BrushSize.value/2 to BrushSize.value/2 do\n\
(</code></pre><p>This new loop will define the vertical size of the brush. It counts from minus half the size to plus half the size, full size altogether.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for c = -BrushSize.value/2 to BrushSize.value/2 do</code></pre><p>This second loop defines the width of the paintbrush. It also loops from minus half the size to plus half the size, full size altogether.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">paintBrush (currentPos + [c,b])</code></pre><p>After each iteration of the c loop, we call our paint Brush function, passing the current position in the stroke plus the offset based on half the size of the brush and the b loop.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
currentPos += [deltaStepX, deltaStepY]\n\
) \n\
theCanvas.bitmap = theCanvasBitmap\n\
)\n\
on MicroPaint_CanvasRollout lbuttondown pos do\n\
(\n\
lastPos = pos\n\
isDrawing = true\n\
drawAPoint lastPos pos\n\
)\n\
on MicroPaint_CanvasRollout lbuttonup pos do isDrawing = false\n\
on MicroPaint_CanvasRollout mousemove pos do\n\
(\n\
if isDrawing do drawAPoint lastPos pos\n\
lastPos = pos\n\
) createDialog MicroPaint_CanvasRollout bitmapX (bitmapY+30)</code></pre><p>To accommodate the new User Interface controls for the color and brush size, we have to increase the vertical size of the dialog by 30 pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><h2 id=\"result\">Result</h2><p><img src=\"./images/GUID-9824C739-088F-4B3A-B6C7-BBE2C7530F4F-low.gif\" alt></p>\n\
<p><strong>Previous Tutorial:</strong></p>\n\
<p><a href=\"How-To-Develop-a-Bitmap-Painting-2.html\">How To ... Develop a Bitmap Painting Tool - Strokes Support</a></p>\n\
<p><strong>Next Tutorial:</strong></p>\n\
<p><a href=\"How-To-Develop-a-Bitmap-Painting-4.html\">How To ... Develop a Bitmap Painting Tool - Airbrush and Shapes</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Develop-a-Bitmap-Painting.html\">How To ... Develop a Bitmap Painting Tool In Nine Easy Steps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">How To - Introduction to the Tutorials</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";