var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-409D100A-02E1-4539-B847-C3F6DFE6A66B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Develop a Bitmap Painting Tool - 3D Painting</h1></div><p>In this even more exciting step of the Bitmap Painting tool development, we will add the option to directly paint on a scene object in the <strong>3ds Max</strong> viewports.</p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   We will add a new checkbutton to the User Interface to enable and disable the 3D Painting.</p>\n\
<p>   We will define a couple of simple functions using <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/PainterInterface-ReferenceTarget.html\">thePainterInterface</a> to control the brush in the viewport, read the UV coordinates of the faces it is painting, and draw in the corresponding area of the bitmap.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript MicroPaint category: &quot;HowTo&quot;\n\
   (\n\
   global MicroPaint_CanvasRollout\n\
   try(destroyDialog MicroPaint_CanvasRollout)catch()\n\
   local isErasing = isDrawing = false\n\
   local bitmapX = bitmapY = 512\n\
   local bitmapx_1 = bitmapx-1\n\
   local bitmapy_1 = bitmapy-1\n\
\n\
   local temp_bitmap_filename = (getDir #preview +&quot;/microPaint_temp.tga&quot;)\n\
   local theCanvasBitmap = bitmap bitmapX bitmapY color:white filename:temp_bitmap_filename\n\
   local theBackgroundBitmap = bitmap bitmapX bitmapY color:white\n\
   local currentPos = lastPos = [0,0]\n\
   local theChannel = 1\n\
   local theObj = undefined\n\
\n\
   local bary = [0,0,0]\n\
   local faceIndex = 1\n\
\n\
   rcMenu CanvasMenu\n\
   (\n\
     subMenu&quot;File&quot;\n\
     (\n\
       menuItem new_menu &quot;New&quot;\n\
       menuItem open_menu &quot;Open...&quot;\n\
       menuItem save_as &quot;Save As...&quot;\n\
       separator file_menu_1\n\
       menuItem quit_tool &quot;Quit&quot;  \n\
     )\n\
     subMenu&quot;Edit&quot;\n\
     (\n\
       menuItem commit_menu &quot;Commit Changes&quot;\n\
       separator edit_menu_1\n\
       menuItem uv_menu &quot;Get UV Coordinates...&quot;\n\
       menuItem paint3d_menu &quot;Toggle 3D Painting...&quot;\n\
     )\n\
     on commit_menu picked do copy theCanvasBitmap theBackgroundBitmap\n\
\n\
     on uv_menu picked do MicroPaint_CanvasRollout.unwrapTexture()\n\
     on paint3d_menu picked do MicroPaint_CanvasRollout.startPainting3D()\n\
\n\
     subMenu&quot;Help&quot;\n\
     (\n\
       menuItem about_tool &quot;About MicroPaint...&quot; \n\
     )\n\
\n\
     on new_menu picked do\n\
     (\n\
       theBackgroundBitmap = theCanvasBitmap = bitmap bitmapX bitmapY color:MicroPaint_CanvasRollout.paperColor.color filename:temp_bitmap_filename\n\
       MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
     )\n\
\n\
     on open_menu picked do\n\
     (\n\
       theOpenBitmap= selectBitmap()\n\
       if theOpenBitmap != undefined do\n\
       (\n\
         copy theOpenBitmap theCanvasBitmap\n\
         copy theOpenBitmap theBackgroundBitmap\n\
         close theOpenBitmap\n\
         MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
       )\n\
     )\n\
\n\
     on save_as picked do\n\
     (\n\
       theSaveName = getSaveFileName types:&quot;BMP (*.bmp)|*.bmp|Targa (*.tga)|*.tga|JPEG (*.jpg)|*.jpg&quot;\n\
       if theSaveName != undefined do\n\
       (\n\
         theCanvasBitmap.filename = theSaveName\n\
         save theCanvasBitmap\n\
         theCanvasBitmap.filename = temp_bitmap_filename\n\
       )\n\
     )\n\
     on about_too lpicked do messagebox &quot;MicroPaint\\nMAXScript Tutorial&quot; title:&quot;About...&quot;\n\
     on quit_tool picked do destroyDialog MicroPaint_CanvasRollout\n\
   )\n\
\n\
\n\
   fn mesh_filter obj = superclassof obj == GeometryClass and classof obj != TargetObject\n\
\n\
   rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot;\n\
   (\n\
     bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap\n\
     colorpicker inkColor height:16 modal:false color:black across:6\n\
     colorpicker paperColor height:16 modal:false color:white\n\
     checkbutton autoSave &quot;AutoSave&quot; width:70 offset:[0,-3] highlightcolor:(color 255 200 200)\n\
     checkbutton airBrush &quot;AirBrush&quot; width:70 offset:[0,-3] highlightcolor:(color 200 255 200)\n\
     spinner AirBrushSpeed &quot;Speed&quot; range:[0.1,50,10] fieldwidth:30\n\
     spinner BrushSize &quot;Size&quot; range:[1,50,1] type:#integer fieldwidth:40\n\
     listbox BrushShape items:#(&quot;Circle&quot;,&quot;Box&quot;,&quot;Circle Smooth&quot;) pos:[bitmapX+5,0] width:90\n\
\n\
     pickbutton pickMesh &quot;Pick Mesh&quot; width:90 height:30 highlightcolor:(color 200 200 255) pos:[bitmapX+5,140] filter:mesh_filter autodisplay:true\n\
\n\
     on pickMesh picked obj do\n\
     (\n\
       if obj != undefined do\n\
       (\n\
         theObj = Obj\n\
         try\n\
         (\n\
           copy theObj.material.diffusemap.bitmap theCanvasBitmap\n\
           copy theObj.material.diffusemap.bitmap theBackgroundBitmap\n\
           theCanvas.bitmap = theCanvasBitmap\n\
         )catch() \n\
       ) \n\
     ) \n\
\n\
     checkbutton paint3D &quot;3D PAINT&quot; width:90 height:50 highlightcolor:(color 200 200 255) pos:[bitmapX+5,180]\n\
\n\
     fn paintBrush pos =\n\
     (\n\
       if isErasing then\n\
         thePaintColor = (getPixels theBackgroundBitmap pos 1)[1]\n\
       else\n\
         thePaintColor = inkColor.color\n\
       if thePaintColor == undefined then thePaintColor = white\n\
\n\
       case BrushShape.selection of\n\
       (\n\
         1: (\n\
           if distance pos currentPos &lt;= BrushSize.value/2 do\n\
             setPixels theCanvasBitmap pos #(thePaintColor)\n\
         )\n\
         2: setPixels theCanvasBitmap pos #(thePaintColor)\n\
         3: (\n\
           theFactor = (distance pos currentPos) / (BrushSize.value/2.0)\n\
           if theFactor &lt;= 1.0 do\n\
           (\n\
             theFactor = sin ( 90.0 * theFactor)\n\
             thePixels = getPixels theCanvasBitmap pos 1\n\
             if thePixels[1] != undefined do\n\
             (\n\
               thePixels[1] = (thePixels[1] * theFactor) + (thePaintColor * (1.0 - theFactor))\n\
               setPixels theCanvasBitmap pos thePixels\n\
             )\n\
           )\n\
         )--end case 3\n\
       )--end case\n\
     )--end fn\n\
\n\
     fn drawStroke lastPos pos drawIt: =\n\
     (\n\
       currentPos = lastPos\n\
       deltaX = pos.x - lastPos.x\n\
       deltaY = pos.y - lastPos.y\n\
       maxSteps = amax #(abs(deltaX),abs(deltaY))\n\
       deltaStepX = deltaX / maxSteps\n\
       deltaStepY = deltaY / maxSteps\n\
       for i = 0 to maxSteps do\n\
       (\n\
         if airBrush.checked then\n\
           for b = 1 to (BrushSize.value / AirBrushSpeed.value) do\n\
             paintBrush (currentPos + (random [-BrushSize.value/2,-BrushSize.value/2] [BrushSize.value/2,BrushSize.value/2] ))\n\
         else\n\
           for b = -BrushSize.value/2 to BrushSize.value/2 do\n\
             for c = -BrushSize.value/2 to BrushSize.value/2 do\n\
               paintBrush (currentPos + [c,b])\n\
         currentPos += [deltaStepX, deltaStepY]\n\
       )\n\
       if drawIt== true or drawIt == unsupplied do theCanvas.bitmap = theCanvasBitmap\n\
     )\n\
\n\
     fn unwrapTexture =\n\
     (\n\
       if theObj != undefined then\n\
       (\n\
         theMesh = snapshotAsMesh theObj\n\
         if meshop.getMapSupport theMesh theChannel do\n\
         (\n\
           faceCount = meshop.getNumMapFaces theMesh theChannel\n\
           for f = 1 to faceCount do\n\
           (\n\
             theFace = meshop.getMapFace theMesh theChannel f\n\
             vert1= meshop.getMapVert theMesh theChannel theFace.x\n\
             vert2= meshop.getMapVert theMesh theChannel theFace.y\n\
             vert3= meshop.getMapVert theMesh theChannel theFace.z\n\
\n\
             drawStroke [vert1.x * bitmapx_1, bitmapy_1 - vert1.y * bitmapy_1] [vert2.x * bitmapx_1, bitmapy_1 - vert2.y * bitmapy_1] drawIt:false\n\
             drawStroke [vert1.x * bitmapx_1, bitmapy_1 - vert1.y * bitmapy_1] [vert3.x * bitmapx_1, bitmapy_1 - vert3.y * bitmapy_1] drawIt:false\n\
             drawStroke [vert3.x * bitmapx_1, bitmapy_1 - vert3.y * bitmapy_1] [vert2.x * bitmapx_1, bitmapy_1 - vert2.y * bitmapy_1] drawIt:false\n\
           )\n\
         ) \n\
         theCanvas.bitmap = theCanvasBitmap\n\
         save theCanvasBitmap\n\
         if theObj.material == undefined do theObj.material = Standard()\n\
         if theObj.material.diffusemap == undefined do\n\
         theObj.material.diffusemap = bitmapTexture filename:temp_bitmap_filename\n\
         showTextureMap theObj.material true\n\
         autoSave.checked = true\n\
       )\n\
     )\n\
\n\
\n\
     fn StartStroke = ( thePainterInterface.undoStart() )\n\
     fn PaintStroke =\n\
     (\n\
       theMesh = theObj.mesh\n\
       thePainterInterface.getHitFaceData &amp;bary &amp;faceIndex theObj 0\n\
       theFace = meshop.getMapFace theMesh theChannel faceIndex\n\
       vert1= meshop.getMapVert theMesh theChannel theFace.x\n\
       vert2= meshop.getMapVert theMesh theChannel theFace.y\n\
       vert3= meshop.getMapVert theMesh theChannel theFace.z\n\
       thePoint = bary.x*vert1 + bary.y*vert2 + bary.z*vert3\n\
       drawStroke [thePoint.x * bitmapx_1, bitmapy_1 - thePoint.y * bitmapy_1] [thePoint.x * bitmapx_1, bitmapy_1 - thePoint.y * bitmapy_1]\n\
       thePainterInterface.clearStroke()\n\
     )\n\
     fn EndStroke =\n\
     (\n\
       thePainterInterface.undoAccept()\n\
       if autoSave.checked do\n\
       (\n\
         save theCanvasBitmap\n\
         try(theObj.material.diffsemap.bitmap = theCanvasBitmap)catch()\n\
       ) \n\
     )\n\
\n\
     fn CancelStroke = (thePainterInterface.undoCancel())\n\
\n\
     fn SystemEndPaintSession = ( paint3D.checked = false )\n\
\n\
     fn startPainting3D =\n\
     (\n\
       if thePainterInterface.InPaintMode() or theObj == undefined then\n\
       (\n\
         thePainterInterface.EndPaintSession()\n\
         paint3D.checked = false\n\
       )\n\
       else\n\
       (\n\
         paint3D.checked = true\n\
         thePainterInterface.pointGatherEnable = TRUE\n\
         thePainterInterface.initializeNodes 0 #(theObj)\n\
         thePainterInterface.offMeshHitType = 2\n\
         thePainterInterface.ScriptFunctions startStroke paintStroke endStroke cancelStroke SystemEndPaintSession\n\
         thePainterInterface.startPaintSession()\n\
       )\n\
     )\n\
\n\
     on paint3D changed state do startPainting3D()\n\
\n\
     on MicroPaint_CanvasRollout lbuttondown pos do\n\
     (\n\
       lastPos = pos\n\
       isDrawing = true\n\
       isErasing = false\n\
       drawStroke lastPos pos\n\
     )\n\
     on MicroPaint_CanvasRollout rbuttondown pos do\n\
     (\n\
       lastPos = pos\n\
       isErasing = isDrawing = true\n\
       drawStroke lastPos pos\n\
     )\n\
     on MicroPaint_CanvasRollout lbuttonup pos do\n\
     (\n\
       isErasing = isDrawing = false\n\
       if autoSave.checked do save theCanvasBitmap\n\
     ) \n\
     on MicroPaint_CanvasRollout rbuttonup pos do\n\
     (\n\
       isErasing = isDrawing = false\n\
       if autoSave.checked do save theCanvasBitmap\n\
     ) \n\
     on autoSave changed state do if state do save theCanvasBitmap\n\
\n\
     on MicroPaint_CanvasRollout mousemove pos do\n\
     (\n\
       if isDrawing do drawStroke lastPos pos\n\
       lastPos = pos\n\
     )\n\
   )\n\
   createDialog MicroPaint_CanvasRollout (bitmapx+100) (bitmapy+30) menu:CanvasMenu\n\
   MicroPaint_CanvasRollout.theCanvas.bitmap = theBackgroundBitmap\n\
   )\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--Code in italic has no changes since the previous version macroScript MicroPaint category:&quot;HowTo&quot;\n\
(\n\
global MicroPaint_CanvasRollout\n\
try(destroyDialog MicroPaint_CanvasRollout)catch()\n\
local isErasing = isDrawing = false\n\
local bitmapX = bitmapY = 512\n\
local bitmapx_1 = bitmapx-1\n\
local bitmapy_1 = bitmapy-1\n\
\n\
local temp_bitmap_filename = (getDir #preview +&quot;/microPaint_temp.tga&quot;)\n\
local theCanvasBitmap = bitmap bitmapX bitmapY color:white filename:temp_bitmap_filename\n\
local theBackgroundBitmap = bitmap bitmapX bitmapY color:white\n\
local currentPos = lastPos = [0,0]\n\
local theChannel = 1\n\
local theObj = undefined local bary = [0,0,0]</code></pre><p>This variable will be used by the PainterInterface to return the Barycentric Coordinates of the hit point inside the face.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local faceIndex = 1</code></pre><p>This variable will be used by the PainterInterface to return the index of the face that has been hit.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rcMenu CanvasMenu\n\
(\n\
subMenu &quot;File&quot;\n\
(\n\
menuItem new_menu &quot;New&quot;\n\
menuItem open_menu &quot;Open...&quot;\n\
menuItem save_as &quot;Save As...&quot;\n\
separator file_menu_1\n\
menuItem quit_tool &quot;Quit&quot;  \n\
)\n\
subMenu &quot;Edit&quot;\n\
(\n\
menuItem commit_menu &quot;Commit Changes&quot;\n\
separator edit_menu_1\n\
menuItem uv_menu &quot;Get UV Coordinates...&quot; menuItem paint3d_menu &quot;Toggle 3D Painting...&quot;</code></pre><p>This is the new &quot;Toggle 3D Painting&quot; menu item. We will also add a very prominent button to the main User Interface...</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
on commit_menu picked do copy theCanvasBitmap theBackgroundBitmap\n\
on uv_menu picked do MicroPaint_CanvasRollout.unwrapTexture() on paint3d_menu picked do MicroPaint_CanvasRollout.startPainting3D()</code></pre><p>This is the handler of the new &quot;Toggle 3D Painting&quot; menu item. It calls a function that will toggle the PainterInterface on and off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">subMenu &quot;Help&quot;\n\
(\n\
menuItem about_tool &quot;About MicroPaint...&quot; \n\
)\n\
\n\
on new_menu picked do\n\
(\n\
theBackgroundBitmap = theCanvasBitmap = bitmap bitmapX bitmapY color:MicroPaint_CanvasRollout.paperColor.color filename:temp_bitmap_filename\n\
MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
)\n\
\n\
on open_menu picked do\n\
(\n\
theOpenBitmap= selectBitmap()\n\
if theOpenBitmap != undefined do\n\
(\n\
copy theOpenBitmap theCanvasBitmap\n\
copy theOpenBitmap theBackgroundBitmap\n\
close theOpenBitmap\n\
MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
)\n\
)\n\
\n\
on save_as picked do\n\
(\n\
theSaveName = getSaveFileName types:&quot;BMP (*.bmp)|*.bmp|Targa (*.tga)|*.tga|JPEG (*.jpg)|*.jpg&quot;\n\
if theSaveName != undefined do\n\
(\n\
theCanvasBitmap.filename = theSaveName\n\
save theCanvasBitmap\n\
theCanvasBitmap.filename = temp_bitmap_filename\n\
)\n\
)\n\
on about_tool picked do messagebox &quot;MicroPaint\\nMAXScript Tutorial&quot; title:&quot;About...&quot;\n\
on quit_tool picked do destroyDialog MicroPaint_CanvasRollout\n\
)\n\
\n\
fn mesh_filter obj = superclassof obj == GeometryClass and classof obj != TargetObject\n\
\n\
rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot;\n\
(\n\
bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap\n\
colorpicker inkColor height:16 modal:false color:black across:6\n\
colorpicker paperColor height:16 modal:false color:white\n\
checkbutton autoSave &quot;AutoSave&quot; width:70 offset:[0,-3] highlightcolor:(color 255 200 200)\n\
checkbutton airBrush &quot;AirBrush&quot; width:70 offset:[0,-3] highlightcolor:(color 200 255 200)\n\
spinner AirBrushSpeed &quot;Speed&quot; range:[0.1,50,10] fieldwidth:30\n\
spinner BrushSize &quot;Size&quot; range:[1,50,1] type:#integer fieldwidth:40\n\
listbox BrushShape items:#(&quot;Circle&quot;, &quot;Box&quot;, &quot;Circle Smooth&quot;) pos:[bitmapX+5,0] width:90\n\
\n\
pickbutton pickMesh &quot;Pick Mesh&quot; width:90 height:30 highlightcolor:(color 200 200 255) pos:[bitmapX+5,140] filter:mesh_filter autodisplay:true\n\
\n\
on pickMesh picked obj do\n\
(\n\
if obj != undefined do\n\
(\n\
theObj = Obj\n\
try\n\
(\n\
copy theObj.material.diffusemap.bitmap theCanvasBitmap\n\
copy theObj.material.diffusemap.bitmap theBackgroundBitmap\n\
theCanvas.bitmap = theCanvasBitmap\n\
)catch()\n\
)\n\
) checkbutton paint3D &quot;3D PAINT&quot; width:90 height:50 highlightcolor:(color 200 200 255) pos:[bitmapX+5,180]</code></pre><p>This is the new checkbutton controlling the painting in 3D space. It will turn blue when enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn paintBrush pos =\n\
(\n\
if isErasing then\n\
thePaintColor = (getPixels theBackgroundBitmap pos 1)[1]\n\
else\n\
thePaintColor = inkColor.color\n\
if thePaintColor == undefined then thePaintColor = white\n\
\n\
case BrushShape.selection of\n\
(\n\
1: (\n\
if distance pos currentPos &lt;= BrushSize.value/2 do\n\
setPixels theCanvasBitmap pos #(thePaintColor)\n\
)\n\
2: setPixels theCanvasBitmap pos #(thePaintColor)\n\
3: (\n\
theFactor = (distance pos currentPos) / (BrushSize.value/2.0)\n\
if theFactor &lt;= 1.0 do\n\
(\n\
theFactor = sin ( 90.0 * theFactor)\n\
thePixels = getPixels theCanvasBitmap pos 1\n\
if thePixels[1] != undefined do\n\
(\n\
thePixels[1] = (thePixels[1] * theFactor) + (thePaintColor * (1.0 - theFactor))\n\
setPixels theCanvasBitmap pos thePixels\n\
)\n\
)\n\
)--end case 3\n\
)--end case\n\
)--end fn\n\
\n\
fn drawStroke lastPos pos drawIt: =\n\
(\n\
currentPos = lastPos\n\
deltaX = pos.x - lastPos.x\n\
deltaY = pos.y - lastPos.y\n\
maxSteps = amax #(abs(deltaX),abs(deltaY))\n\
deltaStepX = deltaX / maxSteps\n\
deltaStepY = deltaY / maxSteps\n\
for i = 0 to maxSteps do\n\
(\n\
if airBrush.checked then\n\
for b = 1 to (BrushSize.value / AirBrushSpeed.value) do\n\
paintBrush (currentPos + (random [-BrushSize.value/2,-BrushSize.value/2] [BrushSize.value/2,BrushSize.value/2] ))\n\
else\n\
for b = -BrushSize.value/2 to BrushSize.value/2 do\n\
for c = -BrushSize.value/2 to BrushSize.value/2 do\n\
paintBrush (currentPos + [c,b])\n\
currentPos += [deltaStepX, deltaStepY]\n\
)\n\
if drawIt== true or drawIt == unsupplied do theCanvas.bitmap = theCanvasBitmap\n\
)\n\
\n\
on pickMesh picked obj do if obj != undefined do theObj = Obj\n\
\n\
fn unwrapTexture =\n\
(\n\
if theObj != undefined then\n\
(\n\
theMesh = snapshotAsMesh theObj\n\
if meshop.getMapSupport theMesh theChannel do\n\
(\n\
faceCount = meshop.getNumMapFaces theMesh theChannel\n\
for f = 1 to faceCount do\n\
(\n\
theFace = meshop.getMapFace theMesh theChannel f\n\
vert1= meshop.getMapVert theMesh theChannel theFace.x\n\
vert2= meshop.getMapVert theMesh theChannel theFace.y\n\
vert3= meshop.getMapVert theMesh theChannel theFace.z\n\
\n\
drawStroke [vert1.x * bitmapx_1, bitmapy_1 - vert1.y * bitmapy_1] [vert2.x * bitmapx_1, bitmapy_1 - vert2.y * bitmapy_1] drawIt:false\n\
drawStroke [vert1.x * bitmapx_1, bitmapy_1 - vert1.y * bitmapy_1] [vert3.x * bitmapx_1, bitmapy_1 - vert3.y * bitmapy_1] drawIt:false\n\
drawStroke [vert3.x * bitmapx_1, bitmapy_1 - vert3.y * bitmapy_1] [vert2.x * bitmapx_1, bitmapy_1 - vert2.y * bitmapy_1] drawIt:false\n\
)\n\
) \n\
theCanvas.bitmap = theCanvasBitmap\n\
save theCanvasBitmap\n\
if theObj.material == undefined do theObj.material = Standard()\n\
if theObj.material.diffusemap == undefined do\n\
theObj.material.diffusemap = bitmapTexture filename:temp_bitmap_filename\n\
showTextureMap theObj.material true\n\
autoSave.checked = true\n\
)\n\
)\n\
\n\
fn StartStroke = ( thePainterInterface.undoStart() )</code></pre><p>This function is executed in the beginning of a stroke. See the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/PainterInterface-ReferenceTarget.html\">PainterInterface documentation</a> for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn PaintStroke =\n\
(</code></pre><p>This function performs the painting of a stroke in 3D.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theMesh = theObj.mesh</code></pre><p>We take a copy of the TriMesh of the object to paint on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.getHitFaceData &amp;bary &amp;faceIndex theObj 0</code></pre><p>Then we call this function to get the last face that was hit by the brush (last argument is face index 0 which means &quot;get the last hit&quot;). The variables bary and faceIndex we defined in the beginning of the script are passed &quot;by reference&quot; - the function will write the results into them. After the call, bary will contain the Barycentric coordinates of the hit point inside the face, and faceIndex will contain the index of the face that was last hit. theObj is the variable containing the object we selected in the scene to paint on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theFace = meshop.getMapFace theMesh theChannel faceIndex</code></pre><p>Using this data we get the map face in channel 1 with the same index as the mesh face that was hit.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">vert1= meshop.getMapVert theMesh theChannel theFace.x\n\
vert2= meshop.getMapVert theMesh theChannel theFace.y\n\
vert3= meshop.getMapVert theMesh theChannel theFace.z</code></pre><p>Next, we read the texture vertices referenced by the map face.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePoint= bary.x*vert1 + bary.y*vert2 + bary.z*vert3\n\
 drawStroke [thePoint.x * bitmapx_1, bitmapy_1 -thePoint.y * bitmapy_1] [thePoint.x * bitmapx_1, bitmapy_1 -thePoint.y * bitmapy_1]</code></pre><p>Now we can calculate the UV coordinates of the hit point using its <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Utility-Methods.html\"\">barycentric coordinates</a> inside the face and the texture vertex coordinates corresponding to that face.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.clearStroke()</code></pre><p>Finally, we clear the stroke.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) fn EndStroke = (</code></pre><p>This function is called at the end of a stroke.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.undoAccept()</code></pre><p>Accept the changes in the undo system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if autoSave.checked do (</code></pre><p>If autosaving is enabled,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">save theCanvasBitmap</code></pre><p>save the painting to disk</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">try(theObj.material.diffsemap.bitmap = theCanvasBitmap)catch()</code></pre><p>and try to force the bitmap of the diffuse map channel in the object&apos;s material to the painting bitmap value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) \n\
)\n\
\n\
fn CancelStroke = (thePainterInterface.undoCancel())</code></pre><p>This function is called when the stroke is canceled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn SystemEndPaintSession = ( paint3D.checked = false )</code></pre><p>This function is called when the painting session ends. It will make sure the UI button is unchecked if the painting is stopped for some other reason.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn startPainting3D =\n\
(</code></pre><p>This function toggles the 3D Painting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if thePainterInterface.InPaintMode() or theObj == undefined then\n\
(</code></pre><p>If we are already painting or the object is not selected yet,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">  thePainterInterface.EndPaintSession()\n\
  paint3D.checked = false</code></pre><p>we end the 3D painting session and uncheck the button in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) \n\
else\n\
(</code></pre><p>If the 3D paining is not active and the mesh scene object has been selected already,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">paint3D.checked = true</code></pre><p>we make sure that the checkbutton is pressed (as we can start this from the Main menu, too).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.pointGatherEnable = TRUE</code></pre><p>Enable point gathering.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.initializeNodes 0 #(theObj)</code></pre><p>Initialize the PainterInterface with just the single object that was selected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.offMeshHitType = 2</code></pre><p>Set the behavior for the cases the mesh was not hit to 2, which does not require a mesh. There will be no face hit and no painting in this case.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.ScriptFunctions startStroke paintStroke endStroke cancelStroke SystemEndPaintSession</code></pre><p>Register all previously defined scripted functions with the PainterInterface and</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thePainterInterface.startPaintSession()</code></pre><p>start the painting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) \n\
) \n\
\n\
on paint3D changed state do startPainting3D()</code></pre><p>If the checkbutton was pressed by the user, call the above function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on MicroPaint_CanvasRollout lbuttondown pos do\n\
(\n\
lastPos = pos\n\
isDrawing = true\n\
isErasing = false\n\
drawStroke lastPos pos\n\
)\n\
on MicroPaint_CanvasRollout rbuttondown pos do\n\
(\n\
lastPos = pos\n\
isErasing = isDrawing = true\n\
drawStroke lastPos pos\n\
)\n\
on MicroPaint_CanvasRollout lbuttonup pos do\n\
(\n\
isErasing = isDrawing = false\n\
if autoSave.checked do save theCanvasBitmap\n\
) \n\
on MicroPaint_CanvasRollout rbuttonup pos do\n\
(\n\
isErasing = isDrawing = false\n\
if autoSave.checked do save theCanvasBitmap\n\
) \n\
on autoSave changed state do if state do save theCanvasBitmap\n\
\n\
on MicroPaint_CanvasRollout mousemove pos do\n\
(\n\
if isDrawing do drawStroke lastPos pos\n\
lastPos = pos\n\
)\n\
)\n\
createDialog MicroPaint_CanvasRollout (bitmapx+100) (bitmapy+30) menu:CanvasMenu\n\
MicroPaint_CanvasRollout.theCanvas.bitmap = theBackgroundBitmap\n\
)</code></pre><blockquote>\n\
<p>   <strong>RESULT:</strong></p>\n\
</blockquote>\n\
<p><img src=\"./images/GUID-76F7EB0D-5D9A-494B-BD95-650873293731-low.gif\" alt> <img src=\"./images/GUID-1B50C09C-B5FD-4859-BB44-DC8F5AABBF7F-low.gif\" alt></p>\n\
<p>You can paint on both the 3D object and the 2D image at the same time.</p>\n\
<p><strong>Previous Tutorial:</strong></p>\n\
<p><a href=\"How-To-Develop-a-Bitmap-Painting-8.html\">How To ... Develop a Bitmap Painting Tool - Unwrap UV Coordinates</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Develop-a-Bitmap-Painting.html\">How To ... Develop a Bitmap Painting Tool In Nine Easy Steps</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/PainterInterface-ReferenceTarget.html\">PainterInterface : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">How To - Introduction to the Tutorials</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";