var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C9BD442F-7B4E-42F6-92CC-31B2DEE9E4FB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Develop a Selected Objects Inspector using ListView ActiveX Control - Part Two</h1></div><p>This second tutorial will demonstrate how to customize the Listview ActiveX Control defined in <a href=\"How-To-Develop-a-Selected-1.html\">Part One</a> and update the display automatically when the selection set changes.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>Please see the topic <a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-ActiveX-ListView.html\">Converting ActiveX ListView Control to DotNet ListView Control</a></p>\n\
<p><strong>Related topics:</strong></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/ActiveX-Controls-in-MAXScript-1.html\">ActiveX Controls in MAXScript Rollouts</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/ListView-ActiveX-Control.html\">ListView ActiveX Control</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/ListView-ActiveX-Control/Listview-ActiveX-functions.html\">Listview ActiveX functions</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/ListView-ActiveX-Control/ListView-ActiveX-Control-Example.html\">ListView ActiveX Control Example</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">General Event Callback Mechanism</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">Callbacks.removeScripts</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Expand the existing macroScript.</p>\n\
<p>   Define the rollout as a global variable to be accessible to outside code.</p>\n\
<p>   Set the background color of the Listview to a nice pale cyan color.</p>\n\
<p>   Enable the checkboxes in the first column of the Listview and use them to represent the renderable state of the selected objects.</p>\n\
<p>   Control the width of each column using a second value per column in the layout_def array.</p>\n\
<p>   Clear the items from the list before filling it up with new data</p>\n\
<p>   Register a callback to update the list (which is now visible as a user interface element of a globally accessible rollout) whenever the scene selection set changes.</p>\n\
<p>   Unregister the callback whenever the rollout is closed to avoid errors.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript SceneListView category: &quot;HowTo&quot;\n\
   (\n\
   global listview_rollout\n\
   try(destroyDialog listview_rollout)catch()\n\
   rollou tlistview_rollout &quot;ListView Selected&quot;\n\
   (\n\
   fn initListView lv =\n\
   (\n\
    lv.gridLines = true  \n\
    lv.View = #lvwReport  \n\
    lv.fullRowSelect = true \n\
\n\
    lv.backColor = color 225 215 210\n\
    lv.checkboxes = true\n\
\n\
    layout_def = #(#(&quot;On&quot;,28), #(&quot;Object Name&quot;,120), #(&quot;Object Class&quot;,80), #(&quot;Verts&quot;,45), #(&quot;Faces&quot;,45), #(&quot;Material&quot;,120))\n\
\n\
    for i inlayout_def do\n\
    (\n\
     column = lv.ColumnHeaders.add()\n\
     column.text = i[1]\n\
    )\n\
\n\
    LV_FIRST = 0x1000\n\
    LV_SETCOLUMNWIDTH = (LV_FIRST + 30)\n\
    for i = 0 to layout_def.count-1 do\n\
     windows.sendMessage lv.hwnd LV_SETCOLUMNWIDTH i layout_def[1+i][2]\n\
   ) \n\
\n\
   fn fillInSpreadSheet lv =\n\
   (\n\
    lv.ListItems.clear()\n\
    for o in selection do\n\
    (\n\
     li = lv.ListItems.add()\n\
     li.checked = o.Renderable\n\
     sub_li = li.ListSubItems.add()\n\
     sub_li.text = o.name\n\
     sub_li = li.ListSubItems.add()\n\
     sub_li.text = (classof o) as string\n\
     sub_li = li.ListSubItems.add()\n\
     sub_li.text =try((o.mesh.numverts) as string)catch(&quot;--&quot;)\n\
     sub_li = li.ListSubItems.add()\n\
     sub_li.text =try((o.mesh.numfaces) as string)catch(&quot;--&quot;)\n\
     sub_li = li.ListSubItems.add()\n\
     sub_li.text = (o.material) as string\n\
    )\n\
   ) \n\
\n\
   activeXControl lv_objects &quot;MSComctlLib.ListViewCtrl&quot; width:490 height:190 align:#center\n\
   on listview_rollout open do\n\
   (\n\
   initListView lv_objects\n\
   fillInSpreadSheet lv_objects\n\
   ) \n\
   on listview_rollout close do callbacks.removeScripts #selectionSetChanged id:#SceneListView\n\
   )\n\
   createDialog listview_rollout500 200\n\
   callbacks.addScript #selectionSetChanged &quot;listview_rollout.fillInSpreadSheet listview_rollout.lv_objects&quot; id:#SceneListView\n\
   )\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>RESULT:</strong></p>\n\
</blockquote>\n\
<p><img src=\"./images/GUID-7A4A6E60-1E34-47D4-9536-CC01450F4A67-low.gif\" alt></p>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroScript SceneListView category:&quot;HowTo&quot;\n\
( global listview_rollout</code></pre><p>In order to be able to access the rollout from outside of the macroScript scope (in our case a callback script), we have to define the rollout variable as global.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rollout listview_rollout &quot;ListView Selected&quot;\n\
(\n\
fn initListView lv =\n\
(\n\
lv.gridLines = true  \n\
lv.View = #lvwReport  \n\
lv.fullRowSelect = true \n\
\n\
lv.backColor = color 225 215 210 </code></pre><p>We assign a new color to the backColor property of the Listview.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Microsoft color values are expected as BGR (Blue/Green/Red) and NOT RGB as <strong>3ds Max</strong> and MAXScript provide them. In MAXScript, the above color would appear as pale pink. You can visualize these colors by using something like</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> display ( bitmap 128 128 color:(color 225 215 210) )--pale pink\n\
display ( bitmap 128 128 color:(color 215 210 225) )--pale blue\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lv.checkboxes = true</code></pre><p>We will also enable the built-in checkboxes of the Listview control and use them to represent the renderable node-level property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">layout_def = #(#(&quot;On&quot;,28), #(&quot;Object Name&quot;,120), #(&quot;Object Class&quot;,80), #(&quot;Verts&quot;,45), #(&quot;Faces&quot;,45), #(&quot;Material&quot;,120))</code></pre><p>We will extend the existing version of the layout definition array. Instead of storing only the names of the colums, we will store sub-arrays containing both the name and the width of the column. In the future, you could store any additional per-column data like bold text Boolean flag, foreground color of the text etc.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for i in layout_def do\n\
(\n\
column = lv.ColumnHeaders.add()\n\
column.text = i[1]\n\
)</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">LV_FIRST = 0x1000\n\
LV_SETCOLUMNWIDTH = (LV_FIRST + 30)</code></pre><p>We define two user variables which will contain the first column&apos;s address and the message id to be sent to the windows handle of the Listview control responsible for setting the column width.This is &quot;esoteric knowledge&quot; available from literature on general Microsoft Windows and ActiveX Controls programming. Just use it the way it is provided here.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for i = 0 to layout_def.count-1 do\n\
windows.sendMessage lv.hwnd LV_SETCOLUMNWIDTH i layout_def[1+i][2]</code></pre><p>Now we loop from 0 to the number of columns minus one. This is because the <code>windows.sendMessage</code> method expects the index of the column to be set as a 0-based index, but MAXScript array indices are 1-based.</p>\n\
<p>The <code>windows.sendMessage</code> method expects the windows handle of the ActiveX control (lv.hwnd), the message to be sent, the index of the column to set the width and the width value (which is stored in the 1-based array at index (i+1), in the second item of the sub-array)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">) \n\
fn fillInSpreadSheet lv =\n\
( lv.ListItems.clear()</code></pre><p>Before we fill in the data into the Listview, we should make sure the list is emptied first. This is because this time around, the list will be updated on the fly without closing and reopening the dialog!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for o in selection do\n\
(\n\
li = lv.ListItems.add() li.checked = o.Renderable</code></pre><p>The first column will contain only the checkbox. We set the .checked property to the boolean value returned by the node-level <code>.renderable</code> property of the current object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sub_li = li.ListSubItems.add()</code></pre><p>The former first column with the name of the object is now the second column, so we have to create a sub list item for it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sub_li.text = o.name</code></pre><p>We set the .text property of the sub list item to the name of the object just like before.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sub_li = li.ListSubItems.add()\n\
sub_li.text = (classof o) as string\n\
sub_li = li.ListSubItems.add()\n\
sub_li.text = try((o.mesh.numverts) as string)catch(&quot;--&quot;)\n\
sub_li = li.ListSubItems.add()\n\
sub_li.text = try((o.mesh.numfaces) as string)catch(&quot;--&quot;)\n\
sub_li = li.ListSubItems.add()\n\
sub_li.text = (o.material) as string\n\
)\n\
) \n\
activeXControl lv_objects &quot;MSComctlLib.ListViewCtrl&quot; width:490 height:190 align:#center\n\
on listview_rollout open do\n\
(\n\
initListView lv_objects\n\
fillInSpreadSheet lv_objects\n\
) \n\
\n\
on listview_rollout close do callbacks.removeScripts #selectionSetChanged id:#SceneListView </code></pre><p><a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">Callbacks.removeScripts</a></p>\n\
<p>Whenever the user closes the dialog by either pressing the [X] button in the upper right corner of the titlebar or by calling the MacroScript again, we will have to make sure that the callback we will register to update the display when the selection set changes is removed. Otherwise, selecting objects in the scene would cause the callback to try to access an already closed rollout and throw an error!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
try(destroyDialog listview_rollout)catch()\n\
createDialoglistview_rollout 500 200 callbacks.addScript #selectionSetChanged &quot;listview_rollout.fillInSpreadSheet listview_rollout.lv_objects&quot; id:#SceneListView</code></pre><p>Finally, we register the callback to update the Listview whenever the user changes the selection set in the scene.</p>\n\
<p>The <code>callbacks.addScript</code> function tells MAXScript that we are registering a new callback.</p>\n\
<p><code>#selectionSetChanged</code> is the name of the notification message broadcast by <strong>3ds Max</strong> whenever the selection changes.</p>\n\
<p>The string contains the actual script executed when the callback is activated, it accesses the Listview as a property of the now global rollout definition and calls the <code>fillInSpreadSheet</code> function we defined.</p>\n\
<p>The <code>id:#SceneListView</code> is a user-defined name to be able to affect only this special callback (for example in the <strong><code>callbacks.removeScripts</code></strong> call above) without affecting other callbacks defined by other developers or the shipping <strong>3ds Max</strong> version itself.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>After evaluating the script, the SceneListView ActionItem in the &quot;HowTo&quot; category defined by the first part of the tutorial will be updated.</p>\n\
<p>Press the button/select the menu item or press the keyboard shortcut corresponding to the SceneListView script - the dialog with the listView ActiveX control should appear. If there are no objects selected, the list will be empty.</p>\n\
<p>Now select some object and watch the list updating automatically.Change the selection set again and the list will update dynamically! Select an object, right-click, go to Properties... and uncheck the Renderable checkbox. Note that the checkbox in the Listview will be unchecked, too!</p>\n\
<h2 id=\"where-to-go-from-here-\">Where to go from here?</h2><p>The next logical step would be to add an even handler to link the checkbox in the Listview bi-directionally to the <code>.Renderable</code> property, so changing the state in the Listview would affect the node property, too!</p>\n\
<p>Other things to try include adding more column definitions to the layout array to show other object properties you might be interested in.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Develop-a-Selected.html\">How To ... Develop a Selected Objects Inspector using ListView ActiveX Control</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"How-To-Develop-a-Selected-1.html\">How To ... Develop a Selected Objects Inspector using ListView ActiveX Control - Part One</a></li>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">How To - Introduction to the Tutorials</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";