var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-496428B3-D9F8-4CF1-91ED-5D1708DF100E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Enhance the Morpher Modifier With Floating Controls</h1></div><p>The Morpher modifier in <strong>3ds Max</strong> provides up to 100 morph channels, but only 10 of them are visible at a time and can be controlled only using a value spinner. Using MAXScript, we will add a very basic floating UI extension to the Morpher modifier representing and controlling the Morpher channels using progress bars.</p>\n\
<p>The script will also demonstrate the dynamic creation of UI elements by a script and the usage of time and change callbacks to react to time and properties changes.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining MacroScripts</a></p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Morpher-Modifier.html\">Morpher : Modifier</a></p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Morpher-Modifier.html\">Morpher_Channel_Access</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Time-Change-Callback-Mechanism.html\">Time Change Callback Mechanism</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Change-Handlers-and-When.html\">Change Handlers and When Constructs</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Package the code as macroScript to be able to use as a button, menu item or shortcut.</p>\n\
<p>   Make sure an object with a morpher modifier is selected</p>\n\
<p>   Get the morpher modifier and collect the used channels</p>\n\
<p>   Build a string describing a dialog with controls for each used channel.</p>\n\
<p>   Create a function to update all controls&#x2019;a values</p>\n\
<p>   Register a callback to call the update function when scene time changes</p>\n\
<p>   Register a callback to call the update function when a parameter of the morpher changes</p>\n\
</blockquote>\n\
<p><img src=\"./images/GUID-AAC91496-D29D-4CC2-8A27-02294B6F2B65-low.gif\" alt></p>\n\
<blockquote>\n\
<p>   <strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroscript MorpherFloater category: &quot;HowTo&quot;\n\
   (\n\
   global mf_float, mf_morpher_mod\n\
   on isEnabled return\n\
    selection.count == 1 and (try($.morpher)catch(undefined)) != undefined\n\
   on execute do\n\
   (\n\
    mf_morpher_mod = $.modifiers[#morpher]\n\
    used_channels = #()\n\
    txt =&quot;rollout mf_main \\&quot;Morpher Floater\\&quot; (\\n&quot;\n\
    for i = 1 to 100 do\n\
    (\n\
     if WM3_MC_HasData mf_morpher_mod i then\n\
     (\n\
      append used_channels i\n\
      txt +=&quot;progressbar mf_slider_&quot;+ i as string\n\
      txt +=&quot; value:&quot;+ (WM3_MC_GetValue mf_morpher_mod i) as string\n\
      txt +=&quot; width:150 height:18 across:2 align:#left\\n&quot;\n\
      txt +=&quot;edittext mf_label_&quot;+i as string\n\
      txt +=&quot; align:#right text:\\&quot;&quot;+i as string+&quot;: &quot;\n\
      txt +=(WM3_MC_GetName mf_morpher_mod i) +&quot;\\&quot;\\n&quot;\n\
      txt +=&quot;on mf_slider_&quot;+i as string+&quot; clicked val do (\\n&quot;\n\
      txt +=&quot;WM3_MC_SetValue mf_morpher_mod &quot;\n\
      txt += i as string+&quot; (val as float) \\n&quot;\n\
      txt +=&quot;SliderTime +=0)\\n&quot;\n\
     )\n\
    )--end i loop\n\
   txt +=&quot;)\\n&quot;\n\
\n\
   createDialog (execute txt) 340 (used_channels.count*24)\n\
   txt =&quot;fn mf_update_slider = (\\n&quot;\n\
   for i in used_channels do\n\
   (\n\
    txt +=&quot;mf_main.mf_slider_&quot;+i as string\n\
    txt +=&quot;.value = WM3_MC_GetValue mf_morpher_mod &quot;+i as string+&quot; \\n&quot;\n\
   )--end i loop\n\
   txt +=&quot;)\\n&quot;\n\
\n\
   global mf_update_slider = execute txt\n\
   registertimecallback mf_update_slider\n\
   deleteAllChangeHandlers id:#morpher_floater\n\
\n\
   when parameters mf_morpher_mod changes \\\n\
    HandleAt:#RedrawViews \\\n\
    id:#morpher_floater do mf_update_slider()\n\
   )--end execute\n\
   )--end script</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroscript MorpherFloater category:&quot;HowTo&quot;\n\
(</code></pre><p>The macroScript will be called <code>MorpherFloater</code> . To use the script, you can go to Customize... and drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or assign to a keyboard shortcut.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">global mf_float, mf_morpher_mod</code></pre><p>We will need a couple of global variables to store the rollout used to display the Morpher controls, and the currently selected Morpher modifier to control.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\">Scope of Variables</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on isEnabled return\n\
selection.count == 1 and (try($.morpher)catch(undefined)) != undefined</code></pre><p>The script will become active only when a single objects is selected in the scene and it has a Morpher modifier on its stack.</p>\n\
<p>The <code>isEnabled</code> handler evaluates the expression after the return statement and enables the script&#x2019;s button, menu item or shortcut when the expression yields true. Otherwise, the script is disabled.</p>\n\
<p>In the first statement, we compare the number of selected objects in the scene with 1. If there is only one selected object, this expression returns true.</p>\n\
<p>Then we also ask whether the selection has a Morpher modifier applied. We do this inside a <code>try()catch()</code> context &#x2013; if there is a Morpher modifier, it will be returned as the result of this expression. If there is no Morpher, an error would normally occur. We catch this error and return undefined instead. The result is then checked whether it is NOT undefined. This gives us the result of true when a Morpher was encountered, and false when not.</p>\n\
<p>Only when the first AND the second part of the test return true will the isEnabled handler also return true and activate the script!</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Macroscript_Body_Event_Handlers</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on execute do\n\
(</code></pre><p>The execute handler contains the body of the script and is executed whenever the user clicks the button, selects the menu item or presses the keyboard shortcut the script is assigned to. This can only happen when <code>isEnabed</code> has returned true!</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Macroscript_Body_Event_Handlers</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mf_morpher_mod = $.morpher</code></pre><p>First we store the Morpher modifier in the global variable defined at the beginning. We have made sure that there is only one selected object, so we use <code>$</code> instead of <code>selection\\[1\\].</code> Also, we don&#x2019;t need error catching anymore as we already know there is a Morpher modifier in the selected object thanks to the <code>isEnabled</code> check...</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">used_channels = #()</code></pre><p>We will need a user-defined array to store the indices of used channels in the Morpher.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">Array Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">txt =&quot;rollout mf_main \\&quot;Morpher Floater\\&quot; (\\n&quot;</code></pre><p>Here we start a quite strange operation &#x2013; we are going to build a whole new rollout dynamically by first putting all necessary definitions in a long string variable and the executing as if it were a regular script file. Note that we will need a backslash <strong>\\</strong> everywhere quotation marks appear inside of the string! Also, we will have to denote each new line using the \\n sequence.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\">String Values</a></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Clauses.html\">Rollout Clauses</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for i = 1 to 100 do\n\
(</code></pre><p>A Morpher modifier can have up to 100 channels. Using a <code>for</code> loop, we will go through all of them. The variable <code>i</code> will count from 1 to 100 representing the current morph target channel.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">For Loop</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if WM3_MC_HasData mf_morpher_mod i then\n\
(</code></pre><p>In <strong>3ds Max 5</strong>, a few functions for accessing morpher channels have been implemented. By calling the <code>WM3_MC_HasData</code> function and passing the morpher and the channel index to it, we can check whether a channel has morpher data or not. If it does, we go on inside the <code>if</code> statement&#x2019;s context, if not, we just skip this channel...</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/If-Expression.html\">If Expression</a></p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Morpher-Modifier.html\">Morpher_Channel_Access</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">append used_channels i</code></pre><p>We append the channel index stored in the for loop&#x2019;s variable <code>i</code> to the array of used channels. When we are ready with the <code>for</code> loop, the array will contain all used channels!</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">Array Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">txt +=&quot;progressbar mf_slider_&quot;+ i as string\n\
txt +=&quot; value:&quot;+ (WM3_MC_GetValue mf_morpher_mod i) as string\n\
txt +=&quot; width:150 height:18 across:2 align:#left\\n&quot;</code></pre><p>Now we describe the creation of a new progressbar UI element inside the rollout string. Note that we ADD the new partial strings to the current string using +=. We append the channel number as string to get unique names for all UI elements. We set the current value of the progressbar to the current value of the Morpher modifier&#x2019;s channel. Using the <code>across:2</code> keyword, we tell the UI to place two UI elements in the same row (we will add a text label with the name of the morph target later)</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/ProgressBar-UI-Control.html\">ProgressBar</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">txt +=&quot;on mf_slider_&quot;+i as string+&quot; clicked val do (\\n&quot;\n\
txt +=&quot;WM3_MC_SetValue mf_morpher_mod &quot;\n\
txt += i as string+&quot; (val as float) \\n&quot;\n\
txt +=&quot;SliderTime +=0)\\n&quot;</code></pre><p>A <code>progressbar</code> UI element is normally used to display the progress of processes, but it can also be used in place of a slider because it provides a change handler that can return the value changed with the mouse. The <code>on ... clicked val do...</code> handler is executed each time the user clicks with the mouse on the progressbar. The variable <code>var</code> will contain the current value between 0 and 100. We will assign it as a floating point number between 0.0 and 100.0 to the respective channel with index <code>i</code> .</p>\n\
<p><code>SliderTime += 0</code> is a small trick to fool the time callback we will define a bit later. It does not actually change the slider time as we add zero, but it causes the system to evaluate the change and execute the time callback.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Control-1.html\">Time Control</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">txt +=&quot;edittext mf_label_&quot;+i as string\n\
txt +=&quot; align:#right text:\\&quot;&quot;+i as string+&quot;: &quot;\n\
txt +=(WM3_MC_GetName mf_morpher_mod i) +&quot;\\&quot;\\n&quot;</code></pre><p>We also describe the creation of an edit text UI element. Its text will contain the channel index as string and the name of the i-th morpher channel. This label will appear in the same line as the progressbar and will be aligned to the right.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Edittext-UI-Control.html\">Edittext</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end if\n\
)--end i loop\n\
txt +=&quot;)\\n&quot;</code></pre><p>At this point, the i loop is over. It has added controls for all non-empty morpher channels to the string describing the UI. We just have to add the rollout&#x2019;s closing bracket.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">createDialog (execute txt) 340 (used_channels.count*24)</code></pre><p>Now we create a dialog using the string we just put together as the source of the new rollout. The execute function evaluates the string just like any external source code file. The result of the evaluation is a rollout as you would type in using a Script Editor. The dialog will be 340 pixels wide and 24 times the total number of collected channels / number of controls in the rollout. This means that the UI will change its height if there are more or less morpher channels in the modifier every time the script is started again.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/CreateDialog.html\">CreateDialog</a></p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\">String Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">txt =&quot;fn mf_update_slider = (\\n&quot;</code></pre><p>Once again, we start a new string defining the function to be called each time the morpher has changed.</p>\n\
<p><a href=\"./../Learning-MAXScript/Creating-Your-Own-Scripts/Defining-Custom-Functions.html\">Defining Custom Functions</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for i in used_channels do\n\
(</code></pre><p>We will need to update every single slider corresponding to a used morpher channel. The variable i will contain the index of the respective channel in each loop repetition.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">For Loop</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">txt +=&quot;mf_main.mf_slider_&quot;+i as string\n\
txt +=&quot;.value = WM3_MC_GetValue mf_morpher_mod &quot;+i as string+&quot; \\n&quot;</code></pre><p>Here we tell the progressbar of channel <code>i</code> in the globally defined rollout <code>mf_main</code> to change its value to the value of the i-th channel in the Morpher modifier stored in the global variable <code>mf_morpher_mod</code> .</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Morpher-Modifier.html\">Morpher_Channel_Access</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end i loop\n\
txt +=&quot;)\\n&quot;</code></pre><p>At the end, we close the function&#x2019;s bracket.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">global mf_update_slider = execute txt</code></pre><p>Then we execute the function&#x2019;s definition text which gives us an evaluated function we can use in our callbacks. We store it in a global variable to make it accessible to all the callbacks we intend to define...</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\">Scope of Variables</a></p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\">String Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registertimecallback mf_update_slider</code></pre><p>The first callback reacts to time changes. Every time the scene time changes (by moving the time slider with the mouse, playing the animation etc.), the time callback will call the supplied function, in our case the UI update function we just defined! Remember the <code>SliderTime += 0</code> part some paragraphs higher? It causes this callback to be called, too.</p>\n\
<p>The result of this callback is that if you animate the morpher channel values and then play the animation, the progress bars will update dynamically in realtime WHILE the animation is playing!</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Time-Change-Callback-Mechanism.html\">Time Change Callback Mechanism</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteAllChangeHandlers id:#morpher_floater</code></pre><p>Before registering our other callback, we first make sure any older callbacks registered by the same script have been removed from memory. Our callback has a unique ID called <code>#morpher_floater</code> (this name is user-defined and can be anything as long as it is unique). So we tell MAXScript to delete any existing callbacks with that ID.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks.html\">Change Handlers and Callbacks</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">when parameters mf_morpher_mod changes \\\n\
HandleAt:#RedrawViews \\\n\
id:#morpher_floater do mf_update_slider()</code></pre><p>And finally, we register a parameter change callback. The when construct defines a callback which is executed whenever a monitored property type of a specified set of objects (in our case any parameter of the Morpher modifier) has changed its value.</p>\n\
<p>We tell the callback to update only when the viewports are being redrawn. This reduces the actual number of internal calls and speeds the script up without any noticeable drawbacks for the user.</p>\n\
<p>We provide out unique ID to be able to delete the callback later.</p>\n\
<p>The only thing the callback will do is call the update function. The effect is that when you change the value of a morpher channel, the floating UI we created will automatically reflect the changes!</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks.html\">Change Handlers and Callbacks</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end execute\n\
)--end script</code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>Evaluate the script. To use it, you can use Customize... to drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or to assign to a keyboard shortcut.</p>\n\
<p>Select a single object with a Morpher modifier and some active channels in the scene and execute the script. A new floating dialog should appear showing a progress bar and a text field displaying the channel number and the target name.</p>\n\
<h2 id=\"where-to-go-from-here\">Where to go from here</h2><p>This is a very simplified example. You could go on and expand the floater by adding things like additional spinners, buttons for selecting the single target objects in the scene (as long as they exist) etc. You could also change the progress bar elements and use regular sliders instead.</p>\n\
<p>The above script will not detect changes in the used morpher channels (adding/deleting morph targets). Currently, the script would have to be restarted to reflect the changes. You could try to add handling for these cases, too.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\"How-To-Introduction-to-the.html\">&quot;How To&quot; Tutorials Index Page</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Practical-Examples.html\">How To - Practical Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";