var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-537409FE-EF5B-4E02-8261-456F74134CA5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Output Geometry Data To Text File - Part Two</h1></div><p>This is the second part of the Output Geometry Data tutorial. We will enhance the script developed in Part One to support smoothing groups, material ids, and edge visibility.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining MacroScripts</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Picking-Scene-Nodes/Picking-Scene-Nodes-By-Hit.html\">Picking Scene Nodes By Hit</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Load the script from Part One.</p>\n\
<p>   Create a filter function for geometry objects.</p>\n\
<p>   Let the user pick a scene object and apply the filter function.</p>\n\
<p>   If the user picked a valid object, get a save file dialog, and ask for a target name.</p>\n\
<p>   If the file name is valid, export the vertices.</p>\n\
<p>   In the face export code, collect the smoothing groups values, material ids, and edge visibility.</p>\n\
<p>   Output the collected values as a single line.</p>\n\
<p>   Close the file.</p>\n\
<p>   Open for review.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript ExportMesh category: &quot;HowTo&quot;\n\
   (\n\
   fn GetGeometry o = (\n\
    Superclassof o == Geometryclass and classof o != TargetObject )\n\
   obj = pickobject filter:GetGeometry\n\
   if isValidNode obj then\n\
   (\n\
    tmesh =snapshotAsMesh obj\n\
    out_name = GetSaveFileName()\n\
    if out_name != undefined then\n\
    (\n\
     out_file = createfile out_name\n\
     num_verts = tmesh.numverts\n\
     num_faces = tmesh.numfaces\n\
     format &quot;%,%\\n&quot; num_verts num_faces to:out_file\n\
     for v = 1 to num_verts do\n\
      format &quot;%,&quot; (getVert tmesh v) to:out_file\n\
     format &quot;\\n&quot; to:out_file\n\
     for f = 1 to num_faces do\n\
     (\n\
      face = getFace tmesh f\n\
      sgroup = getFaceSmoothGroup tmesh f\n\
      matid = getFaceMatId tmesh f\n\
      edge1 = getEdgeVis tmesh f 1\n\
      edge2 = getEdgeVis tmesh f 2\n\
      edge3 = getEdgeVis tmesh f 3\n\
      format &quot;%,%,%,%,%,%\\n&quot; face sgroup matid edge1 edge2 edge3 to:out_file\n\
     )\n\
     close out_file\n\
     edit out_name\n\
    )--end if\n\
   )--end if\n\
   )--end macroscript\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MacroScript ExportMesh category:&quot;HowTo&quot;\n\
(</code></pre><p>We define a macroScript that will be called <code>ExportMesh</code> . To use the script, you can go to Customize and drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu, or assign to a keyboard shortcut.</p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn GetGeometry o = (\n\
Superclassof o == Geometryclass and classof o != TargetObject )</code></pre><p>We will need a filter function to allow the picking of only specific object types. In this case, the function will return true only when the superclass of the object passed as parameter is GeometryClass and the class of the passed object is not TargetObject (TargetObject is the only Geometry object without a mesh).</p>\n\
<p><a href=\"./../../Learning-MAXScript/Creating-Your-Own-Scripts/Defining-Custom-Functions.html\">Defining Custom Functions</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">obj = pickobject filter:GetGeometry</code></pre><p>Now, we can let the user pick a scene object and apply the filter to all objects below the mouse pointer. As you will note, the mouse pointer will allow scene objects to be picked only when their class matches the classes defined in the filter function.</p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Picking-Scene-Nodes/Picking-Scene-Nodes-By-Hit.html\">Picking Scene Nodes By Hit</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if isValidNode obj then\n\
(</code></pre><p>If the user picked a valid object (in other words he did not right-click to cancel and did not press <strong>Esc</strong> ), we will execute the rest of the script. Otherwise, we will skip the following lines.</p>\n\
<p><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">isValidNode</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmesh = snapshotAsMesh obj</code></pre><p>This is the same as the Part One code. We get the mesh from the picked object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">out_name = GetSaveFileName()</code></pre><p>Instead of providing a hard-coded path, we let the user type in any file name.</p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/Standard-Open-and-Save-File.html\">Standard Open and Save File Dialogs</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if out_name != undefined then\n\
(</code></pre><p>If the user specified a valid name (in other words he did not press Cancel), we continue with the execution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">out_file = createfileout_name\n\
num_verts = tmesh.numverts\n\
num_faces = tmesh.numfaces\n\
format &quot;%,%\\n&quot; num_verts num_faces to:out_file</code></pre><p>Just like in Part One, we create a new file and output the vertex and face count</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for v = 1 to num_verts do\n\
format &quot;%,&quot; (getVert tmesh v) to:out_file\n\
format &quot;\\n&quot; to:out_file</code></pre><p>Then we export the vertices just like in the compact version of the Part One script.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for f = 1 to num_faces do\n\
(</code></pre><p>In the face loop, we will export some more data this time. Each face has a smoothing group value, a material id value, and three edge visibility values. We will export all of them in a single pass.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">face = getFace tmesh f</code></pre><p>First, we get the face.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sgroup = getFaceSmoothGroup tmesh f</code></pre><p>Then, we get the smoothing group value from the same face,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">matid = getFaceMatId tmesh f</code></pre><p>then the material id value,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">edge1 = getEdgeVis tmesh f 1\n\
edge2 = getEdgeVis tmesh f 2\n\
edge3 = getEdgeVis tmesh f 3</code></pre><p>and the edge visibility for each of the three face edges.</p>\n\
<p><a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\">Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">format &quot;%,%,%,%,%,%\\n&quot; face sgroup matid edge1 edge2 edge3 to:out_file</code></pre><p>Now, that we have all the values, we output all of them in a single line. We add a new line character to the end of the line &#x2013; this will give us a single line for each face.</p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">FileStream Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
close out_file</code></pre><p>When the face loop is ready, we close the output file,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">edit out_name</code></pre><p>and open the new file to check the result.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end if\n\
)--end if\n\
)--end macroscript</code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>To test the script, select <strong>Tools &gt; Evaluate</strong> from the MAXScript Editor&#x2019;s menu or alternatively, press <strong>Ctrl+E</strong>. Then, customize a toolbar and drag the script from the &quot;HowTo&quot; category. Press the button and pick a geometry object from the scene. You can pick any geometry object like Patch, NURBS, procedural object, and others.</p>\n\
<blockquote>\n\
<p>   <strong>SAMPLE OUTPUT OF A CUBE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   8,12\n\
   [-50,-50,0],[50,-50,0],[-50,50,0],[50,50,0],[-50,-50,100],[50,-50,100],[-50,50,100],[50,50,100],\n\
   [1,3,4],2,2,true,true,false\n\
   [4,2,1],2,2,true,true,false\n\
   [5,6,8],4,1,true,true,false\n\
   [8,7,5],4,1,true,true,false\n\
   [1,2,6],8,5,true,true,false\n\
   [6,5,1],8,5,true,true,false\n\
   [2,4,8],16,4,true,true,false\n\
   [8,6,2],16,4,true,true,false\n\
   [4,3,7],32,6,true,true,false\n\
   [7,8,4],32,6,true,true,false\n\
   [3,1,5],64,3,true,true,false\n\
   [5,7,3],64,3,true,true,false\n\
</code></pre></blockquote>\n\
<h2 id=\"where-to-go-from-here\">Where to go from here</h2><p>Now, that we have the enhanced output, we can go on and enhance the corresponding input script to read back the new data format and create a new scene object with all the face properties.</p>\n\
<p>Later, you can try to extend the script yourself by adding, for example, texture coordinates support.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\"./../How-To-Introduction-to-the.html\">&quot;How To&quot; Tutorials Index Page</a></p>\n\
<p><a href=\"How-To-Read-Geometry-Data-From.html\">How To ... Read Geometry Data From Text File - Part One</a></p>\n\
<p><a href=\"How-To-Output-Geometry-Data-To.html\">How To ... Output Geometry Data To Text File - Part One</a></p>\n\
<p><strong>Next</strong></p>\n\
<p><a href=\"How-To-Read-Geometry-Data-From-1.html\">How To ... Read Geometry Data From Text File - Part Two</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Read-Write-Geometry-Data.html\">How To ... Read/Write Geometry Data From/To Text File</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";