var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-38562330-1435-4112-9265-DE965319A2F2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Output Geometry Data To Text File - Part One</h1></div><p>This is a very basic example of exporting mesh geometry data to an external text file. The file can then be parsed back by MAXScript or any other 3D application supporting scripting and reading of ASCII files. In Part One, we will export only the vertex and face list to a fixed path name. In Part Two, we will enhance the code to let the user select a destination file, and will support several other mesh features (edge visibility, smoothing groups, texture coordinates, and others).</p>\n\
<p>In a separate tutorial, we will develop a script to import back the geometry data and recreate the mesh in the scene.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\">Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">FileStream Values</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Get a snapshot of the first selected object.</p>\n\
<p>   Define an output file name.</p>\n\
<p>   Create a new file using the file name.</p>\n\
<p>   Get the number of vertices and faces in the mesh.</p>\n\
<p>   Output the vertex and face count to the file.</p>\n\
<p>   Step through all vertices.</p>\n\
<p>   Read the position into a variable.</p>\n\
<p>   Write out the vertex position to the file.</p>\n\
<p>   Step through all faces.</p>\n\
<p>   Read the face definition into a variable.</p>\n\
<p>   Write out the face definition to the file.</p>\n\
<p>   Close the file.</p>\n\
<p>   Open the file to take a look at the result.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   tmesh = snapshotAsMesh selection[1]\n\
   out_name = ((GetDir #export)+&quot;/testmesh.dat&quot;)\n\
   out_file = createfile out_name\n\
   num_verts = tmesh.numverts\n\
   num_faces = tmesh.numfaces\n\
   format &quot;%,%\\n&quot; num_verts num_faces to:out_file\n\
   for v = 1 to num_verts do\n\
   (\n\
    vert = getVert tmesh v\n\
    format &quot;%,&quot; vert to:out_file\n\
   )\n\
   format &quot;\\n&quot; to:out_file\n\
   for f = 1 to num_faces do\n\
   (\n\
    face = getFace tmesh f\n\
    format &quot;%,&quot; face to:out_file\n\
   )\n\
   close out_file\n\
   delete tmesh\n\
   edit out_name\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmesh = snapshotAsMesh selection[1]</code></pre><p>We create a TriMesh snapshot of the first object found in the scene selection. This method evaluates the state on top of the modifier stack including any Space Warp bindings. The result is a TriMesh value which is stored in memory (does not exist in the scene). We will be able to access all its vertices and faces as if it is a scene object.</p>\n\
<p><strong>Note</strong> that we still do not check whether the user has selected an object in the scene and whether the first selected object is of geometry class. This is just a rough sketch of the final code. The user has to make sure a valid object is selected. We will add such tests in Part Two of the tutorial.</p>\n\
<p><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">snapshotAsMesh</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">out_name = ((GetDir #export)+&quot;/testmesh.dat&quot;)</code></pre><p>Next, we define a variable containing the destination path for exporting. We use the GetDir function with the keyword #export to get the <strong>3ds Max</strong> system path set up for export operations. We add to it the file name <em>testmesh.dat</em>. This name can be any valid name you might want to use. In Part Two, we will let the user select a path and name using an open file dialog.</p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\">3ds MaxSystem Directories</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">out_file = createfile out_name</code></pre><p>Using the defined output path, we create a new file and store the resulting fileStream value in a user variable called out_file. Using this variable as the destination, we will be able to output to the file.</p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">FileStream Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">num_verts = tmesh.numverts num_faces = tmesh.numfaces</code></pre><p>The TriMesh value we created has the properties .numverts and .numfaces like each mesh object in the scene. We get both values and store in user variables because we are going to need them multiple times.</p>\n\
<p><a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\">Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">format &quot;%,%\\n&quot; num_verts num_faces to:out_file</code></pre><p>Now, we can output to the file for the first time &#x2013; we define a formatting pattern specifying that there will be two user elements written out, divided by a comma. The line will end with a new line control character specified by backslash-n. After the formatting string, we have to provide as many output expressions as % symbols in the formatting string &#x2013; each of the variables we supply will be evaluated and the result will replace the % character.</p>\n\
<p>If the numbers of vertices and faces are 8 and 12 respectively (a typical Box), the result of the output will be</p>\n\
<p>8,12</p>\n\
<p>At the end of the format function we provide a to: destination. If we do not do this, the output will go by default to the MAXScript Listener.</p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">FileStream Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for v = 1 to num_verts do (</code></pre><p>The next step would be to output all vertices of the mesh. We will step through all vertices by using a for loop starting with 1 and ending with the number of vertices in the TriMesh. The variable v will change its value from 1 to num_verts each time the loop is repeated. It will end when the num_verts value is exceeded.</p>\n\
<p><a href=\"./../../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">For Loop</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">vert = getVert tmesh v</code></pre><p>Using the value currently stored in the loop&#x2019;s v variable, we get the respective indexed vertex by calling the getVert method on the tmesh value. The result will be stored in a user variable and will be a Point3 value (3D Position value) representing the world position of the vertex.</p>\n\
<p><a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\">Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">format &quot;%,&quot; vert to:out_file</code></pre><p>The vertex position has to be written out to the file. We specify a formatting string telling the format function to output the value of the vert variable followed by a comma. We do not want a new line &#x2013; all vertex positions will appear in a single line, divided by commas.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><p>At this place, the v loop ends and returns to the for v statement unless the v variable has reached the num_verts value. This means that the block enclosed in the brackets will be repeated num_verts times.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">format &quot;\\n&quot; to:out_file</code></pre><p>To separate the vertex list from the face list, we output a single New Line character to the file. The formatting string expects no user expressions as we do not include any % placeholders.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for f = 1 to num_faces do (</code></pre><p>The output of the face list is very similar to the vertex list code. We just use the other variable,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">face = getFace tmesh f</code></pre><p>and get the face definition instead of the vertex position. A face definition is also a Point3 value, but it contains indices to the 3 vertices defining the face instead of a position. The numbers stored in the Point3 value will be thus integers between 1 and num_verts. We store the result in a user variable called face,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">format &quot;%,&quot; face to:out_file</code></pre><p>and output it to the file just like we did with the vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><p>At this place, the f loop ends and returns to the for f statement unless the f variable has reached the num_faces value. This means that the block enclosed in the brackets will be repeated num_faces times.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">close out_file</code></pre><p>Finally, we close the file so that we can open it for reading. If we do not do this, the file will be marked as open by the Windows OS and MAXScript will be unable to read from it. If a script causes an error before a file is closed explicitly, you can call <code>gc()</code> to perform garbage collection - as a side effect, any locked files will be released.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delete tmesh</code></pre><p>Delete the TriMesh value to release the used memory for garbage collection. Otherwise, running the script multiple times can cause memory leaks.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">edit out_name</code></pre><p>To make sure the output looks like expected, we open the file name defined in the beginning of the script in a MAXScript editor.</p>\n\
<p>For a simple cube at the world origin, the output looks like:</p>\n\
<blockquote>\n\
<p>   SAMPLE OUTPUT OF A CUBE</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   8,12\n\
   [-50,-50,0],[50,-50,0],[-50,50,0],[50,50,0],[-50,-50,100],[50,-50,100],[-50,50,100],[50,50,100],\n\
   [1,3,4],[4,2,1],[5,6,8],[8,7,5],[1,2,6],[6,5,1],[2,4,8],[8,6,2],[4,3,7],[7,8,4],[3,1,5],[5,7,3],\n\
</code></pre></blockquote>\n\
<h2 id=\"using-the-script\">Using the Script</h2><p>To test the script, create a geometry object, select it in the scene, then select <strong>Tools &gt; Evaluate</strong> from the MAXScript Editor&#x2019;s menu or alternatively, press <strong>Ctrl+E</strong>. The resulting output file must open in a new MAXScript editor.</p>\n\
<h2 id=\"optimizing-the-code\">Optimizing the code</h2><p>As already mentioned, this is the basic code for geometry output. Still it can be made even more compact. Below is a shorter version of the same code without the opening in Editor for preview. Please compare the two scripts and see why both of them do the same thing although expressed slightly differently.</p>\n\
<blockquote>\n\
<p>   <strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   tmesh = snapshotAsMesh selection[1]\n\
   out_file = createfile ((GetDir #export)+&quot;/testmesh.dat&quot;)\n\
   format &quot;%,%\\n&quot; tmesh.numverts tmesh.numfaces to:out_file\n\
   for v = 1 to tmesh.numverts do\n\
   format &quot;%,&quot; (getVert tmesh v)to:out_file\n\
   format &quot;\\n&quot; to:out_file\n\
   for f = 1 to tmesh.numfaces do\n\
   format &quot;%,&quot; (getFace tmesh f) to:out_file\n\
   close out_file\n\
</code></pre></blockquote>\n\
<h2 id=\"where-to-go-from-here\">Where to go from here</h2><p>Now, that we have some output, we can go on and write a corresponding input script to read back the data and create a new scene object.</p>\n\
<p><a href=\"How-To-Read-Geometry-Data-From.html\">How To ... Read Geometry Data From Text File - Part One</a></p>\n\
<p>Also, in Part Two of the Geometry Output tutorial, we will make the code more robust and add some more features.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\"./../How-To-Introduction-to-the.html\">&quot;How To&quot; Tutorials Index Page</a></p>\n\
<p><strong>Next</strong></p>\n\
<p><a href=\"How-To-Read-Geometry-Data-From.html\">How To ... Read Geometry Data From Text File - Part One</a></p>\n\
<p><a href=\"How-To-Output-Geometry-Data-To-1.html\">How To ... Output Geometry Data To Text File - Part Two</a></p>\n\
<p><a href=\"How-To-Read-Geometry-Data-From-1.html\">How To ... Read Geometry Data From Text File - Part Two</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Read-Write-Geometry-Data.html\">How To ... Read/Write Geometry Data From/To Text File</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";