var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BB996DFB-0367-4DFF-A1CC-50BEB3A97757\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Remove All Materials</h1></div><p>This is one of the shortest scripts one could imagine, and yet very powerful and useful. It will let the user remove all materials from the scene objects.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macroscripts</a></p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\">General Node Properties</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Package the code as macroScript to be used as button, menu or shortcut.</p>\n\
<p>   Set the material property of all objects to undefined to remove any material assignments.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript NoMaterials category: &quot;HowTo&quot;\n\
   (\n\
   $*.material = undefined\n\
   )\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step-\">Step-By-Step:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroScript NoMaterials category:&quot;HowTo&quot; (</code></pre><p>The macroScript will be called <code>NoMaterials</code>.</p>\n\
<p>To use the script, you can go to Customize... and drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or assign to a keyboard shortcut.</p>\n\
<p>A good place to put it into would be the new menu of the Material Editor in <strong>3ds Max 5</strong>.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">$*.material = undefined</code></pre><p>MAXScript will iterate through all scene objects because $* is a wildcard for any object name found in the scene.</p>\n\
<p>The material object property assignment is mappable, which means that MAXScript will take the collection of objects on the left side of the assignment operator &quot;=&quot;, loop internally through all objects in the collection and assign the right-hand expression (in this case the value <code>undefined</code>) to them.</p>\n\
<p>When an object is first created, its <code>.material</code> property is by default set to <code>undefined</code>.</p>\n\
<p>When a material is assigned to an object, the <code>.material</code> property would return the Material object.</p>\n\
<p>Setting the material property to <code>undefined</code> will effectively remove the assignment of the material to the object and thus restore the object&#x2019;s default state.</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\">General Node Properties</a></p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Special-Data-Values/Undefined-Value.html\">Undefined Value</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)</code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>Evaluate the script.</p>\n\
<p>To use it, you can use Customize... to drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or to assign to a keyboard shortcut.</p>\n\
<p><strong>In 3ds Max 5 and higher</strong>, you could customize the Material Editor&#x2019;s menu to place the new Item for cleaning the scene materials there!</p>\n\
<p>Start the script &#x2013; all materials will be removed.</p>\n\
<h2 id=\"where-to-go-from-here\">Where to go from here</h2><p>This operation is very destructive &#x2013; you might want to add a Yes/No query to make sure your user knows what he is doing. Take a look at</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/MAXScript-Message-and-Query/MAXScript-Message-and-Query-1.html\">MAXScript Message and Query Dialogs</a></p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\"How-To-Introduction-to-the.html\">&quot;How To&quot; Tutorials Index Page</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Practical-Examples.html\">How To - Practical Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";