var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-71415C32-4325-4474-8DFB-67BE74587970\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To ... Sort TrackView Alphabetically</h1></div><p>In general, <strong>3ds Max</strong> shows the scene hierarchy in TrackView in the order of object creation. While there are some keyboard shortcuts for moving single objects up and down, there is no built-in function to reorder the TrackView.</p>\n\
<p>Using the fact that unlinking a parented object moves it to the end of the hierarchy, we can write a short script to sort the TrackView display anyway we want.</p>\n\
<p>The following script will sort the objects in TrackView in alphabetical order.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining MacroScripts</a></p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\">Parent_Node_Property</a></p>\n\
<blockquote>\n\
<p>   <strong>NATURAL LANGUAGE</strong></p>\n\
<p>   Package the code as macroScript to be able to use as a button, menu item or shortcut.</p>\n\
<p>   Collect the names of all objects in the scene.</p>\n\
<p>   Sort the names alphabetically.</p>\n\
<p>   Create a temporary helper for linking.</p>\n\
<p>   Resolve each object&#x2019;s path by using its name.</p>\n\
<p>   If the object has no parent, link to the temporary helper and unlink again to move the object to the end of the database.</p>\n\
<p>   Delete the temporary object.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>   <strong>MAXSCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript AlphaSortTracks category:&quot;HowTo&quot;\n\
   (\n\
    names_array = for i in $* collect i.name\n\
    sort names_array\n\
    d = dummy()\n\
    for i = 1 to names_array.count by 1 do\n\
    (\n\
     node_by_name = getNodeByName names_array[i]\n\
     if node_by_name.parent == undefined then\n\
     (\n\
      node_by_name.parent = d\n\
      node_by_name.parent = undefined\n\
     )\n\
    )--end i loop\n\
    delete d\n\
   )--end macroScript\n\
</code></pre></blockquote>\n\
<h2 id=\"step-by-step\">Step-By-Step</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroScript AlphaSortTracks category:&quot;HowTo&quot;\n\
(</code></pre><p>The macroScript will be called <code>AlphaSortTracks</code> . To use the script, you can go to Customize... and drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or assign to a keyboard shortcut.</p>\n\
<p><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">names_array = for i in $* collect i.name</code></pre><p>Using a <code>for</code> loop, we will collect the names of all objects found in the scene in an array called <code>names_array</code> .</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">For Loop</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Sort names_array</code></pre><p>The <code>sort</code> method will sort all names in the array in alphabetical order. Now that we have the names in the right order, we will have to retrieve the objects using the names and put them in the same order.</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">Sort_Array</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">d = dummy()</code></pre><p>To simulate linking and unlinking and thus reorder the nodes, we will create a temporary dummy object to be used as parent.</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Dummy-Helper.html\">Dummy, Helper</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for i = 1 to names_array.count by 1 do\n\
(</code></pre><p>The for loop will assign the index of each name from the array to the value of variable <code>i.</code> The <code>by 1</code> option does not do anything in this case, but if we would change it to <code>&#x2013;1</code> , and switch places of the start and end value, we would invert the sorting from ascending (A-Z) to descending (Z-A) order!</p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">For Loop</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">node_by_name = getNodeByName names_array[i]</code></pre><p>Using the <code>getNodeByName</code> function, we convert the object names to nodePath values. This way we get the objects in the right order. The variable <code>i</code> is used as an index to get the i-th element of the array of names.</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">getNodeByName</a></p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">Array Values</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if node_by_name.parent == undefined then\n\
(</code></pre><p>We are going to sort only objects that are &quot;children of the world&quot;, in other words the top-level nodes that are not linked to parents. That&#x2019;s why we have to check whether the object has a parent. Of there is none (the <code>parent</code> property returns <code>undefined</code> ), we can proceed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">node_by_name.parent = d\n\
node_by_name.parent = undefined</code></pre><p>By assigning the dummy object to the <code>.parent</code> property, we link the node to the temporary dummy we created after sorting the names. By assigning <code>undefined</code> to the same property we unlink it again and send it to the end of the scene node database.</p>\n\
<p><a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\">Parent_Node_Property</a></p>\n\
<p><a href=\"./../MAXScript-Language-Reference/Values/Special-Data-Values/Undefined-Value.html\">Undefined Value</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)\n\
)--end i loop\n\
delete d</code></pre><p>Now that the loop has finished its work, we can delete the temporary dummy.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">)--end macroScript</code></pre><h2 id=\"using-the-script\">Using the Script</h2><p>Evaluate the script. To use the script, you can use Customize... to drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or to assign to a keyboard shortcut. Create some objects and open TrackView to take a look at their current order. Execute the macroScript and compare the order in TrackView &#x2013; the nodes should be listed in Alphabetical order now.</p>\n\
<h2 id=\"where-to-go-from-here\">Where to go from here</h2><p>As already mentioned in the Step-By-Step description, simply changing the <code>for</code> loop to</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for i = names_array.count to 1 by -1 do</code></pre><p>will give you sorting in reverse order. You will probably want to give your second version of the script a new name like</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroScript RevSortTracks category:&quot;HowTo&quot;</code></pre><p>or you could even add a prompt asking the user about the desired order mode in the same script.</p>\n\
<p>Another idea for improvements would be to change the script to sort the objects based on some additional property, for example by class (Geometry, Lights, Helpers etc. in blocks by class, then sorted alphabetically within the class blocks)...</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\"How-To-Introduction-to-the.html\">&quot;How To&quot; Tutorials Index Page</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Practical-Examples.html\">How To - Practical Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";