var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-72CBE101-72C4-4416-AAC5-2EDD91A119AF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Registry Structure</h1></div><p>The <strong>Registry struct</strong> provides methods to access the Windows registry keys.</p>\n\
<p>These methods are available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>They were previously available in the <a href=\"./../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Editing the Windows Registry can destabilize your operating system. This task must be performed only by professionals who know what they are doing.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registry.closeKey &lt;HKey&gt;   </code></pre><p>Closes the open HKey. Returns true if successful, false if an error occurs. Use <code>registry.getLastError()</code> to get the error message.</p>\n\
<p>A HKey must not be used after it has been closed because it will no longer be valid.</p>\n\
<p>HKeys must not be left open any longer than necessary.</p>\n\
<p>The closeKey method does not necessarily write information to the registry before returning; it can take as much as several seconds for the cache to be flushed to the hard disk.</p>\n\
<p>If an application must explicitly write registry information to the hard disk, it can use <code>registry.flushKey()</code> . However, this method uses many system resources and must be called only when necessary.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registry.flushKey &lt;HKey&gt; </code></pre><p>Writes all the attributes of the open HKey into the registry. Returns true if successful, false if an error occurs. Use <code>registry.getLastError()</code> to get the error message.</p>\n\
<p>It is <strong>not</strong> necessary to call <code>registry.flushKey()</code> method to change a key. Registry changes are flushed to the disk by the registry using its lazy flusher. Lazy flushing occurs automatically and regularly after a system-specified interval of time. Registry changes are also flushed to disk at system shutdown. Unlike <code>registry.closeKey()</code> , <code>registry.flushKey()</code> returns only when all the data has been written to the registry. <code>registry.flushKey()</code> might also write out parts or all of the other keys.</p>\n\
<p>Calling this function excessively can have a negative effect on an application&apos;s performance. An application must only call <code>registry.flushKey()</code> if it requires absolute certainty that registry changes are on the disk.</p>\n\
<p>In general , <code>registry.flushKey()</code> is rarely used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registry.deleteSubKey &lt;HKey&gt; &lt;string subKeyName&gt; recurse:&lt;boolean&gt; </code></pre><p>Deletes the specified subkey of the open HKey. The entire key, including all of its values is removed. Returns true if successful, false if an error occurs. Use <code>registry.getLastError()</code> to get the error message.</p>\n\
<p>If recurse is false or not specified, the subkey to be deleted must not have subkeys. If recurse is true, the subkey and all its descendants are deleted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registry.deleteKey &lt;HKey&gt; recurse:&lt;boolean&gt; </code></pre><p>Deletes the HKey. The parent HKey of the specified HKey must be open. The entire key including all of its values is removed. Returns true if successful, false if an error occurs. Use <code>registry.getLastError()</code> to get the error message.</p>\n\
<p>If recurse is false or not specified, the HKey to be deleted must not have subkeys. If recurse is true, the HKey and all its descendants are deleted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registry.createKey &lt;HKey&gt; &lt;string subKeyName&gt; accessRights:&lt;{#readOnly|#writeOnly|#all| &lt;int&gt;}&gt; newKeyCreated:&lt;&amp;boolean&gt;Key:&lt;&amp;HKey&gt;volatile:&lt;boolean&gt; </code></pre><p>Creates a new HKey as a subkey of the specified open HKey. If the subkey already exists, the function opens it.</p>\n\
<p>Returns true if successful, false if an error occurs. Use <code>registry.getLastError()</code> to get the error message.</p>\n\
<p>See &quot;HKey Values&quot; for a description of the <code>&lt;int&gt;</code> values for accessRights. The default accessRights is <code>#all</code> .</p>\n\
<p>If a new key is created, a true value will be written to the <code>newKeyCreated:</code> keyword variable.</p>\n\
<p>If a new key is created or an existing key is opened, the HKey value will be written to the <code>Key:</code> keyword variable.</p>\n\
<p>If <code>volatile:</code> is <code>false</code> or not specified, the key information will be written to the registry file. If <code>true</code> , the information is stored only in memory and is not preserved when the corresponding registry hive is unloaded.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   registry.createKey HKEY_CLASSES_ROOT &quot;.123&quot; accessRights:#all newKeyCreated:&amp;newKeyCreated key:&amp;key1\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registry.openKey &lt;HKey&gt; &lt;string subKeyName&gt; accessRights:&lt;{#readOnly |#writeOnly|#all| &lt;int&gt;}&gt; key:&lt;&amp;HKey&gt; </code></pre><p>Opens an existing HKey.</p>\n\
<p>Returns <code>true</code> if successful, <code>false</code> if an error occurs. Use <code>registry.getLastError()</code> to get the error message.</p>\n\
<p><code>registry.openKey</code> does not create the specified key if the key does not exist in the registry.</p>\n\
<p>See &quot;HKey Values&quot; for a description of the <code>&lt;int&gt;</code> values for <code>accessRights</code> . The default accessRights is <code>#readOnly</code> .</p>\n\
<p>If a HKey is successfully opened, the HKey value will be written to the <code>Key</code> keyword variable.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   registry.openKey HKEY_CLASSES_ROOT &quot;.123&quot; accessRights:#all key:&amp;key1\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registry.deleteValue &lt;HKey&gt; &lt;string valueName&gt; </code></pre><p>Deletes the specified value of the open HKey.</p>\n\
<p>Returns <code>true</code> if successful, false if an error occurs.</p>\n\
<p>Use <code>registry.getLastError()</code> to get the error message.</p>\n\
<p>If valueName is an empty string (&quot;&quot;), the default value on the HKey is deleted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registry.setValue &lt;HKey&gt; &lt;string valueName&gt; &lt;name valueType&gt; &lt;value data&gt; </code></pre><p>Sets the data type and value of the specified value of the open HKey.</p>\n\
<p>Returns <code>true</code> if successful, <code>false</code> if an error occurs.</p>\n\
<p>Use <code>registry.getLastError()</code> to get the error message.</p>\n\
<p>If valueName is an empty string (&quot;&quot;), the default value on the HKey is set.</p>\n\
<p>The valid valueType values for setValue, and the corresponding MXS data type are:</p>\n\
<p><code>#REG_DWORD</code> - integer</p>\n\
<p><code>#REG_SZ</code> - string</p>\n\
<p><code>#REG_EXPAND_SZ</code> - string that contains unexpanded references to environment variables</p>\n\
<p><code>#REG_MULTI_SZ</code> - array of strings</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   registry.setvalue key1 &quot;&quot; #multiSZ #(&quot;zz&quot;,&quot;ww&quot;)\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registry.queryValue &lt;HKey&gt; &lt;string valueName&gt; type:&lt;&amp;name&gt; value:&lt;&amp;value&gt; expand:&lt;boolean&gt; </code></pre><p>Gets the data type and value of the open HKey.</p>\n\
<p>Returns <code>true</code> if successful, <code>false</code> if an error occurs.</p>\n\
<p>Use <code>registry.getLastError()</code> to get the error message.</p>\n\
<p>If the query is successful, the data type will be written to the type keyword variable.</p>\n\
<p>If the query is successful and the data type is one of the following supported data types, the data value will be written to the value keyword variable.</p>\n\
<p><code>#REG_DWORD</code> -integer</p>\n\
<p><code>#REG_SZ</code> - string</p>\n\
<p><code>#REG_EXPAND_SZ</code> - string that contains unexpanded references to environment variables</p>\n\
<p><strong>#REG_MULTI_SZ</strong> - array of strings</p>\n\
<p>If the data type is REG_EXPAND_SZ and expand is true, the environment variables are expanded in the returned data value.</p>\n\
<p>Other data types that might be returned, but are not currently supported are:</p>\n\
<p><code>#REG_BINARY</code></p>\n\
<p><code>#REG_DWORD_LITTLE_ENDIAN</code></p>\n\
<p><code>#REG_DWORD_BIG_ENDIAN</code></p>\n\
<p><code>#REG_LINK</code></p>\n\
<p><code>#REG_NONE</code></p>\n\
<p><code>#REG_QWORD</code></p>\n\
<p><code>#REG_QWORD</code></p>\n\
<p><code>#REG_RESOURCE_LIST</code></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   registry.queryValue key2 &quot;Notepad.exe&quot; type:&amp;type value:&amp;val\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registry.queryInfoKey &lt;HKey&gt; numSubKeys:&lt;&amp;int&gt; numValues:&lt;&amp;int&gt; </code></pre><p>Gets the number of subkeys and values of the open HKey.</p>\n\
<p>Returns <code>true</code> if successful, <code>false</code> if an error occurs.</p>\n\
<p>Use <code>registry.getLastError()</code> to get the error message.</p>\n\
<p>If the query is successful, the number of subKeys and values will be written to the <code>numSubKeys:</code> and <code>numValues:</code> keyword variable, respectively.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   registry.queryInfoKey key2 numSubKeys:&amp;numSubKeys numValues:&amp;numValues\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registry.isKeyOpen &lt;HKey&gt; </code></pre><p>Returns true if the specified HKey is open.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registry.isParentKeyOpen &lt;HKey&gt; </code></pre><p>Returns <code>true</code> if the parent HKey of the specified HKey is open.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registry.isKeyConstant &lt;HKey&gt; </code></pre><p>Returns <code>true</code> if the HKey is a constant (root) HKey.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registry.getParentKey &lt;HKey&gt; </code></pre><p>Returns the parent HKey of the specified HKey.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registry.getSubKeyName &lt;HKey&gt; &lt;index&gt; name:&lt;&amp;name&gt; </code></pre><p>Gets a subkey name of the open HKey by index. Returns <code>true</code> if successful, false if an error occurs. Uses <code>registry.getLastError()</code> to get the error message.</p>\n\
<p>If successful, the name will be written to the <code>name:</code> keyword variable.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   registry.getSubKeyName key2 i name:&amp;vname\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registry.getSubKeyNames &lt;HKey&gt; names:&lt;&amp;array&gt; </code></pre><p>Gets an array of subkey names of the open HKey by index. Returns <code>true</code> if successful, <code>false</code> if an error occurs. Use the <code>registry.getLastError()</code> to get the error message.</p>\n\
<p>If successful, an array of the subkey names as strings name will be written to the <code>names:</code> keyword variable.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   registry.getSubKeyNames key2 names:&amp;vnames\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registry.getValueName &lt;HKey&gt; &lt;index&gt; name:&lt;&amp;name&gt; </code></pre><p>Gets a value name of the open HKey by index. Returns <code>true</code> if successful, <code>false</code> if an error occurs. Use <code>registry.getLastError()</code> to get the error message.</p>\n\
<p>If successful, the name will be written to the <code>name:</code> keyword variable.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   registry.getValueName key2 i name:&amp;vname\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registry.getValueNames &lt;HKey&gt; names:&lt;&amp;array&gt; </code></pre><p>Get an array of value names of the open HKey by index. Returns <code>true</code> if successful, <code>false</code> if an error occurs. Use <code>registry.getLastError()</code> to get the error message.</p>\n\
<p>If successful, an array of value names as strings name will be written to the <code>names:</code> keyword variable.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   registry.getSubKeyNames key2 names:&amp;vnames\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registry.getLastError() </code></pre><p>Returns a string describing the last registry error that occurred.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   registry.openKey HKEY_CLASSES_ROOT&quot;*&quot;accessRights:#readOnly key:&amp;key2\n\
\n\
   registry.queryInfoKey key2 numSubKeys:&amp;numSubKeys numValues:&amp;numValues;numSubKeys;numValues\n\
   for i = 1 to 2 do\n\
   (registry.getSubKeyName key2 i name:&amp;vname;print vname)\n\
\n\
   registry.isKeyOpen key2\n\
\n\
   registry.setvalue key2 &quot;&quot; #REG_SZ &quot;123123&quot; -- fails because opened with #readOnly access\n\
   registry.getLastError()\n\
\n\
   registry.getSubKeyNames key2 names:&amp;names;names\n\
   registry.getvalueNames key2 names:&amp;names;names\n\
   registry.queryValue key2 &quot;InfoTip&quot; type:&amp;type value:&amp;val;type;val\n\
\n\
   registry.createKey HKEY_CLASSES_ROOT &quot;.123x&quot; accessRights:#all key:&amp;key1\n\
   registry.setvalue key1 &quot;&quot; #REG_MULTI_SZ #(&quot;zz&quot;,&quot;ww&quot;)\n\
   registry.queryValue key1 &quot;&quot; type:&amp;type value:&amp;val;type;val\n\
   registry.setvalue key1 &quot;&quot; #REG_SZ&quot;123123&quot;\n\
   registry.queryValue key1 &quot;&quot; type:&amp;type value:&amp;val;type;val\n\
   registry.deleteKey key1\n\
</code></pre></blockquote>\n\
<h2 id=\"registry-related-global-variables-\">Registry-related global variables:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">HKEY_CLASSES_ROOT HKEY_CURRENT_CONFIG HKEY_CURRENT_USER HKEY_LOCAL_MACHINE HKEY_USERS HKEY_PERFORMANCE_DATA </code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Registry-Access.html\">Registry Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"HKey-Values.html\">HKey Values</a></li>\n\
          <li><a class=\"link\" href=\"../../Interaction-With-The-Operating.html\">Interaction With The Operating System</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";