var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-25E15114-B1F5-4C62-8E84-C630C15E92BB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Converting ActiveX ListView Control to DotNet ListView Control</h1></div><p>ListView Controls are probably the most widely used ActiveX controls in scripted 3ds Max tools. Converting such scripts to use DotNet ListView controls is a relatively straightforward process.</p>\n\
<p>Let&apos;s take as the base for our conversion example the simple script available in the topic <a href=\"./../../../How-To-Practical-Examples/How-To-Develop-a-Selected/How-To-Develop-a-Selected-1.html\">How To ... Develop a Selected Objects Inspector using ListView ActiveX Control - Part One</a></p>\n\
<p>In the following script, you can compare the original ActiveX code which is now remarked and in green to the new commented DotNet code.</p>\n\
<blockquote>\n\
<p>   <strong>CONVERSION OF THE SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript SceneListView category:&quot;DotNet&quot;\n\
   (\n\
   rollout listview_rollout &quot;ListView Selected&quot;\n\
   (\n\
   /* ActiveX Version:\n\
   fn initListView lv =\n\
   (\n\
   lv.gridLines = true \n\
   lv.View = #lvwReport \n\
   lv.fullRowSelect = true\n\
   layout_def = #(&quot;Object Name&quot;, &quot;Object Class&quot;, &quot;Verts&quot;, &quot;Faces&quot;, &quot;Material&quot;)\n\
   for i in layout_def do\n\
   (\n\
   column = lv.ColumnHeaders.add()\n\
   column.text = I\n\
   )\n\
   )\n\
   */\n\
\n\
   fn initListView lv =\n\
   (\n\
   lv.gridLines = true --same as in ActiveX\n\
   --The following controls the display of details. We use defaults:\n\
   lv.View = (dotNetClass &quot;System.Windows.Forms.View&quot;).Details\n\
   lv.fullRowSelect = true --same as in ActiveX\n\
   layout_def = #(&quot;Object Name&quot;, &quot;Object Class&quot;, &quot;Verts&quot;, &quot;Faces&quot;, &quot;Material&quot;)\n\
   for i in layout_def do\n\
   lv.Columns.add i 96 --add column with name and optional width\n\
   )\n\
   /* ActiveX Version:\n\
   fn fillInSpreadSheet lv =\n\
   (\n\
   for o in selection do\n\
   (\n\
   li = lv.ListItems.add()\n\
   li.text = o.name\n\
   sub_li = li.ListSubItems.add()\n\
   sub_li.text = (classof o) as string\n\
   sub_li = li.ListSubItems.add()\n\
   sub_li.text = try((o.mesh.numverts) as string)catch(&quot;--&quot;)\n\
   sub_li = li.ListSubItems.add()\n\
   sub_li.text = try((o.mesh.numfaces) as string)catch(&quot;--&quot;)\n\
   sub_li = li.ListSubItems.add()\n\
   sub_li.text = (o.material) as string\n\
   )\n\
   )\n\
   */\n\
\n\
   fn fillInSpreadSheet lv =\n\
   (\n\
   theRange = #() --array to collect the list items\n\
   for o in selection do\n\
   (\n\
   --First we create a ListViewItem objectwith the object&apos;s name:\n\
   li = dotNetObject &quot;System.Windows.Forms.ListViewItem&quot; o.name\n\
   --Then we add all the sub-itemswith the desired string values:\n\
   sub_li = li.SubItems.add ((classof o) as string)\n\
   sub_li = li.SubItems.add (try((o.mesh.numverts) as string)catch(&quot;--&quot;))\n\
   sub_li = li.SubItems.add (try((o.mesh.numfaces) as string)catch(&quot;--&quot;))\n\
   sub_li = li.SubItems.add ((o.material) as string)\n\
   append theRange li--we add the list item to the array\n\
   )\n\
   lv.Items.AddRange theRange--when done, we populate the ListView\n\
   )\n\
   /* ActiveX Version:\n\
   activeXControl lv_objects &quot;MSComctlLib.ListViewCtrl&quot; width:490 height:190 align:#center\n\
   */\n\
\n\
   dotNetControl lv_objects &quot;System.Windows.Forms.ListView&quot; width:490 height:190 align:#center\n\
   on listview_rollout open do\n\
   (\n\
   initListView lv_objects\n\
   fillInSpreadSheet lv_objects\n\
   )\n\
   )\n\
   try(destroyDialog listview_rollout)catch()\n\
   createDialog listview_rollout 500 200\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Converting-ActiveX-Controls-To.html\">Converting ActiveX Controls To DotNet Controls</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../DotNet-In-MAXScript.html\">DotNet In MAXScript</a></li>\n\
          <li><a class=\"link\" href=\"../../../How-To-Practical-Examples/How-To-Develop-a-Selected/How-To-Develop-a-Selected-1.html\">How To ... Develop a Selected Objects Inspector using ListView ActiveX Control - Part One</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";