var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FB52FDC5-CC83-46FB-A430-B90E7107805A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript / DotNet Value Conversions</h1></div><p>MAXScript will automatically convert its native values to DotNet values and DotNet values to MAXScript values.</p>\n\
<p>In addition, value conversion can be performed explicitly using a dedicated function in <strong>3ds Max 2010 and higher</strong>.</p>\n\
<h3 id=\"automatic-conversion\">Automatic Conversion</h3><p>The following table shows the native MAXScript value types and the converted DotNet value types in <strong>3ds Max 9 and higher</strong>.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>MAXScript type</th>\n\
<th>DotNet type</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Integer, Integer64, IntegerPtr,</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>Float, Double, MSTime</td>\n\
<td>Byte, SByte, Decimal,</td>\n\
</tr>\n\
<tr>\n\
<td>Int16, UInt16, Int32, UInt32,</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>IntPtr, UIntPtr, Int64, UInt64,</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>Single, Double</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>Boolean</td>\n\
<td>Boolean</td>\n\
</tr>\n\
<tr>\n\
<td>String</td>\n\
<td>String, Char array</td>\n\
</tr>\n\
</tbody></table>\n\
<p>The following table shows the DotNet value types and the converted native MAXScript value types.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>DotNet type</th>\n\
<th>MAXScript type</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>Byte, SByte, Decimal,</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>Int16, UInt16, Int32, UInt32</td>\n\
<td>Integer</td>\n\
</tr>\n\
<tr>\n\
<td>Int64, UInt64</td>\n\
<td>Integer64</td>\n\
</tr>\n\
<tr>\n\
<td>IntPtr, UIntPtr</td>\n\
<td>IntegerPtr</td>\n\
</tr>\n\
<tr>\n\
<td>Single</td>\n\
<td>Float</td>\n\
</tr>\n\
<tr>\n\
<td>Double</td>\n\
<td>Double</td>\n\
</tr>\n\
<tr>\n\
<td>Boolean</td>\n\
<td>Boolean</td>\n\
</tr>\n\
<tr>\n\
<td>String, Char array</td>\n\
<td>String</td>\n\
</tr>\n\
</tbody></table>\n\
<p><a name=\"explicit-conversion\"></a></p>\n\
<h3 id=\"explicit-conversion\">Explicit Conversion</h3><p>The following method performs a conversion of a MAXScript value to a DotNet value.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotNet.ValueToDotNetObject &lt;value&gt; { &lt;dotNetClass&gt; | &lt;dotNetObject&gt; }</code></pre><p>Returns a dotNetObject value where the MAXScript value passed as first argument is converted to a DotNet object of the type specified by the second argument.</p>\n\
<p>Available in <strong>3ds Max 2018.2 Update and higher</strong>: Some native MAXScript types are converted into .NET arrays, as some .NET libraries do not support these types natively. <strong>Point2</strong>, <strong>Point3</strong>, <strong>Point4</strong>, <strong>Quat</strong>, <strong>EulerAngles</strong>, and <strong>Matrix3</strong> types are all converted into <code>float\\[\\]</code> or <code>double\\[\\]</code> arrays.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> EulerAngles are displayed in degrees, but are stored internally as radians, so the converted .NET values are in radians.</div>\n\
<p>This allows for the easy creation of DotNet arrays from MAXScript arrays:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt; dotnet.DotNetArrayToValue &lt;dotNetObject&gt; &lt;Matrix3 | Point2 | Point3 | Point4 | Quat | EulerAngles&gt;</code></pre><p>Available in <strong>3ds Max 2018.2 Update and higher</strong>: Converts the .net array to a value of the specified mxs value type. The .net arrays must be of type float or double. For Matrix3, the .net array must be of size [4,4] , for Point2 it must be of size [2] , for Point3 and EulerAngles it must be of size [3] , and for Point4 and Quat it must be of size [4] .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt; dotnet.DotNetObjectToValue &lt;dotNetObject&gt;</code></pre><p>Available in <strong>3ds Max 2018.2 Update and higher</strong>: Converts the .NET object to a MAXScript value.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   type = dotNetClass &quot;System.Int32[]&quot;\n\
   --&gt; dotNetClass:System.Int32[]\n\
   res = dotnet.ValueToDotNetObject #(11,12,23) type\n\
   --&gt; dotNetObject:System.Int32[]\n\
   res.length\n\
   --&gt; 3\n\
   res.getvalue 2 --DotNet arrays are zero-based.\n\
   --&gt; 23\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   typef = dotnetclass &quot;System.Single[]&quot; --&gt; dotNetClass:System.Single[]\n\
   vf = dotnet.ValueToDotNetObject x_axis typef --&gt; dotNetObject:System.Single[]\n\
   vf.get 0 --&gt; 1.0\n\
   typed = dotnetclass &quot;System.Double[]&quot; --&gt; dotNetClass:System.Double[]\n\
   vd = dotnet.ValueToDotNetObject x_axis typed --&gt; dotNetObject:System.Double[]\n\
   vd.get 0 --&gt; 1.0d0\n\
   typefa = dotnetclass &quot;System.Single[][]&quot; --&gt; dotNetClass:System.Single[][]\n\
   vfa = dotnet.ValueToDotNetObject #([1,2], \n\
       [1,2,3], \n\
       [1,2,3,4],\n\
       (quat 0.854433 0.00437304 0.0050751 0.519518), \n\
       (eulerAngles -117.399 -0.757267 0.126046) \n\
       )  typefa  --&gt; dotNetObject:System.Single[]\n\
   vfa0 = vfa.get 0 --&gt; #(1.0, 2.0)\n\
   vfa1 = vfa.get 1 --&gt; #(1.0, 2.0, 3.0)\n\
   vfa2 = vfa.get 2 --&gt; #(1.0, 2.0, 3.0, 4.0)\n\
   vfa3 = vfa.get 3 --&gt; #(0.854433, 0.00437304, 0.0050751, 0.519518)\n\
   vfa4 = vfa.get 4 --&gt; #(-2.049, -0.0132168, 0.00219992)</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   typef2 = dotnetclass &quot;System.Single[]&quot;\n\
   vfa2 = dotnet.ValueToDotNetObject (matrix3 [0.99991,0.0127462,0.00412892] \n\
       [0.00219972,-0.460163,0.887832] \n\
       [0.0132164,-0.887743,-0.46015] \n\
       [90,0,-45]) typef2  --&gt; dotNetClass:System.Single[,]\n\
   vfa2.get 0 0 --&gt; 0.99991\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../DotNet-In-MAXScript.html\">DotNet In MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../DotNet-In-MAXScript.html\">DotNet In MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";