var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B490FEBD-8007-48DC-8FAE-ED2930EE5EBC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MaxCustomControls Assembly</h1></div><p>This Assembly can be used in 3ds Max 2010 and higher to access 3ds Max-specific DotNet Objects, Classes, and Controls that can be used to improve the integration of MAXScript and DotNet.</p>\n\
<p>The &quot;MaxCustomControls.dll&quot; assembly file is located in the 3ds Max root folder.</p>\n\
<p>The following are some of the types exported by the Assembly:</p>\n\
<p><strong>User Interface Controls</strong></p>\n\
<p><a href=\"MaxCustomControls-Assembly/UI-Controls/MaxForm.html\">MaxForm</a></p>\n\
<p><a href=\"MaxCustomControls-Assembly/UI-Controls/MaxTextBox.html\">MaxTextBox</a></p>\n\
<p><a href=\"MaxCustomControls-Assembly/UI-Controls/MaxCustomControls.html\">MaxToolStripComboBox</a></p>\n\
<p><a href=\"MaxCustomControls-Assembly/UI-Controls/MaxCustomControls-1.html\">MaxToolStripTextBox</a></p>\n\
<p><a href=\"MaxCustomControls-Assembly/UI-Controls/MaxUserControl.html\">MaxUserControl</a></p>\n\
<p><a href=\"MaxCustomControls-Assembly/UI-Controls/ProgressDialog.html\">ProgressDialog</a></p>\n\
<p><strong>3ds Max Components</strong></p>\n\
<p><a href=\"MaxCustomControls-Assembly/3ds-Max-Components/MaxCustomControls-2.html\">ExplorerControl</a></p>\n\
<p><a href=\"MaxCustomControls-Assembly/3ds-Max-Components/MaxCustomControls-3.html\">SceneExplorerControls</a></p>\n\
<p><a href=\"MaxCustomControls-Assembly/3ds-Max-Components/MaxCustomControls-4.html\">ManageSceneExplorerForm</a></p>\n\
<p><a href=\"MaxCustomControls-Assembly/3ds-Max-Components/MaxCustomControls-5.html\">MaterialExplorerControls</a></p>\n\
<p><a href=\"MaxCustomControls-Assembly/3ds-Max-Components/MaxCustomControls-6.html\">BaseMaterialControls</a></p>\n\
<p><a href=\"MaxCustomControls-Assembly/3ds-Max-Components/MaxCustomControls-7.html\">RenameInstanceDialog</a></p>\n\
<p><a href=\"MaxCustomControls-Assembly/3ds-Max-Components/MaxCustomControls-AdvancedSearch.html\">AdvancedSearch</a></p>\n\
<p><strong>Win32</strong></p>\n\
<p><a href=\"MaxCustomControls-Assembly/MaxCustomControls-Win32API.html\">Win32API</a></p>\n\
<p>The following script lists the Assembly&apos;s Exported Types with their constructors, properties, methods, and events:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   MCC_path = getdir #maxroot + &quot;MaxCustomControls.dll&quot;\n\
   theMCC = dotnet.loadAssembly MCC_path\n\
   format &quot;ASSEMBLY PROPERTIES:\\n&quot;\n\
   showProperties theMCC\n\
   format &quot;ASSEMBLY METHODS:\\n&quot;\n\
   showMethods theMCC\n\
   theTypes = theMCC.GetExportedTypes()\n\
   for t in theTypes do\n\
   (\n\
   format &quot;TYPE: \\&quot;%\\&quot;\\n&quot; t.fullname\n\
   theObj = try(dotNetObject t.FullName)catch(dotNetClass t.fullname)\n\
   format &quot;CONSTRUCTORS:\\n&quot;\n\
   dotNet.showConstructors theObj\n\
   format &quot;PROPERTIES:\\n&quot;\n\
   showProperties theObj\n\
   format &quot;METHODS:\\n&quot;\n\
   showMethods theObj\n\
   format &quot;EVENTS:\\n&quot;\n\
   showEvents theObj\n\
   format &quot;\\n\\n&quot;\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"MaxCustomControls-Assembly/UI-Controls.html\">UI Controls</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"MaxCustomControls-Assembly/3ds-Max-Components.html\">3ds Max Components</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"MaxCustomControls-Assembly/MaxCustomControls-Win32API.html\">MaxCustomControls.Win32API dotNetObject</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../DotNet-In-MAXScript.html\">DotNet In MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../DotNet-In-MAXScript.html\">DotNet In MAXScript</a></li>\n\
          <li><a class=\"link\" href=\"dotNet-Struct-Methods.html\">dotNet Struct Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";