var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9BE82D70-1869-46D7-9501-E5453E25AC68\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>dotNet Struct Methods</h1></div><p>The dotNet <strong>Struct</strong> provides additional MAXScript methods for managing dotNet objects, classes, assemblies, event handlers, and others.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<h3 id=\"assembly-loading-\">Assembly Loading:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;dotNetObject&gt;dotNet.loadAssembly &lt;assembly&gt; [returnPassFail:bool]</code></pre><p>This method loads the specified assembly. The assembly can be specified as an assembly name or the filename of the dll containing the assembly.</p>\n\
<p>The method first attempts to load an assembly from the application directory or from the global assembly cache using the assembly name. If that fails, a dll with the assembly name is searched in the directory containing the primary .net assemblies.</p>\n\
<p>If <strong>returnPassFail</strong> is false (the default), the assembly is found and successfully loaded, a dotNetObject value wrapping the .net assembly value is returned, otherwise a value of undefined is returned. If <strong>returnPassFail</strong> is true, this method returns true if the assembly is loaded, false if not.</p>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotnet.loadAssembly &quot;system.xml&quot;\n\
dotnet.loadAssembly &quot;system.xml.dll&quot;\n\
dotnet.loadAssembly &quot;C:\\\\WINDOWS\\\\Microsoft.NET\\\\Framework\\\\v2.0.50727\\\\system.xml.dll&quot;\n\
dotnet.loadAssembly &quot;C:\\\\WINDOWS\\\\Microsoft.NET\\\\Framework\\\\v2.0.50727\\\\system.xml&quot;\n\
</code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>You can do the same by using the existing dotNet classes:</p>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">assembly = dotNetClass &quot;System.Reflection.Assembly&quot; r = assembly.loadfrom &quot;F:\\\\FlashTrackBar\\\\bin\\\\Debug\\\\FlashTrackBar.dll&quot;\n\
</code></pre><h3 id=\"icon-loading-\">Icon Loading:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotNet.LoadIcon &lt;iconName&gt; iconSize:&lt;point2&gt; enabled:&lt;boolean&gt; on:&lt;boolean&gt; applyUIScaling:&lt;boolean&gt;</code></pre><p>Returns a <code>System::Drawing::Icon</code> if the icon is found, undefined if not. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p>The <code>iconName</code> is the path to an icon file, or previously loaded icon resource.</p>\n\
<p>The <code>iconSize</code> is the size of the icon at 100% DPI scaling. The default is [24,24] if not specified.</p>\n\
<p>The <code>enabled</code> parameter specifies which version (enabled or disabled) of the icon to load.</p>\n\
<p>The <code>on</code> parameter specifies which version (on or off) of the icon to load.</p>\n\
<p>The <code>applyUIScaling</code> specifies whether to apply scaling to the icon on High DPI displays. The default is true.</p>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hForm = dotNetObject &quot;System.Windows.Forms.Form&quot;\n\
dotNetIcon = dotnet.loadIcon(&quot;PolyTools\\TransformTools\\PB_CW&quot;)\n\
hForm.Icon = dotNetIcon --set the title bar icon of the form\n\
hForm.show()\n\
--Result: an empty form with a clockwise rotation arrow as icon\n\
\n\
</code></pre><h3 id=\"event-handlers-\">Event Handlers:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotNet.addEventHandler &lt;dotNetControl&gt; &lt;EventNameString&gt; &lt;function&gt;</code></pre><p>This method adds an event handler to the dotNetControl passed as the first argument.</p>\n\
<p>The second argument specifies the event name as string. The list of all available events for a given dotNetControl can be acquired by calling showEvents() on the dotNetControl value.</p>\n\
<p>The third argument is the custom MAXScript function to be called when the event is triggered.</p>\n\
<p>If the custom MAXScript function called by the handler expects two arguments, the first argument must contain the sender and the second the eventArg.</p>\n\
<p>If the event handler function specifies only one argument, then only the eventArg is passed.</p>\n\
<p>If the event handler function does not specify any arguments, none are passed.</p>\n\
<p>See the example further on this page for details.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> You can register multiple functions with differing number of arguments for the same event using <code>dotNet.addEventHandler()</code> .</div>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> You can only add functions that are registered in the global scope as event handlers. If you need to register a function that is hidden from the global scop (for example, contained in a struct), you need to define a global function to point to the hidden function.</div>\n\
<p><strong>Example</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">struct dotNetStruct\n\
(\n\
    myForm = dotNetObject &quot;system.windows.forms.form&quot;,\n\
    myButton = dotNetObject &quot;system.windows.forms.button&quot;\n\
)\n\
\n\
ui = dotNetStruct()\n\
\n\
ui.myForm.width = 100\n\
ui.myForm.height = 100\n\
ui.myButton.text = &quot;Say Something&quot;\n\
ui.myForm.controls.add ui.myButton\n\
\n\
-- A function &quot;hidden&quot; in a global struct\n\
struct functionStruct\n\
(\n\
    fn printSomething a b =\n\
    (\n\
        print &quot;something&quot;\n\
    )\n\
)\n\
\n\
myFunctionStruct = functionStruct()\n\
\n\
--- Create a new function in global scope to point to our &quot;hidden&quot; function\n\
fn theFunctionPrint a b = myFunctionStruct.printSomething a b \n\
\n\
DotNet.AddEventHandler ui.mybutton &quot;click&quot; theFunctionPrint\n\
\n\
\n\
ui.myForm.show()</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotNet.removeAllEventHandlers &lt;dotNetControl&gt;</code></pre><p>Removes all event handlers from the specified dotNetControl.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotNet.removeEventHandler &lt;dotNetControl&gt; &lt;EventNameString&gt; &lt;function&gt;</code></pre><p>Removes the specified event handler function from the given dotNetControl and event.</p>\n\
<p>The arguments list is the same as the <code>dotNet.addEventHandler()</code> .</p>\n\
<p>The callback function is specified as the third argument because there can be multiple functions registered with the same event (see note above).</p>\n\
<p>To remove all functions registered with a given event, see the following method:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotNet.removeEventHandlers &lt;dotNetControl&gt; &lt;EventNameString&gt;</code></pre><p>Removes all functions registered with the specified event of the dotNetControl.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">(\n\
fn buttonPressed1 a1 a2 =\n\
(\n\
print &quot;1. Button Pressed - Two Arguments&quot;\n\
print a1\n\
print a2\n\
)\n\
fn buttonPressed2 a1 =\n\
(\n\
print &quot;2. Button Pressed - One Argument&quot;\n\
print a1\n\
)\n\
fn buttonPressed3 =\n\
(\n\
print &quot;3. Button Pressed - No Arguments&quot;\n\
)\n\
fn mouseEnter4 =\n\
(\n\
print &quot;4. Mouse Entered The Button!&quot;\n\
)\n\
fn mouseLeave5 =\n\
(\n\
print &quot;5. Mouse Left The Button!&quot;\n\
)\n\
local mButton = dotNetObject &quot;System.windows.forms.button&quot;\n\
mButton.text = &quot;Press Me&quot;\n\
mButton.size = dotNetObject &quot;System.Drawing.Size&quot; 100 100\n\
mButton.location = dotNetObject &quot;System.Drawing.Point&quot; 10 10\n\
local hForm = dotNetObject &quot;System.Windows.Forms.Form&quot;\n\
hForm.size = dotNetObject &quot;System.Drawing.Size&quot; 120 140\n\
hForm.controls.add mButton\n\
dotNet.addEventHandler mButton &quot;click&quot; buttonPressed1\n\
dotNet.addEventHandler mButton &quot;click&quot; buttonPressed2\n\
dotNet.addEventHandler mButton &quot;click&quot; buttonPressed3\n\
dotNet.addEventHandler mButton &quot;MouseEnter&quot; mouseEnter4\n\
dotNet.addEventHandler mButton &quot;MouseLeave&quot; mouseLeave5\n\
hForm.show()\n\
ok\n\
)\n\
</code></pre><p>If you evaluate the above script, move the mouse over the button, click it, move the mouse away from the button, and then back in and out, the Listener output appears as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">OK\n\
&quot;4. Mouse Entered The Button!&quot;\n\
&quot;1. Button Pressed - Two Arguments&quot;\n\
dotNetObject:System.Windows.Forms.Button\n\
dotNetObject:System.Windows.Forms.MouseEventArgs\n\
&quot;2. Button Pressed - One Argument&quot;\n\
dotNetObject:System.Windows.Forms.MouseEventArgs\n\
&quot;3. Button Pressed - No Arguments&quot;\n\
&quot;5. Mouse Left The Button!&quot;\n\
&quot;4. Mouse Entered The Button!&quot;\n\
&quot;5. Mouse Left The Button!&quot;\n\
</code></pre><p>Adding the following line to the first (buttonPressed1) function causes the first on Click event handler to be removed after the first click on the button. Clicking a second time prints only the second and third functions to the Listener.</p>\n\
<p>Within the function, the a1 argument contains the &quot;sender&quot;, or the dotNetControl whose event was triggered.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotNet.removeEventHandlers a1 &quot;click&quot; buttonPressed1\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">OK\n\
&quot;4. Mouse Entered The Button!&quot;\n\
&quot;1. Button Pressed - Two Arguments&quot;\n\
dotNetObject:System.Windows.Forms.Button\n\
dotNetObject:System.Windows.Forms.MouseEventArgs\n\
&quot;3. Button Pressed - No Arguments&quot;\n\
&quot;2. Button Pressed - One Argument&quot;\n\
dotNetObject:System.Windows.Forms.MouseEventArgs\n\
&quot;3. Button Pressed - No Arguments&quot;\n\
&quot;2. Button Pressed - One Argument&quot;\n\
dotNetObject:System.Windows.Forms.MouseEventArgs\n\
&quot;3. Button Pressed - No Arguments&quot;\n\
&quot;5. Mouse Left The Button!&quot;\n\
--additional clicks result in no output from function 1\n\
--but all others work\n\
</code></pre><p>Adding the following line to the first (buttonPressed1) function causes all on Click event handlers to be removed after the first click on the button.</p>\n\
<p>Clicking a second time does not print anything to the Listener, but when the mouse moves in and out, the other two functions are printed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotNet.removeEventHandlers a1 &quot;click&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">OK\n\
&quot;4. Mouse Entered The Button!&quot;\n\
&quot;1. Button Pressed - Two Arguments&quot;\n\
dotNetObject:System.Windows.Forms.Button\n\
dotNetObject:System.Windows.Forms.MouseEventArgs\n\
&quot;2. Button Pressed - One Argument&quot;\n\
dotNetObject:System.Windows.Forms.MouseEventArgs\n\
&quot;3. Button Pressed - No Arguments&quot;\n\
&quot;5. Mouse Left The Button!&quot;\n\
&quot;4. Mouse Entered The Button!&quot;\n\
&quot;5. Mouse Left The Button!&quot;\n\
--additional clicks result in no output\n\
--but moving the mouse prints to the Listener\n\
</code></pre><p>Adding the following line to the first (buttonPressed1) function causes all event handlers to be removed after the first click on the button including the on Click, on MouseEnter, and on MouseLeave events.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotNet.removeAllEventHandlers a1\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">OK\n\
&quot;4. Mouse Entered The Button!&quot;\n\
&quot;1. Button Pressed - Two Arguments&quot;\n\
dotNetObject:System.Windows.Forms.Button\n\
dotNetObject:System.Windows.Forms.MouseEventArgs\n\
&quot;2. Button Pressed - One Argument&quot;\n\
dotNetObject:System.Windows.Forms.MouseEventArgs\n\
&quot;3. Button Pressed - No Arguments&quot;\n\
--additional clicks result in no output\n\
</code></pre><h3 id=\"additional-inspector-functions-\">Additional Inspector Functions:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotNet.showConstructors [&lt;dotNetClass&gt; | &lt;dotNetObject&gt; | &lt;dotNetControl&gt;] [to:&lt;stream&gt;]</code></pre><p>Displays the constructors exposed by the specified DotNetClass, DotNetObject, or DotNetControl.</p>\n\
<p>If <code>to</code> is not specified, the output goes to Listerner, otherwise the output goes to the specified stream.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotNet.getType&lt;type_string&gt;</code></pre><p>Returns a dotNetObject value that wraps the System:Type specified by the type string.</p>\n\
<h3 id=\"enums-\">Enums:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotnet.combineEnums {&lt;dotNetObject&gt; | &lt;number&gt;}+</code></pre><p>Combines System::Enum-derived objects that are to be treated as bit fields (these have a FlagsAttribute). The System::Enum-derived objects must all be of the same type. The return value is of that type. If a number is specified, at least one System::Enum-derived object must also be specified (to provide the type).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotnet.CompareEnums{&lt;dotNetObject&gt; | &lt;number&gt;} {&lt;dotNetObject&gt; | &lt;number&gt;}</code></pre><p>Performs bit-wise comparison of the two value. Returns true if at least one corresponding bit is set in each value.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BindingFlags= dotNetClass &quot;System.Reflection.BindingFlags&quot;\n\
--&gt; dotNetClass:System.Reflection.BindingFlags\n\
BindingFlags.Static.value__\n\
--&gt; 8\n\
BindingFlags.Public.value__\n\
--&gt; 16\n\
BindingFlags.FlattenHierarchy.value__\n\
--&gt; 64\n\
res = dotNet.combineEnums BindingFlags.Static BindingFlags.Public 2\n\
--&gt; dotNetObject:System.Reflection.BindingFlags\n\
res.value__\n\
--&gt; 26\n\
dotNet.compareEnums res 1\n\
--&gt; false\n\
dotNet.compareEnums res BindingFlags.Static\n\
--&gt; true\n\
dotNet.compareEnums res BindingFlags.Public\n\
--&gt; true\n\
dotNet.compareEnums res BindingFlags.FlattenHierarchy\n\
--&gt; false\n\
</code></pre><h3 id=\"value-conversion-\">Value Conversion:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotNet.ValueToDotNetObject &lt;value&gt; { &lt;dotNetClass&gt; | &lt;dotNetObject&gt; }</code></pre><p>See <a href=\"MAXScript-DotNet-Value.html\">MAXScript / DotNet Value Conversions</a> for details.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<h3 id=\"life-time-control-\">Life Time Control:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotNet.setLifetimeControl {&lt;dotNetObject&gt; | &lt;dotNetClass&gt;} {#mxs | #dotnet}</code></pre><p>See <a href=\"DotNet-Objects-and-Classes-Life.html\">DotNet Objects and Classes Life Time Control</a> details.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../DotNet-In-MAXScript.html\">DotNet In MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../DotNet-In-MAXScript.html\">DotNet In MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";