var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-39D7680D-BE10-401A-B471-A4D64D81CAC2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>dotnetcontrol</h1></div><p>In <strong>3ds Max 9</strong> and higher, the <code>dotNetControl</code> class exposes the properties, methods, and events associated with the control via reflection.</p>\n\
<p>Property access will take/get MAXScript number data types (widened as necessary), string, Boolean, dotNetControl, dotNetObject, and dotNetClass values. Property access will be via the normal property access specification [control.property] and get/setProperty.</p>\n\
<p>Accessing a control method will create a <a href=\"dotNetMethod.html\">dotNetMethod</a> instance.</p>\n\
<p>The event handlers for dotNetControl are handled in the same way as all UI controls use event handlers - the user defines a named scripted event handler in the rollout definition that is called when the event with the same name is fired on the control.</p>\n\
<p>New methods are used to add and manage event handlers. These methods register and unregister callback functions to be called when the event is fired. The arguments passed back to the functions include the object, the event name, and the arguments passed by the event handler. See <a href=\"dotNet-Struct-Methods.html\">dotNet Struct Methods</a> for details.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotNetControl &lt;name&gt; &lt;class_type_string&gt; [{&lt;property_name&gt;:&lt;value&gt;}]      </code></pre><p>keyword arguments are applied to the control after the control is created and event handlers have been assigned, but before the control is added to the rollout.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.focus </code></pre><p>When set to true, the control will have focus. When set to false (default), the control will not have focus.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.enable </code></pre><p>When set to false, the control will be disabled. When set to true (default), the control will be available.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getProperty &lt;dotNetControl&gt; &lt;prop name&gt; [asDotNetObject:&lt;boolean&gt;] </code></pre><p>Returns the value of the specified property.</p>\n\
<p>If <code>asDotNetObject</code> is false (the default) the value will converted to a native MAXScript value if possible; if true, the value will always be returned as a dotNetControl or dotNetObject value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setProperty &lt;dotNetControl&gt; &lt;prop name&gt; &lt;value&gt; </code></pre><p>Sets the value of the specified property. If the value specified is a native MAXScript value, it will be converted to the proper DotNet value if possible.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getPropNames &lt;dotNetControl&gt; [showStaticOnly:&lt;boolean&gt;] [declaredOnTypeOnly:&lt;boolean&gt;] </code></pre><p>Returns an array of property names exposed by the control.</p>\n\
<p>If <code>showStaticOnly</code> is true (the default), only static properties are shown; if false both static and instance properties are shown.</p>\n\
<p>If <code>declaredOnTypeOnly</code> is true, only properties declared on the specified control are shown; if false (the default) properties on the control and the classes it derives from are shown.</p>\n\
<p>The results of this method are sorted by name. The properties returned actually contain two different things in terms of DotNet- properties and fields. The properties are shown first in sorted order, then the fields are shown in sorted order.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showProperties &lt;dotNetControl&gt; [&quot;prop_pat&quot;] [to:&lt;stream&gt;] [showStaticOnly:&lt;boolean&gt;] [showMethods:&lt;boolean&gt;] [showAttributes:&lt;boolean&gt;] [declaredOnTypeOnly:&lt;boolean&gt;] </code></pre><p>Displays the properties exposed by the control whose name matches the property pattern.</p>\n\
<p>If <code>to</code> is not specified, the output goes to Listerner, otherwise the output goes to the specified stream.</p>\n\
<p>If <code>showStaticOnly</code> is true (the default), only static properties are shown; if false both static and instance properties are shown.</p>\n\
<p>If <code>showMethods</code> is true, the signature of the get and set methods (if any) are shown; defaults to false.</p>\n\
<p>If <code>showAttributes</code> is true, the attributes associated with the property are shown; defaults to false.</p>\n\
<p>If <code>declaredOnTypeOnly</code> is true, only properties declared on the specified control are shown; if false (the default) properties on the control and the classes it derives from are shown.</p>\n\
<p>The results of this method are sorted by name. The properties returned actually contain two different things in terms of DotNet - properties and fields. The properties are shown first in sorted order, then the fields are shown in sorted order.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showMethods &lt;dotNetControl&gt; [&quot;prop_pat&quot;] [to:&lt;stream&gt;] [showStaticOnly:&lt;boolean&gt;] [showSpecial:&lt;boolean&gt;] [showAttributes:&lt;boolean&gt;] [declaredOnTypeOnly:&lt;boolean&gt;] </code></pre><p>Displays the methods exposed by the control whose name matches the property pattern.</p>\n\
<p>If <code>to</code> is not specified, the output goes to Listerner, otherwise the output goes to the specified stream.</p>\n\
<p>If <code>showStaticOnly</code> is true (the default), only static properties are shown; if false both static and instance properties are shown.</p>\n\
<p>If <code>showSpecial</code> is true, methods that are not normally called by the user (such as a method to set a property value or to invoke an event handler) are shown; defaults to false.</p>\n\
<p>If <code>showAttributes</code> is true, the attributes associated with the property are shown; defaults to false.</p>\n\
<p>If <code>declaredOnTypeOnly</code> is true, only properties declared on the specified control are shown; if false (the default) properties on the control and the classes it derives from are shown.</p>\n\
<p>The results are sorted by name. Secondary sort is performed based on the number of parameters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showEvents &lt;dotNetControl&gt; [&quot;prop_pat&quot;] [to:&lt;stream&gt;] [showStaticOnly:&lt;boolean&gt;] [declaredOnTypeOnly:&lt;boolean&gt;] </code></pre><p>Displays the events exposed by the control whose name matches the property pattern.</p>\n\
<p>If <code>to</code> is not specified, the output goes to Listerner, otherwise the output goes to the specified stream.</p>\n\
<p>If <code>showStaticOnly</code> is true (the default), only static properties are shown; if false both static and instance properties are shown.</p>\n\
<p>If <code>declaredOnTypeOnly</code> is true, only properties declared on the specified control are shown; if false (the default) properties on the control and the classes it derives from are shown.</p>\n\
<p>The results are sorted by name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotNet.showConstructors&lt;dotNetClass&gt; [to:&lt;stream&gt;] </code></pre><p>Displays the constructors exposed by the control.</p>\n\
<p>If <code>to</code> is not specified, the output goes to Listerner, otherwise the output goes to the specified stream.</p>\n\
<p>DotNet controls can be created by the class name of the control.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   dotNetControl f1 &quot;System.Windows.Forms.MonthCalendar&quot; align:#left height:180\n\
</code></pre></blockquote>\n\
<p>To create a class instance, DotNet needs more than just this information, it also needs the assembly info in the constructor string. The following shows the full string needed, and will also be valid:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   dotNetControl f1 &quot;System.Windows.Forms.MonthCalendar, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089&quot; align:#left height:180\n\
</code></pre></blockquote>\n\
<p>In most cases, the user doesn&apos;t care about the assembly version, and just wants to specify the class name. The MAXScript UI control wrapper will try to create the control using the specified class name, and if the control cannot be created it will append the &quot;System.Windows.Forms&quot; assembly info to the class name and try again.</p>\n\
<p>If the class name specified still cannot be resolved, the class name will be prepended with &quot;System.&quot; and another attempt will be made. Thus, this will be valid:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   dotNetControl f1 &quot;Windows.Forms.MonthCalendar&quot; align:#left height:180\n\
</code></pre></blockquote>\n\
<p>If the class name still cannot be resolved, the class name will be prepended with &quot;System.Windows.Forms.&quot; and another attempt will be made. Thus, this will be valid:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   dotNetControl f1 &quot;MonthCalendar&quot; align:#left height:180\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"dotnetcontrol/dotnetmxsvalue.html\">dotnetmxsvalue</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"dotnetcontrol/ListViewOps-and-TreeViewWraps.html\">ListViewOps and TreeViewWraps Structs</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../DotNet-In-MAXScript.html\">DotNet In MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../DotNet-In-MAXScript.html\">DotNet In MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";