var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2AD4D018-52CE-4199-9BEB-D9935A7118EF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>dotnetmxsvalue</h1></div><p>The <strong>dotNetMXSValue value class</strong> holds another value. The dotNetMXSValue can be assigned to .net objects. A &quot;proxy&quot;DotNet value is actually stored to theDotNet object, and that proxy points back to the dotNetMXSValue.</p>\n\
<p>As long as the DotNet object holds the proxy value, the dotNetMXSValue and the value it holds are protected from garbage collection.</p>\n\
<p>The value held by a dotNetMXSValue object can be read from its read-only <code>.value</code> property.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a = color 10 20 30 --MAXScript color value\n\
   b = dotNetMXSValue a --DotNet value holding the MAXScript value\n\
   tv = dotnetobject &quot;treeview&quot; --DotNet TreeView control\n\
   tv.tag = b --The tag is set to the color\n\
   tv.tag\n\
   a=b=undefined --Both a and b are set to undefined\n\
   gc() --and manual garbage collection is requested\n\
   --BUT the color value and dotNetMXSValue protected are from\n\
   --collection because the treeview instance holds\n\
   --the dotNetMXSValue proxy!\n\
   tv = undefined --assign undefined to the treeview variable\n\
   gc() --and request garbage collection again\n\
   --This time both the color value and the dotNetMXSValue are not\n\
   --protected from collection\n\
</code></pre></blockquote>\n\
<p>Note that the above garbage collection may not delete the color value and the dotNetMXSValue because the DotNet garbage collector has not deleted the treeview and freed its values yet. One can force manual garbage collection of DotNet:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   dgc = dotnetclass &quot;system.gc&quot;\n\
   dgc.collect()\n\
   gc() -- color value and dotNetMXSValue collected\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../dotnetcontrol.html\">dotnetcontrol</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../DotNet-In-MAXScript.html\">DotNet In MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";