var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-56961A11-BD8A-40E5-BB68-74AA27F2E056\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>dotnetobject</h1></div><p>In <strong>3ds Max 9</strong> and higher, the <code>dotNetObject</code> value class wraps instances of DotNet objects. It is the MAXScript wrapper class around a DotNet <code>System::Object</code> object.</p>\n\
<p>The dotNetObject class exposes the properties, methods, and events associated with the object via reflection.</p>\n\
<p>Property access uses MAXScript number data types (widened as necessary), String, Boolean, dotNetControl, dotNetObject, and dotNetClass values.</p>\n\
<p>Properties of dotNetObject can be accessed via the normal property access specification [object.property] and the <code>getProperty()</code> / <code>setProperty()</code> methods.</p>\n\
<p>Accessing an object method will create a <a href=\"dotNetMethod.html\">dotNetMethod</a> instance, or optionally a dotNetObject wrapping the RuntimeMethodInfo instance.</p>\n\
<p>New methods are used to add and manage event handlers. These methods register and unregister callback functions to be called when the event is fired. The arguments passed back to the functions include the object, the event name, and the arguments passed by the event handler. See <a href=\"dotNet-Struct-Methods.html\">dotNet Struct Methods</a> for details.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>There is a difference between a <a href=\"dotnetclass.html\">dotNetClass</a> and a dotNetObject that wraps the same type.</p>\n\
<p>Accessing the dotNetClass accesses the System::Type while accessing the dotNetObject accesses the object type described by the System::Type.</p>\n\
<p>So, for example, if you called showProperties() on a dotNetObject you will get the properties of the System::Type the dotNetObject wraps, but on a dotNetClass that wraps the same type you will get the properties of System::Type itself.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotNetObject { &lt;dotNetClass&gt; | &lt;class_type_string&gt; } ... additional args as needed ...      </code></pre><p>Constructs a dotNetObject object.</p>\n\
<p>A dotNetObject can be created either using the class type string or from a dotNetClass:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   o1 = dotNetObject &quot;System.Drawing.Size&quot; 10 20 -- existing object\n\
   o2 = dotNetClass &quot;System.Drawing.Size&quot;\n\
   o3 = dotNetObject o2 10 20 -- newobject from class\n\
</code></pre></blockquote>\n\
<p><strong>Operators:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">== != </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getProperty &lt;dotNetObject&gt; &lt;prop name&gt; [  asDotNetObject:&lt;boolean&gt;] </code></pre><p>Returns the value of the specified property or method.</p>\n\
<p>If <code>asDotNetObject</code> is false (the default) the value will converted to a native MAXScript value if possible; if true, the value will always be returned as a dotNetControl or dotNetObject value.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Previous to <strong>3ds Max 2020.3 Update</strong>, this returned a dotNetMethod if the specified property was a method, even if asDotNetObject was true.</div>\n\
<p>See <a href=\"dotNet-Generics.html\">dotNet Generics</a> for an example of how to create a type-specific version of a generic method.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setProperty &lt;dotNetObject&gt; &lt;prop name&gt; &lt;value&gt; </code></pre><p>Sets the value of the specified property. If the value specified is a native MAXScript value, it will be converted to the proper DotNet value if possible.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getPropNames &lt;dotNetObject&gt; [showStaticOnly:&lt;boolean&gt;] [declaredOnTypeOnly:&lt;boolean&gt;] </code></pre><p>Returns an array of property names exposed by the object.</p>\n\
<p>If <code>showStaticOnly</code> is true (the default), only static properties are shown; if false both static and instance properties are shown.</p>\n\
<p>If <code>declaredOnTypeOnly</code> is true, only properties declared on the specified object are shown; if false (the default) properties on the object and the classes it derives from are shown.</p>\n\
<p>The results of this method are sorted by name. The properties returned actually contain two different things in terms of DotNet - properties and fields. The properties are shown first in sorted order, then the fields are shown in sorted order.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showProperties &lt;dotNetObject&gt; [&quot;prop_pat&quot;] [to:&lt;stream&gt;] [showStaticOnly:&lt;boolean&gt;] [showMethods:&lt;boolean&gt;] [showAttributes:&lt;boolean&gt;] [declaredOnTypeOnly:&lt;boolean&gt;] </code></pre><p>Displays the properties exposed by the object whose name matches the property pattern.</p>\n\
<p>If <code>to</code> is not specified, the output goes to Listerner, otherwise the output goes to the specified stream.</p>\n\
<p>If <code>showStaticOnly</code> is true (the default), only static properties are shown; if false both static and instance properties are shown.</p>\n\
<p>If <code>showMethods</code> is true, the signature of the get and set methods (if any) are shown; defaults to false.</p>\n\
<p>If <code>showAttributes</code> is true, the attributes associated with the property are shown; defaults to false.</p>\n\
<p>If <code>declaredOnTypeOnly</code> is true, only properties declared on the specified object are shown; if false (the default) properties on the object and the classes it derives from are shown.</p>\n\
<p>The results of this method are sorted by name. The properties returned actually contain two different things in terms of DotNet- properties and fields. The properties are shown first in sorted order, then the fields are shown in sorted order.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showMethods &lt;dotNetObject&gt; [&quot;prop_pat&quot;] [to:&lt;stream&gt;] [showStaticOnly:&lt;boolean&gt;] [showSpecial:&lt;boolean&gt;] [showAttributes:&lt;boolean&gt;] [declaredOnTypeOnly:&lt;boolean&gt;] </code></pre><p>Displays the methods exposed by the object whose name matches the property pattern.</p>\n\
<p>If <code>to</code> is not specified, the output goes to Listerner, otherwise the output goes to the specified stream.</p>\n\
<p>If <code>showStaticOnly</code> is true (the default), only static properties are shown; if false both static and instance properties are shown.</p>\n\
<p>If <code>showSpecial</code> is true, methods that are not normally called by the user (such as a method to set a property value or to invoke an event handler) are shown; defaults to false.</p>\n\
<p>If <code>showAttributes</code> is true, the attributes associated with the property are shown; defaults to false.</p>\n\
<p>If <code>declaredOnTypeOnly</code> is true, only properties declared on the specified object are shown; if false (the default) properties on the object and the classes it derives from are shown.</p>\n\
<p>The results are sorted by name. Secondary sort is performed based on the number of parameters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showEvents &lt;dotNetObject&gt; [&quot;prop_pat&quot;] [to:&lt;stream&gt;] [showStaticOnly:&lt;boolean&gt;] [declaredOnTypeOnly:&lt;boolean&gt;] </code></pre><p>Displays the events exposed by the object whose name matches the property pattern.</p>\n\
<p>If <code>to</code> is not specified, the output goes to Listerner, otherwise the output goes to the specified stream.</p>\n\
<p>If <code>showStaticOnly</code> is true (the default), only static properties are shown; if false both static and instance properties are shown.</p>\n\
<p>If <code>declaredOnTypeOnly</code> is true, only properties declared on the specified object are shown; if false (the default) properties on the object and the classes it derives from are shown.</p>\n\
<p>The results are sorted by name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dotNet.showConstructors &lt;dotNetClass&gt; [to:&lt;stream&gt;] </code></pre><p>Displays the constructors exposed by the object.</p>\n\
<p>If <code>to</code> is not specified, the output goes to Listerner, otherwise the output goes to the specified stream.</p>\n\
<p>The results are sorted by name. Secondary sort is performed based on the number of parameters.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../DotNet-In-MAXScript.html\">DotNet In MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../DotNet-In-MAXScript.html\">DotNet In MAXScript</a></li>\n\
          <li><a class=\"link\" href=\"dotNet-Struct-Methods.html\">dotNet Struct Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";