var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-28C01632-B984-483F-9233-FD7B62F093BE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>The Script Editor</h1></div><p>Now that you have explored the beginnings of <a href=\"./../Manipulating-The-Box-First-Steps/Drawing-a-Box-with-MAXScript.html\">object creation</a> and <a href=\"./../Manipulating-The-Box-First-Steps/Modifying-the-Box.html\">manipulation</a>, the next step is programming.</p>\n\
<p>MAXScript is a programming language at heart, and two of the most important concepts necessary for mastering MAXScript are conditional statements and loops.</p>\n\
<p>At this point, real script writing comes into play. From the <strong>Main Menu &gt; MAXScript</strong> menu item, select &quot;New Script&quot;. A new MAXScript editor window will open. In this window, you can create, edit, save, and load scripts.</p>\n\
<p>Another way to open a new script is the &quot;New Script&quot; button in the MAXScript Utility in the Utilities tab.</p>\n\
<p>Other than the Listener, you can open many scripts as tabs inside the Editor and work on multiple scripts at a time, copy and paste code between them etc.</p>\n\
<p>Thus far in this tutorial, you have been performing all of the script examples in the MAXScript Listener, however when you are writing or editing a script of your own, you will use the Script editor.</p>\n\
<p>The main difference between the Script Editor and the Listener is that the Listener can only evaluate one set of information at a time. In contrast, you can enter long, complex scripts in the Script Editor and evaluate them piece-by-piece or all at once.</p>\n\
<p>Scripts are entered using the same syntax and rules, however they are not executed upon pressing ENTER. In order to execute the entire script, use &quot;Evaluate All&quot; from the Tools Menu of the Script Editor, or press <strong>Ctrl+E</strong>.</p>\n\
<p>You can also execute scripts several lines at a time by highlighting the lines you want to execute and pressing <strong>SHIFT+RETURN</strong>, or <strong>ENTER</strong> on the numeric keypad.</p>\n\
\n\
<div class=\"callout callout-important\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-exclamation-triangle\" aria-hidden=\"true\"></i>Important:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p>   </p>\n\
<p>   The rest of this page is for your information only and not a direct continuation of the tutorials from the previous chapter. Please do not attempt to use the tools described below yet, just note their existence.</p>\n\
<p>   If you want to continue with the practical examples, please go to the next topic: <a href=\"Controlling-Program-Flow-in.html\">Controlling Program Flow in Scripts</a>.</p>\n\
\n\
</div></div>\n\
\n\
<h2 id=\"navigating-the-script-editor\">Navigating the Script Editor</h2><p>The Script Editor contains several useful tools for navigating and error-checking large scripts.</p>\n\
<h3 id=\"tabs-and-indentation\">Tabs and Indentation</h3><p>You can use the <strong>TAB</strong> key to control the indentation in your script. This makes it easier to read the script and to keep track of opening and closing parentheses used to create blocks of commands.</p>\n\
<p>In contrast to some simpler text editors, selecting multiple lines and pressing <strong>TAB</strong> will not delete the lines but indent them as a block.</p>\n\
<p>To move the selected line(s) back one tab position, you can press <strong>SHIFT+TAB</strong>.</p>\n\
<p>If you press the <strong>RETURN</strong> key to add a new line while inside an indented block in your script, the newly inserted line will respect the indentation and will also use the same number of tabs as the surrounding code lines. If you want the new line to be less indented, you can press the <strong>BACKSPACE</strong> key one or more times to remove one or more Tabs.</p>\n\
<p>Optionally, you can also display the tabs and other &quot;white spaces&quot; by pressing <strong>Ctrl+SHIFT+8</strong> to make it easier to see and correct the formatting.</p>\n\
<p><img src=\"./images/GUID-85A7ACEC-17FD-4823-AE51-BE1A8613DAB7-low.gif\" alt></p>\n\
<h3 id=\"ctrl-right-click-navigation\">CTRL-Right Click Navigation</h3><p>Pressing <strong>Ctrl+Right Mouse Button</strong> will open a right-click menu which allows you to jump to any specific event, UI item, function or rollout definition in the script. Selecting an entry from this menu will reposition the editor at the code line containing the definition of the selected item.</p>\n\
<p><img src=\"./images/GUID-8B91DF62-E7C5-4CDC-AD9D-41679C9FB6A7-low.gif\" alt></p>\n\
<p>For this feature to work, the Editor must contain at least one of the supported elements. Otherwise, no navigation menu will appear.</p>\n\
<h3 id=\"bracket-balance\">Bracket Balance</h3><p>In complex scripts, it is common to lose track of blocks of commands, causing you to add extra parentheses or leave them out. You can find these errors by pressing <strong>Ctrl+SHIFT+B</strong>. MAXScript will highlight the block that your cursor is on, showing you the start and end parentheses. Pressing <strong>Ctrl+B</strong> will jump the cursor to the matching parenthesis. Also, the Editor will show by default guides connecting pairs of parentheses, making it easier to see the relationships.</p>\n\
<p><img src=\"./images/GUID-C814249B-F415-410E-ACCF-C81D64105940-low.gif\" alt></p>\n\
<h3 id=\"color-coding\">Color Coding</h3><p>MAXScript will display different elements of your script in different colors, making it easier for you to navigate your script at a glance.Since <strong>3ds Max 2008</strong>, the color coding is based on data exported from MAXScript directly into the listener, thus all kinds of keywords, functions, interfaces, object names and so on are recognized automatically and colored accordingly.</p>\n\
<p>The color coding is performed dynamically, but can be switched off by using <strong>SHIFT+F11</strong> or the Language &gt; Text option from the menu. Select Language &gt; MAXScript to enable the color coding again.</p>\n\
<p><strong>See also</strong></p>\n\
<p><a href=\"./../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\">MAXScript Tabbed Editor Window</a></p>\n\
<p><a href=\"./../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Commands.html\">MAXScript Editor Commands</a></p>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\"Controlling-Program-Flow-in.html\">Controlling Program Flow in Scripts</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Creating-Your-Own-Scripts.html\">Creating Your Own Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";