var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-34C253DE-0F9F-4FB5-BBB1-4233F2C32477\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Entering Information into MAXScript</h1></div><p>There are several different types of information that you will typically want to enter into the MAXScript Listener window. These include numeric values, strings, and arrays.</p>\n\
<p>Information is generally entered into MAXScript by typing a value or expression and pressing the <strong>numeric ENTER</strong> key, or the alternative key combination <strong>SHIFT+RETURN</strong>. (The <strong>RETURN</strong> key is often labeled as &quot;Enter&quot; on some keyboards. It is the large key at the right side of the main keyboard area).</p>\n\
<p>However, each type of information must be entered in a slightly different way.</p>\n\
<h2 id=\"entering-numbers-in-maxscript\">Entering Numbers in MAXScript</h2><p>MAXScript distinguishes between two types of numbers: <em>integers</em> and <em>floats</em>.</p>\n\
<ul>\n\
<li><p>An Integer is a whole number, such as 0, 1, 2, 10, 527.</p>\n\
</li>\n\
<li><p>A Float is floating-point number and contains a decimal point, such as 2.5, 72.0, and 0.33.</p>\n\
</li>\n\
</ul>\n\
<p>When MAXScript performs numerical operations, the result is generally the same number-type as the arguments in the operation.</p>\n\
<p>For example: <code>3 + 4</code> will return <code>7</code>, while <code>3.0 + 4.0</code> will return <code>7.0</code>.</p>\n\
<p> <img src=\"./images/GUID-865920A3-582C-4C43-90CA-C929067522BA-low.gif\" alt></p>\n\
<p>When MAXScript performs operations involving both float and integer-type numbers however, it treats the integer as a float number.</p>\n\
<p>For example: <code>3 + 4.0</code> will return <code>7.0</code>.</p>\n\
<p> <img src=\"./images/GUID-B3C594FC-8CA8-4FBA-9261-8686EF8E1F42-low.gif\" alt></p>\n\
<h2 id=\"entering-strings-in-maxscript\">Entering Strings in MAXScript</h2><p>MAXScript is an expression-based language. All of its constructs yield a value. Strings are MAXScript constructs, and they are entered inside quotation marks. The command output for a string, meaning the value a string yields in MAXScript, is the string itself.</p>\n\
<p>With the MAXScript Listener window open, say hello to MAXScript:</p>\n\
<ul>\n\
<li><p>At the prompt, type <strong>Hello</strong> and press ENTER on the numeric keypad.</p>\n\
<p>  MAXScript answers with <code>undefined</code>. This is called command output, which always appears in blue. The reason for this specific output is that MAXScript doesn&#x2019;t know the word Hello. It is not defined in the language and therefore MAXScript cannot determine what to do with it.</p>\n\
<p>  <img src=\"./images/GUID-513379D5-1394-4C90-ABB7-11BC507786CC-low.gif\" alt></p>\n\
</li>\n\
<li><p>Write the word &quot;<strong>Hello</strong>&quot; again, this time with quotation marks, and press ENTER.</p>\n\
<p>  The command output is now &quot;<code>Hello</code>&quot;.</p>\n\
<p>  It seems that MAXScript knows the string &quot;Hello&quot; because it answers with a friendly &quot;Hello&quot; Actually, it merely knows that you entered a string, and the command output for strings is always the value of the string you entered.</p>\n\
<p>  <img src=\"./images/GUID-48E6B39C-AEC1-46D6-9E83-4B705EA3C261-low.gif\" alt></p>\n\
</li>\n\
</ul>\n\
<h2 id=\"entering-arrays-in-maxscript\">Entering Arrays in MAXScript</h2><p>You can use an array to group several elements into one collection.</p>\n\
<p>An array is an ordered collection of values.</p>\n\
<p>In MAXScript, each element in the array can contain any type of value, and all of the elements can be accessed individually.</p>\n\
<p>An array can be expressed in <strong>two forms</strong>.</p>\n\
<p>The first is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#()</code></pre><p>This is the most basic type of array: an empty one.</p>\n\
<p>It is important to note that all arrays must be defined with the number character (#) and a pair of parentheses.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#(&lt;expr&gt; , &lt;expr&gt;)</code></pre><p>This form of the array is appropriate when you would like to define one or more of the initial elements within the array.</p>\n\
<p>Each value of <code>&lt;expr&gt;</code> can be a number, an expression (e.g., sin pi, 6.2^3), or a string (e.g., &quot;hello&quot;).</p>\n\
<p>Elements do not have to be the same type of information, and there is no limit on the number of elements you can have in an array.</p>\n\
<p><img src=\"./images/GUID-BF619B74-2D51-4034-B910-9546AB0F4779-low.gif\" alt></p>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\"Assigning-Variables.html\">Assigning Variables</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Getting-Started.html\">Getting Started</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";