var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E7FBAD67-2B3F-42B4-9C91-81E1F40087AB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Source Code Layout</h1></div><p>The layout rules for MAXScript code are unlike those of most programming languages. MAXScript gives you the advantage of freeform languages, such as C and C++, without the need for extensive punctuation.</p>\n\
<p>MAXScript lets you break statements and expressions across lines wherever you want. The line break can be in the middle of an expression. MAXScript reads your code until the end of each line and determines whether it has a complete expression. If it does not, it continues to read subsequent lines until it finds the rest of the expression.</p>\n\
<blockquote>\n\
<p>   <strong>Take as an example the following line:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a + b * c / d - e + f * g / h\n\
</code></pre></blockquote>\n\
<p>This line can be broken after any of the operators. MAXScript continues to read the next line, because an operator needs another argument.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a + b * c / d - e +\n\
   f * g / h\n\
</code></pre></blockquote>\n\
<p>You cannot break the example line as shown next and get the same result, because the expression on the first line is a complete expression. MAXScript considers the two lines as separate expressions, and the second line is now syntactically wrong, because it starts with an operator:</p>\n\
<blockquote>\n\
<p>   <strong>WRONG SYNTAX:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a + b * c / d - e\n\
   + f * g / h\n\
</code></pre></blockquote>\n\
<p>If you do want to break a line at the end of a sub-expression, you can use the backslash line continuation character: &#x2019;\\&#x2019;. The previous example of an invalid break can be made valid using the line continuation character after the &#x2019;r;e&#x2019;:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a + b * c / d - e \\\n\
   + f * g / h\n\
</code></pre></blockquote>\n\
<p>Whenever MAXScript encounters a &#x2019;\\&#x2019; as the last character on a line (except for spaces, tabs, or comments), it continues to read the next line as though the break were not present. Line continuations can be useful for breaking up long or complex lines of code, making them easier to read.</p>\n\
<p>MAXScript also lets you combine multiple statements and expressions in a single line. The statements or expressions are separated with a &#x2019;;&#x2019;</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   <img src=\"./images/GUID-41EBE44D-D7C3-4687-9D80-EC0749802472-low.gif\" alt></p>\n\
</blockquote>\n\
<p>Sometimes it is useful to enter comments within your script to provide guidance or context. You can enter comments in MAXScript by preceding your comment with a double-hyphen --. As soon as MAXScript reaches the double-hyphen, it stops evaluating the rest of that line.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   <img src=\"./images/GUID-2D96B3CB-4356-410E-896A-2B8A8F57CF69-low.gif\" alt></p>\n\
</blockquote>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\"Entering-Information-into.html\">Entering Information into MAXScript</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Getting-Started.html\">Getting Started</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";