var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-308EA213-59FA-4F1B-AF40-FC7E658F5DD2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Applying Standard Transformations</h1></div><div class=\"note note:\"><span class=\"notetitle\">Note:</span> This is a continuation of the <a href=\"./../Manipulating-The-Box-First-Steps.html\">&quot;Manipulating The Box - First Steps in MAXScript&quot;</a> tutorial&apos;s previous lessons <a href=\"Drawing-a-Box-with-MAXScript.html\">&quot;Drawing a Box with MAXScript&quot;</a> and <a href=\"Modifying-the-Box.html\">&quot;Modifying the Box&quot;</a>. It requires the variable <code>mybox</code> to be already defined and containing an instance of a Box primitive. If you are <strong>not</strong> continuing directly from these previous lessons, you must at least evaluate the line</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mybox = box()</code></pre><p>in order to apply the following examples to the <strong>3ds Max</strong> scene.</p>\n\
<p>Now that you know how to <a href=\"Drawing-a-Box-with-MAXScript.html\">create</a> and <a href=\"Modifying-the-Box.html\">modify</a> the basic properties of a box, you need to learn how to apply the standard transformations (move, scale, and rotate) to it. It is possible to designate position, size, and orientation when the box is created; however, you can also carry out these operations after you have created your object, just as you would in <strong>3ds Max</strong>.</p>\n\
<h2 id=\"moving-the-box\">Moving the Box</h2><p>Moving an object in MAXScript is very simple:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">move name_obj [&lt;x,y,z&gt;]\n\
</code></pre><p>where name_objis the name of the object you want to move and <code>&lt;x,y,z&gt;</code> is the amount you want it to move.</p>\n\
<p>It is <strong>important to note</strong> that you are not moving the object <strong>to</strong> <code>&lt;x,y,z&gt;</code>, but <strong>by</strong> the amounts <code>&lt;x,y,z&gt;</code>.</p>\n\
<p>Therefore, if you apply the move function more than once, the object continues to move. This is also true for the scale and rotate transforms.</p>\n\
<p>This is in contrast to setting a property of an object. If you set the object position, scale, and rotation properties several times, the object won&#x2019;t change, assuming that you assign the same value each time.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mybox.pos = [10,0,0]\n\
   mybox.pos = [10,0,0]\n\
   mybox.pos = [10,0,0]\n\
</code></pre></blockquote>\n\
<p>will only change the position of your box after the first line is executed.</p>\n\
<p>The second and third lines do not affect the position of your box, as they do not change the absolute position of the box:</p>\n\
<p> <img src=\"./images/GUID-09BD30C4-0FD2-46AE-80D9-F0105C1CBA3E-low.gif\" alt></p>\n\
<p>If you entered the above three commands, click <img src=\"./images/GUID-062EDDCE-D844-4382-A665-C8A36D8FFCDB-low.gif\" alt>Undo three times to move the box back to its original position.</p>\n\
<blockquote>\n\
<p>   <strong>ON THE OTHER HAND, ENTERING</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   move mybox [10,0,0]\n\
   move mybox [10,0,0]\n\
   move mybox [10,0,0]\n\
</code></pre></blockquote>\n\
<p>will move your box 30 units along the X-axis:</p>\n\
<p> <img src=\"./images/GUID-011EEED2-7DCA-4E8E-8497-6EC86DB62554-low.gif\" alt></p>\n\
<p>If you entered the above commands, click <img src=\"./images/GUID-062EDDCE-D844-4382-A665-C8A36D8FFCDB-low.gif\" alt>Undo three times to move the box back to its original position.</p>\n\
<h2 id=\"scaling-the-box\">Scaling the Box</h2><p>Scaling is performed in a similar manner:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scale name_obj [&lt;x,y,z&gt;]\n\
</code></pre><p>where <code>name_obj</code> is the name of the object and <code>&lt;x,y,z&gt;</code> is a 3D coordinate that corresponds to the amount you would like to scale the object along the X, Y, and Z-axis, respectively.</p>\n\
<p>Again, the scale transformation is different from the scale object property. Setting the object&#x2019;s scale property (<code>name_obj.scale</code>= &#x2026;) repeatedly with the same values will only scale the object the first time, but applying the scale transformation repeatedly will continue to scale the object relatively to the previous scale.</p>\n\
<h2 id=\"rotating-the-box\">Rotating the Box</h2><p>The rotate transformation is not as simple as the move and rotate transforms. In fact, there are three ways to express rotation values in MAXScript:</p>\n\
<p><strong>[<a href=\"./../../MAXScript-Language-Reference/Values/Basic-Data-Values/EulerAngles-Values.html\">Euler Angles</a>]</strong>, <strong>[<a href=\"./../../MAXScript-Language-Reference/Values/Basic-Data-Values/Quat-Values.html\">Quaternions</a> ]</strong> and <strong>[<a href=\"./../../MAXScript-Language-Reference/Values/Basic-Data-Values/AngleAxis-Values.html\">Angleaxis</a> ]</strong>.</p>\n\
<p>This lesson will only consider Euler Angles. If you would like further information on any of these transformations, see the MAXScript Reference.</p>\n\
<p>To apply a rotation transform in MAXScript, you must first define the rotation as a sort of <em>rotation object</em>, and then apply the rotation object to the object you want to rotate. The rotation object is defined in the following way:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rot_obj = eulerangles x y z\n\
</code></pre><p>whererot_objcan be any name and x,y, and z represent the amount you want to rotate your object (in degrees) around the X, Y, and Z-axes, respectively.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rot_box = eulerangles 0 30 0\n\
</code></pre><p>   creates an object called rot_box, which will rotate an object around the Y-axis by 30 degrees. This rotation can be applied to your box in the following way:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rotate mybox rot_box\n\
</code></pre></blockquote>\n\
<p> <img src=\"./images/GUID-9DD41A18-3F60-434E-A1EF-F1026777152F-low.gif\" alt></p>\n\
<p>In fact, this rotation could be applied to any object by writing the same line as above and replacing <code>mybox</code> with the name of the object you want to rotate.</p>\n\
<p>If you entered the above commands, click <img src=\"./images/GUID-062EDDCE-D844-4382-A665-C8A36D8FFCDB-low.gif\" alt>Undo to change the box back to its original orientation.</p>\n\
<blockquote>\n\
<p>   <strong>IF YOU DESIGNATE ANGLES FOR MORE THAN ONE AXIS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rot_box2 = eulerangles 30 45 60\n\
</code></pre></blockquote>\n\
<p>The rotation is applied to an object, with the X-axis rotation occurring first, followed by the Y-axis rotation, and then the Z-axis rotation.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Moving, scaling, or rotating objects, or setting transform-related properties operates in the World Coordinate System, by default. If you want to perform these transformations in another coordinate system, see <a href=\"./../../MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/coordsys.html\">Coordsys</a>.</p>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\"More-Box-Transformations.html\">More Box Transformations</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Manipulating-The-Box-First-Steps.html\">Manipulating The Box - First Steps in MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";