var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9C018FC7-3129-4352-AC95-F0BD5CFA867D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Modifying the Box</h1></div><p>In the <a href=\"Drawing-a-Box-with-MAXScript.html\">previous lesson</a>, you created a box by assigning it to a named variable.</p>\n\
<p>Because you used a variable for the box, you can now access all of the box&#x2019;s properties easily.</p>\n\
<p>The variable name <code>mybox</code> is the <em>handle</em> to your box. To access the properties of the handle, append a &quot;.&quot; (period), and then the property name.</p>\n\
<p>For example, <code>mybox.height</code> can be read as &quot;the height of mybox.&quot;</p>\n\
<p>All <strong>3ds Max</strong> objects have creation parameters such as width, length, and height for boxes, or radius for spheres and circles.</p>\n\
<p>These objects also have transformation properties, such as scale, rotation, or position, and general properties like name, wirecolor, etc.</p>\n\
<p>To change any of these properties, you can set the property to a new value.</p>\n\
<h2 id=\"changing-object-properties\">Changing Object Properties</h2><h3 id=\"object-name\">Object Name</h3><p>If you don&#x2019;t like the default object name Box001, you can change the name property of the box:</p>\n\
<p>Enter <code>mybox.name = &quot;BlueBox&quot;</code> in the Listener window and the software renames the box.</p>\n\
<p>You can see the new name in the Name edit box when you go to the Modify panel:</p>\n\
<p><img src=\"./images/GUID-D2686E09-A228-414A-8AEA-685AF0B862B0-low.gif\" alt></p>\n\
<h3 id=\"color\">Color</h3><p>By default, 3ds Max assigns the color of objects randomly at creation time. Therefore, the color of your box is not necessarily blue. In this case, BlueBox wouldn&#x2019;t be an appropriate name for your box. However, you can change the color of your box to match the name:</p>\n\
<p>Enter <code>mybox.wirecolor = blue</code> and watch the box in your viewports turn blue. You may have to select the box again to reflect the new color in the color swatch next to the object name in the Modify panel.</p>\n\
<p>The color <code>blue</code> is a predefined color constant in MAXScript and its RGB value is defined as (0,0,255). The other predefined color variables are red, green, white, black, orange, yellow, and brown. Instead of using a predefined color, you can assign a color with different RGB values, such as:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mybox.wirecolor = (color 255 0 255)\n\
</code></pre><p>Notice the special syntax for entering specific color values.</p>\n\
<p>The example shown would change the box to magenta. If you entered this command, click <img src=\"./images/GUID-062EDDCE-D844-4382-A665-C8A36D8FFCDB-low.gif\" alt>Undo to change the box back to blue.</p>\n\
<p>For more information on colors, see the <a href=\"./../../MAXScript-Language-Reference/Values/Basic-Data-Values/Color-Values.html\">Color Values</a> topic in the MAXScript reference.</p>\n\
<h3 id=\"position\">Position</h3><p>You can change the position of the box by changing the box&#x2019;s position property.</p>\n\
<p>You refer to the position property for this example box with <code>mybox.pos</code>.</p>\n\
<p>The position is expressed as the X, Y, Z coordinates.</p>\n\
<p>For example <code>\\[0,-75,0\\]</code> will position the box 75 units along the negative Y axis.</p>\n\
<p>Enter <code>mybox.pos = \\[0,-75,0\\]</code> and watch the box jump in the perspective view.</p>\n\
<p>Click <img src=\"./images/GUID-062EDDCE-D844-4382-A665-C8A36D8FFCDB-low.gif\" alt>Undo to move the box back to the origin.</p>\n\
<p> <img src=\"./images/GUID-9E79A889-A802-4451-9428-5919BBBA2905-low.gif\" alt></p>\n\
<h3 id=\"size\">Size</h3><p>To make the box bigger, you can use the scale property of the box:</p>\n\
<blockquote>\n\
<p>   <strong>ENTER:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mybox.scale = [1.5,1.5,1.5]\n\
</code></pre></blockquote>\n\
<p>to see the box resized to 1.5 times its original size.</p>\n\
<p> <img src=\"./images/GUID-3893148A-C193-442C-8C17-FFD3CCF0D505-low.gif\" alt></p>\n\
<p>Click<img src=\"./images/GUID-062EDDCE-D844-4382-A665-C8A36D8FFCDB-low.gif\" alt> Undo to undo the scale and return the box to its original size.</p>\n\
<p>The scale property requires a scaling factor for each of the X, Y, and Z axes, or, in this case, the width, length and height of the box. You don&#x2019;t have to use the same value for each axis unless you want to resize the box uniformly.</p>\n\
<p>If you want to change the scale to affect only the height and the width, but not the length, use the following</p>\n\
<blockquote>\n\
<p>   <strong>ENTER:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mybox.scale = [1,3,2]\n\
</code></pre></blockquote>\n\
<p>When you scale your original [20,20,20] box by any factor, the box&#x2019;s parameters are still 20 for width, 20 for length, and 20 for height. You can see this when you open the Modify panel. The box parameters are not changed by the scale transformation:</p>\n\
<p><img src=\"./images/GUID-ACFBEF8A-BE0F-4E2F-A57E-E9A48DEA7D88-low.gif\" alt></p>\n\
<p> <img src=\"./images/GUID-D965438C-6631-4D9F-B105-42C048A0DD12-low.gif\" alt></p>\n\
<p>Although altering the height and width properties of the box achieves the same result, <em>visually</em>, the above scale modification is <em>not</em> equivalent to using the following two commands:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mybox.height = 40 -- 2 times the original 20 units \n\
mybox.width = 60 -- 3 times the original 20 units\n\
</code></pre><p>The reason for this is that changing the height property of the box changes the creation parameter of the box&#x2019;s height. Using the scale property to transform the height of the box does not.</p>\n\
<p>Again, the effect of using either method is visually the same. However, when you want to maintain the original creation parameters of an object (so that you can alter them even after a number of different transformations), you must use the scale property to manipulate the size of the box, not the individual creation properties.</p>\n\
<p>Also note that in real world production, scaling objects is generally a bad idea as it can interfere with the animation of hierarchically linked objects and other features of <strong>3ds Max</strong>. Using an XForm modifier&apos;s and scaling its Gizmo is the preferred approach as it localizes the scale to the Modifier Stack and does not affect the animation transformations.</p>\n\
<p>Click <img src=\"./images/GUID-062EDDCE-D844-4382-A665-C8A36D8FFCDB-low.gif\" alt>Undo to change the box back to its original scale of [1,1,1].</p>\n\
<h3 id=\"finding-additional-parameters\">Finding Additional Parameters</h3><p>The Parameters rollout shows all the creation parameters for a box. You can change them using the spinners in the rollout. If you want to change the value of the length, width, and height segments, or the setting of the mapping coordinates in MAXScript, you need to know the syntax for these parameters. In order to find the syntax for <em>all</em> of the parameter settings, there are two different inspector functions.</p>\n\
<p>The first of these is <code>showclass()</code>.</p>\n\
<p>The <code>showClass()</code> function prints information about a specified <strong>3ds Max</strong> class or classes. The information entered in the parentheses is a string containing a wild-card pattern to match against <strong>3ds Max</strong> class names, superclass names, and property names.</p>\n\
<blockquote>\n\
<p>   <strong>ENTER:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   showclass &quot;box.*&quot;\n\
</code></pre></blockquote>\n\
<p>MAXScript shows all the box parameters that are equivalent to the ones you see in the Parameters rollout, including which object class the box object belongs to, and the data type that each parameter requires:</p>\n\
<p> <img src=\"./images/GUID-D1A4DC42-3812-434A-BAF7-F8D664068EF3-low.gif\" alt></p>\n\
<p>Notice that you can use the &quot;*&quot; character as a wildcard to see all box parameters. If you had entered <code>showClass &quot;box*.*,&quot;</code> MAXScript would have listed all of the parameters of the<code>Box</code> <em>and</em> the <code>BoxGizmo</code> classes.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   showClass &quot;box*&quot; -- all 3ds max classes starting &quot;box&quot;\n\
   showClass &quot;box.*&quot; -- all the accessible properties of the box class\n\
   showClass &quot;*:mod*&quot; -- all the modifier classes\n\
   showClass &quot;*.*rad*&quot; -- all the classes with a property name containing &quot;rad&quot;\n\
</code></pre></blockquote>\n\
<p>The second inspector function is <code>showProperties()</code>.</p>\n\
<p>The <code>showProperties()</code> function is used to display the properties for a specific object that is an instance of one of the <strong>3ds Max</strong> classes. It can be used in place of <code>showClass()</code> in situations where you have an actual object in hand. Unlike <code>showClass()</code>, it can display the dynamic properties that may appear in individual objects as you work on them in the scene.</p>\n\
<p>To learn more about these functions, see <a href=\"./../../3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/Class-and-Object-Inspector.html\">Class and Object Inspector Functions</a>.</p>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\"Applying-Standard.html\">Applying Standard Transformations</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Manipulating-The-Box-First-Steps.html\">Manipulating The Box - First Steps in MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";