var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A04C0E75-F82A-41AC-92E8-D7CB1D797430\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Running Scripts from the Command Line</h1></div><p>You can launch <strong>3ds Max</strong> from a DOS command line and have it run a specified launch script, which is useful for tasks such as unattended batch-rendering. This capability uses the existing <code>-U</code> command line switch that names a utility to be run when <strong>3ds Max</strong> is started. The <code>-U</code> switch allows an optional extra argument which, for MAXScript, is taken to be the name of the launch script to run. The case of MAXScript must be as shown in the following example:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   c:\\3dsmax\\3dsmax -U MAXScript rendercams.ms\n\
</code></pre></blockquote>\n\
<p>This example command line would launch the <strong>3ds Max</strong> executable in <em>c:\\3dsmax</em>, start MAXScript, and then have it run the launch script <em>rendercams.ms</em>.</p>\n\
<p>The following example launch script loads two scenes, renders frames from each of the cameras in them, and then quits <strong>3ds Max</strong>:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   loadMaxFile &quot;foo.max&quot;\n\
   for c in cameras do render camera:c outputfile:(&quot;foo_&quot;+c.name+&quot;.bmp&quot;)\n\
   loadMaxFile &quot;baz.max&quot;\n\
   for c in cameras do render camera:c outputfile:(&quot;baz_&quot;+c.name+&quot;.bmp&quot;)\n\
   quitMax #noPrompt</code></pre></blockquote>\n\
<p>This example makes use of the <code>quitMax()</code> method to exit <strong>3ds Max</strong> (see <a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions/Exiting-and-Resetting-3ds-Max.html\">Exiting and Resetting3ds Max</a>) when the script is finished. Launch scripts need not be batch scripts as in this example, but may be used to condition <strong>3ds Max</strong> for interactive use, for example by loading a scene file and setting some user-interface options.</p>\n\
<p>The normal startup scripts, <em>startup.ms</em> and those in the Startup Scripts directory, are run before the launch script.</p>\n\
<p>It is also possible to install scripts into individual scene files that run automatically when that scene is open or closed or at certain other events (see <a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">General Event Callback Mechanism</a>).</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Command line -U MAXScript startup scripts are run *after* <strong>3ds Max</strong> has completely booted and the standard MAXScript stdscripts and scripts\\startup scripts have been run.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../General-MAXScript-Topics.html\">General MAXScript Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";