var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-779C94C1-87B6-46D4-80E5-9737689FD182\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Source Code Layout and Continuation Lines</h1></div><p>The layout rules for MAXScript code are unlike those of most programming languages and give you the advantages of freeform languages, such as C and C++, but without the need for extensive punctuation, like semicolons and parenthesized parameter lists.</p>\n\
<p>MAXScript lets you break statements and expressions across lines wherever you want, providing the line break is in the middle of an expression. MAXScript reads your code until the end of each line and determines whether it has a complete expression. If it does not, it continues to read subsequent lines until it finds the rest of the expression.</p>\n\
<blockquote>\n\
<p>   <strong>TAKE AS AN EXAMPLE THE FOLLOWING LINE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a + b * c / d - e + f * g / h</code></pre></blockquote>\n\
<p>This line can be broken after any of the operators. MAXScript continues to read the next line, because an operator needs another argument.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a + b * c / d - e +\n\
   f * g / h</code></pre></blockquote>\n\
<p>You cannot break the example line as shown next and get the same result, because the expression on the first line is a complete expression. MAXScript considers the two lines as separate expressions, and the <strong>second line</strong> is now <strong>syntactically wrong</strong>, because it <strong>starts with an operator</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>NOT POSSIBLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a + b * c / d - e\n\
   + f * g / h</code></pre></blockquote>\n\
<p>If you do want to break a line at the end of a sub-expression, you can use the backslash line continuation character: <code>\\</code>. The previous example above of an invalid break can be made valid using the line continuation character after the &apos;e&apos;:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a + b * c / d - e \\\n\
   + f * g / h</code></pre></blockquote>\n\
<p>Whenever MAXScript encounters a <code>\\</code> as the last character on a line, except for spaces, tabs, or comments, it continues to read the next line as though the line break were not present.</p>\n\
<p>Line continuations are often used to break up function calls with many arguments, as shown in many of the <a href=\"./../../MAXScript-Language-Reference/Names-Literal-Constants-and/Expressions.html\">Expressions</a> topics.</p>\n\
<p>This scheme allows you to write the following forms of the same statement without using periods or semicolons, as you might in other freeform languages.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<p>   An <strong>if/then/else</strong> construct could be written as:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   if a &lt; b then print c else print d</code></pre><p>   or</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   if a &lt; b then print c\n\
   else print d</code></pre><p>   or</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   if\n\
   a &lt; b\n\
   then\n\
   print c\n\
   else\n\
   print d</code></pre></blockquote>\n\
<p>MAXScript also lets you combine multiple statements and expressions in a single line. The statements or expressions are separated with a &apos;<strong>;</strong>&apos;.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   print &quot;End of input data reached&quot; to:f ; close f ; f = undefined\n\
   if a &lt; 0 do (print &quot;value out of range&quot;;a=0)</code></pre></blockquote>\n\
<p>Comments in MAXScript begin with a double-hyphen (&apos;<strong>--</strong>&apos;) and extend to the end of the current line. Many code examples in this help file use comments in this style.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- special cases...\n\
   if first do\n\
   subanims[6]=undefined-- subanims[6] is #Image_Motion_Blur_Multiplier</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../General-MAXScript-Topics.html\">General MAXScript Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";