var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-78D21100-E161-4015-9C8A-15629B153F8D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted Plug-ins for New Users</h1></div><p>Scripted plug-ins appear and behave inside of <strong>3ds Max</strong> like regular plug-ins written using the SDK. Often the user will have a hard time telling whether a plug-in is actually a script or not (with the exception of scripted RenderEffects that are usually slower than their C++ counterparts).</p>\n\
<p>Before installing a scripted plug-in, you can open the source file and note the plug-in&#x2019;s name. This will make it easier for you to locate the actual UI entry as described below. Typically, a scripted plug-in has the following form:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin superClass ClassName\n\
   name: &quot;PluginName&quot;\n\
   classID:#(....)...\n\
   (\n\
   ...\n\
   )\n\
</code></pre></blockquote>\n\
<p>Remember the <code>name:</code> string and look for it in the respective area of the UI.</p>\n\
<p><strong>To install a scripted plug-in (multiple 3ds Max sessions)</strong></p>\n\
<ol>\n\
<li>Copy the script file to any folder listed in your Plug-ins Paths configuration ( Main Menu &gt; Customize &gt; Configure System Paths &gt; 3rd Party Plug-Ins tab).</li>\n\
<li>Start <strong>3ds Max</strong>. The script will be evaluated on startup and the new plug-in will appear in the respective area of the UI. See below for details regarding different plug-in classes. This will happen each time you start <strong>3ds Max</strong>.</li>\n\
</ol>\n\
<p><strong>To test a scripted plug-in (single 3ds Max session):</strong></p>\n\
<ol>\n\
<li><p>From the Main Menu, select MAXScript and <strong>Run Script</strong>.</p>\n\
<p>Alternatively, go to the Utilities panel, open MAXScript Utility, and press <strong>Run Script</strong>.</p>\n\
</li>\n\
<li><p>Locate and select the script source file and press <strong>Open</strong>. The script will be evaluated and will create a new plug-in class. It will appear in the respective area of the UI. See below for details regarding the different plug-in classes.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Next time you start <strong>3ds Max</strong>, the scripted plug-in will <strong>not</strong> be available. The plug-in will be available only until the end of the current session and will be reported later as missing when loading files saved in the test session. To load .MAX files containing scripted plug-ins, you have to make sure the plug-in is loaded prior to opening the scene.</div>\n\
</li>\n\
</ol>\n\
<p>Scripted plug-ins can be used to extend <strong>3ds Max</strong> with:</p>\n\
<h4 id=\"-em-scripted-geometry-em-\"><em>Scripted Geometry</em></h4><p>Will appear in the Create panel &gt; Geometry in a category defined by the developer. These plug-ins can create and manipulate only instances of existing classes and are similar to System plug-ins, but living in the Create panel. They do not have their own object and sub-object levels.</p>\n\
<h4 id=\"-em-scripted-meshobjects-simpleobject-class-em-\"><em>Scripted MeshObjects (SimpleObject Class)</em></h4><p>Will appear in the Create panel &gt; Geometry in a category defined by the developer. They can generate an Editable Mesh object on the fly just like the basic and extended primitives.</p>\n\
<h4 id=\"-em-scripted-modifiers-em-\"><em>Scripted Modifiers</em></h4><p>Will appear in the Modify panel on the Modifiers list. There are two classes of modifiers. The one will extend existing modifiers (for example, by replacing the UI). The other will modify the object in local space based on a Gizmo (like Bend and Twist).</p>\n\
<h4 id=\"-em-scripted-lights-em-\"><em>Scripted Lights</em></h4><p>Will appear in the Create panel &gt; Lights in a category defined by the developer. They can only extend existing lights.</p>\n\
<h4 id=\"-em-scripted-cameras-em-\"><em>Scripted Cameras</em></h4><p>Will appear in the Create panel &gt; Cameras in a category defined by the developer. They can only extend existing cameras.</p>\n\
<h4 id=\"-em-scripted-helpers-em-\"><em>Scripted Helpers</em></h4><p>Will appear in the Create panel &gt; Helpers in a category defined by the developer. They can only extend existing helpers.</p>\n\
<h4 id=\"-em-scripted-materials-em-\"><em>Scripted Materials</em></h4><p>Will appear in the Material/Map in a category defined by the developer. They can only extend existing materials.</p>\n\
<h4 id=\"-em-scripted-texturemaps-em-\"><em>Scripted TextureMaps</em></h4><p>Will appear in the Material/Map in a category defined by the developer. They can only extend existing maps.</p>\n\
<h4 id=\"-em-scripted-rendereffects-em-\"><em>Scripted RenderEffects</em></h4><p>Will appear in the Rendering &gt; Effects &gt; Add Effect list.</p>\n\
<h4 id=\"-em-scripted-atmospheric-plug-ins-em-\"><em>Scripted Atmospheric Plug-ins</em></h4><p>Will appear in the Rendering &gt; Environment &gt; Atmosphere &gt; Add list.</p>\n\
<h4 id=\"-em-scripted-manipulators-em-\"><em>Scripted Manipulators</em></h4><p>Scripted Manipulators can appear under Create &gt; Helpers &gt; Manipulators or can be hidden to the user and only appear in the viewport when Manipulate mode is on and an object with a supported property is selected. They behave exactly as Manipulator plug-ins. In fact, several shipping manipulators like the Slider Manipulator, the Radius manipulator, and the UV Manipulator are implemented as Scripted Manipulator plug-ins. You can find their sources under <em>Stdplugs\\StdScripts</em>.</p>\n\
<p><strong>Topics:</strong></p>\n\
<p><a href=\"MAXScript-for-New-and-Casual-1.html\">MAXScript for New and Casual Users</a></p>\n\
<p><a href=\"Scripted-Utilities-for-New-Users.html\">Scripted Utilities for New Users</a></p>\n\
<p><a href=\"MacroScripts-for-New-Users.html\">MacroScripts for New Users</a></p>\n\
<p><a href=\"Scripted-Functions-for-New-Users.html\">Scripted Functions for New Users</a></p>\n\
<p><a href=\"MAXScript-DLX-Extensions-for-New.html\">MAXScript DLX Extensions for New Users</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-for-New-and-Casual.html\">MAXScript for New and Casual Users</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../General-MAXScript-Topics/Startup-Scripts.html\">Startup Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";