var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D0175A53-6007-4F83-8637-1DEFD033E84D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CRT Debug Functions</h1></div><p>A few diagnostic tools were added to MAXScript in <strong>3ds Max 2012</strong>.</p>\n\
<p>They are located in the SDK samples in the maxscript subdirectory *<maxsdk>\\samples\\maxscript\\Diagnostics\\MxsDebugCRT.cpp*</maxsdk></p>\n\
<p>This file contains some powerful maxscript methods for diagnosing and testing using MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CRTCorruptHeap &lt;int&gt;offset</code></pre><p>This method will corrupt the Heap! Dangerous! Used for testing only!</p>\n\
<p>The offset parameter defines how far past the end of the pointer you want to do a wild write. Large numbers tend to not crash randomly later. This simply serves to corrupt memory in random places, that may or may not crash the application.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CRTCheckMemory()</code></pre><p>A MAXScript wrapper around the CRT (C Run-Time) Debug function _CrtCheckMemory</p>\n\
<p><strong>From MSDN:</strong></p>\n\
<p>Confirms the integrity of the memory blocks allocated in the debug heap (debug version only).</p>\n\
<p>The _CrtCheckMemory function validates memory allocated by the debug heap manager by verifying</p>\n\
<p>the underlying base heap and inspecting every memory block. If an error or memory inconsistency</p>\n\
<p>is encountered in the underlying base heap, the debug header information, or the overwrite buffers,</p>\n\
<p>_CrtCheckMemory generates a debug report with information describing the error condition.</p>\n\
<p>When _DEBUG is not defined, calls to _CrtCheckMemory are removed during preprocessing.</p>\n\
<p>This function is used to detect heap corruptions created by the previous MAXScript method. In practice this detects only small heap corruptions, of only a few bytes (i.e. 1-6).</p>\n\
<p>This is because with every debug heap allocation is a small region of guard bytes (about 4 bytes) that wraps each heap allocation. Anything larger than a few bytes will corrupt some other pointers bytes, and thus this method doesn&apos;t work very well.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CRTCheckAssert &lt;int&gt;choice</code></pre><p>This simply fires one of two asserts.</p>\n\
<p>Passing 1 as the argument fires an assert implemented in the max source code, Maxutil.dll. This corresponds to a DbgAsset macro found in the maxsdk: (assert1.h)</p>\n\
<p>Passing 2 as the argument fires an assert implemented in the C runtime (i.e. Microsofts version).</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../The-MAXScript-Debugger.html\">The MAXScript Debugger</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";