var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E04AB16E-D5C8-4B00-81A6-E3945E97A1EB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Using the MAXScript Debugger</h1></div><p>The advantage of the MAXScript Debugger over using print/format is that when you hit the break, you can look at local variables, variables up the call tree (in each stack frame), and global variables. If you can get to a scope using one of those, you can access variables in those scopes.</p>\n\
<p>For example, you break in a scripted plug-in event handler. Normally, you would not see the scripted plug-in&apos;s local variables or parameters. Using the Debugger you cannot only see these, you can also change their value before continuing execution.</p>\n\
<p>How many times have you gotten some sort of MAXScript error, and you cannot determine what is the problem by looking at the values printed in the error trace-back, but if you do some more digging to see other variables you can determine it (thus the adding of print/format statements in the hope that they give you enough info).</p>\n\
<p><strong>3ds Max</strong> is multithreaded and when you hit a breakpoint, there can be multiple scripts running in different threads. The usual case of this is when you hit a scripted plug-in or controller while rendering. If you hit a breakpoint or exception in this case, the Debugger will default to the thread that threw it. But, if you broke by hitting the break button, then it defaults to the main thread. You might want to see what is running in a different thread, and can do so.</p>\n\
<p>As you run a script and call functions, each function call creates its own stack frame. The stack frame simply contains the local variables associated with that function call. In each stack frame, the following variables are shown:</p>\n\
<ul>\n\
<li><p><strong>Parameters</strong> - the function arguments</p>\n\
</li>\n\
<li><p><strong>Locals</strong> - the local variables</p>\n\
</li>\n\
<li><p><strong>Externals</strong> - non-local variables used in the function</p>\n\
</li>\n\
<li><p><strong>Owner</strong> - Parameters/Locals/Externals of the owner of the method</p>\n\
</li>\n\
</ul>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<p>   if you run the following code,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   v = 0\n\
   r = 0\n\
   (\n\
   local pi = 3\n\
   for i = 1 to 1000000 do\n\
   (ss = random e pi; v += ss; v += r; if i == 999999 do throw &quot;A&quot;)\n\
   )\n\
</code></pre><p>   and then hit <strong>Break</strong>, you will get:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   #\n\
   ** thread data: threadID:3364\n\
   ** ------------------------------------------------------\n\
   ** [stack level: 0]\n\
   ** In i loop; filename: C:\\Program Files\\Autodesk\\3ds Max 2010\\ui\\macroscripts\\; position: 94; line: 6\n\
   ** member of: anonymous codeblock\n\
   --  Parameters:\n\
   --   i: 260174\n\
   --  Locals:\n\
   --   ss: 2.79242\n\
   --   i: 260174\n\
   --  Externals:\n\
   --   owner: &lt;CodeBlock:anonymous&gt;\n\
   --   pi: 3\n\
   --   r: Global:r : 0\n\
   --   V: Global:V : 744008.0\n\
   --  Owner:\n\
   --   Locals:\n\
   --    pi: 3\n\
   --   Externals:\n\
   ** ------------------------------------------------------\n\
   ** [stack level: 1]\n\
   ** called from anonymous codeblock; filename: C:\\Program Files\\Autodesk\\3ds Max 2010\\ui\\macroscripts\\; position: 126; line: 6\n\
   --  Locals:\n\
   --   pi: 3\n\
   --  Externals:\n\
   ** ------------------------------------------------------\n\
   ** [stack level: 2]\n\
   ** called from top-level\n\
</code></pre></blockquote>\n\
<p>The first line just tells us which thread we are in. Most of the time this is not important. Then we start walking out through the function calls, dumping the stack frame for each call. In this case, there are three levels: the body of the for loop (which internally is handled as a function call), the code within the outer parentheses, and the Listener executing the for loop.</p>\n\
<p>For level 0, first we have the function name (i loop) and then we say what owns the function. In this case, its the code block defined by the outer parenthesis. This code block is anonymous because it does not have a name. Other code blocks will.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<p>   If you drag the above code onto a toolbar to make a MacroScript, run the MacroScript and hit Break, the first couple of lines will look like:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ** thread data: threadID:2224\n\
   ** [stack level: 0]\n\
   ** In i loop; filename:\n\
   C:\\3dsmax8\\UI\\MacroScripts\\DragAndDrop-Macro1.mcr; position: 186\n\
   ** member of: codeblock macroScript: DragAndDrop_Macro1\n\
</code></pre></blockquote>\n\
<p>Next thing shown is the Parameters, which for a for loop is just the for loop counter. The values shown here are the values passed to the function. Next are the Locals. There are 2- ss and i. Here, if a new value was assigned to variable i (the for loop counter), that new value will be shown. Next, the Externals are shown. These are variables that are used in the function, but are not local variables. They can be either defined in an outer scope, global scope, or some other outside scope. The owner variable allows you to access the owner of the function. For example, if the function was in a scripted plug-in, the owner will be the scripted plug-in instance. Through this, you can get and set the owner&apos;s variables.</p>\n\
<p>Finally, if there is an owner, the information for the owner is shown. In this case, it is not that important since the next stack level shows the same thing, but in general that is not true (functions in scripted plug-ins, MacroScripts, rollouts).</p>\n\
<p>The next stack level dumps the info for the caller of the function, the anonymous code block.</p>\n\
<p>Consider that you want to change the value of variable &apos;pi&apos;. You can only change a variable if you can access the variable. In this case, you can access &apos;pi&apos; from within the for loop function using: &apos;owner.pi&apos;</p>\n\
<p>However, if we had nested function calls, you will not be able to get to it that way. Instead, you will have to set the current stack level to the desired level and set the variable.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &gt;&gt; setframe 1\n\
   ** ok\n\
   &gt;&gt;locals\n\
   ** thread data: threadID:2224\n\
   ** [stack level: 1]\n\
   ** In anonymous codeblock\n\
   -- Locals:\n\
   -- pi: 3.1\n\
   -- Externals:\n\
   &gt;&gt; setvar pi 3.5\n\
   3.5\n\
   &gt;&gt; getvar pi\n\
   3.5\n\
</code></pre><p>   Compare the above to the error traceback from throwing the exception:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Error occurred in i loop\n\
   --  Frame:\n\
   --   ss: 2.99878\n\
   --   i: 999999\n\
   --   called in anonymous codeblock\n\
   --  Frame:\n\
   --   pi: 3\n\
   -- Runtime error: A\n\
</code></pre></blockquote>\n\
<p>There is also a <strong>Stop</strong> button in the MAXScript Debugger. After doing a <strong>Break</strong>, if you hit <strong>Run</strong> you will continue executing the code. If you hit <strong>Stop</strong>, the script will stop running.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../The-MAXScript-Debugger.html\">The MAXScript Debugger</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../The-MAXScript-Debugger.html\">The MAXScript Debugger</a></li>\n\
          <li><a class=\"link\" href=\"../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MXSDebugger.html\">Interface: MXSDebugger</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";