var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7358FB2E-182A-4BB8-8208-3E74D28FC205\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Editor - Defining And Using Abbreviations</h1></div><p>The <a href=\"./../MAXScript-Tabbed-Editor-Window.html\">Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> lets you define and use abbreviations of common used words to speed up the typing of scripting code.</p>\n\
<h2 id=\"defining-abbreviations\">Defining Abbreviations</h2><p>The abbreviations are defined in a file called <strong>MXS_Editor_Abbrev.properties</strong> which is empty by default after a fresh installation of <strong>3ds Max</strong> and is located in the <strong>3ds Max</strong> root directory, but can be easily accessed and edited using the <a href=\"./../MAXScript-Editor-Menu-Options/MAXScript-Editor-Tools-Menu.html\">Tools</a> &gt;<strong>Open Abbreviations.properties</strong> Editor Menu option.</p>\n\
<p><strong>An abbreviation is defined in the form</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AbbrevName&gt;=&lt;Expanded Form&gt;</code></pre><p>The abbreviation names can contain any characters (except control chars lile \\r or \\n), including high ASCII characters (accented characters). Abbreviation names cannot start with #, space or tab (but can contain spaces inside the name) and cannot contain the &apos;=&apos; character inside. Abbreviations names are limited to 32 characters.</p>\n\
<p>The expanded form may contain new line characters indicated by &apos;\\n&apos; and a caret position indicated by the &apos;|&apos; character. To include a literal &apos;|&apos; character, use &apos;| |&apos;. When expanding, the names don&apos;t need to be separated from the previous text. For example, if you define &apos;&#xE9;&apos; as &apos;&#xE9;&apos;, you can expand it inside a word. If a name is the ending of another one, only the shorter will ever be expanded. For example if you define &apos;ring&apos; and &apos;gathering&apos;, the later will see only the &apos;ring&apos; part expanded.</p>\n\
<p>You can define abbreviation definitions for any word, special character or expression that you find yourself typing in too often or is too long to remember.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<p>   The following are some possible abbreviations for accelerating GUI creation:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   cd=CreateDialog\n\
   nf=newRolloutFloater\n\
   rof=rendOutputFilename</code></pre><p>   After defining the abbreviations, press <strong>Ctrl+S</strong> to save the <strong>MXS_Editor_Abbrev.properties</strong> file to disk.</p>\n\
</blockquote>\n\
<h2 id=\"using-the-expand-abbreviation-feature\">Using the Expand Abbreviation Feature</h2><p>Press <strong>Ctrl+N</strong>to open a new Untitled script in a new tab.In the new script, enter</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   nf</code></pre><p>   While the cursor is still at the end of the abbreviation, press <strong>Ctrl+SHIFT+A</strong>. The abbreviation will immediately turn into</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   new Rollout Floater</code></pre></blockquote>\n\
<h2 id=\"using-the-insert-abbreviation-feature\">Using the Insert Abbreviation Feature</h2><p>Alternatively, position the cursor at the desired location in the editor and press <strong>Ctrl+SHIFT+R</strong> to open a small dialog listing all defined abbreviations.</p>\n\
<p><img src=\"./images/GUID-173264A2-BDE2-47DF-9F32-8A247EABE5FD-low.gif\" alt></p>\n\
<p>Either select an entry from the list or type in an existing abbreviation and press the Insert button to add the expanded word to your code.</p>\n\
<h2 id=\"using-the-abbreviation-feature-to-write-code-fragments\">Using the Abbreviation Feature To Write Code Fragments</h2><p>Since the expanded version can contain new line characters, it is possible to define abbreviations that contain prototype code and even full functions you need often to be inserted into your code.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<p>   You can define the following for loop prototype code as abbreviation in the file <strong>MXS_Editor_Abbrev.properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for do =for i = 1 to 100 where true do\\n(\\n)\\n \n\
</code></pre><p>   After defining the abbreviations, press <strong>Ctrl+S</strong> to save the <strong>MXS_Editor_Abbrev.properties</strong> file to disk.</p>\n\
<p>   If can now type in a script file</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fordo\n\
</code></pre><p>   and after pressing <strong>Ctrl+SHIFT+A</strong>, the following code would appear:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for i=1 to 100 where true do ( ) </code></pre><p>   Now you could customize this prototype code by modifying the <strong>from</strong> and <strong>to</strong> values, entering a valid <strong>while</strong> condition in place of true and writing some code into the body of the for loop, but it would have saved you some typing.</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Editor-Configuration.html\">MAXScript Editor Configuration And Customization</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";