var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0F53E04C-0760-4B9C-A1BE-0E53162DE479\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>BitArray Values</h1></div><p>The MAXScript <strong>BitArray</strong> class provides direct access &#x2019;s SDK BitArray class.</p>\n\
<p>The SDK BitArray is used throughout <strong>3ds Max</strong> to compactly encode selections as a string of bits.</p>\n\
<p><strong>Literals</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#{ &lt;selection&gt; } -- these are curly brackets!</code></pre><p>where <code>&lt;selection&gt;</code> is a comma-separated list of the following</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt; -- integers must be &gt; 0\n\
&lt;integer&gt; .. &lt;integer&gt;</code></pre><p>For example, #{1, 5, 10..200, 302} says that the bits 1, 5, 10 to 200, and 302 are &quot;turned on&quot;.</p>\n\
<p>When used in connection with selections in <strong>3ds Max</strong> (such as vertex or face or control vertex) the &quot;on&quot; bits imply the elements or sub-objects with those indexes are selected.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitarray&gt;.count : Integer      </code></pre><p>Returns the largest possible index held in the BitArray at that point in time.</p>\n\
<p>This value is independent of whether any particular indexes are selected or not. BitArrays grow dynamically as needed to accommodate the indexes used on it, just as with arrays.</p>\n\
<p>Writing to the <code>.count</code> property sets the storage to the specified number of bits.</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitarray&gt;[&lt;integer&gt;]</code></pre><p>Yields true if selected, else false</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitarray&gt;[&lt;integer&gt;] = &lt;boolean&gt;</code></pre><p>Sets or clears indexed bit</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitarray&gt; + &lt;bitarray&gt;</code></pre><p>Union (&quot;OR&quot; operation)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitarray&gt; * &lt;bitarray&gt;</code></pre><p>Intersection (&quot;AND&quot; operation)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitarray&gt; - &lt;bitarray&gt;</code></pre><p>Difference</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-&lt;bitarray&gt;</code></pre><p>Invert the bitarray</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">append &lt;bitarray&gt; &lt;integer&gt;   </code></pre><p>Adds index to bitarray, growing bitarray if necessary.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">join &lt;bitarray&gt; &lt;bitarray&gt; </code></pre><p>Union (&quot;OR&quot; operation) of the two bitarrays.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">findItem &lt;bitarray&gt; &lt;integer&gt; </code></pre><p>Yields index <code>&lt;integer&gt;</code> if selected, 0 otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteItem &lt;bitarray&gt; &lt;integer&gt; </code></pre><p>Clears the index selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy &lt;bitarray&gt; </code></pre><p>Creates an independent copy of the bitarray.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> BitArrays can be used interchangeable with ordinary #(...) <a href=\"Array-Values.html\">arrays</a> of index numbers where ever a selection array is applicable, such as in mesh sub-object selections.</div>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.verts[#{20..1023}] --selects all vertices between 20 and 1023\n\
</code></pre></blockquote>\n\
<p>You can sequence over BitArrays with a for-loop, which yields a sequence of index numbers corresponding to the currently selected items.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for i in #{2..200} do print i -- print the numbers between 2 &amp; 200\n\
</code></pre></blockquote>\n\
<p>You can perform an &quot;AND&quot; operation between two BitArrays by inverting the difference between them.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a=#{1..5}\n\
   b=#{3..10}\n\
   c=-(a-b) -- result in c is #{3..5}\n\
</code></pre></blockquote>\n\
<p><strong>Coercion of bitArray to array and integer arrays to bitArrays:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitArray&gt; as array \n\
&lt;integer array&gt; as bitArray </code></pre><blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a=#{1..5,10}\n\
   b=a as array\n\
   c=b as bitarray\n\
</code></pre></blockquote>\n\
<p>If an element of the array cannot be coerced to an integer, an error is thrown. <code>.numberSet</code> and <code>.isEmpty</code> are read-only properties, which have been added to the <code>BitArrayValue</code> class.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.numberSet </code></pre><p>Returns the number of bits set</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.isEmpty </code></pre><p>Returns true if no bits are set and false if one or more bits are set.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a=#{1..5,10..20} \n\
   a.numberset --&gt; 16\n\
   a.isEmpty --&gt; false\n\
    a=#{}\n\
    a.numberset --&gt; 0\n\
    a.isEmpty --&gt; true\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Collection-Types.html\">Collection Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Array-Values.html\">Array Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";