var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-39A9FDB8-E508-413F-BF58-EC8F52BE7CA9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Dictionary Values</h1></div><p>Available in <strong>3ds Max 2017.1 Update and higher</strong>: A Dictionary is a collection of key/value pairs, also known as an associative array. Keys can be of type name, string, or integer. For a given dictionary, the key type specified at the time of creation, and is always the same. The value can be of any type.</p>\n\
<p>Dictionaries support iteration in a for loop, where each element is processed as a <code>DataPair</code>. Each <code>DataPair</code> contains the key as <code>v1</code>, the value as <code>v2</code>, the <code>value1_name</code> of <code>#key</code>, and <code>value2_name</code> of <code>#value</code>.</p>\n\
<blockquote>\n\
<p>   <strong>Example</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   d = Dictionary #(#ss, 1) #(#tt, 2)\n\
   for ele in d do print ele</code></pre><p>   <strong>Results</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Dictionary #name ss:1 tt:2 \n\
   (DataPair key:#ss value:1)\n\
   (DataPair key:#tt value:2)\n\
   OK</code></pre></blockquote>\n\
<p>The Dictionary value class can be specified in a persistent global variable. All values in the Dictionary must be specifiable as a persistent global variable in order for the Dictionary to be fully restored on scene file load.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Dictionary() -- empty dictionary of type #name\n\
Dictionary (#integer | #name | #string) -- empty dictionary of the specified type\n\
Dictionary {#(key, value)}+ -- one or more two-value arrays\n\
Dictionary {key:value}+ -- one or more explicit key:value pairs\n\
Dictionary {(DataPair key value)} -- one or more DataPair objects</code></pre><p>Dictionaries can be constructed using different types at once, for example with an array and a <code>DataPair</code>, but the key type must always be the same.</p>\n\
<p>The default key type for a dictionary is <code>#name</code>. If the dictionary constructor uses <code>DataPairs</code>, the key type is the type of the first <code>DataPair</code>&apos;s key value. All remaining <code>DataPairs</code> must have the same key value type. If the dictionary constructor uses Arrays, the key type is the type of the first Array&#x2019;s element 1 value. All remaining Arrays must have the same element 1 value type. If keyword arguments are used, their key type is <code>#name</code>. For dictionaries of type <code>#integer</code>, the actual key value type can be any of <code>Integer</code>, <code>IntegerPtr</code>, or <code>Integer64</code>, interchangeably.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;dictionary&gt;.count : Integer, read-only</code></pre><p>A count of items in the dictionary</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;dictionary&gt;.type read-only </code></pre><p>The type of the dictionary, which can be <code>#name</code>, <code>#string</code>, <code>#integer</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;dictionary&gt;.keys : Array, read-only</code></pre><p>An array of the dictionary&apos;s keys. Note: changing this array does not affect the dictionary.</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;dictionary&gt;[key] </code></pre><p>Gets the value for <code>key</code>. If there is not an entry for the key, the value <code>undefined</code> is returned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;dictionary&gt;[key] = &lt;value&gt;</code></pre><p>Sets the value for key. An existing entry does not need to exist for the key.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GetDictValue &lt;dictionary&gt; &lt;key &gt;</code></pre><p>Gets a value from the dictionary based on <code>key</code>. If there is no entry for the key, a value of undefined is returned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SetDictValue &lt;dictionary&gt; &lt;key &gt; &lt;value&gt;</code></pre><p>Sets the value for an existing entry in dictionary based on <code>key</code>. If there is no entry for the key, nothing happens.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PutDictValue &lt;dictionary&gt; &lt;key &gt; &lt;value&gt; putOnlyIfNew:&lt;boolean&gt; -- defaults false</code></pre><p>Puts a value in dictionary based on key.</p>\n\
<p>If <code>putOnlyIfNew</code> is true, the value is added only if there is no existing entry for the key. If <code>putOnlyIfNew</code> is false, the value is added even if there is an existing entry for the key. If there is an entry, its value is set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RemoveDictValue &lt;dictionary&gt; &lt;key &gt;</code></pre><p>Removes the existing entry in the dictionary based on <code>key</code>. If there is no entry for the key, nothing happens.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">HasDictValue &lt;dictionary&gt; &lt;key &gt;</code></pre><p>Returns whether there is an existing entry in the dictionary for the given <code>key</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GetDictKeys &lt;dictionary&gt;</code></pre><p>Returns an array of key values in the dictionary.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GetDictKeyType &lt;dictionary&gt;</code></pre><p>Returns the key type of the dictionary - <code>#name</code>, <code>#string</code>, or <code>#integer</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy &lt;dictionary&gt; [#nomap]</code></pre><p>Creates a shallow copy of the dictionary. Note that unlike with other collection types, <code>copy()</code> always makes a shallow copy of Dictionaries, the <code>#nomap</code> option is not actually required.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deepCopy &lt;dictionary&gt;</code></pre><p>Creates a deep copy of the dictionary. Available in <strong>3ds Max 2019 and higher</strong>. The dictionary is recursively traversed, and new copies are generated of all items in the dictionary. Note that if the dictionary contains multiple references to a single value, the deep copy will contain multiple references to a single, new value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">free &lt;dictionary&gt;</code></pre><p>Frees the internal memory associated with the dictionary. This effectively removes all items from the dictionary.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Collection-Types.html\">Collection Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";