var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-95DA3E18-179B-45F8-AA7F-724154D6A2B1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>FaceSelection Values</h1></div><p>A <strong>FaceSelection</strong> represents a set of faces for a scene mesh node as a virtual array.</p>\n\
<p>As such, you can access a face by index, iterate over the faces, and apply mapped functions to the faces.</p>\n\
<p>See also <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\">Editable Mesh</a>.</p>\n\
<p>The FaceSelection array is <strong>dynamic</strong> (its contents change as the faces or selected faces of the mesh node change).</p>\n\
<p>FaceSelection values are <strong>mappable</strong>.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.selectedFaces </code></pre><p>The currently selected faces of the mesh object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.Faces </code></pre><p>All of the faces of the mesh object (read-only).</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;faceselection&gt;.count : Integer, read-only </code></pre><p>Returns the number of faces in the FaceSelection array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;faceselection&gt;.selSetNames : Array of names, read-only </code></pre><p>Returns an array of names of the current face-level named selection sets for the object the FaceSelection is associated with.</p>\n\
<p>The following property is present for singleton selections (of the form $foo.faces[n]):</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;faceselection&gt;.index : Integer, read-only </code></pre><p>Returns the index of the selected element in the mesh,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.selectedFaces[2].index\n\
   -- returns the face index of the 2nd face in the current selection.\n\
</code></pre></blockquote>\n\
<p>Iterating over a selection yields singleton selections in the loop body:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   sf = for i in $foo.selectedFaces collect i.index\n\
   --sf contains selected faces as array\n\
</code></pre></blockquote>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;.selectedFaces = (&lt;array&gt; | &lt;bitarray&gt;) </code></pre><p>Selects the specified faces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;faceselection&gt;[&lt;integer&gt;] </code></pre><p>Retrieves the indexed face as a singleton FaceSelection. Index starts at 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;faceselection&gt;[&lt;integer&gt;] = &lt;point3&gt; </code></pre><p>Sets the vertices of the indexed face to the vertex indices specified in the point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;faceselection&gt;[(&lt;integer_array&gt; | &lt;bitarray&gt;)] </code></pre><p>Retrieves the indexed faces as a FaceSelection. Index starts at 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;faceselection&gt;[(&lt;#name&gt; | &lt;string&gt;)] </code></pre><p>Retrieves the face-level named selection set, where the name of the named selection set can be specified as a name or string value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;faceselection&gt;[(&lt;#name&gt; | &lt;string&gt;)] = (&lt;faceselection&gt; | &lt;integer_array&gt; | &lt;bitarray&gt;) </code></pre><p>Sets the face-level named selection set to the specified faces.</p>\n\
<p>The name of the named selection set can be specified as a name or string value, and the faces can be specified as an array, a bitArray, or a FaceSelection from the same object.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">move &lt;faceselection&gt; &lt;point3&gt; </code></pre><p>Moves the faces in the FaceSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">select &lt;faceselection&gt; </code></pre><p>Selects the faces in the FaceSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deselect &lt;faceselection&gt; </code></pre><p>Deselects the faces in the FaceSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delete &lt;faceselection&gt; </code></pre><p>Deletes the faces in the FaceSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">append &lt;faceselection&gt; (&lt;faceselection&gt; | &lt;integer&gt;) </code></pre><p>Appends the face(s) to the FaceSelection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">findItem &lt;faceselection&gt; (&lt;faceselection[&lt;integer&gt;] | &lt;integer&gt;) </code></pre><p>Returns the selection index of the matching item or 0 if not found. The item is selection index or singleton FaceSelection.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- move faces in &apos;mouth&apos; named selection set\n\
   move $foo.faces[#mouth] [0,0,10]\n\
   -- select faces in &apos;front faces&apos; set\n\
   select $baz.faces[&quot;front faces&quot;]\n\
   -- set &apos;baz&apos; named selection set to given faces\n\
   $foo.faces[#baz] = #(1,3,4,5,10)\n\
   -- set &apos;cursel&apos; set to current selection\n\
   $baz.faces[#cursel] = $baz.selectedFaces\n\
   -- all the names of the face-level named selection sets for object $foo\n\
   $foo.faces.selSetNames\n\
   -- print out all face-level named selection sets\n\
   for n in $.faces.selSetNames do print $.faces[n]\n\
   -- print all selected edges, with printAllElements context on so the list is not truncated\n\
   with printAllElements on print $foo.selectedFaces\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Collection-Types.html\">Collection Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Values/PrintAllElements-Variable-and.html\">PrintAllElements Variable and Context</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";