var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3A44E400-8175-4A99-A53B-68192403819C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXKeyArray Values</h1></div><p>A <strong>MAXKeyArray</strong> represents all the keyframe keys in a <strong>3ds Max</strong> controller track.</p>\n\
<p>See also <a href=\"./../../Values/MAXKey-Values/MAXKey-Values-1.html\">MAXKey Values</a>, <a href=\"./../../Values/MAXKey-Values/Working-with-MAXKey-Values.html\">Working with MAXKey Values</a>, and <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Controller-Common-Properties-1.html\">Controller Common Properties, Operators, and Methods</a>.</p>\n\
<p>MAXKeyArray values are <strong>mappable</strong>.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.&lt;animatable_property&gt;.keys </code></pre><p>The key array can be accessed using the <code>keys</code> property on an animated <strong>3ds Max</strong> object property.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.position.keys\n\
   $foo.twist.angle.keys\n\
</code></pre></blockquote>\n\
<p>If the <strong>3ds Max</strong> object parameter is not yet animated (no controller has been assigned to the parameter), a value of <code>undefined</code> is returned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;controller&gt;.keys </code></pre><p>The key array can be accessed using the <code>keys</code> property on a controller.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.position.controller.keys\n\
   $foo[3][1].keys\n\
</code></pre></blockquote>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;key_array&gt;.count : Integer, read-only </code></pre><p>Returns the number of keys in the key array.</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;key_array&gt;[&lt;index_integer&gt;] </code></pre><p>Returns a <a href=\"./../../Values/MAXKey-Values/MAXKey-Values-1.html\">MAXKey</a> value representing the indexed key in the key array. Indexes start at 1.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">append &lt;key_array&gt; &lt;key&gt; </code></pre><p>Appends key to key array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteItem &lt;key_array&gt; &lt;index_integer&gt; </code></pre><p>Deletes the indexed key. Key indexes are <strong>1-based</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addNewKey &lt;key_array&gt; &lt;time&gt; [ #select ] </code></pre><p>Adds a new key to the key array at the time specified. The value for the new key is the interpolated controller value at the specified time.</p>\n\
<p>The new key is also selected if the <code>#select</code> optional argument is specified.</p>\n\
<p>The value for the new key is the interpolated controller value at that time. <code>addNewKey()</code> will not add a key if a key already exists at the specified time.</p>\n\
<p>The return value in this case is the key located at the specified time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteKeys &lt;key_array&gt; [ #allKeys ] [ #selection ] </code></pre><p>Deletes keys from the controller according to the optional symbolic argument supplied.</p>\n\
<p><code>#allKeys (default)</code>: deletes <strong>all</strong> keys in the controller.</p>\n\
<p><code>#selection</code> : deletes the currently selected keys.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteKey &lt;key_array&gt; &lt;index_integer&gt; </code></pre><p>Deletes the indexed key. Key indexes are <strong>1-based</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">moveKeys &lt;key_array&gt; &lt;time&gt; [ #selection ] </code></pre><p>Moves all keys by the time given. If <code>#selection</code> is specified, move the current selection. Otherwise, move all keys.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sortKeys &lt;key_array&gt; </code></pre><p>Re-sorts keys according to their times. Some MAXKey operations can result in out of order keys and this function must be called to correctly order keys.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>All of the above methods might re-sequence keys in the key array and cause existing keys to take on <strong>different</strong> indexes because key array indexes are time positional.</p>\n\
<p>Take care when inserting and deleting keys into arrays that have individual keys in variables and other containers. MAXKey values are defined internally in terms of this index and might point to <strong>different</strong> keys if you re-arrange the keys in a controller.</p>\n\
<p>MAXKeyArrays also support mapped property assignment in their contents in the same way that pathname and array collections do in their contents.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = box()\n\
   c = cylinder()\n\
   for i = 1 to 3 do\n\
   b.pos.controller[i].controller.keys.time += 10f\n\
   --bumps all position key times by 10 frames,\n\
   --this is necessary because Position_XYZ has 3 sub-controllers\n\
\n\
   c.bend.angle.keys.value *= 1.2\n\
   --scales all the bend angle key values up by 1.2.\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   keys = $box01.bend.angle.keys\n\
   for t in 0f to 100f by 10f do \n\
   addNewKey keys t\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Collection-Types.html\">Collection Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";