var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D10CEFAB-E451-4A63-968E-01AEDEFCE928\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MaterialLibrary Values</h1></div><p>A <strong>MaterialLibrary</strong> contains a table of materials as an array.</p>\n\
<p>The <strong>3ds Max</strong> system global variables <a href=\"MaterialLibrary-Values.html\">currentMaterialLibrary</a> and <a href=\"MaterialLibrary-Values.html\">sceneMaterials</a> contain MaterialLibrary instances.</p>\n\
<p>System global variable <a href=\"MaterialLibrary-Values.html\">meditMaterials</a> is not a MaterialLibrary value, rather it is a virtual array of the materials in the Material Editor sample slots.</p>\n\
<p>In most cases, <code>meditMaterials</code> can be considered a MaterialLibrary value with the exception that you can assign a material or textureMap value to a <code>meditMaterials</code> element.</p>\n\
<p>MaterialLibrary values are <strong>mappable</strong>.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">currentMaterialLibrary </code></pre><p>A <a href=\"MaterialLibrary-Values.html\">system global</a> containing the current material library.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sceneMaterials </code></pre><p>A <a href=\"MaterialLibrary-Values.html\">system global</a> containing all materials in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meditMaterials </code></pre><p>A <a href=\"MaterialLibrary-Values.html\">system global</a> containing the 24 sample slot materials in the Material Editor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">materialLibrary { &lt;material&gt; } </code></pre><p>Creates a <strong>temporary</strong> material library. You can add materials to this library with the <code>append</code> function, and save it to disk and load it from disk using the <code>saveTempMaterialLibrary</code> and <code>loadTempMaterialLibrary</code> functions documented <a href=\"MaterialLibrary-Values.html\">farther in this topic</a>.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mat_lib&gt;.count : Integer, read-only </code></pre><p>Returns the number of materials in the library.</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mat_lib&gt;[ &lt;integer&gt; | &lt;name&gt; | &lt;string&gt; ] </code></pre><p>Retrieves a material from the material library. Material libraries can be indexed just like arrays with an integer index, or by using the material name as a Name or String value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mat_lib&gt;[ &lt;integer&gt; | &lt;name&gt; | &lt;string&gt; ] = ( &lt;material&gt; | &lt;textureMap&gt; ) </code></pre><p>Assigns the specified material or textureMap to the material library.</p>\n\
<p>Material libraries can be indexed just like arrays with an integer index, or by using the material name as a Name or String value.</p>\n\
<p>If the material library is indexed by an index value, and the index value is larger than the size of the material library, a runtime error is generated.</p>\n\
<p>If the material library is indexed by a material name, and the material name is not already present in the material library, the material or textureMap is appended to the material library.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meditMaterials[&lt;slot_index_integer&gt;] </code></pre><p>Returns the material or textureMap in the indexed material editor slot.</p>\n\
<p>Valid <code>&lt;slot_index_integer&gt;</code> values are 1 through 24.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">meditMaterials[&lt;slot_index_integer&gt;] = ( &lt;material&gt; | &lt;textureMap&gt; ) </code></pre><p>Assigns the specified material or textureMap to the indexed material editor slot.</p>\n\
<p>Valid <code>&lt;slot_index_integer&gt;</code> values are 1 through 24.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   meditMaterials[3]= standard()\n\
   --sets the third slot of the Material Editor\n\
   --to a new standard material.\n\
</code></pre></blockquote>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">append &lt;mat_lib&gt; &lt;material&gt; </code></pre><p>Append the specified material to the material library. This method is not applicable to the <code>meditMaterials</code> material library.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteItem &lt;mat_lib&gt; ( &lt;integer&gt; | &lt;name&gt; | &lt;string&gt; ) </code></pre><p>Delete the specified material from the material library. The material can be specified as the indexed material in the material library, as a String or as a Name. This method is not applicable to the <code>meditMaterials</code> material library.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">findItem &lt;mat_lib&gt; &lt;material&gt; </code></pre><p>Returns the index of the material in the material library or <strong>zero</strong> if the material is not in the material library.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMeditMaterial &lt;slot_index_integer&gt; </code></pre><p>Returns the top level material or textureMap in the specified material editor slot. Valid <code>&lt;slot_index_integer&gt;</code> values are 1 through 24.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theMat = getMeditMaterial 3\n\
   --gets the material from the third slot of the Material Editor.\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setMeditMaterial &lt;slot_index&gt; ( &lt;material&gt; | &lt;textureMap&gt; ) </code></pre><p>Complements the <code>getMeditMaterial</code> function allowing you to place a material or textureMap into the numbered material editor slot.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">loadDefaultMatLib() </code></pre><p>Loads the default <strong>3ds Max</strong> material library file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">loadMaterialLibrary &lt;filename_string&gt; </code></pre><p>Loads the named <strong>3ds Max</strong> material library file, which becomes the current material library. If the file name does not have a fully specified directory path, the function searches through all the currently configured bitmap paths. Returns <code>true</code> if loading is successful, <code>false</code> if it fails.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">saveMaterialLibrary &lt;filename_string&gt; </code></pre><p>Saves the current material library into the named file. Returns <code>true</code> if saving is successful, <code>false</code> if it fails.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fileOpenMatLib() </code></pre><p>This method displays the File Open dialog and allows the user to select a material library to load.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> If the Material/Map Browser is open when <code>fileOpenMatLib()</code> is called, the Material/Map Browser display is not updated.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fileSaveAsMatLib() </code></pre><p>Displays the standard Save File As dialog to allow the user to save the current material library.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fileSaveMatLib [quiet:&lt;boolean&gt;] </code></pre><p>If the current material library has been saved previously (has been named) this method saves the material library to the same file. Otherwise, it displays the standard Save File As dialog to allow the user to save the current material library.</p>\n\
<p>For details on the <code>quiet:</code> option available in <strong>3ds Max 8 and higher</strong>, please see <a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Network-Render-Interface/Quiet-Mode.html\">Quiet Mode</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMatLibFileName() </code></pre><p>Returns the current material library file name as a String value.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<p>   You can use the standard array indexing accessors to get and set materials in the library. MaterialLibraries also allow you to use name and string literals as indexes to get materials in them by name:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $foo.material = currentMaterialLibrary[&quot;Rough Gold&quot;]\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for m in sceneMaterials do print m.name\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   append currentMaterialLibrary $baz.material\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MAXMaterialLibrary&gt;loadTempMaterialLibrary &lt;mtllib_file_name&gt; </code></pre><p>Loads the named 3ds Max material library file. Unlike <code>loadMaterialLibrary()</code> , the material library does not become the current material library. If the file name does not have a fully specified directory path, the function searches the material library path and all the currently configured bitmap paths. Returns MAXMaterialLibrary value if loading is successful, undefined if it fails.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;saveTempMaterialLibrary &lt;MAXMaterialLibrary&gt; &lt;mtllib_file_name&gt; </code></pre><p>Saves the specified MAXMaterialLibrary value into the named file. Returns true if saving is successful, false if it fails.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<p>   You can use the standard array indexing accessors to get and set materials in the library. MaterialLibraries also allow you to use name and string literals as indexes to get materials in them by name:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a = loadTempMaterialLibrary &quot;mrArch_DesignTemplates.mat&quot;\n\
   --&gt; #materialLibrary()\n\
   a[1]\n\
   --&gt; brushed metal:Arch___Design__mi\n\
   saveTempMaterialLibrary a &quot;$matlibs/test.mat&quot;\n\
   --&gt; true\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt; UpdateSceneMaterialLib() </code></pre><p>Forces an update to the Scene Material Library (the <strong>sceneMaterials</strong> global). The Scene Material library is not guaranteed to be accurate after some scene operations. For example, if you delete a node, the material for that node may still appear in the Scene Material library.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Collection-Types.html\">Collection Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";