var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-99A90A15-04D5-4D53-B9F1-CE5C7E1C4D7D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Collections</h1></div><p>Many of the values you work with in MAXScript are sequenced <strong>collections</strong>, notably <a href=\"Collection-Types/Array-Values.html\">arrays</a>, wild-card <a href=\"Collection-Types/PathName-Values.html\">pathname</a> selections, and the built-in <a href=\"Collection-Types/ObjectSet-Values.html\">object sets</a>.</p>\n\
<p>In the manner of most operating system shell command languages, MAXScript will <strong>automatically</strong> apply appropriate operations to each of the members in these target collections. This is called a <strong>mapped operation</strong>.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>EXAMPLES:</th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>hide $lights/key*</code></td>\n\
<td>Hide all the &apos;key&apos; lights in the scene</td>\n\
</tr>\n\
<tr>\n\
<td><code>$box*.position = [0,0,0]</code></td>\n\
<td>Re-center all boxes</td>\n\
</tr>\n\
<tr>\n\
<td><code>delete dead_objects</code></td>\n\
<td>Delete all the objects in the array &apos;dead_objects&apos;</td>\n\
</tr>\n\
<tr>\n\
<td><code>obj.pos.keys.intangent=#fast</code></td>\n\
<td>Set in tangent to fast for all obj&apos;s position keys</td>\n\
</tr>\n\
<tr>\n\
<td><code>lights.value *= 0.8</code></td>\n\
<td>Turn down all the lights 20%</td>\n\
</tr>\n\
</tbody></table>\n\
<p>MAXScript determines whether to perform a <strong>mapped operation</strong> by looking at <strong>the first argument</strong> to a function or the target in a property assignment to see if it is a sequenced collection. In the case of a function call, it also looks to see if the function is of the appropriate kind, evaluates all the other argument expressions <strong>only once</strong>.</p>\n\
<p>MAXScript then calls the function on each of the members of the first argument collection passing along the other evaluated arguments. In the case of a property assignment, it evaluates the right-hand-expression <strong>only once</strong> and assigns the value to the named property of each of the elements in the target value collection.</p>\n\
<p>This means that every element in the collection <strong>must be</strong> a valid target for the function or have the named property in question. If MAXScript comes across an inappropriate target it will report an error and stop the automatic operation.</p>\n\
<p>Except for certain common properties, MAXScript currently only allows automatic collection mapping of property assignment <strong>one level deep</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<p>   the following will perform collection mapping across the objects <a href=\"Collection-Types/ObjectSet-Values.html\">ObjectSet</a>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   objects.pos = [0,0,0] --move all objects to world center\n\
</code></pre></blockquote>\n\
<p>If the last level specified is one of the following component names, the automatic collection mapping is performed on the preceding property:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.angle .b .blue .axis .controller .g .green .isAnimated .keys .r .red .track .x .x_rotation .y .y_rotation .z .z_rotation </code></pre><blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<p>   the following will perform collection mapping across the <strong>objects</strong> ObjectSet:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   objects.pos.z = 0.0 --move all objects to world XY plane\n\
</code></pre></blockquote>\n\
<p>This behavior of calling a function on all the elements of a collection is known as <strong>mapping</strong> in computer science. In the description of each collection type, you will find those kinds of sequenced collections that can be mapped over identified as <strong>mappable</strong>.</p>\n\
<p>In the descriptions of the various functions and operators throughout this document, those that act on each element in a collection are labeled <strong>mapped</strong>.</p>\n\
<p>In general, the functions that are mapped are those that have some side-effect on the value they take, such as moves, and deletes and hides.</p>\n\
<p>Others, like the test function <code>isHidden()</code> , are <code>not</code> mapped because it would be pointless since the result would not be able to represent the state of multiple objects.</p>\n\
<p>All mapped functions defined by MAXScript, such as <code>copy()</code> , <code>delete()</code> , or <code>move()</code> , take an optional last argument, <code>#noMap</code> . This causes the functions not to be mapped when called on collection arguments such as arrays. When used with <code>copy()</code> on arrays in particular, this will return a top-level copy of the array itself and not perform an individual <code>copy()</code> on each element of the array.</p>\n\
<p>You can make your own <a href=\"./../Creating-Functions/Creating-Functions-1.html\">mapped scripted functions</a> by preceding the function definition with the reserved word <code>mapped</code> ,</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<p>   the following will perform collection mapping across the objects ObjectSet:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mapped function rand_color x = (x.wireColor = random black white)\n\
</code></pre></blockquote>\n\
<p>This causes such functions to be automatically called repeatedly on the elements of a collection if a collection is given as the first argument to the function. The <code>#noMap</code> argument is not applicable to user-written functions!</p>\n\
<p>As described in <a href=\"./../Controlling-Program-Flow/For-Loop.html\">For Loop</a>, a <code>for</code> loop can be set up to iterate through a collection set assigning successive elements in the collection to the loop value each time through the loop. <code>For</code> loops can also be set up to return an array collection set as its result.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- sequence an array:\n\
   for item in table1 do x = x + item.height\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- you can sequence pathnames:\n\
   bigones = for obj in $box* where obj.height &gt; 100 collect obj\n\
   -- collect the big boxes into an array\n\
</code></pre></blockquote>\n\
<p>When iterating through a collection set using a <code>for</code> loop, or when passing a collection to a mapped function, care must be taken not to reorder or remove elements in the collection set within the <code>for</code> loop or function.</p>\n\
<p>Take for an example a script that is supposed to convert all of the selected splines into NURBS curves.</p>\n\
<blockquote>\n\
<p>   <strong>TWO SCRIPTS THAT DO NOT EXECUTE PROPERLY ARE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for obj in selection do ( convertToNURBSCurve obj)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   convertToNURBSCurve selection\n\
</code></pre><p>   The reason neither of these lines execute properly is that the <code>convertToNURBSCurve()</code> function clears the current selection. So only the first spline is passed to <code>convertToNURBSCurve()</code> and converted. Since <code>convertToNURBSCurve()</code> is a built-in function, there is no way to modify this behavior.</p>\n\
<p>   To get around this problem, you need to first &quot;snapshot&quot; the selection collection set as an array using the <code>as</code> operator, or use the <code>getCurrentSelection()</code> function, which returns the current selection set as an array.</p>\n\
<p>   <strong>TWO SCRIPTS THAT EXECUTE PROPERLY ARE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for obj in (selection as array) do ( convertToNURBSCurve obj)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   convertToNURBSCurve (getCurrentSelection())\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Collections.html\">Collections</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";