var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9294EF2F-B785-462A-B30E-19CDE2CE2809\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>If Expression</h1></div><p>The <code>if</code> expression is used to conditionally execute an expression based on the result of a boolean test expression.</p>\n\
<p>The syntax for an <code>&lt;if_expr&gt;</code> is one of:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if &lt;expr&gt; then &lt;expr&gt; [else &lt;expr&gt; ]\n\
\n\
if &lt;expr&gt; do &lt;expr&gt;</code></pre><blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   if a &gt; b do (print d; print e)\n\
   a = (if d = = 0 then 0 else a / d)</code></pre></blockquote>\n\
<p>The first <code>&lt;expr&gt;</code> is a test expression that must evaluate to <code>true</code> or <code>false</code> , such as a comparison or logical expression. If the result is <code>true</code> , the <code>then</code> or <code>do &lt;expr&gt;</code> is evaluated and its value is returned as the result of the <code>&lt;if_expr&gt;</code>. If the result is <code>false</code> , the optional <code>else &lt;expr&gt;</code> is evaluated and its value is returned as the result of the <code>&lt;if_expr&gt;</code>. If there is no <code>else</code> or the <code>do</code> form is used, the <code>&lt;if_expr&gt;</code> returns the value <code>undefined</code> .</p>\n\
<p>The <code>do</code> form is provided particularly for use during interactive sessions in the MAXScript Listener. When you enter expressions for immediate evaluation into the Listener, MAXScript determines if your expression is complete and then evaluates it. If you use the optional <code>else</code> form in the Listener and you want to omit the <code>else &lt;expr&gt;</code>, MAXScript continues to &quot;wait and see&quot; if you enter an <code>else &lt;expr&gt;</code>. The line break after the <code>then &lt;expr&gt;</code> is legal and does not cause MAXScript to evaluate the current line right away.</p>\n\
<blockquote>\n\
<p>   <strong>AS AN EXAMPLE,</strong></p>\n\
<p>   As an example, if the following script is entered in Listener, the first line will not evaluate until you enter the second line:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   if match x y then print x\n\
   print &quot;hello&quot;</code></pre></blockquote>\n\
<p>When you use the optional <code>else</code> form inside a block or another expression, MAXScript can determine from the code that follows it if you omitted the optional <code>else</code> . Use the <code>do</code> form for <code>if</code> statements without an <code>else</code> as top-level commands in the Listener:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   if match x y do print x</code></pre></blockquote>\n\
<p>You can nest <code>if...then...else</code> clauses, however in this situation consider using a <a href=\"Case-Expression.html\">Case expression</a> for better code clarity:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   if a &gt; b then print a\n\
   else if b &gt; c then print b\n\
   else if c &gt; d then print c\n\
   else print d</code></pre></blockquote>\n\
<p>As described in <a href=\"./../Names-Literal-Constants-and/Expressions.html\">Expressions</a>, anywhere you can write an <code>&lt;expr&gt;</code> expression, you can write <strong>any</strong> construct in MAXScript. In statement-based languages, there is usually one syntax for <code>if</code> statements and a separate one for conditional expressions. In MAXScript, a single syntax is used for both cases.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<p>   the following two lines of code are both valid, and their meaning should be obvious:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   if a &gt; b then print c else print d\n\
   x = if a &gt; b then c else d</code></pre><p>   You can also write the following line, containing a nested <code>if</code> expression and a nested assignment, which is itself an expression:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   x = if (if a &gt; b then c else d) &lt; e then f else (g = 23)</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Controlling-Program-Flow.html\">Controlling Program Flow</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";