var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D4660B55-E229-4155-9B4B-EE13178D4E8D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Sticky Contexts</h1></div><p>You can force the settings of contexts such as, <code>coordsys</code> , <code>animate</code> , <code>time</code> , and so on to be &quot;sticky.&quot;</p>\n\
<p>The settings will stay active for any code execution that follows until the point you change them or override them with a context prefix for an expression.</p>\n\
<p>This is particularly useful when working in the Listener, allowing you to set a context and then perform several interactive operations in that context without prefixing each with the desired context construct.</p>\n\
<p>Establishing a sticky context is accomplished with the <code>set</code> construct:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">set &lt;context&gt;      </code></pre><p>Where, <code>&lt;context&gt;</code> is one of the MAXScript context prefixes: <code>animate</code> , <code>time</code> , <code>in</code> , <code>coordsys</code> , <code>about</code> , <code>level</code> , or <code>undo</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b=box()\n\
   s=sphere()\n\
   c=cylinder()\n\
   addModifier c (bend angle:30)\n\
   set animate on\n\
   set time 30f\n\
   move b [80,0,0]\n\
   scale s [1,1,3]\n\
   c.bend.angle += 23\n\
   --...\n\
   set animate off\n\
   set time off\n\
</code></pre></blockquote>\n\
<p>This turns animate on and sets the current time to frame 30 after which any number of interactive operations can be performed that will generate animation at frame 30.</p>\n\
<p>The modes are then returned to default.</p>\n\
<p>As shown in this example, certain MAXScript contexts permit syntactic variants to make the set construct read clearly.</p>\n\
<p><strong>In particular, these are:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">set time &lt;value&gt; | off -- variant of at time &lt;time&gt;   </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">set level &lt;node&gt; -- variant of at level &lt;node&gt; </code></pre><p>The time context can be set to <code>off</code> , signifying the current value of the <strong>3ds Max</strong> time slider is to be used.</p>\n\
<p>All the <code>set</code> constructs are expressions that yield the context setting that <strong>was in force</strong> at the time the new context was set.</p>\n\
<p>This allows you to simulate the standard nested forms of these constructs by storing the old context in a variable and using that to restore the context later.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   oc = set coordsys parent -- remember old coordsys\n\
   rotate $foo (quat 30 z_axis)\n\
   ...\n\
   set coordsys oc -- restore it\n\
</code></pre></blockquote>\n\
<p>You can also force several of the contexts back to their default states by specifying <code>#default</code> as their parameter.</p>\n\
<p>The <code>set</code> constructs for which you can specify <code>#default</code> are: <code>animate</code> , <code>in</code> , <code>coordsys</code> , and <code>level</code> .</p>\n\
<p>When using the <code>set undo on</code> construct to enable the undoing of scripted changes in the Listener, undo granularity is a top-level expression.</p>\n\
<p>Each time you evaluate an expression or sequence of selected expressions with the <code>ENTER</code> or <code>Number-Pad ENTER</code> key, a single entry is added to the Undo stack.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Context-Expressions.html\">Context Expressions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";