var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6C7219CF-B9B7-4B18-A846-5522A9D970F3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>coordsys</h1></div><p>The <code>[ in ] coordsys &lt;coordsys_spec&gt;</code> context corresponds to the current reference coordinate system list in the main <strong>3ds Max</strong> toolbar.</p>\n\
<p>Prefixing an expression, operation, or block-expression with a <code>coordsys</code> context causes 3D coordinate operations to be interpreted in the specified coordinate system.</p>\n\
<p>Moving, scaling, or rotating objects, or setting transform-related properties within a <code>coordsys</code> context operate in relation to the given <code>coordsys</code> .</p>\n\
<p>Accessing coordinate properties such as position, center, rotation axis, and so on, within a <code>coordsys</code> context causes those values to be delivered relative to the given <code>coordsys</code> .</p>\n\
<p><strong>The following forms are supported:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[in] coordsys world </code></pre><p>Use the world space coordinate system</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[in] coordsys local </code></pre><p>Use the object&apos;s local coordinate system</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[in] coordsys parent </code></pre><p>Use the object&apos;s parent&apos;s coordinate system</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[in] coordsys grid </code></pre><p>Use the active grid&#x2019;s coordinate system</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[in] coordsys screen </code></pre><p>Use the currently active viewport&#x2019;s coordinate system</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[in] coordsys &lt;node&gt; </code></pre><p>Use the specified node&apos;s local coordinate system - this is equivalent to the &quot;pick&quot; coordinate system capability in the <strong>3ds Max</strong> user interface</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[in] coordsys &lt;matrix3&gt; </code></pre><p>Use the coordinate system specified by the given 3D matrix</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- randomly jiggle each object in the selection around +/- 20 units\n\
   in coordsys local selection.pos = random [-20,20,20] [20,20,20]\n\
   -- rotate objects in parent&#x2019;s coordinate system\n\
   in coordsys parent rotate selection (EulerAngles 0 0 90)\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Context-Expressions.html\">Context Expressions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";