var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BCB0E3E1-31C2-4A6B-B221-2FA798D772CE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>dontRepeatMessages Context</h1></div><p>The <code>dontrepeatmessages</code> context does an exception safe extending of the optimization of the removal of duplicate reference change messages across multiple notifications.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">with dontRepeatMessages &lt;boolean&gt; &lt;expression&gt;</code></pre><p>When the &apos;removal of duplicate reference change messages&apos; optimization is enabled (see <a href=\"./../../Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\"\">preferences.dontRepeatRefMsg</a> ), during a single reference change notification duplicate messages sent to the same objects are removed. Within a <code>dontrepeatmessages</code> context, that optimization applies across all reference change notifications within that context. So, for example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">with dontrepeatmessages on with animate on for t = 1 to 100 do at time t $.radius = t/2</code></pre><p>The notifications that are sent to the dependents of the selected node $ when the first value is set are not sent for the remainder of the value set operations. This can result in significant performance benefits in some cases. For example running:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">s = sphere isSelected:true\n\
(t1=timestamp();with dontrepeatmessages off with animate on for t = 1 to 10000 do at time t s.radius = t/2;timestamp()-t1)</code></pre><p>shows that setting all of the values with the context off took 226 milliseconds, while running:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">s = sphere isSelected:true\n\
(t1=timestamp();with dontrepeatmessages on with animate on for t = 1 to 10000 do at time t s.radius = t/2;timestamp()-t1)</code></pre><p>shows that setting all of the values with the context on took 175 milliseconds.</p>\n\
<p>See the related setting</p>\n\
<p><a href=\"./../../Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\"\">preferences.dontRepeatRefMsg</a></p>\n\
<p>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Context-Expressions.html\">Context Expressions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";