var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8395020C-E3B6-4282-AF1C-5B58BDB97A24\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Pathname Literals</h1></div><p><a href=\"./../Names.html\">Names</a> identify entities such as variables and parameters inside the running MAXScript program. If you want to identify objects by name in the <strong>3ds Max</strong> scene, you use a pathname. Pathnames can name a single object in the scene, specify a particular object using a path through the object hierarchy, or name sets of objects using pattern matching.</p>\n\
<p>The full syntax for a pathname literal is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;path_name&gt; ::= $&lt;path&gt; | $ \n\
&lt;path&gt; ::= [ &lt;objectset&gt; ] [ / ] [ &lt;levels&gt; ] &lt;level_name&gt; \n\
&lt;levels&gt; ::= &lt;level&gt; { / &lt;level&gt; } \n\
&lt;level&gt; ::= &lt;level_name&gt;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;level_name&gt; ::= { &lt;alphanumeric &gt; | _ | * | ? | \\ }\n\
&apos;{ &lt;alphanumeric &gt; | _ | * | ? | \\ }&apos;</code></pre><p>The root of a <code>&lt;path&gt;</code> can be an <code>&lt;objectset&gt;</code> , which limits the pathname searching to the object set you specify. ObjectSets are described in <a href=\"./../../Collections/Collection-Types/ObjectSet-Values.html\">ObjectSet Values</a>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $box01 -- object named &apos;box01&apos;\n\
   $torso/left_up_arm/left_low_arm -- hierarchy path name\n\
   $*box* -- all objects with &apos;box&apos; in\n\
   -- the name\n\
   $torso/* -- all the direct children of\n\
   -- $torso\n\
   $helpers/d* -- all helper objects whose name starts with &apos;d&apos;\n\
</code></pre></blockquote>\n\
<p>All objects in a <strong>3ds Max</strong> scene are arranged in a hierarchy as presented in Track View. This is both an important organizing scheme in <strong>3ds Max</strong>, and it suggests a MAXScript naming scheme for objects based on the path to an object through the hierarchy. It is also very similar to path names in an operating system&apos;s directory structure.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $dummy/head/neck</code></pre><p>   names the scene object <code>neck</code> whose parent is object <code>head</code> , which has the top-level parent object <code>dummy</code> . This pathname helps you identify a specific object in a <strong>3ds Max</strong> scene, even if several objects have the same name. If <code>head</code> is unique in the scene, MAXScript lets you use the shorthand <code>$head</code> to refer to it regardless of its hierarchy position. Even if the object is not uniquely named you can use the shorthand form, but it is undetermined which of the same-named objects you will get.</p>\n\
</blockquote>\n\
<p>Pathnames also provide a powerful way to refer to several objects at once, such as all the children of a certain parent, or all the objects with names containing the string <code>foot</code> . For this, you can use <strong>wild-card patterns</strong>, as you can with operating system shell file naming schemes.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $dummy/*</code></pre><p>   names all the immediate children of <code>dummy</code> . The <code>&quot;*&quot;</code> character is used as a wild card.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $neck*</code></pre><p>   finds all the objects, whose names start with the string <code>neck</code> , anywhere in the hierarchy.</p>\n\
</blockquote>\n\
<p>You can use <strong>wild cards</strong> anywhere in a pathname.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $*foot*</code></pre><p>   finds all the objects with <code>foot</code> anywhere in their names. The <code>&quot;*&quot;</code> wild-card character effectively matches any number other characters.</p>\n\
</blockquote>\n\
<p>You can also use the <strong>&quot;?&quot;</strong> wild-card character to match exactly one &quot;don&apos;t care&quot; character. This is, the <strong>&quot;?&quot;</strong> wild-card character will match any single character.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $box0?</code></pre><p>   finds all the objects that begin with <code>box0</code> and have exactly one character after the <code>0</code> in their names.</p>\n\
</blockquote>\n\
<p>Wild-card characters can also be used for specifying parent levels in a hierarchy.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $dummy/*/*</code></pre><p>   names all the children of all the children of <code>$dummy</code> .</p>\n\
</blockquote>\n\
<p>If you want to find an object and all the children of the object at any nested level, you use the special ellipsis level name &quot;...&quot;,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $dummy/.../box*</code></pre><p>   names all the children of all the children of <code>$dummy</code> .</p>\n\
<p>   This refers to <code>$dummy</code> and all the <code>box*</code> children at any level below <code>$dummy</code> . The <code>&quot;...&quot;</code> indicates to search the entire hierarchy below the level of the ellipsis. MAXScript lets you omit the &quot;/&quot; when using &quot;...&quot; because it is unambiguous:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $dummy...box*</code></pre><p>   Or, in another common example,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $dummy...*</code></pre><p>   names <code>$dummy</code> and all the children of <code>$dummy</code> at any level.</p>\n\
</blockquote>\n\
<p>If you use a wild card in an object pathname MAXScript will manipulate all matching objects at one time.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   hide $*foot*</code></pre><p>   hides all objects whose names contain <code>foot</code> .</p>\n\
</blockquote>\n\
<p>You can also perform automatic collection mapping, where a property for each matching object is set.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $*box*.position += [10, 10, 0]</code></pre><p>   adds <code>\\[10,10,0\\]</code> to the positions of all scene objects whose names contain <code>box</code> . For more information, see <a href=\"./../../Collections/Collections-1.html\">Collections</a>.</p>\n\
</blockquote>\n\
<p>You can use a shorthand form for specifying the currently selected object or objects with the pathname syntax. A lone &quot;$&quot; character refers to either the currently selected object if a single object is selected, the current selection set as an ObjectSet if more than one object is selected, or <code>undefined</code> if no objects are selected. This is a useful shorthand for use in the Listener when working on selections.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $.pos = [0,0,0]\n\
   hide $\n\
   rotate $ 35 z_axis</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Inside a script, it is better to use the <code>selection</code> ObjectSet rather than <code>$</code> .</p>\n\
<p><code>selection</code> always contains an ObjectSet regardless of the number of selected objects. Where <code>hide $</code> will generate an error if no objects are selected (because <code>$</code> contains the value <code>undefined</code> ), <code>hide selection</code> will not generate an error.</p>\n\
<p>Due to the way that <strong>3ds Max</strong> internally processes notification signals, the <code>$</code> form of accessing selected objects is <strong>not recommended</strong> in a <code>select</code> change handler. To access the selected objects, you should use the <code>selection</code> ObjectSet. This is because <code>$</code> relies on information that has not yet been set in the selection processing whereas <code>selection</code> uses a different method of accessing selections and the information it uses has been set up.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Literal-Constants.html\">Literal Constants</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Spaces-and-Other-Special.html\">Spaces and Other Special Characters in Pathnames</a></li>\n\
          <li><a class=\"link\" href=\"../../Collections/Collection-Types/ObjectSet-Values.html\">ObjectSet Values</a></li>\n\
          <li><a class=\"link\" href=\"../../Collections/Collections-1.html\">Collections</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";