var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7F17449E-C377-445C-AC15-CD3BA88A975B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>String Literals</h1></div><p>String literals in MAXScript are one or more characters enclosed in double quotes:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &quot;3ds Max&quot;\n\
   &quot;August 4th, 1997&quot;\n\
</code></pre></blockquote>\n\
<p>String literals can contain any character except another plain double quote. You can include a double quote in a string literal, as well as some useful control characters, by using a &quot;\\&quot; (backslash) escape character sequence.</p>\n\
<p><strong>The valid escape sequences are:</strong></p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>ESCAPE SEQUENCE</th>\n\
<th>MEANING</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>\\&quot;</code></td>\n\
<td>a double quote character</td>\n\
</tr>\n\
<tr>\n\
<td><code>\\n</code></td>\n\
<td>a newline character</td>\n\
</tr>\n\
<tr>\n\
<td><code>\\r</code></td>\n\
<td>a carriage return character</td>\n\
</tr>\n\
<tr>\n\
<td><code>\\t</code></td>\n\
<td>a TAB character</td>\n\
</tr>\n\
<tr>\n\
<td><code>\\*</code></td>\n\
<td>an asterisk character</td>\n\
</tr>\n\
<tr>\n\
<td><code>\\?</code></td>\n\
<td>a question mark character</td>\n\
</tr>\n\
<tr>\n\
<td><code>\\\\</code></td>\n\
<td>a single &quot;&quot; character</td>\n\
</tr>\n\
<tr>\n\
<td><code>\\%</code></td>\n\
<td>a percent character</td>\n\
</tr>\n\
<tr>\n\
<td><code>\\x{d}</code></td>\n\
<td>a hexadecimal character</td>\n\
</tr>\n\
</tbody></table>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   print &quot;foo should be quoted like this: \\&quot;foo\\&quot; and a new line: \\n&quot;\n\
</code></pre><p>   would output:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &quot;foo should be quoted like this: &quot;foo&quot; and a new line:\n\
   &quot;\n\
</code></pre></blockquote>\n\
<p>A &quot;\\&quot; character that does not preface one of the specified characters is left as a single backslash.</p>\n\
<p>You can break a string literal into several lines and the line breaks will stay in the string.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &quot;Twas brillig and the slithy tobes\n\
   did gyre and gimbol in the wabe\n\
   or something like that...&quot;\n\
</code></pre></blockquote>\n\
<p><strong>Non-Printing Characters in Strings</strong></p>\n\
<p>You can specify non-printing characters in string literals using the \\x hexadecimal escape sequence convention from C/C++. The form is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\\x{&lt;hex_digit&gt;}+ -- &lt;hex_digit&gt; is a hexadecimal digit (0-9,a-f)\n\
</code></pre><blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   str = &quot;Copyright \\xa9 1997, FrabWorks, Inc&quot;\n\
</code></pre><p>   would insert a copyright sign &#xA9;. Hexadecimal <code>a9</code> is the code for that symbol.</p>\n\
</blockquote>\n\
<p>Running the following script displays in Listener the characters associated with each hexadecimal code:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   char= &quot;0123456789abcdef&quot;\n\
   for i=1 to char.count do\n\
   for j=1 to char.count do\n\
   (\n\
   s=execute(&quot;\\&quot;\\\\x&quot;+char[i]+char[j]+&quot;\\&quot;&quot;)\n\
   format &quot;%% %\\n&quot; char[i] char[j] s\n\
   )\n\
</code></pre></blockquote>\n\
<p><strong>File Path Name Strings</strong></p>\n\
<p>File path name strings use the backslash character to separate a parent directory from its sub-directory. The backslash is used as an escape character, therefore file path names specified in a string should use the escape character sequence for a single &quot;\\&quot; character, i.e., &quot;\\&quot;, or specify the string as verbatim using the @ character introduced in <strong>3ds Max 2008</strong> (see further on this page)</p>\n\
<blockquote>\n\
<p>   <strong>AN EXAMPLE IS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   scene_path = &quot;g:\\\\3dsmax25\\\\scenes&quot; -- specifies file path g:\\3dsmax25\\scenes\n\
</code></pre></blockquote>\n\
<p>For strings that are used as file names or paths, the &quot;/&quot; character can be used instead of the &quot;\\&quot;. MAXScript internally interprets the &quot;/&quot; character as a &quot;\\&quot; character when used in a file path name string.</p>\n\
<blockquote>\n\
<p>   <strong>AN EXAMPLE IS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   scene_path = &quot;g:/3dsmax25/scenes&quot; -- specifies file path g:\\3dsmax25\\scenes\n\
</code></pre></blockquote>\n\
<p><strong>Verbatim String Literals</strong></p>\n\
<p>Verbatim string literals added to MAXScript in <strong>3ds Max 2008</strong> are prefixed by the &apos;@&apos; character and are NOT expanded even if containing backslash escape character sequences like &apos;\\t&apos;, &apos;\\n&apos; or &apos;\\r&apos;.</p>\n\
<p><strong>The syntax is</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">@&quot;{&lt;character&gt;}+&quot;\n\
</code></pre><blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --the following verbatim string remains unchanged after evaluation:\n\
   thePath = @&quot;g:\\temp\\newfolder\\render&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &quot;g:\\temp\\newfolder\\render&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --while the following results in a\n\
   --scrambled string with tabs and new lines:\n\
   thePath = &quot;g:\\temp\\newfolder\\render&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &quot;g: emp\n\
   ewfolder\n\
   ender&quot;\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Literal-Constants.html\">Literal Constants</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Values/Basic-Data-Values/String-Values.html\">String Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";