var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2ABB9CAE-B990-48D0-AB37-C742EEE82E9D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Block-Expressions</h1></div><p>Block-expressions are the basic constructors for structured code. They allow you to group a sequence of expressions and evaluate them in sequence as though they were a single expression.</p>\n\
<p>The syntax for <code>&lt;block_expr&gt;</code> is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">( &lt;expr&gt; { (; | &lt;eol&gt;) &lt;expr&gt; } )</code></pre><p>It is a parenthesized sequence of expressions with each <code>&lt;expr&gt;</code> separated by either a line break or a <strong>;</strong> semicolon.</p>\n\
<p>MAXScript also allows empty block-expressions, <code>()</code> . This is useful when incrementally building code to place an empty expression in a path to be filled in later. When evaluated, empty expressions yield the value <code>undefined</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   x = 2\n\
   y = 3\n\
   z = 4\n\
   p = [10,10,10]\n\
   centre = [20,20,20]\n\
   (\n\
   d = centre.x^2 - (p.x^2 + p.y^2)\n\
   newz =if d &gt; 0 then sqrt d else p.z\n\
   print newz\n\
   )\n\
   if x &lt; y then (print x; print y; u += 10; print u)\n\
</code></pre></blockquote>\n\
<p>You can use a mixture of line breaks or semicolons:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   print x; print y\n\
   p.x += 10\n\
   print p.x; print p.y\n\
   )\n\
</code></pre></blockquote>\n\
<p>Because a block-expression is an <code>&lt;operand&gt;</code> , you can insert a block-expression anywhere you can put an <code>&lt;operand&gt;</code>. This is <strong>unlike most languages</strong> that limit where you can put blocks of code to only a few places.</p>\n\
<p>Further, because all constructs are expressions in MAXScript, a block-expression yields a value defined to be the last <code>&lt;expr&gt;</code> in the block. This allows you to use a nested sequence of expressions to compute an operand for some operation:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = box()\n\
   b.pos.z =\n\
   (\n\
   d = x^2 - y^2\n\
   if d &gt; 0 then sqrt d else z\n\
   )\n\
</code></pre><p>   Here, the result of the block-expression is the result of the final <code>if</code> expression, which is then assigned to <code>b.pos.z</code> .</p>\n\
</blockquote>\n\
<p>Because the item in parentheses can be <code>any&lt;expr&gt;</code>, you can turn any construct in MAXScript into an operand by putting it in parentheses. This allows you to write the following example, in which the operand to be indexed is the conditional result of an <code>if</code> expression:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (if a &gt; b then c else d)[n + 1]\n\
</code></pre></blockquote>\n\
<p>As described in <a href=\"./../../Variables-Assignment-and-Scope/Scope-of-Variables.html\">Scope of Variables</a>, top-level open parentheses in a script file or in the Listener create a new variable scope. Any block-expressions with the top-level block-expression do not create a new variable scope, even if the variable is explicitly declared as local in the inner block-expression. A variable&#x2019;s scope extends into any block-expressions within the variable&#x2019;s scope. If you declare a variable as local in a scope, the newly declared local variable hides any outer variables with the same name. Any reference to that variable name later in the local variable&apos;s scope refers to the new local variable. At the end of the local variable&apos;s scope, the next outer variable becomes visible again. This is shown in the following script:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a=1\n\
   (\n\
   local a=2\n\
   (\n\
   local a=3\n\
   )\n\
   print a\n\
   )\n\
   a\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   1 -- result of line 1\n\
   3 -- output of line 7\n\
   3 -- result of block-expression lines 2 to 8\n\
   1 -- result of line 9\n\
</code></pre></blockquote>\n\
<p>Any variable names used in a block-expression which have not been created at a higher scope level are implicitly declared as local in the present scope. This can result in unexpected execution results for scripts that are not set up correctly.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE, CONSIDER THE FOLLOWING SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (b=bend();addmodifier Objs b) -- create bend modifier and apply to objects\n\
   b.angle=10\n\
</code></pre><p>   The first time you execute this script, the following <strong>error message</strong> is generated:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Unknown property: &quot;angle&quot; in undefined\n\
</code></pre><p>   If you execute the script again, it works properly. The reason is there are actually two variables with the name <code>b</code> - one is local to the block-expression and contains the bend modifier value, and the other is global and has the value <code>undefined</code> . During the second execution, global <code>b</code> exists, so the block-expression does not implicitly declare a new variable <code>b</code> , rather it uses the global variable <code>b</code> .</p>\n\
</blockquote>\n\
<p>When writing scripts, it is also a good programming practice to explicitly declare as local all variables unless you really want them to be global variables. There are several reasons for this practice:</p>\n\
<ul>\n\
<li><p>All the variable names used in the block or function will be together, which makes it easier to find the variable names and helps prevent using incorrect names in the script.</p>\n\
</li>\n\
<li><p>If more than one script is executing at the same time (for example, you are running a scripted utility and have a scripted controller in the scene) and both scripts use the same global variable name, the two scripts can interfere with one another. This can cause apparently random failures of one or both scripts.</p>\n\
</li>\n\
<li><p>You are sure you are using the correct variable in the event that a variable with the same name has already been declared at a higher scope, and you will not inadvertently change the higher-level variable&apos;s value.</p>\n\
</li>\n\
<li><p>Values of variables explicitly defined as local are displayed in error call stack trace-backs.</p>\n\
</li>\n\
<li><p>In <strong>3ds Max</strong> R2.5, if a <strong>3ds Max</strong> class, a MAXScript method, or a MAXScript read-only global variable has the same name as an implicitly declared local variable, a MAXScript runtime error will be generated if an assignment to that variable name occurs. Since the variable name already existed with a global scope, an implicitly declared local variable was not created. Since one or more new <strong>3ds Max</strong> classes will be created by any third party plug-ins the user has loaded, you were not be able to tell ahead of time if a variable name was a global variable name. In <strong>3ds Max 4 and higher</strong>, if the MAXScript compiler detects that the first reference to such a variable is an assignment, it will implicitly declare a local variable, rather than leaving it as a reference to a read-only system global.</p>\n\
</li>\n\
</ul>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<p>   executing the following expression in <strong>3ds Max R2.5</strong> would result in a value of <code>Box</code> , since <code>Box</code> is a <strong>3ds Max</strong> object class.</p>\n\
<p>   In <strong>3ds Max 4 and higher</strong>, MAXScript detects that the first use of variable <code>box</code> is an assignment and creates an implicitly declared local variable <code>box</code> .</p>\n\
<p>   The result of this expression in <strong>3ds Max 4 and higher</strong> is the value <code>undefined</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (if false do box=10;box)\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Simple-Expressions.html\">Simple Expressions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";