var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7D83837E-8ACC-4B4F-A9E1-DBA71C59C950\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Precedence and Association Rules</h1></div><p>As in mathematics, a sequence of operands and operators is evaluated according to a set of precedence and association rules.</p>\n\
<p>The following table shows sample expressions and their order of evaluation:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Expression</th>\n\
<th>Order of evaluation</th>\n\
<th>Note</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>a + b * c</code></td>\n\
<td><code>a + (b * c)</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>a + b - c</code></td>\n\
<td><code>(a + b) - c</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>a ^ b ^ c</code></td>\n\
<td><code>a ^ (b ^ c)</code></td>\n\
<td>exponentiation, raise to the power</td>\n\
</tr>\n\
</tbody></table>\n\
<p>The evaluation order in the previous table follows standard precedence rules, where <code>*</code> and <code>/</code> operations are evaluated before <code>+</code> and <code>-</code> operations, and where <code>+</code> and <code>-</code> operations associate to the left (that is, operands on the left are evaluated before operands on the right) and exponentiation operations associate to the right (that is, operands on the right are evaluated before operands on the left).</p>\n\
<p>These precedence rules define the ordering of evaluation in all expressions in MAXScript, unless parenthesizing is used to force a different order. Expressions in parenthesis are evaluated before the surrounding operands are applied.</p>\n\
<p>The following list shows the <strong>precedence order</strong> for <strong>math expressions</strong> starting with the highest precedence:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &lt;operand&gt;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &lt;function_call&gt;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   as</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ^ -- right associative</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   * and / -- left associative</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   + and - -- left associative</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Math-Expressions.html\">Math Expressions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Function-Calls/Function-Precedence.html\">Function Precedence</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";