var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D5E7028F-51A9-4B64-B71E-C8C694136089\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript System Globals</h1></div><p>These globals give access to the MAXScript system state. You can access and assign to them as noted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">currentTime</code></pre><p>Contains a Time value that defines the current evaluation time in frames as set by the <code>at time</code> context expression currently in force.</p>\n\
<p>This is useful in functions that need to do time-relative computations that may be called from code that sets working animation time.</p>\n\
<p>If there is no <code>at time</code> context in force, <strong><code>currentTime</code></strong> contains the current user interface slider time, unless a render is in progress.</p>\n\
<p>If a render is being performed, <code>currentTime</code> contains the frame being rendered.</p>\n\
<p>This variable is read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">editorFont</code></pre><p>Lets you get and set a String value that defines the font name for <strong>Legacy Script Editor</strong> windows and the MAXScript Listener.</p>\n\
<p>Setting this variable effects all currently open and future Legacy Script Editor and MAXScript Listener windows.</p>\n\
<p>This variable contains the corresponding value set in the MAXScript page of Customize &gt; Preferences.</p>\n\
<p>The <strong>Tabbed Script Editor</strong> introduced in <strong>3ds Max 2008</strong> has its own extensive formatting controls documented in the topic <a href=\"./../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\">MAXScript Editor - Properties File Settings</a> and is not affected by this value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">editorFontSize</code></pre><p>Lets you get and set an Integer value defining the font point size for <strong>Legacy Script Editor</strong> windows and the MAXScript Listener.</p>\n\
<p>Setting this variable effects all currently open and future script Editor and MAXScript Listener windows.</p>\n\
<p>This variable contains the corresponding value set in the MAXScript page of Customize &gt; Preferences.</p>\n\
<p>The <strong>Tabbed Script Editor</strong> introduced in <strong>3ds Max 2008</strong> has its own extensive formatting controls documented in the topic <a href=\"./../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\">MAXScript Editor - Properties File Settings</a> and is not affected by this value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">inputTextColor</code></pre><p>Lets you get and set a Color value defining the color of typed input text in the MAXScript Listener.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">messageTextColor</code></pre><p>Lets you get and set a Color value defining the color of error message text in the MAXScript Listener.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">listenerBackgroundColor</code></pre><p>Gets or sets the background color of the MAXScript Listener. When this value is changed, the caret color changes between black and white as necessary to remain visible. Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroRecorderBackgroundColor</code></pre><p>Gets or sets the background color of the macro recorder pane. When this value is changed, the caret color changes between black and white as necessary to remain visible. Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroRecorderTextColor</code></pre><p>Gets or sets the color of text in the macro recorder pane. Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pythonPromptColor</code></pre><p>Gets or sets the color of the prompt in the MAXScript Listener when it is in Python language mode. Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroRecorderSelectionForegroundColor</code></pre><p>Gets or sets an override color value for selected text in the macro recorder. A value of &apos;undefined&apos; means the default setting is used. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroRecorderSelectionBackgroundColor</code></pre><p>Gets or sets an override background color value for selected text in the macro record. A value of &apos;undefined&apos; means the default setting is used. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macroRecorderSelectionAlpha</code></pre><p>Gets or sets an override alpha channel (translucency) for selected text (foreground and background) in the macro recorder. This value is in the range of 0 to 255. A value of &apos;undefined&apos; means the default setting is used. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">listenerSelectionForegroundColor </code></pre><p>Gets or sets an override color value for selected text in the MAXScript listener window. A value of &apos;undefined&apos; means the default setting is used. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">listenerSelectionBackgroundColor </code></pre><p>Gets or sets an override background color value for selected text in the MAXScript listener window. A value of &apos;undefined&apos; means the default setting is used. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">listenerSelectionAlpha </code></pre><p>Gets or sets an override alpha channel (translucency) for selected text (foreground and background) in the MAXScript listener window. This value is in the range of 0 to 255. A value of &apos;undefined&apos; means the default setting is used. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">outputTextColor</code></pre><p>Lets you get and set a Color value defining the color of output text in the MAXScript Listener.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<p>   <img src=\"./images/GUID-05B81103-167C-4FE3-8814-3B716E23559B-low.gif\" alt></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">editorShowPath</code></pre><p>This system global variable controls whether the MAXScript Editor will display the full path of the edited script (true, default in <strong>3ds Max 9 and higher</strong>), or only the file name (false, the only mode prior to <strong>3ds Max 9</strong>).</p>\n\
<p>This property affects <strong>both</strong> the <strong>Legacy Script Editor</strong> windows and the <strong>Tabbed Script Editor</strong> introduced in <strong>3ds Max 2008</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">editorTabWidth</code></pre><p>Lets you get and set an Integer value defining the tab width (in characters) for <strong>Legacy Script Editor</strong> windows.</p>\n\
<p>Setting this variableaffects all currently open and future script Editor windows.</p>\n\
<p>The <strong>Tabbed Script Editor</strong> introduced in <strong>3ds Max 2008</strong> has its own extensive formatting controls documented in the topic <a href=\"./../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\">MAXScript Editor - Properties File Settings</a> and is not affected by this value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">escapeEnable</code></pre><p>Lets you get and set a Boolean value defining whether <code>ESC</code> key interrupt detection is on or off. Setting <code>enableEscape</code> to <code>false</code> turns <code>ESC</code> key interrupt detection off, setting it to <code>true</code> turns it on again.</p>\n\
<p>This variable is useful when used in conjunction with a Progress Bar.</p>\n\
<p>You can set <code>enableEscape</code> to <code>false</code> when you don&apos;t want the user to be able to interrupt a script running a long computation and you have set up a progress bar with its own Cancel button. See <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Status-Bar/Progress-Bar-Display.html\">Progress Bar Display</a>.</p>\n\
<p>In <strong>3ds Max 9</strong> and higher, the default value of this variableis <code>false</code> . It used to be <code>true</code> in versions prior to <strong>3ds Max 9</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">heapFree</code></pre><p>Contains an <a href=\"./../Values/Basic-Data-Values/64-Bit-Values-Double-Integer64.html\">Integer64 value</a> defining the current amount of free memory in the MAXScript heap.</p>\n\
<p>This value will vary constantly depending on where MAXScript is in its collection regime. This variable is read-only.</p>\n\
<p>The value type of this variable has been changed from Integer to Integer64 to accommodate the increased memory space of 64 bit systems in <strong>3ds Max 9</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">heapSize</code></pre><p>Lets you get and set an <a href=\"./../Values/Basic-Data-Values/64-Bit-Values-Double-Integer64.html\">Integer64 value</a> defining the size of the heap currently allocated to MAXScript.</p>\n\
<p>MAXScript carves its own working memory (called a heap) out of the memory that <strong>3ds Max</strong> has allocated.</p>\n\
<p>You can add to this heap at any time by assigning the new size to this system variable,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   heapSize += 1000000-- another meg please\n\
</code></pre></blockquote>\n\
<p>See also <a href=\"./../Variables-Assignment-and-Scope/Memory-Allocation-and-Garbage.html\">Memory Allocation and Garbage Collection</a>.</p>\n\
<p>The value type of this variable has been changed from Integer to Integer64 to accommodate the increased memory space of 64 bit systems in <strong>3ds Max 9</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">options.oldPrintStyles</code></pre><p>The printed form of all basic data value types, except for BigArray, are directly readable by the <code>readValue()</code> and <code>readExpr()</code> functions, making it simpler to read back in values printed to a file by MAXScript.</p>\n\
<p>If the pre- <strong>3ds Max4</strong> print forms are required for compatibility with existing scripts, you can set this variable to <code>true</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">options.showGCStatus</code></pre><p>When set to <code>true</code> , the message &quot;MXS GC&quot; will be displayed in the status bar during MAXScript <a href=\"./../Variables-Assignment-and-Scope/Memory-Allocation-and-Garbage.html\">Garbage Collection</a>.</p>\n\
<p>When set to <code>false</code> , no message will be displayed.</p>\n\
<p>The setting is stored in the <em>3dsmax.ini</em> file in the [MAXScript] section.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">stackLimit</code></pre><p>The stack is region of reserved memory in which MAXScript temporarily stores status data such as procedure and function call return addresses, passed parameters, and local variables.</p>\n\
<p>In versions prior to <strong>3ds Max 9</strong>, this defaulted to 1024000 bytes. Certain scripts that contain recursive algorithms could exceed this limit and generate a runtime error. You could assign to the <code>stackLimit</code> variable to increase the stack size available.</p>\n\
<p>In <strong>3ds Max 9 and higher</strong>, the stack limit is <strong>2048000</strong> bytes but <strong>you cannot effectively change the size anymore</strong>. Assigning to the <code>stackLimit</code> variable will not change the stack size.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">?</code></pre><p>A special variable that is used only in the context of the MAXScript Listener.</p>\n\
<p>This variable contains the result of the last expression evaluated in the Listener.</p>\n\
<p>For more details, see <a href=\"./../../MAXScript-Introduction/Accessing-MAXScript/Using-the-Symbol.html\">Using the &apos;?&apos; Symbol</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Reserved-Keywords-Symbols.html\">Reserved Keywords, Symbols, Punctuation and Variables</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";