var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-233CEDB5-0A54-4843-93DA-73C1E714C070\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Predefined Globals</h1></div><p>The predefined global variables contain special values that are frequently used in scripts. These variables are read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">true, false</code></pre><p>Boolean values. Can be used for testing the results of comparisons and for state tests.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on, off</code></pre><p>Synonyms for <code>true</code> and <code>false</code> , sometimes easier to read in state accesses.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pi, e</code></pre><p>Float values that contain the standard mathematical constants&apos; values. They are equivalent to 3.1415926535 and 2.718281828, respectively.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">red, green, blue, white, black, orange, yellow, brown, gray </code></pre><p>A predefined set of useful Color values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">x_axis, y_axis, z_axis</code></pre><p>Point3 values that define normal vectors for the 3 major axes. They are equivalent to [1, 0, 0], [0, 1, 0], and [0, 0, 1], respectively.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ok</code></pre><p>A void value returned by some functions or expressions that don&#x2019;t have a meaningful value to return.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">undefined</code></pre><p>The initial value of all variables and array elements. MAXScript generates an error if you try to perform any operation on the <code>undefined</code> value, except for checking to see if some value is equal to it or not:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if a == undefined then print &quot;oh, oh&quot;\n\
if b != undefined then print &quot;whew!&quot;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">unsupplied</code></pre><p>The initial value of all function keyword arguments. Keyword arguments are optional arguments to functions. If a keyword argument is not supplied by the function caller and the function definition does not specify a default value, MAXScript initializes the keyword argument to <code>*unsupplied*</code> . You can test for this value to see whether a caller has supplied a particular keyword. For more details, see <a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Function-Calls.html\">Function Calls</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dontcollect</code></pre><p>This value is used in <code>for</code> loops to signal that the value is not to be collected. See <a href=\"./../Controlling-Program-Flow/For-Loop.html\">For Loop</a> for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">silentValue</code></pre><p>Holds a void value that is not printed to the Listener. Available in <strong>3ds Max 2019.2 Update and higher</strong>. Previously, this global was called <code>noValue</code>. This global variable holds an instance of <code>noValueClass</code>. This variable supports the <a href=\"./../../MAXScript-Introduction/Accessing-MAXScript/Controlling-the-Listener.html\">setListenerSel()</a> method, which does not output the return value to the Listener to avoid replacing the text just selected by the method.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Reserved-Keywords-Symbols.html\">Reserved Keywords, Symbols, Punctuation and Variables</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";