var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0D3592DD-2F20-4A41-B19F-544426B8186E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Private and Public Members in Structure Definitions</h1></div><p>When defining members (variables and functions) in a struct, the qualifiers <code>public</code> and <code>private</code> can be used to control the member&apos;s visibility to users and the Debugger.</p>\n\
<p><code>Public</code> members can be accessed by outside code. If no qualifier is specified, members are considered public by default. In releases prior to <strong>3ds Max 2010</strong>, all members were always public.</p>\n\
<p><code>Private</code> members are accessible only from within the structure instance. Attempting to access a private member will result in a Runtime error. If the struct is defined in an encrypted script, the member values will not be shown in the Debugger or in error dumps.</p>\n\
<p>The two supported event handlers <code>on create do</code> and <code>on clone do</code> are always implicitly private, even if defined in the public section of the struct definition.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   struct foo2\n\
   (\n\
   public\n\
   A = 1,\n\
   B = 3,\n\
   fn error = throw &quot;ZZZ&quot;,\n\
   private\n\
   C = 77,\n\
   fn errorPrivate = throw &quot;ZZZ&quot;,\n\
   on create do format &quot;in create: %\\n&quot; this,\n\
   on clone do format &quot;in clone: %\\n&quot; this\n\
   )\n\
\n\
   f = foo2() --creating calls the &apos;on create do()&apos; handler: </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --&gt; #Struct:foo2(\n\
   --&gt;   error:&lt;fn&gt;; Public,\n\
   --&gt;   c:&lt;data&gt;; Private,\n\
   --&gt;   b:&lt;data&gt;; Public,\n\
   --&gt;   errorPrivate:&lt;fn&gt;; Private,\n\
   --&gt;   a:&lt;data&gt;; Public)\n\
   --&gt; undefined\n\
   --&gt; in create: (foo2 a:1 b:3)\n\
   --&gt; (foo2 a:1 b:3)\n\
   --&gt; OK\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   f = foo2 a:1 b:3 c:4 --passing three parameters fails: </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Runtime error: Attempting to access private member: &quot;c&quot; in: #Struct:foo2(\n\
   -- b:&lt;data&gt;; Public,\n\
   -- errorPrivate:&lt;fn&gt;; Private,\n\
   -- c:&lt;data&gt;; Private,\n\
   -- error:&lt;fn&gt;; Public,\n\
   -- a:&lt;data&gt;; Public)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   f = foo2 a:10 b:30 --passing two parameters works: </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   in create: (foo2 a:10 b:30)\n\
   (foo2 a:10 b:30)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   f = foo2 10 30 --passing two arguments works: </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   in create: (foo2 a:10 b:30)\n\
   (foo2 a:10 b:30)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   f = foo2 1 3 4 --trying to pass three arguments fails: </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Runtime error: Attempting to access private member: &quot;c&quot; in: #Struct:foo2(\n\
   -- b:&lt;data&gt;; Public,\n\
   -- errorPrivate:&lt;fn&gt;; Private,\n\
   -- c:&lt;data&gt;; Private,\n\
   -- error:&lt;fn&gt;; Public,\n\
   -- a:&lt;data&gt;; Public)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   f.errorPrivate() --calling the private error() function fails: </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Runtime error: Attempting to access private member: &quot;errorPrivate&quot; in: (foo2 a:10 b:30)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   f.error() --calling the public error() function works: </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- Frame:\n\
   -- Runtime error: ZZZ\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   f2 = copy f --creating a copy of the existing struct </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   in clone: (foo2 a:10 b:30)\n\
   (foo2 a:10 b:30)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   showProperties f --the method prints the type of the members </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a:&lt;data&gt;; Public\n\
   b:&lt;data&gt;; Public\n\
   error:&lt;fn&gt;; Public\n\
   errorPrivate:&lt;fn&gt;; Private\n\
   c:&lt;data&gt;; Private\n\
   true\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Structure-Definition.html\">Structure Definition</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Structure-Definition-1.html\">Structure Definition</a></li>\n\
          <li><a class=\"link\" href=\"Defining-Local-Functions-in.html\">Defining Local Functions in Structures</a></li>\n\
          <li><a class=\"link\" href=\"Structure-Scope-While.html\">Structure Scope While Initializing</a></li>\n\
          <li><a class=\"link\" href=\"Structure-Inherited-Methods.html\">Structure Inherited Methods</a></li>\n\
          <li><a class=\"link\" href=\"Structure-Creation-and-Cloning.html\">Structure Creation and Cloning Event Handlers</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";