var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A3A4E597-B4D7-4C38-90A6-E8F78203114E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Structure Creation and Cloning Event Handlers</h1></div><p>In <strong>3ds Max 2010 and higher</strong>, two <strong>event handlers</strong> can be implemented in struct definitions to be called on <strong>struct creation</strong> and <strong>struct cloning</strong>.</p>\n\
<p>The struct event handlers are always <a href=\"Private-and-Public-Members-in.html\">private</a>.</p>\n\
<p>These event handlers can be used to perform additional initialization tasks, print out the initial values of variables for debugging purposes, and so on.</p>\n\
<p><strong>Syntax:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on create do &lt;expression&gt;</code></pre><p>This handler is called when an instance of the struct is created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on clone do &lt;expression&gt;</code></pre><p>This handler is called when a copy of a struct instance is created.</p>\n\
<p><strong>EXAMPLE- DEFINITION AND CREATION:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">struct foo2\n\
(\n\
A = 1,\n\
B = 3,\n\
fn error = throw &quot;ZZZ&quot;,\n\
on create do format &quot;Struct Created: %\\n&quot; this,\n\
on clone do format &quot;Struct Cloned: %\\n&quot; this\n\
)\n\
\n\
f = foo2 ()\n\
</code></pre><p><strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#Struct:foo2(\n\
a:&lt;data&gt;; Public,\n\
b:&lt;data&gt;; Public,\n\
error:&lt;fn&gt;; Public)\n\
Struct Created: (foo2 a:1 b:3)\n\
(foo2 a:1 b:3)\n\
</code></pre><p><strong>CONTINUED EXAMPLE - CLONING:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">f2 = copy f\n\
</code></pre><p><strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Struct Cloned: (foo2 a:1 b:3)\n\
(foo2 a:1 b:3)\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Structure-Definition.html\">Structure Definition</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Structure-Definition-1.html\">Structure Definition</a></li>\n\
          <li><a class=\"link\" href=\"Defining-Local-Functions-in.html\">Defining Local Functions in Structures</a></li>\n\
          <li><a class=\"link\" href=\"Structure-Inherited-Methods.html\">Structure Inherited Methods</a></li>\n\
          <li><a class=\"link\" href=\"Structure-Scope-While.html\">Structure Scope While Initializing</a></li>\n\
          <li><a class=\"link\" href=\"Private-and-Public-Members-in.html\">Private and Public Members in Structure Definitions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";