var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-20409BF0-2192-4551-AB01-EA46E1DE51EE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>64 Bit Values - Double, Integer64, IntegerPtr</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Double : Number\n\
Integer64 : Number\n\
IntegerPtr : Number</code></pre><p>Three Number value classes have been added to MAXScript in <strong>3ds Max 9</strong>: Double, Integer64 and IntegerPtr.</p>\n\
<ul>\n\
<li><p>The widest float value in the .NET Common Type System (CTS) is the System::Double, which corresponds to the C++ double value (real*8). The Double value class in MAXScript wraps the double value class.</p>\n\
</li>\n\
<li><p>All <a href=\"Number-Values.html\">generic mathematical methods and operations</a> (sin, cos, random, +, -, etc.) that operate on the Float value class in MAXScript are also implemented on the Double class.</p>\n\
</li>\n\
<li><p>The Double class supports the <a href=\"Number-Values.html\"#bit-operation-methods\">&apos;bit&apos; structure methods</a> in a manner similar to the Float class.</p>\n\
</li>\n\
<li><p>The Double class is a MAXScript <strong>saveable</strong> class - in other words, it can be used in persistent globals.</p>\n\
</li>\n\
<li><p>The data type convertors for ActiveX, OLE, and fileProperties.getPropertyValue / setPropertyValue will convert variant VT_R8 to Doubles, and vice versa.</p>\n\
</li>\n\
<li><p>For methods that expect a Float as an argument, the Double value will be cast to a Float value and used.</p>\n\
</li>\n\
<li><p>Double literals are indicated by &apos;d&apos; exponential qualifier.</p>\n\
</li>\n\
</ul>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   1.0d0 --returns 1.0d0\n\
   0.5 as Double --returns0.5d0\n\
   2.0d5--returns 2000000.0d0\n\
   1.2d-3 --returns 0.0012d0\n\
</code></pre></blockquote>\n\
<ul>\n\
<li><p>&apos;bit&apos; structure methods that operate on an Integer can also operate on Integer64 and IntegerPtr. For methods that take 2 integer arguments, the first argument determines the output value type.</p>\n\
</li>\n\
<li><p><code>bit.intAsHex</code> will append an &quot;L&quot; to the output string for Integer64 inputs, and a &quot;P&quot; for IntegerPtr inputs.</p>\n\
</li>\n\
<li><p><code>bit.hexAsInt</code> will output an Integer64 if the input string contains an &quot;L&quot;, an IntegerPtr if it contains a &quot;P&quot;.</p>\n\
</li>\n\
<li><p>String and Stringstream values can be coerced to Double, Integer64 and IntegerPtr.</p>\n\
</li>\n\
<li><p>All number data types (Integer, Float, Integer64, IntegerPtr, Double) and Time can be coerced from one to the other.</p>\n\
</li>\n\
<li><p>For loop variables are either Integer, Float, Integer64, IntegerPtr, or Double based on the widest value type for the to, from, and step values</p>\n\
</li>\n\
</ul>\n\
<p>The printing of very small Double values has been improved in <strong>3ds Max 2011 and higher</strong>:</p>\n\
<p>When a Float value is printed, if its value is less than 1.192092896e-07 (the smallest float f such that 1.0+f != 1.0), the Float is printed as 0.0. </p>\n\
<p>When a Double value is printed, if its value is less than 2.2204460492503131e-016 (the smallest double d such that 1.0+d != 1.0), the Double is printed as 0.0.  In versions prior to <strong>3ds Max 2011</strong>, the float value of 1.192092896e-07 was being used for Doubles too.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">is64bitApplication()</code></pre><p>In <strong>3ds Max 9</strong> and higher, returns true if running in a 64 bit build of <strong>3ds Max</strong>, false otherwise.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Basic-Data-Values.html\">Basic Data Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Number-Values.html\">Number Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";