var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2921953D-F655-4663-B243-2E8DAFEED15F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Box3 Values</h1></div><p>The Box3 class describes a 3D box volume described by two 3d corner coordinates. The Box3 class provides methods that return individual coordinates of the box, scale and translate it, retrieve its center, modify its size, expand it to include points or other boxes, and determine if points are inside the box.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Box3() </code></pre><p>Creates a new, empty Box3 object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Box3 &lt;min_Point3&gt; &lt;max_Point3&gt;</code></pre><p>Creates a new Box3 object defined by the min and max Point3 corners.</p>\n\
<p><strong>Properties</strong></p>\n\
<p><box3>.min: Point3</box3></p>\n\
<p>The &quot;minimum&quot; corner of the Box3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Box3&gt;.max: Point3</code></pre><p>The &quot;maximum&quot; corner of the Box3 value</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Box3&gt;.center: Point3 </code></pre><p>The center of the Box3 volume; read-only.</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Box3&gt; == &lt;Box3&gt;\n\
&lt;Box3&gt; != &lt;Box3&gt;</code></pre><p>Standard comparison operators. Two Box3 values are equal if all of their component values are equal.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Box3&gt; + (&lt;Box3&gt; | &lt;point3&gt; | &lt;point3 array&gt;)</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022:</strong>: Expands the Box3 value to include the argument value.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">contains &lt;Box3&gt; &lt;Point3&gt;</code></pre><p>Returns true if the Point3 value is within the bounds of the Box3 volume.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">empty &lt;Box3&gt;</code></pre><p>Resets the Box3 value to an &quot;empty&quot; state with meaningless min and max values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">enlargeBy &lt;Box3&gt; &lt;float&gt;</code></pre><p>Enlarges the Box3. A Point3 is created from the float f as Point3(f,f,f) and added to min and subtracted from max. If the box is &apos;empty&apos;, the Box3 is centered at (0,0,0) and then enlarged.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">expandToInclude &lt;Box3&gt; (&lt;Box3&gt; | &lt;point3&gt; | &lt;point3 array&gt;) transform:&lt;matrix3&gt;</code></pre><p>Enlarges the Box3 to include the specified argument value.  The <code>transform</code> argument only applies if the value passed is a point3 array, and is applied to the elements of the array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">makeCube &lt;Box3&gt; &lt;Point3&gt; &lt;float&gt;</code></pre><p>Modifies the specified Box3 such that its center is located at the specified <code>&lt;Point3&gt;</code> with equal sides with the specified <code>&lt;float&gt;</code> length.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Intersects &lt;Box3&gt; &lt;Box3&gt;</code></pre><p>Returns true if the two Box3 values intersect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isEmpty &lt;Box3&gt;</code></pre><p>Returns true if the specified Box3 value is empty.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Scale &lt;Box3&gt; &lt;float&gt;</code></pre><p>Scales the Box3 value about its center by the specified value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Translate &lt;Box3&gt; &lt;point3&gt;</code></pre><p>Translates the Box3 value by the specified distance. The point is added to each corner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Box3&gt; copy &lt;Box3&gt;</code></pre><p>Creates a copy of the box3 value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Basic-Data-Values.html\">Basic Data Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Box2-Values.html\">Box2 Values</a></li>\n\
          <li><a class=\"link\" href=\"Point2-Values.html\">Point2 Values</a></li>\n\
          <li><a class=\"link\" href=\"Point3-Values.html\">Point3 Values</a></li>\n\
          <li><a class=\"link\" href=\"Point4-Values.html\">Point4 Values</a></li>\n\
          <li><a class=\"link\" href=\"Ray-Values.html\">Ray Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";