var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D8DBE1AA-F3D7-4708-93FA-7C28845A1C03\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Color Values</h1></div><p>All the places that colors turn up in MAXScript (such as, wireColor, light color, and others) are represented by instances of the <strong>Color</strong> class. You can also use <a href=\"Point3-Values.html\">Point3 values</a> to specify colors.</p>\n\
<p><strong>Literals</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> red green blue white black orange yellow brown gray </code></pre><p>Predefined <a href=\"./../../Reserved-Keywords-Symbols/Reserved-Global-Variables.html\">MAXScript globals</a>.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">color &lt;r&gt; &lt;g&gt; &lt;b&gt; [ &lt;a&gt; ]</code></pre><p>r,g,b and optional alpha are float values, typically in the range of 0 to 255.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt; as color</code></pre><p>Interprets x as r, y as g, z as b. Alpha is assumed opaque (255).</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;color&gt;.red or .r: Float\n\
&lt;color&gt;.green or .g: Float\n\
&lt;color&gt;.blue or .b: Float\n\
&lt;color&gt;.alpha or .a: Float</code></pre><p>Color component properties</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;color&gt;.hue or .h: Float\n\
&lt;color&gt;.saturation or .s: Float\n\
&lt;color&gt;.value or .v: Float</code></pre><p>Derived properties</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;color&gt; == &lt;color&gt;\n\
&lt;color&gt; != &lt;color&gt; \n\
&lt;color&gt; + &lt;color_or_number&gt;\n\
&lt;color&gt; - &lt;color_or_number&gt;\n\
&lt;color&gt; * &lt;color_or_number&gt;\n\
&lt;color&gt; / &lt;color_or_number&gt;</code></pre><p>Channel-by-channel mathematical operations. Numbers operate on R,G,B and A channels equally.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-&lt;color&gt;</code></pre><p>unary minus</p>\n\
<blockquote>\n\
<p>   <strong>IMPORTANT NOTES ON COLOR OPERATIONS:</strong></p>\n\
<p>   The addition and subtraction operations are performed on the R, G, B and A channels equally:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   aColor = color 1 1 1\n\
   (color111) aColor + aColor\n\
   (color 2 2 2 510)\n\
</code></pre><p>   The high Alpha value is caused by the fact that MAXScript does not print the Alpha value if it is 255, but internally the value of the variable aColor is (color 1 1 1 255). Thus, adding the Alpha channels of 255 to 255 produces an Alpha of 512, analogous to the R,G, and B channels.</p>\n\
<p>   While the Color Values allow floating point components, when originally implemented in<strong>3ds Max 2</strong>, it was assumed that they would be used <strong>mainly</strong> for 8 bit per channel RGBA values because MAXScript did not support floating point color bitmaps at that point in time. An internal conversion is performed when printing color values or converting other values to color.</p>\n\
<p>   Thus, multiplication of two color values leads to seemingly strange results:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   aColor = color 1 1 1\n\
   aColor * aColor\n\
   (color 0.00392157 0.00392157 0.00392157)\n\
   aColor * [1,1,1]\n\
   (color 0.00392157 0.00392157 0.00392157)\n\
   aColor = color 128 128 128\n\
   aColor * aColor\n\
   (color 64.251 64.251 64.251)\n\
</code></pre><p>   The reason for these results when multiplying color values is that the actual component values are float values normally in the range of 0 to 1.</p>\n\
<p>   The scaling from 0-1 to 0-255 is an operation that MAXScript performs to the underlying color value when the value is printed or converted to some other value type.</p>\n\
<p>   A gray value of 128 multiplied by a gray value of 128 is not really 128*128 = 16384, which is a blown out white, but</p>\n\
<p>   (128/255.0 * 128/255.0)*255 or (.501961*.501961)*255</p>\n\
<p>   which is the DARKER shade of gray (color 64.251 64.251 64.251)</p>\n\
<p>   So, when (color 1 1 1 255) is converted to components in the range from 0 to 1, it also results in RGB components of (1.0/255*1.0/255)*255=0.00392157, while the Alpha of 255 turns into 1.0 and then back into 255.</p>\n\
<p>   Thus, the <strong>Color Value</strong> is <strong>not</strong> well suited for <strong>High Dynamic Range Image</strong> calculations with <strong>floating point color components</strong>.</p>\n\
<p>   For that type of operations, MAXScript provides a <a href=\"Point4-Values.html\">Point4 value</a> that can be used to represent floating point colors without implicit conversion from/to the 0-255 range.</p>\n\
</blockquote>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy &lt;color&gt;</code></pre><p>Creates a new copy of the color value.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   newClr = copy oldClr\n\
</code></pre><p>   The new value contains a copy of the input color value, and is independent of the input color value.</p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">random &lt;from_color&gt; &lt;to_color&gt;</code></pre><p>Returns a random color between the given colors. The alpha component of the result will always be 255.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">composite &lt;color1&gt; &lt;color2&gt;</code></pre><p>Composites <code>color1</code> over <code>color2</code> through <code>color1</code> &apos;s alpha. This function is equivalent to:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   color1 + color2*((255. - color1.alpha)/255.)\n\
</code></pre></blockquote>\n\
<h2 id=\"3d-noise-functions\">3D Noise Functions</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">noise3 &lt;color&gt;\n\
noise4 &lt;color&gt; &lt;phase_float&gt;\n\
turbulence &lt;color&gt; &lt;frequency_float&gt;\n\
fractalNoise &lt;color&gt; &lt;H_float&gt; &lt;lacunarity_float&gt; &lt;octaves_float&gt;</code></pre><p>See <a href=\"Point3-Values.html\">Point3 Values</a> for a description of the noise functions.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The component values of a Color value (r, g, b, and a) are normally in the range of 0.0 to 255.0. However, values outside this range are permissible. When color values outside the normal range are used in <strong>3ds Max</strong>, <strong>3ds Max</strong> clamps the values to the range of 0.0 to 255.0.</p>\n\
<p>The following script shows the use of various literals, constructors, properties, operators, and methods of the Color class.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- color test bed\n\
   magenta=color 255 255 0 255-- create colors using constructors\n\
   aqua = [0, 255, 255] as color\n\
   aqua.v /= 2.-- reduce &quot;strength&quot; of aqua color\n\
   aqua\n\
   aqua.alpha=128-- set aqua to 50% opacity\n\
   aqua\n\
   lightGray=white/4-- create light gray color by dividing\n\
   -- each component of white by 4\n\
   composite aqua lightGray-- composite light gray over aqua\n\
   random black white-- generate a random color\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (color 255 255 0)-- result of line 2. Note that if\n\
   -- alpha=255 it is not displayed\n\
   (color 0 255 255)-- result of line 3\n\
   127.5-- result of line 4 - value property of aqua\n\
   (color 0 127.5 127.5)-- result of line 5 - color of aqua\n\
   128-- result of line 6 - alpha property of aqua\n\
   (color 0 127.5 127.5 128)-- result of line 7 - color of aqua\n\
   (color 63.75 63.75 63.75 63.75)-- result of line 8 - each component divided by 4\n\
   (color 31.75 159.25 159.25 159.75)-- result of line 10\n\
   (color 249.607 27.8243 140.23)-- result of line 11\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Basic-Data-Values.html\">Basic Data Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";