var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-19058A42-F710-48A4-8F8B-A52597748EAA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Name Values</h1></div><p>The <strong>Name</strong> class defines the characteristics of names. Names are primarily used as parameters in function calls to signify one of a set of options.</p>\n\
<p><strong>Literal</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#&lt;var_name&gt;</code></pre><p>See <a href=\"./../../Names-Literal-Constants-and/Names.html\">Names</a> for a description of Name literals.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt; as name</code></pre><p>Converts a String value into a name.</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;name&gt; == &lt;name&gt;\n\
&lt;name&gt; != &lt;name&gt;\n\
&lt;name&gt; &lt; &lt;name&gt;\n\
&lt;name&gt; &gt; &lt;name&gt;\n\
&lt;name&gt; &lt;= &lt;name&gt;\n\
&lt;name&gt; &gt;= &lt;name&gt;\n\
</code></pre><p>Comparison of names is alphabetic (caseless). Among other things, this allows arrays of names to be sorted using the array sort function.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy &lt;name&gt;</code></pre><p>Creates a new copy of the name value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;name&gt; makeValidName &lt;string&gt;</code></pre><p>Returns a valid name value name from the specified string, where all spaces and punctuation are replaced with the underscore &apos;_&apos; character. This can be useful for safely creating rollout controls or scripted Paramblock2 parameters from strings.</p>\n\
<p>Available in <strong>3ds Max 2018 or higher</strong>.</p>\n\
<p>The following script shows the use of various literals, constructors, and operators of the Name class.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- name test bed\n\
   name1=#Hello-- set variable to name literal\n\
   name2=&quot;HELLO&quot;as name-- convert string to name\n\
   if name1 == name2 do print&quot;names are equal&quot;-- compare the names\n\
   box_props=getpropnames box-- get the properties of box class\n\
   sort box_props-- sort the property names\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   #Hello-- result of line 2\n\
   #Hello-- result of line 3\n\
   &quot;names are equal&quot;-- output from line 4\n\
   &quot;names are equal&quot;-- result of line 4\n\
   -- following are the results of lines 5 and 6\n\
   #(#height, #length, #lengthsegs, #width, #widthsegs, #mapCoords, #heightsegs)\n\
   #(#height, #heightsegs, #length, #lengthsegs, #mapCoords, #width, #widthsegs)\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Basic-Data-Values.html\">Basic Data Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"String-Values.html\">String Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";