var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1564BD35-50EA-4140-9150-1AECC89F713C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Point3 Values</h1></div><p>The <strong>Point3</strong> class defines the characteristics of points in 3D space. These values are also known as vectors and contain three component floating point numbers. All the coordinates passed to and from <strong>3ds Max</strong> are in these values. See also <a href=\"./../../Names-Literal-Constants-and/Literal-Constants/2D-and-3D-Point-Literals.html\">2D and 3D Point Literals</a>.</p>\n\
<p><strong>Literals</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[&lt;expr&gt;, &lt;expr&gt;, &lt;expr&gt;]</code></pre><blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   [x, y, z]\n\
   [10, 10, 10]\n\
   [sin x, cos y, tan z]\n\
   x_axis --equivalent to [1,0,0]\n\
   y_axis --equivalent to [0,1,0]\n\
   z_axis --equivalent to [0,0,1]\n\
</code></pre></blockquote>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">point3 &lt;x&gt; &lt;y&gt; &lt;z&gt; \n\
&lt;color&gt; as point3 </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;.x: Float -- the x coordinate\n\
&lt;point3&gt;.y: Float -- the y coordinate\n\
&lt;point3&gt;.z: Float -- the z coordinate</code></pre><p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt; == &lt;point3&gt;\n\
&lt;point3&gt; != &lt;point3&gt;\n\
&lt;point3&gt; + &lt;point3_or_number&gt;\n\
&lt;point3&gt; - &lt;point3_or_number&gt;\n\
&lt;point3&gt; * &lt;point3_or_number&gt;\n\
&lt;point3&gt; / &lt;point3_or_number&gt;</code></pre><p>Standard vector arithmetic. If the second operand is a number, the operation is performed on each component of the value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt; * &lt;matrix3&gt;\n\
</code></pre><p>Transforms <code>point3</code> into the coordinate system specified by <code>matrix3</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt; * &lt;quat&gt;</code></pre><p>Rotates <code>point3</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">- &lt;point3&gt;</code></pre><p>Unary minus.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;[&lt;integer&gt;]</code></pre><p>Returns a component of the Point3 as a float. Valid range on the index is 1 to 3.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;[&lt;integer&gt;] = &lt;float&gt;</code></pre><p>Sets a component of the Point3 to the float. Valid range on the index is 1 to 3.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy &lt;point3&gt;</code></pre><p>Creates a new copy of the point3 value.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   newPos = copy oldPos\n\
</code></pre></blockquote>\n\
<p>The new value contains a copy of the input point3 value and is independent of the input point3 value.</p>\n\
<h2 id=\"vector-length\">Vector Length</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">length &lt;point3&gt;</code></pre><p>Returns the length of the vector.</p>\n\
<h2 id=\"vector-dot-product\">Vector Dot Product</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">dot &lt;point3&gt; &lt;point3&gt;</code></pre><p>Returns the vector dot product.</p>\n\
<p>The geometric interpretation of the dot product is the length of the projection of the first vector onto the unit vector of the second vector. Obviously, when the two vectors are perpendicular, the dot product is 0.0.</p>\n\
<p>The dot product is <strong>commutative</strong>, which means that <strong>dot X Y == dot Y X</strong>.</p>\n\
<p>The dot product is <strong>associative</strong>, which means that <strong>dot (r*X) Y == r*(dot X Y)</strong>.</p>\n\
<p>The dot product is <strong>distributive</strong>, which means that <strong>dot X (Y+Z) == (dot X Y) + (dot X Z)</strong>.</p>\n\
<p>Because the dot product of two normal vectors is the cosine of the angle between them, the dot product can be used conveniently <strong>to calculate the angle</strong> between two vectors:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn GetVectorsAngle v1 v2 =\n\
   (\n\
   theAngle = acos(dot (normalize v1) (normalize v2))\n\
   )\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   GetVectorsAngle [10,0,0] [10,20,0]\n\
   63.435\n\
</code></pre></blockquote>\n\
<h2 id=\"vector-cross-product\">Vector Cross Product</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cross &lt;point3&gt; &lt;point3&gt;</code></pre><p>Returns the vector cross product.</p>\n\
<p>The cross product is a third vector which is always perpendicular to the plane defined by the two vectors with orientation determined by the right-hand rule.</p>\n\
<p>The cross product can be expressed as the length of the first vector multiplied by the length of the second vector, multiplied by the sine of the angle between the two vectors. Because of this, the <strong>cross product of parallel vectors</strong> is 0.0 (because sin 0.0 == 0.0).</p>\n\
<p>The cross product is also equal to the Area of the parallelogram formed by the two vectors. If the two vectors are edges of a face, the cross product is the normal vector to that face (a vector perpendicular to the face) with length equal to the Area of the face multiplied by 2.</p>\n\
<p>The cross product is <strong>anticommutative</strong>, which means that <strong>cross X Y == cross -Y X</strong>.</p>\n\
<p>The cross product is <strong>associative</strong>, which means that <strong>cross (r*X) Y == r*(cross X Y)</strong>.</p>\n\
<p>The cross product is <strong>distributive</strong>, which means that <strong>cross X (Y+Z) == (cross X Y) + (cross X Z)</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>SEE EXAMPLE IN THE MAXSCRIPT FAQ:</strong></p>\n\
<p>   <a href=\"./../../../Frequently-Asked-Questions/Practical-Questions/Working-with-Editable-Meshes/How-do-I-align-the-UVW_Modifier.html\">How do I align the UVW_Modifier&apos;s Gizmo to a selected face?</a></p>\n\
</blockquote>\n\
<h2 id=\"normalize-vector\">Normalize Vector</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">normalize &lt;point3&gt;</code></pre><p>Returns the <code>point3</code> value normalized such that the vector length equals 1.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b =[100,30.5,41.3]--take somePoint3 value\n\
   [100,30.5,41.3]\n\
   normalB1 =normalize b--getthe normalized vector\n\
   [0.889603,0.271329,0.367406]\n\
   length normalB1-- check the length, should be 1.0\n\
   1.0-- It is!\n\
   normalB2 =b / (length b)-- Do-It-Yourself Normalize...\n\
   [0.889603,0.271329,0.367406]-- same value\n\
   length normalB2-- of course, the length is also 1.0\n\
   1.0\n\
</code></pre></blockquote>\n\
<h2 id=\"distance-between-two-points-vectors\">Distance Between Two Points / Vectors</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">distance &lt;point3&gt; &lt;point3&gt;</code></pre><p>Returns the distance between the points, equivalent to the length of (point 2 - point 1).</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a = [10,20,30]\n\
   b = [100,30.5,41.3]\n\
   distance a b-- returns 91.3123\n\
   distance b a-- returns 91.3123\n\
   length (b-a)-- returns 91.3123\n\
   length (a-b)-- returns 91.3123\n\
</code></pre></blockquote>\n\
<h2 id=\"pseudo-random-point-vector\">Pseudo-Random Point / Vector</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">random &lt;point3&gt; &lt;point3&gt;</code></pre><p>Generates a pseudo-random point between the given points. If point A and point B are seen as the corners of a world-oriented bounding box, the random points will not reside on the vector B-A, but will fill in the volume of the bounding box.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a = [-10,-20,-30]-- define point A\n\
   b = [20,30,50]-- define point B\n\
   p1 = Point pos:a-- create a Point Helper at point A\n\
   p2 = Point pos:b-- create a Point Helper at point B\n\
   -- create 2000 spheres at random positions between point A and B\n\
   for i = 1 to 2000 do\n\
    sphere pos:(random a b) radius:2 wirecolor:blue\n\
</code></pre></blockquote>\n\
<h2 id=\"arbitrary-axis-matrix\">Arbitrary Axis Matrix</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">arbAxis &lt;point3&gt;</code></pre><p>Returns a Matrix3 value representing an arbitrary axis system using <code>point3</code> as the &quot;up&quot; direction.</p>\n\
<h2 id=\"matrix-from-normal\">Matrix From Normal</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">matrixFromNormal &lt;point3&gt;</code></pre><p>Returns a Matrix3 value with the normal specified by the given point as the Z axis. The translation portion of the Matrix3 value will be [0,0,0]. The components of the scale portion are the inverse of the values required to normalize the <code>point3</code> value.</p>\n\
<p>See <a href=\"./../../../Frequently-Asked-Questions/Practical-Questions/Working-with-Editable-Meshes/How-do-I-Get-the-Local-Rotation.html\">How Do I Get the Local Rotation of a Face?</a> for an example.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   MatrixFromNormal [0,0,1]\n\
   MatrixFromNormal [0,1,1]\n\
</code></pre><p>   will return</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (matrix3 [1,0,0], [0,1,0], [0,0,1], [0,0,0])\n\
   (matrix3 [0,-0.707107,0.707107] [1.41421,0,0] [0,1,1] [0,0,0])\n\
</code></pre></blockquote>\n\
<h2 id=\"3d-noise-functions\">3D Noise Functions</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">noise3 &lt;point3&gt;</code></pre><p>A floating point noise function over 3D space implemented by a pseudo-random tricubic spline. The return value is in the range -1.0 to +1.0. Given the same <code>point3</code> value, the <code>noise3()</code> function always returns the same value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">noise4 &lt;point3&gt; &lt;phase_float&gt;</code></pre><p>The same function as noise3 in which the phase can be varied using the second parameter. The return value is in the range -1.0 to +1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">turbulence &lt;point3&gt; &lt;frequency_float&gt;\n\
</code></pre><p>This is a simple fractal-loop turbulence built on top of the noise3 function. The second parameter controls the frequency of the turbulence. The return value is in the range 0.0 to +1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fractalNoise &lt;point3&gt; &lt;H_float&gt; &lt;lacunarity_float&gt; &lt;octaves_float&gt;</code></pre><p>This is a fractal function of 3D space implemented using fractional Brownian motion. The function is homogeneous and isotropic. It returns a float.</p>\n\
<p>The parameters are as follows:</p>\n\
<p><code>point3</code> - The point in space at which the noise is computed.</p>\n\
<p><code>H_float</code> - The fractal increment parameter in the range [0,1]. When <code>H_float</code> is 1 the function is relatively smooth; as <code>H_float</code> goes to 0, the function approaches white noise.</p>\n\
<p><code>lacunarity_float</code> - The gap between successive frequencies, best set at 2.0.</p>\n\
<p><code>octaves_float</code> - The number of frequencies in the function.</p>\n\
<p>All the noise functions are based on code and algorithms in the book &quot;Texturing and Modeling: A Procedural Approach&quot;, Musgrave, Peachey, Perlin and Worley. Academic Press, ISBN: 0-12-228760-6.</p>\n\
<p>The following script shows the use of various literals, constructors, properties, operators, and methods of the Point3 class.</p>\n\
<p>The following script was written as a test bed for the noise functions. This script displays a two dimensional slice of the noise function output as a bitmap. By changing the noise parameters in lines 4 through 10 and specifying which noise function to evaluate in line 12, you can see the effects of changes in the parameters and use of different noise functions.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- noise functions test bed\n\
   b_width=320-- specify size of bitmap\n\
   b_height=320\n\
   size=10.-- total distance covered by each row and column\n\
   z=0.-- z coordinate of 2D slice\n\
   phase=0.5-- noise4 parameter\n\
   frequency=10.-- turbulence parameter\n\
   fract_interval=.5-- fractalNoise parameters\n\
   lacunarity=2.\n\
   octaves=5\n\
   --\n\
   whichfunc=1-- 1 = noise3; 2 = noise4; 3 = turbulence; 4 = fractalNoise\n\
   --\n\
   b=bitmap b_width b_height-- create the bitmap\n\
   for h=0 to (b_height-1) do-- step through each row of the bitmap\n\
   (\n\
   h_norm=(h as float/(b_height-1))*size-- calculate y coordinate\n\
   row = for w=0 to (b_width-1) collect-- collect row of pixel colors\n\
   (\n\
   w_norm=(w as float/(b_width-1))*size-- calculate x coordinate\n\
   noise_val = case whichfunc of-- store result of selected function\n\
   (\n\
   1: noise3 [w_norm, h_norm , z]\n\
   2: noise4 [w_norm, h_norm , z] phase\n\
   3: turbulence [w_norm, h_norm , z] frequency\n\
   4: fractalNoise [w_norm, h_norm , z] fract_interval lacunarity octaves\n\
   )\n\
   noise_val = 0.5*(1.+noise_val)-- convert output range to 0. to 1.\n\
   white*noise_val-- and multiply by color white\n\
   )\n\
   setpixels b [0,h] row-- store row of pixels in bitmap\n\
   )\n\
   display b-- display bitmap in VFB\n\
</code></pre><p>   <strong>OUTPUT</strong></p>\n\
<p>   The following figures show the bitmap generated by the above script for each noise function type.</p>\n\
<p>   <img src=\"./images/GUID-E1A3F292-6EA1-4AEE-AEB1-502E3DCE01CC-low.gif\" alt></p>\n\
<p>   <strong>noise3</strong></p>\n\
<p>   <img src=\"./images/GUID-5FD7748F-FBA6-4D70-8C05-0780FFF85741-low.gif\" alt></p>\n\
<p>   <strong>noise4</strong></p>\n\
<p>   <img src=\"./images/GUID-1CF4BF1F-3EE8-4490-BF1C-A8A05C5DBCB8-low.gif\" alt></p>\n\
<p>   <strong>turbulence</strong></p>\n\
<p>   <img src=\"./images/GUID-99DB7D3A-A175-43E7-BE89-CED16649A430-low.gif\" alt></p>\n\
<p>   <strong>fractalNoise</strong></p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Basic-Data-Values.html\">Basic Data Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Point2-Values.html\">Point2 Values</a></li>\n\
          <li><a class=\"link\" href=\"Point4-Values.html\">Point4 Values</a></li>\n\
          <li><a class=\"link\" href=\"Box2-Values.html\">Box2 Values</a></li>\n\
          <li><a class=\"link\" href=\"Ray-Values.html\">Ray Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";