var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A6A60FC7-6206-4FFC-80E2-0EF8544BE2C4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>String Values</h1></div><p>The <strong>String</strong> class defines the characteristics of character strings. The character strings can be of any length.</p>\n\
<p><strong>Literal</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&quot;&lt;characters&gt;&quot;</code></pre><p>See <a href=\"./../../Names-Literal-Constants-and/Literal-Constants/String-Literals.html\">String Literals</a> for a description of String literals.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt; as string</code></pre><p>Converts any value into its string representation.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;.count: Integer, read-only</code></pre><p>The number of characters in the string.</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt; + &lt;string&gt;</code></pre><p>Returns a new string that is the concatenation of two strings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt; == &lt;string&gt;\n\
&lt;string&gt; != &lt;string&gt;\n\
&lt;string&gt; &gt; &lt;string&gt;\n\
&lt;string&gt; &lt; &lt;string&gt;\n\
&lt;string&gt; &gt;= &lt;string&gt;\n\
&lt;string&gt; &lt;= &lt;string&gt;\n\
</code></pre><p>Standard lexical string comparisons (case sensitive).</p>\n\
<p>To perform a case insensitive equality comparison, please use the <a href=\"String-Values.html\">stricmp() method</a> that performs a lower-case comparison.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;[&lt;index_number&gt;]</code></pre><p>Returns the indexed character as a single-character string, index starts at 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;[&lt;index_number&gt;]= &lt;single_character_string&gt;</code></pre><p>Sets the indexed character to the given character.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;as&lt;class&gt;</code></pre><p>Converts the string to an instance of the given class. You can convert a string into a Name value using the <code>as</code> operator.</p>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&quot;Foo&quot; as name-- returns #foo </code></pre><p>You can also convert strings to numbers using the <code>as</code> operator.</p>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&quot;123.4&quot; as float-- returns 123.4 </code></pre><p>You can use any of the Number classes as a target class: Number, Float, or Integer. If you use Number, the appropriate class will be used depending on the syntax of the number in the string.</p>\n\
<p>You can convert a string to a StringStream value using the <code>as</code> operator.</p>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&quot;$box01&quot; as stringstream-- returns the string as a stringstream </code></pre><p>Converting a string to a StringStream value allows you to read through a string using the MAXScript&apos;s text file I/O operations. See <a href=\"./../Stream-Values/StringStream-Values.html\">StringStream Values</a> for a description of StringStreams.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022.1 Update:</strong></p>\n\
<p>You can convert strings to point values using the <code>as</code> operator: point2, point3, and point4.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> The string must match the literal format of a point value, or <code>undefined</code> is returned.</p>\n\
\n\
</div></div>\n\
\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&quot;[1,2]&quot; as point2\n\
--&gt; [1,2]\n\
&quot;[1,2,3]&quot; as point3\n\
--&gt; [1,2,3]\n\
&quot;[1,2,3,4]&quot; as point4\n\
--&gt; [1,2,3,4]\n\
&quot; \\t [1,2,3,4] \\t &quot; as point4\n\
--&gt; [1,2,3,4] - whitespace at the beginning and end of the string is allowed\n\
&quot;[1,2,3]&quot; as point4\n\
--&gt; undefined - the string must match the target format</code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;copy &lt;string&gt;</code></pre><p>Creates a new copy of the string value and returns it.</p>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">newstr = copy oldstr\n\
</code></pre><p>The new value contains a copy of the text contents of the copied string and is independent of the copied string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">free &lt;string&gt;</code></pre><p>Frees the memory used by the string value without waiting for garbage collection.</p>\n\
<p>Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">s = &quot;ABCD&quot;\n\
--&gt; &quot;ABCD&quot;\n\
s\n\
--&gt; &quot;ABCD&quot;\n\
free s\n\
--&gt; OK\n\
s\n\
--&gt; &quot;&quot;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">execute &lt;string&gt;</code></pre><p>Compiles and evaluates the contents of the string as a MAXScript expression and returns the result of the evaluation.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> As of <strong>3ds Max 2022.1 Update</strong>, <code>safeExecute()</code> (below) is the preferred method for evaluating MAXScript expressions, as it always blocks unsafe commands.</p>\n\
\n\
</div></div>\n\
\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">execute&quot;2 + 2&quot;-- yields the value 4\n\
str =&quot;$foo.ffd_2x2x2.control_point_&quot;+\n\
n as string +&quot; = [1,1,1]&quot;\n\
execute str\n\
</code></pre><p>The result of an <code>execute()</code> call is the result of the last expression in the string argument.</p>\n\
<p>You can use <code>execute()</code> to access object using a computed name.</p>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">obj = execute (&quot;$foo/&quot;+ child_name)\n\
</code></pre><p>It retrieves the child of <code>$foo</code> named in the variable <code>child_name</code> .</p>\n\
<p>Here is a more complex example:</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">side =&quot;left&quot;\n\
finger = 2\n\
limb =&quot;arm&quot;\n\
obj = execute (&quot;$torso/&quot;+ limb +&quot;/&quot;+\n\
side +&quot;/finger/&quot;+\n\
finger as string)\n\
</code></pre><p>The scope of variables used in the evaluated string is <strong>global</strong> and not the scope in effect when the <code>execute()</code> method is executed. So, if you call <code>execute()</code> within a function, scripted utility, or anywhere where the scope is not global, you will need to explicitly specify the scope of any variables used in the string that is executed. In the following example, the scope of variable <code>posObj</code> is local to utility <code>myUtil</code> , so the string needs to specify the variable&#x2019;s name as being in <code>myUtil</code> &#x2019;s scope:</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Utility myUtil&quot;My Utility&quot;\n\
(\n\
local posObj\n\
fn test obj =\n\
(\n\
local i, j, thisCont\n\
thisCont=execute (&quot;myUtil.posObj.&apos;&quot;+j+&quot;&apos;pos.controller&quot;)\n\
)\n\
)\n\
</code></pre><p>In general, you <strong>cannot</strong> access locals from outside of an object, except for top-level locals in rollouts, utilities, tools, and plug-ins (because they are semi-permanent and are stored with these objects). Function parameters and locals are dynamic and stack-based and not accessible as properties of the function definition.</p>\n\
<p>For more information on variable scope, see <a href=\"./../../Variables-Assignment-and-Scope/Scope-of-Variables.html\">Scope of Variables</a> and <a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Accessing-Locals-and-Other-Items.html\">Accessing Locals and Other Items in a Rollout from External Code</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">safeExecute &lt;string&gt;</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022.1 Update:</strong> This function is identical to <code>execute()</code>, but always evaluates the script string as if Safe Scene Script Execution is enabled (regardless of whether it actually is).  This means all unsafe commands are blocked (see the list of blocked commands in the &quot;Safe Scene Script Execution&quot; topic of the <em>3ds Max User Guide</em>).  This approach mitigates the possibility of malicious code from being injected into the script.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point2&gt; GetTextExtent&lt;string&gt;</code></pre><p>Returns a Point2 value containing the size of the string in pixels if it was displayed in a command panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;findString&lt;string&gt; &lt;search_string&gt;</code></pre><p>Returns the index of <code>search_string</code> in <code>string</code> or <code>undefined</code> if not found.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">findString &quot;Thanks for all the fish!&quot; &quot;all&quot; -- returns 12 </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;array of strings&gt;filterString &lt;string&gt; &lt;token_string&gt; [splitEmptyTokens:&lt;boolean&gt;]</code></pre><p>Parses <code>string</code> based on <code>token_string</code> and returns an array of strings. The <code>filterString</code> splits the input <code>string</code> into substrings based on the characters given in <code>token_string</code> , and returns each substring as a member of the array. The <code>token_string</code> is simply a list of &apos;splitter characters&apos; (when the string is scanned, any occurrence of any of the tokens is regarded as the start of a substring). This function is useful for file import/export scripts or for any type of manual parsing.</p>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">filterString &quot;MAX Script, is-dead-funky&quot; &quot;, -&quot;\n\
</code></pre><p><strong>WOULD RETURN</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#(&quot;MAX&quot;,&quot;Script&quot;,&quot;is&quot;,&quot;dead&quot;,&quot;funky&quot;)\n\
</code></pre><p>If <code>splitEmptyTokens</code> is <code>false</code> or not specified, sequential tokens are handled as a single token and tokens at the beginning or end of the string are ignored. If <code>splitEmptyTokens</code> is <code>true</code> , each token found will result in string element in the output, with the string element in the cases ignored above being empty strings. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">s = &quot;One\\t\\tThree\\tFour&quot;\n\
tokens = filterString s &quot;\\t&quot;\n\
--&gt; #(&quot;One&quot;, &quot;Three&quot;, &quot;Four&quot;)\n\
tokens = filterString s &quot;\\t&quot; splitEmptyTokens:true\n\
--&gt; #(&quot;One&quot;, &quot;&quot;, &quot;Three&quot;, &quot;Four&quot;)\n\
s =&quot;\\t\\t\\tOne\\t\\t\\tThree\\tFour\\t\\t\\t&quot;\n\
tokens = filterString s &quot;\\t&quot;\n\
--&gt; #(&quot;One&quot;, &quot;Three&quot;, &quot;Four&quot;)\n\
tokens = filterString s &quot;\\t&quot; splitEmptyTokens:true\n\
--&gt; #(&quot;&quot;, &quot;&quot;, &quot;&quot;, &quot;One&quot;, &quot;&quot;, &quot;&quot;, &quot;Three&quot;, &quot;Four&quot;, &quot;&quot;, &quot;&quot;, &quot;&quot;)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;replace &lt;string&gt; &lt;from_integer&gt; &lt;length_integer&gt; &lt;new_string&gt;</code></pre><p>Returns a new string where the substring in <code>string</code> starting at index <code>from_integer</code> and of length <code>length_integer</code> is replaced with the <code>new_string.new_string</code> of any length. The sum of <code>from_integer</code> and <code>length_integer</code> must be less than the length of <code>string</code> .</p>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">s=&quot;1234567890&quot;\n\
s1=replace s 5 3 &quot;inserted string&quot;\n\
</code></pre><p><strong>RETURNS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&quot;1234inserted string890&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;substring &lt;string&gt; &lt;from_integer&gt; &lt;length_integer&gt;</code></pre><p>Returns a new string consisting of the substring in <code>string</code> starting at index <code>from_integer</code> and of length <code>length_integer</code> . If the sum of <code>from_integer</code> and <code>length_integer</code> is greater than the length of <code>string</code> , a shorter string is returned containing as many characters as are available in the source. If a negative value is specified for <code>length_integer</code> , the remainder of the string starting from <code>from_integer</code> is returned.</p>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">s =&quot;Balerofon&quot;\n\
ss = substring s 5 3-- returns &quot;rof&quot;\n\
ss = substring s 5 -1-- returns &quot;rofon&quot;\n\
ss = substring s 5 100-- returns &quot;rofon&quot; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;matchPattern &lt;string&gt; pattern:&lt;pattern_string&gt; [ignoreCase:&lt;boolean&gt;]</code></pre><p>Returns <code>true</code> if <code>string</code> is matched by the wild card <code>pattern_string</code> , <code>false</code> otherwise. The comparison is case-insensitive unless <code>ignoreCase:false</code> is specified.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  <code>matchPattern()</code> executes much faster than <code>findString()</code> and must be used in its place when possible.</div>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">s=&quot;text1&quot;\n\
matchPattern s pattern:&quot;text?&quot;-- returns true\n\
matchPattern s pattern:&quot;T*&quot;-- returns true\n\
matchPattern s pattern:&quot;T*&quot;ignoreCase:false-- returns false\n\
matchPattern s pattern:&quot;s*&quot;-- returns false </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;append &lt;string1&gt; &lt;string2&gt;</code></pre><p>Appends <code>string2</code> to <code>string1</code> . Operates on <code>string1</code> in place and returns <code>string1</code> as its result.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>As this method operates on <code>string1</code> in place, after running the following code snippet, both <code>s1</code> and <code>s2</code> will continue to point to the same string value:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">s1 = &quot;aa&quot;\n\
s2 = s1\n\
append s1 &quot;bb&quot;\n\
s1-- returns &quot;aabb&quot;\n\
s2-- returns &quot;aabb&quot;and not &quot;aa&quot; </code></pre><p>Append is typically used when incrementally building a large string from many small strings. <strong>As the string is operated on in place, memory usage might be significantly reduced</strong> because intermediate string values will not remain in memory until the next garbage collection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;stricmp &lt;string1&gt; &lt;string2&gt;</code></pre><p>In <strong>3ds Max6 and higher</strong>, this method performs a lower case comparison of string1 and string2.</p>\n\
<p>Returns an integer value &lt; 0 if string1 is less than string 2, = 0 if string1 is identical to string 2, and &gt; 1 if string1 is greater than string 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toUpper &lt;string&gt;</code></pre><p>Returns a new string value with the string converted to upper case. Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toUpper &quot;so long and thanks for all the scripts&quot;\n\
</code></pre><p><strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&quot;SO LONG AND THANKS FOR ALL THE SCRIPTS&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toLower &lt;string&gt;</code></pre><p>Returns a new string value with the string converted to lower case. Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toLower &quot;Life, The Universe And Everything&quot;\n\
</code></pre><p><strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&quot;life, the universe and everything&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">substituteString &lt;source_string&gt; &lt;from_string&gt; &lt;to_string&gt; </code></pre><p>Returns a new string with all occurrences of <code>&lt;from_string&gt;</code> in <code>&lt;source_string&gt;</code> replaced with <code>&lt;to_string&gt;</code>. Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">s1 = &quot;Truth, Justice And The American Way&quot;\n\
s2 = &quot;The American Way&quot;\n\
s3 = &quot;All That Stuff&quot;\n\
s4 = substituteString s1 s2 s3\n\
</code></pre><p><strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&quot;Truth, Justice And All That Stuff&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">replace_LF_with_CRLF &lt;string&gt;</code></pre><p>Returns a new string where line feeds in input string are replaced with carriage return/line feed, unless the character preceding the line feed is a carriage return. Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">replace_CRLF_with_LF &lt;string&gt;</code></pre><p>Returns a new string where carriage return/line feeds in input string are replaced with line feeds. Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<p>The following script shows the use of various literals, constructors, properties, operators, and methods of the String class.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- strings test bed\n\
fn uppercase instring =-- beginning of function definition\n\
( local upper, lower, outstring-- declare variables as local\n\
upper=&quot;ABCDEFGHIJKLMNOPQRSTUVWXYZ&quot;-- set variables to literals\n\
lower=&quot;abcdefghijklmnopqrstuvwxyz&quot;\n\
\n\
-- create an unique copy of the string referenced by instring,\n\
-- and store reference to unique copy in outstring\n\
outstring=copy instring\n\
\n\
-- increment from 1 to number of character in string\n\
for i=1 to outstring.count do\n\
\n\
-- see if the single character at index i in outstring\n\
-- is present instring lower\n\
-- If so, j equals position in string lower.\n\
-- If not, j equals undefined\n\
( j=findString lower outstring[i]\n\
\n\
-- if character was found in lower,\n\
-- replace with corresponding character in upper:\n\
if (j != undefined) do outstring[i]=upper[j]\n\
)\n\
outstring-- value will be returned as function result\n\
)-- end of fn uppercase\n\
\n\
s1=&quot;AbCdEfGh&quot;-- set variable to literal\n\
s2=uppercase s1-- call function uppercase, passing s1 as parameter\n\
if s1 == s2 do print &quot;strings s2 and s3 are the same&quot;-- compare strings\n\
if s1 != s2 do print &quot;strings s1 and s2 are different&quot;\n\
\n\
theObject=&quot;sphere&quot;-- set variable to literal\n\
theRadius= (random 10. 100.) as string-- convert number to string\n\
-- concatenate strings and execute string\n\
myObject=execute (theObject +&quot; radius:&quot;+ theRadius)\n\
</code></pre><p><strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">uppercase()-- result to function definition\n\
&quot;AbCdEfGh&quot;-- result of line 24\n\
&quot;ABCDEFGH&quot;-- result of line 25\n\
undefined-- result of line 26 - stringsnot equal,\n\
-- and no else expression in if expression\n\
&quot;strings s1 and s2 are different&quot;-- output from line 27\n\
&quot;strings s1 and s2 are different&quot;-- result of line 27\n\
&quot;sphere&quot;-- result of line 29\n\
&quot;75.4091&quot;-- result of line 30\n\
$Sphere:Sphere001 @ [0.000000,0.000000,0.000000]-- result of line 32. Execute function\n\
-- created a sphere object </code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Basic-Data-Values.html\">Basic Data Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Tools-and-Interaction/File-Access/Text-and-Binary-File-Input-and/String-Parser-Methods.html\">String Parser Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";