var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-82742687-1173-40C5-BDDE-7B5AE010DD80\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Bitmap Gamma and MAXScript</h1></div><p>The handling of Bitmap Gamma in MAXScript has been overhauled in <strong>3ds Max 2014</strong> to solve several long-standing issues.</p>\n\
<h2 id=\"the-past-problems\">The Past Problems</h2><p>In versions prior to <strong>3ds Max 2014</strong>, MAXScript had limited access to the Gamma settings of the <a href=\"Bitmap-Values-1.html\">Bitmap Values</a> loaded from files, created by a script, or saved to disk bitmap files in various formats.</p>\n\
<p>Here is a list of some of the problems:</p>\n\
<ul>\n\
<li>When loading a Bitmap Value from a bitmap file, MAXScript had no access to the BitmapInfo describing meta-data including the Gamma.</li>\n\
<li>Similarly, when saving a bitmap value to a bitmap file, MAXScript could only provide the file name, but not the relevant meta-data including the actual Gamma loaded from disk.</li>\n\
<li>Copying a bitmap value to a new value using MAXScript would set the copied data to linear internally.</li>\n\
<li>Since MAXScript does not support the saving of a bitmap value loaded from a bitmap file, a copy of the bitmap value has to be created before saving, but because of the previous issue with copying bitmap values, the gamma was changed implicitly.</li>\n\
<li>The <code>.gamma</code> property of the MAXScript bitmap value attempted to represent both the loading and saving gamma, which was incorrect or misleading in many cases.</li>\n\
<li>Access to pixel data via the <code>getPixels()</code> function was always working with the raw data and had no way to respect the Gamma settings.</li>\n\
<li>Similarly, the <code>compareBitmaps()</code> function would produce false when comparing a JPG (which loads with a gamma of 2.2) to its own copy with would have a gamma of 1.0.</li>\n\
</ul>\n\
<h2 id=\"gamma-related-maxscript-features-in-3ds-max-2014-and-higher\">Gamma-Related MAXScript Features in 3ds Max 2014 and higher</h2><p>To solve the above issues, MAXScript was extended in <strong>3ds Max 2014</strong> to let scripts properly handle the Gamma of Bitmap Values.</p>\n\
<p>In all cases, the additions have been implemented as extensions, in other words old scripts will remain syntactically correct.</p>\n\
<h3 id=\"gamma-modes-auto-override-and-default\">Gamma Modes - Auto, Override and Default</h3><p>In <strong>3ds Max 2014 and higher</strong>, the Gamma of a Bitmap Value can be controlled in three ways - as <code>#auto</code> , <code>#default</code> or an override.</p>\n\
<ul>\n\
<li><code>#auto</code> is the new, intelligent mode. It uses the file information when present, or intelligently chooses gamma based on whether the file is Floating point or not. This is the default behavior.</li>\n\
<li>If gamma is an override, an actual floating point value is used.</li>\n\
<li><code>#default</code> is actually the <strong>old legacy mode</strong> which only exists for completeness and for loading old files.</li>\n\
</ul>\n\
<p><strong>The following extensions have been implemented:</strong></p>\n\
<p>The <code>openBitmap()</code> function now accepts an optional <code>gamma:</code> keyword argument, so you can say</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a = openBitmap &quot;test.jpg&quot; gamma:#auto -- auto mode \n\
   b = openBitmap &quot;test.exr&quot; gamma:1.0 -- an override</code></pre></blockquote>\n\
<p>Similarly, the bitmap <code>save()</code> method has been extended with an optional <code>gamma:</code> keyword, so you can say:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">save a gamma:#auto -- auto mode \n\
save b gamma:1.0 -- an override</code></pre><p>In addition, the <code>save()</code> function now provides a <code>metadata:</code> optional keyword which can be used to pass the dialog settings acquired from the various bitmap filename picking functions - <code>SelectSaveBitmap()</code> , <code>getBitmapSaveFilename()</code> and <strong><code>getBitmapOpenFilename()</code></strong> . See further on this page for details.</p>\n\
<p>If you render to a file using the <code>render()</code> function, you can also set the Gamma using the optional <code>gamma:</code> keyword:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   render filename:&quot;something.exr&quot; gamma:#auto -- auto mode \n\
   render filename:&quot;somotherthing.jpg&quot; gamma:1.0 -- an override</code></pre></blockquote>\n\
<h3 id=\"new-and-modified-bitmap-value-gamma-properties\">New and Modified Bitmap Value Gamma Properties</h3><p>The existing <code>.gamma</code> property has been modified to represent the ACTUAL gamma of the bitmap. In the past, it confused output and input gamma into one parameter, which was problematic.</p>\n\
<p>For this reason, two new properties have been added to explicitly address the input gamma, and how that gamma was obtained:</p>\n\
<p><code>.inputGamma</code> will inform you of the gamma of the file that was loaded. It will return either #auto, #default or the override value. This can be used to display e.g. where the gamma info comes from. It can also be used to make sure to save a bitmap the same as it was loaded, for example.</p>\n\
<p><strong><code>.inputGammaValue</code></strong> just returns the actual value that was used, e.g. for #auto it would return 1.0 or 2.2 depending on file type, for #default it would return 2.2, and for an override it returns the override value.</p>\n\
<h3 id=\"bitmap-file-open-and-save-dialogs-meta-data-access\">Bitmap File Open and Save Dialogs Meta-Data Access</h3><p>Features have been added to the MAXScript bitmap file dialogs to return as an optional by-reference output parameters the Gamma values, as well as the dialog&apos;s setup data.</p>\n\
<p>When these optional parameters are used, the gamma options are visible and work. When they are not used, the Gamma options will be grayed out in the file dialog.</p>\n\
<p><strong>The functions that have been extended are:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getBitmapOpenFilename()\n\
getBitmapSaveFilename() \n\
SelectSaveBitmap()</code></pre><p>In each one of these functions, an optional keyword argument <code>gamma:</code> can refer to a by-reference variable that will return <code>#auto</code> , <code>#default</code> or a numeric value:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   x = SelectSaveBitmap caption:&quot;Select a file&quot; gamma:&amp;gma</code></pre><p>   If the function returns successfully, the variable &apos;gma&apos; will contain the gamma value from the dialog.</p>\n\
</blockquote>\n\
<p>Similarly, bitmap Save dialogs can return the meta-data stored by the &quot;Setup&quot; button, by requesting it via the <code>metadata:</code> by-reference optional argument:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   x = SelectSaveBitmap caption:&quot;Select a file&quot; gamma:&amp;gma metadata:&amp;data</code></pre><p>   Upon success, the &apos;gma&apos; variable will contain the gamma, and the &apos;data&apos; variable will contain an array of data stored by the bitmap plugin. This data can then be used in bitmap save operations, for example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   bitmap.filename = SelectSaveBitmap caption:&quot;Select a file&quot; gamma:&amp;gma metadata:&amp;data\n\
   if (bitmap.filename) do save bitmap gamma:gma metadata:data\n\
</code></pre></blockquote>\n\
<h3 id=\"pixels-access-linear-vs-raw\">Pixels Access - Linear vs. Raw</h3><p>The function <code>getPixels()</code> have been extended with the optional <code>linear:</code> boolean parameter:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a = openBitmap &quot;hello.jpg&quot; gamma:#auto --this will set gamma to 2.2\n\
   p = getPixels a [0,0] 50 linear:true  --get the linear pixel values (gamma 1.0)\n\
   p[1].r *= 2.0 --make first pixel twice as red...</code></pre></blockquote>\n\
<p>The following example script goes through all Bitmap Textures and if they are set to <code>#default</code> (legacy mode), changes the Gamma to an override of 2.2.</p>\n\
<p>Note that you <strong>cannot change</strong> the Gamma of a bitmap value (this gets burned in when loading it), but you can simply re-load it with the new Gamma from the original source file.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for tmap in (getClassInstances BitmapTexture) where (tmap.bitmap.inputGamma == #default) do \n\
     tmap.bitmap = openBitmap tmap.bitmap.filename gamma:2.2</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Bitmap-Values.html\">Bitmap Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";