var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DB8A8E34-179F-4264-86E3-D0CD9AB836A6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>StringStream Values</h1></div><p>The <strong>StringStream</strong> class allows you to construct and parse strings using all the text file I/O functions. For example, you can set up a StringStream and build it up by performing prints and formats to it, just as you would to a text file. Conversely, you can convert a String into a StringStream and then work through it using functions like <code>readLine()</code> , <code>readValue()</code> , <code>skipToString()</code> , etc. Since Strings are easily converted to and from StringStreams, this is often a convenient way to work on large, complex strings.</p>\n\
<p>The StringStream class can be used in conjunction with the <strong>AppData accessing functions</strong> for storing and retrieving large and complex amounts of script-generated data permanently <strong>within</strong> a <strong>3ds Max</strong> scene file.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">stringStream &lt;initial_string&gt;      </code></pre><p>Create a new StringStream using the initial string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt; as stringStream </code></pre><p>Convert existing String to StringStream.</p>\n\
<p>See also <a href=\"./../../Names-Literal-Constants-and/Literal-Constants/String-Literals.html\">String Literals</a> and <a href=\"./../Basic-Data-Values/String-Values.html\">String Values</a>.</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;stringstream&gt; as string </code></pre><p>Convert StringStream to a String</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy &lt;stringstream&gt; </code></pre><p>Create a separate copy of the StringStream</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">free &lt;stringStream&gt;</code></pre><p>Frees the memory used by the stringStream value without waiting for garbage collection.</p>\n\
<p>Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ss = stringstream &quot;ABCDE&quot;\n\
--&gt; StringStream:&quot;ABCDE&quot;\n\
ss\n\
--&gt; StringStream:&quot;ABCDE&quot;\n\
free ss\n\
--&gt; OK\n\
ss\n\
--&gt; StringStream:&quot;&quot;\n\
\n\
</code></pre><p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">print &lt;value&gt; to:&lt;stringstream&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">format &quot;&lt;fmt_string&gt;&quot; {values} to:&lt;stringstream&gt; </code></pre><p>The <code>print()</code> and <code>format()</code> functions provide a way to build up a StringStream a piece at a time. As with text file output, each call to print or format appends to existing text, the StringStream dynamically grows as needed. Note that you can reposition output streaming using the <code>seek()</code> function documented below.</p>\n\
<p>The following functions are identical to the text file input functions available for text FileStream values. (See the <a href=\"FileStream-Values.html\">FileStream Values</a> class documentation). When called on StringStream instances, they read progressively through the string extracting successive values and lines and characters, etc.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;stringstream&gt;append &lt;stringstream&gt; &lt;string&gt;</code></pre><p>Appends the string passed as second argument to the stringstream provided as first argument.</p>\n\
<p>It operates on the stringstream in place, and also returns the resulting stringstream.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">readValue &lt;stringstream&gt; [ ignoreStringEscapes:&lt;boolean&gt; ] \n\
safeReadValue &lt;stringstream&gt; [ ignoreStringEscapes:&lt;boolean&gt; ] </code></pre><p>Read and evaluate the next MAXScript <code>&lt;operand&gt;</code> from the stringStream.</p>\n\
<p>If the optional <code>ignoreStringEscapes:</code> keyword argument is not supplied or supplied as false and the value read is a string, &apos;\\&apos; characters in the string are handled as escape characters. If true, &apos;\\&apos; characters in the string are not handled as escape characters. This option is available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022.1 Update:</strong> The <code>safeReadValue()</code> version always blocks unsafe MAXScript, .NET and Python commands.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ss = stringstream &quot;\\&quot;a\\\\tb\\&quot;&quot;\n\
seek ss 0\n\
readvalue ss\n\
</code></pre><p><strong>RESULT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&quot;a b&quot; -- \\t handled as a tab\n\
</code></pre><p><strong>BUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">seek ss 0\n\
readvalue ss ignoreStringEscapes:true\n\
</code></pre><p><strong>RESULT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&quot;a\\t\\b&quot; -- \\t handled as characters\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">readExpr &lt;stringstream&gt; \n\
safeReadExpr &lt;stringstream&gt; </code></pre><p>Read and evaluate the next MAXScript <code>&lt;expr&gt;</code> from the stringStream. As with <a href=\"./../Basic-Data-Values/String-Values.html\">execute(),</a> the scope of the evaluation is the global scope, not the current scope.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022.1 Update:</strong> The <code>safeReadExpr()</code> version always blocks unsafe MAXScript, .NET and Python commands.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">readLine &lt;stringstream&gt; </code></pre><p>Read next line, return as string</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">readChar &lt;stringstream&gt; </code></pre><p>Read next char, return as string</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">readChars &lt;stringstream&gt; &lt;number&gt; errorAtEOF:&lt;boolean&gt;</code></pre><p>Reads the specified number of characters and returns them in a string.</p>\n\
<p>When the <code>errorAtEOF</code> parameter is <strong>false</strong>, this method does not throw an exception when it attempts to read past the end of the stringstream. As well, setting this parameter to <strong>false</strong> and <code>&lt;char_count&gt;</code> to -1 causes this method to read to the end of the stringstream. The default is <strong>true</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">readDelimitedString &lt;stringstream&gt; &lt;string&gt; </code></pre><p>Takes a delimiter character (as a string) and reads in characters until the delimiter is found (or end-of-file is reached) and returns the characters in a string.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> If the delimiter string is more than one character, every single character in the string is treated as a delimiter, rather than the string itself. For example, <code>readDelimitedString (stringStream &quot;This is an abc string&quot;) &quot;abc&quot;</code> will return &quot;This is &quot; rather than &quot;This is an&quot;.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skipToString &lt;stringstream&gt; &lt;string&gt; </code></pre><p>Takes a character string and scans forward in the file until it finds an occurrence of the string and positions the file just after that string. If the string is not found, the function returns the value <code>undefined</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skipToNextLine &lt;stringstream&gt; </code></pre><p>Positions the input file at the beginning of the next line</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">execute &lt;stringstream&gt; </code></pre><p>Read and evaluate all the expressions left in the stringStream. Note that the scope of the evaluation is the <strong>global</strong> scope, not the current scope!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">filePos &lt;stringstream&gt; </code></pre><p>Retrieve the current offset into the file</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">seek &lt;stringstream&gt; &lt;pos&gt; </code></pre><p>Position the file at the given offset so that subsequent I/O will start there.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">eof &lt;stringstream&gt; </code></pre><p>Returns <strong>true</strong> if there is no more data in the stringStream, <strong>false</strong> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">close &lt;stringstream&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flush &lt;stringstream&gt; </code></pre><p>The <code>close()</code> and <code>flush()</code> functions are provided for consistency with file I/O but are not necessary for StringStreams and do nothing if called.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Stream-Values.html\">Stream Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";