var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E79133B4-9C23-40FD-8C2A-9FF43861222A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Values</h1></div><blockquote>\n\
<p>   Value</p>\n\
</blockquote>\n\
<p>The <strong>Value</strong> class is the root class for all MAXScript classes. It supplies methods and operators that <strong>any</strong> class can use.</p>\n\
<p>As described in <a href=\"./../../MAXScript-Introduction/Objects-and-Classes-in-Object/Properties-Methods-Operators-and.html\">Properties, Methods, Operators, and Literals</a>, each class can specify external interfaces for the class. These external interfaces are broken up into the following categories:</p>\n\
<ul>\n\
<li><p><strong>Literals:</strong> Any literal form for objects of the class.</p>\n\
</li>\n\
<li><p><strong>Constructors:</strong> The various ways you can create objects of the class.</p>\n\
</li>\n\
<li><p><strong>Properties:</strong> Accessible parameters for objects of the class.</p>\n\
</li>\n\
<li><p><strong>Operators:</strong> Defines the math and other symbolic operators that are defined on values in the class.</p>\n\
</li>\n\
<li><p><strong>Methods:</strong> Defines all the functions you can call for objects of the class.</p>\n\
</li>\n\
</ul>\n\
<p>In the description of each class in MAXScript, each of these external interfaces are documented.</p>\n\
<p>In the syntax forms given for methods, operators, and properties, the types of argument or property values are specified using the <code>&lt;type_name&gt;</code> convention, in which <code>type_name</code> describes the type of value that is allowable for that argument or property. You can, of course, use an arbitrary expression for these values, as long as it evaluates to a value of the right type. For example, <code>&lt;boolean&gt;</code> means either the <code>true</code> or <code>false</code> Boolean values.</p>\n\
<p>Also indicated for function calls are those that are automatically <strong>mapped</strong> over collections. This means that the function will be automatically called repeatedly on the elements of a collection if the collection is given as the first argument to the function. See <a href=\"./../Collections/Collections-1.html\">Collections</a> for more information.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Values.html\">Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"Working-with-Values.html\">Working with Values</a></li>\n\
          <li><a class=\"link\" href=\"Special-Data-Values.html\">Special Data Values</a></li>\n\
          <li><a class=\"link\" href=\"Bitmap-Values/Bitmap-Values-1.html\">Bitmap Values</a></li>\n\
          <li><a class=\"link\" href=\"Stream-Values/Stream-Values-1.html\">Stream Values</a></li>\n\
          <li><a class=\"link\" href=\"MAXKey-Values/MAXKey-Values-1.html\">MAXKey Values</a></li>\n\
          <li><a class=\"link\" href=\"ArrayParameter-Values/ArrayParameter-Values-1.html\">ArrayParameter Values</a></li>\n\
          <li><a class=\"link\" href=\"DataPair-Values/DataPair-Values-1.html\">DataPair Values</a></li>\n\
          <li><a class=\"link\" href=\"../Collections/Collection-Types/Collection-Types-1.html\">Collection Types</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";