var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0AEEF510-1859-48B7-9A19-A6158B0310A7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Working with Values</h1></div><h2 id=\"print-and-format\">Print and Format</h2><p>The <code>print()</code> and <code>format()</code> functions are straightforward.</p>\n\
<p>The <code>format</code> function is used when any formatting of the output is desired, or if you want to print multiple values on a line.</p>\n\
<p>When printing a value using either of these functions, a string representation of the value is printed. This is not the object name for those objects with names (for example a <strong>3ds Max</strong> object or material).</p>\n\
<p>In the following example, variable <code>b</code> contains a reference to a <strong>3ds Max</strong> Box object that has a material applied:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   print b\n\
   print b.name\n\
   print b.material\n\
   print b.material.name</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $Box:Box01 @ [-74.353745,0.000001,-19.931978]\n\
   &quot;Box01&quot;\n\
   Material #1:Standard\n\
   &quot;Material #1&quot;</code></pre></blockquote>\n\
<p>The printed results above also reflect the result of a <code>&lt;value&gt; as string</code> operation, that is the result is a string representation of the object rather than the object name.</p>\n\
<h2 id=\"classof-superclassof-and-iskindof\">classOf, superClassOf, and isKindOf</h2><p>The following table shows the hierarchy of classes and superclasses for a variable that contains a reference to a <strong>3ds Max</strong> Box object (i.e., <code>b=box()</code> ).</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th>ClassOf</th>\n\
<th>SuperClassOf</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>b</code></td>\n\
<td><code>Box</code></td>\n\
<td><code>GeometryClass</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>box</code></td>\n\
<td><code>GeometryClass</code></td>\n\
<td><code>Node</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>GeometryClass</code></td>\n\
<td><code>Node</code></td>\n\
<td><code>MAXWrapper</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>Node</code></td>\n\
<td><code>MAXWrapper</code></td>\n\
<td><code>Value</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>MAXWrapper</code></td>\n\
<td><code>Value</code></td>\n\
<td><code>Value</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>Value</code></td>\n\
<td><code>Value</code></td>\n\
<td><code>Value</code></td>\n\
</tr>\n\
</tbody></table>\n\
<p>The <code>isKindOf()</code> and <code>classOf()</code> functions are useful for filtering objects from a set.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<p>   either of the following will collect all objects of class <code>box</code> into variable <code>allBoxes</code> :</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   allBoxes=for obj in $* where (isKindOf obj box) collect obj</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   allBoxes=#()\n\
   for obj in $* do (if classOf obj == box then append allBoxes obj)</code></pre></blockquote>\n\
<p>One of the named parameters to the interactive node selection functions is <code>filter</code> , which allows you to specify a function that returns a value of <code>true</code> if an object can be selected.</p>\n\
<p>The <code>classOf</code> , <code>superClassOf</code> , and <code>isKindOf</code> functions are frequently used in these functions.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<p>   the following function limits the choices to shape objects:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn shape_filt obj = isKindOf obj Shape</code></pre></blockquote>\n\
<p>For an example of such a usage, see <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Pickbutton-UI-Control.html\">Pickbutton</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Values.html\">Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";