var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E7584E94-8696-421E-920C-2A83FCD9ABBF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>globalVars Structure</h1></div><p>The <strong>globalVars struct</strong> provides methods to collect, create, test and remove global variables.</p>\n\
<p>These methods are available in <strong>3ds Max 2008</strong> and higher.</p>\n\
<p>They were previously available in the <a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">globalVars.get &lt;global var name&gt;      </code></pre><p>Returns the value of the specified global variable.</p>\n\
<p>The argument must be a MAXScript name value.</p>\n\
<p>The global variable name must exist, otherwise a runtime error will be generated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">globalVars.set &lt;global var name&gt; &lt;value&gt;   </code></pre><p>Sets the value of the specified global variable.</p>\n\
<p>The argument must be a MAXScript name value.</p>\n\
<p>The global variable name must exist, otherwise a runtime error will be generated.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   globalVars.get #dontknow --try to get an undeclared variable\n\
   -- Runtime error: Specified global variable does not exist: #dontknow\n\
   global dontknow = &quot;Now I Know&quot; --declare the variable\n\
   --&gt; &quot;Now I Know&quot;\n\
   globalVars.get #dontknow --now we can get and set the value\n\
   --&gt; &quot;Now I Know&quot;\n\
   globalVars.set #dontknow &quot;I Still Know What You Did Last Siggraph&quot;\n\
   --&gt; &quot;I Still Know What You Did Last Siggraph&quot;\n\
   globalVars.set #reallydontknow &quot;MAXScript&quot;\n\
   -- Runtime error: Specified global variable does not exist: #reallydontknow\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">globalVars.gather [filter:&lt;function&gt;] </code></pre><p>Returns an array of all global variable names declared in the current session.</p>\n\
<p>Available <strong>in 3ds Max 2017 and higher</strong>: The optional filter parameter is a two argument function that returns either true or false. The first argument is the global variable&apos;s name, and the second argument is the global variable&apos;s value. If the filter function returns true, the variable is gathered.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ro_controls = globalvars.gather filter:(fn filterfn n v = (iskindof v rolloutcontrol))\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">globalVars.isglobal &lt;var name&gt; </code></pre><p>Returns <code>true</code> if the specified variable name is global, false if it is not global or not declared.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE (CONTINUED FROM PREVIOUS EXAMPLE)</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   globalVars.isglobal #dontknow --declared in previous example\n\
   --&gt; true\n\
   globalVars.isglobal #reallydontknow --still notdeclared\n\
   --&gt; false\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">globalVars.getTypeTag &lt;var name&gt; </code></pre><p>Returns the type of the global variable as an integer or name value.</p>\n\
<p>The specified global variable name must exist.</p>\n\
<p><strong>This method is mainly for internal testing</strong>.</p>\n\
<p>The primary type tag values are:</p>\n\
<p>10 - general global</p>\n\
<p>11 - constant global</p>\n\
<p>12 - system global</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE (CONTINUED FROM PREVIOUS EXAMPLE)</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   globalVars.getTypeTag #dontknow --declared in previous example\n\
   --&gt; 10P\n\
   globalVars. getTypeTag #reallydontknow --variable does not exist\n\
   -- Runtime error: Specified global variable does not exist: #reallydontknow\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">globalVars.getValueTag &lt;var name&gt;         </code></pre><p>Returns the type of the value in the global variable as an integer or name value.</p>\n\
<p>The specified global variable name must exist.</p>\n\
<p><strong>This method is mainly for internal testing</strong>.</p>\n\
<p>Each value type has its own tag value.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   global aString = &quot;I Know Kung-Fu!&quot;\n\
   --&gt; &quot;I Know Kung-Fu!&quot;\n\
   global aFloat = 123.456\n\
   --&gt; 123.456\n\
   global anInt = 42\n\
   --&gt; 42\n\
   global aMatrix = matrix3 1\n\
   --&gt; (matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0])\n\
   globalVars.getValueTag #aString\n\
   --&gt; #String\n\
   globalVars.getValueTag #aFloat\n\
   --&gt; #float\n\
   globalVars.getValueTag #anInt\n\
   --&gt; #integer\n\
   globalVars.getValueTag #aMatrix\n\
   --&gt; #Matrix3\n\
   globalVars.getValueTag #reallydontknow\n\
   -- Runtime error: Specified global variable does not exist: #reallydontknow\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">globalVars.remove &lt;var name&gt; </code></pre><p>Removes the specified variable name from the list of global variables.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Use With Caution!</p>\n\
\n\
</div></div>\n\
\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Global-and-Persistent-Global.html\">Global and Persistent Global Variable Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Persistents-Structure.html\">Persistents Structure</a></li>\n\
          <li><a class=\"link\" href=\"../../Variables-Assignment-and-Scope.html\">Variables - Assignment and Scope</a></li>\n\
          <li><a class=\"link\" href=\"../Variable-Assignment.html\">Variable Assignment</a></li>\n\
          <li><a class=\"link\" href=\"../Scope-of-Variables.html\">Scope of Variables</a></li>\n\
          <li><a class=\"link\" href=\"../Specifying-Global-Variables-As.html\">Specifying Global Variables As Global Using ::</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";