var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-00294B7D-A624-43BA-8FF8-D684DAEBEF04\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Variable Assignment</h1></div><p>The syntax for general assignment, <code>&lt;assignment&gt;</code> , is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;destination&gt; = &lt;expr&gt;</code></pre><p>where <code>&lt;destination&gt;</code> can be one of:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;var_name&gt;\n\
&lt;property&gt;\n\
&lt;array_index&gt;</code></pre><p>Each of these destination type is described below.</p>\n\
<p>MAXScript provides a <code>swap()</code> method that takes two valid assignment destinations as arguments and swaps their values. Its syntax is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">swap &lt;destination&gt; &lt;destination&gt;</code></pre><h2 id=\"assignment-to-variables\">Assignment to Variables</h2><p>A variable is identified with a MAXScript <code>&lt;var_name&gt;</code> , as described in <a href=\"./../Names-Literal-Constants-and/Names.html\">Names</a>. If <code>&lt;destination&gt;</code> is a <code>var_name</code> , it identifies the variable to be assigned a value, as shown in the following examples:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">x = 2 + 2 * 3 -- assign to variable x\n\
y = [1, 2, 3] + pos -- assign to variable y\n\
z = #(1, 2,&quot;foo&quot;,&quot;bar&quot;) -- assign to variable z\n\
z = #oops -- oops, changed my mind\n\
</code></pre><h2 id=\"assignment-to-accessors\">Assignment to Accessors</h2><p>If <code>&lt;destination&gt;</code> is a <code>&lt;property&gt;</code> or an <code>&lt;array_index&gt;</code> , the assignment is to an accessor. Accessors are constructs used to access the components in compound values, such as arrays and 3D points. There are two kinds of accessors corresponding to the two kinds of <em>compound values</em> in MAXScript:</p>\n\
<ul>\n\
<li><p>The component values are arranged in an indexable sequence, as in arrays or strings.</p>\n\
</li>\n\
<li><p>The compound value contains a fixed set of named components, as with 3D points and time intervals.</p>\n\
</li>\n\
</ul>\n\
<p>All <strong>3ds Max</strong> objects, such as boxes, spheres, bend modifiers, or bitmap textures are treated as compound values in this sense. All their parameters, such as height and angle, or map file name, are accessed as named components. In MAXScript, these named components are referred to as <em>properties</em>. For more information, see <a href=\"./../../MAXScript-Introduction/Objects-and-Classes-in-Object/Properties-Methods-Operators-and.html\">Properties, Methods, Operators, and Literals</a>.</p>\n\
<p>Accessors have one of two forms, an <code>&lt;array_index&gt;</code> :</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;operand&gt; [ &lt;expr&gt; ] -- an indexed element</code></pre><p>or a <code>&lt;property&gt;</code> :</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;operand&gt;.&lt;var_name&gt; -- a named property - property var_name of value in operand</code></pre><blockquote>\n\
<p>   <strong>Examples of assignment to accessors are:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $box01.pos = baseObj.pos + (baseObj.radius*[0,0,1])\n\
</code></pre><p>   Set the position property of object <code>box01</code> based on the position and radius properties of the object whose value is stored in variable <code>baseObj</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   z[2] = d.rotation as eulerangles\n\
</code></pre><p>   Convert the rotation property value of the value stored in variable <code>d</code> to an <code>eulerAngles</code> class value, and store this value in element 2 of the array stored in variable <code>z</code> .</p>\n\
</blockquote>\n\
<p>The syntax definitions allow you to use any <code>&lt;operand&gt;</code> before the <code>.</code> or <code>\\[\\]</code> . Because accessors are themselves operands, this definition is <em>recursive</em>, which means you can string accessors together to query nested arrays or properties:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">my_things[i][j]\n\
my_objects[i].target.position.x\n\
</code></pre><p>Accessors are evaluated left-to-right. The first example evaluates the i&#x2019;th element of <code>my_things</code> , which is presumably a nested array or an array of strings, before yielding the j&apos;th element of that element.</p>\n\
<p>The second example retrieves an object from an array of <code>my_objects</code> , then its <code>target</code> , then the <code>position</code> of the target (a 3D point), and finally the <code>x</code> coordinate of that point.</p>\n\
<p>An <code>&lt;operand&gt;</code> can also be a block-expression, allowing you to compute the target object to be accessed.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (instance myNode).pos=myNode.parent.pos\n\
</code></pre><p>   Create an instance of the node whose value is stored in variable <code>myNode</code> , and set its position to the position of the <code>myNode</code> &#x2019;s parent object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (find_table&quot;foo&quot;)[n - 2] = &quot;fred&quot;\n\
</code></pre><p>   Call function <code>find_table</code> with a parameter value of <code>&quot;foo&quot;</code> . The return value from the function is presumably an array. Set element <code>n-2</code> of this array to the value <code>&quot;fred&quot;</code> .</p>\n\
</blockquote>\n\
<p>The named properties defined for the MAXScript values and classes are documented with the value and class descriptions.</p>\n\
<h2 id=\"order-of-evaluation\">Order of Evaluation</h2><p>In an assignment, <code>&lt;expr&gt;</code> is evaluated before <code>&lt;destination&gt;,</code> as can be seen in the following example:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a=#() -- create an empty array to play with\n\
   a[(print &quot;in &lt;destination&gt;&quot;;1)]=(print &quot;in &lt;expr&gt;&quot;;10)\n\
</code></pre><p>   <strong>OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   #() -- result line 1\n\
   &quot;in &lt;expr&gt;&quot; -- output from &lt;expr&gt; side of assignment\n\
   &quot;in &lt;destination&gt;&quot; -- output from &lt;destination&gt; side of assignment\n\
   10 -- result line 2\n\
</code></pre></blockquote>\n\
<p>Assignment in MAXScript is itself an expression and yields the value just assigned. Therefore, you can use assignments inside other expressions or cascade assignments, as in:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   x = y = z = 0\n\
   #(1, 2, a = [0,0,1], 4)\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Variables-Assignment-and-Scope.html\">Variables - Assignment and Scope</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Scope-of-Variables.html\">Scope of Variables</a></li>\n\
          <li><a class=\"link\" href=\"Specifying-Global-Variables-As.html\">Specifying Global Variables As Global Using ::</a></li>\n\
          <li><a class=\"link\" href=\"Persistent-Global-Variables.html\">Persistent Global Variables</a></li>\n\
          <li><a class=\"link\" href=\"Type-Free-Variables.html\">Type-Free Variables</a></li>\n\
          <li><a class=\"link\" href=\"Reference-Assignment.html\">Reference Assignment</a></li>\n\
          <li><a class=\"link\" href=\"Memory-Allocation-and-Garbage.html\">Memory Allocation and Garbage Collection</a></li>\n\
          <li><a class=\"link\" href=\"Memory-Allocation-and-Garbage/Manual-Garbage-Collection.html\">Manual Garbage Collection</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";