var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1BE2E978-72CF-495C-81D6-2B36E2C4FFC7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Change Handlers and Callbacks</h1></div><p><strong>Change Handlers</strong> and <strong>Callbacks</strong> are used to detect when certain types of events occur to scene objects or within <strong>3ds Max</strong>.</p>\n\
<p><a href=\"Change-Handlers-and-Callbacks/Change-Handlers-and-When.html\">Change Handlers</a> are applied to individual <a href=\"./../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Value-1.html\">MAXWrapper</a> objects and specify an attribute to monitor for that object and an expression to evaluate when that attribute changes. Example attributes that can be monitored are geometry, name, transform, and parameters. Change Handlers are not stored in the <strong>3ds Max</strong> scene.</p>\n\
<p><strong>Callbacks</strong> are used to register with <strong>3ds Max</strong> functions that are called when specific events occur within <strong>3ds Max</strong>. Events that can be monitored are changes to the <a href=\"Change-Handlers-and-Callbacks/Time-Change-Callback-Mechanism.html\">time slider tim</a> and <a href=\"Change-Handlers-and-Callbacks/Viewport-Redraw-Callback.html\">redrawing of viewports</a>. Callbacks are not stored in a <strong>3ds Max</strong> scene.</p>\n\
<p>MAXScript also provides several methods that automatically tie into <strong>3ds Max</strong>’s Callback system. These <strong>General Event Callback Mechanism</strong> methods are used to register and unregister <strong>3ds Max</strong>s scripts that are called for a variety of <strong>3ds Max</strong> events. These scripts can optionally be saved with the currently-open file and stay permanently with it, running whenever the scene is loaded, until they are explicitly removed.</p>\n\
<p>The <strong>Node Event System</strong> introduced in <strong>3ds Max 2009</strong> provides a direct exposure of the SDK <code>INodeEventCallback</code> methods and allows more node-related events to be captured, including mapping changes and node-related Undo/Redo actions.</p>\n\
<h2 id=\"the-above-systems-are-described-in-more-detail-in-the-following-topics-\">The above systems are described in more detail in the following topics:</h2><p><a href=\"Change-Handlers-and-Callbacks/Change-Handlers-and-When.html\">Change Handlers and When Constructs</a></p>\n\
<p><a href=\"Change-Handlers-and-Callbacks/Time-Change-Callback-Mechanism.html\">Time Change Callback Mechanism</a></p>\n\
<p><a href=\"Change-Handlers-and-Callbacks/Viewport-Redraw-Callback.html\">Viewport Redraw Callback Mechanism</a></p>\n\
<p><a href=\"Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">General Event Callback Mechanism</a></p>\n\
<p><a href=\"Change-Handlers-and-Callbacks/Node-Event-System.html\">Node Event System</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Change-Handlers-and-Callbacks/Change-Handlers-and-When.html\">Change Handlers and When Constructs</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Change-Handlers-and-Callbacks/Time-Change-Callback-Mechanism.html\">Time Change Callback Mechanism</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Change-Handlers-and-Callbacks/Viewport-Redraw-Callback.html\">Viewport Redraw Callback Mechanism</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Change-Handlers-and-Callbacks/Node-Event-System.html\">Node Event System</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">General Event Callback Mechanism</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Change-Handlers-and-Callbacks/Exploring-the-Trackbar-Filter.html\">Exploring the Trackbar Filter Callback Functions</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Tools-and-Interaction.html\">MAXScript Tools and Interaction with 3ds Max</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Change-Handlers-and-Callbacks/Exploring-the-Trackbar-Filter.html\">Exploring the Trackbar Filter Callback Functions</a></li>\n\
          <li><a class=\"link\" href=\"Creating-MAXScript-Tools/Scripted-Plug-ins/RenderEffect-Progress-Callback.html\">RenderEffect Progress Callback Mechanism</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";