var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8C8AA5D7-5C8D-44C5-BAED-BA8EC10C59FC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>examples</h1></div><p>The following examples show the possible ways to implement trackbar key filter functions:</p>\n\
<h2 id=\"visibility-keys-filter-function-examples\">Visibility Keys Filter Function Examples</h2><p>To register a filter that will display only Visibility keys:</p>\n\
<p><strong>YOU CAN SAY</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn filterVisibilityKeys theAnim theParent theIndex theGParent theNode =\n\
(\n\
if theParent != undefined then\n\
theParent[theIndex].name == &quot;Visibility&quot;\n\
else\n\
false\n\
)\n\
fn testCallbackAdditionFunction arg1 arg2 = (true)\n\
theInterface = maxOps.trackbar\n\
theIndex = theInterface.registerFilter filterVisibilityKeys callbackAdditionFunction &quot;Visibility&quot; 8 active:true stopTraversal:false\n\
</code></pre><p>The filter function will return true only when the Parent is not undefined and the subAnim indexed track of the parent is called &quot;Visibility&quot;.</p>\n\
<p><strong>A faster and better way to define a visibility track key filter function is</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn filterVisibilityKeys theAnim theParent theIndex theGParent theNode = ( theIndex == 2 and theParent == theNode )\n\
</code></pre><p>This function will return true only when the parent is the node itself and the index is 2, which corresponds to the Visibility track.</p>\n\
<h2 id=\"name-and-class-filter-function-examples\">Name and Class Filter Function Examples</h2><p>You can define filter functions that will filter keys by the class or even the name of the node being traversed.</p>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--this function will show keys only of Sphere class nodes:\n\
fn filterSphereKeys theAnim theParent theIndex theGParent theNode = ( classof theNode == Sphere )\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--this function will show keys only of objects whose name starts with &quot;Sphere&quot;:\n\
fn filterSphereByNameKeys theAnim theParent theIndex theGParent theNode = ( substring theNode.name 1 6 == &quot;Sphere&quot;)\n\
</code></pre><h2 id=\"key-count-filter-function-examples\">Key Count Filter Function Examples</h2><p>In some cases, for example, when animating using Reactor or baking animation to keys per frame using MAXScript, the trackBar can become very slow as it tries to display hundreds and even thousands of keys.</p>\n\
<p>The following function will show keys of only those controllers that have less than 10 keys:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn filterNonMassiveKeys theAnim theParent theIndex theGParent theNode = (superClassof theAnim == FloatController and theAnim.keys.count &lt; 10 )\n\
</code></pre><p>Create some object in the scene like a Box, set the Animation mode to Set Key and start animating the position by pressing the Key button. The trackBar will display the keys of the Box until you create the 10 th key, after that all keys will be filtered out and will disappear. You can define a global variable to control the number of keys to be displayed at a time.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">global maxNumberOfKeysInTrackbar = 50\n\
fn filterNonMassiveKeys theAnim theParent theIndex theGParent theNode = ( superClassof theAnim == FloatController and theAnim.keys.count &lt; maxNumberOfKeysInTrackbar )\n\
</code></pre><p>Simply changing the value stored in the global variable maxNumberOfKeysInTrackbar will control how many keys a controller must have to appear in the trackBar. You can even define a small dialog with a spinner and dock it in the UI to have interactive control over the keys display:</p>\n\
<p><strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">(\n\
try (cui.UnRegisterDialogBar MassiveKeysFilterCount) catch()\n\
try (destroyDialog MassiveKeysFilterCount) catch()\n\
global maxNumberOfKeysInTrackbar = 20\n\
--Define a rollout with a spinner\n\
rollout MassiveKeysFilterCount &quot;Keys Limit&quot;\n\
(\n\
spinner massive_count &quot;Max.Keys:&quot; range:[10,1000,20] type:#integer fieldwidth:40\n\
on massive_count changed val do\n\
    (\n\
    maxNumberOfKeysInTrackbar = val\n\
    select selection\n\
    )\n\
)\n\
--Create a dialog, register as DialogBar and dock at bottom\n\
createDialog MassiveKeysFilterCount 120 25\n\
cui.RegisterDialogBar MassiveKeysFilterCount style:#(#cui_dock_all)\n\
cui.DockDialogBar MassiveKeysFilterCount #cui_dock_bottom \n\
--Define, register and enable the key filter functions:\n\
fn callbackAdditionFunction arg1 arg2 = (true)\n\
fn filterNonMassiveKeys theAnim theParent theIndex theGParent theNode =\n\
(\n\
superClassof theAnim == FloatController and theAnim.keys.count &lt; maxNumberOfKeysInTrackbar\n\
)\n\
theIndex = (maxOps.trackBar).registerFilter filterNonMassiveKeys callbackAdditionFunction &quot;Massive Keys Filter&quot; 13 active:true stopTraversal:false\n\
)--end script\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Exploring-the-Trackbar-Filter.html\">Exploring the Trackbar Filter Callback Functions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Exploring-the-Trackbar-Filter.html\">Exploring the Trackbar Filter Callback Functions</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">Interface: maxOps</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";