var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2ABCA59B-A1A3-497E-B800-05427B6CD937\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Plug-in Notifications</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#ClassDescAdded: MAXClass </code></pre><p>Provides a notification that a new ClassDesc is being registered.</p>\n\
<p>This occurs when DLLs containing plugins are loaded, and when a ClassDesc is dynamically created and registered with 3ds Max (for example, when a scripted plug-in is defined). When loading a DLL containing plugins, for each plugin you will get a <strong>#classDescLoaded</strong> notification followed by a <strong>#ClassDescAdded</strong> notification. When a ClassDesc is dynamically created and registered with 3ds Max, you will get just a <strong>#ClassDescAdded</strong> notification.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns a MAXClass wrapper of the ClassDesc being registered.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#classDescLoaded: MAXClass </code></pre><p>Sent after a ClassDesc was successfully loaded from a plug-in dll.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns a MAXClass wrapper of the ClassDesc being loaded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#interactivePluginCreationStarted: MAXClass </code></pre><p>Sent when the user starts creating a plug-in instance.</p>\n\
<p>Examples of when this notification is sent include interactive creation of objects via the Create and Modify panels or the main menu. This notification is not sent when plug-in instances are created programmatically (via the SDK, MAXScript, python etc).</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function will return a MAXClass wrapping the plug-in.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#interactivePluginCreationEnded: MAXClass </code></pre><p>Sent when the user ends creating a plug-in instance.</p>\n\
<p>This notification is not sent when plug-in instances are created programmatically (via the SDK, MAXScript, python etc).</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function will return a MAXClass wrapping the plug-in.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#ObjectDefinitionChangeBegin: MAXClass </code></pre><p>Sent immediately before object instances are updated to a new object definition.</p>\n\
<p>MAXScript allows scripted plugin and scripted custom attribute definitions to be updated by re-evaluating the definition script. The new definition can add or remove local variables, parameter blocks, parameter block items, rollouts, and rollout controls. After the new definition is evaluated, existing plugin instances are converted to this new definition. This notification is sent immediately before the instances are converted to the new definition.</p>\n\
<p>A plugin may use this notification to, for example, control the rebuilding of rollout displays for instances of the plugins using the definition.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function will return a MAXClass wrapping the scripted plug-in.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#ObjectDefinitionChangeEnd: MAXClass </code></pre><p>Sent after object instances are updated to a new object definition. See <strong>#ObjectDefinitionChangeBegin</strong>.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function will return a MAXClass wrapping the scripted plug-in.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#pluginLoaded: string </code></pre><p>Sent whenever a plug-in is loaded.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function will return the String containing the name of the dll loaded</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../General-Event-Callback-Mechanism.html\">General Event Callback Mechanism</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";