var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-87081207-7388-4F7E-AA7B-60D00ABECF03\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ListView ActiveX Control Example</h1></div><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\"./../../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\"./../../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>See the topic <a href=\"./../../../../../Interaction-with-Other/DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-ActiveX-ListView.html\">Converting ActiveX ListView Control to DotNet ListView Control</a> for an example of switching existing ActiveX code to DotNet.</p>\n\
<p>The following example will not work on your system unless it has a ListView ActiveX control installed.</p>\n\
<blockquote>\n\
<p>   <strong>SAMPLE SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout controlR92 &quot;Microsoft ListView Control, version 6.0&quot;\n\
   (\n\
   activeXControl ax &quot;{BDD1F04B-858B-11D1-B16A-00C0F0283628}&quot; height:200 width:300 align:#left\n\
   --on ax Click do format &quot;handler: Click\\n&quot;\n\
   --on ax DblClick do format &quot;handler: DblClick\\n&quot;\n\
   on controlR92 open do\n\
   (\n\
   showProperties ax\n\
   ax.MousePointer = #ccArrow\n\
   ax.GridLines = true\n\
   ax.AllowColumnReorder = true\n\
   ax.BorderStyle = #ccFixedSingle\n\
   ax.view = #lvwReport\n\
   chs = ax.columnHeaders\n\
   --showProperties chs\n\
   --showMethods chs\n\
   hTargets = chs.Add()\n\
   hWeights = chs.Add()\n\
   hTargets.text = &quot;Node&quot;\n\
   hWeights.text = &quot;Weights&quot;\n\
   lis = ax.listItems\n\
   for i=0 to 10 do\n\
   (\n\
   local li\n\
   li = lis.Add()\n\
   li.text = &quot;Item &quot; + i as string\n\
   )\n\
   for li in ax.listItems do li.bold = true\n\
   li = ax.HitTest 100 1500\n\
   if li != undefined do\n\
   (\n\
   showProperties li\n\
   li.text = &quot;Just Hit Tested&quot;\n\
   showEvents controlR92.ax\n\
   showMethods controlR92.ax\n\
   )\n\
   )\n\
   )\n\
   nr92 = newRolloutFloater &quot;Microsoft ListView Control, version 6.0&quot; 350 300 10 10\n\
   addRollout ControlR92 nr92\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-5B097B80-912F-4080-AFD1-4CFA9BE84EA6-low.gif\" alt></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../ListView-ActiveX-Control.html\">ListView ActiveX Control</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../How-To-Practical-Examples/How-To-Develop-a-Selected/How-To-Develop-a-Selected-1.html\">How To ... Develop a Selected Objects Inspector using ListView ActiveX Control - Part One</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../How-To-Practical-Examples/How-To-Develop-a-Selected/How-To-Develop-a-Selected-2.html\">How To ... Develop a Selected Objects Inspector using ListView ActiveX Control - Part Two</a></li>\n\
          <li><a class=\"link\" href=\"../../ActiveX-Controls-in-MAXScript-1.html\">ActiveX Controls in MAXScript Rollouts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";