var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5B78FC97-8913-4CAF-9BEE-71436D045AE7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Internet Explorer ActiveX Control</h1></div><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\"./../../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\"./../../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>The following example should still work though since Internet Explorer continues to provide ActiveX controls for backwards compatibility.</p>\n\
<p>The following example creates an Internet Explorer browser control in a rollout and registers it as extended viewport.</p>\n\
<p>Pick &quot;Web Page&quot; from the Extended Views menu to display the rollout in the webpage. Also click various hypertext links to see the text change in the viewports</p>\n\
<blockquote>\n\
<p>   <strong>SAMPLE SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout rWebpage &quot;Web page&quot;\n\
   (\n\
   local txtObj\n\
   local vpsz = getViewSize()\n\
   activeXControl ax &quot;http://www.yahoo.com&quot; height:(vpsz.y-50) width:(vpsz.x-50) align:#center\n\
   fn checkTextObject =\n\
   (\n\
   if $text01 == undefined then\n\
   (\n\
   txtObj = text text:&quot;&quot; name:&quot;text01&quot;\n\
   addModifier txtObj (extrude amount:10)\n\
   txtObj.wirecolor = red\n\
   )\n\
   else ( txtObj = $text01 )\n\
   )\n\
   on rWebpage open do ( checkTextObject() )\n\
   on ax TitleChange txt do\n\
   (\n\
   checkTextObject()\n\
   if not (matchPattern txt pattern:&quot;http:&quot;) then\n\
   (\n\
   if txtObj.text != text then\n\
   (\n\
   print txt\n\
   txtObj.text = txt\n\
   max tool zoomextents all\n\
   )\n\
   ).y\n\
   addRollout rWebPage fWebPage\n\
   registerViewWindow fWebPage\n\
   showProperties rWebpage.ax\n\
   )\n\
   )\n\
   fWebPage = newRolloutFloater &quot;Web page&quot; rWebpage.vpsz.x rWebpage.vpsz.y\n\
   addRollout rWebPage fWebPage\n\
\n\
   registerViewWindow fWebPage\n\
   showProperties rWebpage.ax\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-1FBBB502-734D-4D31-BAF1-07873BFA7B55-low.gif\" alt></p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Due to a change in ActiveX controls handling by Microsoft, URLs are ALWAYS expected to start with &quot;http://&quot;. Thus, using just &quot;<a href=\"http://www.yahoo.com&quot;\" target=\"_blank\">www.yahoo.com&quot;</a> would work <strong>in 3ds Max 5</strong> but not in <strong>3ds Max 6</strong> and higher!</p>\n\
\n\
</div></div>\n\
\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other-ActiveX-Control-Examples.html\">Other ActiveX Control Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../ActiveX-Controls-in-MAXScript-1.html\">ActiveX Controls in MAXScript Rollouts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";