var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C2B51AEE-9C08-4679-B625-A36C72025C91\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>TreeView ActiveX Control</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&quot;Microsoft TreeView Control 6.0 (SP4)&quot; &quot;MSComctlLib.TreeCtrl.2&quot; &quot;{C74190B6-8589-11D1-B16A-00C0F0283628}&quot; </code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\"./../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\"./../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>See the topic <a href=\"./../../../../Interaction-with-Other/DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-ActiveX-TreeView.html\">Converting ActiveX TreeView Control to DotNet TreeView Control</a> for an example of switching existing ActiveX code to DotNet.</p>\n\
<p><strong>Description:</strong></p>\n\
<p>The <strong>TreeView ActiveX Control</strong> is one of the most often used ActiveX Controls in MAXScript rollouts. It is very flexible and customizable and is thus discussed in detail in this chapter. It can be used to create node trees and hierarchy displays.</p>\n\
<p>An example of the a TreeView Control used in the 3ds Max User Interface is the Named Selection Sets dialog.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">activeXControl tv &quot;MSComctlLib.TreeCtrl&quot; </code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"treeview-nodes-\">TreeView Nodes:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Nodes : Nodes </code></pre><p>Get/Set the array of nodes represented in the TreeView.</p>\n\
<p><strong>.Nodes Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Nodes.Count : integer </code></pre><p>Returns the number of nodes in the .Nodes array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Nodes[Index:undefined] : INode </code></pre><p>You can access nodes from the array using indexed access. The index is 1-based.</p>\n\
<p>Nodes returned by this property have their own properties and methods which are described under <a href=\"#treeview-node-properties-and-methods\">TreeView Node Properties and Methods</a></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   first_node = tv.Nodes[1]\n\
   --returns the first node in the TreeView stored in the variable tv.\n\
   showProperties first_node --show node properties\n\
   showMethods first_node --show methods applicable to TreeView nodes\n\
</code></pre></blockquote>\n\
<p><strong>.Nodes Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Add Relative:undefined Relationship:undefined Key:undefined Text:undefined Image:undefined SelectedImage:undefined </code></pre><p>Adds a new node to the .Nodes array and returns the new node as result.</p>\n\
<p>The same method can be used to add children to existing nodes to build a hierarchy. See the tutorial <a href=\"./../../../../How-To-Practical-Examples/How-To-Develop-a-Scene-Browser/How-To-Develop-a-Scene-Browser-1.html\">How To ... Develop a Scene Browser using TreeView ActiveX Control - Part One</a> for an example.</p>\n\
<p>Nodes returned by this method have their own properties and methods which are described under <a href=\"#treeview-node-properties-and-methods\">TreeView Node Properties and Methods</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Clear() </code></pre><p>Removes all nodes from the .Nodes array of the TreeView Control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Remove Index:undefined </code></pre><p>Removes a single node by index. Index is 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">._NewEnum() </code></pre><p>Returns an IVBDataObject</p>\n\
<h2 id=\"treeview-layout\">TreeView Layout</h2><p>The following properties control the layout and appearance of the TreeView Control:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.LineStyle : TreeLineStyleConstants( #tvwTreeLines | #tvwRootLines ) </code></pre><p>Controls the style of the lines connecting the nodes in the hierarchy. The <code>#tvwTreeLines</code> mode shows the root nodes without connection lines and draws lines only between their children. The <code>#tvwRootLines</code> connects both root level nodes and their children with lines. Below you can see the difference:</p>\n\
<p><img src=\"./images/GUID-D7D2DF6E-9B07-4EBE-AAB7-EF12FC79F2DC-low.gif\" alt> <img src=\"./images/GUID-EEF93061-F9E7-4181-AA9A-A4BD08843C31-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Style : TreeStyleConstants( #tvwTextOnly | #tvwPictureText | #tvwPlusMinusText | #tvwPlusPictureText | #tvwTreelinesText | #tvwTreelinesPictureText | #tvwTreelinesPlusMinusText | #tvwTreelinesPlusMinusPictureText ) </code></pre><p>Controls the style of the tree display.</p>\n\
<p>Below, you can see the typical 4 styles without icons:</p>\n\
<p><img src=\"./images/GUID-BAC705C2-41C9-41A3-B513-6A4B63AF0B2B-low.gif\" alt> <img src=\"./images/GUID-5B57AA6D-79AF-4AEE-9EFD-08C8EDB33FEF-low.gif\" alt> <img src=\"./images/GUID-4BDD807C-16D3-4A4F-BA1C-601F5558A44E-low.gif\" alt> <img src=\"./images/GUID-E8FA54FE-CF8B-4814-94D7-A4D85ECB4B37-low.gif\" alt></p>\n\
<p>When icons are enabled, they appear between the line/plus/minus sign and the text label:</p>\n\
<p><img src=\"./images/GUID-CB84A1D7-2858-42DA-9F64-9B48D7DC8A7C-low.gif\" alt> <img src=\"./images/GUID-CA8C1645-0AF3-4FBF-A62A-2114C910B9AD-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Appearance : AppearanceConstants( #ccFlat | #cc3D ) </code></pre><p>Controls the appearance of the TreeView control. <code>#cc3D</code> is default.</p>\n\
<p><img src=\"./images/GUID-F45B0AE7-F843-4E69-A131-7E459C99C1D5-low.gif\" alt> <img src=\"./images/GUID-E8FA54FE-CF8B-4814-94D7-A4D85ECB4B37-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.BorderStyle : BorderStyleConstants( #ccNone | #ccFixedSingle ) </code></pre><p>Controls the border style when <code>.Appearance</code> is set to <code>#ccFlat</code> . When set to <code>#ccFixedSingle</code> , a single pixel border will be drawn around the TreeView.</p>\n\
<p><img src=\"./images/GUID-F45B0AE7-F843-4E69-A131-7E459C99C1D5-low.gif\" alt> <img src=\"./images/GUID-E8FA54FE-CF8B-4814-94D7-A4D85ECB4B37-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Indentation : float </code></pre><p>Get/Set the Indentation value in <a href=\"./../Point2-Values-as-Twips-in.html\">Twips</a>. The value controls how far a child is indentend relatively to its parent.Note that values below 28 pixels (420 twips) will not affect the indentation anymore, but will cause the plus/minus signs to appear much smaller.</p>\n\
<p>The following screenshots show Indentations of 10,28,40 and 60 pixels:</p>\n\
<p><img src=\"./images/GUID-68DE4E64-C4BE-4361-8F2F-742F7CE210A3-low.gif\" alt> <img src=\"./images/GUID-E8FA54FE-CF8B-4814-94D7-A4D85ECB4B37-low.gif\" alt> <img src=\"./images/GUID-2D37F1AC-074F-4DB8-91CC-B6D9BE65846A-low.gif\" alt> <img src=\"./images/GUID-33B26B9A-C49C-4815-BDAA-43533342B18D-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Checkboxes : boolean </code></pre><p>When set to true, checkboxes will be displayed in front of each Node. When set to false (default), no checkboxes will be displayed.</p>\n\
<p><img src=\"./images/GUID-E8FA54FE-CF8B-4814-94D7-A4D85ECB4B37-low.gif\" alt> <img src=\"./images/GUID-873074D0-63B5-4B9C-8A4D-603A80AE4D49-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.PathSeparator : string </code></pre><p>Defines the path separator string to be used by the <code>.FullPath</code> property of the Node.For example, setting the value to &quot;&gt;&quot; and getting the <code>.FullPath</code> property of a node &quot;Sphere01&quot; which is child of node &quot;Box01&quot; which is child of node &quot;ROOT&quot; will return the path string &quot;ROOT&gt;Box01&gt;Sphere01&quot;</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Enabled : boolean </code></pre><p>When set to true, the TreeView is editable. When set to false, the TreeView only displays the nodes but cannot be manipulated interactively. There is no visual difference between the two modes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.DropHighlight : INode </code></pre><p>If a TreeView node is assigned to this property, it will be displayed as highlighted (appearing to be selected, but without having the selected state flag set). The highlight will not be affected by the selection highlight, leaving the specified node highlighted until the DropHighlight is set to undefined again.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.LabelEdit : LabelEditConstants( #tvwAutomatic | #tvwManual ) </code></pre><p>Controls the editing of the label (the text of the node). Default is <code>#tvwAutomatic</code> . When automatic, the user can simply select a node and click a second time to edit the label. When manual, the label editing has to be initiated by the developer using the StartLabelEdit() method described below.</p>\n\
<p><img src=\"./images/GUID-E8FA54FE-CF8B-4814-94D7-A4D85ECB4B37-low.gif\" alt> <img src=\"./images/GUID-7E9967EF-EE0C-47F9-BCBB-95C46617814F-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Scroll : boolean </code></pre><p>When set to true (default), horizontal and vertical scrollbars will appear whenever the tree does not fit in the TreeView area. When set to false, no scrollbars will be displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Font : IFontDisp </code></pre><p>Defines the Font used by the TreeView. Cannot be set by MAXScript.</p>\n\
<h2 id=\"treeview-selections\">TreeView Selections</h2><p>The following properties provide access to and give control over the selection of nodes in TreeView Controls:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SelectedItem : INode </code></pre><p>Returns the currently selected node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.HideSelection : Boolean </code></pre><p>When set to true, the selection will not be displayed.When set to false, the selection will be displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.FullRowSelect : boolean </code></pre><p>When set to true, the whole row will be selected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.HotTracking : boolean </code></pre><p>When set to true, the ListItems will be highlighted as the mouse moves over them. When set to false (default), there will be no effect when the mouse is moving over ListItems.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SingleSel : boolean </code></pre><p>When set to true (default), selecting a new branch will automatically collapse previously expanded branches. When set to false, multiple branches can be open at the same time.</p>\n\
<h2 id=\"treeview-images\">TreeView Images</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ImageList : IVBDataObject </code></pre><p>This is the array storing all images used as icons. It expects an IVBDataObject (Visual Basic Data Object) which can be provided by an ImageList ActiveX control. See the tutorial <a href=\"./../../../../How-To-Practical-Examples/How-To-Develop-a-Scene-Browser/How-To-Develop-a-Scene-Browser-2.html\">How To ... Develop a Scene Browser using TreeView ActiveX Control - Part Two</a> for a practical example.</p>\n\
<h2 id=\"treeview-mouse-pointer\">TreeView Mouse Pointer</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.MousePointer : MousePointerConstants( #ccDefault | #ccArrow | #ccCross | #ccIBeam | #ccIcon | #ccSize | #ccSizeNESW | #ccSizeNS | #ccSizeNWSE | #ccSizeEW | #ccUpArrow | #ccHourglass | #ccNoDrop | #ccArrowHourglass | #ccArrowQuestion | #ccSizeAll | #ccCustom) </code></pre><p>Get/Set the mouse pointer type when over the ListView Control. The script developer could use the mouse events described further on this page to change the mouse pointer depending on the underlying content or the allowed actions...</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.MouseIcon : IPictureDisp </code></pre><p>Returns the mouse icon as IPictureDisp value. Cannot be set by MAXScript.</p>\n\
<h2 id=\"treeview-sorting\">TreeView Sorting</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Sorted : boolean </code></pre><p>When set to false (default), the nodes will be displayed in the order they have been added to the .Nodes array.</p>\n\
<p>When set to true, the nodes will be sorted alphabetically.</p>\n\
<h2 id=\"drag-and-drop-behaviors\">Drag and Drop Behaviors</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.OLEDragMode : OLEDragConstants( #ccOLEDragManual | #ccOLEDragAutomatic ) </code></pre><p>Controls the OLE Drag mode. When set to manual, a drag can be initiated only via the scripted method .OLEDrag(). When set to automatic, the user can drag nodes from the list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.OLEDropMode : OLEDropConstants( #ccOLEDropNone | #ccOLEDropManual)) </code></pre><p>Controls the OLE Drop mode.</p>\n\
<h2 id=\"windows-messaging\">Windows Messaging</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.hWnd : OLE_HANDLE </code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.HitTest x:float y:float </code></pre><p>Performs a hit test at the specified x and y coordinates.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.GetVisibleCount() </code></pre><p>Returns the number of visible nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.StartLabelEdit() </code></pre><p>Manually starts label editing of the currently selected node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Refresh() </code></pre><p>Refreshes the TreeView display.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.OLEDrag() </code></pre><p>Manually initiates OLE Drag.</p>\n\
<p><strong>Events</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; BeforeLabelEdit Cancel:integer do ( ... ) </code></pre><p>Called before the Label Editing starts.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; AfterLabelEdit Cancel:integer NewString:string do ( ... ) </code></pre><p>Called after the Label Editing ends.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; Collapse Node:Node do ( ... ) </code></pre><p>Called when a node has been collapsed. The argument will contain the node that has been collapsed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; Expand Node:Node do ( ... ) </code></pre><p>Called when a node has been expanded. The argument will contain the node that has been expanded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; NodeClick Node:Node do ( ... ) </code></pre><p>Called when a node has been clicked. The argument will contain the node that has been clicked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; KeyDown KeyCode:integer Shift:integer do ( ... ) </code></pre><p>Called when the user pressed a key. The KeyCode argument will contain the integer code of the key that has been pressed, the Shift argument will contain an integer whose bits represent the pressed state of the Shift, Control and Alt keys - bit 1 represents Shift, bit 2 represents Control, bit 3 represents Alt.</p>\n\
<p>0 - No modifier keys pressed</p>\n\
<p>1 - Left or Right Shift key pressed</p>\n\
<p>2 - Left or Right Control key pressed</p>\n\
<p>3 - Control + Shift keys pressed simultaneously</p>\n\
<p>4 - Left or Right Alt key pressed</p>\n\
<p>6 - Control + Alt keys pressed simultaneously</p>\n\
<p>7 - Control, Alt and Shift keys pressed simultaneously</p>\n\
<blockquote>\n\
<p>   <strong>An example of the MAXScript syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   on tv keyDown theKeyCode theShiftState do\n\
   (\n\
   format &quot;Key Code is %, Shift State is %\\n&quot; theKeyCode theShiftState\n\
   )\n\
   --where tv is the name of the ActiveX TreeView,\n\
   --theKeyCode and theShiftState are user-defined variable names.\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; KeyUp KeyCode:integer Shift:integer do ( ... ) </code></pre><p>Called when the user releases a key. The KeyCode argument will contain the integer code of the key that has been released, the Shift argument will contain an integer whose bits represent the pressed state of the Shift, Control and Alt keys - see above.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; KeyPress KeyAscii:integer do ( ... ) </code></pre><p>Called when the user pressed a key. The KeyAscii argument will contain the ASCII integer code of the key that has been pressed. For example, pressing Space Bar will return 32, pressing Shift+A will return 65 etc.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; MouseDown Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) </code></pre><p>Called when the user clicked the TreeView with the mouse.</p>\n\
<p>The Button argument will contain an integer whose bits will correspond to the mouse buttons: bit 1 represents Left Mouse Button, bit 2 represents Right Mouse Button, bit 3 represents Middle Mouse Button / Wheel.</p>\n\
<p>1 - Left Mouse Button pressed.</p>\n\
<p>2 - Right Mouse Button pressed.</p>\n\
<p>4 - Middle Mouse Button / Wheel pressed.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Pressing two or three mouse buttons simultaneously will NOT add the values but generate separate events for each button!</p>\n\
<p>The Shift argument will contain the state of the Shift, Control and Alt keys as described earlier on this page.</p>\n\
<p>The x and y arguments will contain the location of the click in TreeView pixel coordinates (NOT twips!), where 0,0 is the upper left corner of the TreeView Control.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test &quot;Test&quot;\n\
   (\n\
   activeXControl tv &quot;MSComctlLib.TreeCtrl&quot; height:100 width:100\n\
   on tv MouseDownButton Shift x y do\n\
   format &quot;Button: %, Shift: %, xy: %,%\\n&quot; Button Shift x y\n\
   )\n\
   createDialog test\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; MouseMove Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) </code></pre><p>Called when the user moves the mouse inside the TreeView control.</p>\n\
<p>The Button argument will contain an integer whose bits will correspond to the mouse buttons: bit 1 represents Left Mouse Button, bit 2 represents Right Mouse Button, bit 3 represents Middle Mouse Button / Wheel.</p>\n\
<p>1 - Left Mouse Button pressed.</p>\n\
<p>2 - Right Mouse Button pressed.</p>\n\
<p>4 - Middle Mouse Button / Wheel pressed.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Pressing two or three mouse buttons simultaneously will NOT add the values but generate separate events for each button!</p>\n\
<p>The Shift argument will contain the state of the Shift, Control and Alt keys as described earlier on this page.</p>\n\
<p>The x and y arguments will contain the location of the click in TreeView pixel coordinates (NOT twips!), where 0,0 is the upper left corner of the TreeView Control.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --This script will print the mouse values\n\
   --while you move the mouse inside the ListView control\n\
   rollout test &quot;Test&quot;\n\
   (\n\
   activeXControl tv &quot;MSComctlLib.TreeCtrl&quot; height:100 width:100\n\
   on tv MouseMove Button Shift x y do\n\
   format &quot;Button: %, Shift: %, xy: %,%\\n&quot; Button Shift x y\n\
   )\n\
   createDialog test\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; MouseUp Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) </code></pre><p>Called when the user released the mouse over the TreeView control.</p>\n\
<p>The Button argument will contain an integer whose bits will correspond to the mouse buttons: bit 1 represents Left Mouse Button, bit 2 represents Right Mouse Button, bit 3 represents Middle Mouse Button / Wheel.</p>\n\
<p>1 - Left Mouse Button pressed.</p>\n\
<p>2 - Right Mouse Button pressed.</p>\n\
<p>4 - Middle Mouse Button / Wheel pressed.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Pressing two or three mouse buttons simultaneously will NOT add the values but generate separate events for each button!</p>\n\
<p>The Shift argument will contain the state of the Shift, Control and Alt keys as described earlier on this page.</p>\n\
<p>The x and y arguments will contain the location of the click in TreeView pixel coordinates (NOT twips!), where 0,0 is the upper left corner of theTreeViewControl.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test &quot;Test&quot;\n\
   (\n\
   activeXControl tv &quot;MSComctlLib.TreeCtrl&quot; height:100 width:100\n\
   on tv MouseUpButton Shift x y do\n\
   format &quot;Button: %, Shift: %, xy: %,%\\n&quot; Button Shift x y\n\
   )\n\
   createDialog test\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; Click do ( ... ) </code></pre><p>Called when the user clicked inside the TreeView control. This event does not return specific TreeView Node, but it could be used to query the selection state or other properties of all Nodes. It is a general notification that the user clicked the TreeView, the actual actions performed by the event are up to the script developer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; DblClick do ( ... ) </code></pre><p>Called when the user double-clicked inside the TreeView control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; NodeCheck Node:Node do ( ... ) </code></pre><p>Called when the user changed the state of a node&apos;s checkbox (must be visible because of property .checkboxes = true).</p>\n\
<p>The Node argument will contain the node whose checkbox has been changed. You can then access the new state by accessing the .checked property of the node that was changed. You can also access any other node property like .text , .index etc. See <a href=\"#treeview-node-properties-and-methods\">TreeView Node Properties and Methods</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; OLEStartDrag &amp;Data:DataObject &amp;AllowedEffects:integer do ( ... ) </code></pre><p>Called when the user started dragging from the ListView control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; OLEGiveFeedback &amp;Effect:integer &amp;DefaultCursors:boolean do ( ... ) </code></pre><p>Called when the user started dragging from the ListView control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; OLESetData &amp;Data:DataObject &amp;DataFormat:integer do ( ... ) </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; OLECompleteDrag &amp;Effect:integer do ( ... ) </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; OLEDragOver &amp;Data:DataObject &amp;Effect:integer &amp;Button:integer &amp;Shift:integer &amp;x:float &amp;y:float &amp;State:integer do ( ... ) </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; OLEDragDrop &amp;Data:DataObject &amp;Effect:integer &amp;Button:integer &amp;Shift:integer &amp;x:float &amp;y:float do ( ... ) </code></pre><h2 id=\"treeview-node-properties-and-methods\">TreeView Node Properties and Methods</h2><p>The following properties and methods are available for single TreeView Nodes.</p>\n\
<p>You can get single nodes either by using indexed access to the .Nodes array, or as a return value of the .Nodes.Add() method.</p>\n\
<h3 id=\"treeview-node-properties-\">TreeView Node Properties:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Children : integer </code></pre><p>Returns the number of children of the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Parent : INode </code></pre><p>Returns the parent node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Child : INode </code></pre><p>Returns the first child node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Root : INode </code></pre><p>Returns the root node (top most parent in the hierarchy).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Previous : INode </code></pre><p>Returns the previous node in the same hierarchy level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Next : INode </code></pre><p>Returns the next node in the same hierarchy level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.FirstSibling : INode </code></pre><p>Returns the first sibling.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.LastSibling : INode </code></pre><p>Returns the last sibling.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.FullPath : string </code></pre><p>Returns the full path of the node as a string. See also the <code>.PathSeparator</code> property of TreeView described earlier on this page.</p>\n\
<p>For example, setting the value to &quot;&gt;&quot; and getting the <code>.FullPath</code> property of a node &quot;Sphere01&quot; which is child of node &quot;Box01&quot; which is child of node &quot;ROOT&quot; will return the path string &quot;ROOT&gt;Box01&gt;Sphere01&quot;</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Text : string </code></pre><p>Get/Set the text displayed by the node</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ForeColor : OLE_COLOR </code></pre><p>Get/Set the color of the text.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.BackColor : OLE_COLOR </code></pre><p>Get/Set the color of the node&apos;s background.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Microsoft ActiveX Controls use BGR and NOT RGB color specifications!</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Bold : boolean </code></pre><p>When set to true, the text will be displayed as bold. When set to false, regular text will be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Index : integer </code></pre><p>Returns the index of the node</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Checked : boolean </code></pre><p>Get/Set the checked state of the node. The state can always be get and set, but checkboxes will be displayed only when the <code>.checkboxes</code> property of the TreeView Control is set to true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Visible : boolean </code></pre><p>Get/Set the visibility of the node as a boolean value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Selected : boolean </code></pre><p>Get/Set the visibility of the node as a boolean value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Expanded : boolean </code></pre><p>Get/Set the expanded state of the node. When set to true, all children will be shown. When set to false, the children display will be collapsed and only the parent node will be displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Image : integer, default:undefined </code></pre><p>Set the index of the image to be displayed by the node.The index points at the imageList property of the TreeView, which is usually assigned an <a href=\"Other-ActiveX-Control-Examples/ImageList-ActiveX-Control.html\">ImageList ActiveX Control</a> to provide the image management.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SelectedImage : integer, default:undefined </code></pre><p>Set the index of the image to be displayed when the node is selected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ExpandedImage : integer, default:undefined </code></pre><p>Set the index of the image to be displayed when the node is expanded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Sorted : Boolean </code></pre><p>When set to true, the children of the node will be sorted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Key : string </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Tag : undefined </code></pre><h3 id=\"node-methods-\">Node Methods:</h3><p>The following methods are available for single TreeView Nodes:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.CreateDragImage() </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.EnsureVisible() </code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Typical-ActiveX-Controls.html\">Typical ActiveX Controls</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../ActiveX-Controls-in-MAXScript-1.html\">ActiveX Controls in MAXScript Rollouts</a></li>\n\
          <li><a class=\"link\" href=\"../../../../How-To-Practical-Examples/How-To-Develop-a-Scene-Browser/How-To-Develop-a-Scene-Browser-1.html\">How To ... Develop a Scene Browser using TreeView ActiveX Control - Part One</a></li>\n\
          <li><a class=\"link\" href=\"../../../../How-To-Practical-Examples/How-To-Develop-a-Scene-Browser/How-To-Develop-a-Scene-Browser-2.html\">How To ... Develop a Scene Browser using TreeView ActiveX Control - Part Two</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";