var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4E926577-61C6-463E-9238-D422EFC03718\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Resource String Replacement</h1></div><h2 id=\"overview\">Overview</h2><p>Starting with <strong>3ds Max 2012</strong>, Scripts and MacroScripts can use Resource IDs in place of strings.</p>\n\
<p>This simplifies the localization of scripts significantly:</p>\n\
<p>All hard-coded English strings can be replaced with Resource IDs and the Resource IDs together with the original values can be stored in a Resource file.</p>\n\
<p>The Resource file can then be translated into multiple languages and the corresponding language version can be loaded automatically according to the <strong>3ds Max</strong> Language Settings.</p>\n\
<h2 id=\"implementation\">Implementation</h2><p>A <strong>Resource ID</strong> is identified as a name surrounded by tildes, for example <del>LIGHT_LISTER_DIALOG_NAME</del>.</p>\n\
<p>If MAXScript encounters a Resource ID <strong>at compile time</strong>, it will search for and load the Resource File that contains the Resource ID / Resource Value pairs and will use the Resource Value in place of the Resource ID. Note that MAXScript will disregard matched files with a size of 0, and will continue searching as described below.</p>\n\
<p>The search for the Resource File will be performed as follows:</p>\n\
<ul>\n\
<li>The directory in which the script source file is stored will be scanned for the same file name as script file, but with the extension .RES. If the script is not saved in a file yet, a Compile error will be thrown.</li>\n\
<li>If the Resource file was not found there, MAXScript will look for that filename in a subdirectory whose name is based on the ISO language/country name (for example, fr-FR)</li>\n\
<li>If the file is still not found, MAXScript will look in the en-US subdirectory.</li>\n\
<li>As result, if no localized version of the Resource file exists, the English Resource file will be used by default (if found).</li>\n\
<li>If no matching Resource file could be found, a Compile error will be thrown.</li>\n\
</ul>\n\
<p>Errors and warnings related to loading MacroScripts and especially issues with Resource IDs, Values and Files will be reported to the MAXScript Listener.</p>\n\
<h2 id=\"resource-file-editing\">Resource File Editing</h2><p>&#39;Resource files (<em>.res)&#39; files are now supported in the MAXScript Editor&#39;s *</em>File &gt; Open** and <strong>File &gt; Save</strong> dialogs.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Defining-Macro-Scripts.html\">Defining Macro Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";