var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-816D257C-CD2D-4753-A792-6E7AEFAFA6A7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CreateDialog</h1></div><p>The CreateDialog function lets you turn an existing rollout definition into a floating Dialog.</p>\n\
<p>Other than a RolloutFloater, which is a container of one or more rollouts, a Dialog is a special display form of the rollout itself.</p>\n\
<p>It provides advanced features like a modal display option, background bitmap display, and mouse event handlers.</p>\n\
<p><strong>The syntax for creating dialogs is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CreateDialog &lt;Rollout&gt; [&lt;width&gt; &lt;height&gt; &lt;position_x&gt; &lt;position_y&gt;]\\ \n\
[pos:&lt;Point2&gt;] [width:&lt;integer&gt;] [height:&lt;integer&gt;] \\ \n\
[bgcolor:&lt;color&gt;] [fgcolor:&lt;color&gt;] \\ \n\
[bitmap:&lt;bitmap&gt;] {bmpstyle:&lt;bmpstyle&gt; \\ \n\
[menu:&lt;RCMenu&gt;] [style:&lt;array&gt;] [modal:&lt;boolean&gt;] \\ \n\
[escapeEnable:&lt;boolean&gt;] [lockHeight:&lt;boolean&gt;] [lockWidth:&lt;boolean&gt;] \\\n\
[autoLayoutOnResize:&lt;boolean&gt;] [parent:&lt;HWND&gt;]     </code></pre><p>When the optional <code>modal:</code> keyword is set to True, the dialog ignores all user interactions except those within the dialog.</p>\n\
<p>Call <code>DestroyDialog()</code> to close it, presumably in a scripted OK button.</p>\n\
<p>The user can also close a modal scripted dialog by hitting the Escape key as long as <code>escapeEnable</code> keyword is set to False or not supplied.</p>\n\
<p>When the optional <code>escapeEnable</code> keyword is set to True, MAXScript escape checker will be disabled for the dialog, preventing the <strong>Interrupted</strong> message from appearing.</p>\n\
<p>If the optional <code>lockHeight</code> keyword is True , the height of the dialog cannot be interactively changed.</p>\n\
<p>If the optional <code>lockWidth</code> keyword is True , the width of the dialog cannot be interactively changed.</p>\n\
<p><strong>Parameters:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Rollout&gt;</code></pre><p>The rollout definition to create the dialog form.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pos:&lt;Point2&gt; -- default:dialog will center within MAX.      </code></pre><p>Placement of the upper left corner of the dialog relative to the upper left corner of the screen.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">width:&lt;integer&gt; -- default:200   </code></pre><p>Width of the dialog box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">height:&lt;integer&gt; -- default:dynamic on control extents </code></pre><p>Height of the dialog box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bgcolor:&lt;color&gt; -- default:(&lt;system button color&gt;) </code></pre><p>Background color of the dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fgcolor:&lt;color&gt; -- default:(color 0 0 0) </code></pre><p>Forground color of the dialog (static text color)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bitmap:&lt;bitmap&gt; -- default:undefined </code></pre><p>Background bitmap for the dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bmpstyle:&lt;key&gt; -- default:#bmp_center </code></pre><p>The way that the background bitmap is displayed.</p>\n\
<p>It can be one of the following:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#bmp_center #bmp_tile #bmp_stretch </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menu:&lt;RCMenu&gt; -- default:undefined </code></pre><p>Menu that appears in the title bar area of the dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">style:&lt;array&gt; -- default:#(#style_titlebar, #style_border, #style_sysmenu) </code></pre><p>Array of style flags that can be one or more of the following:</p>\n\
<p><code>#style_border:</code> Creates a window with a double border, but no title.</p>\n\
<p><code>#style_titlebar:</code> Creates a dialog with a title bar.</p>\n\
<p><code>#style_toolwindow:</code> Creates a tool window, which has a title bar and is intended to be used as a floating toolbar. A tool window has a title bar that is shorter than a normal title bar, and the window title is drawn using a smaller font.</p>\n\
<p><code>#style_resizing:</code> Creates a window with a thick frame that can be used to size the window.</p>\n\
<p><code>#style_minimizebox:</code> Creates a window that has a minimize button.</p>\n\
<p><code>#style_maximizebox:</code> Creates a window that has a maximize button.</p>\n\
<p><code>#style_sysmenu:</code> Creates a window that has a window menu in its title bar.</p>\n\
<p><code>#style_sunkenedge:</code> Specifies that a window has a 3D look in the form of a border with a sunken edge.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> If the style keyword parameter is not specified, the default styles of <code>#style_titlebar</code> , <code>#style_border</code> , and <code>#style_sysmenu</code> are used.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">autoLayoutOnResize:&lt;boolean&gt;]</code></pre><p>If set to true, when the dialog is resized either in the UI or by a script, the layout of the controls in the rollout is updated if <strong>autoLayoutOnResize:true</strong> was also specified for the rollout. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<p>The default is <strong>false</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">parent:&lt;HWND&gt; -- default:&lt;MAX_HWND&gt;</code></pre><p>Parents the dialog to the specified window.</p>\n\
<p>When not supplied, the parent is set to the <strong>3ds Max</strong> Window Handle, causing the dialog to minimize/maximize with the <strong>3ds Max</strong> UI.</p>\n\
<p>When set to a valid HWND, the dialog becomes a Child dialog of the specified Parent and minimizes/restores with it. It always stays in front of the Parent even when the Parent has focus.</p>\n\
<p>As the rollout class provides a <code>.hwnd</code> property, it is easy to parent one dialog to another:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout parent_dialog &quot;Parent&quot; --define a rollout and create a dialog \n\
   (\n\
       label lbl_test &quot;Parent&quot;\n\
       on parent_dialog close do print &quot;PARENT Closed!&quot;\n\
   )\n\
\n\
   createDialog parent_dialog pos:[100,100] style:#(#style_titlebar, #style_border, #style_sysmenu, #style_minimizebox)\n\
\n\
   rollout child_dialog &quot;Test2&quot; --define another rollout\n\
   (\n\
       label lbl_test &quot;Child&quot;\n\
       on child_dialog close do print &quot;CHILD Closed!&quot;\n\
   )\n\
   --Create a dialog from the second rollout and pass the .HWND of the first dialog as the parent: argument:\n\
   createDialog child_dialog pos:[200,130] parent:parent_dialog.hwnd style:#(#style_titlebar, #style_border, #style_sysmenu, #style_minimizebox)\n\
   setFocus parent_dialog --set focus on the Parent dialog - the Child will still be drawn in front of it!\n\
</code></pre><p>   At this point, minimizing and restoring the Parent dialog causes the Child dialog to follow. When the Parent dialog is minimized, the Child is not shown at all.</p>\n\
<p>   Closing the Parent dialog automatically closes the Child, but it will <strong>NOT</strong> invoke the <code>on close do</code> handler of the Child dialog.</p>\n\
</blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> There is no <code>.parent</code> property, only a parameter. It is not possible to dynamically re-parent an already created dialog.</div>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   sme.Open() --Open the SME\n\
   theParent = windows.getChildHWND 0 &quot;Slate Material Editor&quot; --get the HWND of the SME\n\
   rollout sme_toolbox_rollout &quot;SME Toolbox&quot;\n\
   (\n\
       button btn_nextMap &quot;UP One Level&quot; width:150\n\
       on btn_nextMap pressed do\n\
       (\n\
           theObj = sme.GetMtlInParamEditor() --get the node from the parameter panel\n\
           if theObj != undefined do --if there is a valid node, get its dependents\n\
           (\n\
               local theDeps = for m in refs.dependents theObj where isKindOf m TextureMap or isKindOf m Material collect m\n\
               if theDeps.count &gt; 0 do sme.SetMtlInParamEditor theDeps[1]    --if there were any, select the first one    \n\
           )\n\
       )\n\
   )\n\
   createDialog sme_toolbox_rollout parent:theParent[1] --create a dialog as child of the SME\n\
   )\n\
</code></pre><p>   The new dialog stays in front of the SME and minimizes/restores with it, but it does not close if the SME is closed.</p>\n\
</blockquote>\n\
<p><strong>Events:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;Rollout&gt; open do </code></pre><p>Called when the dialog is opening.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;Rollout&gt; close do </code></pre><p>Called when the dialog is closing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;Rollout&gt; moved &lt;Point2&gt; do </code></pre><p>Called when the dialog is being moved.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;Rollout&gt; resized &lt;Point2&gt; do </code></pre><p>Called when the dialog is being resized.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;Rollout&gt; mousemove &lt;Point2&gt; do </code></pre><p>Called when the mouse is being moved within the dialogs client area.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;Rollout&gt; lbuttondown &lt;Point2&gt; do </code></pre><p>Called when the left mouse button is pressed down within the dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;Rollout&gt; lbuttonup &lt;Point2&gt; do </code></pre><p>Called when the left mouse button is released.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;Rollout&gt; lbuttondblclk &lt;Point2&gt; do </code></pre><p>Called when the left mouse button is double clicked within the dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;Rollout&gt; mbuttondown &lt;Point2&gt; do </code></pre><p>Called when the middle mouse button is pressed down within the dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;Rollout&gt; mbuttonup &lt;Point2&gt; do </code></pre><p>Called when the middle mouse button is released.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;Rollout&gt; mbuttondblclk &lt;Point2&gt; do </code></pre><p>Called when the middle mouse button is double clicked within the dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;Rollout&gt; rbuttondown &lt;Point2&gt; do </code></pre><p>Called when the right mouse button is pressed down within the dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;Rollout&gt; rbuttonup &lt;Point2&gt; do </code></pre><p>Called when the right mouse button is released.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;Rollout&gt; rbuttondblclk &lt;Point2&gt; do </code></pre><p>Called when the right mouse button is double clicked within the dialog.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The <code>&lt;Point2&gt;</code> value passed to the event handlers is the position of the mouse within the dialog client window. A value of [0,0] corresponds to the top left corner of the client window.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point2&gt;GetDialogPos &lt;Rollout&gt; [removeUIScaling: &lt;boolean&gt;]\n\
&lt;Point2&gt;GetDialogSize &lt;Rollout&gt;  [removeUIScaling: &lt;boolean&gt;]</code></pre><p>Returns the position or size of the Dialog built from the rollout relative to the upper left corner of the screen in Point2 format.</p>\n\
<p><code>removeUIScaling</code>: Removes UI scaling applied by high-DPI displays if true. The default is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SetDialogPos &lt;Rollout&gt; &lt;Point2&gt; [applyUIScaling: &lt;boolean&gt;]</code></pre><p>Sets the position of the Dialog built from the rollout. The position is relative to the upper left corner of the screen.</p>\n\
<p><code>&lt;Rollout&gt;:</code> The rollout used to build the Dialog to set the position of.</p>\n\
<p><code>&lt;Point2&gt;:</code> Position applied to the Dialog.</p>\n\
<p><code>applyUIScaling</code>: Applies UI scaling to the position on high-DPI displays if true. Available in <strong>3ds Max 2019 and higher</strong>. The default is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SetDialogSize &lt;Rollout&gt; &lt;Point2&gt; [applyUIScaling: &lt;boolean&gt;]</code></pre><p>Sets the size of the Dialog built from the rollout. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<p><code>&lt;Rollout&gt;:</code> The rollout used to build the Dialog to set the size of.</p>\n\
<p><code>&lt;Point2&gt;:</code> Size to applied to the Dialog.</p>\n\
<p><code>applyUIScaling</code>: Applies UI scaling to the size on high-DPI displays if true. The default is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SetDialogBitmap &lt;rollout&gt; &lt;bitmap&gt; </code></pre><p>Sets the bitmap background for the dialog associated with the rollout. If the rollout is not in a dialog, no action is taken. A value of &apos;undefined&apos; for the bitmap clears the current bitmap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;GetDialogBitmap &lt;rollout&gt; </code></pre><p>Gets the bitmap background for the dialog associated with the rollout. If the rollout is not in a dialog, &apos;undefined&apos; is returned</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Dialogs.html\">Scripted Dialogs</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"DestroyDialog.html\">DestroyDialog</a></li>\n\
          <li><a class=\"link\" href=\"../Scripted-Utilities-and-Rollouts/MAXScript-Dialogs-and-Rollout.html\">MAXScript Dialogs and Rollout Floaters as Extended Viewports</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";