var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-02F74674-AC9B-45AB-B2BF-02682C4A4E75\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted Helper Plug-ins</h1></div><p>Scripted Helper plug-ins can only extend existing Helper plug-ins.A scripted Helper plug-in is declared by specifying the <code>&lt;superclass&gt;</code> as <code>helper</code> . If a <code>create</code> tool is specified, it will override the delegate&apos;s create tool.</p>\n\
<p>An example of a scripted Helper plug-in is shown in the Three Lights example in <a href=\"Scripted-Plug-in-Methods.html\">Scripted Plug-in Methods</a>.</p>\n\
<p><strong>Event Handlers</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on getDisplayMesh do ....</code></pre><p>This event handler is available to <a href=\"Scripted-Camera-Plug-ins.html\">scripted cameras</a> and helpers in <strong>3ds Max 7 and higher</strong> and lets the developer replace the viewport display mesh of the delegate with a custom display mesh.</p>\n\
<p>This handler is optional.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> For <strong>performance</strong> reasons, it is <strong>critical</strong> to regenerate the returned mesh as little as possible. The handler is called often - for display, bounds testing, and hit testing.</div>\n\
<p>The example below shows how to update the mesh in the handler only when the mesh has actually changed:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin Helper HelperTest_DisplayMesh\n\
   name:&quot;HelperTest&quot;\n\
   classID:#(0x47db14fe, 0x4e9b5f90)\n\
   category:&quot;Standard&quot;\n\
   extends:dummy\n\
   (\n\
     local lastSize, meshObj\n\
     parameters pblock rollout:params\n\
     (\n\
       size type:#float animatable:true ui:amount default:40.0\n\
     )\n\
     rollout params &quot;HelperTest Parameters&quot;\n\
     (\n\
       Spinner amount &quot;Size:&quot; range:[0, 1e9, 40]\n\
     )\n\
     on getDisplayMesh do\n\
     (\n\
       if (meshObj == undefined) do\n\
       (\n\
         meshObj = createInstance box length:size \\\n\
         width:size height:size mapCoords:false \\\n\
         lastSize = size\n\
       )\n\
       if size != lastSize do\n\
       (\n\
         meshObj.length = meshObj.width = meshObj.height = size \\\n\
         lastSize = size\n\
       )\n\
       meshObj.mesh\n\
     )\n\
     tool create\n\
     (\n\
       on mousePoint click do\n\
       (\n\
         nodeTM.translation = gridPoint;#stop\n\
       )\n\
     )\n\
   )\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on useWireColor do ....</code></pre><p>This <strong>optional</strong> event handler lets the developer specify whether to use the node&apos;s wire color when drawing the object in the viewport, or use the UI color for the object type (Dummy Object for Helpers). If this handler returns true, the node&apos;s wire color is used, otherwise the UI color for the object type is used. If the event handler is not specified, the wire color is used. This handler is only applicable when a <code>getDisplayMesh</code> handler is supplied. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Plug-ins.html\">Scripted Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Updating-Scripted-Plug-ins.html\">Updating Scripted Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Methods.html\">Scripted Plug-in Methods</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Clauses.html\">Scripted Plug-in Clauses</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-ins-1.html\">Scripted Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"../Scripted-Mouse-Tools.html\">Scripted Mouse Tools</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";