var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3FB57157-0112-4617-9532-014B9CECC98E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted SimpleMod Plug-ins</h1></div><p>A SimpleMod plug-in is a deformation-type modifier that moves vertices around, but does not change the topology (adding or deleting vertices, faces, surfaces, lines, and so on).</p>\n\
<p>Examples of similar <strong>3ds Max</strong> modifiers are Bend, Stretch, and Taper.</p>\n\
<p>These kinds of modifiers require only a single <code>map</code> handler to be provided for moving vertices around and they automatically supply 3D box deformation gizmo and center sub-objects.</p>\n\
<p>A scripted Simple Modifier plug-in is declared by specifying the <code>&lt;superclass&gt;</code> as <code>simpleMod</code> .</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin simpleMod saddle\n\
   name:&quot;SaddleDeform&quot;\n\
   classID:#(685325,452281)\n\
   version:1\n\
   (\n\
     parameters main rollout:params\n\
     (\n\
       amount type:#integer ui:amtSpin default:20\n\
     )\n\
     rollout params &quot;Saddle Parameters&quot;\n\
     (\n\
       spinner amtSpin &quot;Amount: &quot; type:#integer range:[0,1000,20]\n\
     )\n\
     on map i p do\n\
     (\n\
       p.z += amount * sin((p.x * 22.5/extent.x) * (p.y * 22.5/extent.y))\n\
       p\n\
     )\n\
   )\n\
</code></pre></blockquote>\n\
<p>This script defines a new SimpleMod plug-in named SaddleDeform. It applies a saddle-type deformation to an object, curving up two opposite corners, and curving down the other two opposite corners (try it on a plane object to see this best). There is a single parameter spinner, <code>amount</code> that specifies how much deformation to apply. The key component of a SimpleMod plug-in is the <code>map</code> handler.</p>\n\
<p><strong>Its form is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on map &lt;index&gt; &lt;point&gt;    do &lt;expr&gt;      </code></pre><p>This event handler is called once for every point in the object (or current point selection in the object) being modified. These points might be mesh vertices, spline vertices, NURBS CVs, and so on. The <code>&lt;index&gt;</code> argument gives the number of the point, but this index might not correspond to a vertex number in a mesh or a spline. The <code>&lt;point&gt;</code> argument supplied to the <code>map</code> handler gives the current object-space coordinates of the point as a Point3. The function must modify the supplied point value as appropriate and return it as the result of the <code>map</code> handler call. In the example above, the <code>map</code> handler applies a Z-coordinate deformation using the equation <code>z = sin(x * y)</code> , so all the points retain their X and Y coordinates and the Z is moved up or down to follow the saddle function. Note that all coordinates are object-local.</p>\n\
<p>The <code>&lt;index&gt;</code> value is 1-based. However, the scripted plug-in is called with an <code>&lt;index&gt;</code> value of 0 to signal that this particular map call is being used by the gizmo bounding box drawing code to compute points in the gizmo box to draw. This hit testing is performed on the object the SimpleMod modifier is applied to and the gizmo bounding box is displayed. This will be the case if the object is selected, the Modifier panel is active, and the SimpleMod modifier is selected in the object&#x2019;s modifier stack.</p>\n\
<p>It is basically up to the object being modified to decide what index value to pass. For example, for meshes it is the actual mesh vertex index. For patches, it is the control points first all in one sequence, followed by the in and out vectors for each control point in control point order. For splines, it is the control point, in vector, and out vector in control point sequence within the curve sequence. This ordering might change in later versions of <strong>3ds Max</strong>.</p>\n\
<p>Because the <code>map</code> handler can be called many times, even on simple objects, it is highly recommended that you minimize the number of values created in the <code>map</code> handler. This will reduce the need for garbage collection to be run. If you need several local variables in the map handler, it is recommended that you declare one or more Point2 or Point3 values in the scripted plug-in definition, and then store values to the component values of the Point2 or Point3 values. This will prevent new local variables from being allocated in the <code>map</code> handler.</p>\n\
<p>You must not try to access the object being modified from within the <code>map</code> handler as this will attempt to evaluate the scripted modifier again. This will result in an infinite loop and hang <strong>3ds Max</strong>.</p>\n\
<p>There are also three pre-defined plug-in locals you can access in the <code>map</code> handler as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">min -- the modifier context&apos;s bounding box min coordinate      \n\
max -- the modifier context&apos;s bounding box max coordinate      \n\
center -- the modifier context&apos;s bounding box center coordinate      \n\
extent -- the modifier context&apos;s bounding box extent or size   </code></pre><p>In the example above, the map handler uses the <code>extent</code> pre-defined local variable to compute a scaling for the saddle function, so that it gets a 1/8th cycle of the function (22.5 degrees) across the whole object. These bounding box locals relate to the modifier&apos;s context, either the whole object or group of objects if applied to a scene node selection, or sub-object selection if there is a sub-object selection modifier below it on the stack (such as, a Mesh Select).</p>\n\
<p>You can also use some other built-in capabilities of SimpleMod to implement modifier limits display. To do this, implement handlers for the following (you must implement all if you implement any):</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on modLimitZMin do &lt;expr&gt;   \n\
on modLimitZMax do &lt;expr&gt;   \n\
on modLimitAxis do &lt;expr&gt; </code></pre><p>If called, the <code>on modLimitZMin</code> and <code>on modLimitZMax</code> handler expressions must evaluate to float values corresponding to the minimum and maximum limits and the <code>on modLimitAxis</code> handler expression must return <code>#x</code> , <code>#y</code> , or <code>#z</code> to specify the limit axis. The MAXScript global variable <code>currentTime</code> contains the time at which these values must be computed. Generally, simple access to parameter values will yield the correct <code>currentTime</code> value automatically. The simplest way to implement these handlers is to maintain limit parameters and associated spinners and checkboxes, and simply pass these parameter values back.</p>\n\
<p>Note that these handlers do not implement the actual limiting of the effect to the limit values, only the gizmo display of the limits. To actually apply the limits, you must provide the necessary logic and calculations within the <strong><code>on map ... do()</code></strong> event handler.</p>\n\
<p>The following example implements a radial Bulge effect relative to the Z axis, and provides limits expressed as Percentage of the bounding box Z height. When enabled, the p.z coordinate normalized by the height of the bounding box is compared to the lower and upper limits and the effect is only applied if the value is between the limits. As the effect and limits are always applied using the Z axis, the on modLimitAxis do() handler always returns #z.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin simpleMod bulgeZ\n\
   name:&quot;BulgeZ&quot;\n\
   classID:#(0xa4741be, 0x953eaf3)\n\
   version:1\n\
   (\n\
   parameters main rollout:params\n\
   (\n\
       amplitude type:#float ui:spn_amplitude default:1\n\
       wavecount type:#float ui:spn_wavecount default:1\n\
       phase type:#float ui:spn_phase default:0\n\
       limit type:#boolean ui:chk_limit default:false\n\
       maxLimit type:#float ui:spn_maxLimit default:100\n\
       minLimit type:#float ui:spn_minLimit default:0\n\
   )\n\
   rollout params &quot;BulgeZ Parameters&quot;\n\
   (\n\
       spinner spn_amplitude &quot;Amplitude: &quot; type:#float range:[0,1000,1]\n\
       spinner spn_wavecount &quot;Wave Count: &quot; type:#float range:[0,1000,1]\n\
       spinner spn_phase &quot;Phase:&quot; type:#float range:[-100000,100000,0] scale:0.01\n\
       group &quot;Limits&quot;\n\
       (\n\
           checkbox chk_limit &quot;Limit Effect&quot; align:#right offset:[8,-5]\n\
           spinner spn_maxLimit &quot;Upper Limit %:&quot; range:[-1000,1000,100] \n\
           spinner spn_minLimit &quot;Lower Limit %:&quot; range:[-1000,1000,0] \n\
       )\n\
   )\n\
   on map i p do\n\
   (\n\
       local v = normalize [p.x-center.x, p.y-center.y,0]\n\
       local pzn = p.z/(max.z-min.z)\n\
       if not limit or (pzn &gt;= minLimit*0.01 and pzn &lt;= maxLimit*0.01) do\n\
           p +=  v*amplitude*(cos (360*(pzn-phase)*wavecount))\n\
       p\n\
   )\n\
   on modLimitZMin do if limit then minLimit*0.01*(max.z-min.z) else 0.0\n\
   on modLimitZMax do if limit then maxLimit*0.01*(max.z-min.z) else 0.0\n\
   on modLimitAxis do #z\n\
   )\n\
</code></pre></blockquote>\n\
<p>The Modify panel actually creates a fresh instance of every modifier when it is to be shown in the Modifier list or the buttons in the Modifiers rollout. This will cause the <code>create</code> handler to be called for a scripted SimpleMod plug-in. No special handling in the <code>create</code> handler is required for this case.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Plug-ins.html\">Scripted Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Updating-Scripted-Plug-ins.html\">Updating Scripted Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Methods.html\">Scripted Plug-in Methods</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Clauses.html\">Scripted Plug-in Clauses</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-ins-1.html\">Scripted Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"../Scripted-Mouse-Tools.html\">Scripted Mouse Tools</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";