var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-44D4AC45-65DD-401B-B4A1-07B71B35D544\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Updating Scripted Plug-ins</h1></div><p>MAXScript allows you to redefine scripted plug-ins while working in <strong>3ds Max</strong>, and have old instances in the current scene and in scenes you load automatically update to the new definition. This ability to redefine scripted plug-ins is called <strong>schema-migration</strong>. MAXScript does this by matching the names of local variables, parameter blocks, and parameters between the old version instances and the new definition. It keeps any variables, parameter blocks, and parameters of the same name, drops anything missing in the new definition and creates new variables, blocks, and parameters as needed, filling them in with default values.</p>\n\
<p>There are some limitations on the kinds of change that can be supported. Specifically:</p>\n\
<ul>\n\
<li><p>Parameter blocks that were per-instance cannot be made per-class and vice versa.</p>\n\
</li>\n\
<li><p>Parameters cannot change type across redefinitions.</p>\n\
</li>\n\
<li><p>Parameters cannot move from one parameter block to another across redefinitions.</p>\n\
</li>\n\
</ul>\n\
<p>This same mechanism is used to update old versions of scripted plug-in objects stored in scene files. Remember that this only works if the <code>classID:</code> specified in the scripted plug-in definition that was in force when the scene was saved is the same as the current <code>classID:</code> in the definition as <strong>3ds Max</strong> depends upon this classID to match objects in the scene file and their class definitions.</p>\n\
<p>You can specify an <code>update</code> event handler in a scripted plug-in and it will be called whenever the object is updated by this schema migration mechanism. To make this more useful, MAXScript supports a version number on scripted plug-ins. The version for any particular instance of the plug-in can be accessed using the <code>version</code> special local variable in any plug-in local function or handler. When the <code>update</code> event handler is called during a schema-migration, the old version number is still in force, but is updated to the current version number immediately after update.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin helper lightMaster\n\
   name:&quot;Light Master&quot;\n\
   classID:#(12345,54321)\n\
   extends:Dummy\n\
   invisible:true\n\
   replaceUI:true\n\
   version: 3 -- set current version to 3\n\
   (\n\
   parameters main rollout:params\n\
   ...\n\
   on update do\n\
   (\n\
   if version == 1 then ... -- do something special for v1 instances\n\
   )\n\
   ...\n\
   )\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> You only need to use this explicit version access and update scheme if you want to do some special manual conversion over-and-above the automatic migration described above.</div>\n\
<p>An optional <code>remap:</code> keyword introduced in <strong>3ds Max 7</strong> allows parameter names in the definitions to be changed when updating existing definitions.</p>\n\
<p>The keyword takes as an argument a two element array, where each element contains an array of string literal or name values. The size of the two arrays must be the same.</p>\n\
<p>The names in the first array are the existing parameter names and the names in the second array are the new parameter names. As parameter names are read in while migrating existing plugin instances, the parameter names are searched for in the first array. If the name is found, the data associated with that parameter is moved to the parameter name in the corresponding location in the second array. If a parameter name is not found in the first array, the parameter name is not remapped. If the parameter name in the second array does not match a parameter name in the new definition, the parameter data is not moved to the new definition.</p>\n\
<p>Finally, if there are no existing instances of the plug-in, either in the current scene or in other scenes, you can simply delete them and make whatever changes you like in the scripted plug-in definition. The above version update considerations come into play only when you wish to support old version objects of your scripted plug-in.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Plug-ins.html\">Scripted Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-ins-1.html\">Scripted Plug-ins</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";