var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FCE04CAB-FA8D-4E63-8C2D-A570D3900A43\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>menuitem</h1></div><p>A <strong>menuItem</strong> is used to place a pickable item in the right-click menu. The syntax for a menuItem is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">menuItem &lt;name&gt; &lt;label&gt; [checked:&lt;boolean&gt;] [enabled:&lt;boolean&gt;] [filter:&lt;function&gt;]</code></pre><p><strong>Parameters</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">name:</code></pre><p>Used to refer to when writing an event handler.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">label:</code></pre><p>The string that appears in the right-click menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">checked:</code></pre><p>Specifies if a check mark appears before the label in the right-click menu. If <code>true</code> the item is checked, otherwise the item is unchecked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">enabled:</code></pre><p>Specifies if the item is enabled for interaction when the right-click menu is opened. If <code>true</code> the item is enabled, otherwise the item is disabled and appears unavailable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">filter:</code></pre><p>A function that returns a Boolean value. The filter function is evaluated when the right-click menu is first opened. If the filter function returns <code>true</code> the menuItem appears in the menu, otherwise it is not displayed.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;menuitem&gt;.text String</code></pre><p>The string that appears in the right-click menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;menuitem&gt;.checked Boolean</code></pre><p>Specifies if a check-mark appears before the label in the right-click menu. If <code>true</code> the item is checked, otherwise the item is unchecked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;menuitem&gt;.enabled Boolean</code></pre><p>Specifies if the item is enabled for interaction when the right-click menu is opened. If <code>true</code> the item is enabled, otherwise the item is disabled and appears as unavailable.</p>\n\
<p><strong>Events</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;menuitem&gt; picked do &lt;expr&gt;</code></pre><p>Called when the user clicks the menu item.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rcmenu RCmenuRenderable\n\
   (\n\
   fn onlyOneSelected = selection.count == 1 -- define filter function\n\
   menuItem mi_r &quot;Renderable&quot; filter: onlyOneSelected -- display if only 1 object selected\n\
   on RCmenuRenderable open do -- perform following on rcmenu open\n\
   (\n\
   if selection.count == 1 then -- if only one object selected...\n\
   (\n\
   mi_r.text = $.name + &quot; | &quot; + &quot;Renderable&quot; -- change text of menu item\n\
   if isKindOf $ Shape then -- if shape set renderable property to\n\
   $.renderable=$.renderable -- itself to get shape and node renderable\n\
   -- properties the same\n\
   mi_r.checked=$.renderable -- turn on menu item check if renderable\n\
   )\n\
   )\n\
   on mi_r picked do$.renderable = not $.renderable -- when menu item picked, flip renderable value\n\
   )\n\
   --\n\
   registerRightClickMenu RcmenuRenderable -- register the rcmenu\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../RCMenu-User-Interface-Items.html\">RCMenu User-Interface Items</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../RCMenu-Clauses.html\">RCMenu Clauses</a></li>\n\
          <li><a class=\"link\" href=\"../../Scripted-Right-Click-Menus.html\">Scripted Right-Click Menus</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";