var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B478B60B-B27D-4916-A07E-264818666080\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted Utilities and Rollouts</h1></div><p>MAXScript provides a set of classes and functions and some special syntax to allow you to construct custom rollouts that can be incorporated into the existing <strong>3ds Max</strong> user interface. You typically use custom rollouts to provide a point-and-click interface to a tool that you have written or want to write in MAXScript, so users of your tool don&#39;t have to work with it at the script level.</p>\n\
<p>There are several places in the <strong>3ds Max</strong> user interface where you can install scripted rollouts:</p>\n\
<ul>\n\
<li><p>In the <a href=\"Scripted-Utilities-and-Rollouts/Scripted-Utility-Panels.html\">Utilities panel</a>.Use the <code>utility</code> definition construct in MAXScript to define and install scripted utilities. Once installed, they appear in the Utilities list at the bottom of the MAXScript rollout. If the user selects a utility in this list, its rollout(s) appear below the MAXScript rollout and functions just like a plug-in utility. This was the original way of creating scripted utilities when MAXScript was first introduced in <strong>3ds Max 2</strong>. The main benefit of using a scripted utility is that it can be created very fast and does not require much management code to add rollouts and perform operations onto the scene so it is a good way to start into scripting. The main drawback is that the Utilities rollout is narrow and rather hidden and cannot be open at the same time as the Create and Modify tabs of the Command Panel.</p>\n\
</li>\n\
<li><p>In special modeless <a href=\"Scripted-Utilities-and-Rollouts/Rollout-Floater-Windows.html\">rollout floater windows</a> that you can create with the <code>newRolloutFloater()</code> function. These windows appear on the desktop and function in a way similar to the Material Editor and the Selection floater in <strong>3ds Max</strong>. You can click to alternate between them and the main <strong>3ds Max</strong> user interface. You create individual rollout(s) for these windows using the <strong>rollout</strong> definition construct in MAXScript and install them in a rollout floater window using the <code>addRollout()</code> function.</p>\n\
</li>\n\
<li><p>In floating <a href=\"Scripted-Dialogs/CreateDialog.html\">scripted Dialogs</a>. Dialogs are not a holder for rollouts but a special display form of an existing rollout. They can be created out of a rollout using the <code>createDialog()</code> function.</p>\n\
</li>\n\
<li><p>In <a href=\"Scripted-Plug-ins/Scripted-Plug-ins-1.html\">scripted plugins</a>. Scripted plugins can contain one or more rollouts which will be displayed inside the Command Panel&#39;s Create and Modify tabs and can be linked to Parameter Blocks for automatic animation track management.</p>\n\
</li>\n\
<li><p>In <a href=\"./../../3ds-Max-Objects-and-Interfaces/Custom-Attributes/Scripted-Custom-Attributes.html\">Custom Attributes</a> added to scene objects or modifiers. Custom Attributes are a special form of a Parameter Block that can be attached to other objects.</p>\n\
</li>\n\
</ul>\n\
<p>Choosing which place is best for your scripted rollouts depends on a number of factors. It is best to keep them in the Utilities panel if possible, as that maximizes the use of the screen and is consistent with the <strong>3ds Max</strong> user interface conventions. However sometimes it is useful to have them in a modeless window if the user of your tool needs to move between the various command panels while using the tool. In some cases, you might want to provide a &quot;float me&quot; button on a scripted Utility rollout, similar to the Color Clipboard utility, so the user can choose to display the rollouts in a rollout floater window or in the Utilities panel.</p>\n\
<p>The following topics provide information about scripting utility panels and rollout floater windows:</p>\n\
<p><a href=\"Scripted-Utilities-and-Rollouts/Scripted-Utility-Panels.html\">Scripted Utility Panels</a></p>\n\
<p><a href=\"Scripted-Utilities-and-Rollouts/Utility-Clauses.html\">Utility Clauses</a></p>\n\
<p><a href=\"Scripted-Utilities-and-Rollouts/Managing-Multiple-Rollouts-in-a.html\">Managing Multiple Rollouts in a Scripted Utility</a></p>\n\
<p><a href=\"Scripted-Utilities-and-Rollouts/Rollout-Clauses.html\">Rollout Clauses</a></p>\n\
<p><a href=\"Scripted-Utilities-and-Rollouts/Utility-and-Rollout-Properties.html\">Utility and Rollout Properties, Methods, and Event Handlers</a></p>\n\
<p><a href=\"Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls.html\">Rollout User-Interface Controls</a></p>\n\
<p><a href=\"Scripted-Utilities-and-Rollouts/Visibility-of-Locals-Functions.html\">Visibility of Locals, Functions, Structures, and User-Interface Items in Rollout Code</a></p>\n\
<p><a href=\"Scripted-Utilities-and-Rollouts/Accessing-Locals-and-Other-Items.html\">Accessing Locals and Other Items in a Rollout from External Code</a></p>\n\
<p><a href=\"Scripted-Utilities-and-Rollouts/Rollout-Floater-Windows.html\">Rollout Floater Windows</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Scripted-Utilities-and-Rollouts/Scripted-Utility-Panels.html\">Scripted Utility Panels</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Scripted-Utilities-and-Rollouts/Utility-Clauses.html\">Utility Clauses</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Scripted-Utilities-and-Rollouts/Managing-Multiple-Rollouts-in-a.html\">Managing Multiple Rollouts in a Scripted Utility</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Scripted-Utilities-and-Rollouts/Rollout-Clauses.html\">Rollout Clauses</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Scripted-Utilities-and-Rollouts/Non-Local-Variables-As-Captions.html\">Non-Local Variables As Captions Of Rollouts and UI Controls</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Scripted-Utilities-and-Rollouts/Utility-and-Rollout-Properties.html\">Utility and Rollout Properties, Methods, and Event Handlers</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Scripted-Utilities-and-Rollouts/Rollout-Floater-Windows.html\">Rollout Floater Windows</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Scripted-Utilities-and-Rollouts/Visibility-of-Locals-Functions.html\">Visibility of Locals, Functions, Structures and User-Interface Items in Rollout Code</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Scripted-Utilities-and-Rollouts/Accessing-Locals-and-Other-Items.html\">Accessing Locals and Other Items in a Rollout from External Code</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Scripted-Utilities-and-Rollouts/SubRollout-Class.html\">SubRollout Class</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Scripted-Utilities-and-Rollouts/Rollout-Controls-Property.html\">Rollout .Controls Property</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Scripted-Utilities-and-Rollouts/Rollout-Systems-category.html\">Rollout Systems &#x27;category&#x27; Mechanism</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Scripted-Utilities-and-Rollouts/MAXScript-Dialogs-and-Rollout.html\">MAXScript Dialogs and Rollout Floaters as Extended Viewports</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Scripted-Utilities-and-Rollouts/Macro-Recorder-Emission-From.html\">Macro Recorder Emission From Rollout UI Actions</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls.html\">Rollout User-Interface Controls</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Creating-MAXScript-Tools.html\">Creating MAXScript Tools</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";