var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-53483E27-8DFA-47E6-8835-E6FE1C031B12\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Macro Recorder Emission From Rollout UI Actions</h1></div><p>When performing a UI action from a scripted rollout, MAXScript disables the MacroRecorder.</p>\n\
<p>To allow the code emission from UI actions modifying <strong>existing</strong> paramBlock parameters, the following context can be specified in <strong>3ds Max 2013 and higher</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">with macroRecorderEmitterEnabled &lt;bool_expr&gt; &lt;expr&gt;</code></pre><p>When <code>&lt;bool_expr&gt;</code> evaluates to <code>true</code> , the MacroRecorder will be enabled and relevant changes to paramBlock parameters, as well as scene node creation, will trigger code emission. Creation arguments will <strong>not</strong> be recorded.</p>\n\
<p>When <code>&lt;bool_expr&gt;</code> evaluates to <code>false</code> , or if the context is not specified at all, the expression will produce no Macro Recorder output.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Other scene changes like object deletion, or calls to other functionality except for paramBlock changes will <strong>not</strong> produce Macro Recorder output.</div>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout testMacroRecorderEmission &quot;Test MRec Emission&quot;\n\
   (\n\
       local theSpheres = #()\n\
       checkbox chk_emitMacroRecorderCode &quot;Emit MacroRecorder Code&quot;\n\
       button btn_modifyRandomSphere &quot;Modify Random Sphere Radius&quot;\n\
\n\
       on btn_modifyRandomSphere pressed do\n\
       (\n\
           with macroRecorderEmitterEnabled chk_emitMacroRecorderCode.checked \n\
           (\n\
               theSpheres[random 1 theSpheres.count].radius = random 10 100\n\
           )\n\
       )\n\
       on testMacroRecorderEmission open do\n\
       (\n\
           for y = 1 to 5 do \n\
               for x = 1 to 5 do\n\
                   append theSpheres (sphere radius:10 pos:[x*50,y*50,0])\n\
       )\n\
   )\n\
   createDialog testMacroRecorderEmission\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Utilities-and-Rollouts.html\">Scripted Utilities and Rollouts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";