var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EA37E7DB-1E74-4377-B3D8-EDAE19CE27E7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Rollout User-Interface Controls Common Layout Parameters</h1></div><p>The layout of user-interface items defined in a utility or rollout is, by default, handled by MAXScript.</p>\n\
<p>It places each successive interface item down the rollout, one below the other, horizontally and vertically aligning them to match the layout conventions in the built-in <strong>3ds Max</strong> command panels.</p>\n\
<p>For the most part, this works well, particularly for rollouts displayed in the Utilities panel, because there is usually just enough room for one item across.</p>\n\
<p>In some cases, you may want to adjust or override the automatic layout and for this there are a number of definition-line layout parameters you can use.</p>\n\
<p>The user-interface element <code>&lt;parameters&gt;</code> that can be supplied in the item definition varies with the item type and is defined in each type&apos;s topic, for example spinner ranges, check box initial states, list box contents, and so on.</p>\n\
<p>There is, however, a set of common layout parameters that you can specify on any user-interface item.</p>\n\
<p>Except for the <code>pos:</code> parameter, these parameters are not properties of the user-interface item and cannot be accessed or changed by a script once the control has been created.</p>\n\
<p>The <strong>common layout parameters</strong> for all user-interface items are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">align:#left</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">align:#center</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">align:#right</code></pre><p>Aligns the user-interface item to the left, center, or right in the rollout. Default varies by type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">offset: &lt;point2&gt; default: [0,0]</code></pre><p>Specifies an [x,y] offset in pixels relative to automatic placement. This is applied after all other layout parameters are applied, and can be used to adjust them.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">width: &lt;number&gt; default: varies</code></pre><p>Forces the user-interface item to a specified width in pixels. Useful with buttons, for example, which otherwise self-size to their text label. Specifying an explicit width always overrides any widths computed from the <code>text</code> or <code>caption</code> properties. For example, if a spinner is given a fixed width that is too small for both label and spinner, it always aligns things to show the spinner and so might push the text out of view.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">height: &lt;number&gt; default: varies by type</code></pre><p>Forces the user-interface item to a specified height, typically in pixels. This lets you override the default setting height for user-interface items.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   button foo &quot;Stop&quot; width:75 height:25\n\
</code></pre><p>   makes a nice big stop button.</p>\n\
</blockquote>\n\
<p>For <code>comboBox</code> , <code>dropdownList</code> and <code>listBox</code> user-interface items, the height is in text rows.</p>\n\
<p>To have a <code>comboBox</code> exactly display <code>N</code> items, set <code>height</code> to <code>N+2</code> .</p>\n\
<p>To have a <code>dropdownList</code> exactly display <code>N</code> items in the list, set <code>height</code> to <code>N+2</code> .</p>\n\
<p>To have a <code>listBox</code> exactly display <code>N</code> items, set <code>height</code> to <code>N</code> .</p>\n\
<p>Height has no affect on <code>spinner</code> and <code>slider</code> user-interface items.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">across: &lt;number&gt; default: 1</code></pre><p>Causes this and following <code>&lt;number&gt;-1</code> items to be laid out horizontally rather than vertically. The <code>&lt;number&gt;</code> given defines how many items to arrange horizontally. Layout then reverts to normal vertical placement. This parameter effectively divides the utility into the given number of equal-width columns and places items within them using the normal alignment for each item. The other layout parameters can be used with the <strong>across:</strong> parameter to control layout within the item&apos;s column.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pos: &lt;point2&gt; default: varies</code></pre><p>This forces the user-interface item to a fixed [x,y] pixel position in the rollout, with [0,0] at the top-left corner.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   button foo &quot;foo&quot; align:#right -- default alignment is center\n\
   -- align right and bump this button down a bit:\n\
   button baz &quot;baz&quot; align:#right offset:[0,6]\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- put b1, b2, b3 across:\n\
   checkbutton b1 &quot;yes&quot; across:3\n\
   checkbutton b2 &quot;no&quot;\n\
   checkbutton b3 &quot;maybe&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- default alignment is right\n\
   spinner s1 &quot;Length:&quot; align:#left\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls.html\">Rollout User-Interface Controls</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls.html\">Rollout User-Interface Controls</a></li>\n\
          <li><a class=\"link\" href=\"Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";