var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F9F2AE47-958E-4B5E-86F3-17C92A69C66C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Bitmap UI Control</h1></div><p>A <strong>bitmap control</strong> is used to place a bitmap image on the rollout.</p>\n\
<p><strong>The syntax is</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bitmap &lt;name&gt; [&lt;caption&gt;] \\\n\
[ fileName:&lt;filename_string&gt; | bitmap:&lt;bitmap&gt; | iconSize:&lt;point2&gt; iconName:&lt;filename&gt; ] \\\n\
[ applyUIScaling:&lt;boolean&gt; ] </code></pre><p>The default alignment of <code>bitmap</code> items is <code>#center</code> .</p>\n\
<p>There is no caption or text displayed with <code>bitmap</code> items.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test_bitmaps &quot;Testing Bitmap&quot; (\n\
   bitmap the_bmp fileName:&quot;my_pic.bmp&quot;\n\
   )\n\
   createDialog test_bitmaps\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-30F47CFE-6996-48E7-A18E-8799AD4938D9-low.gif\" alt></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>If the bitmap specified by filename cannot be found, the bitmap control will be empty as shown in the screenshot above.</p>\n\
<p><strong>Parameters:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fileName:   </code></pre><p>The name of the bitmap file to load and display. The size of the bitmap image in the rollout is the bitmap file image size. The specified file name is searched for in the following directories (in order of search): current MAXScript directory, MAXScript startup directory, MAXScript directory, <strong>3ds Max</strong> bitmap directories, and then the <strong>3ds Max</strong> image directory.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bitMap: </code></pre><p>You can specify a <code>bitMap:</code> creation parameter in place of the <code>fileName:</code> parameter that is used to specify a bitmap file. This allows you to use an existing bitmap value, such as those generated by a call to the render function. You can set <code>bitmap</code> to an &quot;empty&quot; image of a specified size by specifying a bitmap value constructor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">iconName: IconSize: </code></pre><p>These parameters load the name specified by <code>iconName</code> from the multi-resolution icon from the pre-compiled icon resource file (see the <strong>Icon Guide</strong> in the 3ds Max Developer&apos;s Guide) based on the <code>iconSize</code> and current display resolution and scaling. The default size is <code>\\[24x24\\]</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">applyUIScaling: </code></pre><p>Indicates whether to apply UI scaling on high-DPI displays. The default is true.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test_bitmaps &quot;Testing Bitmap&quot; (\n\
   bitmap BitmapImage bitmap:(bitmap 50 50 color:blue)\n\
   )\n\
   createDialog test_bitmaps\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-9239E229-6EA1-44C1-9F66-E5A45990CF95-low.gif\" alt></p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;.fileName String </code></pre><p>The bitmap item file name as a string. You can change the image at any time by setting this property to a new name, but it will not resize the display area in the rollout; it will always be the size set from the initial image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;.bitmap TextureMap </code></pre><p>A write-only property that is used to set the image displayed from a MAXScript bitmap value, as might be derived from functions like <code>render()</code> or <code>selectBitmap()</code> . You can change the image at any time by setting this property to a bitmap value, but it will not resize the display area in the rollout; it will always be the size set from the initial image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;.width Integer </code></pre><p>Get/set the width of the bitmap item in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;.height Integer </code></pre><p>Get/set the height of the bitmap item in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;.applyUIScaling Boolean </code></pre><p>Gets / sets whether UI scaling is applied to the bitmap on high-DPI displays.</p>\n\
<p><strong>Events</strong></p>\n\
<p>-- none --</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../How-To-Practical-Examples/How-To-Develop-a-Bitmap-Painting/How-To-Develop-a-Bitmap-Painting-1.html\">How To ... Develop a Bitmap Painting Tool - Basic Utility</a></li>\n\
          <li><a class=\"link\" href=\"imgTag.html\">imgTag</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";