var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-23B681B2-E85E-4B84-B216-5648819942CE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Combobox UI Control</h1></div><p>A <strong>combobox control</strong> is used to place a combo box list in the rollout. This is a variant of the drop-down list in which the list is always fully displayed in the rollout with an additional edit-text box at the top of the list where the current selection is placed and may be edited. The user can scroll the list or click to select an item in the list.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">combobox &lt;name&gt; [ &lt;caption&gt; ] [items:&lt;array_of_strings&gt;] [selection:&lt;number&gt;] [height:&lt;number&gt;] [toolTip:&lt;string&gt;]</code></pre><p>The default alignment of <code>combobox</code> items is <code>#left</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout combobox_test &quot;Combo Box&quot;\n\
   (\n\
     combobox scale_cb &quot;Scale&quot; items:#(&quot;1/2&quot;, &quot;1/4&quot;, &quot;1/8&quot;, &quot;1/16&quot;)\n\
     on scale_cb selected i do\n\
     format &quot;You selected &apos;%&apos;!\\n&quot; scale_cb.items[i]\n\
   )\n\
   createDialog combobox_test\n\
   combobox_test.scale_cb.selected = &quot;new item text&quot;\n\
</code></pre></blockquote>\n\
<p><strong>Parameters:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">text:</code></pre><p>The text string in the edit box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">items:</code></pre><p>The array of text strings that are the items in the list</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">selection:</code></pre><p>The 1-based number of the currently selected item in the list. Defaults to 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">height:</code></pre><p>The overall height of the <code>combobox</code> in number of item lines. Defaults to 10 lines. To have a <code>combobox</code> display exactly <code>N</code> items in the list, set height to <code>N+2</code> .</p>\n\
<p>The minimum height value is clamped to 1 line.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolTip:</code></pre><p>Provides text for a tooltip for the edit box of the <code>combobox</code> ; no tooltip if unsupplied. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;combobox&gt;.caption String</code></pre><p>The text of the optional caption above the combo box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;combobox&gt;.text String</code></pre><p>The text in the edit box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;combobox&gt;.items Array of Strings</code></pre><p>The item string array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;combobox&gt;.selection Integer</code></pre><p>The currently selected item number, 1-based. If the items list is an empty array, this value is 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;combobox&gt;.selected String</code></pre><p>The text of the currently selected item. Can be used to replace individual items without resetting the entire <code>items</code> array. If the items list is an empty array, this value is <code>undefined</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;combobox&gt;.width Integer</code></pre><p>Get/set the width of the combobox list window in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;combobox&gt;.height Integer</code></pre><p>Get/set the height of the combobox list window in pixels.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> As constructor parameter, the <code>height</code> <strong>:</strong> specifies the height <strong>in lines of text</strong>, while the <code>.height</code> property is the height of the combobox in pixels!</p>\n\
<p>The <code>.height</code> property does not include the height of the edit-text box. The minimum height setting is clamped at 0 pixels.</p>\n\
\n\
</div></div>\n\
\n\
<p><strong>Events</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;combobox&gt; selected &lt;arg&gt; do &lt;expr&gt;</code></pre><p>Called when the user selects an item in the combo box list. The <code>&lt;arg&gt;</code> argument contains the new current selection item number.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;combobox&gt; doubleClicked &lt;arg&gt; do &lt;expr&gt;</code></pre><p>Called when the user double-clicks an item in the list. Note that the <code>on selected</code> handler is always called on single clicks and on the first click of a double-click. The <code>&lt;arg&gt;</code> argument will contain the number of the item double-clicked.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout combobox_test &quot;Combo Box&quot;\n\
   (\n\
   combobox scale_cb &quot;Scale&quot; items:#(&quot;1/2&quot;, &quot;1/4&quot;, &quot;1/8&quot;, &quot;1/16&quot;)\n\
   on scale_cb doubleClicked itm do\n\
   format &quot;You double-clicked &apos;%&apos;!\\n&quot; scale_cb.items[itm]\n\
   )\n\
   createDialog combobox_test\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;combobox&gt; entered &lt;arg&gt; do &lt;expr&gt;</code></pre><p>Called when the user changes the text in the edit box then changes the focus away from the edit box. This handler is not called if the user presses ENTER. The <code>&lt;arg&gt;</code> argument will contain the new text in the edit box.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout combobox_test &quot;Combo Box&quot;\n\
   (\n\
   combobox scale_cb &quot;Scale&quot; items:#(&quot;1/2&quot;, &quot;1/4&quot;, &quot;1/8&quot;, &quot;1/16&quot;)\n\
   on scale_cb entered txt do scale_cb.selected = txt\n\
   )\n\
   createDialog combobox_test\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;combobox&gt; changed &lt;arg&gt; do &lt;expr&gt;</code></pre><p>Called for each individual character change the user performs in the edit box. This handler is not called when the user presses ENTER or changes the focus away from the edit box. The <code>&lt;arg&gt;</code> argument will contain the new text in the edit box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;combobox&gt; rightClick do &lt;expr&gt;</code></pre><p>Called when the user right-clicks the Combobox control.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"Listbox-UI-Control.html\">Listbox UI Control</a></li>\n\
          <li><a class=\"link\" href=\"multilistbox.html\">multilistbox</a></li>\n\
          <li><a class=\"link\" href=\"Dropdownlist-UI-Control.html\">Dropdownlist UI Control</a></li>\n\
          <li><a class=\"link\" href=\"popupMenu.html\">popupMenu</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";