var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FC73C160-735C-4F65-A71D-722D63BBB591\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Edittext UI Control</h1></div><p>An <strong>edittext control</strong> is used to place an editable text field where the user can type and edit text.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">edittext &lt;name&gt; [&lt;caption&gt;] [text:&lt;string&gt;] [fieldWidth:&lt;integer&gt;] [height:&lt;integer&gt;] [bold:&lt;boolean&gt;] [labelOnTop:&lt;boolean&gt;] [readOnly:&lt;boolean&gt;] [toolTip:&lt;string&gt;] [multiLine:&lt;boolean&gt;]</code></pre><p>The default alignment of <code>edittext</code> items is <code>#left</code> .</p>\n\
<p><strong>Parameters:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">text:   </code></pre><p>The text string in the edit box. To specify a multiline text as parameter, both carriage return \\r and new line \\n sequences should be specified, for example &quot;First Line \\r\\nSecond Line&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fieldWidth: </code></pre><p>The width in pixels of the edit box. By default, the width is set to be from just after the caption text to the right margin of the rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">height: </code></pre><p>If an explicit <code>height:</code> parameter is supplied on an edittext item definition that specifies a pixel height greater than one line of text (17 pixels), that edittext item becomes a multi-line edit box, allowing multiple lines of text to be entered.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> You can override this behavior by setting <code>multiLine</code> to false. See below.</div>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> If you specify the height of the edittext to be 17 pixels or more, OR <code>.multiLine</code> was specified as true regardless of the <code>.height</code>, the <code>on entered</code> event handler will not be called since the edittext will be in multi-line mode!</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bold: </code></pre><p>If set to <code>true</code> , the text string in the edit box is displayed in bold format, if set to <code>false</code> , in normal, non-bold format. The default value is <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">labelOnTop: </code></pre><p>If set to <code>true</code> , the caption is placed above the edit text box. If <code>false</code> or not specified, the caption is placed to the left of the edit text box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">readOnly: </code></pre><p>When set to <code>true</code> , the user cannot copy and paste or enter text in the edittext control. When <code>false</code> or not specified, the user can enter, copy and paste text in the edittext control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolTip:</code></pre><p>Provides text for a tooltip for the EditText; no tooltip if unsupplied. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">multiLine:</code></pre><p>Specifies whether the edittext control is a multi-line control. This argument overrides the behavior where any height larger than 17 automatically causes the control to become a multi-line control. So, for example, an edittext displaying a single line can be made multiline, and conversely an edittext with a height of 34 can be forced to be a single-line control. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;edittext&gt;.text String </code></pre><p>The text in the edit box. To specify a multiline text as parameter, both carriage return \\r and new line \\n sequences should be specified, for example &quot;First Line \\r\\nSecond Line&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;edittext&gt;.caption String </code></pre><p>The text of the optional caption next to the edit box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;edittext&gt;.bold Boolean </code></pre><p>If <code>true</code> , the text is displayed in bold format, if <code>false</code> , in normal, non-bold format.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;edittext&gt;.width Integer </code></pre><p>Get/set the width of the edittext window in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;edittext&gt;.height Integer </code></pre><p>Get/set the height of the edittext window in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;edittext&gt;.readOnly </code></pre><p>When set to <code>true</code> , the user cannot copy and paste or enter text in the edittext control. When <code>false</code> or not specified, the user can enter, copy and paste text in the edittext control.</p>\n\
<p><strong>Events:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;edittext&gt; changed &lt;arg&gt; do &lt;expr&gt; </code></pre><p>Called each time the user changes the text in the edit box; the <code>&lt;arg&gt;</code> argument will contain the new text in the edit box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;edittext&gt; entered &lt;arg&gt; do &lt;expr&gt; </code></pre><p>Called when the user enters text in the edit box and then presses ENTER or TAB to move the cursor out of the field. The <code>&lt;arg&gt;</code> argument will contain the new text in the edit box.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> ONCE AGAIN, IN CASE YOU MISSED THE PREVIOUS Warning, if you specify the <code>.height</code> of the edittext to be 17 pixels or more, OR <code>.multiLine</code> was specified as true regardless of the <code>.height</code>, the <code>on entered</code> event handler will not be called since the edittext will be in multi-line mode!</p>\n\
\n\
</div></div>\n\
\n\
<p>In <strong>single-line mode</strong> (default height, or less than 17 pixels), if you enter a string in the edit box and then press ENTER, the <code>on changed</code> handler is called once per character and once for the ENTER. The <code>on entered</code> handler is just called once, for the ENTER.</p>\n\
<p>When in <strong>multi-line mode</strong>, ENTER keystrokes no longer cause the <code>&apos;on entered&apos;</code> handler to be called, but are inserted into the edit box as new lines.</p>\n\
<p>They do, of course, cause <code>&apos;on changed&apos;</code> handlers to be called. These are called on every keystroke.</p>\n\
<p>For multi-line edittext items, <code>&apos;on entered&apos;</code> handlers are called when the edit box <strong>loses</strong> keyboard focus, such as if you tab or click out of the edit box.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout boxCreator &quot;Box Creator&quot;\n\
   (\n\
       --define an edittextwith width 100 and the label on top:\n\
       edittext prefix_txt &quot;Name prefix:&quot; fieldWidth:200 labelOnTop:true\n\
       --If the user entered a new name...\n\
       on prefix_txt entered txt do\n\
       (\n\
       --And the name is not the empty string,\n\
       if txt != &quot;&quot; do\n\
           (\n\
           --Create a new box at a random position\n\
           --somewhere between the given coordinates:\n\
           new_obj = box pos:(random [-100,-100,-100] [100,100,100])\n\
           --Set the name of the new object to the prefix entered,\n\
           --but add unique suffix to avoid duplicate names:\n\
           new_obj.name = (uniquename txt)\n\
           --And finally clear the edittext for a new entry\n\
           --by assigning an empty string to the text property:\n\
           prefix_txt.text = &quot;&quot;\n\
           )\n\
       )\n\
   )\n\
\n\
   createDialog boxCreator 300 60 --create a Dialog from the rollout</code></pre><p>   <img src=\"./images/GUID-40811DBD-C49B-4D2F-A2E4-777833CA744E-low.gif\" alt></p>\n\
</blockquote>\n\
<p>Since <strong>3ds Max 2015</strong>, pressing the ESC key will switch focus away from the edittext control to its parent window.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"Label-UI-Control.html\">Label UI Control</a></li>\n\
          <li><a class=\"link\" href=\"hyperlink.html\">hyperlink</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";