var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A8C801C7-BA79-448C-A1EE-28C40B16287C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>GroupBox UI Control</h1></div><p>The <strong>GroupBox</strong> is a UI Element which can be used to draw a rectangular box with or without caption at a user-defined position with user-defined size. Other than the Group described in <a href=\"./../../Rollout-Clauses.html\">Rollout Clauses</a>, the GroupBox is not used to group UI Elements together (both in the source code and in the resulting rollout), but can be placed independently of any other UI Elements anywhere in the rollout.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">groupBox &lt;name&gt; [caption] [pos:&lt;point2&gt;] [width:&lt;integer&gt;] [height:&lt;integer&gt;]      </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;groupBox&gt;.caption </code></pre><p>Get/Set the caption of the group box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;groupBox&gt;.pos </code></pre><p>Get/Set the position of the upper left corner of the group box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;groupBox&gt;.width </code></pre><p>Get/Set the width of the group box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;groupBox&gt;.height </code></pre><p>Get/Set the height of the group box.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Visual MAXScript uses only GroupBox UI Elements to define groups in the rollouts.</p>\n\
\n\
</div></div>\n\
\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test &quot;GroupBox Test&quot;\n\
   (\n\
   spinner spin &quot;Spin1: &quot; align:#left across:2 offset:[0,20]\n\
   spinner unspin &quot;Spin2: &quot; align:#right offset:[0,20]\n\
   groupBox group1 &quot;Group 1&quot; pos:[5,5] width:95 height:50\n\
   groupBox group2 &quot;Group 2&quot; pos:[105,5] width:90 height:50\n\
   )\n\
   createDialog test 200 60\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-45CFEBE1-D347-4AD5-9A72-7EC73B9CE906-low.gif\" alt></p>\n\
<blockquote>\n\
<p>   <strong>KNOWN PROBLEM:</strong></p>\n\
<p>   Group boxes have a line drawn through them when using bitmap backgrounds with CreateDialog.</p>\n\
<p>   This is a problem with the Windows groupbox control.</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";