var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-986FEC5A-A002-4101-948C-66BDE49CD28C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Label UI Control</h1></div><p>A <strong>label control</strong> is used to place non-editable text on the rollout, perhaps a label for another item or a text message.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">label &lt;name&gt; [&lt;string&gt;] [style_sunkenedge:&lt;boolean&gt;] [toolTip:&lt;string&gt;]</code></pre><p>The default alignment of <code>label</code> items is <code>#center</code> .</p>\n\
<p>When supplied and set to <code>true</code> , the <code>style_sunkenedge:</code> optional keyword parameter available in <strong>3ds Max 2009 and higher</strong> lets the label draw a half-sunken border around the control.</p>\n\
<p>The <code>toolTip:</code> parameter provides text for a tooltip for the label; no tooltip if unsupplied. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test &quot;Test Label&quot;\n\
   (\n\
     label lab1 &quot;Sorry For The Inconveniences!&quot;\n\
     label lab2 &quot;DoN&apos;t PaNiC!&quot;style_sunkenedge:true width:150 height:16\n\
   )\n\
   createDialog test\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout my_rollout &quot;My Rollout&quot;\n\
   (\n\
   label my_label &quot;ABCDEFGHIJ&quot;\n\
   )\n\
   createdialog my_rollout\n\
\n\
   my_rollout.my_label.text += &quot;\\nXXX&quot;\n\
   my_rollout.my_label.height *=2 -- start to see the &quot;XXX&quot; line\n\
   my_rollout.height *=2 -- expand dialog so can see the &quot;XXX&quot; line\n\
   my_rollout.my_label.width -= 20 -- crops end of text display</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-CFF6D337-0CD2-47BA-92D0-EDEAE0663B52-low.gif\" alt></p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;label&gt;.height Integer</code></pre><p>Gets or sets the label height. Note that changing the label&apos;s dimensions does not affect the parent rollout size.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;label&gt;.width Integer</code></pre><p>Gets or sets the label width. Note that changing the label&apos;s dimensions does not affect the parent rollout size.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<p><strong>Events</strong></p>\n\
<p>No events exposed.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"Edittext-UI-Control.html\">Edittext UI Control</a></li>\n\
          <li><a class=\"link\" href=\"hyperlink.html\">hyperlink</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";