var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0D4E6B29-A4D5-4838-A6E2-5683C57DF9B2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ProgressBar UI Control</h1></div><p>A <strong>progressBar control</strong> is used to place a progress bar in a rollout.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">progressBar &lt;name&gt; [value:&lt;number&gt;] [color:&lt;color&gt;] [orient:&lt;name&gt;]      </code></pre><p>The default alignment of <code>progressBar</code> items is <code>#left</code> .</p>\n\
<p><strong>Parameters</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">value:   </code></pre><p>The initial progress percentage value (0 - 100). The default value is 0. This is an Integer value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">color: </code></pre><p>The color of the progress bar. The default color value is [30,10,190].</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">orient: </code></pre><p>Specifies whether the progress bar should fill from left to right ( <code>orient:#horizontal</code> ) or bottom to top ( <code>orient:#vertical</code> ). Default value is <code>#horizontal</code> .</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;progressbar&gt;.value Integer </code></pre><p>The progress bar complete percentage (0 - 100).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;progressbar&gt;.color Color </code></pre><p>The color of the progress bar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;progressbar&gt;.orient Name </code></pre><p>The orientation of the progress bar fill: <code>#horizontal</code> - left to right; <code>#vertical</code> - bottom to top.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --define a rollout\n\
   rollout progressTest &quot;Progress Test&quot;\n\
   (\n\
   button doit &quot;Process Scene&quot; -- button to start processing\n\
   progressbar doit_prog color:red -- a red progress bar\n\
   on doit pressed do -- when the button is pressed...\n\
   (\n\
   objArray = geometry as array -- get all geometry objects into array\n\
   for i = 1 to objArray.count do -- and iterate through all of them\n\
   (\n\
   -- update the progress bar percentage\n\
   -- for example, if there are 20 geometry objects\n\
   -- and i is currently 1, you have 100.0*1/20 = 5%\n\
   -- when i is 2 you have 100.0*2/20 = 10% etc...\n\
   doit_prog.value = 100.*i/objArray.count\n\
   -- do something with the objects, like printing their names\n\
   print objArray[i].name\n\
   )-- end i loop\n\
   doit_prog.value = 0 -- when ready, reset the progress bar to 0%\n\
   )\n\
   )\n\
   createDialog progressTest 200 60 -- create a dialog to test\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The <code>.value</code> property requires an integer between 0 and 100. When calculating a percentage from a current value and a total value, the order the values are multiplied and divided <strong>does</strong> matter!</p>\n\
<p>Dividing them first and then multiplying by 100.0 would always return 0.0 because an Integer divided by an Integer yields an Integer, and since the result is less than zero, it is rounded down to zero:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">1/20*100.0 -&gt; 0*100.0 -&gt; 0.02/20*100.0 -&gt; 0*100.0 -&gt; 0.03/20*100.0 -&gt; 0*100.0 -&gt; 0.0</code></pre><p>but</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">100.0*1/20 -&gt; 100.0/20 -&gt; 5.0100.0*2/20 -&gt; 200.0/20 -&gt; 10.0100.0*3/20 -&gt; 300.0/20 -&gt; 15.0</code></pre><p>When starting with the Float value 100.0, the final result is implicitly converted to a Float because a Float multiplied by an Integer returns a Float, and a Float divided by an Integer still returns a Float. The Float value is then converted internally to Integer when assigned to the <code>.value</code> property.</p>\n\
<p><strong>Events</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;progressbar&gt; clicked &lt;arg&gt; do &lt;expr&gt; </code></pre><p>Called when user clicks on the progress bar. The <code>&lt;arg&gt;</code> argument will contain the percentage value at the clicked point.</p>\n\
<p>This event handler makes the progressbar an interactive UI control. See <a href=\"./../../../../../How-To-Practical-Examples/How-To-Enhance-the-Morpher.html\">How To ... Enhance the Morpher Modifier With Floating Controls</a> for an example of progressbar usage as slider replacement.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;progressbar&gt; rightClick do &lt;expr&gt; </code></pre><p>Called when the user right-clicks the Progressbar control.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Interacting-with-the-3ds-Max/Status-Bar/Progress-Bar-Display.html\">Progress Bar Display</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";