var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B674277E-596E-4469-BA45-2AE8F071D975\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Slider UI Control</h1></div><p>A <strong>slider control</strong> is used to place a slider on the rollout, as an alternative to a spinner. The user can drag the slider&apos;s pointer around to set its value.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">slider &lt;name&gt; [&lt;caption&gt;] [range:[min,max,val]] [type:&lt;#float |    #integer&gt;] [ticks:10][orient:&lt;#horizontal |    #vertical&gt;] [height:80] [controller:(&lt;controller&gt;)] [toolTip:&lt;string&gt;]      </code></pre><p>The default alignment of <code>slider</code> items is <code>#center</code> .</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">slider tilt &quot;Head tilt&quot; orient:#vertical ticks:0 range:[-30,30,0] \n\
on tilt changed val do $head.bend.angle = val\n\
</code></pre><p><strong>Parameters:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">range:   </code></pre><p>A Point3 value containing the minimum, maximum and initial values for the slider in the x, y, and z components, respectively. Defaults to [0,100,0].</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">type: </code></pre><p>The type of the slider, <code>#float</code> or <code>#integer</code> . Defaults to <code>#float</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">orient: </code></pre><p>The layout orientation of the slider in the rollout, either <code>#vertical</code> or <code>#horizontal</code> . Defaults to <code>#horizontal</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">height:</code></pre><p>Specifies the slider height when <code>orient:#vertical</code> is specified.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ticks: </code></pre><p>Specifies how many ticks to place along the slider bar. No ticks are drawn if you specify <code>ticks:0</code> . Defaults to 10.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">controller: </code></pre><p>Links the slider to the specified controller. This can be a new controller or &apos;undefined&apos; to disconnect. This lets you establish a direct link between the slider and the controller. Changes to the slider will automatically update the controller (and its controlled objects). Changes to the controller automatically update the slider. This feature was previously available for spinner controls only. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tooltip: </code></pre><p>Specifies the tooltip text to be displayed when the mouse hovers over the slider.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;slider&gt;.range Point3 </code></pre><p>The current range and value for the slider, as a Point3 like the <code>range:</code> parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;slider&gt;.value (Float | Integer)</code></pre><p>The current value of the slider.  The type of the value returned depends on the type of the slider when it was created, either #integer or #float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;slider&gt;.ticks Integer </code></pre><p>The number of ticks along the slider.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;slider&gt;.tooltip String </code></pre><p>Get/set the tooltip text to be displayed when the mouse hovers over the slider.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Events</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;slider&gt; changed &lt;arg&gt; do &lt;expr&gt; </code></pre><p>Called when the user moves the slider pointer. The <code>&lt;arg&gt;</code> argument contains the new value of the slider. The type of the value returned depends on the type of the slider when it was created, either #integer or #float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;slider&gt; rightClick do &lt;expr&gt; </code></pre><p>Called when the Slider control is right-clicked.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;slider&gt; buttondown do &lt;expr&gt; </code></pre><p>Called when the user first clicks the slider.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;slider&gt; buttonup do &lt;expr&gt; </code></pre><p>Called when the user releases the slider.</p>\n\
<p>The <code>buttonDown</code> and <code>buttonUp</code> events effectively notify you of the start and end of a slider &quot;twiddle&quot;, allowing you to perform some setup for the adjustment. A typical use for this is to bring scene nodes that are being modified in the <code>on &lt;slider&gt; changed</code> handler into the foreground plane to speed up screen redraw.</p>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">slider foo &quot;height: &quot;\n\
on foo buttonDown do flagForeground $baz...* true\n\
on foo buttonUp do flagForeground $baz...* false\n\
</code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> If you are using a slider to interactive adjust a property of an on-screen object, you can improve the interactive speed by moving the object to the foreground plane. Objects placed in the foreground plane are redrawn individually and so interactive changes to them are <strong>much</strong> faster. An object is moved to the foreground or background plane using the <code>flagForeground()</code> method described below:</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flagForeground &lt;node&gt; &lt;boolean&gt; -- mapped </code></pre><p>The boolean argument puts the scene node(s) into the foreground plane if <code>true</code> , or into the background plane if <code>false</code> .</p>\n\
<p>You should be judicious in putting objects in the foreground plane, because putting too many objects in the foreground plane reduces the foreground plane&apos;s effectiveness. Remember to return objects to the background plane when you don&apos;t need to interactively control them any more.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"ProgressBar-UI-Control.html\">ProgressBar UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Spinner-UI-Control.html\">Spinner UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Angle-UI-element.html\">Angle UI element</a></li>\n\
          <li><a class=\"link\" href=\"Curve-Control.html\">Curve Control</a></li>\n\
          <li><a class=\"link\" href=\"Colorpicker-UI-Control.html\">Colorpicker UI Control</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";