var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F12AB3A8-5B87-41E7-90A9-ABA4A76D993B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>popupMenu</h1></div><p>A popup menu is a custom right-click menu (<a href=\"./../../../Scripted-Right-Click-Menus/RCMenu-Clauses.html\">RCMenu</a>) that can be displayed anywhere on screen.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PopupMenu &lt;RCMenu&gt; [pos:&lt;Point2&gt;] [rollout:&lt;Rollout&gt;] \\\n\
  [align:&lt;key&gt;] applyUIScaling:&lt;true&gt;     </code></pre><p>This method will popup a menu anywhere on the screen.</p>\n\
<p><code>&lt;RCMenu&gt;</code> : Any <a href=\"./../../../Scripted-Right-Click-Menus/RCMenu-Clauses.html\">RCMenu</a> defined. It does not have to be registered.</p>\n\
<p><code>\\[pos:&lt;Point2&gt;\\]</code> : The point where to put the menu up, either relative to the Rollout or the screen. (Default:popup from current mouse position.)</p>\n\
<p><code>\\[rollout:&lt;Rollout&gt;\\]</code> : This will make the menu popup from a rollouts local coordinate system. Specifying undefined will popup the menu relative to the upper left corner of the screen. (Default:undefined)</p>\n\
<p><code>\\[align:&lt;key&gt;\\]</code> : Can be one of the following (default: <code>#align_topleft</code> ):</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#align_topleft #align_topcenter #align_topright #align_bottomleft #align_bottomcenter #align_bottomright #align_vcenterleft #align_vcentercenter #align_vcenterright </code></pre><p><code>applyUIScaling:&lt;true&gt;</code> : Applies UI scaling to the position on high-DPI displays if true. The default is <strong>true</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The scope of execution can affect the timing of <code>popupMenu()</code> evaluation. It calls an external win32 function that gets evaluated after the local scope in which <code>popupMenu()</code> is called is finished. This means that code following <code>popupMenu()</code> can execute before the menu appears, if it is in the same scope. To prevent this behavior, you can add a call to <code>windows.processPostedMessages()</code> immediately following <code>popupMenu()</code> to force it to execute in order.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Scripted-Right-Click-Menus.html\">Scripted Right-Click Menus</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">Rollout User-Interface Controls Types</a></li>\n\
          <li><a class=\"link\" href=\"Listbox-UI-Control.html\">Listbox UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Dropdownlist-UI-Control.html\">Dropdownlist UI Control</a></li>\n\
          <li><a class=\"link\" href=\"Radiobuttons-UI-Controls.html\">Radiobuttons UI Controls</a></li>\n\
          <li><a class=\"link\" href=\"Combobox-UI-Control.html\">Combobox UI Control</a></li>\n\
          <li><a class=\"link\" href=\"multilistbox.html\">multilistbox</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";