var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4FF16589-C618-41D4-86A2-794BAA1C275E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>XAML Files with MAXScript Controls</h1></div><p>The Extensible Application Markup Language (XAML) is used to write Windows Presentation Foundation (WPF) applications.</p>\n\
<p>XAML files are used to define the content of the Ribbon and of the Application Menu of <strong>3ds Max 2010 and higher</strong>.</p>\n\
<p>In <strong>3ds Max 2010</strong>, XAML files had to be edited manually to modify existing features or add new ones.</p>\n\
<p>Since <strong>3ds Max 2011</strong>, the XAML files of the Ribbon interface can be customized using dedicated tools.</p>\n\
<p>Several MAXScript controls can be included in the XAML code to integrate features like MacroScripts, spinners and color pickers.</p>\n\
<h2 id=\"actionitem-in-an-xaml-file\">ActionItem in an XAML File</h2><p>A MacroScript, which technically defines an ActionItem, can be added to the Application Menu using the following syntax:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">{wpfmax:ActionItem MacroCategory=&lt;Category&gt;, MacroName=&lt;MacroScriptName&gt; } </code></pre><blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<p>   For example, to add a new option to the Application Menu &gt; Export sub-menu to write the scene to the 3 rd party BFF file format, you could add the following to the <strong>\\ui\\ApplicationMenu.xaml</strong> file inside the definition starting with the header</p>\n\
<p>   &lt;ApplicationMenuItem Text=&quot;Export&quot; IsSplit=&quot;true&quot; Id=&quot;ExportSplit&quot; ...</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &lt;ApplicationMenuItem Text=&quot;Bobo&apos;s File Format&quot; Id=&quot;BFFExp&quot; KeyTip=&quot;B&quot;\n\
   LargeImage=&quot;Icons/ApplicationMenu/export_32.ico&quot;\n\
   Description=&quot;Exports the scene in the MAXScript-based BFF format.&quot;\n\
   CommandHandler=&quot;{wpfmax:ActionItem MacroCategory=Bobo_s Tools, MacroName=BFF_Exporter}&quot;/&gt;\n\
</code></pre><p>   After re-saving the XAML file, opening the3ds Max Application Menu shows the following additional command:</p>\n\
<p>   <img src=\"./images/GUID-DF6AC041-D236-42E0-9BCE-90B7E90E766F-low.gif\" alt></p>\n\
</blockquote>\n\
<h2 id=\"spinner-in-an-xaml-file\">Spinner in an XAML File</h2><p>Afloat or integer Spinner control can be defined in the Ribbon&apos;s XAML file. The spinner will interact with the scene via a set of two callback functions defined in a struct.</p>\n\
<p><strong>Syntax:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;wpfmax:MaxSpinnerFloat Id=&lt;string&gt;ID      MinWidth=&lt;string&gt;MinWidth      Width=&lt;string&gt;Width      Height=&lt;string&gt;Height      Min=&lt;string&gt;MinValur      Max=&lt;string&gt;MaxValue      Scale=&lt;string&gt;ScaleValue      init=&lt;string&gt;InitValue      ToolTip=&lt;string&gt;Tooltip      MaxscriptCallback=&lt;string&gt;ColorSwatchCallbackStruct /&gt;   </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;wpfmax:MaxSpinnerInt Id=&lt;string&gt;ID   MinWidth=&lt;string&gt;MinWidth   Width=&lt;string&gt;Width   Height=&lt;string&gt;Height   Min=&lt;string&gt;MinValue   Max=&lt;string&gt;MaxValue   Scale=&lt;string&gt;ScaleValue   init=&lt;string&gt;InitValue   ToolTip=&lt;string&gt;Tooltip   MaxscriptCallback=&lt;string&gt;ColorSwatchCallbackStruct /&gt; </code></pre><blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<p>   Here is the sample to define a float spinner that could change the radius of an object like a sphere or a teapot:</p>\n\
<p>   <strong>XAML CODE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &lt;wpfmax:MaxSpinnerFloat Id=&quot;FloatSpinnerSample&quot; MinWidth=&quot;40&quot; Width=&quot;40&quot; Height=&quot;16&quot;\n\
   min=&quot;0.0&quot; max=&quot;10000.0&quot;\n\
   scale=&quot;1.0&quot;\n\
   init=&quot;1.0&quot;\n\
   MaxscriptCallback=&quot;MySpinnerFloat&quot;/&gt;\n\
</code></pre><p>   <strong>MAXSCRIPT CODE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Define a global struct with two functions - OnChange() and GetValue()\n\
   --These will be called by the Ribbon spinner thanks to the\n\
   --MaxscriptCallback definition:\n\
   struct MySpinnerFloat\n\
   (\n\
   fn OnChanged Value = (\n\
   for o in selection where is Property o #radius do o.radius = Value\n\
   ),\n\
   fn GetValue = (\n\
   if selection.count &gt; 0 then\n\
   for o in selection where is Property o #radius do return o.radius\n\
   else\n\
   0\n\
   )\n\
   )\n\
   --The OnChanged() function will be called when the value in the UI is changing.\n\
   --The GetValue() function will be called when the system needs to update the value in the UI.\n\
</code></pre></blockquote>\n\
<h2 id=\"colorpicker-in-an-xaml-file\">Colorpicker in an XAML File</h2><p>A ColorPicker UI Controls can be defined in the Ribbon&apos;s XAML file. The ColorPicker will interact with the scene via a set of two callback functions defined in a struct.</p>\n\
<p><strong>Syntax:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;wpfmax:MaxRibbonColorSwatch Id=&quot;ID&quot; MinWidth=&lt;string&gt;MinWidth Width=&lt;string&gt;Width Height=&lt;string&gt;Height MaxscriptCallback=&lt;string&gt;ColorSwatchCallbackStruct /&gt; </code></pre><h2 id=\"maxscript-command-in-an-xaml-file\">MAXScript Command in an XAML File</h2><p>A MAXScript Command call can be defined in the Ribbon&apos;s XAML file. The command can be any valid MAXScript expression.</p>\n\
<p><strong>Syntax:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;wpfmax:MaxscriptCommand Maxscript=&lt;string&gt;Expression MaxscriptToggleOff=&lt;string&gt;OffExpression /&gt; </code></pre><blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<p>   Here is the actual code of the Border Sub-Object button in the Ribbon.</p>\n\
<p>   When the button is toggled on, the MAXScript command &quot;subObjectLevel = 3&quot; is called to set the Border mode.</p>\n\
<p>   When the button is toggled off, the MAXScriptToggleOff expression &quot;subObjectLevel= 0&quot; is called.</p>\n\
<p>   The rest of the code defines which panels should be made visible when the toggle is on or off.</p>\n\
<p>   <strong>XAML CODE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &lt;wpfmax:MaxSubjectobjectToggleButton Id=&quot;mBordermode&quot; Text=&quot;Border&quot; Mode=&quot;Border&quot; Orientation=&quot;Vertical&quot; ShowText=&quot;False&quot; Size=&quot;Standard&quot; Image=&quot;Icons/Modeling/bordermode_editpolygons.ico&quot; &gt;\n\
   &lt;wpfmax:MaxSubjectobjectToggleButton.CommandHandler&gt;\n\
   &lt;wpfmax:MaxscriptCommand Maxscript=&quot;subobjectLevel = 3&quot; MaxscriptToggleOff=&quot;subobjectLevel = 0&quot; /&gt;\n\
   &lt;/wpfmax:MaxSubjectobjectToggleButton.CommandHandler&gt;\n\
   &lt;s:String&gt;AUseSS, EModifyPanel, ESelectPanel, ESelectLoopsPanel, ESelectByPanel, AStorePanel, ANamedSetsPanel, APatternsPanel&lt;/s:String&gt;\n\
   &lt;s:String&gt;BBorderEdgesPanel, ETriangulationPanel, VGeometryPanel, VCutsPanel, VAlignPanel, VSubdivisionPanel, VPaintDeformPanel, OPropertiesPanel&lt;/s:String&gt;\n\
   &lt;/wpfmax:MaxSubjectobjectToggleButton&gt;\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../XAML-User-Interface-Definitions.html\">XAML User Interface Definitions and MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";