var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-624D3D05-B15D-4A97-9F15-DA35CDB0DDD2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max File Loading and Saving</h1></div><p>The following System Globals and Methods are used to access the file name and path and load, save, merge, import, and export <strong>3ds Max</strong> scenes.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#scene-file-path-and-name\">Scene File Path and Name</a></li>\n\
<li><a href=\"#loading-max-files\">Loading MAX Files</a><ul>\n\
<li><a href=\"#scene-file-path-resolution\">Scene File Path Resolution</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"#merging-max-files\">Merging MAX Files</a></li>\n\
<li><a href=\"#3ds-max-load-and-save-dialogs\">3ds Max Load and Save Dialogs</a></li>\n\
<li><a href=\"#max-file-object-names\">MAX File Object Names</a></li>\n\
<li><a href=\"#save-max-file\">Save MAX File</a></li>\n\
<li><a href=\"#archive-max-file\">Archive MAX File</a></li>\n\
<li><a href=\"#hold-and-fetch\">Hold and Fetch</a></li>\n\
<li><a href=\"#checking-for-max-file\">Checking For MAX File</a></li>\n\
<li><a href=\"#importing-files\">Importing Files</a></li>\n\
<li><a href=\"#exporting-files\">Exporting Files</a></li>\n\
<li><a href=\"#saving-nodes\">Saving Nodes</a></li>\n\
<li><a href=\"#check-for-save\">Check For Save</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<p><strong>System Globals:</strong></p>\n\
<p><a name=\"scene-file-path-resolution\"></a></p>\n\
<h2 id=\"scene-file-path-and-name\">Scene File Path and Name</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxFileName </code></pre><p>Contains a String value that defines the file name for the currently open scene.</p>\n\
<p>This variable is read-only.</p>\n\
<p>It will be set automatically when the scene is loaded or saved using the <code>loadMaxFile()</code> and <code>saveMaxFile()</code> methods described below.</p>\n\
<p>See also the <a href=\"./../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/How-do-I-get-the-file-name-of.html\">How do I get the file name of the current scene?</a> FAQ entry.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxFilePath </code></pre><p>Contains a String value that defines the directory path for the currently open scene.</p>\n\
<p>This variable is read-only.</p>\n\
<p>It will be set automatically when the scene is loaded or saved using the <code>loadMaxFile()</code> and <code>saveMaxFile()</code> methods described below.</p>\n\
<p>See also the <a href=\"./../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/How-do-I-get-the-file-name-of.html\">How do I get the file name of the current scene?</a> FAQ entry.</p>\n\
<p><strong>Methods:</strong></p>\n\
<p>The following methods are used to load, save, merge, import, and export <strong>3ds Max</strong> scenes.</p>\n\
<h2 id=\"loading-max-files\">Loading MAX Files</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;loadMaxFile &lt;filename_string&gt; [useFileUnits:&lt;boolean&gt;] [quiet:&lt;boolean&gt;] [allowPrompts:&lt;boolean&gt;]\n\
    [missingExtFilesAction: (#logmsg|#logToFile|#abort|&lt;int&gt;)] [missingExtFilesList:&lt;&amp;var array of strings&gt;]\n\
    [missingDLLsAction: (#logmsg|#logToFile|#abort|&lt;int&gt;)] [missingDLLsList:&lt;&amp;var array of strings&gt;]\n\
    [missingXRefsAction:(#logmsg|#logToFile|#abort|&lt;int&gt;)] [missingXRefsList:&lt;&amp;var array of strings&gt;]</code></pre><p>Returns <code>true</code> if the file was found and loaded successfully, false otherwise.</p>\n\
<p>The <code>useFileUnits</code> parameter specifies whether to adopt the file&apos;s unit scale (if true) or the current System&apos;s unit scale (if false, the default). This option will apply regardless of the Respect System Units in Files option setting in the System Units Setup dialog. Loading a file with <code>useFileUnits:true</code> will not change the system units setting in the <strong>3dsmax.ini</strong> file.</p>\n\
<p>For details on the <code>quiet:</code> and <code>missing*</code> parameters, see <a href=\"./../../Interacting-with-the-3ds-Max/Network-Render-Interface/Quiet-Mode.html\">Quiet Mode</a>.</p>\n\
<p>The <code>allowPrompts</code> parameter specifies whether to allow dialogs to appear during the file loading process; the default is false.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> <code>loadMaxFile()</code> will replace the current scene content with the file content without warning!The <strong>&quot;The scene has been modified. Do you want to save your changes&quot;</strong> prompt will <strong>not</strong> be issued when using this method, even when supplying <code>quiet:false</code>. See <a href=\"#check-for-save\"><code>checkForSave()</code></a> and <a href=\"#save-max-file\"><code>saveMaxFile()</code></a> further on this page to ensure the current content of the scene is not lost if it requires saving.</p>\n\
\n\
</div></div>\n\
\n\
<h3 id=\"scene-file-path-resolution\">Scene File Path Resolution</h3><p>3ds Max searches for the file specified by <code>filename_string</code> in the following places:</p>\n\
<ul>\n\
<li>The 3ds Max install directory</li>\n\
<li>The current .mzp file, If the script is running in zip-file script package, and the file path is relative</li>\n\
<li>The current working directory (which you can get or set using <code>sysinfo.currentdir</code>)</li>\n\
<li>The Windows directory, and the system directories (<code>system</code> and <code>system32</code>)</li>\n\
<li>The directories in the <code>PATH</code> environment variable.</li>\n\
</ul>\n\
<p><a name=\"merging-max-files\"></a></p>\n\
<h2 id=\"merging-max-files\">Merging MAX Files</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;mergeMAXFile &lt;filename_string&gt; [&lt;name_array&gt;] [#prompt] \\ \n\
[ [ #select ] #noRedraw ] \\ \n\
[ #deleteOldDups | #mergeDups | #skipDups | #promptDups | #autoRenameDups ] \\\n\
[ #promptMtlDups | #useMergedMtlDups | #useSceneMtlDups | #renameMtlDups ]\\\n\
[ #promptReparent | #alwaysReparent | #neverReparent ] \\\n\
[ quiet:&lt;boolean&gt; ] \\ \n\
[ missingExtFilesAction: &lt;actions&gt; ] [ missingExtFilesList: &lt;&amp;variable&gt; ] \\ \n\
[ missingDLLsAction: &lt;actions&gt;] [ missingDLLsList: &lt;&amp;variable&gt;]\n\
[ missingXRefsAction: &lt;actions&gt; ] [ missingXRefsList: &lt;&amp;variable&gt; ] \\\n\
[ mergedNodes: &lt;&amp;variable&gt; | includeFullGroup: &lt;boolean&gt;</code></pre><p>All arguments are optional except the initial file name. The flag arguments can be specified in any order.</p>\n\
<p>The arguments details are as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename_string&gt;</code></pre><p>The scene file to merge. For information about where 3ds Max looks for the specified <code>&lt;filename_string&gt;</code>, see <a href=\"#scene-file-path-resolution\">Scene File Path Resolution</a>, above.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;name_array&gt; </code></pre><p>An optional array of names or strings identifying the objects in the source scene file to be merged; all objects are merged if not specified.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#prompt </code></pre><p>If specified causes the standard merge dialog to be opened.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#select </code></pre><p>If specified causes the newly merged objects to be selected when merged.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#noRedraw </code></pre><p>If specified causes the screen redraw to be delayed in case you want to call <code>mergeMAXFile()</code> several times and delay the redraw until after the last file merge.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#deleteOldDups </code></pre><p>Deletes existing scene objects with the same names as incoming objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#mergeDups </code></pre><p>Ignore name conflicts, merge anyway resulting in possibly duplicated names.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#skipDups </code></pre><p>Don&apos;t merge objects with duplicated names.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#promptDups </code></pre><p>Throw up the duplicates resolution dialog for the user to choose.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#AutoRenameDups </code></pre><p>Auto-renames the incoming objects that have names that already exist in the current scene. No dialog will pop up. Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#promptMtlDups </code></pre><p>Default, prompt the user when duplicated materials are found.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#useMergedMtlDups </code></pre><p>Merge using the incoming materials.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#useSceneMtlDups </code></pre><p>Merge using the scene materials.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#renameMtlDups </code></pre><p>Merge and rename duplicated incoming materials.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#promptReparent </code></pre><p>Default, prompt the user.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#alwaysReparent </code></pre><p>Don&apos;t ask the user, always reparent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#neverReparent </code></pre><p>Don&apos;t ask the user, never reparent.</p>\n\
<p>For details on the <code>quiet:</code> and <code>missing*</code> parameters, see <a href=\"./../../Interacting-with-the-3ds-Max/Network-Render-Interface/Quiet-Mode.html\">Quiet Mode</a></p>\n\
<p><code>mergeMAXFile</code> returns <code>true</code> if the file was found and loaded successfully. Returns <code>false</code> when the argument is a file with .DRF extension.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mergedNodes &lt;&amp;variable&gt;</code></pre><p>On a successful merge, the specified variable will contain an array of merged nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">includeFullGroup: &lt;boolean&gt;</code></pre><p>When <strong>true</strong>, if a an imported node is part of a group, all the nodes in that group are also imported. The default is <strong>false</strong>.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nodes array&gt;getLastMergedNodes()\n\
</code></pre><p>Available <strong>in 3ds Max 2017 and higher</strong>: Returns an array of the nodes merged in the last merge operation.</p>\n\
<p>Returns an empty array #() if no merge operations have been performed in the current scene.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">resetMaxFile #noPrompt --reset the scene\n\
--&gt; OK\n\
\n\
getLastMergedNodes() --get the last merged nodes - returns an empty array, because nothing has been merged yet\n\
--&gt; #()\n\
\n\
t = teapot() --create a teapot\n\
--&gt; $Teapot:Teapot001 @ [0.000000,0.000000,0.000000]\n\
\n\
s = sphere pos:[100,0,0] --create a sphere to the right of the teapot\n\
--&gt; $Sphere:Sphere001 @ [100.000000,0.000000,0.000000]\n\
\n\
b = box pos:[-50,0,0] --create a box to the left of the teapot\n\
--&gt; $Box:Box001 @ [-50.000000,0.000000,0.000000]\n\
\n\
theFile = (GetDir #temp + @&quot;\\teapotAndSphere.max&quot;) --define a temp file to save\n\
--&gt; &quot;C:\\Users\\YOURNAME\\AppData\\Local\\Autodesk\\3dsMax\\2017 - 64bit\\ENU\\temp\\teapotAndSphere.max&quot;\n\
\n\
saveNodes #(t,s,b) theFile --save the three objects to the file\n\
--&gt; OK\n\
\n\
resetMaxFile #noPrompt --reset the scene again\n\
--&gt; OK\n\
\n\
mergeMAXFile theFile #(&quot;Teapot001&quot;) --attempt to merge two teapots\n\
--&gt; true\n\
m1 = getLastMergedNodes() --check to see what was merged - only one teapot actually exists in the file\n\
--&gt; #($Teapot:Teapot001 @ [0.000000,0.000000,0.000000])\n\
\n\
mergeMAXFile theFile #mergeDups #autoRenameDups --merge all objects, allowing duplicates to be renamed\n\
--&gt; true\n\
m2 = getLastMergedNodes() --see what got merged...\n\
--&gt; #($Teapot:Teapot002 @ [0.000000,0.000000,0.000000], $Sphere:Sphere001 @ [100.000000,0.000000,0.000000], $Box:Box001 @ [-50.000000,0.000000,0.000000])\n\
\n\
move m2 [0,100,0] --move the objects merged in the second attempt 100 units along Y\n\
--&gt; OK\n\
select m1 --and select the object from the first merge\n\
--&gt; OK\n\
</code></pre><h2 id=\"3ds-max-load-and-save-dialogs\">3ds Max Load and Save Dialogs</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMAXSaveFileName [filename:&lt;seed_filename_string&gt;] </code></pre><p>Displays the standard <strong>3ds Max</strong> file save dialog, returns the file name selected by the user, or the value &apos;undefined&apos; if canceled.</p>\n\
<p>If the optional <code>filename:</code> string argument is specified and it contains only a file name pattern, only the files matching the pattern will be displayed. If it also contains a file path, the content of the directory matching the pattern will be displayed.</p>\n\
<p>No actual file saving will be performed, only the name of the selected file will be returned. You can perform the saving by passing the result of this function (as long as it is not &apos;undefined&apos;) as argument to <code>saveMaxFile()</code> documented further on this page.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--Open the dialog at the current path (can be found or set via sysinfo.currentdir):\n\
theName = getMAXSaveFileName() \n\
\n\
--Open the dialog at &quot;c:\\temp\\&quot; and filter by pattern &quot;test*.max&quot;\n\
--The user must click a specific file if the pattern contains wildcards\n\
theName = getMAXSaveFileName filename:&quot;c:\\\\temp\\\\test*.max&quot;\n\
\n\
--Open the dialog at &quot;c:\\temp\\&quot; and set the file name to &quot;test.max&quot;\n\
--The user can click the Open button to get the specified file name if it exists,\n\
--otherwise a prompt will show up saying the file does not exist...\n\
theName = getMAXSaveFileName filename:&quot;c:\\\\temp\\\\test.max&quot;\n\
--If the result is not undefined, we can actually save the file:\n\
if theName != undefined do saveMaxFile theName\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMAXOpenFileName [filename:&lt;seed_filename_string&gt;] [dir:&lt;seed_directory_string&gt;] </code></pre><p>Displays the standard <strong>3ds Max</strong> file open dialog, returns the file name selected by the user, or the value &apos;undefined&apos; if canceled.</p>\n\
<p>If the optional <code>filename:</code> string argument is specified and it contains only a file name pattern, only the files matching the pattern will be displayed. If it also contains a file path, the content of the directory matching the pattern will be displayed.</p>\n\
<p>If the optional <code>dir:</code> string is specified, the dialog will open at the specified path and the File name field will be set to the current scene file name (found in the <code>maxFileName</code> global variable), or will be empty if the scene is still Untitled.</p>\n\
<p><strong>FOR EXAMPLE</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--Open the dialog at the current path (sysinfo.currentdir):\n\
theName = getMAXOpenFileName() \n\
\n\
--Open the dialog at c:\\temp and use current file name\n\
theName = getMAXOpenFileName dir:&quot;c:\\\\temp&quot; \n\
\n\
--Open the dialog at &quot;c:\\temp\\&quot; and filter by pattern &quot;test*.max&quot;\n\
--The user must click a specific file if the pattern contains wildcards\n\
theName = getMAXOpenFileName filename:&quot;c:\\\\temp\\\\test*.max&quot;\n\
\n\
--Open the dialog at &quot;c:\\temp\\&quot; and set the file name to &quot;test.max&quot;\n\
--The user can click the Open button to get the specified file name if it exists.\n\
theName = getMAXOpenFileName filename:&quot;c:\\\\temp\\\\test.max&quot;\n\
</code></pre><h2 id=\"max-file-object-names\">MAX File Object Names</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMAXFileObjectNames &lt;max_filename_string&gt; [quiet:&lt;boolean&gt;] \\\n\
  [missingDLLsAction: (#logmsg|#logToFile|#abort|&lt;int&gt;)] [missingDLLsList:&lt;&amp;var array of strings&gt;]</code></pre><p>Returns an array of <strong>strings</strong>, one for each of the names of the objects in the given <strong>3ds Max</strong> file. For information about where 3ds Max looks for the specified <code>&lt;filename_string&gt;</code>, see <a href=\"#scene-file-path-resolution\">Scene File Path Resolution</a>, above.</p>\n\
<p>This provides a way to get a preview list of the objects in another scene file (by name) to set up user selection of the objects to be merged under script control using the <code>mergeMAXFile()</code> function,</p>\n\
<p><strong>FOR EXAMPLE</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">p=[1000,1000,1000]\n\
for i = 1 to 5 do box pos:(random p -p) -- create some boxes\n\
savemaxfile &quot;mergetest.max&quot; -- save to file\n\
for obj in objects do obj.name = &quot;_&quot;+obj.name -- rename the boxes\n\
objects.pos += [0,-1000,0] -- move them off to the side\n\
fobj_names = getmaxfileobjectnames &quot;mergetest.max&quot; -- get the object names from the file\n\
deleteitem fobj_names 3 -- delete the third name from the array\n\
mergemaxfile &quot;mergetest.max&quot; fobj_names #select -- merge in the objects and select them\n\
selection.count -- should be 4\n\
objects.count -- should be 9\n\
</code></pre><p><code>getMAXFileObjectNames</code> returns an empty array when the argument is a file with .DRF extension.</p>\n\
<p>For details on the <code>quiet:</code> and <code>missing*</code> parameters, see <a href=\"./../../Interacting-with-the-3ds-Max/Network-Render-Interface/Quiet-Mode.html\">Quiet Mode</a></p>\n\
<p><code>getMAXFileObjectNames</code> in <strong>3ds Max 7 and higher</strong> returns an array of string values, rather than the array of name values in previous <strong>3ds Max</strong> versions. The object names used by <code>mergeMaxFile</code> are case sensitive, and name values are not guaranteed to maintain the case of the string they wrap.</p>\n\
<h2 id=\"save-max-file\">Save MAX File</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;saveMaxFile &lt;filename_string&gt; [saveAsVersion:&lt;integer&gt;] [clearNeedSaveFlag:&lt;boolean&gt;] [useNewFile:&lt;boolean&gt;] [quiet:&lt;boolean&gt;] </code></pre><p>Saves the scene to the current <strong>3ds Max</strong> scene directory if there is no explicit directory path on the supplied file name. If no filename extension is specified, &quot;.max&quot; is automatically appended to the filename.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> <code>saveMaxFile()</code> will overwrite existing files with the same name without warning! See <code>CheckForSave()</code> and <code>doesFileExist()</code> further on this page!</p>\n\
\n\
</div></div>\n\
\n\
<p>The optional keywords are true by default to match the existing behavior prior to <strong>3ds Max 6</strong>, except when saving as a previous version in 3ds Max 2011 and higher where the <code>useNewFile:</code> is assumed <code>false</code> to prevent the previous version file from becoming the current file.</p>\n\
<p>In <strong>3ds Max 2011 and higher</strong>, if a <strong>valid previous version</strong> is specified using <code>saveAsVersion:</code> , the scene will be saved in the file format of the specified previous version. In <strong>3ds Max 2011</strong> the valid value is 2010. In <strong>3ds Max 2012</strong>, the valid values are 2010 and 2011. Any other value will save using the current version&apos;s format.</p>\n\
<p>If <code>clearNeedSaveFlag:</code> is set to <code>false</code> , the file is saved, but the need save flag will not be cleared and <strong>3ds Max</strong> will still consider the scene as changed and requiring saving.</p>\n\
<p>If <code>useNewFile:</code> is <code>false</code> , the saved file is not set as the current scene file and the file is not put in the Most Recently Used list. This lets you save a backup file of the scene to a different name without the name becoming the current one or appearing on the list of recent files.</p>\n\
<p>For details on the <code>quiet:</code> option which was added to this method in <strong>3ds Max 8</strong>, see <a href=\"./../../Interacting-with-the-3ds-Max/Network-Render-Interface/Quiet-Mode.html\">Quiet Mode</a>.</p>\n\
<p>The method will return true on success or false if the saving failed (for example if attempting to overwrite an existing read-only file) in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"archive-max-file\">Archive MAX File</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; archiveMAXFile &lt;filename_string&gt; [quiet:&lt;boolean&gt;] [saveAsVersion: &lt;integer&gt;] \n\
    [missingExtFilesAction: (#logmsg|#logToFile|#abort|&lt;int&gt;)] [missingExtFilesList:&lt;&amp;var array of strings&gt;]</code></pre><p>Archives the current scene file and all of its related texture maps to a ZIP archive with the specified filename string. Available in <strong>3ds Max 2019.1 Update and higher</strong>.</p>\n\
<p>If <strong>quiet</strong> is true, the <strong>Missing Asset</strong> dialog will not be displayed if assets are missing.</p>\n\
<p>The <strong>saveAsVersion</strong> parameter specifies the version of 3ds Max for which the saved archive is compatible. If not specified, the current 3ds Max version is used.</p>\n\
<p>The missingExtFilesAction and missingExtFilesList parameters determine the behavior when assets are missing. For details on the <code>quiet</code> and <code>missing*</code> parameters, see <a href=\"./../../Interacting-with-the-3ds-Max/Network-Render-Interface/Quiet-Mode.html\">Quiet Mode</a>.</p>\n\
<h2 id=\"hold-and-fetch\">Hold and Fetch</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">holdMaxFile() </code></pre><p>Equivalent to the <strong>3ds Max</strong> Edit &gt; Hold operation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fetchMaxFile [quiet:&lt;boolean&gt;] \n\
    arc\n\
    [missingDLLsAction: (#logmsg|#logToFile|#abort|&lt;int&gt;)] [missingDLLsList:&lt;&amp;var array of strings&gt;]\n\
    [missingXRefsAction:(#logmsg|#logToFile|#abort|&lt;int&gt;)] [missingXRefsList:&lt;&amp;var array of strings&gt;]</code></pre><p>Equivalent to the <strong>3ds Max</strong> Edit &gt; Fetch operation. For details on the <code>quiet</code> and <code>missing*</code> parameters, see <a href=\"./../../Interacting-with-the-3ds-Max/Network-Render-Interface/Quiet-Mode.html\">Quiet Mode</a>.</p>\n\
<h2 id=\"checking-for-max-file\">Checking For MAX File</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isMaxFile &lt;filename_string&gt; </code></pre><p>Returns true if the specified file is a MAX file.</p>\n\
<p>This method tests the internal structure of the file to see if it is consistent with a MAX file.</p>\n\
<p>Returns false if the file is not a MAX file or if the specified file does not exist.</p>\n\
<p>For information about where 3ds Max looks for the specified <code>&lt;filename_string&gt;</code>, see <a href=\"#scene-file-path-resolution\">Scene File Path Resolution</a>, above.</p>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isMaxFile &quot;$scenes/ca_test1.max&quot; --returns true if file exists\n\
isMaxFile &quot;$max/autoback/maxhold.mx&quot; --returns true if file exists\n\
isMaxFile &quot;$matlibs/Nature.mat&quot; --returns true if file exists\n\
isMaxFile (maxFilePath + maxFileName) --returns true unless the scene is Untitled\n\
</code></pre><h2 id=\"importing-files\">Importing Files</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">importFile &lt;filename_string&gt; [#noPrompt] [using:&lt;maxclass&gt;] </code></pre><p>Lets you import files using any of the import plug-ins that are available. The kind of file imported is determined by the file name suffix such as DXF for <code>.dxf</code> , 3DS DOS for <code>.3ds</code> , etc.</p>\n\
<p>The way 3ds Max looks for the specified <code>&lt;filename_string&gt;</code> is the same as for loading scene files. For more information, see <a href=\"#scene-file-path-resolution\">Scene File Path Resolution</a>, above.</p>\n\
<p>The <code>#noPrompt</code> flag prevents any configuration or control dialogs from being displayed in which case the default configuration is used.</p>\n\
<p>If the optional keyword argument <code>using:</code> is supplied, the respective I/O class will be used to perform the import. This can be useful when multiple plug-ins support the same file format extension. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>To see all available importer plug-in classes, you can access the <code>.classes</code> property of the <code>importerPlugin</code> value - it returns an array of all installed importer plug-ins:</p>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">print importerPlugin.classes\n\
</code></pre><p><strong>RESULT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">3D_Studio\n\
3D_Studio_Shape\n\
Adobe_Illustrator_Shape\n\
AutoCADImport\n\
FBXIMP\n\
DAEIMP\n\
STL_Import\n\
ATF_Solidworks_importer\n\
Revit_importer\n\
FileLinkAsDwgImporter\n\
ObjImp\n\
Alembic_Import\n\
VrmlImp\n\
ImportTRC\n\
XMLImp2\n\
FltImport\n\
ATF_ProE_importer\n\
ImportHTR\n\
InventorImport\n\
LandXML___DEM_Model_Import\n\
sketchUp\n\
ATF_STEP_importer\n\
SATImport\n\
ATF_IGES_importer\n\
ATF_Alias_importer\n\
ATF_CATIA_V4_importer\n\
ATF_CATIA_V5_importer\n\
ATF_UG_NX_importer\n\
ATF_JT_importer\n\
</code></pre><p>See also the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/InventorImport-ImporterPlugin.html\">Import and Export Filters</a> topic for MAXScript access to the settings of some Importer and Exporter plugins.</p>\n\
<h2 id=\"exporting-files\">Exporting Files</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">exportFile &lt;filename_string&gt; [#noPrompt] [selectedOnly:&lt;boolean&gt;] [using:&lt;maxclass&gt;] </code></pre><p>Lets you export files using any of the export plug-ins that are available.</p>\n\
<p>The kind of file exported is determined by the file name suffix such as DFX for <code>.dxf</code> , 3DS DOS for <code>.3ds</code> , etc.</p>\n\
<p>The <code>#noPrompt</code> flag prevents any configuration or control dialogs from being displayed in which case the default configuration is used.</p>\n\
<p>If the <code>selectedOnly</code> keyword parameter is set to <code>true</code> , only selected nodes are exported. Defaults to <code>false</code> .</p>\n\
<p>If the optional <code>using:</code> keyword argument is supplied, the respective I/O class will be used to perform the export. This can be useful when multiple plug-ins support the same file format extension. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>To get an array of all available exporter plug-in classes, you can access the <code>.classes</code> property of the <code>exporterPlugin</code> value:</p>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theClasses =exporterPlugin.classes\n\
--&gt;#(3D_StudioExporterPlugin, Adobe_Illustrator, DWG_ExportExporterPlugin, DWG_Export, STL_Export, \n\
--  Alembic_Export, ACIS_SAT, PhysX_and_APEX_Exporter, FBXEXP, DAEEXP, IGES_Export, OpenFltExport, \n\
--  ArnoldSceneSourceExport, ObjExp, ExportHTR, AsciiExp, SvfExporter, VRBL_Export, DWF_Exporter)\n\
\n\
exportFile (GetDir #scene + &quot;/exportTest&quot; ) using:theClasses[1]\n\
</code></pre><p>In the example above, the export will use the first plug-in found in the array, which is by default the <code>3D_StudioExporterPlugin</code>.</p>\n\
<p>See also the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/InventorImport-ImporterPlugin.html\">Import and Export Filters</a> topic for MAXScript access to the settings of some Importer and Exporter plugins.</p>\n\
<h2 id=\"saving-nodes\">Saving Nodes</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;saveNodes &lt;node_collection&gt; &lt;filename_string&gt; [saveAsVersion: &lt;integer&gt;] [quiet:&lt;boolean&gt;] </code></pre><p>Creates a new .max scene file with the given name and stores the node collection to it.</p>\n\
<p>The <code>&lt;node_collection&gt;</code> argument can be a single node, an array of nodes you gathered, a wild-card path name, one of the built-in objects sets such as <code>selection</code> or <code>lights</code> , or a <code>&lt;node&gt;.children</code> array.</p>\n\
<p>If no filename extension is specified, &quot;.max&quot; is automatically appended to the filename.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher:</strong> If <code>saveAsVersion:</code> provides a value of 2010, the resulting file will be saved in the specified version&apos;s file format. Versions prior to 3ds Max 2010 are not supported. If any other value is specified, or if not specified at all, the current version&apos;s file format will be used.</p>\n\
<p>For details on the <code>quiet:</code> option which was added to this method in <strong>3ds Max 8</strong>, see <a href=\"./../../Interacting-with-the-3ds-Max/Network-Render-Interface/Quiet-Mode.html\">Quiet Mode</a>.</p>\n\
<p>The method will return true on success or false if the saving failed (for example if attempting to overwrite an existing read-only file) in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> <code>saveNodes()</code> will overwrite existing files with the same name without warning! See <code>CheckForSave()</code> and <code>doesFileExist()</code> below for solution.</p>\n\
\n\
</div></div>\n\
\n\
<h2 id=\"check-for-save\">Check For Save</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">checkForSave() </code></pre><p>If the scene has been modified since the last file save (if any), calling this function displays the message box prompting the user that the scene has been modified and requests to save.</p>\n\
<p>The function returns <code>false</code> if the user selects &quot;Cancel&quot;, <code>true</code> if the user selects to save and the scene was successfully saved, the user selects &quot;Don&apos;t Save&quot;, or if the scene does not need to be saved. The function also returns true if 3ds Max is running in quiet mode. The file is saved if the user selects &quot;Save&quot;.</p>\n\
<p>See also <code>getSaveRequired()</code> in <a href=\"./../../Miscellaneous-Functions/Exiting-and-Resetting-3ds-Max.html\">Exiting and Resetting3ds Max</a>.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p></p>\n\
<p><code>saveNodes()</code> and <code>saveMaxFile()</code> will overwrite existing files with the same name without warning!</p>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">b = box()\n\
saveNodes b &quot;foo.max&quot;\n\
saveNodes b &quot;foo.max&quot;\n\
saveMaxFile &quot;foo.max&quot;\n\
--All these calls will overwrite the file &quot;foo.max&quot;\n\
--without notice.\n\
</code></pre>\n\
</div></div>\n\
\n\
<p>You should always use <a href=\"./../External-Files-Access/File-Name-Parsing.html\">doesFileExist()</a> to make sure the target file does not exist and prompt if it does.</p>\n\
<p>Here are two examples of using <code>doesFileExist()</code> for these cases:</p>\n\
<p><strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">b = box()\n\
-- if filename exists, ask user if ok to overwrite\n\
-- function returns true if file was saved, false otherwise\n\
fn maybe_saveNodes nodeArray filename =\n\
(\n\
if getFilenamePath filename == &quot;&quot; do\n\
filename = getdir #scene + &quot;\\\\&quot; + filename\n\
if (not (doesfileexist filename)) or\n\
querybox (&quot;filename: &quot;+filename + &quot;\\nexists. Overwrite?&quot;) then\n\
(\n\
saveNodes nodeArray filename\n\
true\n\
)\n\
else\n\
false\n\
)\n\
</code></pre><p><strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn maybe_saveMaxFile filename =\n\
(\n\
if getFilenamePath filename == &quot;&quot; do\n\
filename = getdir #scene + &quot;\\\\&quot; + filename\n\
if (not (doesfileexist filename)) or\n\
querybox (&quot;filename: &quot;+filename + &quot;\\nexists. Overwrite?&quot;) then\n\
(\n\
saveMaxFile filename\n\
true\n\
)\n\
else\n\
false\n\
)\n\
</code></pre><p><strong>USING THE ABOVE FUNCTIONS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maybe_saveNodes b &quot;foo.max&quot;\n\
maybe_saveNodes b &quot;foo.max&quot;\n\
maybe_saveMaxFile &quot;foo.max&quot;\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../3ds-Max-Scene-Files-Access.html\">3ds Max Scene Files Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../External-Files-Access/External-File-Methods.html\">External File Methods</a></li>\n\
          <li><a class=\"link\" href=\"../External-Files-Access/File-Name-Parsing.html\">File Name Parsing</a></li>\n\
          <li><a class=\"link\" href=\"../External-Files-Access/Standard-Open-and-Save-File.html\">Standard Open and Save File Dialogs</a></li>\n\
          <li><a class=\"link\" href=\"../../Miscellaneous-Functions/Exiting-and-Resetting-3ds-Max.html\">Exiting and Resetting 3ds Max</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";