var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7F26EC19-6C56-4580-B6C3-C51ACC8E4356\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>PathConfig Struct</h1></div><p>The <strong>PathConfig</strong> struct provides methods to access and manage Project paths, System paths, manipulate paths and convert between UNC, absolute and relative paths and so on.</p>\n\
<p>Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
<h2 id=\"project-folder\">Project Folder</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.doProjectSetupSteps() </code></pre><p>Performs all steps necessary to set up a new Project, including browsing for project folder and creating all sub-folders. Returns true on success, false if cancelled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.doProjectSetupStepsUsingDirectory &lt;ProjectPath&gt;      </code></pre><p>Performs all steps necessary to set up a new Project using the supplied Project Path as the Root. Returns true on success, false if cancelled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.doSetProjectFolderSteps()</code></pre><p>Performs all steps necessary to set an existing Project, including browsing for project folder. Returns true on success, false if cancelled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.doProjectSetupStepsUsingDirectory &lt;ProjectPath&gt;</code></pre><p>Performs all steps necessary to set an existing Project using the supplied Project Path as the Root. Returns true on success, false if cancelled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.getCurrentProjectFolder() </code></pre><p>Returns the current Project Folder.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.getCurrentProjectFolderPath() </code></pre><p>Returns the current Project Folder definition file (*.MXP).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.getProjectFolderPath &lt;ProjectPath&gt; </code></pre><p>Returns the Project Definition filename (<projectpath>\\<projectname>.mxp) for the specified Project Folder.</projectname></projectpath></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.getProjectSubDirectory &lt;subdir_index&gt; </code></pre><p>Returns the indexed Project sub-directory.</p>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--Print all Project Sub-Directories:\n\
for i = 1 to pathConfig.getProjectSubDirectoryCount() do\n\
format &quot;%: %\\n&quot; i (pathConfig.getProjectSubDirectoryi)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.getProjectSubDirectoryCount() </code></pre><p>Returns the number of Project sub-directories. See above example.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.addProjectDirectoryCreateFilter &lt;#directory_type&gt; </code></pre><p>Adds Project Directory Filter where <code>&lt;directory_type&gt;</code> is one of the following:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> #font | #Scene | #export | #import | #help | #expression | #preview | #image | #Sound | #plugcfg | #maxstart | #vpost | #drivers | #autoback | #matlib | #scripts | #startupScripts | #defaults | #renderPresets | #ui | #maxroot | #renderoutput | #animations | #archives | #Photometric | #renderassets | #userScripts | #userMacros | #userStartupScripts | #temp | #userIcons | #maxData | #downloads | #proxies </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.removeProjectDirectoryCreateFilter &lt;#directory_type&gt;</code></pre><p>Removes the specified Project Directory Filter where <code>&lt;directory_type&gt;</code> is one of those listed for <code>addProjectDirectoryCreateFilter()</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.removeAllProjectDirectoryCreateFilters() </code></pre><p>Removes all filters added using <code>pathConfig.addProjectDirectoryCreateFilter()</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.getProjectDirectoryCreateFilters() </code></pre><p>Returns an array of the currently set Project Directory Filters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.setCurrentProjectFolder &lt;ProjectPath&gt; </code></pre><p>Sets the current project folder to the given path. The Project Folder is displayed in the title bar of <strong>3ds Max</strong> and will be updated instantly.</p>\n\
<h2 id=\"path-manipulation-conversion-and-resolving\">Path Manipulation, Conversion and Resolving</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.appendPath &lt;path1&gt; &lt;path2&gt; </code></pre><p>Appends the second argument filename to the first argument path, adding backslash if necessary.</p>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.appendPath &quot;c:\\\\temp&quot; &quot;test.txt&quot;\n\
&quot;c:\\temp\\test.txt&quot;\n\
pathConfig.appendPath &quot;c:\\\\temp\\\\&quot; &quot;test&quot;\n\
&quot;c:\\temp\\test&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.convertPathToAbsolute &lt;relative_path&gt; </code></pre><p>Converts the relative path argument to absolute project path using the Project Directory.</p>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.convertPathToAbsolute &quot;meshes&quot;\n\
&quot;C:\\Documents and Settings\\username\\My Documents\\3dsmax\\meshes&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.convertPathToLowerCase &lt;path&gt; </code></pre><p>Converts the path argument to lower case and unifies the backslashes.</p>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.convertPathToLowerCase &quot;C:\\\\Temp\\Test/pATH&quot;\n\
&quot;c:\\temp\\test\\path&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.convertPathToRelativeTo &lt;path1&gt; &lt;path2&gt; </code></pre><p>Converts the first path argument to a relative path with respect to the second path argument.</p>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.convertPathToRelativeTo &quot;C:\\\\Temp\\\\Test&quot; &quot;c:\\\\Program Files\\\\&quot;\n\
&quot;..\\Temp\\Test&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.convertPathToUnc &lt;path&gt; </code></pre><p>Returns the UNC path from a mapped drive path.</p>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--If drive letter T: is mapped to a server called MyServer, then\n\
pathConfig.convertPathToUnc &quot;t:\\\\project&quot;\n\
&quot;\\\\MyServer\\projects&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mapPaths.getFullFilePath &lt;filename&gt; </code></pre><p>Resolves the filename using map paths, returns fully qualified filename if the file is found.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.normalizePath &lt;path&gt; </code></pre><p>Returns a normalized path name.</p>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.normalizePath &quot;scenes/test.txt&quot;\n\
&quot;.\\scenes\\test.txt&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.pathsResolveEquivalent &lt;path1&gt; &lt;path2&gt; </code></pre><p>Returns true if the two paths resolve to the same location (in other words the two paths are equivalent), false if they are not equivalent.</p>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.pathsResolveEquivalent &quot;scenes\\\\test.txt&quot; &quot;./scenes/test.txt&quot;\n\
true\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.resolvePathSymbols &lt;path&gt; </code></pre><p>Resolves the path symbols.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.resolveUNC SystemGlobal:resolveUNC false </code></pre><p>This is the property toggle found in <strong>Preferences&gt;Files</strong> which controls whether max automatically converts absolute paths to their UNC equivalents. (i.e. M:\\file.txt to server1\\\\file.txt if M: is mapped to server1\\)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.removePathLeaf &lt;path&gt; </code></pre><p>Removes a leaf from the given path.</p>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.removePathLeaf &quot;c:\\\\temp\\\\test&quot;\n\
&quot;c:\\temp&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.removePathTopParent &lt;path&gt; </code></pre><p>Removes the top parent from the given path.</p>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.removePathTopParent &quot;c:\\\\temp\\\\test&quot;\n\
&quot;temp\\test&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.stripPathToLeaf &lt;path_or_filename&gt; </code></pre><p>Returns the last sub-directory name from the given path. If the path is a full file name, returns the file name. Equivalent to filename from path.</p>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.stripPathToLeaf &quot;C:\\\\temp\\\\test&quot;\n\
&quot;test&quot;\n\
pathConfig.stripPathToLeaf &quot;C:\\\\temp\\\\test\\\\&quot;\n\
&quot;&quot;\n\
pathConfig.stripPathToLeaf &quot;C:\\\\temp\\\\test\\\\somefile.tga&quot;\n\
&quot;somefile.tga&quot;\n\
--COMPARE:\n\
filenamefrompath &quot;C:\\\\temp\\\\test&quot;\n\
&quot;test&quot;\n\
filenamefrompath &quot;C:\\\\temp\\\\test\\\\&quot;\n\
&quot;&quot;\n\
filenamefrompath &quot;C:\\\\temp\\\\test\\\\somefile.tga&quot;\n\
&quot;somefile.tga&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.stripPathToTopParent </code></pre><p>Returns the root of the given path.</p>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.stripPathToTopParent &quot;C:\\\\temp\\\\test\\\\test.tga&quot;\n\
&quot;C:\\&quot;\n\
pathConfig.stripPathToTopParent &quot;\\\\\\\\SomeServer\\\\Projects\\\\Test&quot;\n\
&quot;\\\\SomeServer&quot;\n\
</code></pre><h2 id=\"is-query-methods\">Is... Query Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.isAbsolutePath &lt;path_string&gt; </code></pre><p>Returns true if the argument is an absolute path, false if it is a relative path. The path does not have to exist for this method to operate on it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.isLegalPath &lt;path_string&gt; </code></pre><p>Returns true if the argument is a legal path definition, false if it is an illegal path. The path does not have to exist for this method to operate on it, it is only being parsed for correctness.</p>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.isLegalPath &quot;c:\\\\&quot; --legal path, existing\n\
true\n\
pathConfig.isLegalPath &quot;z:\\\\path&quot; --legal path, not existing\n\
true\n\
pathConfig.isLegalPath &quot;zz:\\\\path&quot; --illegal double drive letter!\n\
false\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.isPathRootedAtBackslash &lt;path&gt; </code></pre><p>Returns true if the argument starts with a backslash, false if it does not.</p>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--starts with backslash:\n\
pathConfig.isPathRootedAtBackslash &quot;\\\\machine\\\\c$&quot;\n\
true\n\
--does not start with backslash:\n\
pathConfig.isPathRootedAtBackslash &quot;c:\\\\temp&quot;\n\
false\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.isPathRootedAtDriveLetter &lt;path&gt; </code></pre><p>Returns false if the argument starts with a backslash, true if it starts with a drive letter. The inverse of <code>pathConfig.isPathRootedAtBackslash()</code></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.isProjectFolder&lt;path&gt; </code></pre><p>Returns true if the argument path is a valid Project Folder root, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.isRootPath &lt;path&gt; </code></pre><p>Returns true if the argument path is a Root path, false otherwise</p>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.isRootPath &quot;C:\\\\&quot;\n\
true\n\
pathConfig.isRootPath &quot;C:\\\\temp&quot;\n\
false\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.isUncPath &lt;path&gt; </code></pre><p>Returns true if the argument path is a UNC path, false otherwise</p>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.isUncPath &quot;T:\\\\Projects&quot; --mapped drive, not UNC\n\
false\n\
pathConfig.isUncPath &quot;\\\\\\\\MyServer\\\\Projects&quot; --UNC path\n\
true\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.isUncSharePath &lt;path&gt; </code></pre><p>Returns true if the argument path is a UNC share path, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.isUsingProfileDirectories() </code></pre><p>Returns true if the system is using Profile directories, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.isUsingRoamingProfiles() </code></pre><p>Returns true if the system is using Roaming Profiles, false otherwise. When using roaming profiles on somebody else&apos;s machine, your profile is being accessed over the network from your own machine. This mode is not officially supported.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.doesFileExist &lt;filename_string&gt; ignoreCache:&lt;boolean&gt; </code></pre><p>Returns true if the path is absolute and points to a file or directory that currently exists. This function checks if a file or directory exists in the location pointed to by the absolute <code>filename_string</code>, potentially considering the MissingPathCache. See the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-missingPathCache.html\">MissingPathCache</a> for more information.</p>\n\
<p>Note that the disk is accessed to check for its existence, so checking paths (especially on network drives) may incur a performance cost.</p>\n\
<p>If <code>ignoreCache</code> is specified as true, testing does not consider whether the file&apos;s path may be in the File Path Not Present Cache maintained by the MissingPathCache.</p>\n\
<h2 id=\"other-path-related-methods-and-structs\">Other Path-Related Methods and Structs</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.GetDir &lt;#directory_type&gt; </code></pre><p>Points at the <code>GetDir()</code> method <a href=\"3ds-Max-System-Directories-1.html\">documented here</a>.</p>\n\
<p>Returns the system directory where directory_type is one of the following:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#font | #Scene | #export | #import | #help | #expression | #preview | #image | #Sound | #plugcfg | #maxstart | #vpost | #drivers | #autoback | #matlib | #scripts | #startupScripts | #defaults | #renderPresets | #ui | #maxroot | #renderoutput | #animations | #archives | #Photometric | #renderassets | #userScripts | #userMacros | #userStartupScripts | #temp | #userIcons | #maxData | #downloads | #proxies | #pageFile </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.mapPaths #Struct:mapPaths </code></pre><p>Points at the <a href=\"3ds-Max-System-Directories-1.html\"#map-path-methods-\">mapPaths struct</a> definition.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--the two method calls are equivalent:\n\
mapPaths.getFullFilePath &quot;fir.tga&quot;\n\
pathConfig.mapPaths.getFullFilePath &quot;fir.tga&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.pluginPaths #Struct:pluginPaths </code></pre><p>Points at the <a href=\"pluginPaths-Struct.html\">pluginPaths struct</a>.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">count = pathConfig.pluginPaths.count()\n\
for j = 1 to count do\n\
format &quot; % : %\\n&quot; j (pathConfig.pluginPaths.get j)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.sessionPaths #Struct:sessionPaths </code></pre><p>Points at the <a href=\"SessionPaths-Struct.html\">sessionPaths struct</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.SetDir </code></pre><p>Points at the <code>SetDir()</code> method <a href=\"3ds-Max-System-Directories-1.html\">documented here</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.xrefPaths #Struct:xrefPaths </code></pre><p>Points at the<a href=\"3ds-Max-System-Directories-1.html\"#xref-path-methods-\">XRefPath struct</a></p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">--the two method calls are equivalent:\n\
xrefPaths.getFullFilePath &quot;delme.max&quot;\n\
pathConfig.xrefPaths.getFullFilePath &quot;delme.max&quot;\n\
</code></pre><h2 id=\"configurate-user-paths-dialog-path-settings-loading-saving-and-merging\">Configurate User Paths Dialog - Path Settings Loading, Saving and Merging</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.SaveTo &lt;filename&gt; </code></pre><p>Saves the path configuration to the given filename.Returns true on success, false otherwise.Corresponds to the <strong>Save To...</strong> button in the <strong>Customize&gt;Configure User Paths</strong> dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.load &lt;filename&gt; </code></pre><p>Loads the path configuration from the specified path configuration file. Returns true on success, false otherwise.Corresponds to the <strong>Load</strong> button in the <strong>Customize&gt;Configure User Paths</strong> dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pathConfig.merge &lt;filename&gt; </code></pre><p>Merges the settings from the given path configuration file. Returns true on success, false otherwise. Loads the path configuration from the specified path configuration file. Returns true on success, false otherwise. Corresponds to the <strong>Merge</strong> button in the <strong>Customize&gt;Configure User Paths</strong> dialog.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../3ds-Max-System-Directories.html\">3ds Max System Directories</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"3ds-Max-System-Directories-1.html\">3ds Max System Directories</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";