var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-05A1F59C-7F53-4CB0-A19D-272F310A8C83\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max Configuration File 3dsmax.ini</h1></div><p>Access to the 3ds Max configuration file 3dsmax.ini is provided through the <strong>cfgMgr</strong> struct.</p>\n\
<p>The cfgMgr struct exposes these functions:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt; cfgMgr.getIniFile()</code></pre><p>Returns the full path of the 3ds Max INI file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;array&gt; cfgMgr.getAllSectionNames()</code></pre><p>Returns an array of all the section names in the INI file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cfgMgr.setSection &lt;section_string&gt;</code></pre><p>Sets the current section to the specified name. Note that this function will create a new section with the specified name if the section name does not exist. The other get/set/delete functions in <code>cfgMgr</code> operate on the currently set section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt; cfgMgr.getSectionName()</code></pre><p>Gets the current section name, either the last section read, or a section set by <code>setSection()</code>. Other get/set/delete functions operate on the current section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; cfgMgr.sectionExists &lt;section_string&gt;</code></pre><p>Returns true if the specified section exists already in the INI file, false otherwise. Note that the section name matching is not case sensitive.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; cfgMgr.deleteSection &lt;section_string&gt;</code></pre><p>Deletes the specified section.</p>\n\
<p>This function always returns <strong>true</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[&lt;array&gt;|undefined] cfgMgr.getSectionKeyNames()</code></pre><p>Gets an array of key names for the current section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; cfgMgr.keyExists &lt;key_string&gt;</code></pre><p>Returns true if the specified key exists in the current section, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; cfgMgr.deleteKey &lt;key_string&gt;</code></pre><p>Deletes the specified key.</p>\n\
<p>This function always returns <strong>true</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; cfgMgr.putString &lt;key_string&gt; &lt;string&gt;</code></pre><p>Writes the specified string value to the specified key, where the first parameter is the key name, and the second parameter is the value.</p>\n\
<p>This function always returns <strong>true</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; cfgMgr.putFloat &lt;key_string&gt; &lt;float&gt;</code></pre><p>Writes the specified float value to the specified key.</p>\n\
<p>This function always returns <strong>true</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; cfgMgr.putInt &lt;key_string&gt; &lt;int&gt; useULong:&lt;false&gt;</code></pre><p>Writes the specified integer value to the specified key. The optional <code>useULong</code> parameter is for internal use only.</p>\n\
<p>This function always returns <strong>true</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; cfgMgr.putFloatArray &lt;key_string&gt; &lt;float array&gt;</code></pre><p>Writes the specified array of floats to the specified key.</p>\n\
<p>This function always returns <strong>true</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; cfgMgr.putIntArray &lt;key_string&gt; &lt;int array&gt; useULong:&lt;false&gt;</code></pre><p>Writes the specified array of integers to the specified key. The optional <code>useULong</code> parameter is for internal use only.</p>\n\
<p>This function always returns <strong>true</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[&lt;string&gt;|undefined] cfgMgr.getString &lt;key_string&gt;</code></pre><p>Returns the value of the specified key as a string if the key exists, or as undefined if it does not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[&lt;float&gt;|undefined] cfgMgr.getFloat &lt;key_string&gt;</code></pre><p>Returns the value of the specified key as a float if the key exists, or as undefined if it does not. If the key contains an array, the first value is coerced to a float and returned. If the key contains character data, a value of 0.0 is returned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[&lt;int&gt;|undefined] cfgMgr.getInt &lt;key_string&gt; useULong:&lt;false&gt;</code></pre><p>Returns the value of the specified key as an integer if the key exists, or as undefined if it does not. If the key contains a float value, it is coerced to an integer before it is returned. If it contains character data, a value of 0 is returned. If the key contains an array, the first value is coerced to an integer and returned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[&lt;float array&gt;|undefined] cfgMgr.getFloatArray &lt;key_string&gt;</code></pre><p>Returns an array of floats for the specified key, if it exists, or undefined if it does not.</p>\n\
<p>Do not call this function on a key that contains anything other than an array of floats.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">[&lt;int array&gt;|undefined] cfgMgr.getIntArray &lt;key_string&gt; useULong:&lt;false&gt;</code></pre><p>Returns an array of integers for the specified key, if it exists, or undefined if it does not.</p>\n\
<blockquote>\n\
<p>   <strong>For Example</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- get ini file path:\n\
   cfgMgr.getIniFile()\n\
   --&gt; &quot;C:\\[path_to_ini_file]\\3dsMax.ini&quot;\n\
\n\
   -- get all the sections:\n\
   cfgMgr.getAllSectionNames()\n\
\n\
   -- create a new section for the demo:\n\
   cfgMgr.setSection &quot;CFGMGR TEST&quot;\n\
\n\
   -- confirm this is the active section:\n\
   cfgMgr.getSectionName()\n\
   --&gt; &quot;CFGMGR TEST&quot;\n\
\n\
   cfgMgr.sectionExists &quot;CFGMGR TEST&quot;\n\
   --&gt; false\n\
   -- returns false until the section contains keys\n\
\n\
   cfgMgr.putString &quot;MyStringKey&quot; &quot;Hello this is a string&quot;\n\
   cfgMgr.putFloat &quot;MyFloatKey&quot; 3.41\n\
   cfgMgr.putInt &quot;MyIntKey&quot; 42\n\
   cfgMgr.putFloatArray &quot;MyFloatArrayKey&quot; #(2.2,3.3,4.4)\n\
   cfgMgr.putIntArray &quot;MyIntArrayKey&quot; #(7,6,5,4,3)\n\
\n\
   /* At this point the config file contains:\n\
   [CFGMGR TEST]\n\
   MyStringKey=Hello this is a string\n\
   MyFloatKey=3.410000\n\
   MyIntKey=42\n\
   MyFloatArrayKey=2.200000 3.300000 4.400000\n\
   MyIntArrayKey=7 6 5 4 3\n\
   */\n\
\n\
   -- you typically do not want to do these things, but they work:\n\
   cfgMgr.getFloat &quot;MyIntKey&quot;\n\
   --&gt; 42.0\n\
   cfgMgr.getInt &quot;MyIntArrayKey&quot;\n\
   --&gt; 7\n\
   cfgMgr.getString &quot;MyFloatKey&quot;\n\
   --&gt; &quot;3.410000&quot;\n\
\n\
   -- does not work, don&apos;t do it:\n\
   -- cfgMgr.getFloatArray &quot;MyStringKey&quot;\n\
   -- nor this: \n\
   -- cfgMgr.getIntArray &quot;MyFloatArrayKey&quot;\n\
\n\
   -- but this is ok:\n\
   cfgMgr.getFloatArray &quot;MyIntArrayKey&quot;\n\
   --&gt; #(7.0, 6.0, 5.0, 4.0, 3.0)\n\
\n\
   -- cleanup, section/key names are not case-sensitve:\n\
   cfgMgr.deleteSection &quot;Cfgmgr Test&quot;\n\
\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../External-Files-Access.html\">External Files Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";