var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CF408D64-D4E2-4C39-90DB-62E525D7B45A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Accessing INI File Keys</h1></div><p>An INI File is a pure ASCII Text file typically used to store settings of User Interface states or any arbitrary information. The data is organized in Categories containing any number of Keys and corresponding Values.</p>\n\
<p>MAXScript provides a very error-tolerant set of functions to manage INI Files. For example, setting a new category and key in an non-existent INI file will automatically generate a new file without the need for any additional management function calls. Getting a non-existent key value from an existing file or even from a non-existent file will return an empty string without causing an error and so on.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <a href=\"3ds-Max-Configuration-File.html\">cfgMgr</a> struct contains functions to operate specifically on the 3ds Max configuration file, 3dsmax.ini.</div>\n\
<h3 id=\"the-following-methods-provide-read-and-write-access-to-categories-keys-and-values-in-ini-files-\">The following methods provide read and write access to Categories, Keys and Values in INI files:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getINISetting &lt;filename_string&gt; &lt;section_string&gt; &lt;key_string&gt; [defaultValue:&lt;string&gt;]        </code></pre><p>Reads an INI setting from the specified file. Within the file, the section identified by <code>&lt;section_string&gt;</code> is located, and then the key specified by the <code>&lt;key_string&gt;</code> is located.</p>\n\
<p>The value assigned to this key is then returned as a string.</p>\n\
<p>If the specified file, section, or key is not found, an empty string &quot;&quot; is returned.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022.2 Update:</strong>: If the optional <code>defaultValue</code> keyword parameter is defined, it is returned if the specified file, section, or key is not found.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   getINISetting &quot;c:/temp/test.ini&quot; &quot;Directories&quot; &quot;Scenes&quot;\n\
</code></pre></blockquote>\n\
<p>In <strong>3ds Max 6 and higher</strong>, if only the .ini file is specified, the method will return an <strong>array of the sections</strong> in the .ini file.</p>\n\
<p>In <strong>3ds Max 6 and higher</strong>, if only the .ini file and section are specified, the method will return an <strong>array of the keys</strong> in the section.</p>\n\
<p>In <strong>3ds Max 2017 Update 1</strong> and higher, the return value can be up to 32,767 characters in length. In previous versions, values would be truncated at about 8000 characters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setINISetting &lt;filename_string&gt; &lt;section_string&gt; &lt;key_string&gt; &lt;key_value_string&gt; [ forceUTF16:&lt;boolean&gt; ]</code></pre><p>Sets an INI setting in the specified file.</p>\n\
<p>Returns a value of true if the key value was written to the file, false if the key was not written.</p>\n\
<p>Within the file, the section identified by <code>&lt;section_string&gt;</code> is located, and then the key specified by the <code>&lt;key_string&gt;</code> is located.</p>\n\
<p>The <code>&lt;key_value_string&gt;</code> is then assigned to this key.</p>\n\
<p>If the specified file, section, or key is not found, a <strong>new file, section, or key</strong> is created.</p>\n\
<p>If the specified file is read-only, or the file is open in MAXScript, the key value is not written to the file.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   setINISetting &quot;c:/temp/test.ini&quot; &quot;Directories&quot; &quot;Scenes&quot; &quot;c:/3dsmax/scenes&quot;\n\
</code></pre></blockquote>\n\
<p>The optional <code>forceUTF16:</code> keyword argument available in <strong>3ds Max 2013 and higher</strong> controls whether the value is written using UTF16 encoding or as ASCII text.</p>\n\
<p>By default, when the optional keyword argument is not supplied, or is supplied as true, UTF16 encoding will be used.</p>\n\
<p>If the optional keyword is provided as false, the value will be written as ASCII text.</p>\n\
<p>An additional <strong>method</strong> available in <strong>3ds Max 2013 and higher</strong> controls the default behavior of the <code>forceUTF16:</code> optional keyword argument when it is not supplied:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setIniForceUTF16Default &lt;boolean&gt;</code></pre><p>After a fresh start, the <code>forceUTF16:</code> keyword argument&apos;s default value is true.</p>\n\
<p>Calling <code>setIniForceUTF16Default false</code> will set the default encoding of the <code>setINISetting()</code> method to ASCII.</p>\n\
<p>Calling <code>setIniForceUTF16Default true</code> will set the default encoding of the <code>setINISetting()</code> method to UTF16.</p>\n\
<p>The default behavior is not sticky between sessions, after a restart it will revert back to <code>forceUTF16:</code> default encoding.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   setINISetting &quot;c:/temp/deleteme.ini&quot; &quot;Hello&quot; &quot;World&quot; &quot;10&quot; --utf16 encoding by default\n\
   setINISetting &quot;c:/temp/deleteme.ini&quot; &quot;Hello&quot; &quot;World&quot; &quot;10&quot; forceUTF16:false --force ASCII\n\
   setIniForceUTF16Default false --switch default behavior when keyword argument unsupplied\n\
   setINISetting &quot;c:/temp/deleteme.ini&quot; &quot;Hello&quot; &quot;World&quot; &quot;10&quot; --ASCII by default\n\
   setINISetting &quot;c:/temp/deleteme.ini&quot; &quot;Hello&quot; &quot;World&quot; &quot;10&quot; forceUTF16:true --force utf16 encoding\n\
   setIniForceUTF16Default true --switch back to startup default \n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delIniSetting &lt;filename_string&gt; &lt;section_string&gt; &lt;key_string&gt;   </code></pre><p>Deletes the specified key from the supplied section of the given INI file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">delIniSetting &lt;filename_string&gt; &lt;section_string&gt; </code></pre><p>Deletes the section and all keys in the section of the given INI file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hasINISetting &lt;filename_string&gt; &lt;section_string&gt; [&lt;key_string&gt;] </code></pre><p>Returns <code>true</code> if the INI setting exists in the specified file.</p>\n\
<p>This method is available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>Within the file, the section identified by <code>&lt;section_string&gt;</code> is located, and then the key specified by the <code>&lt;key_string&gt;</code> is tested for.</p>\n\
<p>If <code>&lt;key_string&gt;</code> is not specified, the section specified by <code>&lt;section_string&gt;</code> is tested for.</p>\n\
<h3 id=\"related-methods-\">Related Methods:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMAXIniFile() </code></pre><p>In <strong>3ds Max 6 and higher</strong>, returns the current 3dsmax.ini file as a string. For some products that store the ini settings in the registry, this method returns undefined.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../External-Files-Access.html\">External Files Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"External-File-Methods.html\">External File Methods</a></li>\n\
          <li><a class=\"link\" href=\"3ds-Max-Configuration-File.html\">3ds Max Configuration File 3dsmax.ini</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";