var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BA196B48-8ECA-4E0C-AE2E-F7EFAAF39844\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>External File Methods</h1></div><p>The following methods provide access to external files and directories.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getFiles &lt;wild_card_filename_string&gt; recurse:&lt;boolean&gt; </code></pre><p>Returns an array of file names that match the given wild-card path name. If <code>recurse</code> is specified as true, recursively searches directories starting at the specified directory. The default is false.</p>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>The following code gets an array of all the .max scene files in c:\\foo and then loops over the array, opening each file and printing the objects in each:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">files = getFiles &quot;c:\\\\foo\\\\*.max&quot;\n\
for f in files do (loadMAXFile f; print objects)\n\
</code></pre><p><code>getFiles()</code> can also be used to determine if a <strong>file or file pattern</strong> exists.</p>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>the following function will return <code>true</code> if the specified file name or pattern exists:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn existFile fname = (getfiles fname).count != 0\n\
</code></pre><p>See also <a href=\"File-Name-Parsing.html\"\">doesFileExist()</a> which checks for a single file only and does not support wildcard patterns.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getDirectories &lt;wild_card_directory_name_string&gt; recurse:&lt;boolean&gt;  </code></pre><p>Returns an array of directory paths that match the given wild-card directory path name. If <code>recurse</code> is specified as true, recursively searches directories starting at the specified directory. The default is false.</p>\n\
<p><strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn getFilesRecursive root pattern =\n\
(\n\
dir_array = GetDirectories (root+&quot;/*&quot;)\n\
for d in dir_array do\n\
  join dir_array (GetDirectories (d+&quot;/*&quot;))\n\
my_files = #()\n\
for f in dir_array do\n\
  join my_files (getFiles (f + pattern))\n\
my_files\n\
)\n\
--get all .ms files from the folder c:/temp\n\
--and all its subfolders:\n\
getFilesRecursive &quot;c:/temp&quot; &quot;*.ms&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">makeDir &lt;directory_path_string&gt; all:&lt;boolean&gt; </code></pre><p>Creates a new directory with the given name.</p>\n\
<p>Returns <code>true</code> if the path was created successfully or if it existed already.</p>\n\
<p>Returns <code>false</code> if the path could not be created either because the argument was not a valid path or due to insufficient writing rights.</p>\n\
<p>If the optional <code>all:</code> keyword argument is set to <code>true</code> (default since <strong>3ds Max 9</strong>, in <strong>3ds Max 8</strong> the default was <code>false</code> ), all sub-directory levels specified in the path will be created if they do not exist.</p>\n\
<p>MAXScript does not provide a method for deleting directories. See the last example for <a href=\"./../../Miscellaneous-Functions/Executing-External-Commands.html\"\">HiddenDOSCommand()</a> for a possible workaround.</p>\n\
<p><strong>EXAMPLES</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">makeDir @&quot;c:\\temp\\test\\deleteme\\if\\you\\can&quot; all:false\n\
false --unless the path already exists up to the \\you folder\n\
makeDir @&quot;c:\\temp\\test\\deleteme\\if\\you\\can&quot; all:true\n\
true --creates all the folders listed in the path\n\
makeDir @&quot;c:\\temp\\test\\deleteme\\if\\you&quot; all:true\n\
true --even if the previous call had created the path, still ok\n\
makeDir @&quot;a:\\temp&quot;\n\
false --unless you still have a Floppy drive and a disk for it!\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;removeDir &lt;directory_path_string&gt; </code></pre><p>Removes the specified directory. Returns true if the directory was removed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteFile &lt;filename_string&gt; </code></pre><p>Deletes the named file.</p>\n\
<p>Fails if the file is open in MAXScript.An open file can be closed using the respective close() method for ASCII or Binary streams, or if the handle is not accessible due to local scope, by calling manual Garbage Collection using <code>gc().</code></p>\n\
<p>Does <strong>not</strong> work on directories created using <code>makeDir()</code> , only on actual files. For a way to delete a directory, see the last example for</p>\n\
<p><a href=\"./../../Miscellaneous-Functions/Executing-External-Commands.html\"\">HiddenDOSCommand()</a></p>\n\
<p>.</p>\n\
<p>Returns <code>true</code> on success, <code>false</code> on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renameFile &lt;old_filename_string&gt; &lt;new_filename_string&gt; </code></pre><p>Renames the old file to the new file.</p>\n\
<p>This can also be used to <strong>move</strong> a file between directories.</p>\n\
<p>Fails if the new file already exists or if the old file is open in MAXScript.</p>\n\
<p>Returns <code>true</code> on success, <code>false</code> on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copyFile &lt;existing_filename_string&gt; &lt;target_filename_string&gt; </code></pre><p>Copies the existing file to the new file.</p>\n\
<p>Fails if the existing file is open in MAXScript, the target file cannot be created, or the target file already exists. In the latter case, you can use <code>deleteFile()</code> to remove the existing target file first.</p>\n\
<p>Returns <code>true</code> on success, <code>false</code> on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getFileSize &lt;filename_string&gt; </code></pre><p>Returns the size of the specified file in bytes.</p>\n\
<p>Returns 0 if the file could not be found.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GetFileSize (getDir #maxRoot + &quot;\\\\3dsmax.exe&quot;)\n\
--&gt; 9881600\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getFileAttribute &lt;filename_string&gt; &lt;attribute&gt; \n\
setFileAttribute &lt;filename_string&gt; &lt;attribute&gt; &lt;boolean&gt; </code></pre><p>Get and set the attributes associated with a file.</p>\n\
<p>The get function returns <code>true</code> or <code>false</code> depending on the state of the specified attribute.</p>\n\
<p>The set function sets the state of the individual attribute specified (leaving other attributes as they were).</p>\n\
<p>The valid <code>&lt;attribute&gt;</code> values are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#readOnly #hidden #system #directory #archive #temporary #normal </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getFileModDate &lt;filename_string&gt; </code></pre><p>Returns a String value containing the modification date for the specified file, for example <code>&quot;1/29/99 1:52:05 PM&quot;</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getFileCreateDate &lt;filename_string&gt; </code></pre><p>Returns a String value containing the creation date for the specified file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getFileVersion &lt;filename_string&gt; </code></pre><p>Returns the file and product version for the specified file, or unknown if this data is not specified in the file. This data is typically specified only for executable and application extension (i.e., .dll) files.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GetFileVersion (getDir #maxRoot + &quot;\\\\3dsmax.exe&quot;)\n\
--&gt; &quot;12,0,0,91 12,0,0,91&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getFileSecurityInfo &lt;file_name&gt; &lt;attribute&gt; testFileAttribute: &lt;boolean&gt; </code></pre><p>Returns <code>true</code> if the specified file exists and the specified security attribute is set, where <code>&lt;attribute&gt;</code> is one of <code>#read</code> , <code>#write</code> , <code>#execute</code> , <code>#all</code> .</p>\n\
<p>If <code>&lt;file_name&gt;</code> is a directory and <code>&lt;attribute&gt;</code> is <code>#write</code> or <code>#all</code> and the directory&apos;s security attributes show the directory is writable, the method will also attempt to create a temporary file in the directory to confirm it is writable.</p>\n\
<p>if <code>testFileAttribute:</code> is <code>false</code> or not specified, or <code>&lt;file_name&gt;</code> specifies a directory, the file attributes on the file are <strong>not</strong> included in the test.</p>\n\
<p>If <code>testFileAttribute:</code> is <code>true</code> and <code>&lt;file_name&gt;</code> specifies a file, the file attributes (read, write, execute) are AND-ed with the security attributes.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isDirectoryWriteable &lt;dir_name&gt; </code></pre><p>Returns <code>true</code> if the specified directory exists and the directory can be written into.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMAXIniFile() </code></pre><p>In <strong>3ds Max 6 and higher</strong>, returns the current 3dsmax.ini file as a string. For some products that store the ini settings in the registry, this method returns undefined. See also <a href=\"Accessing-INI-File-Keys.html\">Accessing INI File Keys</a>.</p>\n\
<p><strong>MORE EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for f in getFiles &quot;3dsmax\\\\maps\\\\*.jpg&quot; do deleteFile f\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">for d in getDirectories &quot;D:\\\\foo\\\\*&quot; do\n\
for f in getFiles (d + &quot;*.*&quot;) do\n\
copyFile f (&quot;C:\\\\temp\\\\&quot; + getFilenameFile f + getFilenameType f)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if (getFiles &quot;foo*.max&quot;).count == 0 do\n\
print &quot;No Files Match Pattern &apos;foo*.max&apos;!&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getEncoding &lt;filename_string&gt;</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022.2 Update:</strong>: Returns the character encoding of the specified text file.  Returns <code>#Unknown</code> if the specified text file cannot be found or read.</p>\n\
<p>Possible return values are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#ANSI\n\
#ASCII\n\
#UTF7_With_BOM\n\
#UTF7\n\
#UTF8_With_BOM\n\
#UTF8\n\
#UTF16_LE_With_BOM\n\
#UTF16_BE_With_BOM\n\
#UTF16_LE\n\
#UTF16_BE\n\
#UCS4_LE_With_BOM\n\
#UCS4_BE_With_BOM\n\
#UCS4_LE\n\
#UCS4_BE\n\
#Unknown</code></pre><p><strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">filename = @&quot;C:\\Program Files\\Autodesk\\3ds Max 2022\\en-US\\3dsMax.ini&quot;\n\
getEncoding filename\n\
--&gt; #UTF8_With_BOM</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../External-Files-Access.html\">External Files Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">FileStream Values</a></li>\n\
          <li><a class=\"link\" href=\"File-Name-Parsing.html\">File Name Parsing</a></li>\n\
          <li><a class=\"link\" href=\"Standard-Open-and-Save-File.html\">Standard Open and Save File Dialogs</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";