var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F9363BDCD-AE10-4D5D-B316-C91EE7539CB1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>File Access Function Search Behavior</h1></div><p>As of <strong>3ds Max 2022.1 Update</strong>, the way various file access functions search for a file specified without a fully qualified path is standardized to prevent &quot;script planting&quot;.  &quot;Script planting&quot; is a technique used to trick applications into loading malicious scripts.  MAXScript mitigates this security vulnerability by only loading scripts from a few well-controlled locations.</p>\n\
<p>This table shows where functions that load files or scripts search for files when the full path is not specified.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>MAXScript Function</th>\n\
<th>Current MZP</th>\n\
<th>Current script dir</th>\n\
<th>User scripts</th>\n\
<th>System scripts</th>\n\
<th>User startup scripts</th>\n\
<th>System startup scripts</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>fileIn</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10007;</td>\n\
<td>&#10007;</td>\n\
</tr>\n\
<tr>\n\
<td>include</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10007;</td>\n\
<td>&#10007;</td>\n\
</tr>\n\
<tr>\n\
<td>encryptScript</td>\n\
<td>&#10007;</td>\n\
<td>&#10007;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10007;</td>\n\
<td>&#10007;</td>\n\
</tr>\n\
<tr>\n\
<td>edit</td>\n\
<td>&#10003;</td>\n\
<td>&#10007;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10007;</td>\n\
<td>&#10007;</td>\n\
</tr>\n\
<tr>\n\
<td>openFile</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10007;</td>\n\
<td>&#10007;</td>\n\
</tr>\n\
<tr>\n\
<td>createFile</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10007;</td>\n\
<td>&#10007;</td>\n\
</tr>\n\
<tr>\n\
<td>openEncryptedFile</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10007;</td>\n\
<td>&#10007;</td>\n\
</tr>\n\
<tr>\n\
<td>openLog</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10007;</td>\n\
<td>&#10007;</td>\n\
</tr>\n\
<tr>\n\
<td>callbacks.AddScript</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10007;</td>\n\
<td>&#10007;</td>\n\
</tr>\n\
<tr>\n\
<td>mzp run</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10007;</td>\n\
<td>&#10007;</td>\n\
</tr>\n\
<tr>\n\
<td>PFlow<br> pf.Final_Step_Update_Script_File <br>pf.Every_Step_Update_Script_File</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10007;</td>\n\
<td>&#10007;</td>\n\
</tr>\n\
<tr>\n\
<td>python.ExecuteFile</td>\n\
<td>&#10007;</td>\n\
<td>&#10007;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
</tr>\n\
<tr>\n\
<td>startup.ms</td>\n\
<td>N.A.</td>\n\
<td>N.A.</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
<td>&#10003;</td>\n\
</tr>\n\
</tbody></table>\n\
<ul>\n\
<li><strong>Current MZP</strong> - If the function is called in a MZP script file.</li>\n\
<li><strong>Current script dir</strong> - The directory the currently running script is located in.</li>\n\
<li><strong>User scripts</strong>, <strong>System scripts</strong>, <strong>User startup scripts</strong> and <strong>System startup scripts</strong> are the locations corresponding to <code>#userscripts</code>, <code>#systemscripts</code>, <code>#userstartupscripts</code> and <code>#startupScripts</code> respectively.  See <a href=\"3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\"\">3ds Max System Directories</a>.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../File-Access.html\">File Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";