var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-930627BF-AC41-4033-9768-64CC5A1CE684\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Log System</h1></div><p><strong>System Globals:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;logsystem.getNetLogFileName() </code></pre><p>Returns the current log filename.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   logsystem.getNetLogFileName()\n\
   &quot;C:\\Users\\Garfield\\AppData\\Local\\Autodesk\\3dsMax\\2017 - 64bit\\ENU\\Network\\Max.log&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">logsystem.longevity SystemGlobal:longevity default:#size</code></pre><p>Gets/sets the log file longevity mode. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<p>This setting corresponds to the Customize &gt; Preferences &gt; Files &gt; &quot;Log File Maintenance&quot; radio buttons state.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li><strong>#forever</strong> : Keep the log entries forever, ignore both <code>logsystem.logSize</code> and <code>logsystem.logDays</code></li>\n\
<li><strong>#days</strong> : Use the <code>logsystem.logDays</code> value</li>\n\
<li><strong>#size</strong> (default): Use the <code>logsystem.logSize</code> value</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">logsystem.logDays SystemGlobal:logDays default:30</code></pre><p>Gets/sets the number of days to keep the log file entries. Corresponds to the Customize &gt; Preferences &gt; Files &gt; Log File Maintenance &gt; &quot;Maintain only XX Days&quot; option. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<p>Used when <code>logsystem.longevity</code> is set to #days.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">logsystem.logSize SystemGlobal:logSize default:256</code></pre><p>Gets/sets the maximum log file size in Kilobytes to keep. Corresponds to the Customize &gt; Preferences &gt; Files &gt; Log File Maintenance &gt; &quot;Maintain only XX Kbytes&quot; option. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<p>Used when <code>logsystem.longevity</code> is set to #size, which is the default mode.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">logsystem.logEntry &lt;string&gt; [debug:&lt;boolean&gt;] [info:&lt;boolean&gt;] [warning:&lt;boolean&gt;] [error:&lt;boolean&gt;]\n\
logsystem.logEntry &lt;string&gt; &lt;enum&gt;</code></pre><p>Outputs the string to the log file, based on the various type keyword parameters, or enum value.</p>\n\
<p>The possible enum values are: <strong>#error</strong>, <strong>#warning</strong>, <strong>#info</strong>, <strong>#debug</strong>. Available in <strong>3ds Max 2017.1 Update and higher</strong></p>\n\
<p>Default values are: <strong>debug:true, info:false, warning:false, error:false</strong>.</p>\n\
<p>Output to the log file is filtered by the settings in the Preference Settings dialog, Files tab.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   logsystem.logEntry &quot;My Warning Message&quot; warning:true\n\
   logsystem.logEntry &quot;My Warning Message&quot; #warning\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;logsystem.logName &lt;filename&gt;</code></pre><p>Sets an extra log file to the given filename. This log file is not persistent. This log file is in addition to the normal log file, which can be accessed via <code>logsystem.getNetLogFileName()</code> (below).</p>\n\
<p>If the log file was created successfully, returns the new log name.</p>\n\
<p>If the new file creation failed, returns the current log file name.</p>\n\
<p>If the given filename already exists, its contents are over-written.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   logsystem.logName &quot;c:\\\\extra.log&quot;\n\
   &quot;c:\\extra.log&quot;\n\
   logsystem.logName &quot;z:\\\\extra.log&quot; --Z: does not exist, keeps old log\n\
   &quot;c:\\extra.log&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">logsystem.setLogLevel debug:&lt;boolean&gt; info:&lt;boolean&gt; warning:&lt;boolean&gt; error:&lt;boolean&gt;\n\
logsystem.setLogLevel &lt;#error | #warning | #info | #debug&gt; &lt;boolean&gt;</code></pre><p>Sets the specified logging levels on or off. For any logging levels not specified, the existing setting is retained. Available in <strong>3ds Max 2017.1 Update and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   logsystem.setLogLevel error:true warning:true info:false debug:false\n\
   logsystem.setLogLevel #debug false\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;logsystem.getLogLevel &lt;#error | #warning | #info | #debug&gt;</code></pre><p>Gets the status (on or off) for the specified logging level. Available in <strong>3ds Max 2017.1 Update and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   errorLoggingEnabled = logsystem.getLogLevel #error\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;logsystem.saveState() </code></pre><p>Saves the state of the log system preferences. Normally, changing the log system settings like <code>logsystem.longevity</code> will only affect the current 3ds Max session. Available in <strong>3ds Max 2017 and higher</strong></p>\n\
<p>Calling this function will commit the changes to stick between 3ds Max sessions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">logsystem.loadState()</code></pre><p>Loads previously saved log system preferences.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">logsystem.enabled default:true</code></pre><p>This property gets or sets whether the log system is enabled. If false, there is no output saved to the log file from the log system.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">logsystem.quietMode default:false</code></pre><p>Lets you get and set whether error logging quiet mode is enabled.</p>\n\
<p>A Boolean value set to <code>true</code> when you do not want error messages from the renderer to bring up dialog boxes.</p>\n\
<p>If set to <code>false</code> , error messages from the renderer will bring up dialog boxes.</p>\n\
<p>3ds Max sets the corresponding internal variable to <code>true</code> during network rendering to suppress error messages such as the &quot;Missing Maps&quot; and &quot;Missing Map Coordinates&quot; dialogs.</p>\n\
<p>If this variable is set to <code>true</code> and the renderer generates an error message, the renderer will exit.</p>\n\
<p>After setting quiet mode, do not forget to clear it when you are done, since the user will not see any error messages from the renderer while quiet mode is enabled.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../File-Access.html\">File Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";