var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-35559C6A-CC75-4C8D-9A2A-8DFA73F2501E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Drag-and-drop MAXScript Zip files</h1></div><p>The OLE-based drag-and-drop system in MAXScript accepts the dropping of MAXScript .mzp zip packages. They can be dropped either from i-drop-enabled web pages or directly from file directories, say from the Windows Explorer or the new MAX Asset Browser.</p>\n\
<p>The main use for this feature is to allow script packages to be dropped into MAX and <strong>automatically run</strong>, particularly packaged dropScripts. But, since the package can contain files of any kind, it is possible to use it to drop any set of files, say a scene file and its maps &amp; other supporting files, or a new plug-in, etc. The <code>mzp.run</code> control file allows you to set up arbitrary distributions of the files in the package using the extract to, copy and move commands. This can be <strong>a useful alternative</strong> to the current i-drop package-dropping mechanism, which simply places all the downloaded files listed in the i-drop to the MAX downloads directory.</p>\n\
<p><a name=\"-mzp-drop-protocol\"></a></p>\n\
<h2 id=\"-mzp-drop-protocol\">.mzp drop protocol</h2><p>When a .mzp package is dropped, the sequence of events that occurs differs slightly, depending on whether it is dropped via an i-drop control or directly from a file directory.In summary, the i-drop first downloads the package and then extracts it, dropping from a file directory extracts directly from that file. Further, <code>the &#39;on droppable&#39;</code> handler in any dropScript specified in the package is only run if the package is droped via a i-drop, dropping from a file directory is a system-controlled action that doesn&#39;t provide any drag-over callbacks in which to run the <code>&#39;on droppable&#39;</code> test.</p>\n\
<p>From an i-drop, the .mzp file is first downloaded to the <code>&lt;max&gt;\\\\downloads</code> directory, along with any other files specified in the i-drop XML file, overwriting any files currently there. If the .mzp file is the first file in the i-drop file set, it is the prime dropped file and the following .mzp processing continues. The .mzp file is then extracted to a new temp directory, <strong>in the system&#39;s main TEMP directory</strong>, and the mzp.run control file is run. If there is no mzp.run file in the package, the first file in the .mzp package is dropped, causing whatever drop protocol is appropriate for that file type. If supplied, a typical <code>mzp.run</code> control file will <strong>contain extract to, move and copy commands</strong> to control the disposition of the files extracted from the package, say placing any texture files in $maps &amp; scene files in $scenes, etc.</p>\n\
<p>During this execution of the <code>mzp.run</code> file after initial load, all <code>&#39;copy&#39;</code> and <code>&#39;move&#39;</code> commands are performed, and a <code>&#39;drop&#39;</code> command is looked for. The file specified on the drop command is remembered for later drop processing. Any <code>&#39;run&#39;</code> , <code>&#39;open&#39;</code> , <code>&#39;import&#39;</code> , <code>&#39;merge&#39;</code> , <code>&#39;xref&#39;</code> commands are ignored. If more than one <code>&#39;drop&#39;</code> command is found, only the first one is run.</p>\n\
<p>At this point, the drop file is known, either because it was supplied on a <code>&#39;drop&#39;</code> command in the mzp.run file or because it is the first file in the .mzp package if there was no mzp.run file or drop command. If the drop file is anything other than <code>.ds</code> dropScript file, the drop protocol appropriate to that file is engaged. If it is a <code>.ds</code> dropScript, and the drop is from an i-drop, any <code>&#39;on droppable&#39;</code> handler in the dropscript is repeatedly run as the mouse is moved off MAX&#39;s windows, and the cursor changes to show valid drop targets. If the drag-and-drop is from a file directory, the arrow+ cursor shows, but the <code>&#39;on droppable&#39;</code> handler is <strong>NOT</strong> called. This is a consequence of the limitations of simple file drag-and-drop in Windows. When the mouse-click is released, the <code>&#39;on droppable&#39;</code> handler is called on the target window and object and if it returns OK or is not supplied, the <code>&#39;on drop&#39;</code> handler is called. This protocol is identical to dropping .ds dropScript files directly, as if they were not inside a .mzp package.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>You can specify a file type other than a dropScript on the &#39;drop&#39; command, such as an image or scene file. This allows the .mzp drag-and-drop to be used for dropping any kind of package, not just scripts.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Drag-And-Drop-MAX-files-Bitmaps.html\">Drag And Drop MAX files, Bitmaps and Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Zip-file-Script-Packages.html\">Zip-file Script Packages</a></li>\n\
          <li><a class=\"link\" href=\"../../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-dragAndDrop.html\">Interface: dragAndDrop</a></li>\n\
          <li><a class=\"link\" href=\"../Zip-file-Script-Packages.html\">Zip-file Script Packages</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";