var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9E695D17-5731-43F4-AF90-7D5FB42A91AB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max User Interface Colors</h1></div><p>The following methods are used to get and set the <strong>3ds Max</strong> user interface colors.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GetUIColor &lt;index_integer&gt;</code></pre><p>Returns a Point3 value corresponding to the color value used for drawing the specified item type in the <strong>3ds Max</strong> viewports. Each component of the Point3 value is in a range of 0 to 1, corresponding to a color component value of 0 to 255. See the list of <code>&lt;index_integer&gt;</code> values below.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GetDefaultUIColor &lt;index_integer&gt;</code></pre><p>Returns a Point3 value corresponding to the default color used for drawing the specified item type in the <strong>3ds Max</strong> user interface. Each component of the Point3 value is in a range of 0 to 1, corresponding to a color component value of 0 to 255. The values returned are not affected by the user&apos;s color selections or those set by <code>SetUIColor()</code> . See the list of <code>&lt;index_integer&gt;</code> values below.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SetUIColor &lt;index_integer&gt; &lt;point3&gt;</code></pre><p>Sets the color value used for drawing the specified item type in the <strong>3ds Max</strong> viewports. Each component of the Point3 value is in a range of 0 to 1, corresponding to a color component value of 0 to 255. See the list of <code>&lt;index_integer&gt;</code> values below.</p>\n\
<p>The valid <code>&lt;index_integer&gt;</code> values and the corresponding item type are as follow:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>INDEX</th>\n\
<th>CODE</th>\n\
<th>UI</th>\n\
<th>ITEM</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>0</code></td>\n\
<td><code>COLOR_SELECTION</code></td>\n\
<td>Main UI</td>\n\
<td>Selection</td>\n\
</tr>\n\
<tr>\n\
<td><code>1</code></td>\n\
<td><code>COLOR_SUBSELECTION</code></td>\n\
<td>Main UI</td>\n\
<td>Sub-selection</td>\n\
</tr>\n\
<tr>\n\
<td><code>2</code></td>\n\
<td><code>COLOR_FREEZE</code></td>\n\
<td>Main UI</td>\n\
<td>Freeze</td>\n\
</tr>\n\
<tr>\n\
<td><code>3</code></td>\n\
<td><code>COLOR_GRID</code></td>\n\
<td>Grids</td>\n\
<td>Grid</td>\n\
</tr>\n\
<tr>\n\
<td><code>4</code></td>\n\
<td><code>COLOR_GRID_INTENS</code></td>\n\
<td>Grids</td>\n\
<td>Grid Intensity</td>\n\
</tr>\n\
<tr>\n\
<td><code>5</code></td>\n\
<td><code>COLOR_SF_LIVE</code></td>\n\
<td>Main UI</td>\n\
<td>Safe Frame Live</td>\n\
</tr>\n\
<tr>\n\
<td><code>6</code></td>\n\
<td><code>COLOR_SF_ACTION</code></td>\n\
<td>Main UI</td>\n\
<td>Safe Frame Action</td>\n\
</tr>\n\
<tr>\n\
<td><code>7</code></td>\n\
<td><code>COLOR_SF_TITLE</code></td>\n\
<td>Main UI</td>\n\
<td>Safe Frame Title</td>\n\
</tr>\n\
<tr>\n\
<td><code>8</code></td>\n\
<td><code>COLOR_VP_LABELS</code></td>\n\
<td>Main UI</td>\n\
<td>Viewport Label</td>\n\
</tr>\n\
<tr>\n\
<td><code>9</code></td>\n\
<td><code>COLOR_VP_INACTIVE</code></td>\n\
<td>Main UI</td>\n\
<td>Inactive Viewport Label</td>\n\
</tr>\n\
<tr>\n\
<td><code>10</code></td>\n\
<td><code>COLOR_ARCBALL</code></td>\n\
<td>Main UI</td>\n\
<td>Arcball</td>\n\
</tr>\n\
<tr>\n\
<td><code>11</code></td>\n\
<td><code>COLOR_ARCBALL_HILITE</code></td>\n\
<td>Main UI</td>\n\
<td>Arcball Highlight</td>\n\
</tr>\n\
<tr>\n\
<td><code>12</code></td>\n\
<td><code>COLOR_ANIM_BUTTON</code></td>\n\
<td>Main UI</td>\n\
<td>Animate Button</td>\n\
</tr>\n\
<tr>\n\
<td><code>14</code></td>\n\
<td><code>COLOR_LINK_LINES</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Bones and Link Lines</td>\n\
</tr>\n\
<tr>\n\
<td><code>15</code></td>\n\
<td><code>COLOR_TRAJECTORY</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Trajectory</td>\n\
</tr>\n\
<tr>\n\
<td><code>16</code></td>\n\
<td><code>COLOR_ACTIVE_AXIS</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Active Axis</td>\n\
</tr>\n\
<tr>\n\
<td><code>17</code></td>\n\
<td><code>COLOR_INACTIVE_AXIS</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Inactive Axis</td>\n\
</tr>\n\
<tr>\n\
<td><code>18</code></td>\n\
<td><code>COLOR_SPACE_WARPS</code></td>\n\
<td>Objects</td>\n\
<td>Space Warp</td>\n\
</tr>\n\
<tr>\n\
<td><code>19</code></td>\n\
<td><code>COLOR_DUMMY_OBJ</code></td>\n\
<td>Objects</td>\n\
<td>Dummy Object</td>\n\
</tr>\n\
<tr>\n\
<td><code>20</code></td>\n\
<td><code>COLOR_POINT_OBJ</code></td>\n\
<td>Objects</td>\n\
<td>Point Object</td>\n\
</tr>\n\
<tr>\n\
<td><code>21</code></td>\n\
<td><code>COLOR_POINT_AXES</code></td>\n\
<td>Objects</td>\n\
<td>Point Axis</td>\n\
</tr>\n\
<tr>\n\
<td><code>22</code></td>\n\
<td><code>COLOR_TAPE_OBJ</code></td>\n\
<td>Objects</td>\n\
<td>Tape Object</td>\n\
</tr>\n\
<tr>\n\
<td><code>24</code></td>\n\
<td><code>COLOR_GIZMOS</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Gizmos</td>\n\
</tr>\n\
<tr>\n\
<td><code>25</code></td>\n\
<td><code>COLOR_SEL_GIZMOS</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Selected Gizmos</td>\n\
</tr>\n\
<tr>\n\
<td><code>26</code></td>\n\
<td><code>COLOR_SPLINE_VECS</code></td>\n\
<td>Main UI</td>\n\
<td>Spline Vectors</td>\n\
</tr>\n\
<tr>\n\
<td><code>27</code></td>\n\
<td><code>COLOR_SPLINE_HANDLES</code></td>\n\
<td>Main UI</td>\n\
<td>Spline Handles</td>\n\
</tr>\n\
<tr>\n\
<td><code>29</code></td>\n\
<td><code>COLOR_PARTICLE_EM</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Particle Emitter</td>\n\
</tr>\n\
<tr>\n\
<td><code>30</code></td>\n\
<td><code>COLOR_CAMERA_OBJ</code></td>\n\
<td>Objects</td>\n\
<td>Camera Object</td>\n\
</tr>\n\
<tr>\n\
<td><code>31</code></td>\n\
<td><code>COLOR_CAMERA_CONE</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Camera Cone</td>\n\
</tr>\n\
<tr>\n\
<td><code>32</code></td>\n\
<td><code>COLOR_CAMERA_HORIZ</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Camera Horizon</td>\n\
</tr>\n\
<tr>\n\
<td><code>33</code></td>\n\
<td><code>COLOR_NEAR_RANGE</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Camera Near Range</td>\n\
</tr>\n\
<tr>\n\
<td><code>34</code></td>\n\
<td><code>COLOR_FAR_RANGE</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Camera Far Range</td>\n\
</tr>\n\
<tr>\n\
<td><code>35</code></td>\n\
<td><code>COLOR_LIGHT_OBJ</code></td>\n\
<td>Objects</td>\n\
<td>Light Object</td>\n\
</tr>\n\
<tr>\n\
<td><code>36</code></td>\n\
<td><code>COLOR_TARGET_LINE</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Target Line</td>\n\
</tr>\n\
<tr>\n\
<td><code>37</code></td>\n\
<td><code>COLOR_HOTSPOT</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Light Hotspot</td>\n\
</tr>\n\
<tr>\n\
<td><code>38</code></td>\n\
<td><code>COLOR_FALLOFF</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Light Falloff</td>\n\
</tr>\n\
<tr>\n\
<td><code>39</code></td>\n\
<td><code>COLOR_START_RANGE</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Light Far Start</td>\n\
</tr>\n\
<tr>\n\
<td><code>40</code></td>\n\
<td><code>COLOR_END_RANGE</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Light Far End</td>\n\
</tr>\n\
<tr>\n\
<td><code>41</code></td>\n\
<td><code>COLOR_VIEWPORT_BKG</code></td>\n\
<td>Main UI</td>\n\
<td>Viewport Background</td>\n\
</tr>\n\
<tr>\n\
<td><code>42</code></td>\n\
<td><code>COLOR_TRAJ_TICS_1</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Trajectory Frames 1</td>\n\
</tr>\n\
<tr>\n\
<td><code>43</code></td>\n\
<td><code>COLOR_TRAJ_TICS_2</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Trajectory Frames 2</td>\n\
</tr>\n\
<tr>\n\
<td><code>44</code></td>\n\
<td><code>COLOR_TRAJ_TICS_3</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Trajectory Frames 3</td>\n\
</tr>\n\
<tr>\n\
<td><code>45</code></td>\n\
<td><code>COLOR_GHOST_BEFORE</code></td>\n\
<td>Main UI</td>\n\
<td>Ghost (Before)</td>\n\
</tr>\n\
<tr>\n\
<td><code>46</code></td>\n\
<td><code>COLOR_GHOST_AFTER</code></td>\n\
<td>Main UI</td>\n\
<td>Ghost (After)</td>\n\
</tr>\n\
<tr>\n\
<td><code>47</code></td>\n\
<td><code>COLOR_12FIELD_GRID</code></td>\n\
<td>Main UI</td>\n\
<td>12-Field Grid</td>\n\
</tr>\n\
<tr>\n\
<td><code>48</code></td>\n\
<td><code>COLOR_START_RANGE1</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Light Near Start</td>\n\
</tr>\n\
<tr>\n\
<td><code>49</code></td>\n\
<td><code>COLOR_END_RANGE1</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Light Near End</td>\n\
</tr>\n\
<tr>\n\
<td><code>50</code></td>\n\
<td><code>COLOR_CAMERA_CLIP</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Camera Clip</td>\n\
</tr>\n\
<tr>\n\
<td><code>51</code></td>\n\
<td><code>COLOR_NURBS_CV</code></td>\n\
<td>Main UI</td>\n\
<td>NURBS Control Vertex</td>\n\
</tr>\n\
<tr>\n\
<td><code>52</code></td>\n\
<td><code>COLOR_NURBS_LATTICE</code></td>\n\
<td>Main UI</td>\n\
<td>NURBS Lattice</td>\n\
</tr>\n\
<tr>\n\
<td><code>53</code></td>\n\
<td><code>COLOR_NURBS_CP</code></td>\n\
<td>Main UI</td>\n\
<td>NURBS Con Point</td>\n\
</tr>\n\
<tr>\n\
<td><code>54</code></td>\n\
<td><code>COLOR_NURBS_FP</code></td>\n\
<td>Main UI</td>\n\
<td>NURBS Fit Point</td>\n\
</tr>\n\
<tr>\n\
<td><code>55</code></td>\n\
<td><code>COLOR_NURBS_DEP</code></td>\n\
<td>Main UI</td>\n\
<td>NURBS Dep Object</td>\n\
</tr>\n\
<tr>\n\
<td><code>56</code></td>\n\
<td><code>COLOR_NURBS_ERROR</code></td>\n\
<td>Main UI</td>\n\
<td>NURBS Error Object</td>\n\
</tr>\n\
<tr>\n\
<td><code>57</code></td>\n\
<td><code>COLOR_NURBS_HILITE</code></td>\n\
<td>Main UI</td>\n\
<td>NURBS Highlight</td>\n\
</tr>\n\
<tr>\n\
<td><code>58</code></td>\n\
<td><code>COLOR_NURBS_FUSE</code></td>\n\
<td>Main UI</td>\n\
<td>NURBS Fuse</td>\n\
</tr>\n\
<tr>\n\
<td><code>59</code></td>\n\
<td><code>COLOR_END_EFFECTOR</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>End Effector</td>\n\
</tr>\n\
<tr>\n\
<td><code>60</code></td>\n\
<td><code>COLOR_END_EFFECTOR_STRING</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>End Effector String</td>\n\
</tr>\n\
<tr>\n\
<td><code>61</code></td>\n\
<td><code>COLOR_JOINT_LIMIT_SEL</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Selected Joint Limits</td>\n\
</tr>\n\
<tr>\n\
<td><code>62</code></td>\n\
<td><code>COLOR_JOINT_LIMIT_UNSEL</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Joint Limits</td>\n\
</tr>\n\
<tr>\n\
<td><code>63</code></td>\n\
<td><code>COLOR_IK_TERMINATOR</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>IK Terminator</td>\n\
</tr>\n\
<tr>\n\
<td><code>64</code></td>\n\
<td><code>COLOR_SF_USER</code></td>\n\
<td>Main UI</td>\n\
<td>Safe Frame User</td>\n\
</tr>\n\
<tr>\n\
<td><code>65</code></td>\n\
<td><code>COLOR_VERT_TICKS</code></td>\n\
<td>Main UI</td>\n\
<td>Vertex Ticks</td>\n\
</tr>\n\
<tr>\n\
<td><code>66</code></td>\n\
<td><code>COLOR_XRAY</code></td>\n\
<td>Main UI</td>\n\
<td>See Through</td>\n\
</tr>\n\
<tr>\n\
<td><code>67</code></td>\n\
<td><code>COLOR_GROUP_OBJ</code></td>\n\
<td>Objects</td>\n\
<td>Group Object</td>\n\
</tr>\n\
<tr>\n\
<td><code>68</code></td>\n\
<td><code>COLOR_MANIPULATOR_X</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Transform Gizmo X</td>\n\
</tr>\n\
<tr>\n\
<td><code>69</code></td>\n\
<td><code>COLOR_MANIPULATOR_Y</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Transform Gizmo Y</td>\n\
</tr>\n\
<tr>\n\
<td><code>70</code></td>\n\
<td><code>COLOR_MANIPULATOR_Z</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Transform Gizmo Z</td>\n\
</tr>\n\
<tr>\n\
<td><code>71</code></td>\n\
<td><code>COLOR_MANIPULATOR_ACTIVE</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Active Transform Gizmo</td>\n\
</tr>\n\
<tr>\n\
<td><code>72</code></td>\n\
<td><code>COLOR_VPT_CLIPPING</code></td>\n\
<td>Main UI</td>\n\
<td>Viewport Clipping</td>\n\
</tr>\n\
<tr>\n\
<td><code>73</code></td>\n\
<td><code>COLOR_DECAY_RADIUS</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Light Decay Start</td>\n\
</tr>\n\
<tr>\n\
<td><code>74</code></td>\n\
<td><code>COLOR_VERT_NUMBERS</code></td>\n\
<td>Main UI</td>\n\
<td>Vertex Numbers</td>\n\
</tr>\n\
<tr>\n\
<td><code>75</code></td>\n\
<td><code>COLOR_CROSSHAIR_CURSOR</code></td>\n\
<td>Main UI</td>\n\
<td>Cross Hair Cursor</td>\n\
</tr>\n\
<tr>\n\
<td><code>76</code></td>\n\
<td><code>COLOR_SV_WINBK</code></td>\n\
<td>Other Views</td>\n\
<td>SV Window Bkg</td>\n\
</tr>\n\
<tr>\n\
<td><code>77</code></td>\n\
<td><code>COLOR_SV_NODEBK</code></td>\n\
<td>Other Views</td>\n\
<td>SV Node Bkg</td>\n\
</tr>\n\
<tr>\n\
<td><code>78</code></td>\n\
<td><code>COLOR_SV_SELNODEBK</code></td>\n\
<td>Other Views</td>\n\
<td>SV Selected Node Bkg</td>\n\
</tr>\n\
<tr>\n\
<td><code>79</code></td>\n\
<td><code>COLOR_SV_NODE_HIGHLIGHT</code></td>\n\
<td>Other Views</td>\n\
<td>SV Node Highlight</td>\n\
</tr>\n\
<tr>\n\
<td><code>80</code></td>\n\
<td><code>COLOR_SV_MATERIAL_HIGHLIGHT</code></td>\n\
<td>Other Views</td>\n\
<td>SV Material Highlight</td>\n\
</tr>\n\
<tr>\n\
<td><code>81</code></td>\n\
<td><code>COLOR_SV_MODIFIER_HIGHLIGHT</code></td>\n\
<td>Other Views</td>\n\
<td>SV Modifier Highlight</td>\n\
</tr>\n\
<tr>\n\
<td><code>82</code></td>\n\
<td><code>COLOR_SV_PLUGIN_HIGHLIGHT</code></td>\n\
<td>Other Views</td>\n\
<td>SV Plugin Highlight</td>\n\
</tr>\n\
<tr>\n\
<td><code>83</code></td>\n\
<td><code>COLOR_SV_SUBANIM_LINE</code></td>\n\
<td>Other Views</td>\n\
<td>SV Sub-Anim Line</td>\n\
</tr>\n\
<tr>\n\
<td><code>84</code></td>\n\
<td><code>COLOR_SV_CHILD_LINE</code></td>\n\
<td>Other Views</td>\n\
<td>SV Child Line</td>\n\
</tr>\n\
<tr>\n\
<td><code>85</code></td>\n\
<td><code>COLOR_SV_FRAME</code></td>\n\
<td>Other Views</td>\n\
<td>SV Frame</td>\n\
</tr>\n\
<tr>\n\
<td><code>86</code></td>\n\
<td><code>COLOR_SV_SELTEXT</code></td>\n\
<td>Other Views</td>\n\
<td>SV Selected Label</td>\n\
</tr>\n\
<tr>\n\
<td><code>87</code></td>\n\
<td><code>COLOR_SV_TEXT</code></td>\n\
<td>Other Views</td>\n\
<td>SV Label</td>\n\
</tr>\n\
<tr>\n\
<td><code>88</code></td>\n\
<td><code>COLOR_UNSEL_TAB</code></td>\n\
<td>Main UI</td>\n\
<td>Unselected Tabs</td>\n\
</tr>\n\
<tr>\n\
<td><code>89</code></td>\n\
<td><code>COLOR_ATMOS_APPARATUS</code></td>\n\
<td>Gizmos &amp; Apparatuses</td>\n\
<td>Atmospheric Apparatuses</td>\n\
</tr>\n\
<tr>\n\
<td><code>90</code></td>\n\
<td><code>COLOR_SUBSELECTION_HARD</code></td>\n\
<td>Main UI</td>\n\
<td>SubSelection Hard</td>\n\
</tr>\n\
<tr>\n\
<td><code>91</code></td>\n\
<td><code>COLOR_SUBSELECTION_MEDIUM</code></td>\n\
<td>Main UI</td>\n\
<td>SubSelection Medium</td>\n\
</tr>\n\
<tr>\n\
<td><code>92</code></td>\n\
<td><code>COLOR_SUBSELECTION_SOFT</code></td>\n\
<td>Main UI</td>\n\
<td>SubSelection Soft</td>\n\
</tr>\n\
<tr>\n\
<td><code>93</code></td>\n\
<td><code>COLOR_SV_UNFOLD_BUTTON</code></td>\n\
<td>Other Views</td>\n\
<td>SV Unfold Children Button</td>\n\
</tr>\n\
<tr>\n\
<td><code>94</code></td>\n\
<td><code>COLOR_SV_GEOMOBJECT_BK</code></td>\n\
<td>Other Views</td>\n\
<td>SV Geometry Node Bkg</td>\n\
</tr>\n\
<tr>\n\
<td><code>95</code></td>\n\
<td><code>COLOR_SV_LIGHT_BK</code></td>\n\
<td>Other Views</td>\n\
<td>SV Light Node Bkg</td>\n\
</tr>\n\
<tr>\n\
<td><code>96</code></td>\n\
<td><code>COLOR_SV_CAMERA_BK</code></td>\n\
<td>Other Views</td>\n\
<td>SV Camera Node Bkg</td>\n\
</tr>\n\
<tr>\n\
<td><code>97</code></td>\n\
<td><code>COLOR_SV_SHAPE_BK</code></td>\n\
<td>Other Views</td>\n\
<td>SV Shape Node Bkg</td>\n\
</tr>\n\
<tr>\n\
<td><code>98</code></td>\n\
<td><code>COLOR_SV_HELPER_BK</code></td>\n\
<td>Other Views</td>\n\
<td>SV Helper Node Bkg</td>\n\
</tr>\n\
<tr>\n\
<td><code>99</code></td>\n\
<td><code>COLOR_SV_SYSTEM_BK</code></td>\n\
<td>Other Views</td>\n\
<td>SV System Node Bkg</td>\n\
</tr>\n\
<tr>\n\
<td><code>100</code></td>\n\
<td><code>COLOR_SV_CONTROLLER_BK</code></td>\n\
<td>Other Views</td>\n\
<td>SV Controller Node Bkg</td>\n\
</tr>\n\
<tr>\n\
<td><code>101</code></td>\n\
<td><code>COLOR_SV_MODIFIER_BK</code></td>\n\
<td>Other Views</td>\n\
<td>SV Modifier Node Bkg</td>\n\
</tr>\n\
<tr>\n\
<td><code>102</code></td>\n\
<td><code>COLOR_SV_MATERIAL_BK</code></td>\n\
<td>Other Views</td>\n\
<td>SV Material Node Bkg</td>\n\
</tr>\n\
<tr>\n\
<td><code>103</code></td>\n\
<td><code>COLOR_SV_MAP_BK</code></td>\n\
<td>Other Views</td>\n\
<td>SV Map Node Bkg</td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interacting-with-the-3ds-Max.html\">Interacting with the 3ds Max User Interface</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";