var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C4C8A747-B35A-4D1F-A696-F552307FE1D0\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Command Line Rendering</h1></div><p>Command line rendering in <strong>3ds Max 6</strong> and higher also allows MAXScript execution - so-called pre-render scripts can be executed before the rendering starts. Below are the supported command line options, including the one related to MAXScript.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  As of <strong>3ds Max 2016</strong>, output sent to STDOUT by scripts and rendering plug-ins is in UTF-16. You must run the command shell with the <strong>/u</strong> option to support Unicode output, or output text will appear garbled.</div>\n\
<p><strong>Command Line Options</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-? </code></pre><p>Displays a short help listing the options</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">@command_file </code></pre><p>Command line options in a file. That is, you can list all the options you want in a text file, one per line and pass the file as the command line argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-c:camera_name </code></pre><p>Define camera to render</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-f:frames </code></pre><p>Frame list &quot;1,10,30-100&quot; or &quot;all&quot;</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-g </code></pre><p>Generate job description file (XML). You can use this option to create a job description file from scratch (in order to edit and resubmit it). The tool will parse the scene file, accept whatever other command line option you&apos;ve given and create a proper job description file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-h:height </code></pre><p>New output height</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-j:job_file </code></pre><p>Use job description file. You would use this to pass an exiting job description file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-n:job_name </code></pre><p>New job name. Used to rename a job. This is only an issue when submitting a scene to the network. The job description file and the scene file must be the name of the scene. As there cannot be two jobs with a same name, you use this to rename it prior to submitting it to the network.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-k:network_mask </code></pre><p>Defines a network mask other than 255.255.255.0. Only an issue when submitting a scene to the network. If you don&apos;t know what this is, you don&apos;t need it. If you need it and you don&apos;t know it, this is one of those occasions you must (no matter how much I hate those messages) talk to your network administrator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-o:output_file </code></pre><p>New output file. Defines a new path and name for the output image file max will be rendering to.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>You cannot change the file type (i.e. from Jpeg to AVI) as there is no way to set these from outside max. If you try giving a different extension the tool will simply ignore it and use the original one.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-p:port </code></pre><p>Manager port (for submission). Only an issue when submitting a scene to the network. If you don&apos;t know what this is, you don&apos;t need it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-r </code></pre><p>Render (not to be used with -s). This is the default (if no option is given). It exists because if you use the -g option, the scene won&apos;t render unless you have this option. That is, this is the default unless you specify -g.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-s[:manager_name] </code></pre><p>Submit to job to network queue (and optionally providing a manager&apos;s name or IP address). It cannot be used with -r.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-t:script_file </code></pre><p>Attaches a pre-render MAXScript. Use this option to attach a MAXScript to the scene. If used, the script will be executed prior to the renderer starting. Note that you can use this for both local render (-r) and network render (-s). If submitting to the network, the script will be archived along with the scene and sent to all servers participating. The script can be any MAXScript without UI access.</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>Warning:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Care should be taken in order to avoid calling any UI functions - they will not work and may cause servers to get stuck!</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-v:level </code></pre><p>Verbose level (0 - 5). How much you want the tool to tell you what it is doing. A value of 0 will give you absolutely nothing. A value of 1 will only show errors. A value of 2 will give you errors and some progress information. Values 3, 4, and 5 will give you progressively more information.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-w:width </code></pre><p>New output width.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-x </code></pre><p>Show examples. Use this option to see some examples for the above options.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Command-Line-Rendering.html\">Command Line Rendering</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";