var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BAC3CC23-9D1D-44CE-B4AF-C0CEBDD7099E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Modify Panel</h1></div><p>The following methods and system globals are associated with the Modify panel:</p>\n\
<p><img src=\"./images/GUID-A6F0E912-5005-4105-B7DF-B3716FB40633-low.gif\" alt></p>\n\
<p><a name=\"pin-stack-button\"></a> </p>\n\
<h3 id=\"pin-stack-button\">Pin Stack Button</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">modpanel.getPinStack()</code></pre><p>Returns <code>true</code> if the Pin Stack button is pressed, <code>false</code> if not pressed or not in Modify panel.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">modpanel.isPinStackEnabled() </code></pre><p>Returns <code>true</code> if the Pin Stack button is enabled, <code>false</code> if not enabled or not in Modify panel.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">modpanel.setPinStack &lt;bool        &gt; </code></pre><p>Sets the Pin Stack button to the specified state as long as the Pin Stack button is enabled.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<h3 id=\"show-end-result-button\">Show End Result Button</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">enableShowEndRes &lt;boolean&gt;   </code></pre><p>This method sets the checkbutton/button behavior of the Show End Result icon.</p>\n\
<p>If the boolean parameter is <code>true</code> , the Show End Result button remains pressed, thus behaving as a checkbutton.</p>\n\
<p>If the boolean parameter is <code>false</code> , the Show End Result button will return to the off state after being pressed, behaving as a button.</p>\n\
<p>This method must be used in <code>true</code> / <code>false</code> pairs, as its effect is &quot;sticky&quot; when selecting other objects or modifiers, or when switching away from and back to the Modify panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showEndResult </code></pre><p>A <strong>3ds Max</strong> <a href=\"./../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">system global variable</a> that lets you get and set the state of the Show End Result Toggle icon in the Modify panel. It contains a Boolean value of <code>true</code> if Show End Result is on, and <code>false</code> if it is off.</p>\n\
<h3 id=\"sub-object-selection\">Sub-Object Selection</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">enableSubObjSel &lt;boolean&gt; </code></pre><p>If the boolean parameter is <code>true</code> , allows the user to enter Sub-Object mode for those objects/modifiers that have Sub-Object modes defined. If <code>false</code> , the Sub-Object button is disabled. This method must be used in <code>true</code> / <code>false</code> pairs, as its effect is &quot;sticky&quot; when selecting other objects or modifiers, or when switching away from and back to the Modify panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IsSubSelEnabled() </code></pre><p>Returns <code>true</code> if the user is allowed to enter Sub-Object mode, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">numSubObjectLevels </code></pre><p>A read-only <strong>3ds Max</strong> <a href=\"./../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">system global variable</a> that lets you get the number of sub-object levels supported by the object or modifier currently selected in the modifier stack.</p>\n\
<p>If the Modify panel is not open or no objects are selected, the global variable contains the value <code>undefined</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">subObjectLevel </code></pre><p>A <strong>3ds Max</strong> <a href=\"./../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">system global variable</a> that lets you get and set the sub-object level in the Modify panel if it is open.</p>\n\
<p>The value is an Integer of zero or greater up to the number of sub-object levels supported by the currently open modifier, typically in the order shown in the Sub-Object drop-down list.</p>\n\
<p>A <code>subObjectLevel</code> of 0 means sub-object mode is off.</p>\n\
<p>If the Modify panel is not open or sub-object level setting not permitted in the current modifier, the global variable contains the value <code>undefined</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b=box() -- create a box\n\
   em=edit_mesh() -- create an Edit Mesh modifier\n\
   addModifier $box001 em -- add edit mesh mod\n\
   print subObjectLevel -- print the current subobject level\n\
   max modify mode -- open mod panel\n\
   select $box001 -- select object box001\n\
   print subObjectLevel -- print the current subobject level\n\
   subObjectLevel = 2 -- set sub-object level to Edge\n\
</code></pre><p>   <strong>OUTPUT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $Box:Box001 @ [0.000000,0.000000,0.000000]\n\
   Edit_Mesh:Edit Mesh\n\
   OK\n\
   undefined\n\
   undefined\n\
   OK\n\
   OK\n\
   0\n\
   0\n\
   2\n\
</code></pre></blockquote>\n\
<p><strong>The following methods can also be used to get and set the sub-object level:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getSelectionLevel &lt;maxobject&gt; </code></pre><p>Get the subObject level of MAXObject. If MAXObject is a node, this method operates on the base object. This method is applicable to base editables, and select and edit modifiers.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This method does <strong>not</strong> work with the SplineSelect and PatchSelect modifiers.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setSelectionLevel &lt;maxobject&gt; {#object | #vertex | #edge | #face} </code></pre><p>Set the subObject level of MAXObject. If MAXObject is a node, this method operates on the base object. This method is applicable to base editables and select and edit modifiers.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This method does <strong>not</strong> work with the SplineSelect and PatchSelect modifiers.</div>\n\
<h3 id=\"add-modifier-to-selection\">Add Modifier To Selection</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">modPanel.addModToSelection &lt;modifier&gt; </code></pre><p>Applies a modifier to the current selection opened in the Modify panel.</p>\n\
<p>It must be used in place of <code>addModifier()</code> in places where the target is a selection or group or where you have the stack open at a particular place in the Modify panel with a sub-object selection active and you want the modifier applied to that selection.</p>\n\
<p><code>addModifier()</code> adds the modifier separately to each object in the selection or group and does not honor the current active sub-object selection in all cases. See <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Modifier-Stack-Related-Methods.html\">Node Common Properties - Modifier Stack Related Methods</a> for more.</p>\n\
<p>The Modify panel must be open on the selection you want to apply the modifier to, otherwise the function does nothing.</p>\n\
<h3 id=\"accessing-modifier-panel-objects\">Accessing Modifier Panel Objects</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">modPanel.getCurrentObject() </code></pre><p>Returns the modifier or base object currently selected in the Modify panel stack.</p>\n\
<p>If the Modify panel is not open, this function returns <code>undefined</code> . Use the <code>max modify mode</code> command to switch to the Modify panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">modPanel.setCurrentObject &lt; modifier | node | node_baseobject &gt; [node:&lt;node&gt;] [ui:&lt;boolean&gt;] </code></pre><p>Sets the specified object to be the active object in the modifier stack. The Modify panel must be open, otherwise the function does nothing.</p>\n\
<p>If <code>node</code> : is specified, the modifier or base object will be searched only in the specified node. This is typically specified when you know what node to look in, and the modifier or base object is instanced in another node. If the argument is a node, the node keyword argument defaults to that node.</p>\n\
<p>If <code>ui</code> : is set to <code>true</code> , the Command Panel will be switched to Modify mode. The default is <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">modPanel.getModifierIndex &lt;node&gt; &lt;modifier&gt; </code></pre><p>Returns the index of the given modifier in the modifier stack for the given node.</p>\n\
<p>This index corresponds to the modifiers position in the <code>&lt;node&gt;.modifiers</code> array.</p>\n\
<p>This function returns <code>undefined</code> if the given modifier is not in the node&apos;s modifier stack.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">modPanel.validModifier (&lt; modifier &gt; | &lt; modifier_class &gt;). </code></pre><p>Returns <code>true</code> if Modify panel is open, one or more nodes are selected, and the specified modifier is applicable to all the nodes at their current edit level in the stack.</p>\n\
<p>In <strong>3ds Max 6 and higher</strong>, the <code>modPanel.validModifier</code> method will return <code>false</code> if either the node/node collection or modifier/modifier class is &apos;undefined&apos;, or the node collection is empty.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   modPanel.addModToSelection (bend()) -- apply bend modifier to current selection\n\
   modPanel.getModifierIndex $ foo -- returns index of modifier foo\n\
   modPanel.setCurrentObject $ -- open on base object\n\
   modPanel.setCurrentObject $.baseObject -- same as above\n\
   modPanel.setCurrentObject $.taper -- open on taper modifier in object\n\
   modPanel.setCurrentObject $.modifiers[3] -- open on 3rd modifier\n\
   modPanel.setCurrentObject foo -- open on foo object or modifier\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Command-Panels.html\">Command Panels</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Command-Panels-1.html\">Command Panels</a></li>\n\
          <li><a class=\"link\" href=\"Create-Panel.html\">Create Panel</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">3ds Max System Globals</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";