var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-97C887B6-CE4D-46EB-AB10-BE3A9DC2F69A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Adding Selection and Display Filters</h1></div><p>In the Selection filters/Combos filter, you can add <code>class id</code> filters in addition to registering superclassid filters. The bottom left list box displays a list of all helper and geometry class ids. To add a filter, select an entry from the list and hit the add button below the list box. The filter will appear in the lower right list box. This list displays all of the current class id filters. Once OK is pressed, the select filter drop down contains those class ids that were added.</p>\n\
<p>You can also register custom scripted functions as filters through a callback in MAXScript:</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registerSelectFilterCallback &lt;filterFunction&gt; &lt;name&gt;</code></pre><p>Registers a custom selection filter. The two parameters are the filter function to be registered and the name of the filter to appear in the selection filter drop down list.</p>\n\
<p>The filter function itself expects one parameter which is the node to be checked.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<p>   If you want to filter only objects that are renderable (in other words have their node-level Renderable property set to true / Renderable box checked in Properties dialog), you can register the following function:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn filterRenderableCallback node = --the node to be filtered is passed as argument\n\
   (\n\
   node.renderable --return true if the node is renderable\n\
   )\n\
   --Register the function as Select filter Callback function\n\
   --The filter will appear under the name &quot;Renderable&quot;:\n\
   registerSelectFilterCallback filterRenderableCallback &quot;Renderable&quot;\n\
   --To see how it works, execute the code below to generate 10 boxes\n\
   --with random .renderable state\n\
   for i = 1 to 10 do\n\
   b = box pos:[i*30,0,0] renderable:((random 0.0 1.0) &lt; 0.5 )\n\
   --Now select the filter &quot;Renderable&quot; from the drop-down list and try\n\
   --to select all 10 boxes - only those that are renderable will\n\
   --be selected!\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">unregisterSelectFilterCallback ( &lt;filterFunction&gt; | undefined )</code></pre><p>Removes the specified callback function from the list of selection filters.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   unregisterSelectFilterCallback filterRenderableCallback\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; selectFilterCallbacksEnabled()</code></pre><p>Returns whether selection filter callbacks are enabled.\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; enableSelectFilterCallbacks()\n\
&lt;boolean&gt; disableSelectFilterCallbacks()</code></pre><p>Enables or disables selection filter callbacks. These functions return the current callbacks enabled state. So, for example, calling <code>disableSelectFilterCallbacks()</code> when callbacks are already disabled will return <strong>false</strong>.\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showregisteredSelectFilterCallbacks [to:stream] [asArray:&lt;boolean&gt;]</code></pre><p>Returns a list of registered selection filter callbacks, listing the function name, source file (if applicable) and line number in the source file where the function is defined. If the optional <strong>to</strong> argument is specified, the output is sent to that output stream. If the optional <strong>asArray</strong> argument is specified, the return value is formatted as an array of arrays, where for each registered callback function the first element is the callback function name, the second element is the source file name and line number where the callback function is defined (or an empty string if the function was not defined in a file), and the third element is the actual function value which can be used to de-register the callback.\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong></p>\n\
<h2 id=\"display-filters\">Display Filters</h2><p>Display filters are used to show or hide nodes, and are accessed on the Hide by Category panel of the Display Tab in the command panel. New display filters can be added here, or through MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registerDisplayFilterCallback &lt;filterFunction&gt; &lt;name&gt;</code></pre><p>Registers a custom display filter. The two parameters are the filter function to be registered and the name of the filter to appear in the list of available categories.</p>\n\
<p>The filter function itself expects one parameter which is the node to be checked.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<p>   If you want to filter only objects that with a name that starts with &quot;B&quot;:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn filterBCallback node = (node.name[1] == &quot;B&quot;)\n\
\n\
   registerDisplayFilterCallback filterBCallback &quot;OnlyB!&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">unregisterDisplayFilterCallback &lt;filterFunction&gt;</code></pre><p>Removes the specified callback function from the list of display filters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; displayFilterCallbacksEnabled()</code></pre><p>Returns whether display filter callbacks are enabled.\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; enableDisplayFilterCallbacks()\n\
&lt;boolean&gt; disableDisplayFilterCallbacks()</code></pre><p>Enables or disables display filter callbacks. These functions return the current callbacks enabled state. So, for example, calling <code>disableDisplayFilterCallbacks()</code> when callbacks are already disabled will return <strong>false</strong>.\n\
 <strong>Available in 3ds Max 2021.1 Update and higher.</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showregisteredDisplayFilterCallbacks [to:stream] [asArray:&lt;boolean&gt;]</code></pre><p>Returns a list of registered display filter callbacks, listing the function name, source file (if applicable) and line number in the source file where the function is defined. If the optional <strong>to</strong> argument is specified, the output is sent to that output stream. If the optional <strong>asArray</strong> argument is specified, the return value is formatted as an array of arrays, where for each registered callback function the first element is the callback function name, the second element is the source file name and line number where the callback function is defined (or an empty string if the function was not defined in a file), and the third element is the actual function value which can be used to de-register the callback.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Filters.html\">Filters</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Selection-Filter.html\">Selection Filter</a></li>\n\
          <li><a class=\"link\" href=\"../Main-Toolbar/Main-Toolbar-1.html\">Main Toolbar</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";