var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3DC75DDE-E4BC-4033-ABA9-A42063036CB9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Macro Scripts</h1></div><p>The Macro Script functions are in a structure package named macros.</p>\n\
<p>These functions allow you to access and run Macro Scripts.</p>\n\
<p>See <a href=\"./../../Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a> for information on creating Macro Scripts.</p>\n\
<p>The Macro Script functions are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macros.load [ &lt;path_name_string&gt; ]      </code></pre><p>Loads all of the Macro Script definition (.mcr) files in the current UI directory path, or in directory path specified by <code>&lt;path_name_string&gt;</code> .</p>\n\
<p>You can get the current UI directory path using the function:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">local ui_dir = cui.getDir()</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macros.new &lt;category_string&gt; &lt;name_string&gt; &lt;toolTip_string&gt; &lt;buttonText_string&gt; &lt;body_string&gt;</code></pre><p>Creates a new Macro Script with the specified name and category.</p>\n\
<p>Returns an Integer Macro Script ID value that uniquely identifies the new Macro Script.</p>\n\
<p>See <a href=\"./../../Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a> for a description of Macro Script definitions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macros.run &lt;category_string&gt; &lt;name_string&gt;   </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macros.run &lt;macro_id_integer&gt; </code></pre><p>Executes the specified Macro Script. The Macro Script is identified by either its category and name, or by its unique Macro Script ID value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macros.edit &lt;category_string&gt; &lt;name_string&gt; macros.edit &lt;macro_id_integer&gt; </code></pre><p>These methods will open the Macro Script definition (.mcr) file that defines the specified Macro Script in a script Editor window.</p>\n\
<p>The Macro Script is identified by either its category and name, or by its unique Macro Script ID value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">macros.list() </code></pre><p>Lists all installed macro scripts and related data, in this order:</p>\n\
<ul>\n\
<li>ID</li>\n\
<li>name</li>\n\
<li>category</li>\n\
<li>internal category - this is the non-localized (English) category</li>\n\
<li>macro source filename</li>\n\
<li>macro button icon image filename</li>\n\
<li>button icon index</li>\n\
</ul>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macros.load &quot;f:/gametools/macros&quot;\n\
   macros.edit &quot;objects&quot; &quot;box&quot;\n\
   macros.run 132\n\
   macros.run &quot;modifiers&quot; &quot;bend&quot;\n\
\n\
   -- Save all installed macros to a stringStream:\n\
   myStringStream = stringStream &quot;&quot;\n\
   macros.list to:myStringStream\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Macro-Scripts.html\">Macro Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";