var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0A4CD125-5CA0-42DA-B2D6-B8FDF511CCE8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>mouseTrack() Function</h1></div><p>The mouseTrack function lets you register a MAXScript function to track the mouse. While the tracking is going on, this function is called whenever a mouse action occurs, such as a button click or a drag, etc.</p>\n\
<p>The function has the form:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mouseTrack [on:&lt;node&gt;] [prompt:&lt;message_string&gt;] [snap:#2D|#3D] [trackCallback:fn|#(fn,arg)]</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on:&lt;node&gt;   </code></pre><p>Optionally specifies a scene object to track on. If you don&apos;t supply an object, the mouse tracks on the current active grid. Note that the object surface tracker uses the SDK function IntersectRay() which is not reliably implemented on all object types. Editable meshes always work OK, so you can convertToMesh() if needed.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> If this parameter is <em>not</em> supplied, and the construction plane is orthogonal to the viewport view, only right-click mouse clicks are processed, all other mouse clicks are ignored.  </p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">prompt:&lt;message_string&gt;   </code></pre><p>Displays the prompt message in the MAX status line</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snap:#2D|#3D </code></pre><p>Relevant when not tracking on an object surface (no <code>on</code> :<node> specified). If snap mode is on and <code>#2D</code> is supplied, snaps to snap points on grid, if <code>#3D</code> is specified snaps to any near snap point in space.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackCallback:fn|#(fn,arg) </code></pre><p>Is where you specify the function to be called as the mouse is dragged over the active grid or object surface. You can specify it is a single function or a function and an argument value in a two element array. The latter form is useful if you have a common callback function for many tasks and want to send in a parameter to control its operation for a particular use. The function you give must be of the following form:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn callback_fn msg ir obj faceNum shift ctrl alt = ... </code></pre><p>in other words, a scripted function with 7 arguments. While the tracking is going on, it is called whenever a mouse action occurs, such as a button click or a drag, etc.</p>\n\
<p>The <code>&apos;msg&apos;</code> argument is a message code that indicates what kind of action occurred, and can be one of:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#freeMove - means the mouse is moved without a button being pressed \n\
#mousePoint - means the left mouse button has just been pressed \n\
#mouseMove - means the mouse is being dragged with the left button down \n\
#mouseAbort - means the right mouse button was clicked, normally meaning cancel </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&apos;ir&apos; </code></pre><p>The grid or surface intersection normal Ray at the current mouse position. The ray has a <code>.pos</code> property giving the point in space of the normal and a .dir property giving the normal&apos;s direction vector.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&apos;obj&apos; </code></pre><p>The object being dragged over or undefined if no on:<node> was supplied.</node></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&apos;faceNum&apos; </code></pre><p>The number of the face the mouse is over if the object being tracked is an editable mesh, undefined otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&apos;shift&apos;, &apos;ctrl&apos; and &apos;alt&apos; </code></pre><p>True or false depending on the down or up state of the Shift, Ctrl and Alt keys on the keyboard.</p>\n\
<p>The function should return the special value <code>#continue</code> to continue tracking or any other value to halt tracking. That value then becomes the result of the original <code>mouseTrack()</code> call.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MouseTrack.html\">MouseTrack</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls.html\">Rollout User-Interface Controls</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";