var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2F2F1393-AB2C-45B9-B7D0-AB452115EDC9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Parameter Wiring</h1></div><p>The Parameter Wire manager is described in the core interface &apos;paramWire&apos;.</p>\n\
<p>Generally, a wire controller can be wired to any number of other wire controllers in two-way relationships. Each wire has a set of information that defines it, accessible using the indexed accessor functions.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<p>   The following will demonstrate a way to query a wire controller and determine what parameters it is referencing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b=box isSelected:true\n\
   wc = $.pos.controller.x_position.controller -- get pos X controller\n\
   if classOf wc == Float_Wire do\n\
   (-- list out its connections\n\
   for i in 1 to wc.numWires do\n\
   (\n\
   parent = wc.getWireParent i\n\
   parent_owner = (refs.dependents parent)[1]\n\
   param_name = getSubAnimName parent (wc.getWireSubnum i)\n\
   format &quot;wire %: % in %\\n&quot; i param_name parent_owner\n\
   )\n\
   )\n\
</code></pre></blockquote>\n\
<p>Additionally, you can use the subAnim indexing operator as a way to scan down through an object for wire controllers.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for i in 1 to $foo.numSubs do\n\
   if classOf $foo[i].controller == ...\n\
</code></pre></blockquote>\n\
<p>Also, you might find the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\">exprForMAXObject()</a> method useful here to get a MAXScript expression for the parent or parent owner.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Parameter-Wiring.html\">Parameter Wiring</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-paramWire.html\">Interface: paramWire</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Float-Controllers/Float_Wire-FloatController.html\">Float_Wire : FloatController</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Point3-Controllers/Point3_Wire-Point3Controller.html\">Point3_Wire : Point3Controller</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Position-Controllers/Position_Wire-PositionController.html\">Position_Wire : PositionController</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Rotation-Controllers/Rotation_Wire-RotationController.html\">Rotation_Wire : RotationController</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Scale-Controllers/Scale_Wire-ScaleController.html\">Scale_Wire : ScaleController</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";