var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CB0EBFC3-9360-445B-BCD4-5F5B2031579F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Picking Scene Nodes By Hit</h1></div><h2 id=\"picking-scene-nodes\">Picking Scene Nodes</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pickObject [    message:&lt;string&gt; ] [    prompt:&lt;string&gt; ] \\ \n\
[    count:n|#multiple ] [    filter:fn ] \\ \n\
[    select:&lt;boolean&gt; ] [    pickFrozen:&lt;boolean&gt; ] \\ \n\
[    rubberBand:&lt;point3&gt;] [    rubberBandColor:&lt;color&gt; ] \\ \n\
[    forceListenerFocus:&lt;boolean&gt; ]      </code></pre><p>The <code>pickObject()</code> function lets the user pick one or more scene objects in the <strong>3ds Max</strong> viewports. It takes several optional keyword arguments. The <code>message:</code> argument takes a string value which is displayed in the status bar prompt line. The <code>prompt:</code> argument takes a string value which is displayed in the Listener window. The <code>count:</code> argument takes either a positive integer or the symbol <code>#multiple</code> to specify how many objects are to be picked (default is 1). If the count specified is greater than 1 or the value <code>#multiple</code> , an array is returned containing the picked objects. The symbol <code>#multiple</code> indicates that any number of objects can be selected and the user terminates the selection with a right mouse click or, if the Listener window has focus, <strong>any</strong> character key of the keyboard. If the ESC key is pressed while the Listener windows has focus, an <code>#escape</code> value will be returned. If the ESC key is pressed while a viewport has focus, selection is terminated and the selection result is returned.</p>\n\
<p>If <code>#multiple</code> was specified, and no objects had been selected when the selection was terminated, an empty array is returned. If <code>#multiple</code> was not specified, and an object had not been selected when the selection was terminated, a value of <code>undefined</code> is returned.</p>\n\
<p>The <code>filter:</code> function takes a MAXScript function of one argument that is called whenever the cursor is over an object in the scene and is passed that object under the cursor. It returns <code>true</code> if the object is eligible for picking, or <code>false</code> if not. Typically, the function would contain some object class testing,</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn shapeFilt o = (superClassOf o == Shape)\n\
   -- which you could use like this:\n\
   pickObject prompt:&quot;enter a shape&quot; filter:shapeFilt\n\
</code></pre></blockquote>\n\
<p>The optional keyword argument <code>select:</code> controls whether the picked objects become the new current selection in the <strong>3ds Max</strong> scene. If you supply <code>true</code> for that argument, the current selection is replaced with the objects that you pick. The default is <code>false</code> in which case the picker doesn&apos;t affect the selection set.</p>\n\
<p>If the <code>pickFrozen:</code> keyword argument is set to <code>false</code> (the default), frozen nodes cannot be picked. If set to <code>true</code> , only frozen nodes can be picked.</p>\n\
<p>The two optional keyword arguments <code>rubberBand:</code> and <code>rubberBandColor:</code> control the display of a rubber-banding line in the viewport during pick operations.</p>\n\
<p>If <code>rubberBand:</code> is supplied on the <code>pickObject()</code> call, it enables rubberbanding, with the given <code>&lt;point3&gt;</code> as world-space coordinates for the start point of the rubber band. You can use the <code>rubberBandColor:</code> argument to override the default line color of gray (color 128 128 128).</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   obj2 = pickObject rubberBand:obj1.pos rubberBandColor:yellow \n\
</code></pre></blockquote>\n\
<p>The optional keyword argument <code>forceListenerFocus:</code> controls Listener focus forcing. It defaults to <code>true</code> to retain existing semantics and backward compatibility.</p>\n\
<p>When picking multiple nodes and selecting by name by using the &apos;H&apos; key, you need to supply <code>forceListenerFocus:false</code> to get the &apos;H&apos; key to work consistently. If this is not specified, focus is forced back to the Listener after each pick:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   pickObject count:#multiple forceListenerFocus:false\n\
</code></pre></blockquote>\n\
<p>Be aware that the array returned can contain the same node multiple times.</p>\n\
<p><code>pickObject()</code> will exit if you switch command modes to a non-viewport command mode. For example, if you run <code>pickObject()</code> and then click Select and Move, <code>pickObject</code> will exit with its current results. If instead you went into pan or zoom, <code>pickObject()</code> doesn&apos;t exit, but waits for its command mode to be re-entered. If you go from a viewport command mode to another command mode, <code>pickObject()</code> will exit.</p>\n\
<h2 id=\"picking-animatables\">Picking Animatables</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;animatable&gt;pickAnimatable [message:&lt;string&gt;] [prompt:&lt;string&gt;] \\\n\
[count:n|#multiple] [filter:fn] [pickFrozen:&lt;boolean&gt;] \\\n\
[rubberBand:&lt;point3&gt;] [forceListenerFocus:&lt;boolean&gt;] </code></pre><p>Lets you pick an Animatable from any area of the <strong>3ds Max</strong> User Interface.</p>\n\
<p>The only difference to the <code>pickObject()</code> function documented earlier on this page is that there is no support for the <code>select:</code> parameter - selection does not really apply to non-nodes.</p>\n\
<p>For the description of the other optional keyword arguments, please see the beginning of this page.</p>\n\
<p>Clicking in a 3D viewport will return scene nodes.</p>\n\
<p>Clicking in an Explorer will also return scene nodes.</p>\n\
<p>Clicking in Schematic View will return the animatable that was clicked - scene node, base object, modifier, controller and so on.</p>\n\
<p>Clicking in Track View will return the animatable that was clicked - scene node, modifier, material, map, controller, root node etc.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Picking-Scene-Nodes.html\">Picking Scene Nodes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Viewports/Picking-Points-in-the-Viewports.html\">Picking Points in the Viewports</a></li>\n\
          <li><a class=\"link\" href=\"Picking-Scene-Nodes-by-Name.html\">Picking Scene Nodes by Name</a></li>\n\
          <li><a class=\"link\" href=\"Picking-Scene-Nodes-By-Region.html\">Picking Scene Nodes By Region</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";