var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-927A47B2-9749-4E6A-989A-55EFA06FDFD9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Picking Scene Nodes By Region</h1></div><p>The following methods allow you to pick one or more objects based on their position in the viewports. All coordinates used in these methods are in Windows format with the origin in the upper left. The <code>gw.getWinSizeX()</code> and <code>gw.getWinSizeY()</code> methods can be used to determine the size of the viewport in pixels. The objects to pick are filtered based on the Selection Filter specified in the <strong>3ds Max</strong> main toolbar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">boxPickNode &lt;box2&gt; [ crossing:&lt;boolean&gt; ] [ applyUIScaling:&lt;true&gt; ]</code></pre><p>Returns an array of the nodes within the specified rectangular region. The <code>&lt;box2&gt;</code> value specifies the corner in pixel values within the active viewport. If the <code>crossing:</code> parameter value is <code>true</code> , an object only partially in the region will be picked. If <code>false</code> , the object must be completely within the region to be picked. The default <code>crossing:</code> value is <code>true</code> .</p>\n\
<p>The <code>applyUIScaling</code> parameter indicates whether to apply UI scaling on high-DPI displays.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   boxPickNode (box2 [0,0] [1000,1000])\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">circlePickNode &lt;box2&gt; [ crossing:&lt;boolean&gt;] [ applyUIScaling:&lt;true&gt; ]</code></pre><p>Returns an array of the nodes within the specified circular region. The <code>&lt;box2&gt;</code> value specifies the center of the circle and a point on the circle in pixel values within the active viewport. If the <code>crossing:</code> parameter value is <code>true</code> , an object only partially in the region will be picked. If <code>false</code> , the object must be completely within the region to be picked. The default <code>crossing:</code> value is <code>true</code> . The <code>\\[left, bottom\\]</code> and <code>\\[right, top\\]</code> components of the box2 parameter value correspond to the center and radius points, respectively. The box2 parameter value needs to be set up in a specific manner as shown in the following script:</p>\n\
<p>The <code>applyUIScaling</code> parameter indicates whether to apply UI scaling on high-DPI displays.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   vpCenter = (point2 (gw.getWinSizeX()) (gw.getWinSizeY()))/2\n\
   vpQuarter = point2 (vpCenter.x/2) vpCenter.y\n\
   circleRegion = box2 0 0 0 0 -- initialize circleRegion to a box2 value\n\
   circleRegion.left = vpCenter.x -- the center of the circle\n\
   circleRegion.bottom = vpCenter.y\n\
   circleRegion.right = vpCenter.x/2 -- a point on the circle\n\
   circleRegion.top = vpCenter.y\n\
   for obj in (circlePickNode circleRegion crossing:false) do\n\
   print obj.name\n\
</code></pre></blockquote>\n\
<p>This will print the names of all nodes completely within a circular region, where the center of the circle is the center of the viewport and the point on the circle is located one quarter of the distance from the edge to the center of the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fencePickNode &lt;point2_array&gt; [ crossing:&lt;boolean&gt;] [ applyUIScaling:&lt;true&gt; ]</code></pre><p>Returns an array of the nodes within the specified fenced region. The fenced area is defined by the array of point2 values. The default <code>crossing:</code> value is <code>true</code> .</p>\n\
<p>The <code>applyUIScaling</code> parameter indicates whether to apply UI scaling on high-DPI displays.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Picking-Scene-Nodes.html\">Picking Scene Nodes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Picking-Scene-Nodes-by-Name.html\">Picking Scene Nodes by Name</a></li>\n\
          <li><a class=\"link\" href=\"Picking-Scene-Nodes-By-Hit.html\">Picking Scene Nodes By Hit</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";