var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-30AF1E53-5A69-402D-84D6-4D6ECCDD6D20\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Render Setup Dialog</h1></div><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Changing the Render Setup dialog settings via MAXScript should be done <strong>with the actual render setup dialog in a closed state</strong>.</p>\n\
<p>Leaving the dialog open will make the attempted MAXScript modifications non-sticky.</p>\n\
<h2 id=\"render-setup-dialog-gt-common-tab-\">Render Setup Dialog &gt; Common Tab:</h2><p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#time-output-group-\">Time Output Group:</a></li>\n\
<li><a href=\"#area-to-render\">Area To Render</a></li>\n\
<li><a href=\"#output-size-group\">Output Size Group</a></li>\n\
<li><a href=\"#options-group\">Options Group</a></li>\n\
<li><a href=\"#advanced-lighting-group\">Advanced Lighting Group</a></li>\n\
<li><a href=\"#bitmap-proxies-group\">Bitmap Proxies Group</a></li>\n\
<li><a href=\"#render-output-group\">Render Output Group</a></li>\n\
<li><a href=\"#scripts\">Scripts</a></li>\n\
<li><a href=\"#render-presets\">Render Presets</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderer </code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>In versions prior to <strong>3ds Max 6</strong>, this global variable was used to switch between the draft and production renderers and test which one is active.</p>\n\
<p>The draft renderer was retired in <strong>3ds Max 6</strong> and this variable now returns only <code>#production</code> for compatibility with older scripts.</p>\n\
<h3 id=\"time-output-group-\">Time Output Group:</h3><p><img src=\"./images/GUID-9CE30764-40EE-4845-9FFA-346C6B52C2D7-low.png\" alt></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Changing the Render Setup dialog settings via MAXScript should be done <strong>with the actual Render Setup dialog in a closed state</strong>.</p>\n\
<p>Leaving the dialog open will make the attempted MAXScript modifications non-sticky.</p>\n\
<p><strong>3ds Max System Global Variables:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendTimeType -- integer      </code></pre><p>Get/set the type of time range to be rendered.</p>\n\
<p>Possible values are:</p>\n\
<p>1 -Single frame.</p>\n\
<p>2 -Active time segment ( <code>animationRange</code> ).</p>\n\
<p>3 -User specified Range.</p>\n\
<p>4 -User specified Frame pickup string (for example &quot;1,3,5-12&quot;). See <code>rendPickupFrames</code> below.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendNThFrame -- integer</code></pre><p>Get/set the Every Nth Frame value. Minimum value is 1. Default is 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendStart -- time   </code></pre><p>Get/set the Start Time value. Used when rendTimeType is set to 3.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendEnd -- time </code></pre><p>Get/set the End Time value. Used when rendTimeType is set to 3.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendFileNumberBase -- integer </code></pre><p>Get/set the File Number Base value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendPickupFrames -- string </code></pre><p>Get/set the Frames string containing the user frames or sequences to render.</p>\n\
<h3 id=\"area-to-render\">Area To Render</h3><p><img src=\"./images/GUID-81695240-C2C5-4844-A446-97AD25190B85-low.png\" alt></p>\n\
<p>The following methods let you get and set the render type:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getRenderType() </code></pre><p>Gets the render type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setRenderType &lt;name&gt; </code></pre><p>Setsthe render type.</p>\n\
<p>The valid name values are:</p>\n\
<p><code>#view | #selected | #region | #crop | #blowUp | #boxselected | #regionselected | #cropselected | #normal | #selection | #regionCrop</code> .</p>\n\
<p><code>#view</code> and <code>#normal</code> are equivalent</p>\n\
<p><code>#selected</code> and <code>#selection</code> are equivalent</p>\n\
<p><code>#crop</code> and <code>#regionCrop</code> are equivalent.</p>\n\
<h3 id=\"output-size-group\">Output Size Group</h3><p><img src=\"./images/GUID-512AC4CD-E501-4036-B306-7E1EA74B6C43-low.png\" alt></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Changing the Render Setup dialog settings via MAXScript should be done <strong>with the actual Render Setup dialog in a closed state</strong>.</p>\n\
<p>Leaving the dialog open will make the attempted MAXScript modifications non-sticky.</p>\n\
<p><strong>3ds Max System Global Variables:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderWidth -- integer </code></pre><p>Lets you get and set an Integer value that defines the output size width for the active renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderHeight -- integer</code></pre><p>Lets you get and set an Integer value that defines the output size height for the active renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderPixelAspect -- float </code></pre><p>Lets you get and set a Float value that defines the output pixel aspect for the active renderer.</p>\n\
<p>Note that the Image Aspect is defined implicitly by the above values, though you can set the Image Aspect Ratio using <strong>rendImageAspectRation</strong> (below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendLockPixelAspectRatio -- boolean</code></pre><p>Gets or sets the lock state of the <strong>Pixel Aspect</strong> setting in the Render Setup dialog box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendImageAspectRatio &lt;float&gt; </code></pre><p>Get or set the Image Aspect Ratio for the current renderer. Setting this value adjusts the <strong>renderHeight</strong> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendLockImageAspectRatio &lt;boolean&gt; </code></pre><p>Gets or sets the lock state of the <strong>Image Aspect</strong> setting in the Render Setup dialog box.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getRendApertureWidth() </code></pre><p>Get the Aperture Width in millimeters for the current renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getRendImageAspect() </code></pre><p>Get the Image Aspect Ratio for the current renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setRendApertureWidth &lt;float&gt; </code></pre><p>Sets the Aperture Width in millimeters for the current renderer.</p>\n\
<h3 id=\"options-group\">Options Group</h3><p><img src=\"./images/GUID-421F4D23-FC33-4116-A19B-E859DB474682-low.png\" alt></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Changing the Render Setup dialog settings via MAXScript should be done <strong>with the actual Render Setup dialog in a closed state</strong>.</p>\n\
<p>Leaving the dialog open will make the attempted MAXScript modifications non-sticky.</p>\n\
<p><strong>3ds Max System Global Variables:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendAtmosphere -- boolean </code></pre><p>Get/set the renderer&apos;s uses atmospheric effects flag. TRUE = on; FALSE = off</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderEffects -- boolean </code></pre><p>Lets you get and set whether to perform Render Effects after a scene render.</p>\n\
<p>A Boolean value - <code>true</code> if Render Effects are to be performed, <code>false</code> if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderDisplacements -- boolean </code></pre><p>Lets you get and set whether to perform displacement mapping during a render.</p>\n\
<p>A Boolean value - <code>true</code> if displacement mapping is to be performed, <code>false</code> if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendColorCheck -- boolean </code></pre><p>Get/set the Video Color Check option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendFieldRender -- boolean </code></pre><p>Get/set the Render To Fields options.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendHidden -- boolean </code></pre><p>Get/set the renderer&apos;s render hidden objects flag. TRUE = on; FALSE = off</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendSimplifyAreaLights -- boolean </code></pre><p>When set to <code>true</code> , area lights will be examined and converted to point light sources when appropriate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendForce2Side -- boolean </code></pre><p>Get/set the renderer&apos;s force two-sided flag. TRUE = on; FALSE = off</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendSuperBlack -- boolean </code></pre><p>Get/set the renderer&apos;s super black flag. TRUE = on; FALSE = off</p>\n\
<p>See also <a href=\"Renderer-Preferences.html\">rendSuperBlackThresh</a></p>\n\
<h3 id=\"advanced-lighting-group\">Advanced Lighting Group</h3><p><img src=\"./images/GUID-A38AFA20-9D42-4560-A099-12768C820DA6-low.png\" alt></p>\n\
<p>These two options are exposed by properties of the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RadiosityPreferences.html\">Interface: RadiosityPreferences</a> :</p>\n\
<p><strong>Properties:</strong></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RadiosityPreferences.html\">RadiosityPreferences.useRadiosity</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RadiosityPreferences.html\">RadiosityPreferences.computeRadiosity</a></p>\n\
<h3 id=\"bitmap-proxies-group\">Bitmap Proxies Group</h3><p><img src=\"./images/GUID-C85ADCEC-324E-40F3-BBEC-89B5A82D227C-low.png\" alt></p>\n\
<p>See <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-BitmapProxyMgr.html\">Interface: BitmapProxyMgr</a> for access to the Bitmap Proxies Manager.</p>\n\
<h3 id=\"render-output-group\">Render Output Group</h3><p><img src=\"./images/GUID-00502DC1-029B-4F57-959A-17FE6978E560-low.png\" alt></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Changing the Render Setup dialog settings via MAXScript should be done <strong>with the actual Render Setup dialog in a closed state</strong>.</p>\n\
<p>Leaving the dialog open will make the attempted MAXScript modifications non-sticky.</p>\n\
<p><strong>3ds Max System Global Variables:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendSaveFile -- boolean </code></pre><p>Get/set the state of the Save File option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendOutputFilename-- string </code></pre><p>Lets you get and set a String value that defines the output file name for the active renderer.</p>\n\
<p>It contains the corresponding value set in the Render Setup dialog.</p>\n\
<p>If this global variable is set to &quot;&quot; then Save File check box in the Render Setup dialog will be unchecked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendUseDevice -- boolean </code></pre><p>Get/set the state of the renderer&apos;s use device flag. TRUE = on; FALSE = off</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendShowVFB -- boolean </code></pre><p>Get/set the state of the renderer&apos;s show virtual frame buffer flag. TRUE = on; FALSE = off</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skipRenderedFrames -- boolean </code></pre><p>Lets you get and set whether to skip rendered frames during a render.</p>\n\
<p>A Boolean Value - <code>true</code> if rendered frames are to be skipped, <code>false</code> if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendUseImgSeq -- boolean </code></pre><p>Gets whether <strong>Save File</strong> is checked, and an output file specified.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendImgSeqType: Integer </code></pre><p>Gets whether <strong>Put Image File List(s) in Output Path(s)</strong> is checked, a file type is selected, and <strong>Create Now</strong> has been clicked. The returned integer is one of:</p>\n\
<ul>\n\
<li>0 - Autodesk ME Image Sequence File (.imsq)</li>\n\
<li>1 - Legacy 3ds max Image File List (.ifl)</li>\n\
</ul>\n\
<p><a name=\"scripts\"></a></p>\n\
<h3 id=\"scripts\">Scripts</h3><p><img src=\"./images/GUID-0FB6F1A6-6C0C-413B-9F7F-E47E5550949A-low.png\" alt></p>\n\
<p><strong>3ds Max System Global Variables:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">usePreRendScript (system BooleanClass) </code></pre><p>Get/set the state of the Pre-Render &gt; Enable checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preRendScript (system String): &quot;&quot; </code></pre><p>Get/set the file name of the Pre-Render script.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">usePostRendScript (system BooleanClass) </code></pre><p>Get/set the state of the Post-Render &gt; Enable checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">postRendScript (system String): &quot;&quot; </code></pre><p>Get/set the file name of the Post-Render script.</p>\n\
<p><a name=\"render-presets\"></a></p>\n\
<h3 id=\"render-presets\">Render Presets</h3><p><img src=\"./images/GUID-0D78A330-A664-4B92-8836-2216A89C759D-low.png\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendViewIndex -- integer </code></pre><p>The index of the viewport to render when the Lock button is pressed ( <code>rendUseActiveView</code> is <code>false</code> )</p>\n\
<p>The index numbers correspond to those used by the &quot;viewport&quot; functions, for example, <code>viewport.activeViewport</code> .</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendUseActiveView -- boolean </code></pre><p>Get/set the Lock button state.</p>\n\
<p>When set to <code>false</code> , the Lock button is pressed and the viewport specified by <code>rendViewIndex</code> will be rendered regardless of which viewport is active.</p>\n\
<p>When set to <code>true</code> , the Lock button is depressed and the active viewport will be rendered, disregarding the selection in the drop-down list.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderPresetMRUList -- array of string arrays </code></pre><p>This property contains a list of render presets, matching the Render Dialog <strong>Preset</strong> dropdown list.</p>\n\
<p>This is an array of items, where each item is an array of two sub-items. The first sub-item is the display name of the render preset, the second item is the filename of the corresponding render preset file.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<p><strong>Target Dropdown</strong> - this UI element is not exposed as a MAXScript function <em>per se</em>, but calls functions that define targets in the MacroScripts\\Macro_RenderButtonActionItems.mcr script.</p>\n\
<p>Also see the <strong>.renderDialogMode</strong>, <strong>.renderButtonText</strong> and <strong>.target</strong> parameters of the <a href=\"Renderers.html\">Renderers</a> global struct, which are set by the target definitions.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Render-Scene-Dialog.html\">Render Scene Dialog</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Pre-Render-Script-Evaluation.html\">Pre-Render Script Evaluation Order Changes in 3ds Max 2008</a></li>\n\
          <li><a class=\"link\" href=\"renderscenedialog.html\">renderscenedialog</a></li>\n\
          <li><a class=\"link\" href=\"ScanlineRender-Struct.html\">ScanlineRender Struct</a></li>\n\
          <li><a class=\"link\" href=\"Renderer-Preferences.html\">Renderer Preferences</a></li>\n\
          <li><a class=\"link\" href=\"Controlling-the-Renderer.html\">Controlling the Renderer</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";