var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8B03C8F0-3373-48D9-8E51-B63A9295F1F8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ScanlineRender Struct</h1></div><p>The following <strong>3ds Max</strong> system global variables are specific to <strong>3ds Max</strong>&#x2019;s default scanline A-Buffer renderer. These variables return <code>undefined</code> if the current renderer is not <strong>3ds Max</strong>&#x2019;s default scanline renderer.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#options\">Options</a></li>\n\
<li><a href=\"#antialiasing\">Antialiasing</a></li>\n\
<li><a href=\"#global-supersampling\">Global SuperSampling</a></li>\n\
<li><a href=\"#object-motion-blur\">Object Motion Blur</a></li>\n\
<li><a href=\"#image-motion-blur\">Image Motion Blur</a></li>\n\
<li><a href=\"#color-range-limiting\">Color Range Limiting</a></li>\n\
<li><a href=\"#memory-management\">Memory Management</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<h2 id=\"options\">Options</h2><p><img src=\"./images/GUID-B2DC66DE-7037-4085-9EC5-083AD79E8B32-low.png\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.mapping </code></pre><p>Get/set the state of the Mapping checkbox. When set to false, no mapping will be calculated by the Default Scanline Renderer. Default is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.shadows </code></pre><p>Get/set the state of the Shadows checkbox. When set to false, no shadows will be calculated by the Default Scanline Renderer. Default is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.enableSSE </code></pre><p>Get/set the state of the Enable SSE checkbox. When set to true, SIMD Streaming Extensions technology (SSE) will be used by the Default Scanline Renderer. Default is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.autoReflect </code></pre><p>Get/set the state of the Auto-Reflect/Refract and Mirrors checkbox. When set to false, no reflections and refractions will be calculated by the Default Scanline Renderer for Reflect, Refract and Flat Mirror maps. Default is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.forceWireframe </code></pre><p>Get/set the state of the Force Wireframe checkbox. When set to true, all face edges will be rendered as wireframes by the Default Scanline Renderer. Default is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.wireThickness </code></pre><p>Get/set the value of the Wire Thickness spinner in pixels.</p>\n\
<h2 id=\"antialiasing\">Antialiasing</h2><p><img src=\"./images/GUID-327398E2-A379-4DE2-9B3F-82C18F333482-low.png\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.antiAliasing </code></pre><p>Get/set the state of the Antialiasing checkbox. When set to false, no antialiasing will be performed. Default is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.filterMaps </code></pre><p>Get/set the state of the Filter Map checkbox. When set to false, texture maps will not be filtered. Default is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.antiAliasFilter </code></pre><p>Lets you get and set the anti-aliasing filter.</p>\n\
<p>For a list of all of the anti-aliasing filters you can say:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   showClass&quot;*:filter*&quot;\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   scanlineRender.antiAliasFilter = quadratic()\n\
</code></pre></blockquote>\n\
<p>The anti-aliasing filters and their parameters are described in <a href=\"3ds-Max-Scanline-A-Buffer.html\">3ds MaxDefault Scanline Renderer Anti-Aliasing Filters</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.antiAliasFilterSize </code></pre><p>Get/set the antialiasing filter size as a floating point value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.antiAliasFilterSizeautoReflectLevels </code></pre><h2 id=\"global-supersampling\">Global SuperSampling</h2><p><img src=\"./images/GUID-4C60B536-75C6-4774-AD92-D7A578F7EC98-low.png\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.enablePixelSampler </code></pre><p>Get/set the state of the Enable Global Sampler checkbox.</p>\n\
<h2 id=\"object-motion-blur\">Object Motion Blur</h2><p><img src=\"./images/GUID-B9D33D35-6CAE-4988-8EEB-D2F0811ED8DC-low.png\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.objectMotionBlur </code></pre><p>Get/set the state of the <strong>Apply</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.objectBlurSamples </code></pre><p>Get/set the value of the <strong>Samples</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.objectBlurDuration </code></pre><p>Get/set the value of the <strong>Duration (frames)</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.objectBlurSubdivisions </code></pre><p>Get/set the value of the <strong>Duration Subdivisions</strong> spinner.</p>\n\
<h2 id=\"image-motion-blur\">Image Motion Blur</h2><p><img src=\"./images/GUID-7AFDE156-4912-46E9-985C-B3D2DA6ED077-low.png\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.imageMotionBlur </code></pre><p>Get/set the state of the <strong>Apply</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.imageBlurTrans </code></pre><p>Get/set the state of the <strong>Transparency</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.imageBlurDuration </code></pre><p>Get/set the value of the <strong>Duration (frames)</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.imageBlurEnv </code></pre><p>Get/set the state of the <strong>Apply to Environment Map</strong> checkbox.</p>\n\
<h2 id=\"color-range-limiting\">Color Range Limiting</h2><p><img src=\"./images/GUID-AD801FA7-ADD1-4F8E-A89D-F0A727D48759-low.png\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.colorClampType </code></pre><p>Get/set the <strong>Color Range Limiting</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Clamp</strong></p>\n\
<p>1 - <strong>Scale</strong></p>\n\
<h2 id=\"memory-management\">Memory Management</h2><p><img src=\"./images/GUID-D6E90AD0-8B2E-4955-8920-0E343D396CE2-low.png\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.conserveMemory </code></pre><p>Get/set the state of the <strong>Conserve Memory</strong> checkbox. When checked, the Scanline Renderer will use a memory conserving mode which slightly increases render time.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Render-Scene-Dialog.html\">Render Scene Dialog</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"renderscenedialog.html\">renderscenedialog</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/RendererClass/Default_Scanline_Renderer.html\">Default_Scanline_Renderer : RendererClass</a></li>\n\
          <li><a class=\"link\" href=\"3ds-Max-Scanline-A-Buffer.html\">3ds Max Scanline A-Buffer Renderer Anti-Aliasing Filters</a></li>\n\
          <li><a class=\"link\" href=\"Controlling-the-Renderer.html\">Controlling the Renderer</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";