var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5C069EAA-E2EB-4F7B-B6AC-DECD51121348\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Progress Bar Display</h1></div><p>This group of functions lets you display a progress bar for operations that might be time consuming, similar to the progress bar that <strong>3ds Max</strong> uses for IK, Preview Rendering, and Reduce Key computations.</p>\n\
<p>The functions are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">progressStart &quot;caption&quot;      </code></pre><p>Initially displays the progress bar with the caption given.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">progressUpdate &lt;percent&gt;   </code></pre><p>Updates the bar display to show the given percentage complete (in the range 0-100). This function also checks to see if the user has clicked the Cancel button in the progress bar, and returns <code>true</code> if the computation must continue and <code>false</code> if the user has requested a cancel. You can also call <code>getProgressCancel()</code> (described below) to check the cancel status, which is a low overhead function and might be called more frequently than <code>progressUpdate()</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">progressEnd() </code></pre><p>Signals the end of the operation and removes the progress bar display.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getProgressCancel() </code></pre><p>A low-overhead function that checks whether the user has canceled the operation using the Cancel button in the progress bar. You might want to call this function frequently within deep loops in your code to reduce cancel latency for the user because you must only call <code>progressUpdate()</code> as needed to show significant progress bar changes to keep overhead low. The <code>getProgressCancel()</code> function as well as <code>progressUpdate()</code> displays a confirmation dialog if the user hits the cancel button and returns the cancel status from that confirmation. Unlike <code>progressUpdate()</code> , this function returns <code>true</code> if the user has made a confirmed cancel request and <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setProgressCancel &lt;boolean&gt; </code></pre><p>Sets or clears the Cancel flag for the progress bar. By passing a value of <code>true</code> , the Cancel flag is set and will be detected by <code>progressUpdate()</code> and <code>getProgressCancel()</code> . By passing a value of <code>false</code> , the Cancel flag is cleared if set.</p>\n\
<p>The following <strong>3ds Max</strong> system global variable is associated with the Progress Bar display:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">escapeEnable </code></pre><p>Lets you get and set a Boolean value defining whether <code>ESC</code> key interrupt detection is on or off. Setting <code>enableEscape</code> to <code>false</code> turns <code>ESC</code> key interrupt detection off, setting it to <code>true</code> turns it on again. This variable is useful when used in conjunction with a Progress Bar. You can set <code>enableEscape</code> to <code>false</code> when you do not want the user to interrupt a script running a long computation and you have set up a progress bar with its own Cancel button.</p>\n\
<blockquote>\n\
<p>   <strong>NOTES ON CALCULATING PERCENTAGES:</strong></p>\n\
<p>   When calculating the percentage from a current Integer value and a total Integer value, the order in which the values are multiplied and divided does matter. Dividing them first and then multiplying by 100.0 will always return 0.0 because an Integer divided by an Integer yields an Integer, and because the result is less than zero, it is rounded down to zero. If the total value is 20, for each value between 1 and 19, you will get:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   1/20*100.0 -&gt; 0*100.0 -&gt; 0.0\n\
   2/20*100.0 -&gt; 0*100.0 -&gt; 0.0\n\
   3/20*100.0 -&gt; 0*100.0 -&gt; 0.0\n\
   ...\n\
   19/20*100.0-&gt; 0*100.0 -&gt; 0.0\n\
   20/20*100.0-&gt; 1*100.0 -&gt; 100.0\n\
</code></pre><p>   but</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   100.0*1/20 -&gt; 100.0/20 -&gt; 5.0\n\
   100.0*2/20 -&gt; 200.0/20 -&gt; 10.0\n\
   100.0*3/20 -&gt; 300.0/20 -&gt; 15.0\n\
   ...\n\
   100.0*19/20-&gt; 1900.0/20-&gt; 95.0\n\
   100.0*20/20-&gt; 2000.0/20-&gt; 100.0\n\
</code></pre><p>   When starting with the Float value 100.0, the final result is implicitly converted to a Float because a Float multiplied by an Integer returns a Float, and a Float divided by an Integer still returns a Float.</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Status-Bar.html\">Status Bar</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Status-Bar-1.html\">Status Bar</a></li>\n\
          <li><a class=\"link\" href=\"Prompt-Line.html\">Prompt Line</a></li>\n\
          <li><a class=\"link\" href=\"Coordinate-Display.html\">Coordinate Display</a></li>\n\
          <li><a class=\"link\" href=\"Status-Bar-Buttons.html\">Status Bar Buttons</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-StatusPanel.html\">Interface: StatusPanel</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";