var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B8EBF538-E770-4D37-9CCC-5FA82A1C144B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Track View</h1></div><p>The Track View window functions are in a structure package named trackView.</p>\n\
<p>These functions operate on named Track Views, and in many cases you identify the Track View window by this name.</p>\n\
<p>The Track View functions are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackView.open &lt;name_string&gt;</code></pre><p>Opens an existing Track View with the specified name, or creates a new Track View with specified name. Returns the value True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackView.zoomSelected &lt;name_string&gt;</code></pre><p>Zoom the named Track View on the currently selected object.</p>\n\
<p>The World track must be expanded for this function to operate.</p>\n\
<p>The Object track will automatically be expanded if is closed.</p>\n\
<p>The hierarchy display is scrolled such that the selected object&#x2019;s track is placed at the top of the window.</p>\n\
<p>If multiple objects are selected, the first object in the hierarchy that is selected will be placed at the top of the window.</p>\n\
<p>If there are no selected objects, no operation occurs.</p>\n\
<p>This method will return True, except when the named Track View does not exist or is not open, when it returns False.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackView.close &lt;name_string&gt;</code></pre><p>Closes the named Track View.</p>\n\
<p>This method will return True, except when the named Track View does not exist or is not open, when it returns False.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackView.pickTrackDlg [#multiple] [&lt;filter_function&gt;] [options:&lt;integer&gt;]</code></pre><p>See separate topic: <a href=\"Track-View-Pick-Dialog.html\">Track View Pick Dialog</a> for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackView.numTrackViews()</code></pre><p>Returns the number of named Track Views defined</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackView.getTrackViewName &lt;index_integer&gt;</code></pre><p>Returns the name of the indexed Track View as a String.</p>\n\
<p>Index values are 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackView.setFilter &quot;name_string&quot; {&lt;filter_flag_name&gt;} [#noRedraw]\n\
trackView.clearFilter &quot;name_string&quot; {&lt;filter_flag_name&gt;} [#noRedraw]\n\
trackview.testFilter {filter_flag_name}</code></pre><p>These methods allow you to set, clear, and test display filters flags to control what is visible in a named Track View.</p>\n\
<p>The first two methods will return True, except when the named Track View does not exist or is not open, when it returns False.</p>\n\
<p>Available in <strong>in 3ds Max 2018 and higher:</strong> The third method, <code>testFilter()</code>, will return true if one or more of the supplied flags is set.</p>\n\
<p>You can supply as many filter flags as desired per call.</p>\n\
<p>The valid filter flag names are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Flag</th>\n\
<th>Note</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>#all</code></td>\n\
<td>Set or clear all flags</td>\n\
</tr>\n\
<tr>\n\
<td><code>#default</code></td>\n\
<td>Set default view flags.  <strong>Note</strong>: if non-default flags have been set, these remain set when setFilter() is called with this flag.</td>\n\
</tr>\n\
<tr>\n\
<td><code>#selectedObjects</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#selectedTracks</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#animatedTracks</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#spacewarpBindings</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#modifiedObjects</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#transforms</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#baseObjects</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#positionX</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#positionY</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#positionZ</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#positionW</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#rotationX</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#rotationY</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#rotationZ</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#scaleX</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#scaleY</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#scaleZ</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#red</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#green</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#blue</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#alpha</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#controllerTypes</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#noteTracks</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#sound</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#materialsMaps</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#materialParameters</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#visibilityTracks</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#hideGeometry</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#hideShapes</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#hideLights</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#hideCameras</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#hideHelpers</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#hideSpacewarps</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#visibleObjects</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#position</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#rotation</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#scale</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#curveX</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#curveY</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#curveZ</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#curveW</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#staticValues</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#hierarchy</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#objects</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#boneobjects</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#keyableTracks</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#activelayer</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#unlockedTracks</code></td>\n\
<td></td>\n\
</tr>\n\
</tbody></table>\n\
<p><strong>The following 3ds Max system global variables are applicable to Track View:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">globalTracks</code></pre><p>Contains a MAXTVNode value that defines the top-level Global Tracks node in Track View.</p>\n\
<p>See <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Scene-Root-And-Track-View-Nodes/Track-View-Nodes.html\">Track View Nodes</a>.</p>\n\
<p>This variable is read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackViewNodes</code></pre><p>Contains a MAXTVNode value that defines top-level World node in Track View.</p>\n\
<p>See <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Scene-Root-And-Track-View-Nodes/Track-View-Nodes.html\">Track View Nodes</a>.</p>\n\
<p>This variable is read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">videoPostTracks</code></pre><p>Contains a MAXTVNode value that defines the top-level Video Post Track View node.</p>\n\
<p>See <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Scene-Root-And-Track-View-Nodes/Track-View-Nodes.html\">Track View Nodes</a>.</p>\n\
<p>This variable is read-only.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Track-View.html\">Track View</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Trackviews.html\">Trackviews</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";