var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CE257A72-4F22-412B-9423-9FB9E32588CD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Trackviews</h1></div><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The methods listed below reflect the features of releases prior to <strong>3ds Max 5</strong>.</p>\n\
<p>TrackView was completely rewritten in <strong>3ds Max 5</strong>.</p>\n\
<p>For access to the new features, please look under <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/T/Interface-trackviews.html\">Interface: trackviews</a></p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.isOpen &lt;value&gt;name or index      </code></pre><p>Returns a boolean value indicating if the specified trackview is open.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.isCurrent &lt;value&gt;name or index   </code></pre><p>Returns a boolean value indicating if the trackview is the last one used or not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.setCurrent &lt;value&gt;name or index </code></pre><p>Sets the specified trackview to be the current one. Returns true if successful.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.currentTrackView </code></pre><p>Read only property that returns the interface for the currently used trackview. Returns undefined if the trackview is closed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.lastUsedTrackViewName </code></pre><p>Read only property that returns the name of the current trackview.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.openLastUsedTrackView() </code></pre><p>Opens the current trackview if it has been closed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.delete &lt;value&gt;name or index</code></pre><p>Deletes the specified trackview.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.close &lt;value&gt;name or index </code></pre><p>You can now close a trackview based on it&apos;s index or name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.open &lt;value&gt;name or index </code></pre><p>You can now open a trackview based on it&apos;s index or name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.getTrackView &lt;value&gt;name or index </code></pre><p>This method will get a trackview based on it&#x2019;s index or name.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   showInterface (trackviews.getTrackView 1)\n\
   trackviews.() \n\
                                                    getAllTrackViews</code></pre><p>   The above script returns an array of trackviews.</p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.numTrackViews() </code></pre><p>Returns the number of trackviews.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.getTrackViewName &lt;index&gt;index </code></pre><p>Returns the name of the trackview window based on the index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setName &lt;string&gt;name </code></pre><p>Sets the name of the trackview window</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getNumTracks() </code></pre><p>Gets the number of tracks currently displayed in trackview</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;numSelTracks() </code></pre><p>Gets the number of selected tracks</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;canAssignController() </code></pre><p>Tests to see if all selected tracks are of the same type</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;assignControllerDialog </code></pre><p>Invokes the assign controller dialog if canAssignController()</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;assignController &lt;maxObject&gt;controller </code></pre><p>Assigns the controller to the selected tracks if canAssignController() is true and the controller is the appropriate type</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;showControllerTypes &lt;boolean&gt;state </code></pre><p>Sets the ShowControllerType property</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;expandTracks() </code></pre><p>Expands all tracks</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;zoomSelected() </code></pre><p>Zooms to the selected object&apos;s track</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;zoomOnTrack &lt;maxObject&gt;parent &lt;index&gt;subNum </code></pre><p>Zooms to the track defined by the parent and the subNum</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;getTrack &lt;index&gt;index </code></pre><p>Returns the object belonging to the indexed track</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;getParent &lt;index&gt;index </code></pre><p>Gets the parent of the object belonging to the index track. If the object is a position controller, the parent is the Transform controller</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;getSelected &lt;index&gt;index </code></pre><p>Gets the objects belonging to the selected, indexed track</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;getParentOfSelected &lt;index&gt;index </code></pre><p>Gets the indexed selected tracks parent object</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;getSelectedSubNum &lt;index&gt;index </code></pre><p>Gets the subNum of the selected track</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;getIndex &lt;maxObject&gt;object </code></pre><p>Gets the index for the animatable object</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;selectTrackByIndex &lt;index&gt;index &lt;boolean&gt;clearSelection </code></pre><p>Selects tracks by index</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;selectTrack &lt;maxObject&gt;object &lt;boolean&gt;clearSelection </code></pre><p>Selects tracks by object</p>\n\
<p>A trackview interface can be obtained for one of the currently open trackviews using one of the following methods.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.getTrackViewByName &lt;name as string&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.getTrackViewByIndex &lt;index as int&gt;  </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trackviews.getAllTrackViews() </code></pre><p>Once you have an instance of the trackview interface you can call the following new methods on it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getEditMode() </code></pre><p>Gets the current edit mode as an symbolic enum.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setEditMode &lt;type as symbolic enum&gt; </code></pre><p>Sets the current edit mode</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">editMode </code></pre><p>Property to do the same as the above two methods</p>\n\
<p>Valid symbolic enum values are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#editKeys #editTime #editFCurves #editRanges #positionRanges </code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Track-View.html\">Track View</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/T/Interface-trackviews.html\">Interface: trackviews</a></li>\n\
          <li><a class=\"link\" href=\"Track-View-1.html\">Track View</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/T/Interface-trackviews.html\">Interface: trackviews</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";