var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-90C2E88D-7373-44D7-A0FB-1ADDB55CECDC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Adaptive Degradation Access</h1></div><p>The following method pairs can be used to control the Adaptive Degradation system which was redesigned in <strong>3ds Max 2008</strong>.</p>\n\
<p><img src=\"./images/GUID-0D193017-2B58-4FD4-BA41-5E62DDF8790A-low.gif\" alt></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;viewport.GetAdaptiveDegGoalFPS()         viewport.SetAdaptiveDegGoalFPS &lt;float&gt;      </code></pre><p>Get/Set the &quot;Maintain Frames Per Second&quot; target frame rate. This is the frame rate the adaptive degradation system will try to keep.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;viewport.GetAdaptiveDegDrawBackfaces()      viewport.SetAdaptiveDegDrawBackfaces &lt;boolean&gt;   </code></pre><p>Gets/Sets the state of the <strong>&quot;Draw Backfaces During Degrade&quot;</strong> option. When set to true, backfaces will be drawn when degrading even for objects whose backface cull option is turned on, thus improving performance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;viewport.GetAdaptiveDegNeverDegradeSelected()   viewport.SetAdaptiveDegNeverDegradeSelected &lt;boolean&gt; </code></pre><p>Gets/Sets the state of the <strong>&quot;Never Degrade Selected&quot;</strong> option. When set to true, selected objects will never get degraded allowing the user to focus on them.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;viewport.GetAdaptiveDegDegradeLight() viewport.SetAdaptiveDegDegradeLight &lt;boolean&gt; </code></pre><p>Get/Set the state of the <strong>&quot;Degrade to Default Lighting&quot;</strong> option. When true, the system will degrade the lights to just the default headlight.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">viewport.GetAdaptiveDegNeverRedrawAfterDegrade() viewport.SetAdaptiveDegNeverRedrawAfterDegrade </code></pre><p>Get/Set the state of the <strong>&quot;Never Redraw After Degrade&quot;</strong> option. When true, the system will remain in degraded state even after a mouse up. On large scenes this can help reduce pauses caused by full redraws between navigation operations.</p>\n\
<h3 id=\"adapt-object-display-by-priority\">Adapt Object Display by Priority</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;viewport.GetAdaptiveDegDisplayModeCurrent() viewport.SetAdaptiveDegDisplayModeCurrent &lt;boolean&gt; </code></pre><p>Get/Set whether to use the current display mode when degrading.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;viewport.GetAdaptiveDegDisplayModeFastShaded viewport.SetAdaptiveDegDisplayModeFastShaded &lt;boolean&gt; </code></pre><p>Get/Set whether to use the fast shaded display mode when degrading.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;viewport.GetAdaptiveDegDisplayModeWire() viewport.SetAdaptiveDegDisplayModeWire &lt;boolean&gt; </code></pre><p>Get/Set whether to use the wireframe display mode when degrading.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;viewport.GetAdaptiveDegDisplayModeBox() viewport.SetAdaptiveDegDisplayModeBox &lt;boolean&gt; </code></pre><p>Get/Set whether to use the box display mode when degrading.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;viewport.GetAdaptiveDegDisplayModePoint() viewport.SetAdaptiveDegDisplayModePoint &lt;boolean&gt; </code></pre><p>Get/Set whether to replace objects with point drawing primitives when degrading.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;viewport.GetAdaptiveDegDisplayModeHide() viewport.SetAdaptiveDegDisplayModeHide &lt;boolean&gt; </code></pre><p>Get/Set whether to hide objects when degrading.</p>\n\
<h3 id=\"prioritize-scene-objects\">Prioritize Scene Objects</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;viewport.GetAdaptiveDegCameraDistancePriority() viewport.SetAdaptiveDegCameraDistancePriority &lt;float&gt; </code></pre><p>Get/Set the <strong>&quot;Distance from Camera&quot;</strong> value. This weights whether the distance from camera or screen size is used to determine which objects will be degraded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;viewport.GetAdaptiveDegScreenSizePriority() viewport.SetAdaptiveDegScreenSizePriority &lt;float&gt; </code></pre><p>Get/Set the <strong>&quot;Screen Size&quot;</strong> value. This weights whether the distance from camera or screen size is used to determine the degradation priorities.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;viewport.GetAdaptiveDegMinSize() viewport.SetAdaptiveDegMinSize &lt;integer&gt; </code></pre><p>Get/Set the value of the <strong>&quot;Force objects displayed smaller than N pixels to the lowest priority&quot;</strong> option.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Viewports.html\">Viewports</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Accessing-Active-Viewport-Info.html\">Accessing Active Viewport Info, Type, and Transforms</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";