var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-53F8D6CE-A5A6-4353-BE48-4298BBE107DE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Miscellaneous Functions</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">freeSceneBitmaps()      </code></pre><p>Frees up all the memory used by the image file bitmap caches. This is useful if memory is fragmented with a lot of different bitmaps and you want to have just the ones currently active reloaded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rescaleWorldUnits &lt;factor&gt; [ #selOnly ]   </code></pre><p>This method provides functionality similar to that of Rescale World Utility plug-in in <strong>3ds Max</strong>. <code>&lt;factor&gt;</code> is the factor the objects should be scaled by. If <code>#selOnly</code> is specified then only the selected objects are scaled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IsNetServer() </code></pre><p>Returns <code>true</code> if <strong>3ds Max</strong> is operating in network rendering mode and <code>false</code> if operating in normal interactive mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">loadDllsFromDir &lt;directory_path_string&gt; &lt;filename_wildcard_string&gt; </code></pre><p>Load all the plug-ins found in the specified directory. The <code>directory_path_string</code> must be terminated with a &apos;\\&apos;.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   LoadDllsFromDir &quot;f:\\\\maxsdk\\\\plugin\\\\&quot; &quot;*.dlc&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanForNewPlugins includeUnknownSuperclasses:&lt;boolean&gt; </code></pre><p>Scans for new plug-in classes and exposes the classes to MAXScript. Typically called after calling <code>loadDllsFromDir()</code> .</p>\n\
<p>If <code>includeUnknownSuperclasses:</code> is false (the default), classes with unknown superclasses are ignored.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher. Previously available via the <strong>[</strong>AVG<strong>]</strong> DLX Extension.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">maxVersion() </code></pre><p>Returns an Array with nine items such as <code>#(21000, 52, 0, 21, 2, 0, 2112, 2019, &quot;.2 Update&quot;)</code>, where the first three numbers are the <strong>3ds Max</strong> release number, API version, and revision number of the SDK.</p>\n\
<p>The next four numbers represent the major version, the update version, the hotfix number, and the build number. Available in <strong>3ds Max 2019.1 Update and higher</strong>. These match the results of <code>SystemTools.GetBuildNumber()</code>, and the version displayed on the <strong>Help &gt; Autodesk Product Information &gt; About 3ds Max</strong> dialog.</p>\n\
<p>The last two items represent the product year (an integer) and the product version description as a string. Available in <strong>3ds Max 2019.2 Update and higher</strong>. This string is empty for the main release, and populated for update releases, security fixes, and hot fixes. These two items are concatenated and displayed as &quot;Product Version&quot; in the <strong>Help &gt; Autodesk Product Information &gt; About 3ds Max</strong> dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMaxExtensionVersion()</code></pre><p>Available in <strong>in 3ds Max 2016 Extension 1 and higher:</strong> Returns an integer indicating the 3ds Max Extension version, or 0 if it is not an Extension.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMAXWindowSize [ removeUIScaling:&lt;true&gt; ] </code></pre><p>Returns the <strong>3ds Max</strong> window size in pixels.</p>\n\
<p>The optional <code>removeUIScaling</code> parameter indicates whether to remove scaling on high-DPI displays.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getMAXWindowPos [ removeUIScaling:&lt;true&gt; ] </code></pre><p>Returns the <strong>3ds Max</strong> window position in pixels relative to the upper left corner of the desktop. Returns [-4,-4] when the application is maximized.</p>\n\
<p>The optional <code>removeUIScaling</code> parameter indicates whether to remove scaling on high-DPI displays.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; getMaxscriptStartupState (#stdScriptsLoading | #stdScriptsLoaded | #startupScriptsLoading | #startupScriptsLoaded)</code></pre><p>Returns true if the specified startup state is true. Available in <strong>3ds Max 2019.2 Update and higher</strong>. For example, <code>getMaxscriptStartupState #stdScriptsLoading</code> will only return true while the standard scripts are being loaded. After the standard scripts are loaded, <code>getMaxscriptStartupState #stdScriptsLoaded</code> returns true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;getCurrentScriptSourceType()</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022:</strong> Returns the script source type, which determines how it is handled by the Safe Scene Script Execution feature.  Returned values can be:</p>\n\
<ul>\n\
<li><code>#sceneEmbeddedScript</code> - The source of the script is a scene file (i.e., a scene file embedded script).  Commands blocked by Safe Scene Script Execution (if enabled) are not executed.</li>\n\
<li><code>#nonSceneEmbeddedScript</code> - The source of the script is not a scene file, commands are not blocked.</li>\n\
<li><code>#unknownSourceScript</code> - The source of the script is not specified, the same security policies as for embedded scripts are applied.</li>\n\
<li><code>#dynamicScript</code> - <img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022.1 Update:</strong> The script is dynamically generated at runtime and could contain input from various sources that are interpreted as scripted commands. Dynamic scripts always execute with restricted security rights, commands blocked by Safe Scene Script Execution are not executed, regardless of Safe Scene Script Execution settings.</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">generateAPIList (&lt;StringStream&gt; | &lt;FileStream&gt; | &lt;WindowStream&gt;) [ caseSensitiveSort:&lt;boolean&gt; ] </code></pre><p>Generates sorted list of MAXScript keywords. This is the same list used by the MAXScript Editor for auto-completion. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<p>If the <code>caseSensitveSort</code> argument is specified as true (the default), the ASCII order of characters is used, so all capitals occur before lower case, <code>ABCabc</code>. If false, capitalization is ignored, and keywords are sorted <code>AaBbCc</code>.</p>\n\
<p>This list could be saved to a file and used for MAXScript support in an external editor. You can create such a list with the following example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">apifile = undefined\n\
try\n\
(\n\
  apifile = openFile @&quot;c:\\maxscript.api&quot; mode:&quot;w&quot;\n\
  generateAPIList apifile\n\
  close apifile\n\
)\n\
catch -- mainly in case file cannot be opened with write access\n\
(\n\
  if apifile != undefined do close apifile\n\
) \n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">swap &lt;destination&gt; &lt;destination&gt; </code></pre><p>Takes two valid assignment destinations (property, array index, or variable) as arguments and swaps their values.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   swap myMaterial.diffuseMap.map1 myMaterial.diffuseMap.map2\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;controller&gt;createFloatControllerWithRandomValues &lt;min time&gt; &lt;max time&gt; &lt;delta time&gt; &lt;min value&gt; &lt;max value&gt;</code></pre><p>Creates a float controller that contains keys over the specified range of time with the specified time steps with random values in the specified range. Useful for testing where you need massive scenes with random data.</p>\n\
<p>Available in <strong>3ds Max 2019.1 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;color&gt;ConvertKelvinToRGB &lt;float&gt;Kelvin &lt;float&gt;scale </code></pre><p>Returns the blackbody radiation color corresponding to the temperature in Kelvin specified by the first argument. The second argument scales the color output. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p>A value of 6,500 K produces white color [255,255,255] at Scale of 1.0, or equal R,G and B values at any other Scale</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
        global Kelvin2RGBExplorerRollout\n\
        try(destroyDialog Kelvin2RGBExplorerRollout)catch()\n\
\n\
        rollout Kelvin2RGBExplorerRollout &quot;Kelvin To RGB Explorer&quot;\n\
        (\n\
              local theGradient = bitmap 600 50\n\
              local theGradient2 = bitmap 600 1\n\
              local theColorArray = #()\n\
              local theKelvinArray = #()\n\
\n\
              button btn_fromPreset1 &quot;100&quot; width:50 across:8 align:#left\n\
              button btn_fromPreset2 &quot;1,000&quot; width:50 align:#left offset:[-20,0]\n\
              button btn_fromPreset3 &quot;1,500&quot; width:50 align:#left offset:[-40,0]\n\
              button btn_fromPreset4 &quot;2,500&quot; width:50 align:#left offset:[-60,0]\n\
              button btn_fromPreset5 &quot;5,000&quot; width:50 align:#left offset:[-80,0]\n\
              button btn_fromPreset6 &quot;6,500&quot; width:50 align:#left offset:[-100,0]\n\
              button btn_fromPreset7 &quot;10,000&quot; width:50 align:#left offset:[-120,0]\n\
              spinner spn_fromKelvin &quot;Start Temperature In Kelvin:&quot; range:[0.01,10000000,100] fieldwidth:50 align:#right\n\
\n\
              button btn_toPreset1 &quot;100&quot; width:50 across:8 align:#left\n\
              button btn_toPreset2 &quot;1,000&quot; width:50 align:#left offset:[-20,0]\n\
              button btn_toPreset3 &quot;1,500&quot; width:50 align:#left offset:[-40,0]\n\
              button btn_toPreset4 &quot;2,500&quot; width:50 align:#left offset:[-60,0]\n\
              button btn_toPreset5 &quot;5,000&quot; width:50 align:#left offset:[-80,0]\n\
              button btn_toPreset6 &quot;6,500&quot; width:50 align:#left offset:[-100,0]\n\
              button btn_toPreset7 &quot;10,000&quot; width:50 align:#left offset:[-120,0]\n\
              spinner spn_toKelvin &quot;End Temperature In Kelvin:&quot; range:[0.01,10000000,10000] fieldwidth:50 align:#right\n\
\n\
              progressbar prg_scale height:15 width:480 align:#left across:2 offset:[0,0] value:100.0 color:green\n\
              spinner spn_scale &quot;Scale:&quot; range:[0.01,1.0,1.0] scale:0.01 fieldwidth:50 align:#right\n\
\n\
              bitmap bmp_gradient width:600 height:50 align:#center\n\
\n\
              edittext edt_Kvalue &quot;Kelvin:&quot; across:4 fieldwidth:100 align:#left\n\
              edittext edt_Rvalue &quot;R:&quot;  fieldwidth:120 align:#center\n\
              edittext edt_Gvalue &quot;G:&quot;  fieldwidth:120 align:#center\n\
              edittext edt_Bvalue &quot;B:&quot;  fieldwidth:120 align:#right\n\
\n\
              fn convertKelvin2RGB =\n\
              (\n\
                   theColorArray = #()\n\
                   theKelvinArray = #()\n\
                   local theColorScale = spn_scale.value\n\
                   local currentValue = spn_fromKelvin.value\n\
                   local increment = (spn_toKelvin.value-spn_fromKelvin.value)/599.0\n\
                   for k = 1 to 600 do\n\
                   (\n\
                        append theColorArray (ConvertKelvinToRGB currentValue theColorScale)\n\
                        append theKelvinArray currentValue\n\
                        currentValue+= increment\n\
                   )\n\
                   setPixels theGradient2 [0,0] theColorArray\n\
                   copy theGradient2 theGradient\n\
                   bmp_gradient.bitmap = theGradient\n\
              )\n\
\n\
              on spn_fromKelvin changed val do\n\
              (\n\
                   if val &gt; spn_toKelvin.value do spn_toKelvin.value = val\n\
                   convertKelvin2RGB()\n\
              )\n\
              on spn_toKelvin changed val do\n\
              (\n\
                   if val &lt; spn_fromKelvin.value do spn_fromKelvin.value = val\n\
                   convertKelvin2RGB()\n\
              )\n\
\n\
              on prg_scale clicked val do\n\
              (\n\
                   if val &lt; 1 do val = 1\n\
                   prg_scale.value = val\n\
                   spn_scale.changed (spn_scale.value = val/100.0)\n\
              )\n\
\n\
              on btn_fromPreset1 pressed do ( spn_fromKelvin.changed (spn_fromKelvin.value = 100))\n\
              on btn_fromPreset2 pressed do ( spn_fromKelvin.changed (spn_fromKelvin.value = 1000))\n\
              on btn_fromPreset3 pressed do ( spn_fromKelvin.changed (spn_fromKelvin.value = 1500))\n\
              on btn_fromPreset4 pressed do ( spn_fromKelvin.changed (spn_fromKelvin.value = 2500))\n\
              on btn_fromPreset5 pressed do ( spn_fromKelvin.changed (spn_fromKelvin.value = 5000))\n\
              on btn_fromPreset6 pressed do ( spn_fromKelvin.changed (spn_fromKelvin.value = 6500))\n\
              on btn_fromPreset7 pressed do ( spn_fromKelvin.changed (spn_fromKelvin.value = 10000))\n\
\n\
              on btn_toPreset1 pressed do ( spn_toKelvin.changed (spn_toKelvin.value = 100))\n\
              on btn_toPreset2 pressed do ( spn_toKelvin.changed (spn_toKelvin.value = 1000))\n\
              on btn_toPreset3 pressed do ( spn_toKelvin.changed (spn_toKelvin.value = 1500))\n\
              on btn_toPreset4 pressed do ( spn_toKelvin.changed (spn_toKelvin.value = 2500))\n\
              on btn_toPreset5 pressed do ( spn_toKelvin.changed (spn_toKelvin.value = 5000))\n\
              on btn_toPreset6 pressed do ( spn_toKelvin.changed (spn_toKelvin.value = 6500))\n\
              on btn_toPreset7 pressed do ( spn_toKelvin.changed (spn_toKelvin.value = 10000))\n\
\n\
              on spn_scale changed val do\n\
              (\n\
                   prg_scale.value = val*100.0\n\
                   convertKelvin2RGB()\n\
              )\n\
\n\
              on Kelvin2RGBExplorerRollout mousemove pos do\n\
              (\n\
                   if pos.x &gt;= bmp_gradient.pos.x and pos.x &lt;= bmp_gradient.pos.x+601 and pos.y &gt;= bmp_gradient.pos.y and pos.y &lt;= bmp_gradient.pos.y+50 do\n\
                   (\n\
                        theSample = pos.x-10\n\
                        if theSample &lt; 1 do theSample = 1\n\
                        if theSample &gt; 600 do theSample = 600\n\
                        edt_Kvalue.text = theKelvinArray[theSample] as string\n\
                        edt_Rvalue.text = theColorArray[theSample].r as string\n\
                        edt_Gvalue.text = theColorArray[theSample].g as string\n\
                        edt_Bvalue.text = theColorArray[theSample].b as string\n\
                   )\n\
              )\n\
\n\
              on Kelvin2RGBExplorerRollout open do convertKelvin2RGB()\n\
        )\n\
        createDialog Kelvin2RGBExplorerRollout 620 160\n\
   )\n\
</code></pre></blockquote>\n\
<p>This script produces a rollout that looks like this:</p>\n\
<p><img src=\"./images/GUID-A000F61B-DCC7-4EF1-9CAC-AE6A41EA42B6-low.png\" alt></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Miscellaneous-Functions/3ds-Max-Assert-Display-Functions.html\">3ds Max Assert Display Functions</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Miscellaneous-Functions/Accessing-the-Last-Rendered.html\">Accessing the Last Rendered Image</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Miscellaneous-Functions/Affect-Region-Function.html\">Affect Region Function</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Miscellaneous-Functions/Direct-3D-Cache-Allocation-Query.html\">Direct 3D Cache Allocation Query Functions</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Miscellaneous-Functions/Executing-External-Commands.html\">Executing External Commands</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Miscellaneous-Functions/Exiting-and-Resetting-3ds-Max.html\">Exiting and Resetting 3ds Max</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Miscellaneous-Functions/Pausing-Script-Execution.html\">Pausing Script Execution</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Miscellaneous-Functions/Time-Stamping.html\">Time Stamping</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Miscellaneous-Functions/thehold.html\">thehold</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Miscellaneous-Functions/Internet-Methods.html\">Internet Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Miscellaneous-Functions/setKey-Struct.html\">setKey Struct</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Tools-and-Interaction.html\">MAXScript Tools and Interaction with 3ds Max</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";