var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-846B6AB0-EFF6-43E5-8A67-8D348FF78A57\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Executing External Commands</h1></div><p>MAXScript provides several methods for executing external programs</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DOSCommand &lt;command_string&gt;      </code></pre><p>Takes a DOS command as a string and send it to the system for execution.</p>\n\
<p>You can use this function to launch other programs, or perform such tasks as gathering all the material texture and displacement image files in your scene into one folder.</p>\n\
<p>Returns an integer which is the status result returned by the executed system command.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   DOSCommand &quot;delete c:\\\\temp\\\\foo.dat&quot;\n\
   DOSCommand (&quot;copy &quot; + source_file + &quot; &quot; + dest_folder)\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ShellLaunch &lt;filename_string&gt; &lt;parameters_string&gt;   </code></pre><p><code>ShellLaunch()</code> emulates the double-clicking on a specified file in Windows.</p>\n\
<p>Whatever you send to ShellLaunch will be run by the Windows shell automatically.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ShellLaunch &quot;E:\\\\tests\\\\lookup.html&quot; &quot;&quot;\n\
</code></pre><p>   would launch the default Web Browser with lookup.html.</p>\n\
</blockquote>\n\
<p>If a filenameextensionis not specified in <code>&lt;filename_string&gt;</code> , Windows will search the specified directory for executable files. If no directory is specified, Windows will search the paths in the Path environment variable for the executable file.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   shellLaunch &quot;e:/program files/ucalc/ucalc&quot; &quot;&quot;\n\
</code></pre><p>   will execute the ucalc.exe file in the specified directory.</p>\n\
</blockquote>\n\
<p>The <code>&lt;parameters_string&gt;</code> is passed to the launched application as command line parameters.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   shellLaunch &quot;e:/t.avi&quot; &quot;/play /loop&quot;\n\
</code></pre><p>   will launch the application associated with .avi files, and pass <code>/play</code> and <code>/loop</code> as command line parameters.</p>\n\
</blockquote>\n\
<p>Instead of launching a file with the default application registered for the given file type, the application to be launched can be passed as the first argument and the file to be opened as the second.This will pass the second argument as parameter to the application specified by the first argument.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ShellLaunch &quot;iexplorer.exe&quot; @&quot;c:\\temp\\report.html&quot;\n\
</code></pre><p>   will launch the page report.html with the Internet Explorer,</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ShellLaunch &quot;firefox.exe&quot; @&quot;c:\\temp\\report.html&quot;\n\
</code></pre><p>   while the above will launch the same page in Mozilla Firefox.</p>\n\
</blockquote>\n\
<p>The same approach can be used tonavigate to a specific path usingWindows Explorer.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ShellLaunch @&quot;c:\\windows\\&quot; &quot;&quot;\n\
   ShellLaunch &quot;explorer.exe&quot; @&quot;c:\\windows&quot;\n\
</code></pre><p>   Both expressions will open Windows Explorer at the Windows root folder.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ShellLaunch &quot;explorer.exe&quot; &quot;/e,/select,\\&quot;c:\\\\windows\\\\notepad.exe\\&quot;&quot;\n\
</code></pre><p>   The above expression will open Windows Explorer at the file notepad.exe inside the Windows root directory.</p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">HiddenDOSCommand &lt;command string to execute&gt; [  startpath:unsupplied] [  prompt:unsupplied] [  donotwait:false] [  ExitCode:&amp;variable] </code></pre><p><strong>[</strong>AVG<strong>]</strong> <code>HiddenDOSCommand()</code> looks like <code>DOSCommand()</code> , but runs more like <code>ShellLaunch()</code> . It launches a DOS command in a hidden window.</p>\n\
<h3 id=\"startpath-\">startpath:</h3><p>Allows you to set the starting folder for the command.</p>\n\
<p>In versions prior to <strong>3ds Max 2010</strong>, omitting this optional argument resulted in function failure. This has been corrected in <strong>3ds Max 2010</strong>.</p>\n\
<h3 id=\"prompt-\">prompt:</h3><p>Allows you to set the prompt that appears on the Max prompt line (just below the viewports). If you don&apos;t change it, the command string is displayed.</p>\n\
<h3 id=\"donotwait-\">donotwait:</h3><p>Allows you to decide whether or not you want to return control to back to MAXScript while the command runs, or wait for completion.Default is false, which results in blocking MAXScript execution until the command has finished.</p>\n\
<h3 id=\"exitcode-\">ExitCode:</h3><p>If <code>donotwait:</code> is unsupplied or false and the command is executed successfully, the exit code of the command is written to the specified variable as an integer value.An exit code of 0 means the command was executed without errors, non-zero code usually means an error. Available in <strong>3ds Max 2010 and higher</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>You must redirect any output generated to a file if you are interested in text that would normally be printed to the console.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE USAGE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   HiddenDOSCommand &quot;dir &gt; %temp%\\\\hiddencmdout.tmp&quot; startpath:&quot;c:\\\\&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   cmd = &quot;echo The time is &quot; + localTime + &quot; &gt;&gt; %temp%\\\\hiddencmdout.tmp&quot;\n\
   HiddenDOSCommand cmd startpath:&quot;c:\\\\&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   HiddenDOSCommand &quot;notepad %temp%\\\\hiddencmdout.tmp &quot;prompt:&quot;Waiting for Notepad to exit&quot; startpath:&quot;c:\\\\&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   HiddenDOSCommand &quot;del hiddencmdout.tmp&quot; donotwait:true startpath:&quot;c:\\\\&quot;\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   makeDir &quot;C:\\\\doscmdtest\\\\&quot;\n\
   str = &quot;rmDir C:\\\\doscmdtest\\\\&quot;\n\
   hiddendoscommand str startpath:&quot;$max&quot; exitCode:&amp;exitcode\n\
   exitcode --&gt; 0\n\
   hiddendoscommand str startpath:&quot;$max&quot; exitCode:&amp;exitcode\n\
   exitcode --&gt; 2 (error since directory does not exist anymore)\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --(Source for HiddenDOSCommand provided by Mike BiddleCombe)\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Miscellaneous-Functions.html\">Miscellaneous Functions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";