var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-92E4150E-0AD4-430C-A852-783A45276D23\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Exiting and Resetting 3ds Max</h1></div><p>The <code>quitMAX()</code> function lets you exit <strong>3ds Max</strong> under script control. This function is typically used in batch processing or render scripts. The function has the form:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">quitMAX [ #noPrompt ] quiet:&lt;boolean&gt; exitCode:&lt;int&gt;</code></pre><p>If the <code>#noPrompt</code> optional argument is not specified and there are unsaved changes in the scene, <strong>3ds Max</strong> will prompt with its standard save changes dialog. The <code>quiet:&lt;boolean&gt;</code> argument does the same thing, and overrides the <code>#noPrompt</code> option if both are specified.</p>\n\
<p>If the optional <code>exitCode</code> argument is specified, when 3ds Max exits a message of &quot;3ds Max Ended with Unknown Reason (Exit Code <em>X</em>)&quot; is printed to the console, where <em>X</em> is the specified integer. This can be useful for batch processing scripts using 3dsmaxbatch.exe that want to get user-specified status codes from the application.</p>\n\
<p>Additionally, you can control the scene save and undo states in <strong>3ds Max</strong> with the following functions:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setSaveRequired &lt;boolean&gt;   </code></pre><p>lets you set the <strong>3ds Max</strong> system &quot;dirty&quot; flag. If this flag is set or there are entries in the Undo buffer, the user is asked if they want to save the scene file on a File &gt; New or File &gt; Reset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getSaveRequired() </code></pre><p>returns <code>true</code> if the <strong>3ds Max</strong> system &quot;dirty&quot; flag is set to <code>true</code> or if the Undo buffer is not empty. If the Undo buffer if not empty, this function will still return <code>true</code> , even if you just called <code>setSaveRequired false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">clearUndoBuffer() </code></pre><p>empties the Undo buffer, both providing a way to reset the undo state and another way to control the save-changes requester.</p>\n\
<p>Normally, if there are entries in the Undo buffer when the scene is closed, <strong>3ds Max</strong> will prompt with a save-changes requester. In some cases, where you are controlling undo in MAXScript, you may want to force the need for a save-changes prompt.</p>\n\
<p>The <code>resetMAXFile()</code> function lets you reset <strong>3ds Max</strong> under script control. This function is typically used in batch processing or render scripts. The function has the form:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">resetMaxFile() [#noPrompt] </code></pre><p>If the <code>#noPrompt</code> optional argument is not specified, <strong>3ds Max</strong> will prompt with its standard dialog &quot;Do you really want to reset&quot;.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> In order to check for unsaved changes before resetting the scene, you should use <code>checkForSave()</code> . See <a href=\"./../File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\">3ds Max File Loading and Saving</a></div>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --CheckForSave checks whether the scene has been modified \n\
   --and issues the standard &quot;Do you want to save your changes&quot; dialog. \n\
   --If the user presses Yes or No, the function returns true and \n\
   --resetMaxFile will be called. \n\
   --If the user presses Cancel, the function returns false and \n\
   --resetMaxFile will not be called. \n\
   if checkForSave() do resetMaxFile()\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Miscellaneous-Functions.html\">Miscellaneous Functions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\">3ds Max File Loading and Saving</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";