var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1BB21805-1A09-442D-8ED4-386D1900C7FD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Documentation Changes in 3ds Max 2012</h1></div><p>This topic discusses the changes made to the MAXScript Reference for the 2012 release of <strong>3ds Max</strong>. See also <a href=\"What-was-New-in-MAXScript-in-3ds-8.html\">What is New in MAXScript in 3ds Max 2012</a>.</p>\n\
<h2 id=\"new-authoring-system-new-reference-format\">New Authoring System - New Reference Format</h2><p>If you are an existing customer, you have surely noticed that this version of the MAXScript Reference is significantly different. The complete documentation of all Autodesk products has been moved to a unified piblishing system based on XML source which should provide significant improvements to both the end users and the documentation developers in the long run.</p>\n\
<p>Here are some of <strong>the benefits</strong> it brings:</p>\n\
<ul>\n\
<li>The new system supports multiple output targets including HTML, CHM and Wiki pages, allowing for faster and more often updates of the online version, as well as new approaches to documentation management via Wiki entries.</li>\n\
<li>The source is formatted using XML tags, allowing the easy redefinition of the complete publication via quick changes to the style sheets.</li>\n\
<li>The source is managed on centralized servers, allowing for better collaboration between authors including version control, offline output compiling etc.</li>\n\
<li>Thanks to the centralized version control and access, the localization of the documentation can be performed faster.</li>\n\
<li>Each page of the MAXScript Reference now features the same feeback links as the regular <strong>3ds Max</strong> User Manual.</li>\n\
<li>Cross-reference links are now based on unique resource identifies (GUIDs) and are less likely to break.</li>\n\
<li>The Look-and-Feel of the MAXScript Reference is now the same as the <strong>3ds Max</strong> User Manual and features the same navigation links in the header including breadcrubms and next/previous/parent page links.</li>\n\
<li>It would be technically possible to easily cross-reference pages between the various online help documents, for example between the <strong>3ds Max</strong> User Manual and the MAXScript Reference.</li>\n\
</ul>\n\
<p>Currently, there are also <strong>a number of limitations</strong> compared to the previous CHM format of the MAXScript Reference:</p>\n\
<ul>\n\
<li><p>The <strong>Index tab</strong> provides approximately the same links as the old build of the MAXScript Reference, but the <strong>index links do not jump to the exact position</strong> of the relevant term but to the top of the topic containing the term.</p>\n\
</li>\n\
<li><p>The current format <strong>does not support clickable images or image maps</strong>. This is not a limitation of the system itself but of the current implementation of the building scripts and will be hopefully addressed in the future. For that reason, the Quick Navigation and Back To Topic Navigation icons (blur and green &quot;wind roses&quot;) are not clickable anymore and are accompanied by text links for the actual navigation.</p>\n\
</li>\n\
<li><p>There is <strong>no support for popup pages</strong> used in the old MAXScript Reference for Quick Navigation indices or terminology explanations. For that reason the Quick Navigation links navigate away from the current page to the relevant index topic. This is a minor difference and most of the Quick Navigation indices have been recreated from scratch since they were not translated automatically in the source conversion process.</p>\n\
</li>\n\
<li><p>There is <strong>no example color coding</strong> except for the</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --code comments</code></pre></li>\n\
</ul>\n\
<h2 id=\"what-to-expect\">What To Expect</h2><p>The source conversion process preserved the majority of the content including text paragraphs, examples and images, but nearly all formatting was lost or damaged and required laborious re-editing by hand or using custom scripts (written in MAXScript, of course!).</p>\n\
<p>Despite the significant effort which went into restoring the look and usability of the document, it is likely that not all of the over 4200 topics have been completely fixed. In particular, there have been significant glitches in the location of space characters within the text. In some cases, words in text paragraphs or keywords in code examples could be written together as one word, or the space could be shifted, eventually affecting the meaning of the text, or breaking the example code.</p>\n\
<p>While the majority of these problems have been fixed, this could not be done automatically so there still can be glitches hiding within the documentation. If you discover a misformatted sentence or a code example, please submit a report to Autodesk using the Feedback link at the bottom of the topic. Thank you in advance!</p>\n\
<h2 id=\"removed-sections-and-topics\">Removed Sections and Topics</h2><p>The following parts of the MAXScript Reference have been removed from the 2012 build:</p>\n\
<ul>\n\
<li>The section on using the HTML Help system had to be removed since the MAXScript Reference can now exist in various forms and those topics only covered the CHM Help Viewer.</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in-3ds-7.html\">What was New in MAXScript in 3ds Max 2012</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";